--
-- TOC entry 4713 (class 2606 OID 81223)
-- Dependencies: 4575 2965 2303
-- Name: FK_cq_to_scaff; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY call_queue
    ADD CONSTRAINT "FK_cq_to_scaff" FOREIGN KEY (team_leader_id) REFERENCES worker(nsuk);


--
-- TOC entry 5092 (class 2606 OID 81228)
-- Dependencies: 4575 2965 2789
-- Name: FK_cq_to_scaff; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaffolding_job
    ADD CONSTRAINT "FK_cq_to_scaff" FOREIGN KEY (leader_id) REFERENCES worker(nsuk);


--
-- TOC entry 4843 (class 2606 OID 81233)
-- Dependencies: 4575 2965 2454
-- Name: FK_leader_to_gang; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gang
    ADD CONSTRAINT "FK_leader_to_gang" FOREIGN KEY (gang_leader_id) REFERENCES worker(nsuk);


--
-- TOC entry 5082 (class 2606 OID 81238)
-- Dependencies: 4575 2965 2784
-- Name: FK_sdoc_signedBy; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_docket
    ADD CONSTRAINT "FK_sdoc_signedBy" FOREIGN KEY (signer_id) REFERENCES worker(nsuk);


--
-- TOC entry 5087 (class 2606 OID 81243)
-- Dependencies: 4575 2965 2786
-- Name: FK_sgm_to_scaf; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_gang_map
    ADD CONSTRAINT "FK_sgm_to_scaf" FOREIGN KEY (scaffolder_id) REFERENCES worker(nsuk);


--
-- TOC entry 5089 (class 2606 OID 81248)
-- Dependencies: 4575 2965 2787
-- Name: FK_tech_to_scaf; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_time_rec
    ADD CONSTRAINT "FK_tech_to_scaf" FOREIGN KEY (scaffolder_id) REFERENCES worker(nsuk);


--
-- TOC entry 4695 (class 2606 OID 81253)
-- Dependencies: 3786 2307 2257
-- Name: account_groups_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY account_groups
    ADD CONSTRAINT account_groups_fk FOREIGN KEY (master_depot) REFERENCES depot(cod);


--
-- TOC entry 4696 (class 2606 OID 81258)
-- Dependencies: 3786 2307 2257
-- Name: account_groups_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY account_groups
    ADD CONSTRAINT account_groups_fk1 FOREIGN KEY (slave_depot) REFERENCES depot(cod);


--
-- TOC entry 4697 (class 2606 OID 81263)
-- Dependencies: 3783 2306 2306 2257 2257
-- Name: account_groups_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY account_groups
    ADD CONSTRAINT account_groups_fk2 FOREIGN KEY (master_depot, master_cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4698 (class 2606 OID 81268)
-- Dependencies: 3783 2306 2306 2257 2257
-- Name: account_groups_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY account_groups
    ADD CONSTRAINT account_groups_fk3 FOREIGN KEY (slave_depot, slave_cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4704 (class 2606 OID 445903)
-- Dependencies: 4112 2567 2266
-- Name: asset_reg_equipment_suspense_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY asset_reg
    ADD CONSTRAINT asset_reg_equipment_suspense_fkey FOREIGN KEY (equipment_suspense) REFERENCES nominal(cod);


--
-- TOC entry 4699 (class 2606 OID 81273)
-- Dependencies: 4112 2567 2266
-- Name: asset_reg_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY asset_reg
    ADD CONSTRAINT asset_reg_fk FOREIGN KEY (nominal_cost) REFERENCES nominal(cod);


--
-- TOC entry 4700 (class 2606 OID 81278)
-- Dependencies: 4112 2567 2266
-- Name: asset_reg_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY asset_reg
    ADD CONSTRAINT asset_reg_fk1 FOREIGN KEY (nominal_accum_depn) REFERENCES nominal(cod);


--
-- TOC entry 4701 (class 2606 OID 81283)
-- Dependencies: 4112 2567 2266
-- Name: asset_reg_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY asset_reg
    ADD CONSTRAINT asset_reg_fk2 FOREIGN KEY (nominal_depn_exp) REFERENCES nominal(cod);


--
-- TOC entry 4702 (class 2606 OID 81288)
-- Dependencies: 4112 2567 2266
-- Name: asset_reg_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY asset_reg
    ADD CONSTRAINT asset_reg_fk3 FOREIGN KEY (nominal_disposals) REFERENCES nominal(cod);


--
-- TOC entry 4703 (class 2606 OID 81293)
-- Dependencies: 4112 2567 2266
-- Name: asset_reg_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY asset_reg
    ADD CONSTRAINT asset_reg_fk4 FOREIGN KEY (nominal_plondi) REFERENCES nominal(cod);


--
-- TOC entry 4709 (class 2606 OID 81298)
-- Dependencies: 4112 2567 2295
-- Name: bank_accounts_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY bank_accounts
    ADD CONSTRAINT bank_accounts_fk FOREIGN KEY (cod) REFERENCES nominal(cod);


--
-- TOC entry 4710 (class 2606 OID 81303)
-- Dependencies: 3864 2366 2295
-- Name: bank_accounts_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY bank_accounts
    ADD CONSTRAINT bank_accounts_fk1 FOREIGN KEY (currency_id) REFERENCES currency(cod);


--
-- TOC entry 4689 (class 2606 OID 81308)
-- Dependencies: 4290 2685 2253
-- Name: barcode_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY barcode
    ADD CONSTRAINT barcode_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 4690 (class 2606 OID 81313)
-- Dependencies: 4507 2879 2253
-- Name: barcode_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY barcode
    ADD CONSTRAINT barcode_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4711 (class 2606 OID 81318)
-- Dependencies: 3786 2307 2297
-- Name: bin_location_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY bin_location
    ADD CONSTRAINT bin_location_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4712 (class 2606 OID 81323)
-- Dependencies: 3770 2297 2297
-- Name: bin_location_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY bin_location
    ADD CONSTRAINT bin_location_fk1 FOREIGN KEY (parent) REFERENCES bin_location(nsuk);


--
-- TOC entry 4714 (class 2606 OID 81328)
-- Dependencies: 4125 2579 2303
-- Name: call_queue_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY call_queue
    ADD CONSTRAINT call_queue_fk FOREIGN KEY (called_by_id) REFERENCES "operator"(cod);


--
-- TOC entry 4715 (class 2606 OID 81333)
-- Dependencies: 3786 2307 2305
-- Name: cash_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cash
    ADD CONSTRAINT cash_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4716 (class 2606 OID 81338)
-- Dependencies: 4112 2567 2305
-- Name: cash_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cash
    ADD CONSTRAINT cash_fk1 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4717 (class 2606 OID 81343)
-- Dependencies: 4125 2579 2305
-- Name: cash_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cash
    ADD CONSTRAINT cash_fk2 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4718 (class 2606 OID 81348)
-- Dependencies: 4112 2567 2305
-- Name: cash_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cash
    ADD CONSTRAINT cash_fk3 FOREIGN KEY (cash_ac) REFERENCES nominal(cod);


--
-- TOC entry 4719 (class 2606 OID 81353)
-- Dependencies: 4083 2539 2305
-- Name: cash_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cash
    ADD CONSTRAINT cash_fk4 FOREIGN KEY (lodgement) REFERENCES lodgement(cod);


--
-- TOC entry 4731 (class 2606 OID 81358)
-- Dependencies: 3796 2316 2314
-- Name: cc_detail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cc_detail
    ADD CONSTRAINT cc_detail_fk FOREIGN KEY (cc_head) REFERENCES cc_head(nsuk);


--
-- TOC entry 4732 (class 2606 OID 81363)
-- Dependencies: 4290 2685 2314
-- Name: cc_detail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cc_detail
    ADD CONSTRAINT cc_detail_fk1 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 4733 (class 2606 OID 81368)
-- Dependencies: 3799 2318 2316
-- Name: cc_head_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cc_head
    ADD CONSTRAINT cc_head_fk FOREIGN KEY (status) REFERENCES cc_status(nsuk);


--
-- TOC entry 4734 (class 2606 OID 81373)
-- Dependencies: 4422 2796 2316
-- Name: cc_head_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cc_head
    ADD CONSTRAINT cc_head_fk1 FOREIGN KEY (contact) REFERENCES scontact(nsuk);


--
-- TOC entry 4735 (class 2606 OID 81378)
-- Dependencies: 4507 2879 2316
-- Name: cc_head_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cc_head
    ADD CONSTRAINT cc_head_fk2 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4736 (class 2606 OID 81383)
-- Dependencies: 4125 2579 2316
-- Name: cc_head_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cc_head
    ADD CONSTRAINT cc_head_fk3 FOREIGN KEY (entered_by) REFERENCES "operator"(cod);


--
-- TOC entry 4737 (class 2606 OID 81388)
-- Dependencies: 3786 2307 2316
-- Name: cc_head_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cc_head
    ADD CONSTRAINT cc_head_fk4 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4738 (class 2606 OID 81393)
-- Dependencies: 4422 2796 2316
-- Name: cc_head_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cc_head
    ADD CONSTRAINT cc_head_fk5 FOREIGN KEY (contact) REFERENCES scontact(nsuk);


--
-- TOC entry 4739 (class 2606 OID 81398)
-- Dependencies: 3814 2327 2327 2320 2320
-- Name: cdisposal_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cdisposal
    ADD CONSTRAINT cdisposal_fk FOREIGN KEY ("location", contract) REFERENCES chead("location", contract);


--
-- TOC entry 4740 (class 2606 OID 81403)
-- Dependencies: 3814 2327 2327 2325 2325
-- Name: chdetail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chdetail
    ADD CONSTRAINT chdetail_fk FOREIGN KEY ("location", contract) REFERENCES chead("location", contract);


--
-- TOC entry 4741 (class 2606 OID 81408)
-- Dependencies: 3783 2306 2306 2325 2325
-- Name: chdetail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chdetail
    ADD CONSTRAINT chdetail_fk1 FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4742 (class 2606 OID 81413)
-- Dependencies: 4125 2579 2325
-- Name: chdetail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chdetail
    ADD CONSTRAINT chdetail_fk2 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4743 (class 2606 OID 81418)
-- Dependencies: 3806 2325 2325 2325 2326 2326 2326
-- Name: chdetailext_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chdetailext
    ADD CONSTRAINT chdetailext_fk FOREIGN KEY ("location", contract, lin) REFERENCES chdetail("location", contract, lin);


--
-- TOC entry 4744 (class 2606 OID 81423)
-- Dependencies: 3804 2321 2326
-- Name: chdetailext_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chdetailext
    ADD CONSTRAINT chdetailext_fk1 FOREIGN KEY (charge_line) REFERENCES charge_lines(nsuk);


--
-- TOC entry 4745 (class 2606 OID 81428)
-- Dependencies: 3783 2306 2306 2327 2327
-- Name: chead_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chead
    ADD CONSTRAINT chead_fk FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4746 (class 2606 OID 81433)
-- Dependencies: 4125 2579 2327
-- Name: chead_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chead
    ADD CONSTRAINT chead_fk1 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4747 (class 2606 OID 81438)
-- Dependencies: 3894 2390 2390 2390 2327 2327 2327
-- Name: chead_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chead
    ADD CONSTRAINT chead_fk2 FOREIGN KEY (depot, cust, site) REFERENCES custsite(depot, cust, site);


--
-- TOC entry 4748 (class 2606 OID 81443)
-- Dependencies: 4541 2910 2327
-- Name: chead_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY chead
    ADD CONSTRAINT chead_fk3 FOREIGN KEY (tender) REFERENCES tender(cod);


--
-- TOC entry 4749 (class 2606 OID 81448)
-- Dependencies: 3823 2330 2328
-- Name: cheque_hist_det_cheque_history_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cheque_hist_det
    ADD CONSTRAINT cheque_hist_det_cheque_history_id_fkey FOREIGN KEY (cheque_history_id) REFERENCES cheque_history(nsuk);


--
-- TOC entry 4750 (class 2606 OID 81453)
-- Dependencies: 4233 2649 2330
-- Name: cheque_history_pledger_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cheque_history
    ADD CONSTRAINT cheque_history_pledger_id_fkey FOREIGN KEY (pledger_id) REFERENCES pledger(ser);


--
-- TOC entry 4751 (class 2606 OID 81458)
-- Dependencies: 4233 2649 2336
-- Name: cheque_xref_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cheque_xref
    ADD CONSTRAINT cheque_xref_fk FOREIGN KEY (ledger) REFERENCES pledger(ser);


--
-- TOC entry 4752 (class 2606 OID 81463)
-- Dependencies: 3829 2339 2337
-- Name: cn_detail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_detail
    ADD CONSTRAINT cn_detail_fk FOREIGN KEY (cn_head) REFERENCES cn_head(nsuk);


--
-- TOC entry 4753 (class 2606 OID 81468)
-- Dependencies: 4217 2638 2337
-- Name: cn_detail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_detail
    ADD CONSTRAINT cn_detail_fk1 FOREIGN KEY (pi_detail) REFERENCES pi_detail(nsuk);


--
-- TOC entry 4754 (class 2606 OID 81473)
-- Dependencies: 3793 2314 2337
-- Name: cn_detail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_detail
    ADD CONSTRAINT cn_detail_fk2 FOREIGN KEY (cc_detail) REFERENCES cc_detail(nsuk);


--
-- TOC entry 4755 (class 2606 OID 81478)
-- Dependencies: 4290 2685 2337
-- Name: cn_detail_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_detail
    ADD CONSTRAINT cn_detail_fk3 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 4756 (class 2606 OID 81483)
-- Dependencies: 4572 2962 2337
-- Name: cn_detail_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_detail
    ADD CONSTRAINT cn_detail_fk4 FOREIGN KEY (vat_code) REFERENCES vat(cod);


--
-- TOC entry 4757 (class 2606 OID 81488)
-- Dependencies: 4507 2879 2339
-- Name: cn_head_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_head
    ADD CONSTRAINT cn_head_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4758 (class 2606 OID 81493)
-- Dependencies: 4233 2649 2339
-- Name: cn_head_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_head
    ADD CONSTRAINT cn_head_fk1 FOREIGN KEY (pledger_ser) REFERENCES pledger(ser);


--
-- TOC entry 4759 (class 2606 OID 81498)
-- Dependencies: 4125 2579 2339
-- Name: cn_head_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_head
    ADD CONSTRAINT cn_head_fk2 FOREIGN KEY (entered_by) REFERENCES "operator"(cod);


--
-- TOC entry 4760 (class 2606 OID 81503)
-- Dependencies: 4217 2638 2341
-- Name: cn_pid_xref_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_pid_xref
    ADD CONSTRAINT cn_pid_xref_fk FOREIGN KEY (pidetail) REFERENCES pi_detail(nsuk);


--
-- TOC entry 4761 (class 2606 OID 81508)
-- Dependencies: 3793 2314 2341
-- Name: cn_pid_xref_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_pid_xref
    ADD CONSTRAINT cn_pid_xref_fk1 FOREIGN KEY (ccdetail) REFERENCES cc_detail(nsuk);


--
-- TOC entry 4762 (class 2606 OID 81513)
-- Dependencies: 3827 2337 2341
-- Name: cn_pid_xref_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cn_pid_xref
    ADD CONSTRAINT cn_pid_xref_fk2 FOREIGN KEY (cndetail) REFERENCES cn_detail(nsuk);


--
-- TOC entry 4763 (class 2606 OID 81518)
-- Dependencies: 3838 2345 2345 2345 2343 2343 2343
-- Name: cod_allocation_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

--ALTER TABLE ONLY cod_allocation
--    ADD CONSTRAINT cod_allocation_fk FOREIGN KEY ("location", contract, lin) REFERENCES codetail("location", contract, lin);


--
-- TOC entry 4764 (class 2606 OID 81523)
-- Dependencies: 3979 2460 2343
-- Name: cod_allocation_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cod_allocation
    ADD CONSTRAINT cod_allocation_fk1 FOREIGN KEY (gidetail) REFERENCES gi_detail(nsuk);


--
-- TOC entry 4765 (class 2606 OID 81528)
-- Dependencies: 4325 2709 2343
-- Name: cod_allocation_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cod_allocation
    ADD CONSTRAINT cod_allocation_fk2 FOREIGN KEY (pt_serial) REFERENCES pt_serial(nsuk);


--
-- TOC entry 4766 (class 2606 OID 81533)
-- Dependencies: 4290 2685 2345
-- Name: codetail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY codetail
    ADD CONSTRAINT codetail_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 4767 (class 2606 OID 81538)
-- Dependencies: 3742 2253 2345
-- Name: codetail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY codetail
    ADD CONSTRAINT codetail_fk1 FOREIGN KEY (barcode) REFERENCES barcode(ean);


--
-- TOC entry 4768 (class 2606 OID 81543)
-- Dependencies: 4125 2579 2345
-- Name: codetail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY codetail
    ADD CONSTRAINT codetail_fk2 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4769 (class 2606 OID 81548)
-- Dependencies: 4572 2962 2345
-- Name: codetail_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY codetail
    ADD CONSTRAINT codetail_fk3 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 4771 (class 2606 OID 81553)
-- Dependencies: 3847 2351 2349
-- Name: contact_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_fk FOREIGN KEY (typ) REFERENCES contact_type(cod);


--
-- TOC entry 4772 (class 2606 OID 81558)
-- Dependencies: 3783 2306 2306 2349 2349
-- Name: contact_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_fk1 FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4773 (class 2606 OID 81563)
-- Dependencies: 3783 2306 2306 2352 2352
-- Name: contract_suspend_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY contract_suspend
    ADD CONSTRAINT contract_suspend_fk FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4774 (class 2606 OID 81568)
-- Dependencies: 4125 2579 2352
-- Name: contract_suspend_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY contract_suspend
    ADD CONSTRAINT contract_suspend_fk1 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4775 (class 2606 OID 81573)
-- Dependencies: 3855 2361 2360
-- Name: cr_activity_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cr_activity
    ADD CONSTRAINT cr_activity_fk FOREIGN KEY (act_typ) REFERENCES cr_typ(typ);


--
-- TOC entry 4776 (class 2606 OID 81578)
-- Dependencies: 3783 2306 2306 2360 2360
-- Name: cr_activity_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cr_activity
    ADD CONSTRAINT cr_activity_fk1 FOREIGN KEY (ac_location, ac_code) REFERENCES cust(depot, cod);


--
-- TOC entry 4777 (class 2606 OID 81583)
-- Dependencies: 3786 2307 2360
-- Name: cr_activity_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cr_activity
    ADD CONSTRAINT cr_activity_fk2 FOREIGN KEY (depot) REFERENCES depot(cod);


--
-- TOC entry 4779 (class 2606 OID 81588)
-- Dependencies: 3783 2306 2306 2364 2364
-- Name: csearch_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY csearch
    ADD CONSTRAINT csearch_fk FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4780 (class 2606 OID 81593)
-- Dependencies: 3783 2306 2306 2365 2365
-- Name: csuspend_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY csuspend
    ADD CONSTRAINT csuspend_fk FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4781 (class 2606 OID 81598)
-- Dependencies: 4125 2579 2365
-- Name: csuspend_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY csuspend
    ADD CONSTRAINT csuspend_fk1 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4782 (class 2606 OID 81603)
-- Dependencies: 3864 2366 2367
-- Name: currency_rates_from_currency_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY currency_rates
    ADD CONSTRAINT currency_rates_from_currency_fkey FOREIGN KEY (from_currency) REFERENCES currency(cod);


--
-- TOC entry 4783 (class 2606 OID 81608)
-- Dependencies: 3864 2366 2367
-- Name: currency_rates_to_currency_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY currency_rates
    ADD CONSTRAINT currency_rates_to_currency_fkey FOREIGN KEY (to_currency) REFERENCES currency(cod);


--
-- TOC entry 4785 (class 2606 OID 81613)
-- Dependencies: 3783 2306 2306 2371 2371
-- Name: cust_category_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_category
    ADD CONSTRAINT cust_category_fk FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4786 (class 2606 OID 81618)
-- Dependencies: 3783 2306 2306 2372 2372
-- Name: cust_discstruct_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_discstruct
    ADD CONSTRAINT cust_discstruct_fk FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4787 (class 2606 OID 81623)
-- Dependencies: 3931 2418 2372
-- Name: cust_discstruct_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_discstruct
    ADD CONSTRAINT cust_discstruct_fk1 FOREIGN KEY (disc_struct) REFERENCES disc_struct(nsuk);


--
-- TOC entry 4788 (class 2606 OID 81628)
-- Dependencies: 3783 2306 2306 2374 2374
-- Name: cust_ext_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_ext
    ADD CONSTRAINT cust_ext_fk FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4789 (class 2606 OID 81633)
-- Dependencies: 4125 2579 2374
-- Name: cust_ext_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_ext
    ADD CONSTRAINT cust_ext_fk1 FOREIGN KEY (sales_rep) REFERENCES "operator"(cod);


--
-- TOC entry 4790 (class 2606 OID 81638)
-- Dependencies: 4125 2579 2374
-- Name: cust_ext_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_ext
    ADD CONSTRAINT cust_ext_fk2 FOREIGN KEY (credit_controller) REFERENCES "operator"(cod);


--
-- TOC entry 4791 (class 2606 OID 81643)
-- Dependencies: 4572 2962 2374
-- Name: cust_ext_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_ext
    ADD CONSTRAINT cust_ext_fk3 FOREIGN KEY (vatcode) REFERENCES vat(cod);


--
-- TOC entry 4720 (class 2606 OID 81648)
-- Dependencies: 3882 2379 2306
-- Name: cust_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust
    ADD CONSTRAINT cust_fk FOREIGN KEY (cust_status_id) REFERENCES cust_status(nsuk);


--
-- TOC entry 4721 (class 2606 OID 81653)
-- Dependencies: 3786 2307 2306
-- Name: cust_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust
    ADD CONSTRAINT cust_fk1 FOREIGN KEY (depot) REFERENCES depot(cod);


--
-- TOC entry 4722 (class 2606 OID 81658)
-- Dependencies: 4262 2666 2306
-- Name: cust_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust
    ADD CONSTRAINT cust_fk2 FOREIGN KEY (policy) REFERENCES policy(nam);


--
-- TOC entry 4723 (class 2606 OID 81663)
-- Dependencies: 4541 2910 2306
-- Name: cust_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust
    ADD CONSTRAINT cust_fk3 FOREIGN KEY (tender) REFERENCES tender(cod);


--
-- TOC entry 4724 (class 2606 OID 81668)
-- Dependencies: 3786 2307 2306
-- Name: cust_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust
    ADD CONSTRAINT cust_fk4 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4725 (class 2606 OID 81673)
-- Dependencies: 4125 2579 2306
-- Name: cust_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust
    ADD CONSTRAINT cust_fk5 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4792 (class 2606 OID 81678)
-- Dependencies: 3786 2307 2375
-- Name: cust_order_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4793 (class 2606 OID 81683)
-- Dependencies: 3783 2306 2306 2375 2375
-- Name: cust_order_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk1 FOREIGN KEY (depot, customer) REFERENCES cust(depot, cod);


--
-- TOC entry 4794 (class 2606 OID 81688)
-- Dependencies: 3843 2349 2375
-- Name: cust_order_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk2 FOREIGN KEY (customer_contact) REFERENCES contact(nsuk);


--
-- TOC entry 4795 (class 2606 OID 81693)
-- Dependencies: 3894 2390 2390 2390 2375 2375 2375
-- Name: cust_order_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk3 FOREIGN KEY (depot, customer, site) REFERENCES custsite(depot, cust, site);


--
-- TOC entry 4796 (class 2606 OID 81698)
-- Dependencies: 4268 2670 2375
-- Name: cust_order_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk4 FOREIGN KEY (price_list) REFERENCES pricelist(nsuk);


--
-- TOC entry 4797 (class 2606 OID 81703)
-- Dependencies: 3931 2418 2375
-- Name: cust_order_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk5 FOREIGN KEY (discount_structure) REFERENCES disc_struct(nsuk);


--
-- TOC entry 4798 (class 2606 OID 81708)
-- Dependencies: 4262 2666 2375
-- Name: cust_order_fk6; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk6 FOREIGN KEY (policy) REFERENCES policy(nam);


--
-- TOC entry 4799 (class 2606 OID 81713)
-- Dependencies: 4353 2736 2375
-- Name: cust_order_fk7; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk7 FOREIGN KEY (quotation) REFERENCES "quote"(nsuk);


--
-- TOC entry 4800 (class 2606 OID 81718)
-- Dependencies: 4125 2579 2375
-- Name: cust_order_fk8; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk8 FOREIGN KEY (sales_rep) REFERENCES "operator"(cod);


--
-- TOC entry 4801 (class 2606 OID 81723)
-- Dependencies: 4125 2579 2375
-- Name: cust_order_fk9; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT cust_order_fk9 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4803 (class 2606 OID 81728)
-- Dependencies: 3783 2306 2306 2377 2377
-- Name: cust_pricelist_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_pricelist
    ADD CONSTRAINT cust_pricelist_fk FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4804 (class 2606 OID 81733)
-- Dependencies: 4268 2670 2377
-- Name: cust_pricelist_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_pricelist
    ADD CONSTRAINT cust_pricelist_fk1 FOREIGN KEY (pricelist) REFERENCES pricelist(nsuk);


--
-- TOC entry 4805 (class 2606 OID 81738)
-- Dependencies: 4125 2579 2380
-- Name: cust_status_hist_operator1_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_status_hist
    ADD CONSTRAINT cust_status_hist_operator1_id_fkey FOREIGN KEY (operator1_id) REFERENCES "operator"(cod);


--
-- TOC entry 4806 (class 2606 OID 81743)
-- Dependencies: 4125 2579 2380
-- Name: cust_status_hist_operator2_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_status_hist
    ADD CONSTRAINT cust_status_hist_operator2_id_fkey FOREIGN KEY (operator2_id) REFERENCES "operator"(cod);


--
-- TOC entry 4810 (class 2606 OID 81748)
-- Dependencies: 3783 2306 2306 2385 2385
-- Name: custid_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY custid
    ADD CONSTRAINT custid_fk FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4811 (class 2606 OID 81753)
-- Dependencies: 3783 2306 2306 2386 2386
-- Name: custlist_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY custlist
    ADD CONSTRAINT custlist_fk FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4812 (class 2606 OID 81758)
-- Dependencies: 3783 2306 2306 2390 2390
-- Name: custsite_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY custsite
    ADD CONSTRAINT custsite_fk FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4813 (class 2606 OID 81763)
-- Dependencies: 3923 2412 2392
-- Name: d_msales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY d_msales
    ADD CONSTRAINT d_msales_fk FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 4815 (class 2606 OID 81768)
-- Dependencies: 3923 2412 2394
-- Name: d_wsales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY d_wsales
    ADD CONSTRAINT d_wsales_fk FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 4816 (class 2606 OID 81773)
-- Dependencies: 3923 2412 2396
-- Name: d_ysales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY d_ysales
    ADD CONSTRAINT d_ysales_fk FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 4727 (class 2606 OID 81778)
-- Dependencies: 3801 2319 2307
-- Name: depot_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY depot
    ADD CONSTRAINT depot_fk FOREIGN KEY (cost_centre) REFERENCES ccentre(cod);


--
-- TOC entry 4728 (class 2606 OID 81783)
-- Dependencies: 3786 2307 2307
-- Name: depot_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY depot
    ADD CONSTRAINT depot_fk1 FOREIGN KEY (acdepot) REFERENCES depot(cod);


--
-- TOC entry 4818 (class 2606 OID 81788)
-- Dependencies: 3923 2412 2413
-- Name: dept_group_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY dept_group
    ADD CONSTRAINT dept_group_fk FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 4819 (class 2606 OID 81793)
-- Dependencies: 3931 2418 2416
-- Name: disc_detail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disc_detail
    ADD CONSTRAINT disc_detail_fk FOREIGN KEY (disc_struct) REFERENCES disc_struct(nsuk);


--
-- TOC entry 4820 (class 2606 OID 81798)
-- Dependencies: 3923 2412 2416
-- Name: disc_detail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disc_detail
    ADD CONSTRAINT disc_detail_fk1 FOREIGN KEY (department) REFERENCES dept(nsuk);


--
-- TOC entry 4821 (class 2606 OID 81803)
-- Dependencies: 3926 2413 2416
-- Name: disc_detail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disc_detail
    ADD CONSTRAINT disc_detail_fk2 FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk);


--
-- TOC entry 4822 (class 2606 OID 81808)
-- Dependencies: 3765 2266 2421
-- Name: disposals_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disposals
    ADD CONSTRAINT disposals_fk FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod);


--
-- TOC entry 4823 (class 2606 OID 81813)
-- Dependencies: 3783 2306 2306 2421 2421
-- Name: disposals_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disposals
    ADD CONSTRAINT disposals_fk2 FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4824 (class 2606 OID 81818)
-- Dependencies: 3786 2307 2421
-- Name: disposals_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disposals
    ADD CONSTRAINT disposals_fk3 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4825 (class 2606 OID 81823)
-- Dependencies: 3938 2423 2421
-- Name: disposals_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disposals
    ADD CONSTRAINT disposals_fk4 FOREIGN KEY (disposal_type) REFERENCES disptypes(cod);


--
-- TOC entry 4828 (class 2606 OID 81828)
-- Dependencies: 3765 2266 2424
-- Name: dispxref_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY dispxref
    ADD CONSTRAINT dispxref_fk FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod);


--
-- TOC entry 4829 (class 2606 OID 81833)
-- Dependencies: 3934 2421 2424
-- Name: dispxref_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY dispxref
    ADD CONSTRAINT dispxref_fk1 FOREIGN KEY (disposal) REFERENCES disposals(ser);


--
-- TOC entry 4830 (class 2606 OID 81838)
-- Dependencies: 3765 2266 2428
-- Name: driver_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY driver
    ADD CONSTRAINT driver_fk FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod);


--
-- TOC entry 4831 (class 2606 OID 81843)
-- Dependencies: 4189 2621 2621 2428 2428
-- Name: driver_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY driver
    ADD CONSTRAINT driver_fk1 FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod);


--
-- TOC entry 4705 (class 2606 OID 81848)
-- Dependencies: 3950 2441 2267
-- Name: fk_audit_cust; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY audit_cust
    ADD CONSTRAINT fk_audit_cust FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4706 (class 2606 OID 81853)
-- Dependencies: 3950 2441 2275
-- Name: fk_audit_ihead; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY audit_ihead
    ADD CONSTRAINT fk_audit_ihead FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4707 (class 2606 OID 81858)
-- Dependencies: 3950 2441 2283
-- Name: fk_audit_pledger1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY audit_pledger
    ADD CONSTRAINT fk_audit_pledger1 FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4708 (class 2606 OID 81863)
-- Dependencies: 3950 2441 2289
-- Name: fk_audit_sledger; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY audit_sledger
    ADD CONSTRAINT fk_audit_sledger FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4770 (class 2606 OID 81868)
-- Dependencies: 3950 2441 2347
-- Name: fk_con_except; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY con_except
    ADD CONSTRAINT fk_con_except FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4778 (class 2606 OID 81873)
-- Dependencies: 3950 2441 2360
-- Name: fk_cr_activity; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cr_activity
    ADD CONSTRAINT fk_cr_activity FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4807 (class 2606 OID 81878)
-- Dependencies: 3783 2306 2306 2380 2380
-- Name: fk_cs_st_hist; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_status_hist
    ADD CONSTRAINT fk_cs_st_hist FOREIGN KEY (depot, cust_id) REFERENCES cust(depot, cod);


--
-- TOC entry 4726 (class 2606 OID 81883)
-- Dependencies: 3950 2441 2306
-- Name: fk_cust; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust
    ADD CONSTRAINT fk_cust FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4784 (class 2606 OID 81888)
-- Dependencies: 3950 2441 2370
-- Name: fk_cust_age; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_age
    ADD CONSTRAINT fk_cust_age FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4808 (class 2606 OID 81893)
-- Dependencies: 3950 2441 2383
-- Name: fk_custage; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY custage
    ADD CONSTRAINT fk_custage FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4809 (class 2606 OID 81898)
-- Dependencies: 3950 2441 2384
-- Name: fk_custbals; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY custbals
    ADD CONSTRAINT fk_custbals FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4814 (class 2606 OID 81903)
-- Dependencies: 3950 2441 2392
-- Name: fk_d_msales; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY d_msales
    ADD CONSTRAINT fk_d_msales FOREIGN KEY (mth) REFERENCES first_of_month(date);


--
-- TOC entry 4817 (class 2606 OID 81908)
-- Dependencies: 3950 2441 2398
-- Name: fk_danal; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY danal
    ADD CONSTRAINT fk_danal FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4826 (class 2606 OID 81913)
-- Dependencies: 3950 2441 2421
-- Name: fk_disposals; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disposals
    ADD CONSTRAINT fk_disposals FOREIGN KEY (sales_period) REFERENCES first_of_month(date);


--
-- TOC entry 4827 (class 2606 OID 81918)
-- Dependencies: 3950 2441 2421
-- Name: fk_disposals1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY disposals
    ADD CONSTRAINT fk_disposals1 FOREIGN KEY (nominal_period) REFERENCES first_of_month(date);


--
-- TOC entry 4729 (class 2606 OID 81923)
-- Dependencies: 3950 2441 2308
-- Name: fk_dparams; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY dparams
    ADD CONSTRAINT fk_dparams FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4730 (class 2606 OID 81928)
-- Dependencies: 3950 2441 2308
-- Name: fk_dparams1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY dparams
    ADD CONSTRAINT fk_dparams1 FOREIGN KEY (boy_period) REFERENCES first_of_month(date);


--
-- TOC entry 4832 (class 2606 OID 81933)
-- Dependencies: 3950 2441 2433
-- Name: fk_euro_cash; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY euro_cash
    ADD CONSTRAINT fk_euro_cash FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5180 (class 2606 OID 445939)
-- Dependencies: 3980 2460 3078
-- Name: fk_fleet_gid_xref; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY fleet_gid_xref
    ADD CONSTRAINT fk_fleet_gid_xref FOREIGN KEY (gi_detail) REFERENCES gi_detail(nsuk);


--
-- TOC entry 4833 (class 2606 OID 81938)
-- Dependencies: 3950 2441 2442
-- Name: fk_freeze_gid; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY freeze_gid
    ADD CONSTRAINT fk_freeze_gid FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4835 (class 2606 OID 81943)
-- Dependencies: 3950 2441 2446
-- Name: fk_g_ihead; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY g_ihead
    ADD CONSTRAINT fk_g_ihead FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4836 (class 2606 OID 81948)
-- Dependencies: 3950 2441 2448
-- Name: fk_g_msales; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY g_msales
    ADD CONSTRAINT fk_g_msales FOREIGN KEY (mth) REFERENCES first_of_month(date);


--
-- TOC entry 4844 (class 2606 OID 81953)
-- Dependencies: 3950 2441 2460
-- Name: fk_gi_detail; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT fk_gi_detail FOREIGN KEY (stock_period) REFERENCES first_of_month(date);


--
-- TOC entry 4858 (class 2606 OID 81958)
-- Dependencies: 3950 2441 2470
-- Name: fk_hanal; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hanal
    ADD CONSTRAINT fk_hanal FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4876 (class 2606 OID 81963)
-- Dependencies: 3950 2441 2489
-- Name: fk_ihead; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihead
    ADD CONSTRAINT fk_ihead FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4902 (class 2606 OID 81968)
-- Dependencies: 3950 2441 2524
-- Name: fk_journals; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY journals
    ADD CONSTRAINT fk_journals FOREIGN KEY (nominal_period) REFERENCES first_of_month(date);


--
-- TOC entry 4907 (class 2606 OID 81973)
-- Dependencies: 3950 2441 2539
-- Name: fk_lodgement; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY lodgement
    ADD CONSTRAINT fk_lodgement FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4911 (class 2606 OID 81978)
-- Dependencies: 3950 2441 2559
-- Name: fk_nlbals; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlbals
    ADD CONSTRAINT fk_nlbals FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4912 (class 2606 OID 81983)
-- Dependencies: 3950 2441 2560
-- Name: fk_nlbatch; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlbatch
    ADD CONSTRAINT fk_nlbatch FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4915 (class 2606 OID 81988)
-- Dependencies: 3950 2441 2561
-- Name: fk_nlmap; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlmap
    ADD CONSTRAINT fk_nlmap FOREIGN KEY (nominal_period) REFERENCES first_of_month(date);


--
-- TOC entry 4916 (class 2606 OID 81993)
-- Dependencies: 3950 2441 2561
-- Name: fk_nlmap1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlmap
    ADD CONSTRAINT fk_nlmap1 FOREIGN KEY (from_period) REFERENCES first_of_month(date);


--
-- TOC entry 4917 (class 2606 OID 81998)
-- Dependencies: 3950 2441 2561
-- Name: fk_nlmap2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlmap
    ADD CONSTRAINT fk_nlmap2 FOREIGN KEY (to_period) REFERENCES first_of_month(date);


--
-- TOC entry 4918 (class 2606 OID 82003)
-- Dependencies: 3950 2441 2562
-- Name: fk_nlperiods; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlperiods
    ADD CONSTRAINT fk_nlperiods FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4919 (class 2606 OID 82008)
-- Dependencies: 3950 2441 2562
-- Name: fk_nlperiods1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlperiods
    ADD CONSTRAINT fk_nlperiods1 FOREIGN KEY (from_debtor) REFERENCES first_of_month(date);


--
-- TOC entry 4920 (class 2606 OID 82013)
-- Dependencies: 3950 2441 2562
-- Name: fk_nlperiods2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlperiods
    ADD CONSTRAINT fk_nlperiods2 FOREIGN KEY (to_debtor) REFERENCES first_of_month(date);


--
-- TOC entry 4921 (class 2606 OID 82018)
-- Dependencies: 3950 2441 2562
-- Name: fk_nlperiods3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlperiods
    ADD CONSTRAINT fk_nlperiods3 FOREIGN KEY (from_creditor) REFERENCES first_of_month(date);


--
-- TOC entry 4922 (class 2606 OID 82023)
-- Dependencies: 3950 2441 2562
-- Name: fk_nlperiods4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlperiods
    ADD CONSTRAINT fk_nlperiods4 FOREIGN KEY (to_creditor) REFERENCES first_of_month(date);


--
-- TOC entry 4923 (class 2606 OID 82028)
-- Dependencies: 3950 2441 2563
-- Name: fk_nltrans; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans
    ADD CONSTRAINT fk_nltrans FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4934 (class 2606 OID 82033)
-- Dependencies: 3950 2441 2571
-- Name: fk_nparams; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT fk_nparams FOREIGN KEY (current_period) REFERENCES first_of_month(date);


--
-- TOC entry 4935 (class 2606 OID 82038)
-- Dependencies: 3950 2441 2571
-- Name: fk_nparams1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT fk_nparams1 FOREIGN KEY (boy_period) REFERENCES first_of_month(date);


--
-- TOC entry 4955 (class 2606 OID 82043)
-- Dependencies: 3950 2441 2587
-- Name: fk_p_msales; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY p_msales
    ADD CONSTRAINT fk_p_msales FOREIGN KEY (mth) REFERENCES first_of_month(date);


--
-- TOC entry 4960 (class 2606 OID 82048)
-- Dependencies: 4148 2598 2596
-- Name: fk_pallex_to_palloc; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocex
    ADD CONSTRAINT fk_pallex_to_palloc FOREIGN KEY (allocation) REFERENCES pallocper(allocation);


--
-- TOC entry 4961 (class 2606 OID 82053)
-- Dependencies: 4233 2649 2596
-- Name: fk_pallex_to_pledger; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocex
    ADD CONSTRAINT fk_pallex_to_pledger FOREIGN KEY (pledger_id) REFERENCES pledger(ser);


--
-- TOC entry 4962 (class 2606 OID 82058)
-- Dependencies: 3950 2441 2598
-- Name: fk_pallocper; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocper
    ADD CONSTRAINT fk_pallocper FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4966 (class 2606 OID 82063)
-- Dependencies: 3950 2441 2608
-- Name: fk_pc_ihead; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pc_ihead
    ADD CONSTRAINT fk_pc_ihead FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4968 (class 2606 OID 82068)
-- Dependencies: 3950 2441 2617
-- Name: fk_pcost_ctrl; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pcost_ctrl
    ADD CONSTRAINT fk_pcost_ctrl FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4969 (class 2606 OID 82073)
-- Dependencies: 3950 2441 2618
-- Name: fk_pcost_history; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pcost_history
    ADD CONSTRAINT fk_pcost_history FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4977 (class 2606 OID 82078)
-- Dependencies: 3950 2441 2636
-- Name: fk_phistory; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY phistory
    ADD CONSTRAINT fk_phistory FOREIGN KEY (nominal_period) REFERENCES first_of_month(date);


--
-- TOC entry 4978 (class 2606 OID 82083)
-- Dependencies: 3950 2441 2636
-- Name: fk_phistory1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY phistory
    ADD CONSTRAINT fk_phistory1 FOREIGN KEY (sales_period) REFERENCES first_of_month(date);


--
-- TOC entry 4989 (class 2606 OID 82088)
-- Dependencies: 3950 2441 2649
-- Name: fk_pledger; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pledger
    ADD CONSTRAINT fk_pledger FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5014 (class 2606 OID 82093)
-- Dependencies: 3950 2441 2665
-- Name: fk_pohanal; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pohanal
    ADD CONSTRAINT fk_pohanal FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5016 (class 2606 OID 82098)
-- Dependencies: 3950 2441 2667
-- Name: fk_pparams; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pparams
    ADD CONSTRAINT fk_pparams FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5017 (class 2606 OID 82103)
-- Dependencies: 3950 2441 2667
-- Name: fk_pparams1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pparams
    ADD CONSTRAINT fk_pparams1 FOREIGN KEY (eoy) REFERENCES first_of_month(date);


--
-- TOC entry 5034 (class 2606 OID 82108)
-- Dependencies: 3950 2441 2696
-- Name: fk_pstock_history; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pstock_history
    ADD CONSTRAINT fk_pstock_history FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5037 (class 2606 OID 82113)
-- Dependencies: 3950 2441 2700
-- Name: fk_pt_msales; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_msales
    ADD CONSTRAINT fk_pt_msales FOREIGN KEY (mth) REFERENCES first_of_month(date);


--
-- TOC entry 5059 (class 2606 OID 82118)
-- Dependencies: 3950 2441 2718
-- Name: fk_punt_cash; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY punt_cash
    ADD CONSTRAINT fk_punt_cash FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5060 (class 2606 OID 82123)
-- Dependencies: 3950 2441 2720
-- Name: fk_putil; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY putil
    ADD CONSTRAINT fk_putil FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5062 (class 2606 OID 82128)
-- Dependencies: 3950 2441 2740
-- Name: fk_r_msales; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY r_msales
    ADD CONSTRAINT fk_r_msales FOREIGN KEY (mth) REFERENCES first_of_month(date);


--
-- TOC entry 5063 (class 2606 OID 82133)
-- Dependencies: 4112 2567 2757
-- Name: fk_res_ac; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY reserved_ac
    ADD CONSTRAINT fk_res_ac FOREIGN KEY (account_code) REFERENCES nominal(cod);


--
-- TOC entry 5066 (class 2606 OID 82138)
-- Dependencies: 3950 2441 2769
-- Name: fk_s_msales; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY s_msales
    ADD CONSTRAINT fk_s_msales FOREIGN KEY (mth) REFERENCES first_of_month(date);


--
-- TOC entry 5078 (class 2606 OID 82143)
-- Dependencies: 3950 2441 2782
-- Name: fk_sallocper; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sallocper
    ADD CONSTRAINT fk_sallocper FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5081 (class 2606 OID 82148)
-- Dependencies: 3950 2441 2783
-- Name: fk_sanal; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sanal
    ADD CONSTRAINT fk_sanal FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5104 (class 2606 OID 82153)
-- Dependencies: 3950 2441 2820
-- Name: fk_siteda; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY siteda
    ADD CONSTRAINT fk_siteda FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5105 (class 2606 OID 82158)
-- Dependencies: 3950 2441 2821
-- Name: fk_siteha; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY siteha
    ADD CONSTRAINT fk_siteha FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5106 (class 2606 OID 82163)
-- Dependencies: 3950 2441 2822
-- Name: fk_sitesa; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sitesa
    ADD CONSTRAINT fk_sitesa FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4691 (class 2606 OID 82168)
-- Dependencies: 3950 2441 2254
-- Name: fk_sledger; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sledger
    ADD CONSTRAINT fk_sledger FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5109 (class 2606 OID 82173)
-- Dependencies: 3950 2441 2826
-- Name: fk_smartcard; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY smartcard
    ADD CONSTRAINT fk_smartcard FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5115 (class 2606 OID 82178)
-- Dependencies: 3950 2441 2845
-- Name: fk_ssledger; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ssledger
    ADD CONSTRAINT fk_ssledger FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5121 (class 2606 OID 82183)
-- Dependencies: 3950 2441 2854
-- Name: fk_stk_header; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_header
    ADD CONSTRAINT fk_stk_header FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5128 (class 2606 OID 82188)
-- Dependencies: 3950 2441 2861
-- Name: fk_stock_control; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_control
    ADD CONSTRAINT fk_stock_control FOREIGN KEY (current_period) REFERENCES first_of_month(date);


--
-- TOC entry 5129 (class 2606 OID 82193)
-- Dependencies: 3950 2441 2861
-- Name: fk_stock_control1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_control
    ADD CONSTRAINT fk_stock_control1 FOREIGN KEY (nposted_period) REFERENCES first_of_month(date);


--
-- TOC entry 5134 (class 2606 OID 82198)
-- Dependencies: 3950 2441 2866
-- Name: fk_stock_movement; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT fk_stock_movement FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5145 (class 2606 OID 82203)
-- Dependencies: 3950 2441 2880
-- Name: fk_supplier_age; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier_age
    ADD CONSTRAINT fk_supplier_age FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5161 (class 2606 OID 82208)
-- Dependencies: 3950 2441 2925
-- Name: fk_turnover; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY turnover
    ADD CONSTRAINT fk_turnover FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5020 (class 2606 OID 82213)
-- Dependencies: 4273 2674 2670
-- Name: fk_type; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pricelist
    ADD CONSTRAINT fk_type FOREIGN KEY (type_id) REFERENCES pricelist_types("type");


--
-- TOC entry 5164 (class 2606 OID 82218)
-- Dependencies: 3950 2441 2928
-- Name: fk_unmatched_history; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY unmatched_history
    ADD CONSTRAINT fk_unmatched_history FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 5168 (class 2606 OID 82223)
-- Dependencies: 3950 2441 2964
-- Name: fk_vatsum; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY vatsum
    ADD CONSTRAINT fk_vatsum FOREIGN KEY (period) REFERENCES first_of_month(date);


--
-- TOC entry 4802 (class 2606 OID 82228)
-- Dependencies: 4268 2670 2375
-- Name: fkcustotopricelist; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY cust_order
    ADD CONSTRAINT fkcustotopricelist FOREIGN KEY (rental_price_list) REFERENCES pricelist(nsuk);


--
-- TOC entry 5061 (class 2606 OID 82233)
-- Dependencies: 4268 2670 2736
-- Name: fkquotetopricelist; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY quote
    ADD CONSTRAINT fkquotetopricelist FOREIGN KEY (rental_price_list) REFERENCES pricelist(nsuk);


--
-- TOC entry 4834 (class 2606 OID 82238)
-- Dependencies: 3979 2460 2442
-- Name: freeze_gid_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY freeze_gid
    ADD CONSTRAINT freeze_gid_fk FOREIGN KEY (gi_detail) REFERENCES gi_detail(nsuk);


--
-- TOC entry 4837 (class 2606 OID 82243)
-- Dependencies: 3926 2413 2448
-- Name: g_msales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY g_msales
    ADD CONSTRAINT g_msales_fk FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk);


--
-- TOC entry 4838 (class 2606 OID 82248)
-- Dependencies: 3923 2412 2448
-- Name: g_msales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY g_msales
    ADD CONSTRAINT g_msales_fk1 FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 4839 (class 2606 OID 82253)
-- Dependencies: 3926 2413 2450
-- Name: g_wsales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY g_wsales
    ADD CONSTRAINT g_wsales_fk FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk);


--
-- TOC entry 4840 (class 2606 OID 82258)
-- Dependencies: 3923 2412 2450
-- Name: g_wsales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY g_wsales
    ADD CONSTRAINT g_wsales_fk1 FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 4841 (class 2606 OID 82263)
-- Dependencies: 3926 2413 2452
-- Name: g_ysales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY g_ysales
    ADD CONSTRAINT g_ysales_fk FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk);


--
-- TOC entry 4842 (class 2606 OID 82268)
-- Dependencies: 3923 2412 2452
-- Name: g_ysales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY g_ysales
    ADD CONSTRAINT g_ysales_fk1 FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 4845 (class 2606 OID 82273)
-- Dependencies: 3982 2462 2460
-- Name: gi_detail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT gi_detail_fk FOREIGN KEY (gi_head) REFERENCES gi_head(nsuk);


--
-- TOC entry 4846 (class 2606 OID 82278)
-- Dependencies: 4290 2685 2460
-- Name: gi_detail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT gi_detail_fk1 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 4847 (class 2606 OID 82283)
-- Dependencies: 4253 2660 2460
-- Name: gi_detail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT gi_detail_fk2 FOREIGN KEY (po_detail) REFERENCES po_detail(nsuk);


--
-- TOC entry 4848 (class 2606 OID 82288)
-- Dependencies: 3793 2314 2460
-- Name: gi_detail_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT gi_detail_fk3 FOREIGN KEY (cc_detail) REFERENCES cc_detail(nsuk);


--
-- TOC entry 4849 (class 2606 OID 82293)
-- Dependencies: 4217 2638 2460
-- Name: gi_detail_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT gi_detail_fk4 FOREIGN KEY (pi_detail) REFERENCES pi_detail(nsuk);


--
-- TOC entry 4850 (class 2606 OID 82298)
-- Dependencies: 3786 2307 2460
-- Name: gi_detail_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT gi_detail_fk5 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4851 (class 2606 OID 82303)
-- Dependencies: 4189 2621 2621 2460 2460
-- Name: gi_detail_fk6; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT gi_detail_fk6 FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod);


--
-- TOC entry 4852 (class 2606 OID 82308)
-- Dependencies: 3786 2307 2460
-- Name: gi_detail_fk7; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT gi_detail_fk7 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4853 (class 2606 OID 82313)
-- Dependencies: 4507 2879 2462
-- Name: gi_head_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_head
    ADD CONSTRAINT gi_head_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4854 (class 2606 OID 82318)
-- Dependencies: 4125 2579 2462
-- Name: gi_head_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_head
    ADD CONSTRAINT gi_head_fk1 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4855 (class 2606 OID 82323)
-- Dependencies: 3786 2307 2462
-- Name: gi_head_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_head
    ADD CONSTRAINT gi_head_fk2 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4856 (class 2606 OID 82328)
-- Dependencies: 4125 2579 2462
-- Name: gi_head_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_head
    ADD CONSTRAINT gi_head_fk3 FOREIGN KEY (inspected_by) REFERENCES "operator"(cod);


--
-- TOC entry 4857 (class 2606 OID 82333)
-- Dependencies: 4031 2493 2462
-- Name: gi_head_image_ref_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY gi_head
    ADD CONSTRAINT gi_head_image_ref_id_fkey FOREIGN KEY (image_ref_id) REFERENCES imaging_barcode(nsuk);


--
-- TOC entry 4859 (class 2606 OID 82338)
-- Dependencies: 3990 2472 2473
-- Name: hire_dept_group_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hire_dept_group
    ADD CONSTRAINT hire_dept_group_fk FOREIGN KEY (hire_dept) REFERENCES hire_dept(nsuk);


--
-- TOC entry 4860 (class 2606 OID 82343)
-- Dependencies: 3786 2307 2481
-- Name: hmhead_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hmhead
    ADD CONSTRAINT hmhead_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4861 (class 2606 OID 82348)
-- Dependencies: 4125 2579 2481
-- Name: hmhead_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hmhead
    ADD CONSTRAINT hmhead_fk1 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4862 (class 2606 OID 82353)
-- Dependencies: 3783 2306 2306 2481 2481
-- Name: hmhead_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hmhead
    ADD CONSTRAINT hmhead_fk2 FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4863 (class 2606 OID 82358)
-- Dependencies: 3943 2428 2481
-- Name: hmhead_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hmhead
    ADD CONSTRAINT hmhead_fk3 FOREIGN KEY (driver) REFERENCES driver(nsuk);


--
-- TOC entry 4864 (class 2606 OID 82363)
-- Dependencies: 4189 2621 2621 2481 2481
-- Name: hmhead_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hmhead
    ADD CONSTRAINT hmhead_fk4 FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod);


--
-- TOC entry 4865 (class 2606 OID 82368)
-- Dependencies: 4031 2493 2481
-- Name: hmhead_image_ref_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hmhead
    ADD CONSTRAINT hmhead_image_ref_id_fkey FOREIGN KEY (image_ref_id) REFERENCES imaging_barcode(nsuk);


--
-- TOC entry 4866 (class 2606 OID 82373)
-- Dependencies: 4541 2910 2483
-- Name: hrates_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY hrates
    ADD CONSTRAINT hrates_fk1 FOREIGN KEY (tender) REFERENCES tender(cod);


--
-- TOC entry 4867 (class 2606 OID 82378)
-- Dependencies: 4112 2567 2485
-- Name: iddetail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY iddetail
    ADD CONSTRAINT iddetail_fk1 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4868 (class 2606 OID 82383)
-- Dependencies: 4572 2962 2485
-- Name: iddetail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY iddetail
    ADD CONSTRAINT iddetail_fk2 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 4869 (class 2606 OID 82388)
-- Dependencies: 3786 2307 2485
-- Name: iddetail_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY iddetail
    ADD CONSTRAINT iddetail_fk3 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4870 (class 2606 OID 82393)
-- Dependencies: 3786 2307 2485
-- Name: iddetail_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY iddetail
    ADD CONSTRAINT iddetail_fk4 FOREIGN KEY (ac_location) REFERENCES depot(cod);


--
-- TOC entry 4871 (class 2606 OID 82398)
-- Dependencies: 4021 2489 2489 2489 2489 2487 2487 2487 2487
-- Name: ihdetail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

--ALTER TABLE ONLY ihdetail
---    ADD CONSTRAINT ihdetail_fk FOREIGN KEY (doc_type, "location", ref, cust) REFERENCES ihead(doc_type, "location", ref, cust);


--
-- TOC entry 4872 (class 2606 OID 82403)
-- Dependencies: 3786 2307 2487
-- Name: ihdetail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihdetail
    ADD CONSTRAINT ihdetail_fk1 FOREIGN KEY (ac_location) REFERENCES depot(cod);


--
-- TOC entry 4873 (class 2606 OID 82408)
-- Dependencies: 3786 2307 2487
-- Name: ihdetail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihdetail
    ADD CONSTRAINT ihdetail_fk2 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4874 (class 2606 OID 82413)
-- Dependencies: 4112 2567 2487
-- Name: ihdetail_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihdetail
    ADD CONSTRAINT ihdetail_fk3 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4875 (class 2606 OID 82418)
-- Dependencies: 4572 2962 2487
-- Name: ihdetail_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihdetail
    ADD CONSTRAINT ihdetail_fk4 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 4877 (class 2606 OID 82423)
-- Dependencies: 3783 2306 2306 2489 2489
-- Name: ihead_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihead
    ADD CONSTRAINT ihead_fk FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4878 (class 2606 OID 82428)
-- Dependencies: 4125 2579 2489
-- Name: ihead_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihead
    ADD CONSTRAINT ihead_fk1 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4879 (class 2606 OID 82433)
-- Dependencies: 4125 2579 2489
-- Name: ihead_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihead
    ADD CONSTRAINT ihead_fk2 FOREIGN KEY (sales_rep) REFERENCES "operator"(cod);


--
-- TOC entry 4880 (class 2606 OID 82438)
-- Dependencies: 4372 2761 2490
-- Name: ihead_hmhead_map_return_reason_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ihead_hmhead_map
    ADD CONSTRAINT ihead_hmhead_map_return_reason_id_fkey FOREIGN KEY (return_reason_id) REFERENCES return_reason(nsuk);


--
-- TOC entry 4881 (class 2606 OID 82443)
-- Dependencies: 4417 2793 2493
-- Name: imaging_barcode_docket_type_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY imaging_barcode
    ADD CONSTRAINT imaging_barcode_docket_type_id_fkey FOREIGN KEY (docket_type_id) REFERENCES scanned_docket_type(code);


--
-- TOC entry 4882 (class 2606 OID 82448)
-- Dependencies: 3783 2306 2306 2497 2497
-- Name: inv_details_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY inv_details
    ADD CONSTRAINT inv_details_fk FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4883 (class 2606 OID 82453)
-- Dependencies: 4021 2489 2489 2489 2489 2507 2507 2507 2507
-- Name: iodetail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

--ALTER TABLE ONLY iodetail
--    ADD CONSTRAINT iodetail_fk FOREIGN KEY (doc_type, "location", ref, cust) REFERENCES ihead(doc_type, "location", ref, cust);


--
-- TOC entry 4884 (class 2606 OID 82458)
-- Dependencies: 4290 2685 2507
-- Name: iodetail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY iodetail
    ADD CONSTRAINT iodetail_fk1 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 4885 (class 2606 OID 82463)
-- Dependencies: 4112 2567 2507
-- Name: iodetail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY iodetail
    ADD CONSTRAINT iodetail_fk2 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4886 (class 2606 OID 82468)
-- Dependencies: 4572 2962 2507
-- Name: iodetail_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY iodetail
    ADD CONSTRAINT iodetail_fk3 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 4887 (class 2606 OID 82473)
-- Dependencies: 3783 2306 2306 2512 2512
-- Name: ioh_disp_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_disp
    ADD CONSTRAINT ioh_disp_fk FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4888 (class 2606 OID 82478)
-- Dependencies: 4572 2962 2512
-- Name: ioh_disp_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_disp
    ADD CONSTRAINT ioh_disp_fk2 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 4889 (class 2606 OID 82483)
-- Dependencies: 4112 2567 2512
-- Name: ioh_disp_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_disp
    ADD CONSTRAINT ioh_disp_fk3 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4890 (class 2606 OID 82488)
-- Dependencies: 4125 2579 2512
-- Name: ioh_disp_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_disp
    ADD CONSTRAINT ioh_disp_fk4 FOREIGN KEY (sales_rep) REFERENCES "operator"(cod);


--
-- TOC entry 4891 (class 2606 OID 82493)
-- Dependencies: 4125 2579 2512
-- Name: ioh_disp_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_disp
    ADD CONSTRAINT ioh_disp_fk5 FOREIGN KEY (sales_rep) REFERENCES "operator"(cod);


--
-- TOC entry 4892 (class 2606 OID 82498)
-- Dependencies: 3783 2306 2306 2514 2514
-- Name: ioh_hire_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_hire
    ADD CONSTRAINT ioh_hire_fk FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4893 (class 2606 OID 82503)
-- Dependencies: 4572 2962 2514
-- Name: ioh_hire_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_hire
    ADD CONSTRAINT ioh_hire_fk2 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 4894 (class 2606 OID 82508)
-- Dependencies: 4112 2567 2514
-- Name: ioh_hire_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_hire
    ADD CONSTRAINT ioh_hire_fk3 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4895 (class 2606 OID 82513)
-- Dependencies: 4125 2579 2514
-- Name: ioh_hire_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_hire
    ADD CONSTRAINT ioh_hire_fk4 FOREIGN KEY (sales_rep) REFERENCES "operator"(cod);


--
-- TOC entry 4896 (class 2606 OID 82518)
-- Dependencies: 3783 2306 2306 2516 2516
-- Name: ioh_sale_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_sale
    ADD CONSTRAINT ioh_sale_fk FOREIGN KEY (ac_location, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4897 (class 2606 OID 82523)
-- Dependencies: 4112 2567 2516
-- Name: ioh_sale_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_sale
    ADD CONSTRAINT ioh_sale_fk1 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4898 (class 2606 OID 82528)
-- Dependencies: 4572 2962 2516
-- Name: ioh_sale_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_sale
    ADD CONSTRAINT ioh_sale_fk2 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 4899 (class 2606 OID 82533)
-- Dependencies: 3742 2253 2516
-- Name: ioh_sale_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_sale
    ADD CONSTRAINT ioh_sale_fk3 FOREIGN KEY (barcode) REFERENCES barcode(ean);


--
-- TOC entry 4900 (class 2606 OID 82538)
-- Dependencies: 4290 2685 2516
-- Name: ioh_sale_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_sale
    ADD CONSTRAINT ioh_sale_fk4 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 4901 (class 2606 OID 82543)
-- Dependencies: 4125 2579 2516
-- Name: ioh_sale_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ioh_sale
    ADD CONSTRAINT ioh_sale_fk5 FOREIGN KEY (sales_rep) REFERENCES "operator"(cod);


--
-- TOC entry 4903 (class 2606 OID 82548)
-- Dependencies: 4468 2842 2524
-- Name: journals_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY journals
    ADD CONSTRAINT journals_fk FOREIGN KEY (source) REFERENCES source(cod);


--
-- TOC entry 4904 (class 2606 OID 82553)
-- Dependencies: 3786 2307 2524
-- Name: journals_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY journals
    ADD CONSTRAINT journals_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4905 (class 2606 OID 82558)
-- Dependencies: 4125 2579 2524
-- Name: journals_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY journals
    ADD CONSTRAINT journals_fk2 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4906 (class 2606 OID 82563)
-- Dependencies: 4100 2560 2560 2524 2524
-- Name: journals_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY journals
    ADD CONSTRAINT journals_fk3 FOREIGN KEY (source, batch) REFERENCES nlbatch(source, seq);


--
-- TOC entry 4908 (class 2606 OID 82568)
-- Dependencies: 3786 2307 2539
-- Name: lodgement_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY lodgement
    ADD CONSTRAINT lodgement_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4909 (class 2606 OID 82573)
-- Dependencies: 4125 2579 2539
-- Name: lodgement_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY lodgement
    ADD CONSTRAINT lodgement_fk1 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4910 (class 2606 OID 82578)
-- Dependencies: 4087 2549 2553
-- Name: mirror_message_mirror_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY mirror_message
    ADD CONSTRAINT mirror_message_mirror_id_fkey FOREIGN KEY (mirror_id) REFERENCES mirror(id);


--
-- TOC entry 4913 (class 2606 OID 82583)
-- Dependencies: 4468 2842 2560
-- Name: nlbatch_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlbatch
    ADD CONSTRAINT nlbatch_fk FOREIGN KEY (source) REFERENCES source(cod);


--
-- TOC entry 4914 (class 2606 OID 82588)
-- Dependencies: 3786 2307 2560
-- Name: nlbatch_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nlbatch
    ADD CONSTRAINT nlbatch_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4924 (class 2606 OID 82593)
-- Dependencies: 3864 2366 2563
-- Name: nltrans_currency_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans
    ADD CONSTRAINT nltrans_currency_fkey FOREIGN KEY (currency) REFERENCES currency(cod);


--
-- TOC entry 4928 (class 2606 OID 82598)
-- Dependencies: 4105 2563 2564
-- Name: nltrans_disp_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans_disp
    ADD CONSTRAINT nltrans_disp_fk FOREIGN KEY (trans_no) REFERENCES nltrans(trans_no);


--
-- TOC entry 4929 (class 2606 OID 82603)
-- Dependencies: 3934 2421 2564
-- Name: nltrans_disp_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans_disp
    ADD CONSTRAINT nltrans_disp_fk1 FOREIGN KEY (disposal_row) REFERENCES disposals(ser);


--
-- TOC entry 4925 (class 2606 OID 82608)
-- Dependencies: 4112 2567 2563
-- Name: nltrans_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans
    ADD CONSTRAINT nltrans_fk FOREIGN KEY (cod) REFERENCES nominal(cod);


--
-- TOC entry 4926 (class 2606 OID 82613)
-- Dependencies: 4468 2842 2563
-- Name: nltrans_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans
    ADD CONSTRAINT nltrans_fk1 FOREIGN KEY (source) REFERENCES source(cod);


--
-- TOC entry 4927 (class 2606 OID 82618)
-- Dependencies: 3786 2307 2563
-- Name: nltrans_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans
    ADD CONSTRAINT nltrans_fk2 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4930 (class 2606 OID 82623)
-- Dependencies: 4105 2563 2565
-- Name: nltrans_hist_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans_hist
    ADD CONSTRAINT nltrans_hist_fk FOREIGN KEY (trans_no) REFERENCES nltrans(trans_no);


--
-- TOC entry 4931 (class 2606 OID 82628)
-- Dependencies: 4212 2636 2565
-- Name: nltrans_hist_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nltrans_hist
    ADD CONSTRAINT nltrans_hist_fk1 FOREIGN KEY (history_row) REFERENCES phistory(ser);


--
-- TOC entry 4932 (class 2606 OID 82633)
-- Dependencies: 3864 2366 2567
-- Name: nominal_currency_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nominal
    ADD CONSTRAINT nominal_currency_id_fkey FOREIGN KEY (currency_id) REFERENCES currency(cod);


--
-- TOC entry 4933 (class 2606 OID 82638)
-- Dependencies: 4112 2567 2567
-- Name: nominal_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

--ALTER TABLE ONLY nominal
--    ADD CONSTRAINT nominal_fk FOREIGN KEY (parent) REFERENCES nominal(cod);


--
-- TOC entry 4936 (class 2606 OID 82643)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk FOREIGN KEY (debtors) REFERENCES nominal(cod);


--
-- TOC entry 4937 (class 2606 OID 82648)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk1 FOREIGN KEY (creditors) REFERENCES nominal(cod);


--
-- TOC entry 4938 (class 2606 OID 82653)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk10; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk10 FOREIGN KEY (plondisp) REFERENCES nominal(cod);


--
-- TOC entry 4939 (class 2606 OID 82658)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk11; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk11 FOREIGN KEY (dep_expense) REFERENCES nominal(cod);


--
-- TOC entry 4940 (class 2606 OID 82663)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk12; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk12 FOREIGN KEY (plonex) REFERENCES nominal(cod);


--
-- TOC entry 4941 (class 2606 OID 82668)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk13; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk13 FOREIGN KEY (accruals) REFERENCES nominal(cod);


--
-- TOC entry 4942 (class 2606 OID 82673)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk14; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk14 FOREIGN KEY (capital) REFERENCES nominal(cod);


--
-- TOC entry 4943 (class 2606 OID 82678)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk15; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk15 FOREIGN KEY (bad_debts) REFERENCES nominal(cod);


--
-- TOC entry 4944 (class 2606 OID 82683)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk16; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk16 FOREIGN KEY (bd_recovered) REFERENCES nominal(cod);


--
-- TOC entry 4945 (class 2606 OID 82688)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk17; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk17 FOREIGN KEY (equip_suspense) REFERENCES nominal(cod);


--
-- TOC entry 4946 (class 2606 OID 82693)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk2 FOREIGN KEY (disc_allowed) REFERENCES nominal(cod);


--
-- TOC entry 4947 (class 2606 OID 82698)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk3 FOREIGN KEY (disc_received) REFERENCES nominal(cod);


--
-- TOC entry 4948 (class 2606 OID 82703)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk4 FOREIGN KEY (vat) REFERENCES nominal(cod);


--
-- TOC entry 4949 (class 2606 OID 82708)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk5 FOREIGN KEY (retained) REFERENCES nominal(cod);


--
-- TOC entry 4950 (class 2606 OID 82713)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk6; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk6 FOREIGN KEY (petty_cash) REFERENCES nominal(cod);


--
-- TOC entry 4951 (class 2606 OID 82718)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk7; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk7 FOREIGN KEY (equipment) REFERENCES nominal(cod);


--
-- TOC entry 4952 (class 2606 OID 82723)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk8; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk8 FOREIGN KEY (disposals) REFERENCES nominal(cod);


--
-- TOC entry 4953 (class 2606 OID 82728)
-- Dependencies: 4112 2567 2571
-- Name: nparams_fk9; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nparams
    ADD CONSTRAINT nparams_fk9 FOREIGN KEY (dep_accum) REFERENCES nominal(cod);


--
-- TOC entry 4954 (class 2606 OID 82733)
-- Dependencies: 4112 2567 2572
-- Name: nsearch_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY nsearch
    ADD CONSTRAINT nsearch_fk FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4956 (class 2606 OID 82738)
-- Dependencies: 4148 2598 2594
-- Name: pallocee_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocee
    ADD CONSTRAINT pallocee_fk FOREIGN KEY (allocation) REFERENCES pallocper(allocation);


--
-- TOC entry 4957 (class 2606 OID 82743)
-- Dependencies: 4233 2649 2594
-- Name: pallocee_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocee
    ADD CONSTRAINT pallocee_fk1 FOREIGN KEY (ee) REFERENCES pledger(ser);


--
-- TOC entry 4958 (class 2606 OID 82748)
-- Dependencies: 4148 2598 2595
-- Name: pallocer_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocer
    ADD CONSTRAINT pallocer_fk FOREIGN KEY (allocation) REFERENCES pallocper(allocation);


--
-- TOC entry 4959 (class 2606 OID 82753)
-- Dependencies: 4233 2649 2595
-- Name: pallocer_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocer
    ADD CONSTRAINT pallocer_fk1 FOREIGN KEY (er) REFERENCES pledger(ser);


--
-- TOC entry 4963 (class 2606 OID 82758)
-- Dependencies: 4125 2579 2598
-- Name: pallocper_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocper
    ADD CONSTRAINT pallocper_fk FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 4964 (class 2606 OID 82763)
-- Dependencies: 4507 2879 2598
-- Name: pallocper_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pallocper
    ADD CONSTRAINT pallocper_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4965 (class 2606 OID 82768)
-- Dependencies: 3786 2307 2602
-- Name: pavail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pavail
    ADD CONSTRAINT pavail_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4967 (class 2606 OID 82773)
-- Dependencies: 4507 2879 2616
-- Name: pcost_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pcost
    ADD CONSTRAINT pcost_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4970 (class 2606 OID 82778)
-- Dependencies: 4507 2879 2618
-- Name: pcost_history_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pcost_history
    ADD CONSTRAINT pcost_history_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4976 (class 2606 OID 82783)
-- Dependencies: 3993 2473 2622
-- Name: pdesc_ext_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pdesc_ext
    ADD CONSTRAINT pdesc_ext_fk1 FOREIGN KEY (dept_group) REFERENCES hire_dept_group(nsuk);


--
-- TOC entry 4971 (class 2606 OID 82788)
-- Dependencies: 3765 2266 2621
-- Name: pdesc_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pdesc
    ADD CONSTRAINT pdesc_fk FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod);


--
-- TOC entry 4972 (class 2606 OID 82793)
-- Dependencies: 4112 2567 2621
-- Name: pdesc_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pdesc
    ADD CONSTRAINT pdesc_fk1 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4973 (class 2606 OID 82798)
-- Dependencies: 4112 2567 2621
-- Name: pdesc_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pdesc
    ADD CONSTRAINT pdesc_fk2 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 4974 (class 2606 OID 82803)
-- Dependencies: 4572 2962 2621
-- Name: pdesc_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pdesc
    ADD CONSTRAINT pdesc_fk3 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 4975 (class 2606 OID 82808)
-- Dependencies: 4250 2658 2621
-- Name: pdesc_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pdesc
    ADD CONSTRAINT pdesc_fk4 FOREIGN KEY (msg_typ) REFERENCES pmsg(msg_typ);


--
-- TOC entry 4979 (class 2606 OID 82813)
-- Dependencies: 3786 2307 2636
-- Name: phistory_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY phistory
    ADD CONSTRAINT phistory_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4980 (class 2606 OID 82818)
-- Dependencies: 3786 2307 2636
-- Name: phistory_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY phistory
    ADD CONSTRAINT phistory_fk2 FOREIGN KEY (depot) REFERENCES depot(cod);


--
-- TOC entry 4981 (class 2606 OID 82823)
-- Dependencies: 4507 2879 2636
-- Name: phistory_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY phistory
    ADD CONSTRAINT phistory_fk3 FOREIGN KEY (supp) REFERENCES supplier(cod);


--
-- TOC entry 4982 (class 2606 OID 82828)
-- Dependencies: 3783 2306 2306 2636 2636
-- Name: phistory_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY phistory
    ADD CONSTRAINT phistory_fk4 FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 4983 (class 2606 OID 445898)
-- Dependencies: 4184 2616 2636
-- Name: phistory_pcost_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY phistory
    ADD CONSTRAINT phistory_pcost_fkey FOREIGN KEY (pcost) REFERENCES pcost(ser);


--
-- TOC entry 4984 (class 2606 OID 82833)
-- Dependencies: 4219 2640 2638
-- Name: pi_detail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pi_detail
    ADD CONSTRAINT pi_detail_fk FOREIGN KEY (pi_head) REFERENCES pi_head(nsuk);


--
-- TOC entry 4985 (class 2606 OID 82838)
-- Dependencies: 4253 2660 2638
-- Name: pi_detail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pi_detail
    ADD CONSTRAINT pi_detail_fk1 FOREIGN KEY (po_detail) REFERENCES po_detail(nsuk);


--
-- TOC entry 4986 (class 2606 OID 82843)
-- Dependencies: 4290 2685 2638
-- Name: pi_detail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pi_detail
    ADD CONSTRAINT pi_detail_fk2 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 4987 (class 2606 OID 82848)
-- Dependencies: 4507 2879 2640
-- Name: pi_head_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pi_head
    ADD CONSTRAINT pi_head_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4988 (class 2606 OID 82853)
-- Dependencies: 4125 2579 2640
-- Name: pi_head_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pi_head
    ADD CONSTRAINT pi_head_fk1 FOREIGN KEY (entered_by) REFERENCES "operator"(cod);


--
-- TOC entry 4990 (class 2606 OID 82858)
-- Dependencies: 3864 2366 2649
-- Name: pledger_currency_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pledger
    ADD CONSTRAINT pledger_currency_fkey FOREIGN KEY (currency) REFERENCES currency(cod);


--
-- TOC entry 4991 (class 2606 OID 82863)
-- Dependencies: 4507 2879 2649
-- Name: pledger_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pledger
    ADD CONSTRAINT pledger_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 4992 (class 2606 OID 82868)
-- Dependencies: 4031 2493 2649
-- Name: pledger_image_ref_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pledger
    ADD CONSTRAINT pledger_image_ref_id_fkey FOREIGN KEY (image_ref_id) REFERENCES imaging_barcode(nsuk);


--
-- TOC entry 4993 (class 2606 OID 82873)
-- Dependencies: 4105 2563 2650
-- Name: pledger_nltrans_nltrans_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pledger_nltrans
    ADD CONSTRAINT pledger_nltrans_nltrans_id_fkey FOREIGN KEY (nltrans_id) REFERENCES nltrans(trans_no);


--
-- TOC entry 4994 (class 2606 OID 82878)
-- Dependencies: 4233 2649 2650
-- Name: pledger_nltrans_pledger_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pledger_nltrans
    ADD CONSTRAINT pledger_nltrans_pledger_id_fkey FOREIGN KEY (pledger_id) REFERENCES pledger(ser);


--
-- TOC entry 4995 (class 2606 OID 82883)
-- Dependencies: 4233 2649 2653
-- Name: pledgerext_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pledgerext
    ADD CONSTRAINT pledgerext_fk FOREIGN KEY (pledger_ser) REFERENCES pledger(ser);


--
-- TOC entry 4996 (class 2606 OID 82888)
-- Dependencies: 4233 2649 2654
-- Name: plnlxref_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY plnlxref
    ADD CONSTRAINT plnlxref_fk FOREIGN KEY (pledger) REFERENCES pledger(ser);


--
-- TOC entry 4997 (class 2606 OID 82893)
-- Dependencies: 4105 2563 2654
-- Name: plnlxref_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY plnlxref
    ADD CONSTRAINT plnlxref_fk1 FOREIGN KEY (nltrans) REFERENCES nltrans(trans_no);


--
-- TOC entry 4998 (class 2606 OID 82898)
-- Dependencies: 3786 2307 2657
-- Name: pmoves_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pmoves
    ADD CONSTRAINT pmoves_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4999 (class 2606 OID 82903)
-- Dependencies: 3783 2306 2306 2657 2657
-- Name: pmoves_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pmoves
    ADD CONSTRAINT pmoves_fk2 FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 5000 (class 2606 OID 82908)
-- Dependencies: 4125 2579 2657
-- Name: pmoves_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pmoves
    ADD CONSTRAINT pmoves_fk3 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 5001 (class 2606 OID 82913)
-- Dependencies: 3786 2307 2657
-- Name: pmoves_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pmoves
    ADD CONSTRAINT pmoves_fk4 FOREIGN KEY (to_loc) REFERENCES depot(cod);


--
-- TOC entry 5002 (class 2606 OID 82918)
-- Dependencies: 4290 2685 2660
-- Name: po_detail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_detail
    ADD CONSTRAINT po_detail_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5003 (class 2606 OID 82923)
-- Dependencies: 4112 2567 2660
-- Name: po_detail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_detail
    ADD CONSTRAINT po_detail_fk1 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 5004 (class 2606 OID 82928)
-- Dependencies: 4189 2621 2621 2660 2660
-- Name: po_detail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_detail
    ADD CONSTRAINT po_detail_fk2 FOREIGN KEY (asset_reg, pdesc) REFERENCES pdesc(asset_reg, cod);


--
-- TOC entry 5005 (class 2606 OID 82933)
-- Dependencies: 4572 2962 2660
-- Name: po_detail_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_detail
    ADD CONSTRAINT po_detail_fk3 FOREIGN KEY (vat) REFERENCES vat(cod);


--
-- TOC entry 5006 (class 2606 OID 82938)
-- Dependencies: 4255 2662 2660
-- Name: po_detail_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_detail
    ADD CONSTRAINT po_detail_fk4 FOREIGN KEY (po_head) REFERENCES po_head(nsuk);


--
-- TOC entry 5007 (class 2606 OID 82943)
-- Dependencies: 3864 2366 2662
-- Name: po_head_currency_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_head
    ADD CONSTRAINT po_head_currency_fkey FOREIGN KEY (currency) REFERENCES currency(cod);


--
-- TOC entry 5008 (class 2606 OID 82948)
-- Dependencies: 4507 2879 2662
-- Name: po_head_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_head
    ADD CONSTRAINT po_head_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5009 (class 2606 OID 82953)
-- Dependencies: 4125 2579 2662
-- Name: po_head_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_head
    ADD CONSTRAINT po_head_fk1 FOREIGN KEY (ordered_by) REFERENCES "operator"(cod);


--
-- TOC entry 5010 (class 2606 OID 82958)
-- Dependencies: 3786 2307 2662
-- Name: po_head_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_head
    ADD CONSTRAINT po_head_fk2 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5011 (class 2606 OID 82963)
-- Dependencies: 4125 2579 2662
-- Name: po_head_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_head
    ADD CONSTRAINT po_head_fk3 FOREIGN KEY (authorised_by) REFERENCES "operator"(cod);


--
-- TOC entry 5012 (class 2606 OID 82968)
-- Dependencies: 3864 2366 2662
-- Name: po_head_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_head
    ADD CONSTRAINT po_head_fk4 FOREIGN KEY (currency) REFERENCES currency(cod);


--
-- TOC entry 5013 (class 2606 OID 82973)
-- Dependencies: 4258 2664 2662
-- Name: po_head_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY po_head
    ADD CONSTRAINT po_head_fk5 FOREIGN KEY (status) REFERENCES po_status(nsuk);


--
-- TOC entry 5015 (class 2606 OID 82978)
-- Dependencies: 3786 2307 2665
-- Name: pohanal_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pohanal
    ADD CONSTRAINT pohanal_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5018 (class 2606 OID 82983)
-- Dependencies: 4268 2670 2668
-- Name: price_det_hist_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY price_det_hist
    ADD CONSTRAINT price_det_hist_fk FOREIGN KEY (pricelist) REFERENCES pricelist(nsuk);


--
-- TOC entry 5019 (class 2606 OID 82988)
-- Dependencies: 4290 2685 2668
-- Name: price_det_hist_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY price_det_hist
    ADD CONSTRAINT price_det_hist_fk1 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5022 (class 2606 OID 82993)
-- Dependencies: 4268 2670 2671
-- Name: pricelist_det_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pricelist_det
    ADD CONSTRAINT pricelist_det_fk FOREIGN KEY (pricelist) REFERENCES pricelist(nsuk);


--
-- TOC entry 5023 (class 2606 OID 82998)
-- Dependencies: 4290 2685 2671
-- Name: pricelist_det_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pricelist_det
    ADD CONSTRAINT pricelist_det_fk1 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5021 (class 2606 OID 83003)
-- Dependencies: 4268 2670 2670
-- Name: pricelist_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pricelist
    ADD CONSTRAINT pricelist_fk FOREIGN KEY (parent) REFERENCES pricelist(nsuk);


--
-- TOC entry 5024 (class 2606 OID 83008)
-- Dependencies: 4572 2962 2682
-- Name: product_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_fk FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 5025 (class 2606 OID 83013)
-- Dependencies: 4112 2567 2682
-- Name: product_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_fk1 FOREIGN KEY (sales_nominal) REFERENCES nominal(cod);


--
-- TOC entry 5026 (class 2606 OID 83018)
-- Dependencies: 4112 2567 2682
-- Name: product_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_fk2 FOREIGN KEY (purchase_nominal) REFERENCES nominal(cod);


--
-- TOC entry 5027 (class 2606 OID 83023)
-- Dependencies: 4507 2879 2682
-- Name: product_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_fk3 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5028 (class 2606 OID 83028)
-- Dependencies: 3926 2413 2682
-- Name: product_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_fk5 FOREIGN KEY (dept_group) REFERENCES dept_group(nsuk);


--
-- TOC entry 5029 (class 2606 OID 83033)
-- Dependencies: 4112 2567 2682
-- Name: product_fk6; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_fk6 FOREIGN KEY (stock_nominal) REFERENCES nominal(cod);


--
-- TOC entry 5030 (class 2606 OID 83038)
-- Dependencies: 4507 2879 2684
-- Name: product_supplier_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product_supplier
    ADD CONSTRAINT product_supplier_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5031 (class 2606 OID 83043)
-- Dependencies: 4285 2682 2685
-- Name: product_type_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY product_type
    ADD CONSTRAINT product_type_fk FOREIGN KEY (product) REFERENCES product(nsuk);


--
-- TOC entry 5032 (class 2606 OID 83048)
-- Dependencies: 4507 2879 2694
-- Name: psearch_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY psearch
    ADD CONSTRAINT psearch_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5033 (class 2606 OID 83053)
-- Dependencies: 3786 2307 2695
-- Name: pstock_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pstock
    ADD CONSTRAINT pstock_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5035 (class 2606 OID 83058)
-- Dependencies: 3786 2307 2696
-- Name: pstock_history_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pstock_history
    ADD CONSTRAINT pstock_history_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5036 (class 2606 OID 83063)
-- Dependencies: 4290 2685 2697
-- Name: pt_bin_loc_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_bin_loc
    ADD CONSTRAINT pt_bin_loc_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5038 (class 2606 OID 83068)
-- Dependencies: 3742 2253 2700
-- Name: pt_msales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_msales
    ADD CONSTRAINT pt_msales_fk FOREIGN KEY (barcode) REFERENCES barcode(ean);


--
-- TOC entry 5039 (class 2606 OID 83073)
-- Dependencies: 4507 2879 2700
-- Name: pt_msales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_msales
    ADD CONSTRAINT pt_msales_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5040 (class 2606 OID 83078)
-- Dependencies: 4290 2685 2700
-- Name: pt_msales_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_msales
    ADD CONSTRAINT pt_msales_fk2 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5041 (class 2606 OID 83083)
-- Dependencies: 4125 2579 2700
-- Name: pt_msales_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_msales
    ADD CONSTRAINT pt_msales_fk3 FOREIGN KEY (sales_rep) REFERENCES "operator"(cod);


--
-- TOC entry 5042 (class 2606 OID 83088)
-- Dependencies: 4290 2685 2702
-- Name: pt_option_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_option
    ADD CONSTRAINT pt_option_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5043 (class 2606 OID 83093)
-- Dependencies: 4290 2685 2704
-- Name: pt_part_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_part
    ADD CONSTRAINT pt_part_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5044 (class 2606 OID 83098)
-- Dependencies: 4290 2685 2704
-- Name: pt_part_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_part
    ADD CONSTRAINT pt_part_fk1 FOREIGN KEY (part) REFERENCES product_type(nsuk);


--
-- TOC entry 5045 (class 2606 OID 83103)
-- Dependencies: 4150 2600 2704
-- Name: pt_part_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_part
    ADD CONSTRAINT pt_part_fk2 FOREIGN KEY (part_name) REFERENCES part_name(nsuk);


--
-- TOC entry 5046 (class 2606 OID 83108)
-- Dependencies: 4290 2685 2709
-- Name: pt_serial_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_serial
    ADD CONSTRAINT pt_serial_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5047 (class 2606 OID 83113)
-- Dependencies: 3979 2460 2709
-- Name: pt_serial_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_serial
    ADD CONSTRAINT pt_serial_fk1 FOREIGN KEY (gi_detail) REFERENCES gi_detail(nsuk);


--
-- TOC entry 5048 (class 2606 OID 83118)
-- Dependencies: 3786 2307 2709
-- Name: pt_serial_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_serial
    ADD CONSTRAINT pt_serial_fk2 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5049 (class 2606 OID 83123)
-- Dependencies: 4042 2507 2709
-- Name: pt_serial_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_serial
    ADD CONSTRAINT pt_serial_fk3 FOREIGN KEY (io_detail) REFERENCES iodetail(nsuk);


--
-- TOC entry 5050 (class 2606 OID 83128)
-- Dependencies: 4290 2685 2711
-- Name: pt_supplier_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_supplier
    ADD CONSTRAINT pt_supplier_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5051 (class 2606 OID 83133)
-- Dependencies: 4507 2879 2711
-- Name: pt_supplier_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_supplier
    ADD CONSTRAINT pt_supplier_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5052 (class 2606 OID 83138)
-- Dependencies: 3864 2366 2711
-- Name: pt_supplier_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_supplier
    ADD CONSTRAINT pt_supplier_fk2 FOREIGN KEY (currency) REFERENCES currency(cod);


--
-- TOC entry 5053 (class 2606 OID 83143)
-- Dependencies: 3742 2253 2713
-- Name: pt_wsales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_wsales
    ADD CONSTRAINT pt_wsales_fk FOREIGN KEY (barcode) REFERENCES barcode(ean);


--
-- TOC entry 5054 (class 2606 OID 83148)
-- Dependencies: 4507 2879 2713
-- Name: pt_wsales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_wsales
    ADD CONSTRAINT pt_wsales_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5055 (class 2606 OID 83153)
-- Dependencies: 4290 2685 2713
-- Name: pt_wsales_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_wsales
    ADD CONSTRAINT pt_wsales_fk2 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5056 (class 2606 OID 83158)
-- Dependencies: 3742 2253 2715
-- Name: pt_ysales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_ysales
    ADD CONSTRAINT pt_ysales_fk FOREIGN KEY (barcode) REFERENCES barcode(ean);


--
-- TOC entry 5057 (class 2606 OID 83163)
-- Dependencies: 4507 2879 2715
-- Name: pt_ysales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_ysales
    ADD CONSTRAINT pt_ysales_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5058 (class 2606 OID 83168)
-- Dependencies: 4290 2685 2715
-- Name: pt_ysales_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY pt_ysales
    ADD CONSTRAINT pt_ysales_fk2 FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5064 (class 2606 OID 83173)
-- Dependencies: 4376 2765 2765
-- Name: rpt_dist_detail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY rpt_dist_detail
    ADD CONSTRAINT rpt_dist_detail_fk FOREIGN KEY (distribution) REFERENCES rpt_distribution(nsuk);


--
-- TOC entry 5065 (class 2606 OID 83178)
-- Dependencies: 3843 2349 2765
-- Name: rpt_dist_detail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY rpt_dist_detail
    ADD CONSTRAINT rpt_dist_detail_fk1 FOREIGN KEY (contact) REFERENCES contact(nsuk);


--
-- TOC entry 5067 (class 2606 OID 83183)
-- Dependencies: 4507 2879 2769
-- Name: s_msales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY s_msales
    ADD CONSTRAINT s_msales_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5068 (class 2606 OID 83188)
-- Dependencies: 3923 2412 2769
-- Name: s_msales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY s_msales
    ADD CONSTRAINT s_msales_fk1 FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 5069 (class 2606 OID 83193)
-- Dependencies: 4507 2879 2771
-- Name: s_wsales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY s_wsales
    ADD CONSTRAINT s_wsales_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5070 (class 2606 OID 83198)
-- Dependencies: 3923 2412 2771
-- Name: s_wsales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY s_wsales
    ADD CONSTRAINT s_wsales_fk1 FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 5071 (class 2606 OID 83203)
-- Dependencies: 4507 2879 2773
-- Name: s_ysales_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY s_ysales
    ADD CONSTRAINT s_ysales_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5072 (class 2606 OID 83208)
-- Dependencies: 3923 2412 2773
-- Name: s_ysales_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY s_ysales
    ADD CONSTRAINT s_ysales_fk1 FOREIGN KEY (dept) REFERENCES dept(nsuk);


--
-- TOC entry 5073 (class 2606 OID 83213)
-- Dependencies: 4020 2489 2777
-- Name: salecr_stk_status_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY salecr_stk_status
    ADD CONSTRAINT salecr_stk_status_fk FOREIGN KEY (ihead_id) REFERENCES ihead(nsuk);


--
-- TOC entry 5074 (class 2606 OID 83218)
-- Dependencies: 4401 2782 2780
-- Name: sallocee_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sallocee
    ADD CONSTRAINT sallocee_fk FOREIGN KEY (allocation) REFERENCES sallocper(allocation);


--
-- TOC entry 5075 (class 2606 OID 83223)
-- Dependencies: 3755 2254 2780
-- Name: sallocee_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sallocee
    ADD CONSTRAINT sallocee_fk1 FOREIGN KEY (ee) REFERENCES sledger(ser);


--
-- TOC entry 5076 (class 2606 OID 83228)
-- Dependencies: 4401 2782 2781
-- Name: sallocer_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sallocer
    ADD CONSTRAINT sallocer_fk FOREIGN KEY (allocation) REFERENCES sallocper(allocation);


--
-- TOC entry 5077 (class 2606 OID 83233)
-- Dependencies: 3755 2254 2781
-- Name: sallocer_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sallocer
    ADD CONSTRAINT sallocer_fk1 FOREIGN KEY (er) REFERENCES sledger(ser);


--
-- TOC entry 5079 (class 2606 OID 83238)
-- Dependencies: 4125 2579 2782
-- Name: sallocper_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sallocper
    ADD CONSTRAINT sallocper_fk FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 5080 (class 2606 OID 83243)
-- Dependencies: 3783 2306 2306 2782 2782
-- Name: sallocper_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sallocper
    ADD CONSTRAINT sallocper_fk1 FOREIGN KEY (acdepot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 5083 (class 2606 OID 83248)
-- Dependencies: 4411 2789 2784
-- Name: scaff_docket_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_docket
    ADD CONSTRAINT scaff_docket_fk FOREIGN KEY (job_id) REFERENCES scaffolding_job(nsuk);


--
-- TOC entry 5084 (class 2606 OID 83253)
-- Dependencies: 4432 2804 2784
-- Name: scaff_docket_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_docket
    ADD CONSTRAINT scaff_docket_fk1 FOREIGN KEY (docket_type_id) REFERENCES sd_type(nsuk);


--
-- TOC entry 5085 (class 2606 OID 83258)
-- Dependencies: 4430 2802 2784
-- Name: scaff_docket_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_docket
    ADD CONSTRAINT scaff_docket_fk2 FOREIGN KEY (status_id) REFERENCES sd_status(nsuk);


--
-- TOC entry 5086 (class 2606 OID 83263)
-- Dependencies: 3783 2306 2306 2784 2784
-- Name: scaff_docket_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_docket
    ADD CONSTRAINT scaff_docket_fk3 FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 5088 (class 2606 OID 83268)
-- Dependencies: 3975 2454 2786
-- Name: scaff_gang_map_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_gang_map
    ADD CONSTRAINT scaff_gang_map_fk FOREIGN KEY (gang_id) REFERENCES gang(nsuk);


--
-- TOC entry 5090 (class 2606 OID 83273)
-- Dependencies: 4411 2789 2787
-- Name: scaff_time_rec_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_time_rec
    ADD CONSTRAINT scaff_time_rec_fk FOREIGN KEY (job_id) REFERENCES scaffolding_job(nsuk);


--
-- TOC entry 5091 (class 2606 OID 83278)
-- Dependencies: 4544 2911 2787
-- Name: scaff_time_rec_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaff_time_rec
    ADD CONSTRAINT scaff_time_rec_fk1 FOREIGN KEY (status_id) REFERENCES time_rec_status(nsuk);


--
-- TOC entry 5093 (class 2606 OID 83283)
-- Dependencies: 4413 2791 2789
-- Name: scaffolding_job_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaffolding_job
    ADD CONSTRAINT scaffolding_job_fk FOREIGN KEY (type_id) REFERENCES scaffolding_jt(nsuk);


--
-- TOC entry 5094 (class 2606 OID 83288)
-- Dependencies: 3783 2306 2306 2789 2789
-- Name: scaffolding_job_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scaffolding_job
    ADD CONSTRAINT scaffolding_job_fk1 FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 5095 (class 2606 OID 83293)
-- Dependencies: 4507 2879 2796
-- Name: scontact_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY scontact
    ADD CONSTRAINT scontact_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5096 (class 2606 OID 83298)
-- Dependencies: 4405 2784 2798
-- Name: sd_line_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sd_line
    ADD CONSTRAINT sd_line_fk FOREIGN KEY (docket_id) REFERENCES scaff_docket(nsuk);


--
-- TOC entry 5097 (class 2606 OID 83303)
-- Dependencies: 4424 2798 2798
-- Name: sd_line_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sd_line
    ADD CONSTRAINT sd_line_fk1 FOREIGN KEY (lnk_hnd_id) REFERENCES sd_line(nsuk);


--
-- TOC entry 5098 (class 2606 OID 83308)
-- Dependencies: 4426 2800 2798
-- Name: sd_line_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sd_line
    ADD CONSTRAINT sd_line_fk2 FOREIGN KEY (status_id) REFERENCES sd_line_status(nsuk);


--
-- TOC entry 5099 (class 2606 OID 83313)
-- Dependencies: 4290 2685 2798
-- Name: sd_line_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sd_line
    ADD CONSTRAINT sd_line_fk3 FOREIGN KEY (scaff_pt_id) REFERENCES product_type(nsuk);


--
-- TOC entry 5100 (class 2606 OID 83318)
-- Dependencies: 4290 2685 2798
-- Name: sd_line_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sd_line
    ADD CONSTRAINT sd_line_fk4 FOREIGN KEY (charge_pt_id) REFERENCES product_type(nsuk);


--
-- TOC entry 5101 (class 2606 OID 83323)
-- Dependencies: 4226 2647 2815
-- Name: single_item_status_from_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY single_item_status
    ADD CONSTRAINT single_item_status_from_fkey FOREIGN KEY ("from") REFERENCES plant_status(nsuk);


--
-- TOC entry 5102 (class 2606 OID 83328)
-- Dependencies: 4226 2647 2815
-- Name: single_item_status_to_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY single_item_status
    ADD CONSTRAINT single_item_status_to_fkey FOREIGN KEY ("to") REFERENCES plant_status(nsuk);


--
-- TOC entry 5103 (class 2606 OID 83333)
-- Dependencies: 3765 2266 2817
-- Name: singles_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY singles
    ADD CONSTRAINT singles_fk FOREIGN KEY (asset_reg) REFERENCES asset_reg(cod);


--
-- TOC entry 4692 (class 2606 OID 83338)
-- Dependencies: 3783 2306 2306 2254 2254
-- Name: sledger_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sledger
    ADD CONSTRAINT sledger_fk FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 4693 (class 2606 OID 83343)
-- Dependencies: 3786 2307 2254
-- Name: sledger_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sledger
    ADD CONSTRAINT sledger_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 4694 (class 2606 OID 83348)
-- Dependencies: 4083 2539 2254
-- Name: sledger_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sledger
    ADD CONSTRAINT sledger_fk2 FOREIGN KEY (lodgement) REFERENCES lodgement(cod);


--
-- TOC entry 5107 (class 2606 OID 83353)
-- Dependencies: 3755 2254 2823
-- Name: sledger_query_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sledger_query
    ADD CONSTRAINT sledger_query_fk FOREIGN KEY (sledger) REFERENCES sledger(ser);


--
-- TOC entry 5108 (class 2606 OID 83358)
-- Dependencies: 3783 2306 2306 2823 2823
-- Name: sledger_query_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY sledger_query
    ADD CONSTRAINT sledger_query_fk1 FOREIGN KEY (depot, cod) REFERENCES cust(depot, cod);


--
-- TOC entry 5110 (class 2606 OID 83363)
-- Dependencies: 3786 2307 2838
-- Name: so_head_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY so_head
    ADD CONSTRAINT so_head_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5111 (class 2606 OID 83368)
-- Dependencies: 3783 2306 2306 2838 2838
-- Name: so_head_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY so_head
    ADD CONSTRAINT so_head_fk1 FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 5112 (class 2606 OID 83373)
-- Dependencies: 4125 2579 2838
-- Name: so_head_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY so_head
    ADD CONSTRAINT so_head_fk2 FOREIGN KEY ("operator") REFERENCES "operator"(cod);


--
-- TOC entry 5113 (class 2606 OID 83378)
-- Dependencies: 4353 2736 2838
-- Name: so_head_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY so_head
    ADD CONSTRAINT so_head_fk3 FOREIGN KEY (quotation_number) REFERENCES "quote"(nsuk);


--
-- TOC entry 5114 (class 2606 OID 83383)
-- Dependencies: 4353 2736 2840
-- Name: soq_xref_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY soq_xref
    ADD CONSTRAINT soq_xref_fk FOREIGN KEY (quotation) REFERENCES "quote"(nsuk);


--
-- TOC entry 5116 (class 2606 OID 83388)
-- Dependencies: 3786 2307 2850
-- Name: stk_freeze_dtl_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_freeze_dtl
    ADD CONSTRAINT stk_freeze_dtl_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5117 (class 2606 OID 83393)
-- Dependencies: 4290 2685 2850
-- Name: stk_freeze_dtl_product_type_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_freeze_dtl
    ADD CONSTRAINT stk_freeze_dtl_product_type_id_fkey FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk);


--
-- TOC entry 5118 (class 2606 OID 83398)
-- Dependencies: 4479 2852 2850
-- Name: stk_freeze_dtl_stk_freeze_hdr_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_freeze_dtl
    ADD CONSTRAINT stk_freeze_dtl_stk_freeze_hdr_id_fkey FOREIGN KEY (stk_freeze_hdr_id) REFERENCES stk_freeze_hdr(nsuk);


--
-- TOC entry 5119 (class 2606 OID 83403)
-- Dependencies: 3950 2441 2852
-- Name: stk_freeze_hdr_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_freeze_hdr
    ADD CONSTRAINT stk_freeze_hdr_fk FOREIGN KEY (sales_period) REFERENCES first_of_month(date);


--
-- TOC entry 5120 (class 2606 OID 83408)
-- Dependencies: 4125 2579 2852
-- Name: stk_freeze_hdr_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_freeze_hdr
    ADD CONSTRAINT stk_freeze_hdr_fk1 FOREIGN KEY (operator_id) REFERENCES "operator"(cod);


--
-- TOC entry 5122 (class 2606 OID 83413)
-- Dependencies: 3786 2307 2854
-- Name: stk_header_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_header
    ADD CONSTRAINT stk_header_fk FOREIGN KEY (depot) REFERENCES depot(cod);


--
-- TOC entry 5123 (class 2606 OID 83418)
-- Dependencies: 4479 2852 2856
-- Name: stk_take_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_take
    ADD CONSTRAINT stk_take_fk FOREIGN KEY (stk_freeze_hdr_id) REFERENCES stk_freeze_hdr(nsuk);


--
-- TOC entry 5124 (class 2606 OID 83423)
-- Dependencies: 4290 2685 2856
-- Name: stk_take_product_type_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_take
    ADD CONSTRAINT stk_take_product_type_id_fkey FOREIGN KEY (product_type_id) REFERENCES product_type(nsuk);


--
-- TOC entry 5125 (class 2606 OID 83428)
-- Dependencies: 3786 2307 2858
-- Name: stk_take_wrk_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stk_take_wrk
    ADD CONSTRAINT stk_take_wrk_fk FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5126 (class 2606 OID 83433)
-- Dependencies: 4290 2685 2860
-- Name: stock_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock
    ADD CONSTRAINT stock_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5127 (class 2606 OID 83438)
-- Dependencies: 3786 2307 2860
-- Name: stock_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock
    ADD CONSTRAINT stock_fk1 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5130 (class 2606 OID 83443)
-- Dependencies: 4290 2685 2862
-- Name: stock_freeze_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_freeze
    ADD CONSTRAINT stock_freeze_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5131 (class 2606 OID 83448)
-- Dependencies: 4112 2567 2862
-- Name: stock_freeze_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_freeze
    ADD CONSTRAINT stock_freeze_fk1 FOREIGN KEY (nominal) REFERENCES nominal(cod);


--
-- TOC entry 5132 (class 2606 OID 83453)
-- Dependencies: 3786 2307 2862
-- Name: stock_freeze_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_freeze
    ADD CONSTRAINT stock_freeze_fk2 FOREIGN KEY (depot) REFERENCES depot(cod);


--
-- TOC entry 5133 (class 2606 OID 83458)
-- Dependencies: 3786 2307 2864
-- Name: stock_location_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_location
    ADD CONSTRAINT stock_location_fk FOREIGN KEY (depot) REFERENCES depot(cod);


--
-- TOC entry 5135 (class 2606 OID 83463)
-- Dependencies: 4290 2685 2866
-- Name: stock_movement_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT stock_movement_fk FOREIGN KEY (product_type) REFERENCES product_type(nsuk);


--
-- TOC entry 5136 (class 2606 OID 83468)
-- Dependencies: 3786 2307 2866
-- Name: stock_movement_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT stock_movement_fk1 FOREIGN KEY (depot_before) REFERENCES depot(cod);


--
-- TOC entry 5137 (class 2606 OID 83473)
-- Dependencies: 3786 2307 2866
-- Name: stock_movement_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT stock_movement_fk2 FOREIGN KEY (depot_after) REFERENCES depot(cod);


--
-- TOC entry 5138 (class 2606 OID 83478)
-- Dependencies: 3786 2307 2866
-- Name: stock_movement_fk3; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT stock_movement_fk3 FOREIGN KEY (loc_before) REFERENCES depot(cod);


--
-- TOC entry 5139 (class 2606 OID 83483)
-- Dependencies: 3786 2307 2866
-- Name: stock_movement_fk4; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT stock_movement_fk4 FOREIGN KEY (loc_after) REFERENCES depot(cod);


--
-- TOC entry 5140 (class 2606 OID 83488)
-- Dependencies: 4507 2879 2866
-- Name: stock_movement_fk5; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT stock_movement_fk5 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5141 (class 2606 OID 83493)
-- Dependencies: 3783 2306 2306 2866 2866
-- Name: stock_movement_fk6; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT stock_movement_fk6 FOREIGN KEY (cust_depot, cust_cod) REFERENCES cust(depot, cod);


--
-- TOC entry 5142 (class 2606 OID 83498)
-- Dependencies: 4112 2567 2879
-- Name: supplier_credit_control_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_credit_control_fkey FOREIGN KEY (credit_control) REFERENCES nominal(cod);


--
-- TOC entry 5146 (class 2606 OID 83503)
-- Dependencies: 4507 2879 2881
-- Name: supplier_ext_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier_ext
    ADD CONSTRAINT supplier_ext_fk FOREIGN KEY (cod) REFERENCES supplier(cod);


--
-- TOC entry 5147 (class 2606 OID 83508)
-- Dependencies: 4112 2567 2881
-- Name: supplier_ext_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier_ext
    ADD CONSTRAINT supplier_ext_fk1 FOREIGN KEY (default_nominal) REFERENCES nominal(cod);


--
-- TOC entry 5148 (class 2606 OID 83513)
-- Dependencies: 4572 2962 2881
-- Name: supplier_ext_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier_ext
    ADD CONSTRAINT supplier_ext_fk2 FOREIGN KEY (vatcode) REFERENCES vat(cod);


--
-- TOC entry 5143 (class 2606 OID 83518)
-- Dependencies: 4112 2567 2879
-- Name: supplier_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_fk FOREIGN KEY (credit_control) REFERENCES nominal(cod);


--
-- TOC entry 5144 (class 2606 OID 83523)
-- Dependencies: 3864 2366 2879
-- Name: supplier_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_fk1 FOREIGN KEY (currency) REFERENCES currency(cod);


--
-- TOC entry 5149 (class 2606 OID 83528)
-- Dependencies: 4507 2879 2883
-- Name: supplier_group_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier_group
    ADD CONSTRAINT supplier_group_fk FOREIGN KEY (master) REFERENCES supplier(cod);


--
-- TOC entry 5150 (class 2606 OID 83533)
-- Dependencies: 4507 2879 2883
-- Name: supplier_group_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier_group
    ADD CONSTRAINT supplier_group_fk1 FOREIGN KEY (slave) REFERENCES supplier(cod);


--
-- TOC entry 5151 (class 2606 OID 83538)
-- Dependencies: 4507 2879 2884
-- Name: supplier_terms_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier_terms
    ADD CONSTRAINT supplier_terms_fk FOREIGN KEY (cod) REFERENCES supplier(cod);


--
-- TOC entry 5152 (class 2606 OID 83543)
-- Dependencies: 4507 2879 2885
-- Name: supplier_touched_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY supplier_touched
    ADD CONSTRAINT supplier_touched_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5153 (class 2606 OID 83548)
-- Dependencies: 4507 2879 2886
-- Name: suppnotes_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY suppnotes
    ADD CONSTRAINT suppnotes_fk FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5155 (class 2606 OID 83553)
-- Dependencies: 4515 2887 2888
-- Name: support_detail_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY support_detail
    ADD CONSTRAINT support_detail_fk FOREIGN KEY (support_ser) REFERENCES support(ser);


--
-- TOC entry 5156 (class 2606 OID 83558)
-- Dependencies: 4572 2962 2888
-- Name: support_detail_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY support_detail
    ADD CONSTRAINT support_detail_fk1 FOREIGN KEY (vcode) REFERENCES vat(cod);


--
-- TOC entry 5157 (class 2606 OID 83563)
-- Dependencies: 4112 2567 2888
-- Name: support_detail_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY support_detail
    ADD CONSTRAINT support_detail_fk2 FOREIGN KEY (nominal_code) REFERENCES nominal(cod);


--
-- TOC entry 5154 (class 2606 OID 83568)
-- Dependencies: 3783 2306 2306 2887 2887
-- Name: support_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY support
    ADD CONSTRAINT support_fk FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 5158 (class 2606 OID 83573)
-- Dependencies: 4530 2901 2902
-- Name: team_member_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY team_member
    ADD CONSTRAINT team_member_fk FOREIGN KEY (team) REFERENCES team(nsuk);


--
-- TOC entry 5159 (class 2606 OID 83578)
-- Dependencies: 4530 2901 2904
-- Name: team_menu_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY team_menu
    ADD CONSTRAINT team_menu_fk FOREIGN KEY (team) REFERENCES team(nsuk);


--
-- TOC entry 5160 (class 2606 OID 83583)
-- Dependencies: 4530 2901 2906
-- Name: team_module_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY team_module
    ADD CONSTRAINT team_module_fk FOREIGN KEY (team) REFERENCES team(nsuk);


--
-- TOC entry 5162 (class 2606 OID 83588)
-- Dependencies: 4507 2879 2927
-- Name: unmatched_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY unmatched
    ADD CONSTRAINT unmatched_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5163 (class 2606 OID 83593)
-- Dependencies: 3786 2307 2927
-- Name: unmatched_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY unmatched
    ADD CONSTRAINT unmatched_fk2 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5165 (class 2606 OID 83598)
-- Dependencies: 4507 2879 2928
-- Name: unmatched_history_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY unmatched_history
    ADD CONSTRAINT unmatched_history_fk1 FOREIGN KEY (supplier) REFERENCES supplier(cod);


--
-- TOC entry 5166 (class 2606 OID 83603)
-- Dependencies: 3786 2307 2928
-- Name: unmatched_history_fk2; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY unmatched_history
    ADD CONSTRAINT unmatched_history_fk2 FOREIGN KEY ("location") REFERENCES depot(cod);


--
-- TOC entry 5167 (class 2606 OID 83608)
-- Dependencies: 4568 2934 2933
-- Name: useddocs_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY useddocs
    ADD CONSTRAINT useddocs_fk FOREIGN KEY (header_id) REFERENCES useddocs_head(nsuk);


--
-- TOC entry 5169 (class 2606 OID 83613)
-- Dependencies: 4507 2879 2965
-- Name: worker_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY worker
    ADD CONSTRAINT worker_fk FOREIGN KEY (supplier_cod) REFERENCES supplier(cod);


--
-- TOC entry 5170 (class 2606 OID 83618)
-- Dependencies: 4290 2685 2965
-- Name: worker_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY worker
    ADD CONSTRAINT worker_fk1 FOREIGN KEY (costing_id) REFERENCES product_type(nsuk);


--
-- TOC entry 5171 (class 2606 OID 83623)
-- Dependencies: 4575 2965 2968
-- Name: worker_role_map_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY worker_role_map
    ADD CONSTRAINT worker_role_map_fk FOREIGN KEY (worker_id) REFERENCES worker(nsuk);


--
-- TOC entry 5172 (class 2606 OID 83628)
-- Dependencies: 4577 2967 2968
-- Name: worker_role_map_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY worker_role_map
    ADD CONSTRAINT worker_role_map_fk1 FOREIGN KEY (worker_id) REFERENCES worker_role(nsuk);


--
-- TOC entry 5173 (class 2606 OID 83633)
-- Dependencies: 4290 2685 2981
-- Name: ws_cust_serial_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ws_cust_serial
    ADD CONSTRAINT ws_cust_serial_fk FOREIGN KEY (pt_id) REFERENCES product_type(nsuk);


--
-- TOC entry 5174 (class 2606 OID 83638)
-- Dependencies: 3783 2306 2306 2981 2981
-- Name: ws_cust_serial_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ws_cust_serial
    ADD CONSTRAINT ws_cust_serial_fk1 FOREIGN KEY (depot, cust) REFERENCES cust(depot, cod);


--
-- TOC entry 5176 (class 2606 OID 83643)
-- Dependencies: 4617 3005 3006
-- Name: ws_job_cser_map_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ws_job_cser_map
    ADD CONSTRAINT ws_job_cser_map_fk FOREIGN KEY (job_id) REFERENCES ws_job(nsuk);


--
-- TOC entry 5177 (class 2606 OID 83648)
-- Dependencies: 4591 2981 3006
-- Name: ws_job_cser_map_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ws_job_cser_map
    ADD CONSTRAINT ws_job_cser_map_fk1 FOREIGN KEY (cust_ser_id) REFERENCES ws_cust_serial(nsuk);


--
-- TOC entry 5175 (class 2606 OID 83653)
-- Dependencies: 4575 2965 3005
-- Name: ws_job_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ws_job
    ADD CONSTRAINT ws_job_fk FOREIGN KEY (engineer) REFERENCES worker(nsuk);


--
-- TOC entry 5178 (class 2606 OID 83658)
-- Dependencies: 4617 3005 3014
-- Name: ws_job_pser_map_fk; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ws_job_pser_map
    ADD CONSTRAINT ws_job_pser_map_fk FOREIGN KEY (job_id) REFERENCES ws_job(nsuk);


--
-- TOC entry 5179 (class 2606 OID 83663)
-- Dependencies: 4325 2709 3014
-- Name: ws_job_pser_map_fk1; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY ws_job_pser_map
    ADD CONSTRAINT ws_job_pser_map_fk1 FOREIGN KEY (pt_ser_id) REFERENCES pt_serial(nsuk);


--
-- TOC entry 5190 (class 0 OID 0)
-- Dependencies: 5
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


-- Completed on 2010-01-11 10:15:36

--
-- PostgreSQL database dump complete
--

