--
-- TOC entry 3744 (class 1259 OID 80833)
-- Dependencies: 2254 2254 2254 2254
-- Name: AT_CLUSTER; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX "AT_CLUSTER" ON sledger USING btree (depot, cod, typ, os);


--
-- TOC entry 4019 (class 1259 OID 80834)
-- Dependencies: 2489 2489 2489 2489
-- Name: aaax; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX aaax ON ihead USING btree (ac_location, "location", cust, ref);


--
-- TOC entry 3763 (class 1259 OID 80835)
-- Dependencies: 2261
-- Name: ac_ix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ac_ix1 ON analysis_calendar USING btree (nsuk);


--
-- TOC entry 3764 (class 1259 OID 80836)
-- Dependencies: 2261 2261
-- Name: ac_ix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ac_ix2 ON analysis_calendar USING btree (ac_year, ac_week);


--
-- TOC entry 3762 (class 1259 OID 80837)
-- Dependencies: 2260 2260
-- Name: ageunique; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ageunique ON ageing_touched USING btree (depot, cust);


--
-- TOC entry 3986 (class 1259 OID 80838)
-- Dependencies: 2470
-- Name: auditix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX auditix1 ON hanal USING btree (period);


--
-- TOC entry 3907 (class 1259 OID 80839)
-- Dependencies: 2398
-- Name: auditix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX auditix2 ON danal USING btree (period);


--
-- TOC entry 4402 (class 1259 OID 80840)
-- Dependencies: 2783
-- Name: auditix3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX auditix3 ON sanal USING btree (period);


--
-- TOC entry 3742 (class 1259 OID 80841)
-- Dependencies: 2253
-- Name: barcodeix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX barcodeix1 ON barcode USING btree (ean);


--
-- TOC entry 3743 (class 1259 OID 80842)
-- Dependencies: 2253 2253
-- Name: barcodeix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX barcodeix2 ON barcode USING btree (product_type, ean);


--
-- TOC entry 3772 (class 1259 OID 80843)
-- Dependencies: 2300
-- Name: c_quotix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX c_quotix ON c_quote USING btree (cod);


--
-- TOC entry 3869 (class 1259 OID 80844)
-- Dependencies: 2370 2370
-- Name: cage_ix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX cage_ix ON cust_age USING btree (depot, cod);


--
-- TOC entry 3870 (class 1259 OID 80845)
-- Dependencies: 2370 2370 2370
-- Name: cage_ix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX cage_ix2 ON cust_age USING btree (period, depot, cod);


--
-- TOC entry 3773 (class 1259 OID 80846)
-- Dependencies: 2301 2301
-- Name: calc_cheadx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX calc_cheadx1 ON calc_chead USING btree ("location", contract);


--
-- TOC entry 3776 (class 1259 OID 80847)
-- Dependencies: 2302
-- Name: calix3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX calix3 ON calendar USING btree (nam);


--
-- TOC entry 3887 (class 1259 OID 80848)
-- Dependencies: 2384 2384 2384
-- Name: cbals1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX cbals1 ON custbals USING btree (depot, cod, period);


--
-- TOC entry 3888 (class 1259 OID 80849)
-- Dependencies: 2384 2384 2384
-- Name: cbals2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX cbals2 ON custbals USING btree (period, depot, cod);


--
-- TOC entry 4111 (class 1259 OID 80850)
-- Dependencies: 2567 2567
-- Name: celko_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX celko_idx ON nominal USING btree (lft, rgt);


--
-- TOC entry 3808 (class 1259 OID 80851)
-- Dependencies: 2325 2325
-- Name: chdetx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX chdetx2 ON chdetail USING btree (pdesc, reg);


--
-- TOC entry 3809 (class 1259 OID 80852)
-- Dependencies: 2325 2325
-- Name: chdetx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX chdetx3 ON chdetail USING btree (depot, cust);


--
-- TOC entry 3810 (class 1259 OID 80853)
-- Dependencies: 2325 2325
-- Name: chdetx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX chdetx5 ON chdetail USING btree ("location", pdesc);


--
-- TOC entry 3811 (class 1259 OID 80854)
-- Dependencies: 2325
-- Name: chdetx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX chdetx6 ON chdetail USING btree (pdesc);


--
-- TOC entry 3816 (class 1259 OID 80855)
-- Dependencies: 2327 2327
-- Name: cheadx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX cheadx1 ON chead USING btree ("location", contract);


--
-- TOC entry 3817 (class 1259 OID 80856)
-- Dependencies: 2327
-- Name: cheadx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX cheadx2 ON chead USING btree (contract);


--
-- TOC entry 3837 (class 1259 OID 445879)
-- Dependencies: 2345 2345 2345
-- Name: codet2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX codet2 ON codetail USING btree (product_type, "location", contract);


--
-- TOC entry 3840 (class 1259 OID 80857)
-- Dependencies: 2345
-- Name: codx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX codx1 ON codetail USING btree (contract);


--
-- TOC entry 3803 (class 1259 OID 80858)
-- Dependencies: 2320
-- Name: codx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX codx2 ON cdisposal USING btree (contract);


--
-- TOC entry 3853 (class 1259 OID 80859)
-- Dependencies: 2357 2357
-- Name: cp_ix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX cp_ix2 ON cost_price USING btree (pt_supplier, effective_date);


--
-- TOC entry 3854 (class 1259 OID 80860)
-- Dependencies: 2357
-- Name: cp_ix3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX cp_ix3 ON cost_price USING btree (pt_supplier);


--
-- TOC entry 4154 (class 1259 OID 80861)
-- Dependencies: 2603
-- Name: cp_uqdepot; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX cp_uqdepot ON pc_depot USING btree (cod);


--
-- TOC entry 3857 (class 1259 OID 80862)
-- Dependencies: 2362 2362
-- Name: crates1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX crates1 ON crates USING btree (product, quotation);


--
-- TOC entry 3858 (class 1259 OID 80863)
-- Dependencies: 2362 2362
-- Name: crates2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX crates2 ON crates USING btree (quotation, product);


--
-- TOC entry 3859 (class 1259 OID 80864)
-- Dependencies: 2362 2362 2362
-- Name: crates3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX crates3 ON crates USING btree (plu, quote_number, "location");


--
-- TOC entry 3866 (class 1259 OID 80865)
-- Dependencies: 2367
-- Name: crates_effdate; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX crates_effdate ON currency_rates USING btree (effective_date);


--
-- TOC entry 3860 (class 1259 OID 80866)
-- Dependencies: 2363 2363
-- Name: cred_hx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX cred_hx ON credit_hist USING btree (depot, cust);


--
-- TOC entry 3861 (class 1259 OID 80867)
-- Dependencies: 2364 2364
-- Name: csr_cust; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX csr_cust ON csearch USING btree (depot, word);


--
-- TOC entry 3862 (class 1259 OID 80868)
-- Dependencies: 2364 2364 2364
-- Name: csr_index; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX csr_index ON csearch USING btree (depot, cod, word);


--
-- TOC entry 3871 (class 1259 OID 80869)
-- Dependencies: 2372 2372
-- Name: cust_discstruct_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX cust_discstruct_idx ON cust_discstruct USING btree (cod, depot);


--
-- TOC entry 3876 (class 1259 OID 80870)
-- Dependencies: 2375 2375 2375
-- Name: cust_order_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX cust_order_idx ON cust_order USING btree (customer, depot, site);


--
-- TOC entry 3877 (class 1259 OID 80871)
-- Dependencies: 2375 2375
-- Name: cust_order_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX cust_order_idx1 ON cust_order USING btree (number, "location");


--
-- TOC entry 3878 (class 1259 OID 80872)
-- Dependencies: 2375
-- Name: cust_order_idx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX cust_order_idx2 ON cust_order USING btree (sales_rep);


--
-- TOC entry 3879 (class 1259 OID 80873)
-- Dependencies: 2375
-- Name: cust_order_ix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX cust_order_ix1 ON cust_order USING btree (nsuk);


--
-- TOC entry 3782 (class 1259 OID 80874)
-- Dependencies: 2306 2306 2306
-- Name: custix3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX custix3 ON cust USING btree (bad_debt, depot, cod);


--
-- TOC entry 3896 (class 1259 OID 80875)
-- Dependencies: 2390 2390 2390
-- Name: custsitex; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX custsitex ON custsite USING btree (depot, cust, site);


--
-- TOC entry 3908 (class 1259 OID 80876)
-- Dependencies: 2398 2398 2398 2398
-- Name: danal2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX danal2 ON danal USING btree (period, "location", cust, pdesc);


--
-- TOC entry 3909 (class 1259 OID 80877)
-- Dependencies: 2398 2398 2398 2398
-- Name: danalx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX danalx ON danal USING btree (period, pdesc, "location", cust);


--
-- TOC entry 4399 (class 1259 OID 80878)
-- Dependencies: 2782 2782
-- Name: dc2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dc2 ON sallocper USING btree (allocation, period);


--
-- TOC entry 4147 (class 1259 OID 80879)
-- Dependencies: 2598 2598
-- Name: dc3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dc3 ON pallocper USING btree (allocation, period);


--
-- TOC entry 4228 (class 1259 OID 80880)
-- Dependencies: 2649 2649
-- Name: dcplx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dcplx ON pledger USING btree (supplier, locked);


--
-- TOC entry 3928 (class 1259 OID 80881)
-- Dependencies: 2413 2413
-- Name: deptgrpix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX deptgrpix1 ON dept_group USING btree (cod, dept);


--
-- TOC entry 3925 (class 1259 OID 80882)
-- Dependencies: 2412
-- Name: deptix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX deptix1 ON dept USING btree (cod);


--
-- TOC entry 3933 (class 1259 OID 80883)
-- Dependencies: 2421 2421
-- Name: disposal2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX disposal2 ON disposals USING btree (ser, dat);


--
-- TOC entry 3942 (class 1259 OID 80884)
-- Dependencies: 2424 2424
-- Name: dispxrefx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dispxrefx ON dispxref USING btree (purchase, disposal);


--
-- TOC entry 3899 (class 1259 OID 80885)
-- Dependencies: 2392 2392 2392
-- Name: dms_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dms_idx1 ON d_msales USING btree (mth, dept, store);


--
-- TOC entry 3900 (class 1259 OID 80886)
-- Dependencies: 2392 2392
-- Name: dms_idx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dms_idx2 ON d_msales USING btree (mth, dept);


--
-- TOC entry 4036 (class 1259 OID 80887)
-- Dependencies: 2497 2497 2497 2497
-- Name: doc_date; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX doc_date ON inv_details USING btree (doc_date, docket_type, docket_number, idetail_type);


--
-- TOC entry 3903 (class 1259 OID 80888)
-- Dependencies: 2394 2394 2394 2394
-- Name: dws_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dws_idx1 ON d_wsales USING btree (yr, week_no, dept, store);


--
-- TOC entry 3904 (class 1259 OID 80889)
-- Dependencies: 2394 2394 2394
-- Name: dws_idx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dws_idx2 ON d_wsales USING btree (yr, week_no, dept);


--
-- TOC entry 3905 (class 1259 OID 80890)
-- Dependencies: 2396 2396 2396
-- Name: dys_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dys_idx1 ON d_ysales USING btree (yr, dept, store);


--
-- TOC entry 3906 (class 1259 OID 80891)
-- Dependencies: 2396 2396
-- Name: dys_idx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX dys_idx2 ON d_ysales USING btree (yr, dept);


--
-- TOC entry 3745 (class 1259 OID 80892)
-- Dependencies: 2254 2254 2254 2254
-- Name: euro_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX euro_idx ON sledger USING btree ("location", cod, typ, ref);


--
-- TOC entry 3947 (class 1259 OID 80893)
-- Dependencies: 2440 2440 2440
-- Name: excl1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX excl1 ON exclusion_remit USING btree (supplier, ref, dat);


--
-- TOC entry 4266 (class 1259 OID 80894)
-- Dependencies: 2670
-- Name: fki_type; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX fki_type ON pricelist USING btree (type_id);


--
-- TOC entry 3954 (class 1259 OID 80895)
-- Dependencies: 2445 2445
-- Name: full_cheadx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX full_cheadx1 ON full_chead USING btree ("location", contract);


--
-- TOC entry 4229 (class 1259 OID 80896)
-- Dependencies: 2649 2649
-- Name: g11; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX g11 ON pledger USING btree (supplier, typ);


--
-- TOC entry 4230 (class 1259 OID 80897)
-- Dependencies: 2649 2649
-- Name: g2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX g2 ON pledger USING btree (source, batch);


--
-- TOC entry 3955 (class 1259 OID 80898)
-- Dependencies: 2446
-- Name: g_ihead_man; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX g_ihead_man ON g_ihead USING btree (manual);


--
-- TOC entry 3956 (class 1259 OID 80899)
-- Dependencies: 2446 2446 2446 2446
-- Name: g_ihead_man2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX g_ihead_man2 ON g_ihead USING btree ("location", cust, doc_type, ref);


--
-- TOC entry 3959 (class 1259 OID 80900)
-- Dependencies: 2446 2446 2446 2446
-- Name: g_iheadx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX g_iheadx1 ON g_ihead USING btree (doc_type, "location", cust, ref);


--
-- TOC entry 3960 (class 1259 OID 80901)
-- Dependencies: 2446 2446 2446 2446
-- Name: g_iheadx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX g_iheadx2 ON g_ihead USING btree (doc_type, "location", ref, cust);


--
-- TOC entry 3961 (class 1259 OID 80902)
-- Dependencies: 2446 2446 2446 2446 2446
-- Name: g_ipix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX g_ipix ON g_ihead USING btree (printed, doc_type, "location", ref, cust);


--
-- TOC entry 4457 (class 1259 OID 80903)
-- Dependencies: 2826 2826
-- Name: garsmart; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX garsmart ON smartcard USING btree (issuer, ledger_trans);


--
-- TOC entry 4231 (class 1259 OID 80904)
-- Dependencies: 2649 2649 2649 2649
-- Name: gartidx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gartidx ON pledger USING btree (supplier, ref, dat, typ);


--
-- TOC entry 4289 (class 1259 OID 80905)
-- Dependencies: 2685
-- Name: giddyup; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX giddyup ON product_type USING btree (product);


--
-- TOC entry 3964 (class 1259 OID 80906)
-- Dependencies: 2448 2448 2448 2448
-- Name: gms_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gms_idx1 ON g_msales USING btree (mth, dept, dept_group, store);


--
-- TOC entry 3965 (class 1259 OID 80907)
-- Dependencies: 2448 2448 2448
-- Name: gms_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gms_idx4 ON g_msales USING btree (mth, dept, store);


--
-- TOC entry 3985 (class 1259 OID 80908)
-- Dependencies: 2464 2464 2464
-- Name: gpcix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX gpcix2 ON gpcost USING btree (asset_reg, pdesc, reg);


--
-- TOC entry 3818 (class 1259 OID 80909)
-- Dependencies: 2327 2327 2327
-- Name: gra; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gra ON chead USING btree ("location", depot, cust);


--
-- TOC entry 3987 (class 1259 OID 80910)
-- Dependencies: 2470 2470
-- Name: gra2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gra2 ON hanal USING btree (cust, period);


--
-- TOC entry 3968 (class 1259 OID 80911)
-- Dependencies: 2450 2450 2450 2450 2450
-- Name: gws_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gws_idx1 ON g_wsales USING btree (yr, week_no, dept, dept_group, store);


--
-- TOC entry 3969 (class 1259 OID 80912)
-- Dependencies: 2450 2450 2450 2450
-- Name: gws_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gws_idx4 ON g_wsales USING btree (yr, week_no, dept, store);


--
-- TOC entry 3972 (class 1259 OID 80913)
-- Dependencies: 2452 2452 2452 2452
-- Name: gys_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gys_idx1 ON g_ysales USING btree (yr, dept, dept_group, store);


--
-- TOC entry 3973 (class 1259 OID 80914)
-- Dependencies: 2452 2452 2452
-- Name: gys_idx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gys_idx3 ON g_ysales USING btree (yr, dept, dept_group);


--
-- TOC entry 3974 (class 1259 OID 80915)
-- Dependencies: 2452 2452 2452
-- Name: gys_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX gys_idx4 ON g_ysales USING btree (yr, dept, store);


--
-- TOC entry 3988 (class 1259 OID 80916)
-- Dependencies: 2470 2470 2470 2470 2470
-- Name: hanal2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX hanal2 ON hanal USING btree (period, cod, cross_hire, "location", cust);


--
-- TOC entry 4000 (class 1259 OID 80917)
-- Dependencies: 2480 2480 2480
-- Name: hmdispx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hmdispx1 ON hmdisposal USING btree ("location", doc_type, doc_number);


--
-- TOC entry 4001 (class 1259 OID 80918)
-- Dependencies: 2480
-- Name: hmdispx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hmdispx2 ON hmdisposal USING btree (contract);


--
-- TOC entry 3998 (class 1259 OID 80919)
-- Dependencies: 2479 2479 2479
-- Name: hmdix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hmdix1 ON hmdetail USING btree ("location", doc_type, doc_number);


--
-- TOC entry 3999 (class 1259 OID 80920)
-- Dependencies: 2479
-- Name: hmdix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hmdix2 ON hmdetail USING btree (contract);


--
-- TOC entry 4004 (class 1259 OID 80921)
-- Dependencies: 2481 2481 2481 2481
-- Name: hmhix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hmhix2 ON hmhead USING btree (depot, cust, doc_type, doc_number);


--
-- TOC entry 4005 (class 1259 OID 80922)
-- Dependencies: 2482 2482 2482
-- Name: hmsix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hmsix1 ON hmsales USING btree ("location", doc_type, doc_number);


--
-- TOC entry 4006 (class 1259 OID 80923)
-- Dependencies: 2482
-- Name: hmsix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hmsix2 ON hmsales USING btree (contract);


--
-- TOC entry 4007 (class 1259 OID 80924)
-- Dependencies: 2483 2483
-- Name: hrates1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hrates1 ON hrates USING btree (pdesc, tender);


--
-- TOC entry 4008 (class 1259 OID 80925)
-- Dependencies: 2483 2483
-- Name: hrates2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hrates2 ON hrates USING btree (tender, pdesc);


--
-- TOC entry 4558 (class 1259 OID 80926)
-- Dependencies: 2928
-- Name: hsix255_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hsix255_1 ON unmatched_history USING btree (ser);


--
-- TOC entry 4559 (class 1259 OID 80927)
-- Dependencies: 2928 2928
-- Name: hsunmatchx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hsunmatchx ON unmatched_history USING btree (pdesc, reg);


--
-- TOC entry 4560 (class 1259 OID 80928)
-- Dependencies: 2928
-- Name: hsunmatchx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hsunmatchx2 ON unmatched_history USING btree (supplier);


--
-- TOC entry 4283 (class 1259 OID 80929)
-- Dependencies: 2682
-- Name: hurry_up; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX hurry_up ON product USING btree (dept_group);


--
-- TOC entry 4013 (class 1259 OID 80930)
-- Dependencies: 2485 2485 2485 2485 2485
-- Name: iddx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iddx1 ON iddetail USING btree (doc_type, "location", cust, ref, line_number);


--
-- TOC entry 4037 (class 1259 OID 80931)
-- Dependencies: 2497 2497
-- Name: idetail_ix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX idetail_ix ON inv_details USING btree (idetail_type, idetail_line);


--
-- TOC entry 4016 (class 1259 OID 80932)
-- Dependencies: 2487
-- Name: ihdetx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ihdetx3 ON ihdetail USING btree (return_docket);


--
-- TOC entry 4017 (class 1259 OID 80933)
-- Dependencies: 2487 2487 2487 2487
-- Name: ihdx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ihdx1 ON ihdetail USING btree (doc_type, "location", ref, cust);


--
-- TOC entry 4018 (class 1259 OID 80934)
-- Dependencies: 2487 2487 2487 2487
-- Name: ihdx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ihdx2 ON ihdetail USING btree (doc_type, "location", cust, ref);


--
-- TOC entry 4020 (class 1259 OID 80935)
-- Dependencies: 2489
-- Name: ihead_nsuk_key; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ihead_nsuk_key ON ihead USING btree (nsuk);


--
-- TOC entry 4023 (class 1259 OID 80936)
-- Dependencies: 2489 2489 2489 2489
-- Name: iheadx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iheadx1 ON ihead USING btree (doc_type, "location", cust, ref);


--
-- TOC entry 4024 (class 1259 OID 80937)
-- Dependencies: 2489
-- Name: iheadx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iheadx5 ON ihead USING btree (period);


--
-- TOC entry 4025 (class 1259 OID 80938)
-- Dependencies: 2489
-- Name: iheadx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iheadx6 ON ihead USING btree (doc_type);


--
-- TOC entry 4026 (class 1259 OID 80939)
-- Dependencies: 2489
-- Name: iheadx7; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iheadx7 ON ihead USING btree (return_docket);


--
-- TOC entry 4027 (class 1259 OID 80940)
-- Dependencies: 2489 2489 2489
-- Name: iheadx8; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iheadx8 ON ihead USING btree (doc_type, period, return_docket);


--
-- TOC entry 3746 (class 1259 OID 80941)
-- Dependencies: 2254 2254 2254 2254
-- Name: iiiii; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iiiii ON sledger USING btree (typ, dat, "location", ref);


--
-- TOC entry 4249 (class 1259 OID 80942)
-- Dependencies: 2658
-- Name: ind_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ind_1 ON pmsg USING btree (msg_typ);


--
-- TOC entry 4052 (class 1259 OID 80943)
-- Dependencies: 2512 2512 2512 2512 2512
-- Name: io_iddx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX io_iddx1 ON ioh_disp USING btree (doc_type, "location", cust, ref, line_number);


--
-- TOC entry 4055 (class 1259 OID 80944)
-- Dependencies: 2514
-- Name: io_ihdetx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX io_ihdetx3 ON ioh_hire USING btree (return_docket);


--
-- TOC entry 4056 (class 1259 OID 80945)
-- Dependencies: 2514 2514 2514 2514
-- Name: io_ihdx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX io_ihdx1 ON ioh_hire USING btree (doc_type, "location", ref, cust);


--
-- TOC entry 4059 (class 1259 OID 80946)
-- Dependencies: 2516
-- Name: io_iodetnsuk; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX io_iodetnsuk ON ioh_sale USING btree (nsuk);


--
-- TOC entry 4060 (class 1259 OID 80947)
-- Dependencies: 2516 2516 2516 2516
-- Name: io_iodx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX io_iodx1 ON ioh_sale USING btree (doc_type, "location", ref, cust);


--
-- TOC entry 4044 (class 1259 OID 80948)
-- Dependencies: 2507
-- Name: iodetnsuk; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX iodetnsuk ON iodetail USING btree (nsuk);


--
-- TOC entry 4045 (class 1259 OID 80949)
-- Dependencies: 2507 2507 2507 2507
-- Name: iodx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iodx1 ON iodetail USING btree (doc_type, "location", ref, cust);


--
-- TOC entry 4046 (class 1259 OID 80950)
-- Dependencies: 2507 2507 2507 2507
-- Name: iodx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX iodx2 ON iodetail USING btree (doc_type, "location", cust, ref);


--
-- TOC entry 4047 (class 1259 OID 80951)
-- Dependencies: 2510 2510 2510
-- Name: ioh_chdetx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ioh_chdetx1 ON ioh_chdetail USING btree ("location", contract, lin);


--
-- TOC entry 4048 (class 1259 OID 80952)
-- Dependencies: 2510 2510
-- Name: ioh_chdetx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ioh_chdetx2 ON ioh_chdetail USING btree (pdesc, reg);


--
-- TOC entry 4049 (class 1259 OID 80953)
-- Dependencies: 2510 2510
-- Name: ioh_chdetx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ioh_chdetx3 ON ioh_chdetail USING btree (depot, cust);


--
-- TOC entry 4050 (class 1259 OID 80954)
-- Dependencies: 2510 2510
-- Name: ioh_chdetx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ioh_chdetx5 ON ioh_chdetail USING btree ("location", pdesc);


--
-- TOC entry 4051 (class 1259 OID 80955)
-- Dependencies: 2510
-- Name: ioh_chdetx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ioh_chdetx6 ON ioh_chdetail USING btree (pdesc);


--
-- TOC entry 4028 (class 1259 OID 80956)
-- Dependencies: 2489 2489 2489 2489 2489
-- Name: ipix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ipix ON ihead USING btree (printed, doc_type, "location", ref, cust);


--
-- TOC entry 4421 (class 1259 OID 80957)
-- Dependencies: 2796
-- Name: ix111_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix111_1 ON scontact USING btree (supplier);


--
-- TOC entry 4064 (class 1259 OID 80958)
-- Dependencies: 2520
-- Name: ix214_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix214_1 ON jdetails USING btree (ser);


--
-- TOC entry 4211 (class 1259 OID 80959)
-- Dependencies: 2636
-- Name: ix258_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix258_1 ON phistory USING btree (ser);


--
-- TOC entry 4366 (class 1259 OID 80960)
-- Dependencies: 2755
-- Name: ix281_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix281_1 ON report USING btree (nsuk);


--
-- TOC entry 4367 (class 1259 OID 80961)
-- Dependencies: 2755
-- Name: ix281_2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix281_2 ON report USING btree (description);


--
-- TOC entry 4351 (class 1259 OID 80962)
-- Dependencies: 2734
-- Name: ix310_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix310_1 ON quotation USING btree (ser);


--
-- TOC entry 3936 (class 1259 OID 80963)
-- Dependencies: 2421
-- Name: ix313_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix313_1 ON disposals USING btree (ser);


--
-- TOC entry 4628 (class 1259 OID 80964)
-- Dependencies: 3017
-- Name: ix399_734; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix399_734 ON ws_job_template USING btree (equipment);


--
-- TOC entry 4639 (class 1259 OID 80965)
-- Dependencies: 3027
-- Name: ix402_736; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix402_736 ON ws_meter_readings USING btree (equipment_type);


--
-- TOC entry 4674 (class 1259 OID 80966)
-- Dependencies: 3059
-- Name: ix410_737; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix410_737 ON ws_ttemp_resources USING btree (task_template);


--
-- TOC entry 4677 (class 1259 OID 80967)
-- Dependencies: 3061
-- Name: ix411_739; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix411_739 ON ws_ttemp_spares USING btree (task_template);


--
-- TOC entry 4625 (class 1259 OID 80968)
-- Dependencies: 3015
-- Name: ix416_740; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix416_740 ON ws_job_tasks USING btree (required_skill);


--
-- TOC entry 4593 (class 1259 OID 80969)
-- Dependencies: 2983
-- Name: ix423_437; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix423_437 ON ws_engineer USING btree (nsuk);


--
-- TOC entry 4352 (class 1259 OID 80970)
-- Dependencies: 2736
-- Name: ix462_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix462_1 ON "quote" USING btree (nsuk);


--
-- TOC entry 4348 (class 1259 OID 80971)
-- Dependencies: 2726
-- Name: ix463_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix463_1 ON q_rental USING btree (nsuk);


--
-- TOC entry 4347 (class 1259 OID 80972)
-- Dependencies: 2723
-- Name: ix465_9; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix465_9 ON q_disposal USING btree (nsuk);


--
-- TOC entry 4225 (class 1259 OID 80973)
-- Dependencies: 2646
-- Name: ix474_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix474_1 ON plant_search USING btree (word);


--
-- TOC entry 3995 (class 1259 OID 80974)
-- Dependencies: 2476
-- Name: ix482_2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix482_2 ON hireperiod USING btree (cod);


--
-- TOC entry 3798 (class 1259 OID 80975)
-- Dependencies: 2316
-- Name: ix558_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix558_1 ON cc_head USING btree (nsuk);


--
-- TOC entry 3795 (class 1259 OID 80976)
-- Dependencies: 2314
-- Name: ix559_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix559_1 ON cc_detail USING btree (nsuk);


--
-- TOC entry 3836 (class 1259 OID 80977)
-- Dependencies: 2343 2343 2343
-- Name: ix588_4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix588_4 ON cod_allocation USING btree ("location", contract, lin);


--
-- TOC entry 4529 (class 1259 OID 80978)
-- Dependencies: 2901
-- Name: ix591_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix591_1 ON team USING btree (nsuk);


--
-- TOC entry 4536 (class 1259 OID 80979)
-- Dependencies: 2904
-- Name: ix592_2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix592_2 ON team_menu USING btree (team);


--
-- TOC entry 4532 (class 1259 OID 80980)
-- Dependencies: 2902
-- Name: ix593_2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix593_2 ON team_member USING btree ("operator");


--
-- TOC entry 4533 (class 1259 OID 80981)
-- Dependencies: 2902
-- Name: ix593_3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ix593_3 ON team_member USING btree (team);


--
-- TOC entry 3992 (class 1259 OID 80982)
-- Dependencies: 2472
-- Name: ix605_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix605_1 ON hire_dept USING btree (nsuk);


--
-- TOC entry 4459 (class 1259 OID 80983)
-- Dependencies: 2828
-- Name: ix661_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix661_1 ON so_dd USING btree (nsuk);


--
-- TOC entry 4462 (class 1259 OID 80984)
-- Dependencies: 2834
-- Name: ix662_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix662_1 ON so_dd_sale USING btree (nsuk);


--
-- TOC entry 4461 (class 1259 OID 80985)
-- Dependencies: 2832
-- Name: ix663_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix663_1 ON so_dd_rental USING btree (nsuk);


--
-- TOC entry 4460 (class 1259 OID 80986)
-- Dependencies: 2829
-- Name: ix664_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix664_1 ON so_dd_disposal USING btree (nsuk);


--
-- TOC entry 3984 (class 1259 OID 80987)
-- Dependencies: 2462
-- Name: ix710_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix710_1 ON gi_head USING btree (nsuk);


--
-- TOC entry 3979 (class 1259 OID 80988)
-- Dependencies: 2460
-- Name: ix711_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix711_1 ON gi_detail USING btree (nsuk);


--
-- TOC entry 3769 (class 1259 OID 80989)
-- Dependencies: 2295
-- Name: ix717_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix717_1 ON bank_accounts USING btree (cod);


--
-- TOC entry 4644 (class 1259 OID 80990)
-- Dependencies: 3031
-- Name: ix722_2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix722_2 ON ws_meter_units USING btree (description);


--
-- TOC entry 4598 (class 1259 OID 80991)
-- Dependencies: 2989
-- Name: ix724_2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix724_2 ON ws_equip_category USING btree (description);


--
-- TOC entry 4549 (class 1259 OID 80992)
-- Dependencies: 2919
-- Name: ix753_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix753_1 ON transport USING btree (cod);


--
-- TOC entry 4035 (class 1259 OID 80993)
-- Dependencies: 2495
-- Name: ix770_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix770_1 ON import_map USING btree (nsuk);


--
-- TOC entry 4267 (class 1259 OID 80994)
-- Dependencies: 2670
-- Name: ix779_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix779_1 ON pricelist USING btree (nsuk);


--
-- TOC entry 4467 (class 1259 OID 80995)
-- Dependencies: 2840
-- Name: ix850_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix850_1 ON soq_xref USING btree (nsuk);


--
-- TOC entry 4310 (class 1259 OID 80996)
-- Dependencies: 2699
-- Name: ix851_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix851_1 ON pt_itemdesc USING btree (product_type);


--
-- TOC entry 4218 (class 1259 OID 80997)
-- Dependencies: 2640
-- Name: ix912_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix912_1 ON pi_head USING btree (nsuk);


--
-- TOC entry 4217 (class 1259 OID 80998)
-- Dependencies: 2638
-- Name: ix913_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ix913_1 ON pi_detail USING btree (nsuk);


--
-- TOC entry 4029 (class 1259 OID 80999)
-- Dependencies: 2489 2489 2489
-- Name: ixihead20; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ixihead20 ON ihead USING btree ("location", ref, cust);


--
-- TOC entry 4063 (class 1259 OID 81000)
-- Dependencies: 2519
-- Name: jcix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX jcix ON java_columns USING btree (name);


--
-- TOC entry 3747 (class 1259 OID 81001)
-- Dependencies: 2254 2254 2254
-- Name: jim_1459; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX jim_1459 ON sledger USING btree (depot, cod, dat);


--
-- TOC entry 4398 (class 1259 OID 81002)
-- Dependencies: 2781 2781
-- Name: jim_1501; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX jim_1501 ON sallocer USING btree (er, allocation);


--
-- TOC entry 4397 (class 1259 OID 81003)
-- Dependencies: 2780 2780
-- Name: jim_1502; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX jim_1502 ON sallocee USING btree (ee, allocation);


--
-- TOC entry 4400 (class 1259 OID 81004)
-- Dependencies: 2782 2782
-- Name: jim_1503; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX jim_1503 ON sallocper USING btree (dat, allocation);


--
-- TOC entry 4075 (class 1259 OID 81005)
-- Dependencies: 2534 2534
-- Name: lcheadx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lcheadx1 ON load_chead USING btree ("location", contract);


--
-- TOC entry 4076 (class 1259 OID 81006)
-- Dependencies: 2534
-- Name: lcheadx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lcheadx2 ON load_chead USING btree (contract);


--
-- TOC entry 4079 (class 1259 OID 81007)
-- Dependencies: 2535 2535 2535
-- Name: lcustsitex; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lcustsitex ON load_custsite USING btree (depot, cust, site);


--
-- TOC entry 4077 (class 1259 OID 81008)
-- Dependencies: 2534 2534 2534
-- Name: lgra; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lgra ON load_chead USING btree ("location", depot, cust);


--
-- TOC entry 3748 (class 1259 OID 81009)
-- Dependencies: 2254
-- Name: lodge1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lodge1 ON sledger USING btree (lodgement);


--
-- TOC entry 3749 (class 1259 OID 81010)
-- Dependencies: 2254 2254
-- Name: lodge2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lodge2 ON sledger USING btree (cash_nominal, lodgement);


--
-- TOC entry 3781 (class 1259 OID 81011)
-- Dependencies: 2305 2305
-- Name: lodge3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lodge3 ON cash USING btree (cash_ac, lodgement);


--
-- TOC entry 4458 (class 1259 OID 81012)
-- Dependencies: 2826
-- Name: lodge4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lodge4 ON smartcard USING btree (ledger_trans);


--
-- TOC entry 4082 (class 1259 OID 81013)
-- Dependencies: 2539 2539 2539 2539 2539 2539
-- Name: lodge5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lodge5 ON lodgement USING btree (period, dat, "location", cod, source, batch);


--
-- TOC entry 4103 (class 1259 OID 81014)
-- Dependencies: 2563 2563 2563 2563 2563
-- Name: lodge6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lodge6 ON nltrans USING btree (cod, dat, "location", source, batch);


--
-- TOC entry 4078 (class 1259 OID 81015)
-- Dependencies: 2534 2534
-- Name: lstripe; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX lstripe ON load_chead USING btree (depot, cust);


--
-- TOC entry 4030 (class 1259 OID 81016)
-- Dependencies: 2489 2489 2489
-- Name: maryix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX maryix ON ihead USING btree (doc_type, "location", ref);


--
-- TOC entry 4232 (class 1259 OID 81017)
-- Dependencies: 2649 2649 2649
-- Name: melpledger; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX melpledger ON pledger USING btree (supplier, os, locked);


--
-- TOC entry 4525 (class 1259 OID 81018)
-- Dependencies: 2896 2896
-- Name: meniidx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX meniidx ON sysmenuitems USING btree (imenuname, itemnum);


--
-- TOC entry 4346 (class 1259 OID 81019)
-- Dependencies: 2720
-- Name: mult_idx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX mult_idx3 ON putil USING btree (pdesc);


--
-- TOC entry 4244 (class 1259 OID 81020)
-- Dependencies: 2657
-- Name: mult_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX mult_idx4 ON pmoves USING btree (pdesc);


--
-- TOC entry 4182 (class 1259 OID 81021)
-- Dependencies: 2616
-- Name: multidx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX multidx ON pcost USING btree (pdesc);


--
-- TOC entry 4118 (class 1259 OID 81022)
-- Dependencies: 2569
-- Name: ng_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ng_idx ON note_group USING btree (nsuk);


--
-- TOC entry 4097 (class 1259 OID 81023)
-- Dependencies: 2559 2559 2559
-- Name: nlbalx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX nlbalx ON nlbals USING btree (cod, cc, period);


--
-- TOC entry 4098 (class 1259 OID 81024)
-- Dependencies: 2559 2559
-- Name: nlbalx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX nlbalx2 ON nlbals USING btree (cod, period);


--
-- TOC entry 4099 (class 1259 OID 81025)
-- Dependencies: 2560 2560
-- Name: nlbatch2x; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX nlbatch2x ON nlbatch USING btree (source, seq);


--
-- TOC entry 4102 (class 1259 OID 81026)
-- Dependencies: 2560 2560 2560
-- Name: nlbatchx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX nlbatchx ON nlbatch USING btree (dat, source, seq);


--
-- TOC entry 4104 (class 1259 OID 81027)
-- Dependencies: 2563 2563 2563 2563 2563
-- Name: nltbatchx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX nltbatchx ON nltrans USING btree ("location", source, batch, cod, cc);


--
-- TOC entry 4107 (class 1259 OID 81028)
-- Dependencies: 2563
-- Name: nltranu; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX nltranu ON nltrans USING btree (trans_no);


--
-- TOC entry 4108 (class 1259 OID 81029)
-- Dependencies: 2563 2563 2563 2563
-- Name: nltranx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX nltranx ON nltrans USING btree (cod, cc, period, dat);


--
-- TOC entry 4114 (class 1259 OID 81030)
-- Dependencies: 2567 2567
-- Name: nparent; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX nparent ON nominal USING btree (parent, cod);


--
-- TOC entry 4119 (class 1259 OID 81031)
-- Dependencies: 2572
-- Name: nsr2_index; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX nsr2_index ON nsearch USING btree (nominal);


--
-- TOC entry 4120 (class 1259 OID 81032)
-- Dependencies: 2572 2572
-- Name: nsr_index; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX nsr_index ON nsearch USING btree (word, nominal);


--
-- TOC entry 4123 (class 1259 OID 81033)
-- Dependencies: 2575
-- Name: o_rent_ix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX o_rent_ix1 ON o_rental USING btree (nsuk);


--
-- TOC entry 4124 (class 1259 OID 81034)
-- Dependencies: 2577
-- Name: o_sale_ix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX o_sale_ix ON o_sale USING btree (nsuk);


--
-- TOC entry 4139 (class 1259 OID 81035)
-- Dependencies: 2594
-- Name: pallocee_x1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pallocee_x1 ON pallocee USING btree (allocation);


--
-- TOC entry 4140 (class 1259 OID 81036)
-- Dependencies: 2594
-- Name: pallocee_x2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pallocee_x2 ON pallocee USING btree (ee);


--
-- TOC entry 4141 (class 1259 OID 81037)
-- Dependencies: 2594 2594
-- Name: pallocee_x3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pallocee_x3 ON pallocee USING btree (allocation, ee);


--
-- TOC entry 4142 (class 1259 OID 81038)
-- Dependencies: 2595
-- Name: pallocer_x1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pallocer_x1 ON pallocer USING btree (allocation);


--
-- TOC entry 4143 (class 1259 OID 81039)
-- Dependencies: 2595
-- Name: pallocer_x2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pallocer_x2 ON pallocer USING btree (er);


--
-- TOC entry 4144 (class 1259 OID 81040)
-- Dependencies: 2595 2595
-- Name: pallocer_x3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pallocer_x3 ON pallocer USING btree (allocation, er);


--
-- TOC entry 4152 (class 1259 OID 81041)
-- Dependencies: 2602 2602 2602
-- Name: pavailx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pavailx ON pavail USING btree (pdesc, "location", stat);


--
-- TOC entry 4161 (class 1259 OID 81042)
-- Dependencies: 2608 2608 2608 2608
-- Name: pc_aaax; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_aaax ON pc_ihead USING btree (ac_location, "location", cust, ref);


--
-- TOC entry 4162 (class 1259 OID 81043)
-- Dependencies: 2608 2608 2608 2608 2608
-- Name: pc_ggix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_ggix ON pc_ihead USING btree ("location", doc_type, cust, ref, period);


--
-- TOC entry 4155 (class 1259 OID 81044)
-- Dependencies: 2604 2604 2604 2604 2604
-- Name: pc_iddx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iddx1 ON pc_iddetail USING btree (doc_type, "location", cust, ref, line_number);


--
-- TOC entry 4156 (class 1259 OID 81045)
-- Dependencies: 2604 2604 2604 2604 2604
-- Name: pc_iddx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iddx2 ON pc_iddetail USING btree (doc_type, "location", ref, cust, line_number);


--
-- TOC entry 4157 (class 1259 OID 81046)
-- Dependencies: 2606
-- Name: pc_ihdetx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_ihdetx3 ON pc_ihdetail USING btree (return_docket);


--
-- TOC entry 4158 (class 1259 OID 81047)
-- Dependencies: 2606
-- Name: pc_ihdetx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX pc_ihdetx4 ON pc_ihdetail USING btree (nsuk);


--
-- TOC entry 4159 (class 1259 OID 81048)
-- Dependencies: 2606 2606 2606 2606 2606
-- Name: pc_ihdx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_ihdx1 ON pc_ihdetail USING btree (doc_type, "location", cust, ref, line_number);


--
-- TOC entry 4160 (class 1259 OID 81049)
-- Dependencies: 2606 2606 2606 2606 2606
-- Name: pc_ihdx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_ihdx2 ON pc_ihdetail USING btree (doc_type, "location", ref, cust, line_number);


--
-- TOC entry 4163 (class 1259 OID 81050)
-- Dependencies: 2608 2608 2608 2608
-- Name: pc_iheadx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iheadx1 ON pc_ihead USING btree (doc_type, "location", cust, ref);


--
-- TOC entry 4164 (class 1259 OID 81051)
-- Dependencies: 2608 2608 2608 2608
-- Name: pc_iheadx10; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iheadx10 ON pc_ihead USING btree ("location", contract, ref, cust);


--
-- TOC entry 4165 (class 1259 OID 81052)
-- Dependencies: 2608 2608 2608 2608
-- Name: pc_iheadx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iheadx2 ON pc_ihead USING btree (doc_type, "location", ref, cust);


--
-- TOC entry 4166 (class 1259 OID 81053)
-- Dependencies: 2608
-- Name: pc_iheadx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iheadx5 ON pc_ihead USING btree (period);


--
-- TOC entry 4167 (class 1259 OID 81054)
-- Dependencies: 2608
-- Name: pc_iheadx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iheadx6 ON pc_ihead USING btree (doc_type);


--
-- TOC entry 4168 (class 1259 OID 81055)
-- Dependencies: 2608
-- Name: pc_iheadx7; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iheadx7 ON pc_ihead USING btree (return_docket);


--
-- TOC entry 4169 (class 1259 OID 81056)
-- Dependencies: 2608 2608 2608
-- Name: pc_iheadx8; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iheadx8 ON pc_ihead USING btree (doc_type, period, return_docket);


--
-- TOC entry 4170 (class 1259 OID 81057)
-- Dependencies: 2608
-- Name: pc_iheadx9; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX pc_iheadx9 ON pc_ihead USING btree (nsuk);


--
-- TOC entry 4175 (class 1259 OID 81058)
-- Dependencies: 2610 2610 2610 2610 2610
-- Name: pc_iodx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iodx1 ON pc_iodetail USING btree (doc_type, "location", cust, ref, line_number);


--
-- TOC entry 4176 (class 1259 OID 81059)
-- Dependencies: 2610 2610 2610 2610 2610
-- Name: pc_iodx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_iodx2 ON pc_iodetail USING btree (doc_type, "location", ref, cust, line_number);


--
-- TOC entry 4171 (class 1259 OID 81060)
-- Dependencies: 2608 2608 2608 2608 2608
-- Name: pc_ipix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX pc_ipix ON pc_ihead USING btree (printed, doc_type, "location", ref, cust);


--
-- TOC entry 4172 (class 1259 OID 81061)
-- Dependencies: 2608 2608 2608
-- Name: pc_maryix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pc_maryix ON pc_ihead USING btree (doc_type, "location", ref);


--
-- TOC entry 4179 (class 1259 OID 81062)
-- Dependencies: 2612
-- Name: pccdetailsx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pccdetailsx1 ON pccdetails USING btree (details_ser);


--
-- TOC entry 4187 (class 1259 OID 81063)
-- Dependencies: 2618 2618 2618 2618
-- Name: pchix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pchix2 ON pcost_history USING btree (period, asset_reg, pdesc, reg);


--
-- TOC entry 4183 (class 1259 OID 81064)
-- Dependencies: 2616 2616 2616
-- Name: pcix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pcix2 ON pcost USING btree (asset_reg, pdesc, reg);


--
-- TOC entry 4186 (class 1259 OID 81065)
-- Dependencies: 2617
-- Name: pcost_ctrl_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pcost_ctrl_idx ON pcost_ctrl USING btree (period);


--
-- TOC entry 4188 (class 1259 OID 81066)
-- Dependencies: 2621
-- Name: pdesc_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX pdesc_idx ON pdesc USING btree (cod);


--
-- TOC entry 4189 (class 1259 OID 81067)
-- Dependencies: 2621 2621
-- Name: pdescx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX pdescx1 ON pdesc USING btree (asset_reg, cod);


--
-- TOC entry 4197 (class 1259 OID 81068)
-- Dependencies: 2626
-- Name: pdetailsmx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pdetailsmx2 ON pdetails USING btree (trans_ser);


--
-- TOC entry 4198 (class 1259 OID 81069)
-- Dependencies: 2626 2626
-- Name: pdetailsmx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pdetailsmx3 ON pdetails USING btree (trans_ser, vcode);


--
-- TOC entry 4199 (class 1259 OID 81070)
-- Dependencies: 2626
-- Name: pdetailsx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pdetailsx1 ON pdetails USING btree (ser);


--
-- TOC entry 4200 (class 1259 OID 81071)
-- Dependencies: 2629
-- Name: pdsearch_12; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pdsearch_12 ON pdsearch USING btree (word);


--
-- TOC entry 4201 (class 1259 OID 81072)
-- Dependencies: 2629 2629 2629
-- Name: pdsx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pdsx1 ON pdsearch USING btree (asset_reg, pdesc, word);


--
-- TOC entry 4202 (class 1259 OID 81073)
-- Dependencies: 2629 2629 2629
-- Name: pdsx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pdsx2 ON pdsearch USING btree (asset_reg, word, pdesc);


--
-- TOC entry 4214 (class 1259 OID 81074)
-- Dependencies: 2636 2636 2636
-- Name: phistoryper; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX phistoryper ON phistory USING btree (asset_reg, sales_period, typ);


--
-- TOC entry 4215 (class 1259 OID 81075)
-- Dependencies: 2636 2636
-- Name: phistx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX phistx ON phistory USING btree (asset_reg, pdesc);


--
-- TOC entry 3845 (class 1259 OID 81076)
-- Dependencies: 2349
-- Name: phoneix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX phoneix ON contact USING btree (phone);


--
-- TOC entry 4235 (class 1259 OID 81077)
-- Dependencies: 2649
-- Name: pledgermx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pledgermx2 ON pledger USING btree (supplier);


--
-- TOC entry 4236 (class 1259 OID 81078)
-- Dependencies: 2649 2649 2649
-- Name: pledgerx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pledgerx ON pledger USING btree (supplier, dat, ser);


--
-- TOC entry 4237 (class 1259 OID 81079)
-- Dependencies: 2649 2649 2649
-- Name: pledgerx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pledgerx2 ON pledger USING btree (period, typ, dat);


--
-- TOC entry 4245 (class 1259 OID 81080)
-- Dependencies: 2657 2657
-- Name: pmovx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pmovx ON pmoves USING btree (asset_reg, pdesc);


--
-- TOC entry 4127 (class 1259 OID 81081)
-- Dependencies: 2587 2587 2587 2587
-- Name: pms_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pms_idx1 ON p_msales USING btree (mth, dept, product, store);


--
-- TOC entry 4128 (class 1259 OID 81082)
-- Dependencies: 2587 2587 2587
-- Name: pms_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pms_idx4 ON p_msales USING btree (mth, dept, store);


--
-- TOC entry 4129 (class 1259 OID 81083)
-- Dependencies: 2587 2587
-- Name: pms_idx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pms_idx5 ON p_msales USING btree (mth, sales_rep);


--
-- TOC entry 4130 (class 1259 OID 81084)
-- Dependencies: 2587 2587
-- Name: pms_idx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pms_idx6 ON p_msales USING btree (mth, supplier);


--
-- TOC entry 4252 (class 1259 OID 81085)
-- Dependencies: 2659
-- Name: po_cix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX po_cix ON po_control USING btree (nsuk);


--
-- TOC entry 4257 (class 1259 OID 81086)
-- Dependencies: 2664
-- Name: po_stat_ix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX po_stat_ix ON po_status USING btree (nsuk);


--
-- TOC entry 4260 (class 1259 OID 81087)
-- Dependencies: 2665 2665 2665 2665
-- Name: pohanalx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pohanalx ON pohanal USING btree (pdesc, days, "location", period);


--
-- TOC entry 4442 (class 1259 OID 81088)
-- Dependencies: 2817 2817
-- Name: pregidx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pregidx1 ON singles USING btree (asset_reg, pdesc);


--
-- TOC entry 4443 (class 1259 OID 81089)
-- Dependencies: 2817 2817 2817
-- Name: pregidx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pregidx2 ON singles USING btree (asset_reg, pdesc, "location");


--
-- TOC entry 4304 (class 1259 OID 81090)
-- Dependencies: 2695 2695
-- Name: pregidx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pregidx3 ON pstock USING btree (asset_reg, pdesc);


--
-- TOC entry 4444 (class 1259 OID 81091)
-- Dependencies: 2817 2817 2817
-- Name: pregidx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pregidx4 ON singles USING btree (pdesc, asset_reg, cod);


--
-- TOC entry 4190 (class 1259 OID 81092)
-- Dependencies: 2621 2621
-- Name: pregidx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pregidx5 ON pdesc USING btree (asset_reg, typ);


--
-- TOC entry 4270 (class 1259 OID 81093)
-- Dependencies: 2670
-- Name: pricelistx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX pricelistx ON pricelist USING btree (cod);


--
-- TOC entry 4281 (class 1259 OID 81094)
-- Dependencies: 2681
-- Name: prodsrx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX prodsrx2 ON prod_search USING btree (word);


--
-- TOC entry 4284 (class 1259 OID 81095)
-- Dependencies: 2682
-- Name: product_nsuk; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX product_nsuk ON product USING btree (nsuk);


--
-- TOC entry 4288 (class 1259 OID 81096)
-- Dependencies: 2684 2684 2684
-- Name: product_supplier_idx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX product_supplier_idx ON product_supplier USING btree (supplier_ref, supplier, cod);


--
-- TOC entry 4287 (class 1259 OID 81097)
-- Dependencies: 2682
-- Name: prodx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX prodx ON product USING btree (cod);


--
-- TOC entry 4302 (class 1259 OID 81098)
-- Dependencies: 2694 2694
-- Name: psearchx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX psearchx ON psearch USING btree (word, supplier);


--
-- TOC entry 4303 (class 1259 OID 81099)
-- Dependencies: 2694 2694
-- Name: psearchx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX psearchx2 ON psearch USING btree (supplier, word);


--
-- TOC entry 4307 (class 1259 OID 81100)
-- Dependencies: 2696 2696 2696 2696
-- Name: pstockhx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pstockhx ON pstock_history USING btree (period, asset_reg, pdesc, "location");


--
-- TOC entry 4305 (class 1259 OID 81101)
-- Dependencies: 2695 2695 2695
-- Name: pstockx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pstockx ON pstock USING btree (asset_reg, pdesc, "location");


--
-- TOC entry 4292 (class 1259 OID 81102)
-- Dependencies: 2685
-- Name: pt_ix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX pt_ix1 ON product_type USING btree (nsuk);


--
-- TOC entry 4293 (class 1259 OID 81103)
-- Dependencies: 2685
-- Name: pt_ix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX pt_ix2 ON product_type USING btree (plu);


--
-- TOC entry 4327 (class 1259 OID 81104)
-- Dependencies: 2711
-- Name: pt_supp_x1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pt_supp_x1 ON pt_supplier USING btree (nsuk);


--
-- TOC entry 4328 (class 1259 OID 81105)
-- Dependencies: 2711 2711
-- Name: pt_supp_x2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pt_supp_x2 ON pt_supplier USING btree (product_type, supplier);


--
-- TOC entry 4329 (class 1259 OID 81106)
-- Dependencies: 2711
-- Name: pt_supp_x3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pt_supp_x3 ON pt_supplier USING btree (product_type);


--
-- TOC entry 4313 (class 1259 OID 81107)
-- Dependencies: 2700 2700 2700
-- Name: ptms_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptms_idx1 ON pt_msales USING btree (mth, product, store);


--
-- TOC entry 4314 (class 1259 OID 81108)
-- Dependencies: 2700 2700
-- Name: ptms_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptms_idx4 ON pt_msales USING btree (mth, store);


--
-- TOC entry 4315 (class 1259 OID 81109)
-- Dependencies: 2700 2700
-- Name: ptms_idx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptms_idx5 ON pt_msales USING btree (mth, sales_rep);


--
-- TOC entry 4316 (class 1259 OID 81110)
-- Dependencies: 2700 2700
-- Name: ptms_idx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptms_idx6 ON pt_msales USING btree (mth, supplier);


--
-- TOC entry 4323 (class 1259 OID 81111)
-- Dependencies: 2708
-- Name: ptsrx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptsrx2 ON pt_search USING btree (word);


--
-- TOC entry 4334 (class 1259 OID 81112)
-- Dependencies: 2713 2713 2713 2713
-- Name: ptws_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptws_idx1 ON pt_wsales USING btree (yr, week_no, product, store);


--
-- TOC entry 4335 (class 1259 OID 81113)
-- Dependencies: 2713 2713 2713
-- Name: ptws_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptws_idx4 ON pt_wsales USING btree (yr, week_no, store);


--
-- TOC entry 4336 (class 1259 OID 81114)
-- Dependencies: 2713 2713 2713
-- Name: ptws_idx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptws_idx5 ON pt_wsales USING btree (yr, week_no, sales_rep);


--
-- TOC entry 4337 (class 1259 OID 81115)
-- Dependencies: 2713 2713 2713
-- Name: ptws_idx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ptws_idx6 ON pt_wsales USING btree (yr, week_no, supplier);


--
-- TOC entry 4131 (class 1259 OID 81116)
-- Dependencies: 2590 2590 2590 2590 2590
-- Name: pws_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pws_idx1 ON p_wsales USING btree (yr, week_no, dept, product, store);


--
-- TOC entry 4132 (class 1259 OID 81117)
-- Dependencies: 2590 2590 2590 2590
-- Name: pws_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pws_idx4 ON p_wsales USING btree (yr, week_no, dept, store);


--
-- TOC entry 4133 (class 1259 OID 81118)
-- Dependencies: 2590 2590 2590
-- Name: pws_idx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pws_idx5 ON p_wsales USING btree (yr, week_no, sales_rep);


--
-- TOC entry 4134 (class 1259 OID 81119)
-- Dependencies: 2590 2590 2590
-- Name: pws_idx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pws_idx6 ON p_wsales USING btree (yr, week_no, supplier);


--
-- TOC entry 4135 (class 1259 OID 81120)
-- Dependencies: 2592 2592 2592 2592
-- Name: pys_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pys_idx1 ON p_ysales USING btree (yr, dept, product, store);


--
-- TOC entry 4136 (class 1259 OID 81121)
-- Dependencies: 2592 2592 2592
-- Name: pys_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pys_idx4 ON p_ysales USING btree (yr, dept, store);


--
-- TOC entry 4137 (class 1259 OID 81122)
-- Dependencies: 2592 2592
-- Name: pys_idx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pys_idx5 ON p_ysales USING btree (yr, sales_rep);


--
-- TOC entry 4138 (class 1259 OID 81123)
-- Dependencies: 2592 2592
-- Name: pys_idx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pys_idx6 ON p_ysales USING btree (yr, supplier);


--
-- TOC entry 4340 (class 1259 OID 81124)
-- Dependencies: 2715 2715 2715
-- Name: pyws_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pyws_idx1 ON pt_ysales USING btree (yr, product, store);


--
-- TOC entry 4341 (class 1259 OID 81125)
-- Dependencies: 2715 2715
-- Name: pyws_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pyws_idx4 ON pt_ysales USING btree (yr, store);


--
-- TOC entry 4342 (class 1259 OID 81126)
-- Dependencies: 2715 2715
-- Name: pyws_idx5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pyws_idx5 ON pt_ysales USING btree (yr, sales_rep);


--
-- TOC entry 4343 (class 1259 OID 81127)
-- Dependencies: 2715 2715
-- Name: pyws_idx6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX pyws_idx6 ON pt_ysales USING btree (yr, supplier);


--
-- TOC entry 4365 (class 1259 OID 81128)
-- Dependencies: 2750
-- Name: remitx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX remitx ON remit USING btree (supplier);


--
-- TOC entry 4357 (class 1259 OID 81129)
-- Dependencies: 2740 2740 2740
-- Name: rms_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX rms_idx1 ON r_msales USING btree (mth, sales_rep, store);


--
-- TOC entry 4358 (class 1259 OID 81130)
-- Dependencies: 2740 2740
-- Name: rms_idx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX rms_idx3 ON r_msales USING btree (mth, store);


--
-- TOC entry 4359 (class 1259 OID 81131)
-- Dependencies: 2742 2742 2742 2742
-- Name: rws_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX rws_idx1 ON r_wsales USING btree (yr, week_no, sales_rep, store);


--
-- TOC entry 4360 (class 1259 OID 81132)
-- Dependencies: 2742 2742 2742
-- Name: rws_idx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX rws_idx3 ON r_wsales USING btree (yr, week_no, store);


--
-- TOC entry 4361 (class 1259 OID 81133)
-- Dependencies: 2744 2744 2744
-- Name: rys_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX rys_idx1 ON r_ysales USING btree (yr, sales_rep, store);


--
-- TOC entry 4362 (class 1259 OID 81134)
-- Dependencies: 2744 2744
-- Name: rys_idx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX rys_idx3 ON r_ysales USING btree (yr, store);


--
-- TOC entry 4403 (class 1259 OID 81135)
-- Dependencies: 2783 2783
-- Name: s1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s1 ON sanal USING btree ("location", period);


--
-- TOC entry 3819 (class 1259 OID 81136)
-- Dependencies: 2327
-- Name: s10; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s10 ON chead USING btree (depot);


--
-- TOC entry 4246 (class 1259 OID 81137)
-- Dependencies: 2657
-- Name: s11; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s11 ON pmoves USING btree (depot);


--
-- TOC entry 4553 (class 1259 OID 81138)
-- Dependencies: 2927
-- Name: s12; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s12 ON unmatched USING btree ("location");


--
-- TOC entry 4216 (class 1259 OID 81139)
-- Dependencies: 2636
-- Name: s13; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s13 ON phistory USING btree (depot);


--
-- TOC entry 4306 (class 1259 OID 81140)
-- Dependencies: 2695
-- Name: s14; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s14 ON pstock USING btree ("location");


--
-- TOC entry 4153 (class 1259 OID 81141)
-- Dependencies: 2602
-- Name: s15; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s15 ON pavail USING btree ("location");


--
-- TOC entry 3937 (class 1259 OID 81142)
-- Dependencies: 2421
-- Name: s16; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s16 ON disposals USING btree ("location");


--
-- TOC entry 3989 (class 1259 OID 81143)
-- Dependencies: 2470 2470
-- Name: s2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s2 ON hanal USING btree ("location", period);


--
-- TOC entry 3910 (class 1259 OID 81144)
-- Dependencies: 2398 2398
-- Name: s3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s3 ON danal USING btree ("location", period);


--
-- TOC entry 4261 (class 1259 OID 81145)
-- Dependencies: 2665 2665
-- Name: s4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s4 ON pohanal USING btree ("location", period);


--
-- TOC entry 4451 (class 1259 OID 81146)
-- Dependencies: 2821 2821
-- Name: s5; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s5 ON siteha USING btree (depot, period);


--
-- TOC entry 4450 (class 1259 OID 81147)
-- Dependencies: 2820 2820
-- Name: s6; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s6 ON siteda USING btree (depot, period);


--
-- TOC entry 4453 (class 1259 OID 81148)
-- Dependencies: 2822 2822
-- Name: s7; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s7 ON sitesa USING btree (depot, period);


--
-- TOC entry 4550 (class 1259 OID 81149)
-- Dependencies: 2925 2925
-- Name: s8; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s8 ON turnover USING btree (depot, period);


--
-- TOC entry 3750 (class 1259 OID 81150)
-- Dependencies: 2254 2254 2254
-- Name: s9; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX s9 ON sledger USING btree (period, depot, cod);


--
-- TOC entry 4509 (class 1259 OID 81151)
-- Dependencies: 2880
-- Name: sage_ix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sage_ix ON supplier_age USING btree (cod);


--
-- TOC entry 4510 (class 1259 OID 81152)
-- Dependencies: 2880 2880
-- Name: sage_ix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sage_ix2 ON supplier_age USING btree (period, cod);


--
-- TOC entry 4401 (class 1259 OID 81153)
-- Dependencies: 2782
-- Name: sallocper_allocation_key; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sallocper_allocation_key ON sallocper USING btree (allocation);


--
-- TOC entry 4404 (class 1259 OID 81154)
-- Dependencies: 2783 2783 2783 2783
-- Name: sanalix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sanalix1 ON sanal USING btree (period, product, "location", cust);


--
-- TOC entry 4471 (class 1259 OID 81155)
-- Dependencies: 2845 2845 2845 2845
-- Name: siiiii; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX siiiii ON ssledger USING btree (typ, dat, "location", ref);


--
-- TOC entry 4445 (class 1259 OID 81156)
-- Dependencies: 2817 2817
-- Name: singlesxm; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX singlesxm ON singles USING btree (asset_reg, cod);


--
-- TOC entry 4247 (class 1259 OID 81157)
-- Dependencies: 2657 2657 2657 2657
-- Name: siobhan; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX siobhan ON pmoves USING btree (asset_reg, pdesc, reg, typ);


--
-- TOC entry 4452 (class 1259 OID 81158)
-- Dependencies: 2821 2821 2821 2821 2821
-- Name: sitehax; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sitehax ON siteha USING btree (depot, cod, site, period, pdesc);


--
-- TOC entry 4454 (class 1259 OID 81159)
-- Dependencies: 2822 2822 2822 2822 2822
-- Name: sitesax; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sitesax ON sitesa USING btree (depot, cod, site, period, product);


--
-- TOC entry 3886 (class 1259 OID 81160)
-- Dependencies: 2383 2383 2383
-- Name: sl_age; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sl_age ON custage USING btree (depot, cod, period);


--
-- TOC entry 3751 (class 1259 OID 81161)
-- Dependencies: 2254 2254 2254
-- Name: sl_audit; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sl_audit ON sledger USING btree (typ, depot, ref);


--
-- TOC entry 3752 (class 1259 OID 81162)
-- Dependencies: 2254 2254 2254 2254 2254
-- Name: sl_lodge; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sl_lodge ON sledger USING btree ("location", typ, lodgement, dat, ser);


--
-- TOC entry 3753 (class 1259 OID 81163)
-- Dependencies: 2254 2254 2254 2254
-- Name: sl_prime; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sl_prime ON sledger USING btree (depot, cod, period, dat);


--
-- TOC entry 3754 (class 1259 OID 81164)
-- Dependencies: 2254 2254 2254
-- Name: slctl; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX slctl ON sledger USING btree (typ, depot, cod);


--
-- TOC entry 4684 (class 1259 OID 445958)
-- Dependencies: 3080
-- Name: sledger_cr_map_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sledger_cr_map_idx1 ON sledger_cr_map USING btree (sledger_ser);


--
-- TOC entry 4382 (class 1259 OID 81165)
-- Dependencies: 2769 2769 2769 2769
-- Name: sms_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sms_idx1 ON s_msales USING btree (store, mth, dept, supplier);


--
-- TOC entry 4383 (class 1259 OID 81166)
-- Dependencies: 2769 2769 2769
-- Name: sms_idx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sms_idx2 ON s_msales USING btree (mth, dept, supplier);


--
-- TOC entry 4384 (class 1259 OID 81167)
-- Dependencies: 2769 2769 2769
-- Name: sms_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sms_idx4 ON s_msales USING btree (mth, dept, store);


--
-- TOC entry 4437 (class 1259 OID 81168)
-- Dependencies: 2808
-- Name: sn_ix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sn_ix ON seqno USING btree (seq_name);


--
-- TOC entry 4109 (class 1259 OID 81169)
-- Dependencies: 2563 2563
-- Name: sou_bat; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sou_bat ON nltrans USING btree (source, batch);


--
-- TOC entry 3757 (class 1259 OID 81170)
-- Dependencies: 2254 2254
-- Name: sourcebatch; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sourcebatch ON sledger USING btree (source, batch);


--
-- TOC entry 4436 (class 1259 OID 81171)
-- Dependencies: 2806 2806
-- Name: sp_ix2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sp_ix2 ON sell_price USING btree (product_type, effective_date);


--
-- TOC entry 4513 (class 1259 OID 81172)
-- Dependencies: 2885
-- Name: sp_touch; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sp_touch ON supplier_touched USING btree (supplier);


--
-- TOC entry 4110 (class 1259 OID 81173)
-- Dependencies: 2563 2563 2563
-- Name: spdexa; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX spdexa ON nltrans USING btree (period, cod, tmp);


--
-- TOC entry 4503 (class 1259 OID 81174)
-- Dependencies: 2874 2874
-- Name: spix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX spix1 ON sub_product USING btree (product_code, description);


--
-- TOC entry 4470 (class 1259 OID 81175)
-- Dependencies: 2843
-- Name: spux; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX spux ON spool_control USING btree (ser);


--
-- TOC entry 4472 (class 1259 OID 81176)
-- Dependencies: 2845 2845 2845
-- Name: ssl_audit; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ssl_audit ON ssledger USING btree (typ, depot, ref);


--
-- TOC entry 4473 (class 1259 OID 81177)
-- Dependencies: 2845 2845 2845 2845 2845
-- Name: ssl_lodge; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ssl_lodge ON ssledger USING btree ("location", typ, lodgement, dat, ser);


--
-- TOC entry 4474 (class 1259 OID 81178)
-- Dependencies: 2845 2845 2845 2845
-- Name: ssl_prime; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ssl_prime ON ssledger USING btree (depot, cod, period, dat);


--
-- TOC entry 4475 (class 1259 OID 81179)
-- Dependencies: 2845
-- Name: ssl_serial; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ssl_serial ON ssledger USING btree (ser);


--
-- TOC entry 4476 (class 1259 OID 81180)
-- Dependencies: 2845 2845 2845
-- Name: sslctl; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sslctl ON ssledger USING btree (typ, depot, cod);


--
-- TOC entry 4494 (class 1259 OID 81181)
-- Dependencies: 2866 2866 2866
-- Name: st_idx3; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX st_idx3 ON stock_movement USING btree (product_type, typ, period);


--
-- TOC entry 4489 (class 1259 OID 81182)
-- Dependencies: 2860 2860
-- Name: stock_pt; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX stock_pt ON stock USING btree (product_type, "location");


--
-- TOC entry 4497 (class 1259 OID 81183)
-- Dependencies: 2866
-- Name: stove_move_pt; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX stove_move_pt ON stock_movement USING btree (product_type);


--
-- TOC entry 3820 (class 1259 OID 81184)
-- Dependencies: 2327 2327
-- Name: stripe; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX stripe ON chead USING btree (depot, cust);


--
-- TOC entry 4502 (class 1259 OID 81185)
-- Dependencies: 2873 2873
-- Name: subgrpix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX subgrpix1 ON sub_group USING btree (cod, super_group);


--
-- TOC entry 4504 (class 1259 OID 81186)
-- Dependencies: 2876
-- Name: sugg1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sugg1 ON sugg_remit USING btree (supplier);


--
-- TOC entry 4505 (class 1259 OID 81187)
-- Dependencies: 2876 2876 2876
-- Name: sugg2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sugg2 ON sugg_remit USING btree (supplier, dat, ref);


--
-- TOC entry 4506 (class 1259 OID 81188)
-- Dependencies: 2877
-- Name: supergrpix1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX supergrpix1 ON super_group USING btree (cod);


--
-- TOC entry 4514 (class 1259 OID 81189)
-- Dependencies: 2886 2886
-- Name: suppnotx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX suppnotx ON suppnotes USING btree (supplier, note);


--
-- TOC entry 3863 (class 1259 OID 81190)
-- Dependencies: 2365 2365
-- Name: sus_prime; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sus_prime ON csuspend USING btree (depot, cod);


--
-- TOC entry 4387 (class 1259 OID 81191)
-- Dependencies: 2771 2771 2771 2771 2771
-- Name: sws_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sws_idx1 ON s_wsales USING btree (store, yr, week_no, dept, supplier);


--
-- TOC entry 4388 (class 1259 OID 81192)
-- Dependencies: 2771 2771 2771 2771
-- Name: sws_idx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sws_idx2 ON s_wsales USING btree (yr, week_no, dept, supplier);


--
-- TOC entry 4389 (class 1259 OID 81193)
-- Dependencies: 2771 2771 2771 2771
-- Name: sws_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sws_idx4 ON s_wsales USING btree (yr, week_no, dept, store);


--
-- TOC entry 4390 (class 1259 OID 81194)
-- Dependencies: 2773 2773 2773 2773
-- Name: sys_idx1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sys_idx1 ON s_ysales USING btree (store, yr, dept, supplier);


--
-- TOC entry 4391 (class 1259 OID 81195)
-- Dependencies: 2773 2773 2773
-- Name: sys_idx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sys_idx2 ON s_ysales USING btree (yr, dept, supplier);


--
-- TOC entry 4392 (class 1259 OID 81196)
-- Dependencies: 2773 2773 2773
-- Name: sys_idx4; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX sys_idx4 ON s_ysales USING btree (yr, dept, store);


--
-- TOC entry 4526 (class 1259 OID 81197)
-- Dependencies: 2897
-- Name: sysmenidx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX sysmenidx ON sysmenus USING btree (menuname);


--
-- TOC entry 4543 (class 1259 OID 81198)
-- Dependencies: 2910
-- Name: tenderx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX tenderx ON tender USING btree (cod);


--
-- TOC entry 4546 (class 1259 OID 81199)
-- Dependencies: 2915 2915
-- Name: touchix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX touchix ON touched USING btree (depot, cust);


--
-- TOC entry 4565 (class 1259 OID 81200)
-- Dependencies: 2933 2933
-- Name: u_doc_typ_ref; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX u_doc_typ_ref ON useddocs USING btree (typ, ref);


--
-- TOC entry 4552 (class 1259 OID 81201)
-- Dependencies: 2926 2926
-- Name: undisp1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX undisp1 ON undisp USING btree (unmatched, disposal);


--
-- TOC entry 4556 (class 1259 OID 81202)
-- Dependencies: 2927 2927
-- Name: unmatchx; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX unmatchx ON unmatched USING btree (pdesc, reg);


--
-- TOC entry 4557 (class 1259 OID 81203)
-- Dependencies: 2927
-- Name: unmatchx2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX unmatchx2 ON unmatched USING btree (supplier);


--
-- TOC entry 4282 (class 1259 OID 81204)
-- Dependencies: 2681 2681
-- Name: uq_prodsr; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX uq_prodsr ON prod_search USING btree (word, product);


--
-- TOC entry 4324 (class 1259 OID 81205)
-- Dependencies: 2708 2708
-- Name: uq_ptsr; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX uq_ptsr ON pt_search USING btree (word, plu);


--
-- TOC entry 3788 (class 1259 OID 81206)
-- Dependencies: 2307
-- Name: uqdepot; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX uqdepot ON depot USING btree (cod);


--
-- TOC entry 3785 (class 1259 OID 81207)
-- Dependencies: 2306 2306
-- Name: ux2_cust; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ux2_cust ON cust USING btree ("location", cod);


--
-- TOC entry 3846 (class 1259 OID 81208)
-- Dependencies: 2349 2349 2349
-- Name: ux_contact; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

-- This index no longer applies as contacts support multiple typs of B
--CREATE UNIQUE INDEX ux_contact ON contact USING btree (depot, cod, typ);


--
-- TOC entry 3889 (class 1259 OID 81209)
-- Dependencies: 2385 2385
-- Name: ux_custid; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ux_custid ON custid USING btree (depot, cod);


--
-- TOC entry 4115 (class 1259 OID 81210)
-- Dependencies: 2567 2567
-- Name: ux_nominal; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ux_nominal ON nominal USING btree (cod, parent);


--
-- TOC entry 4551 (class 1259 OID 81211)
-- Dependencies: 2925 2925 2925 2925
-- Name: ux_turnover; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ux_turnover ON turnover USING btree (depot, cod, typ, period);


--
-- TOC entry 4574 (class 1259 OID 81212)
-- Dependencies: 2964 2964 2964 2964
-- Name: vatix; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX vatix ON vatsum USING btree (cod, period, trans, ledger);


--
-- TOC entry 4603 (class 1259 OID 81213)
-- Dependencies: 2993 2993
-- Name: ws_equip_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX ws_equip_1 ON ws_equipment_type USING btree (pdesc, equip_category);


--
-- TOC entry 4604 (class 1259 OID 81214)
-- Dependencies: 2993
-- Name: ws_equip_2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ws_equip_2 ON ws_equipment_type USING btree (pdesc);


--
-- TOC entry 4671 (class 1259 OID 81215)
-- Dependencies: 3057 3057 3057
-- Name: ws_trigger_2; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX ws_trigger_2 ON ws_trigger USING btree (event, trigger_type, child_trigger);


--
-- TOC entry 4248 (class 1259 OID 81216)
-- Dependencies: 2657
-- Name: x_transfer; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE INDEX x_transfer ON pmoves USING btree (ref);


--
-- TOC entry 3831 (class 1259 OID 81217)
-- Dependencies: 2339
-- Name: xix912_1; Type: INDEX; Schema: public; Owner: postgres; Tablespace: 
--

CREATE UNIQUE INDEX xix912_1 ON cn_head USING btree (nsuk);


--
-- TOC entry 5181 (class 2620 OID 81219)
-- Dependencies: 2254 25
-- Name: customer_ageing; Type: TRIGGER; Schema: public; Owner: postgres
--

CREATE TRIGGER customer_ageing
    AFTER INSERT OR DELETE OR UPDATE ON sledger
    FOR EACH ROW
    EXECUTE PROCEDURE cat_trigger();

ALTER TABLE sledger DISABLE TRIGGER customer_ageing;


--
-- TOC entry 5183 (class 2620 OID 81220)
-- Dependencies: 2306 34
-- Name: customer_bd_change; Type: TRIGGER; Schema: public; Owner: postgres
--

CREATE TRIGGER customer_bd_change
    AFTER UPDATE ON cust
    FOR EACH ROW
    EXECUTE PROCEDURE customer_bd_change();

ALTER TABLE cust DISABLE TRIGGER customer_bd_change;


--
-- TOC entry 5184 (class 2620 OID 81221)
-- Dependencies: 2922 92
-- Name: triggertest_trigger; Type: TRIGGER; Schema: public; Owner: postgres
--

CREATE TRIGGER triggertest_trigger
    AFTER INSERT OR DELETE OR UPDATE ON triggertest
    FOR EACH ROW
    EXECUTE PROCEDURE process_triggertest_trigger();


--
-- TOC entry 5185 (class 2620 OID 81222)
-- Dependencies: 2924 93
-- Name: trtest_trigger; Type: TRIGGER; Schema: public; Owner: postgres
--

CREATE TRIGGER trtest_trigger
    AFTER INSERT OR DELETE OR UPDATE ON trtest
    FOR EACH ROW
    EXECUTE PROCEDURE process_trtest_trigger();

	
drop view sequence_setvals;
create view sequence_setvals as
 select 'SELECT setval(''"'||cs.relname||'"'', max("'||attname||'")) FROM
"'||c.relname||'";' AS expr from pg_class c, pg_class cs, pg_attribute a,
pg_attrdef d where cs.relkind = 'S' and d.adsrc ~ ( $q$'$q$ || cs.relname )  and
 c.oid =
a.attrelid and c.oid = d.adrelid and d.adnum = a.attnum;

-- Function: sys_refresh_sequences()

-- DROP FUNCTION sys_refresh_sequences();

CREATE OR REPLACE FUNCTION sys_refresh_sequences(



)
 RETURNS int4 AS
$BODY$
   DECLARE
       myseq RECORD;
   BEGIN
       FOR myseq IN select * from sequence_setvals LOOP
           RAISE NOTICE 'Executing - %', myseq.expr;
           EXECUTE myseq.expr;
       END LOOP;

       return 1;
   END;
$BODY$
 LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION sys_refresh_sequences() OWNER TO postgres; 
	
select * from sys_refresh_sequences();	
	