﻿-- Function: fix_bdrecoveryalloc()

-- DROP FUNCTION fix_bdrecoveryalloc();
CREATE OR REPLACE FUNCTION ex( query text )
  RETURNS VOID AS
$BODY$

declare err	sp_status;

begin


	BEGIN
		execute query;

	EXCEPTION
		WHEN others THEN
	             --do nothing we want to run all the way through;
	END;


end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;


CREATE OR REPLACE FUNCTION pre815Foreignkeys()
  RETURNS sp_status AS
$BODY$

DECLARE recovery_row    record;
	writeoff_row    record;
        fix_row    record;
        recovery_amount decimal(16,2);
	firstofmonth    date;
        cc_status_cnt   int;
        firstofmonth_cnt int;
	Pworkerid	int;
	cust_row	record;
	sledger_row record;
        err        sp_status;
BEGIN

    -- Fix cc_status 
    select count(*) 
    into cc_status_cnt
    from cc_status;
    
    if cc_status_cnt = 0 then
        insert into cc_status values (1,'Requistion');
        insert into cc_status values (2,'Unauthorised');
	insert into cc_status values (3,'Authorised');
	insert into cc_status values (4,'Sent');
	insert into cc_status values (5,'Confirmed');
	insert into cc_status values (6,'Cancelled');
	insert into cc_status values (7,'Complete');
    end if;


    -- Fix Chead custsite integrity probs
   	update chead
	set site = null
	where (depot,cust,site) in (
	select chead.depot,chead.cust,chead.site from chead
	left outer join custsite on ( 
	chead.depot = custsite.depot 
	and chead.cust = custsite.cust 
	and chead.site = custsite.site 
	and chead.site is not null )
	where custsite.depot is null
	);
	


    raise notice 'update cust_order';
    update cust_order
	set site = null
    where (depot,customer,site) in (
	select cust_order.depot,cust_order.customer,cust_order.site from cust_order
	left outer join custsite on ( 
	cust_order.depot = custsite.depot 
	and cust_order.customer = custsite.cust 
	and cust_order.site = custsite.site 
	and cust_order.site is not null )
	where custsite.depot is null
	);

    raise notice 'delete from csearch';
    delete from csearch
	where (depot,cod) in (
	select csearch.depot,csearch.cod from csearch
	left outer join cust on ( 
	cust.depot = csearch.depot 
	and cust.cod = csearch.cod
	and csearch.cod is not null )
	where cust.depot is null
	);
	
    raise notice 'delete from custsite';
	delete from custsite
	where (depot,cust) in (
	select custsite.depot,custsite.cust from custsite
	left outer join cust on ( 
	cust.depot = custsite.depot 
	and cust.cod = custsite.cust 
	and custsite.cust is not null )
	where cust.depot is null
	);
    
    raise notice 'delete from cust_ext';
	delete from cust_ext
	where (depot,cod) in (
	select cust_ext.depot,cust_ext.cod from cust_ext
	left outer join cust on ( 
	cust.depot = cust_ext.depot 
	and cust.cod = cust_ext.cod 
	and cust_ext.cod is not null )
	where cust.depot is null
	);
	
    select count(*) 
    into firstofmonth_cnt
    from first_of_month;

    if firstofmonth_cnt = 0 then
	    firstofmonth='1980-01-01';
	    for i in 1 .. 5000
	    loop
		insert into first_of_month values ( firstofmonth );
		firstofmonth := firstofmonth + interval '1 month';
	    end loop; 
    end if;
    
    raise notice 'update disposals';
    update disposals
    set disposal_type = 1
    where disposal_type not in (
	select cod from disptypes
    );

    raise notice 'delete from nsearch';
    delete from nsearch
    where nominal not in (
	select cod from nominal
    );

    raise notice 'update phistory';
    update phistory
    set supp = 'DEFAUL'
    where supp not in (
        select cod from supplier
    );


    raise notice 'delete from psearch';
    delete from psearch
    where supplier not in (
        select cod from supplier
    );
    

    raise notice 'delete from pt_option';
    delete from pt_option
    where product_type not in (
	select nsuk from product_type
    );
    
    raise notice 'delete from salecr_stk_status';
    delete from salecr_stk_status 
    where (ihead_id) in (
	select salecr_stk_status.ihead_id from salecr_stk_status
        left outer join ihead on(
	    salecr_stk_status.ihead_id = ihead.nsuk
        )
        where ihead.nsuk is null
    ); 

  
   raise notice 'delete from sallocee';
   delete from sallocee
	where (ee) in (
	select sallocee.ee from sallocee
	left outer join sledger on ( 
	sallocee.ee = sledger.ser 
	)
	where sledger.ser is null
	);
    
    raise notice 'delete from sallocer';
       delete from sallocer
    where (er) in (
	select sallocer.er from sallocer
	left outer join sledger on ( 
	sallocer.er = sledger.ser 
	)
	where sledger.ser is null
	);
    

    raise notice 'delete from team_member';
    delete from team_member
    where team not in (
        select nsuk from team
    );
    
    raise notice 'update cust_order';
    update cust_order
    set quotation = null
    where quotation not in (
        select nsuk from quote
    );
   
    --update nparams
    --set petty_cash ='RESFIX'
    --where petty_cash = 'DEPOSI';

    raise notice 'update vatsum';
    update vatsum 
    set period = to_date(period::text,CAST('YYYY-MM-01' as text) )
    where period not in (
    select date from first_of_month
    );

    raise notice 'update pavail';
    update  pavail
    set location = 1
    where location not in (
	select cod from depot
    );

    raise notice 'update pmoves';
    update pmoves
    set location = 1
    where location not in (
        select cod from depot
    );

    raise notice 'update pstock';
    update pstock
    set location = 1
    where location not in (
        select cod from depot
    );

    raise notice ' worker_role ';
    insert into worker_role
        select worker_id,'Role'||worker_id,'Ref Fix' from worker_role_map
	where role_id not in (
	 select nsuk from worker_role
	);

    raise notice ' delete from ihead ';
    delete from ihead
    where (ac_location,cust) in (
	select ihead.ac_location,ihead.cust from ihead
	left outer join cust on ( 
	cust.depot = ihead.ac_location 
	and cust.cod = ihead.cust
	and ihead.cust is not null )
	where cust.depot is null
	);

  

    raise notice 'delete from iodetail';
    delete from iodetail
	where (doc_type,location,ref,cust) in (
	select iodetail.doc_type,iodetail.location,iodetail.ref,iodetail.cust from iodetail
	left outer join ihead on ( 
	iodetail.doc_type = ihead.doc_type 
	and iodetail.location = ihead.location 
	and iodetail.ref = ihead.ref 
	and iodetail.cust = ihead.cust
	and iodetail.cust is not null )
	where ihead.nsuk is null
	);

    raise notice 'delete from ihdetail';
    delete from ihdetail
    where (doc_type,location,ref,cust) in (
	select ihdetail.doc_type,ihdetail.location,ihdetail.ref,ihdetail.cust from ihdetail
	left outer join ihead on ( 
	ihdetail.doc_type = ihead.doc_type 
	and ihdetail.location = ihead.location 
	and ihdetail.ref = ihead.ref 
	and ihdetail.cust = ihead.cust
	and ihdetail.cust is not null )
	where ihead.nsuk is null
	);
	

    raise notice 'delete from iddetail';
    delete from iddetail
    where (doc_type,location,ref,cust) in (
	select iddetail.doc_type,iddetail.location,iddetail.ref,iddetail.cust from iddetail
	left outer join ihead on ( 
	iddetail.doc_type = ihead.doc_type 
	and iddetail.location = ihead.location 
	and iddetail.ref = ihead.ref 
	and iddetail.cust = ihead.cust
	and iddetail.cust is not null )
	where ihead.nsuk is null
	);
   
    update q_rental
    set asset_reg = 'H'
    where asset_reg not in (
        select distinct asset_reg from pdesc
    );
    
    update quote 
    set customer_contact = null
    where customer_contact not in (
        select nsuk from contact
    );

    update o_rental
    set asset_reg = 'H'
    where asset_reg not in (
        select distinct asset_reg from pdesc
    );


    raise notice 'delete from hmdetail where pdesc';
    delete from hmdetail
    where pdesc not in ( 
        select cod from pdesc 
    );

    raise notice 'delete from hmdetail';
    delete from hmdetail
	where (contract_location,contract) in (
	select hmdetail.contract_location,hmdetail.contract from hmdetail
	left outer join chead on ( 
	hmdetail.contract_location = chead.location 
	and hmdetail.contract = chead.contract 
	and hmdetail.contract is not null )
	where chead.contract is null
	);

    raise notice 'delete from hmdetail';
    delete from hmdetail
	where (contract_location,doc_type,doc_number) in (
	select hmdetail.contract_location,hmdetail.doc_type,hmdetail.doc_number from hmdetail
	left outer join hmhead on ( 
	hmdetail.contract_location = hmhead.location 
	and hmdetail.doc_type = hmhead.doc_type 
	and hmdetail.doc_number = hmhead.doc_number
	and hmdetail.doc_number is not null )
	where hmhead.doc_number is null
	);
    

	   

    raise notice 'delete from hmsales';
    delete from hmsales
    where (contract_location,contract) in (
	select hmsales.contract_location,hmsales.contract from hmsales
	left outer join chead on ( 
	hmsales.contract_location = chead.location 
	and hmsales.contract = chead.contract 
	and hmsales.contract is not null )
	where chead.contract is null
	);

    raise notice 'delete from hmsales';
    delete  from hmsales
    where ( product ) in (
	select hmsales.product from hmsales
	left outer join product on ( 
	hmsales.product = product.cod 
	 )
	where product.cod is null
	)
    ;

    raise notice 'delete from chdetailext';
    delete from chdetailext
    where (location,contract,lin) in (
	select chdetailext.location,chdetailext.contract , chdetailext.lin from chdetailext
	left outer join chdetail on ( 
	chdetailext.location = chdetail.location 
	and chdetailext.contract = chdetail.contract 
	and chdetailext.lin = chdetail.lin
	and chdetailext.contract is not null )
	where chdetail.contract is null
	);



    perform ex(' drop index ux_contact ');

    update contact
    set typ = 'B'
    where typ not in (
        select cod from contact_type
    );

    
    delete from cust
    where depot not in (
        select cod from depot
    );

    delete from contact
    where (depot,cod) in (
	select contact.depot,contact.cod from contact
	left outer join cust on ( 
	cust.depot = contact.depot
	and cust.cod = contact.cod
	and contact.cod is not null )
	where cust.depot is null
	);
	
    
    delete from csearch
    where (depot,cod) in (
	select csearch.depot,csearch.cod from csearch
	left outer join cust on ( 
	cust.depot = csearch.depot
	and cust.cod = csearch.cod
	and csearch.cod is not null )
	where cust.depot is null
	);
	
    raise notice 'delete from custsite';

	delete from custsite
	where (depot,cust) in (
	select custsite.depot,custsite.cust from custsite
	left outer join cust on ( 
	cust.depot = custsite.depot 
	and cust.cod = custsite.cust 
	and custsite.cust is not null )
	where cust.depot is null
	);

    raise notice 'delete from cust_ext';

  	delete from cust_ext
	where (depot,cod) in (
	select cust_ext.depot,cust_ext.cod from cust_ext
	left outer join cust on ( 
	cust.depot = cust_ext.depot 
	and cust.cod = cust_ext.cod 
	and cust_ext.cod is not null )
	where cust.depot is null
	);

raise notice 'delete from custid';

  	delete from custid
	where (depot,cod) in (
	select custid.depot,custid.cod from custid
	left outer join cust on ( 
	cust.depot = custid.depot 
	and cust.cod = custid.cod
	and custid.cod is not null )
	where cust.depot is null
	);
  

raise notice 'delete from dispxref';

    delete from dispxref
    where disposal not in (
         select ser from disposals
    );


    raise notice 'delete from hmhead';
    
    delete from hmhead 
	where (depot,cust) in (
	select hmhead.depot,hmhead.cust from hmhead
	left outer join cust on ( 
	hmhead.depot = cust.depot 
	and hmhead.cust = cust.cod 
	and hmhead.cust is not null )
	where cust.depot is null
	);
	
    raise notice 'update hmhead';
    update hmhead
    set driver = null
    where driver in (
	select driver from hmhead 
	left outer join driver on (
	    hmhead.driver = driver.nsuk
	)
        where driver.nsuk is null
    );

    update hmhead
    set image_ref_id = null
    where image_ref_id = 0;

    raise notice 'update iddetail';
    update iddetail
    set nominal = null
    where nominal not in (
        select cod from nominal
    );

    raise notice 'delete from ihdetail';

    delete from ihdetail
    where ac_location not in (
        select cod from depot
    );
   
    raise notice 'update ihdetail';

    update ihdetail
    set vcode = 30
    where vcode not in (
        select cod from vat
    );

    raise notice ' delete from ihead ';
    delete from ihead
    where (ac_location,cust) in (
	select ihead.ac_location,ihead.cust from ihead
	left outer join cust on ( 
	cust.depot = ihead.ac_location 
	and cust.cod = ihead.cust
	and ihead.cust is not null )
	where cust.depot is null
	);



    raise notice ' update ihead ';
    update ihead
    set sales_rep = 1
    where sales_rep = 0;


    raise notice ' update iodetail';
    update iodetail
    set nominal = null
    where nominal not in (
        select cod from nominal
    );
 
    raise notice ' delete from nltrans_disp';
    delete from nltrans_disp
    where (nltrans_disp.trans_no) in (
	select nltrans_disp.trans_no from nltrans_disp
        left outer join nltrans on (
		nltrans_disp.trans_no = nltrans.trans_no
        )
        where nltrans.trans_no is null
    );

    raise notice 'update nltrans';

    update nltrans
    set location = 1
    where location not in (
        select cod from depot
    );

    raise notice 'delete from nltrans_hist';
    delete from nltrans_hist
	where (trans_no) in (
	select nltrans_hist.trans_no from nltrans_hist
	left outer join nltrans on ( 
	nltrans_hist.trans_no = nltrans.trans_no 
	and nltrans_hist.trans_no is not null
	)
	where nltrans.trans_no is null
	);

  
    raise notice 'delete from pallocer';
    delete from pallocer
    where (er) in (
	select pallocer.er from pallocer
	left outer join pledger on ( 
	pallocer.er = pledger.ser 
	)
	where pledger.ser is null
	);

    
    select * from cust 
    into cust_row
    where depot = 1
    and cod = 'TAKEON';
    if not found then 
        insert into cust values (1,'TAKEON','DO NOT USE',null,null,null,null,'N',0.00,null,0.00
        ,0.00,'N',0.00,0.00,'N','C',null,0.00,null,null,null,'N','STANDARD','N',1,0,60,'2012-09-01',
        '2012-09-01',1,'N','Y','Y',0,0,null,0,'N');
    end if;

    
    raise notice 'delete from pledgerext';
    delete from pledgerext
    where (pledger_ser) in (
	select pledgerext.pledger_ser from pledgerext
	left outer join pledger on ( 
	pledgerext.pledger_ser = pledger.ser 
	)
	where pledger.ser is null
	);

    raise notice 'plnlxref';
    delete from plnlxref
    where (pledger) in (
	select plnlxref.pledger from plnlxref
	left outer join pledger on ( 
	plnlxref.pledger = pledger.ser 
	)
	where pledger.ser is null
	);
    
    --delete from pmoves
    --where (depot,cust) in (
	--select pmoves.depot,pmoves.cust from pmoves
	--left outer join cust on ( 
	--pmoves.depot = cust.depot 
	--and pmoves.cust = cust.cod 
	--and pmoves.cust is not null )
	--where cust.depot is null
	--);

	
    raise notice 'update pmoves';
    update pmoves
    set to_loc = null
    where to_loc = 0;
    
    raise notice 'update product';
    update product
    set sales_nominal = null
    where sales_nominal not in (
        select cod from nominal
    );

    raise notice 'update pt_supplier';
    update pt_supplier
    set currency = null
    where currency not in (
        select cod from currency
    );

	
	
	for sledger_row in 
    select * from sledger
    where lodgement not in (
        select cod from lodgement
    )
	and lodgement is not null
	loop
		perform ex(' 
			insert into lodgement values (''2000-01-01'',''2000-01-01'',1,' || sledger_row.lodgement|| ',''CA'',0,0.00,1,null);
			');
    end loop;

    raise notice 'update supplier_ext';
    update supplier_ext
    set vatcode = null
    where vatcode not in (
        select cod from vat
    );

    raise notice 'delete from cheadext';
    delete from cheadext
    where (customer_contact) in (
	select cheadext.customer_contact from cheadext
	left outer join contact on ( 
	cheadext.customer_contact = contact.nsuk
	)
	where contact.nsuk is null
	);


    raise notice 'barcode';
    delete from barcode
    where (barcode.product_type) in (
          select barcode.product_type from barcode
          left outer join product_type on( 
		barcode.product_type = product_type.nsuk
          )
          where product_type.nsuk is null
    );


    raise notice 'bin_location';
    update bin_location set parent = null where parent not in ( select nsuk from bin_location );
    
    raise notice 'cash';
    update cash set location = null where location not in ( select cod from depot );
    update cash set lodgement = null where lodgement not in ( select cod from lodgement );    

    raise notice 'cheque_history';
    update cheque_history set pledger_id = null where pledger_id not in ( select ser from pledger );
	
    raise notice 'csuspend';
    delete from csuspend where (depot,cod) not in ( select depot,cod from cust );

    raise notice 'cust_category';
    delete from cust_category where (depot,cod) not in ( select depot,cod from cust);
    
    raise notice 'cust_order';
    delete from cust_order  where location not in ( select cod from depot);
    
    raise notice 'disposals';
    update disposals set cust =null where (depot,cust) not in (select depot,cod from cust);

    raise notice 'cust_status_hist';
    update cust_status_hist 
    set cust_id = null 
    where (depot,cust_id) in ( 
        select cust_status_hist.depot,cust_status_hist.cust_id from cust_status_hist
	left outer join cust on (
		cust_status_hist.depot = cust.depot 
	        and cust_status_hist.cust_id = cust.cod
	)
        where cust.cod is null
    );

    raise notice 'nlbatch';
    update nlbatch set period = jp_period(period) where period not in ( select date from first_of_month);
    
    raise notice 'nltrans';
    update nltrans set period = jp_period(period) where period not in ( select date from first_of_month );

    raise notice 'pallocex';
    delete from pallocex where pledger_id not in ( select ser from pledger);

    raise notice 'gi_detail';
    update gi_detail 
    set product_type = null
    where (gi_detail.product_type) in (
          select gi_detail.product_type from gi_detail
          left outer join product_type on( 
		gi_detail.product_type = product_type.nsuk
          )
          where product_type.nsuk is null
    ); 
  
    update gi_detail set location = 1 where location not in (select cod from depot);
    
    raise notice 'gi_head';
    update gi_head set location = 1 where location not in (select cod from depot);

    raise notice 'pcost';
    update pcost set supplier = null where supplier not in ( select cod from supplier );

    raise notice 'po_detail';
    update gi_detail 
    set po_detail = null 
    where po_detail in (
	select nsuk from po_detail 
        where po_detail.product_type in (
          select po_detail.product_type from po_detail
          left outer join product_type on( 
		po_detail.product_type = product_type.nsuk
          )
	where product_type.nsuk is null
	
     )
        
    ); 


    delete from po_detail 
    where po_detail.product_type in (
          select po_detail.product_type from po_detail
          left outer join product_type on( 
		po_detail.product_type = product_type.nsuk
          )
	where product_type.nsuk is null
	
     );

    
    raise notice 'po_head';
    update po_head set location = 1 where location not in ( select cod from depot );

    raise notice 'pt_supplier';
    delete from pt_supplier 
    where pt_supplier.product_type in (
          select pt_supplier.product_type from pt_supplier
          left outer join product_type on( 
		pt_supplier.product_type = product_type.nsuk
          )
	where product_type.nsuk is null
	
     );
    raise notice 'sledger';
    update sledger set cod = null where (depot,cod) not in ( select depot,cod from cust);


    raise notice 'sledger_query'; 
    
	delete from sledger_query
	where (sledger) in (
	select sledger_query.sledger from sledger_query
	left outer join sledger on (
	sledger_query.sledger = sledger.ser
	) 
	where sledger.ser is null
	);


    raise notice 'stk_header';
    update stk_header set depot = null where depot not in ( select cod from depot );

    raise notice 'cust';
    update cust
    set location = 1
    where location not in (
    select cod from depot
    );

    raise notice 'nltrans';
    update nltrans
    set cod = 'RESFIX'
    where cod not in ( select cod from nominal );
    update nltrans 
    set source = null
    where source not in (
        select cod from source
    );

    raise notice 'pallocee';
    update pallocee
    set allocation = null
    where allocation not in ( select allocation from pallocper );
    
    raise notice 'pallocper';
    update pallocper
    set operator = 1
    where operator not in ( select cod from operator );

    raise notice 'pmoves';
    update pmoves
    set depot = null , cust = null
    where (depot,cust) not in (
    select depot,cod from cust
    );

    raise notice 'pricelist';
    update pricelist
    set parent = null
    where parent not in ( select nsuk from pricelist );

    raise notice 'product';
    update product
    set purchase_nominal = null
    where purchase_nominal not in ( select cod from nominal );
    update product
    set stock_nominal = null
    where stock_nominal not in ( select cod from nominal );

    raise notice 'pt_msales';
    update pt_msales
    set barcode = null
    where barcode not in ( select ean from barcode );

    raise notice 'pt_wsales';
    update pt_wsales
    set barcode = null
    where barcode not in ( select ean from barcode );

    raise notice 'pt_ysales';
    update pt_ysales
    set barcode = null
    where barcode not in ( select ean from barcode );

    raise notice 'scontact';
    update scontact
    set supplier = null
    where supplier not in ( select cod from supplier );

    raise notice 'sledger';
    update sledger
    set location = 1
    where location not in ( select cod from depot );

    raise notice 'supplier_terms';
    update supplier_terms
    set cod = null
    where cod not in ( select cod from supplier );

    raise notice 'ihdetail';
    update ihdetail
    set plant_desc = null
    where plant_desc not in ( select cod from pdesc );



    raise notice 'update cash';
    update cash
    set lodgement = null
    where lodgement not in ( 
	select cod from lodgement
    );


    raise notice 'delete from chdetailext';

    delete from chdetailext
    where (location,contract,lin) not in (
	select location,contract,lin from chdetail
    );

    raise notice 'update chead';

    update chead
	set site = null
	where (depot,cust,site) in (
	select chead.depot,chead.cust,chead.site from chead
	left outer join custsite on ( 
	chead.depot = custsite.depot 
	and chead.cust = custsite.cust 
	and chead.site = custsite.site 
	and chead.site is not null )
	where custsite.depot is null
	);

    raise notice 'update contact';
    update contact
    set typ = 'B'
    where typ not in ( 
        select cod from contact_type
    );

    raise notice 'delete from contact';
    delete from contact
    where (depot,cod) not in (
	select depot,cod from cust
    );

    raise notice 'delete from csearch';
    delete from csearch
    where (depot,cod) not in (
	select depot,cod from cust
    );

    raise notice 'delete from csuspend';
    delete from csuspend
    where (depot,cod) not in (
	select depot,cod from cust
    );

    raise notice 'delete from cust_ext';
    delete from cust_ext
    where (depot,cod) not in (
	select depot,cod from cust
    );
 
    raise notice 'update cust';
    update cust
    set operator = 1 
    where operator not in (
	select cod from operator
    );


    raise notice 'update iodetail';
    update iodetail
    set product_type = null
    where iodetail.product_type in (
          select iodetail.product_type from iodetail
          left outer join product_type on( 
		iodetail.product_type = product_type.nsuk
          )
	where product_type.nsuk is null
	
     );   

    raise notice 'update pallocee';
   update pallocee
    set ee = null
    where pallocee.ee in (
	select pallocee.ee from pallocee
        left outer join pledger on (
           pallocee.ee = pledger.ser
	)
        where pledger.ser is null
    );
 
    raise notice 'update pcost_history';
    update pcost_history
    set supplier = null
    where supplier not in (
	select cod from supplier
    );

    raise notice 'update phistory';
    update phistory
    set depot = location
    where depot not in (
        select cod from depot
    );

    raise notice 'update phistory';
    update phistory
    set cust = null
    where (depot,cust) not in (
	select depot,cod from cust
    );

    raise notice 'delete from plnlxref';

delete from plnlxref
where (nltrans) in (
	select plnlxref.nltrans from plnlxref
	left outer join nltrans on ( 
	plnlxref.nltrans = nltrans.trans_no 
	)
	where nltrans.trans_no is null
	);

    
    raise notice 'update pmoves';
    update pmoves
    set operator = 1
    where operator not in (
        select cod from operator
    );
 
    raise notice 'delete from rpt_dist_detail';
    delete from rpt_dist_detail
    where contact not in (
	select nsuk from contact
    );
	
    raise notice 'delete from stock';
    delete from stock
    where stock.product_type in (
           select stock.product_type from stock
          left outer join product_type on( 
		stock.product_type = product_type.nsuk
          )
	where product_type.nsuk is null
	
     );

    raise notice 'delete from stock_movement';
    delete from stock_movement
    where stock_movement.product_type in (
          select stock_movement.product_type from stock_movement
          left outer join product_type on( 
		stock_movement.product_type = product_type.nsuk
          )
	where product_type.nsuk is null
	
     );
    
    raise notice 'update stock_movement';
    update stock_movement
    set depot_before = 1
    where depot_before not in (
	select cod from depot
    );

    raise notice 'update stock_movement';
    update stock_movement
    set depot_after = 1 
    where depot_after not in (
	select cod from depot
    );

    raise notice 'update stock_movement';
    update stock_movement
    set supplier = null
    where supplier not in (
        select cod from supplier
    );

    raise notice 'delete from account_groups';
    delete from account_groups
    where (slave_depot,slave_cust) not in (
    select depot,cod from cust
    );

    raise notice 'update cash';
    update cash
    set operator = 1
    where operator not in (
    select cod from operator
    );

    raise notice 'update cc_head';
    update cc_head
    set entered_by = 1
    where entered_by not in (
	select cod from operator
    );

    raise notice 'update chead';
    update chead
    set operator = 1
     where operator not in (
    select cod from operator
    );
   
    raise notice 'update cn_head';
    update cn_head
    set pledger_ser = null
    where pledger_ser not in (
    select ser from pledger
    );

    raise notice 'update cn_head';
    update cn_head
    set entered_by = 1
    where entered_by not in (
    select cod from operator
    );
   
    raise notice 'update contract_suspend';
    update contract_suspend
    set operator = 1
    where operator not in (
      select cod from operator
    );
   
    raise notice 'update cr_activity';
    update cr_activity
    set act_typ = 'I'
    where act_typ not in (
      select typ from cr_typ
    );

    raise notice 'update csuspend';
    update csuspend
    set operator = 1
    where operator not in (
	select cod from operator
    );
   
    raise notice 'update cust_ext';
    update cust_ext
    set sales_rep = 1 
    where sales_rep not in ( 
	select cod from operator
    );

    raise notice 'update cust_ext';
    update cust_ext
    set credit_controller = 1 
    where credit_controller not in ( 
	select cod from operator
    );

    raise notice 'update cust_order';
    update cust_order
    set customer_contact = null
    where customer_contact not in (
        select nsuk from contact
    );

    raise notice 'update cust_order';
    
    update cust_order
    set discount_structure = null
    where discount_structure not in (
       select nsuk from disc_struct
    );

    raise notice 'update gi_detail';
    
    update gi_detail
    set po_detail = null
    where po_detail in ( 
    select gi_detail.po_detail from gi_detail
    left outer join po_detail on (
      gi_detail.po_detail = po_detail.nsuk
    )
    where po_detail.nsuk is null
    );
 
    raise notice 'update gi_head';
    update gi_head
    set operator = 1
    where operator not in ( 
	select cod from operator
    );

    raise notice 'update gi_head';
    update gi_head
    set inspected_by = 1
    where inspected_by not in ( 
	select cod from operator
    );

    raise notice 'update hire_dept_group';
    update hire_dept_group
    set hire_dept = 1
    where hire_dept not in (
    select nsuk from hire_dept
    );

    raise notice 'update hmhead'; 
    update hmhead
    set operator = 1
    where operator not in (
    select cod from operator
    );

    raise notice 'update ihdetail';
    update ihdetail
    set nominal = null
    where nominal not in (
    select cod from nominal
    );

    raise notice 'update ihead';
    update ihead
    set operator = 1
    where operator not in ( 
    select cod from operator 
    );

    raise notice 'update ihead';
    update ihead
    set sales_rep = 1
    where sales_rep not in ( 
    select cod from operator 
    );

    raise notice 'update journals';
    update journals
    set operator = 1
    where operator not in (
	select cod from operator
    );


    raise notice 'update journals';
    delete from journals
    where (source,batch) not in (
    select source,seq from nlbatch
    );

    raise notice 'update lodgement';
    update lodgement 
    set operator = 1
    where operator  not in (
    select cod from operator
);

    raise notice 'update pdesc_ext';
    update pdesc_ext
    set dept_group = 1
    where dept_group not in (
    select nsuk from hire_dept_group
    );

    raise notice 'update phistory';
    update phistory
    set location =1 
    where location not in (
    select cod from depot
   );

    raise notice 'update pi_detail';
    
    update pi_detail
    set po_detail = null
    where po_detail in ( 
    select pi_detail.po_detail from pi_detail
    left outer join po_detail on (
      pi_detail.po_detail = po_detail.nsuk
    )
    where po_detail.nsuk is null
    );

    raise notice 'update pi_head';
    update pi_head
    set entered_by = 1
    where entered_by not in (
     select cod from operator
    );

    raise notice 'update po_detail';
    update po_detail
    set nominal = null
    where nominal not in (
    select cod from nominal
    );

    raise notice  'update po_head';
    update po_head
    set supplier = 'DEFAUL'
    where supplier not in (
    select cod from supplier
    );

    raise notice 'update po_head';
    update po_head
    set ordered_by = 1
    where ordered_by not in (
    select cod from operator
    );

    raise notice 'update po_head';
    update po_head
    set authorised_by = 1
    where authorised_by not in (
    select cod from operator
    );

    raise notice 'update po_hanal';
    update pohanal
    set location  =1
    where location not in (
    select cod from depot
    );

    raise notice 'update product';
    update product
    set dept_group = null
    where dept_group not in (
    select nsuk from dept_group
    );


    raise notice 'update sallocper';
    update sallocper
    set operator =1 
    where operator not in (
    select cod from operator
    );

    raise notice 'update sallocper';
    
    update sallocper
    set acdepot = null
    where (acdepot,cust) not in (
	select depot, cod from cust
    );

    raise notice 'update support_detail';
    update support_detail
    set support_ser = null
    where support_ser not in (
    select ser from support
    );

    raise notice 'update worker_role_map';
    delete from worker_role_map 
    where worker_id not in (
    select nsuk from worker_role
    );

    raise notice 'update q_sale';
    update q_sale
    set operator = 1
    where operator not in (
    select cod from operator
    );

    raise notice 'update o_rental';
    update o_rental
    set asset_reg = 'H'
    where (asset_reg,pdesc) not in (
    select asset_reg,cod from pdesc
    )
    and asset_reg ='';
	
    raise notice 'update chead';
    update chead
    set tender = 'STANDARD'
    where tender not in (
    select cod from tender
    );

    raise notice 'delete singles';
    delete from singles
    where (asset_reg,pdesc) not in (
    select asset_reg,cod from pdesc
    );

    raise notice 'dept_group';
    update dept_group
    set dept = 1
    where dept not in (
    select nsuk from dept
    );

    raise notice 'custlist';
    delete from custlist
    where (depot,cust) not in (
	select depot,cod from cust
    );

    raise notice 'cheque_xref';

    delete from cheque_xref
    where ledger not in ( select ser from pledger );

    raise notice 'cr_activity';
    delete from cr_activity
    where act_typ not in ( select typ from cr_typ );

    raise notice 'cust_age';

    delete from cust_age;

    raise notice 'nlbatch';
    update nlbatch
    set period = jp_period( dat )
    where period not in ( select date from first_of_month );


    raise notice 'nltrans';
    update nltrans
    set period = jp_period(dat)
    where period not in ( select date from first_of_month );

    raise notice 'journals';
    update journals
    set location = 1
    where location not in ( select cod from depot );

    
    
    err.ret_stat = 0;
    err.ret_string = '';

    return err;

END;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION pre815Foreignkeys() OWNER TO postgres;


select * from pre815Foreignkeys()