--
-- PostgreSQL database dump
--

-- Started on 2010-01-11 10:15:19

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- TOC entry 1230 (class 2612 OID 78137)
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: postgres
--

CREATE PROCEDURAL LANGUAGE plpgsql;


--ALTER PROCEDURAL LANGUAGE plpgsql OWNER TO postgres;

SET search_path = public, pg_catalog;

--
-- TOC entry 329 (class 1247 OID 78139)
-- Dependencies: 2235
-- Name: jp_audit; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_audit AS (
	seq integer,
	msg1 text,
	v1 text,
	msg2 text,
	v2 numeric(10,2),
	diff numeric(10,2)
);


ALTER TYPE public.jp_audit OWNER TO postgres;

--
-- TOC entry 378 (class 1247 OID 78141)
-- Dependencies: 2236
-- Name: jp_cred_custage; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_cred_custage AS (
	account_type character(1),
	depot integer,
	cust character(7),
	future_balance numeric(16,2),
	future_unallocated numeric(16,2),
	last_pay numeric(16,2),
	last_paid date,
	future_curr_bal numeric(16,2),
	future_per1_bal numeric(16,2),
	future_per2_bal numeric(16,2),
	future_per3_bal numeric(16,2),
	future_per4_bal numeric(16,2),
	future_per5_bal numeric(16,2),
	current_balance numeric(16,2),
	current_unallocated numeric(16,2),
	current_curr_bal numeric(16,2),
	current_per1_bal numeric(16,2),
	current_per2_bal numeric(16,2),
	current_per3_bal numeric(16,2),
	current_per4_bal numeric(16,2),
	current_per5_bal numeric(16,2)
);


ALTER TYPE public.jp_cred_custage OWNER TO postgres;

--
-- TOC entry 379 (class 1247 OID 78143)
-- Dependencies: 2237
-- Name: jp_custage; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_custage AS (
	account_type character(1),
	depot integer,
	cust character(7),
	balance numeric(16,2),
	unallocated numeric(16,2),
	last_pay numeric(16,2),
	last_paid date,
	curr_bal numeric(16,2),
	per1_bal numeric(16,2),
	per2_bal numeric(16,2),
	per3_bal numeric(16,2),
	per4_bal numeric(16,2),
	per5_bal numeric(16,2),
	bad_debt character(1)
);


ALTER TYPE public.jp_custage OWNER TO postgres;

--
-- TOC entry 380 (class 1247 OID 78145)
-- Dependencies: 2238
-- Name: jp_fixchdet; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_fixchdet AS (
	location integer,
	contract character varying,
	lin integer,
	pdesc character(4),
	pricetype character(8)
);


ALTER TYPE public.jp_fixchdet OWNER TO postgres;

--
-- TOC entry 381 (class 1247 OID 78147)
-- Dependencies: 2239
-- Name: jp_gen_snapshot; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_gen_snapshot AS (
	nsuk integer,
	stk_freeze_hdr_id integer,
	product_type_id integer,
	plu character(7),
	location integer,
	qty numeric(16,2),
	qty_onhire numeric(16,2),
	unit_cost numeric(16,4),
	pt_description character(30)
);


ALTER TYPE public.jp_gen_snapshot OWNER TO postgres;

--
-- TOC entry 382 (class 1247 OID 78149)
-- Dependencies: 2240
-- Name: jp_get_barcode_forplu; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_get_barcode_forplu AS (
	ret_stat integer,
	ret_string text,
	nsuk integer,
	pt_description text,
	prod_description text,
	prod_redundant character(1),
	pt_supp_nsuk integer,
	barcode_nsuk integer,
	barcode_ean character(13),
	cost_price numeric(10,4),
	sell_price numeric(10,4),
	sell_pricev numeric(10,4)
);


ALTER TYPE public.jp_get_barcode_forplu OWNER TO postgres;

--
-- TOC entry 383 (class 1247 OID 78151)
-- Dependencies: 2241
-- Name: jp_get_bc_plusupp; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_get_bc_plusupp AS (
	ret_stat integer,
	ret_string text,
	nsuk integer,
	pt_description text,
	prod_description text,
	prod_redundant character(1),
	pt_supp_nsuk integer,
	barcode_nsuk integer,
	barcode_ean character(13),
	cost_price numeric(10,4),
	sell_price numeric(10,4),
	sell_pricev numeric(10,4)
);


ALTER TYPE public.jp_get_bc_plusupp OWNER TO postgres;

--
-- TOC entry 384 (class 1247 OID 78153)
-- Dependencies: 2242
-- Name: jp_get_bcode_label; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_get_bcode_label AS (
	ret_stat integer,
	ret_string text,
	barcode character(13),
	sell_price numeric(16,4),
	desc1 text,
	desc2 text,
	plu character(7),
	item_desc character(15)
);


ALTER TYPE public.jp_get_bcode_label OWNER TO postgres;

--
-- TOC entry 385 (class 1247 OID 78155)
-- Dependencies: 2243
-- Name: jp_get_price_history; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_get_price_history AS (
	dat date,
	price_type character(4),
	cost_price numeric(8,4),
	sell_price numeric(8,4),
	sell_pricev numeric(8,4),
	margin numeric(8,2),
	markup numeric(8,2),
	supplier character(30)
);


ALTER TYPE public.jp_get_price_history OWNER TO postgres;

--
-- TOC entry 386 (class 1247 OID 78157)
-- Dependencies: 2244
-- Name: jp_get_product_list; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_get_product_list AS (
	ret_stat integer,
	ret_string text,
	product_id integer,
	product_cod character(7),
	prod_description character(30),
	prod_supplier character(6),
	prod_sales_nom character(6),
	prod_purch_nom character(6),
	prod_stock_nom character(6),
	prod_invoice_when character(6),
	pt_id integer,
	pt_plu character(7),
	pt_description character(30),
	vat_code integer,
	vat_rate numeric(5,2),
	prod_or_service character(1),
	pt_supplier_id integer,
	home_cost_price numeric(10,4),
	sell_price numeric(10,4),
	home_margin numeric(7,2),
	home_perc_markup numeric(7,2),
	supplier_name character(30),
	supplier_code character(6),
	supp_currency character(3),
	dept_deptgrpcode character(6),
	redundancy character(1),
	pt_item_description character(15)
);


ALTER TYPE public.jp_get_product_list OWNER TO postgres;

--
-- TOC entry 387 (class 1247 OID 78159)
-- Dependencies: 2245
-- Name: jp_grp_custage; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_grp_custage AS (
	account_type character(1),
	depot integer,
	cust character(7),
	slave_depot integer,
	slave_cust character(7),
	balance numeric(16,2),
	unallocated numeric(16,2),
	last_pay numeric(16,2),
	last_paid date,
	curr_bal numeric(16,2),
	per1_bal numeric(16,2),
	per2_bal numeric(16,2),
	per3_bal numeric(16,2),
	per4_bal numeric(16,2),
	per5_bal numeric(16,2),
	master_or_slave character(1),
	slave_count integer
);


ALTER TYPE public.jp_grp_custage OWNER TO postgres;

--
-- TOC entry 388 (class 1247 OID 78161)
-- Dependencies: 2246
-- Name: jp_open_bal; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_open_bal AS (
	ret_stat integer,
	ret_string text,
	balance numeric(16,2)
);


ALTER TYPE public.jp_open_bal OWNER TO postgres;

--
-- TOC entry 389 (class 1247 OID 78163)
-- Dependencies: 2247
-- Name: jp_pluprices; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_pluprices AS (
	err_code integer,
	err_text character(60),
	pt integer,
	plu character(7),
	plu_description character(90),
	product_code character(7),
	product_description character(90),
	cost_price numeric(16,2),
	vat_code integer,
	vat_rate numeric(16,2),
	master_price numeric(16,4),
	promotional_price numeric(16,4),
	customer_price numeric(16,4),
	sell_price numeric(16,4),
	discount_rate numeric(16,4),
	discount_value numeric(16,4),
	sell_pricetype smallint,
	stock_unit character(10)
);


ALTER TYPE public.jp_pluprices OWNER TO postgres;

--
-- TOC entry 390 (class 1247 OID 78165)
-- Dependencies: 2248
-- Name: jp_suppaged_at; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_suppaged_at AS (
	supplier character(6),
	balance numeric(16,2),
	unallocated numeric(16,2),
	last_payment numeric(16,2),
	last_payment_date date,
	current numeric(16,2),
	period1 numeric(16,2),
	period2 numeric(16,2),
	period3 numeric(16,2),
	period4 numeric(16,2),
	period5 numeric(16,2)
);


ALTER TYPE public.jp_suppaged_at OWNER TO postgres;

--
-- TOC entry 391 (class 1247 OID 78167)
-- Dependencies: 2249
-- Name: jp_suppaged_at_fx; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_suppaged_at_fx AS (
	supplier character(6),
	balance numeric(16,2),
	unallocated numeric(16,2),
	last_payment numeric(16,2),
	last_payment_date date,
	current numeric(16,2),
	period1 numeric(16,2),
	period2 numeric(16,2),
	period3 numeric(16,2),
	period4 numeric(16,2),
	period5 numeric(16,2)
);


ALTER TYPE public.jp_suppaged_at_fx OWNER TO postgres;

--
-- TOC entry 392 (class 1247 OID 78169)
-- Dependencies: 2250
-- Name: jp_trimnote; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_trimnote AS (
	line integer,
	txt character varying
);


ALTER TYPE public.jp_trimnote OWNER TO postgres;

--
-- TOC entry 393 (class 1247 OID 78171)
-- Dependencies: 2251
-- Name: jp_verify; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE jp_verify AS (
	direction character(20),
	source character(2),
	batch integer,
	subledger_total numeric(16,2),
	nominal_total numeric(16,2),
	nominal_period date,
	comment character(60)
);


ALTER TYPE public.jp_verify OWNER TO postgres;

--
-- TOC entry 394 (class 1247 OID 78173)
-- Dependencies: 2252
-- Name: sp_status; Type: TYPE; Schema: public; Owner: postgres
--

CREATE TYPE sp_status AS (
	ret_stat integer,
	ret_string text
);


ALTER TYPE public.sp_status OWNER TO postgres;

--
-- TOC entry 131 (class 1255 OID 78174)
-- Dependencies: 329 1230 5
-- Name: analyse_plalloc(text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION analyse_plalloc(p_supplier text) RETURNS SETOF jp_audit
    AS $$
DECLARE
 alloc_row     record;
 er_row        record;
 ee_row        record;
 err           sp_status;
 audit_row     record;
 results       jp_audit;
BEGIN

  BEGIN
     create table aud_plalloc(
           ser integer,
           typ integer,
           amount decimal(16,2),
           os decimal(16,2),
           allocated decimal(16,2),
           allocations decimal(16,2)
       );
   EXCEPTION
      WHEN OTHERS THEN
          raise notice 'Table already exists';
   END;
         insert INTO aud_plalloc(ser, typ, amount, os, allocated, allocations)

   select ser, 0 as typ, original,currency_os, (original - currency_os) as allocated, original as allocations
     from pledger
    where supplier = p_supplier;
      update aud_plalloc set allocations = 0.00;

   for alloc_row in
    select allocation            from pallocper
     where supplier = p_supplier
   loop

       for er_row in
	   select er, amount
	   from pallocer
         where pallocer.allocation = alloc_row.allocation
       loop
             update aud_plalloc
                set allocations = allocations - er_row.amount
              where aud_plalloc.ser = er_row.er;

       end loop;
              for ee_row in
        select ee, amount + discount    as alloc_amount                 from pallocee
          where pallocee.allocation = alloc_row.allocation
        loop


           update aud_plalloc
              set allocations = allocations + ee_row.alloc_amount
            where aud_plalloc.ser = ee_row.ee;

       end loop;

   end loop;
     for audit_row in select *
     from aud_plalloc
  where allocated <> allocations
  loop

             results.seq := 13;
             results.msg1 := 'Unbalanced Allocation';
             results.v1 := audit_row.allocated;
             results.msg2 := 'Serial = ' || audit_row.ser;
             results.v2 := audit_row.allocations;
             results.diff := audit_row.allocated - audit_row.allocations;
             return next results;

   end loop;      delete from aud_plalloc;

END;
$$
    LANGUAGE plpgsql STRICT;


ALTER FUNCTION public.analyse_plalloc(p_supplier text) OWNER TO postgres;

--
-- TOC entry 127 (class 1255 OID 78175)
-- Dependencies: 329 1230 5
-- Name: analyse_slalloc(integer, text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION analyse_slalloc(p_depot integer, p_cust text) RETURNS SETOF jp_audit
    AS $$
DECLARE
 alloc_row     record;
 er_row        record;
 ee_row        record;
 err           sp_status;
 audit_row     record;
 results       jp_audit;
BEGIN
      BEGIN          create table aud_slalloc(
           ser integer,
           typ integer,
           amount decimal(16,2),
           os decimal(16,2),
           allocated decimal(16,2),
           allocations decimal(16,2)
       );
   EXCEPTION
       when OTHERS then
           raise notice 'Table Already Exists';
   END;
                        insert INTO aud_slalloc(ser, typ, amount, os, allocated, allocations)
   select ser, 0 as typ, amount, os, case when (typ > 10 )
      then
         amount + os
	  else
		 amount - os
      end as allocated ,
	  amount as allocations
     from sledger
    where depot = p_depot
     and cod  = p_cust;

      update aud_slalloc set allocations = 0.00;

   for alloc_row in
    select allocation
      from sallocper
     where acdepot = p_depot
       and cust    = p_cust
   loop

       for er_row in select er, amount
	     from sallocer
         where sallocer.allocation = alloc_row.allocation
       loop
             update aud_slalloc
                set allocations = allocations - er_row.amount
              where aud_slalloc.ser = er_row.er;

       end loop;

       for ee_row in
        select ee, amount + discount    as alloc_amount
		from sallocee
          where sallocee.allocation = alloc_row.allocation
        loop
           update aud_slalloc
              set allocations = allocations + ee_row.alloc_amount
            where aud_slalloc.ser = ee_row.ee;

       end loop;

   end loop;
     for audit_row in select *
   --   into Pser, Ptyp, Pamount, Pos, Pallocated, Palloc_amount
   from aud_slalloc
  where allocated <> allocations
  loop

             results.seq := 13;
             results.msg1 := 'Unbalanced Allocation';
             results.v1 := audit_row.allocated;
             results.msg2 := 'Serial = ' || audit_row.ser;
             results.v2 := audit_row.allocations;
             results.diff := audit_row.allocated - audit_row.allocations;
             return next results;

   end loop;      delete from aud_slalloc;
END;
$$
    LANGUAGE plpgsql STRICT;


ALTER FUNCTION public.analyse_slalloc(p_depot integer, p_cust text) OWNER TO postgres;

--
-- TOC entry 19 (class 1255 OID 78176)
-- Dependencies: 394 1230 5
-- Name: analyseio(integer, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION analyseio(io_nsuk integer, transaction_date date) RETURNS sp_status
    AS $$

Declare  w_cnt			integer;
 	 m_salesv		decimal(10,2);
         i_sales_cnt		integer;
 	 d_margin		decimal(10,4);
	 d_markup		decimal(10,4);
 	 temp_markup		decimal(14,4);
 	 d_date			date;
	 err 			sp_status;
  	 iodetail_row		iodetail%rowtype;
-- Variables from the analysis_calendar table
         Panal_cal_ac_year	smallint;
         Panal_cal_ac_week	smallint;
-- Variables for various nsuk's
         Pproduct_nsuk		integer;
         Psupplier			char(6);
         Pdept_group_nsuk		integer;
         Pdept_nsuk			integer;
         Psales_rep		integer;
         Psupp_nsuk		integer;
         Pdumpit			integer;
	 ptsup_row		record;


/*
DEFINE iodetail_row.doc_type	like iodetail.doc_type;
DEFINE iodetail_row.location	like iodetail.location;
DEFINE iodetail_row.ref		like iodetail.ref;
DEFINE iodetail_row.cust           like iodetail.cust;
DEFINE iodetail_row.cost		decimal(10,2);
DEFINE iodetail_row.goods		decimal(10,2);
DEFINE iodetail_row.vat		decimal(10,2);
DEFINE iodetail_row.barcode	char(13);
DEFINE iodetail_row.product_type		integer;
DEFINE iodetail_row.qty		integer;
*/

    begin

	select count(*)
	into w_cnt
	from iodetail
	where iodetail.nsuk = io_nsuk;

	if w_cnt = 0 then
		err.ret_stat := 1;
		err.ret_string = 'Iodetail Row Not On Table';
		return err;
	end if;

	select count(*)
	into w_cnt
	from analysis_calendar
	where analysis_calendar.ac_start_date <= transaction_date
		and analysis_calendar.ac_end_date >= transaction_date;

	if w_cnt = 0 then
		err.ret_stat := 1;
		err.ret_string = 'No calendar set up';
		return err;
	end if;

-- Calculate month for use in Monthly analyses.

	d_date := transaction_date;

	select *
	into iodetail_row
	where iodetail.nsuk = io_nsuk;

	--
	--	Added Mar 8 2002 by Jim.
	--	Cost x Quantity to give total cost per iodetail line.

	iodetail_row.cost := iodetail_row.cost * iodetail_row.qty;

	--
	--	Credit Notes are negative effect
	--

	if iodetail_row.doc_type = 'CR' then
	    iodetail_row.cost := 0 - iodetail_row.cost;
	    iodetail_row.goods := 0 - iodetail_row.goods;
	    iodetail_row.vat := 0 - iodetail_row.vat;
	    iodetail_row.qty := 0 - iodetail_row.qty;
	end if;

	--
	--	Use the operator number as the sales rep
	--

	select operator
	into Psales_rep
	from ihead
	where ihead.doc_type = iodetail_row.doc_type
	  and ihead.location = iodetail_row.location
	  and ihead.ref      = iodetail_row.ref
	  and ihead.cust     = iodetail_row.cust;

	if not found then
	    err.ret_stat := 1;
	    err.ret_string := 'Document Header Not Found';
	    return err;

	end if;

--  Calculate Vat cost for use in insert statements.

	m_salesv := iodetail_row.goods + iodetail_row.vat;

	select analysis_calendar.ac_year, analysis_calendar.ac_week
	into Panal_cal_ac_year, Panal_cal_ac_week
	from analysis_calendar
	where analysis_calendar.ac_start_date <= transaction_date
		and analysis_calendar.ac_end_date >= transaction_date;


	if not found then
	    err.ret_stat := 1;
	    err.ret_string := 'Calendar Dates Not Found';
	    return err;

	end if;
	
--  Find the nsuk details for product, dept_group, dept and supplier
--  If the iodetail.barcode is null we will pick the first supplier
--  from the pt_supplier table. If we have a barcode we will get the
--  supplier.nsuk from barcode.supplier

--  Find the nsuk details for supplier from barcode

	Psupplier := null;

	if iodetail_row.barcode is not null then

		select supplier
		into Psupplier
		from barcode
		where barcode.ean = iodetail_row.barcode;

		if not found then
	    		err.ret_stat := 1;
	    		err.ret_string := 'Barcode not linked to supplier';
			return err;
		end if;

		if Psupplier is null then 
		   Psupplier := "DEFAUL";
		end if;

	else
		for ptsup_row in
			select pt_supplier.priority, pt_supplier.supplier
			from pt_supplier
			where pt_supplier.product_type = iodetail_row.product_type
			order by pt_supplier.priority
		loop
			exit;
		
		end loop;

		if ptsup_row.supplier  is null then
			err.ret_stat := 1;
			err.ret_string := 'Invalid link to pt_supplier - null';
		        return err;
		end if;

	end if;


--  Find Product nsuk

	Pproduct_nsuk := null;

	select a.nsuk
	into Pproduct_nsuk
	from product a, product_type b
	where b.nsuk = iodetail_row.product_type
		and a.nsuk = b.product;

	if not found then
		err.ret_stat := 1;
		err.ret_string := 'Invalid product_type.nsuk';
		return err;
	end if;

--  Find Dept_Group nsuk

	Pdept_group_nsuk := null;

	select a.nsuk
	into Pdept_group_nsuk
	from dept_group a, product b
	where b.nsuk = Pproduct_nsuk
		and a.nsuk = b.dept_group;

	if not found  then
		err.ret_stat := 1;
		err.ret_string := 'Invalid dept_group.nsuk';
		return err;
	end if;

--  Find Dept nsuk

	Pdept_nsuk := null;

	select a.nsuk
	into Pdept_nsuk
	from dept a, dept_group b
	where b.nsuk = Pdept_group_nsuk
		and a.nsuk = b.dept;

	if not found  then
		err.ret_stat := 1;
		err.ret_string :=  'Invalid dept.nsuk';
		return err;
	end if;

--  Check pt_wsales for existence of a record of this product type.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from pt_wsales
	where pt_wsales.product_type = iodetail_row.product_type
		and pt_wsales.week_no = Panal_cal_ac_week
		and pt_wsales.yr = Panal_cal_ac_year
		and pt_wsales.supplier = Psupplier
		and pt_wsales.sales_rep = Psales_rep;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in Pt_wsales table.';
		return err;

	elseif i_sales_cnt = 1 then

		update pt_wsales
		SET pt_wsales.quantity = pt_wsales.quantity + iodetail_row.qty,
		     pt_wsales.cost = pt_wsales.cost + iodetail_row.cost,
		     pt_wsales.sales = pt_wsales.sales + iodetail_row.goods,
		     pt_wsales.salesv = pt_wsales.salesv + iodetail_row.goods + iodetail_row.vat

		where pt_wsales.product_type = iodetail_row.product_type
			and pt_wsales.week_no = Panal_cal_ac_week
			and pt_wsales.yr = Panal_cal_ac_year
			and pt_wsales.supplier = Psupplier
			and pt_wsales.sales_rep = Psales_rep;
		else
			insert into pt_wsales
				values (DEFAULT, 0, '0', Panal_cal_ac_year,
				Panal_cal_ac_week, Psupplier,
				Pproduct_nsuk, iodetail_row.product_type, iodetail_row.qty,
				iodetail_row.cost, iodetail_row.goods, m_salesv,
				Psales_rep);
  	End if;

--  Check pt_msales for existence of a record of this product type.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from pt_msales
	where pt_msales.product_type = iodetail_row.product_type
		and pt_msales.supplier = Psupplier
		and pt_msales.sales_rep = Psales_rep
		and pt_msales.mth = d_date;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in Pt_msales table.';
		return err;

	elseif i_sales_cnt = 1 then

		update pt_msales
		SET pt_msales.quantity = pt_msales.quantity + iodetail_row.qty,
		    pt_msales.cost = pt_msales.cost + iodetail_row.cost,
		    pt_msales.sales  = pt_msales.sales + iodetail_row.goods,
		    pt_msales.salesv = pt_msales.salesv + iodetail_row.goods + iodetail_row.vat

		where pt_msales.product_type = iodetail_row.product_type
			and pt_msales.supplier = Psupplier
			and pt_msales.sales_rep = Psales_rep
			and pt_msales.mth = d_date;
		else
			insert into pt_msales
				values (DEFAULT, 0, '0', d_date,
				Psupplier, Pproduct_nsuk, iodetail_row.product_type,
				iodetail_row.qty, iodetail_row.cost,
				iodetail_row.goods, m_salesv, Psales_rep);
	end if;

--  Check pt_ysales for existence of a record of this product type.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from pt_ysales
	where pt_ysales.product_type = iodetail_row.product_type
		and pt_ysales.supplier = Psupplier
		and pt_ysales.sales_rep = Psales_rep
		and pt_ysales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in Pt_ysales table.';
		return err;

	elseif i_sales_cnt = 1 then

		update pt_ysales
		SET pt_ysales.quantity = pt_ysales.quantity + iodetail_row.qty,
		    pt_ysales.cost = pt_ysales.cost + iodetail_row.cost,
		    pt_ysales.sales = pt_ysales.sales + iodetail_row.goods,
		    pt_ysales.salesv = pt_ysales.salesv + iodetail_row.goods + iodetail_row.vat

		where pt_ysales.product_type = iodetail_row.product_type
			and pt_ysales.supplier = Psupplier
			and pt_ysales.sales_rep = Psales_rep
			and pt_ysales.yr = Panal_cal_ac_year;
		else
			insert into pt_ysales
				values (DEFAULT, 0, '0', Panal_cal_ac_year,
				Psupplier, Pproduct_nsuk, iodetail_row.product_type,
				iodetail_row.qty, iodetail_row.cost,
				iodetail_row.goods, m_salesv, Psales_rep);
	end if;

--  Check s_wsales for existence of a record for this supplier.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from s_wsales
	where s_wsales.supplier = Psupplier
		and s_wsales.dept = Pdept_nsuk
		and s_wsales.week_no = Panal_cal_ac_week
		and s_wsales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string :=  'More than 1 record exists in S_wsales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update s_wsales
		SET s_wsales.cost = s_wsales.cost + iodetail_row.cost,
		   s_wsales.sales = s_wsales.sales + iodetail_row.goods,
		   s_wsales.salesv = s_wsales.salesv + iodetail_row.goods + iodetail_row.vat

		where s_wsales.supplier = Psupplier
			and s_wsales.dept = Pdept_nsuk
			and s_wsales.week_no = Panal_cal_ac_week
			and s_wsales.yr = Panal_cal_ac_year;
		else
			insert into s_wsales
			values (DEFAULT, 0, Psupplier, Pdept_nsuk,
			Panal_cal_ac_year, Panal_cal_ac_week,
			iodetail_row.cost, iodetail_row.goods, m_salesv);
	End if;

--  Check s_msales for existence of a record for this supplier.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from s_msales
	where s_msales.supplier = Psupplier
		and s_msales.dept = Pdept_nsuk
		and s_msales.mth = d_date;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in s_msales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update s_msales
		SET s_msales.cost = s_msales.cost + iodetail_row.cost,
		    s_msales.sales = s_msales.sales + iodetail_row.goods,
		    s_msales.salesv = s_msales.salesv + iodetail_row.goods + iodetail_row.vat

		where s_msales.supplier = Psupplier
			and s_msales.dept = Pdept_nsuk
			and s_msales.mth = d_date;
		else
			insert into s_msales
			values (DEFAULT, 0, Psupplier, Pdept_nsuk, d_date,
				iodetail_row.cost, iodetail_row.goods, m_salesv);

	End if;

--  Check s_ysales for existence of a record for this supplier.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from s_ysales
	where s_ysales.supplier = Psupplier
		and s_ysales.dept = Pdept_nsuk
		and s_ysales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in S_ysales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update s_ysales
		SET s_ysales.cost = s_ysales.cost + iodetail_row.cost,
		    s_ysales.sales = s_ysales.sales + iodetail_row.goods,
		    s_ysales.salesv = s_ysales.salesv + iodetail_row.goods + iodetail_row.vat

		where s_ysales.supplier = Psupplier
			and s_ysales.dept = Pdept_nsuk
			and s_ysales.yr = Panal_cal_ac_year;
		else
			insert into s_ysales
			values (DEFAULT, 0, Psupplier, Pdept_nsuk,
			Panal_cal_ac_year, iodetail_row.cost,
			iodetail_row.goods, m_salesv);

	End if;

--  Check g_wsales for existence of a record
--  for this Department Subgroup.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from g_wsales
	where g_wsales.dept_group = Pdept_group_nsuk
		and g_wsales.dept = Pdept_nsuk
		and g_wsales.week_no = Panal_cal_ac_week
		and g_wsales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in G_wsales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update g_wsales
		SET g_wsales.cost = g_wsales.cost + iodetail_row.cost,
		     g_wsales.sales = g_wsales.sales + iodetail_row.goods,
		     g_wsales.salesv = g_wsales.salesv + iodetail_row.goods + iodetail_row.vat

		where g_wsales.dept_group = Pdept_group_nsuk
			and g_wsales.dept = Pdept_nsuk
			and g_wsales.week_no = Panal_cal_ac_week
			and g_wsales.yr = Panal_cal_ac_year;
		else
			insert into g_wsales
			values (DEFAULT, 0, Pdept_group_nsuk, Pdept_nsuk,
			Panal_cal_ac_year, Panal_cal_ac_week,
			iodetail_row.cost, iodetail_row.goods, m_salesv);

	End if;

--  Check g_msales for existence of a record
--  for this Department Subgroup.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from g_msales
	where g_msales.dept_group = Pdept_group_nsuk
		and g_msales.dept = Pdept_nsuk
		and g_msales.mth = d_date;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in G_msales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update g_msales
		SET g_msales.cost  = g_msales.cost + iodetail_row.cost,
		    g_msales.sales = g_msales.sales + iodetail_row.goods,
		    g_msales.salesv = g_msales.salesv + iodetail_row.goods + iodetail_row.vat

		where g_msales.dept_group = Pdept_group_nsuk
		        and g_msales.dept = Pdept_nsuk
			and g_msales.mth = d_date;
		else
			insert into g_msales
			values (DEFAULT, 0, Pdept_group_nsuk, Pdept_nsuk, d_date,
			iodetail_row.cost, iodetail_row.goods, m_salesv);
	
	End if;

--  Check g_ysales for existence of a record
--  for this Department Subgroup.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from g_ysales
	where g_ysales.dept_group = Pdept_group_nsuk
		and g_ysales.dept = Pdept_nsuk
		and g_ysales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in G_ysales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update g_ysales
		SET g_ysales.cost = g_ysales.cost + iodetail_row.cost,
		    g_ysales.sales = g_ysales.sales + iodetail_row.goods,
		    g_ysales.salesv = g_ysales.salesv + iodetail_row.goods + iodetail_row.vat

		where g_ysales.dept_group = Pdept_group_nsuk
		        and g_ysales.dept = Pdept_nsuk
			and g_ysales.yr = Panal_cal_ac_year;
		else
			insert into g_ysales
			values (DEFAULT, 0, Pdept_group_nsuk, Pdept_nsuk,
			Panal_cal_ac_year, iodetail_row.cost,
			iodetail_row.goods, m_salesv);
		
	End if;


--  Check d_wsales for existence of a record for this department.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from d_wsales
	where d_wsales.dept = Pdept_nsuk
		and d_wsales.week_no = Panal_cal_ac_week
		and d_wsales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in D_wsales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update d_wsales
		SET d_wsales.cost = d_wsales.cost + iodetail_row.cost,
		    d_wsales.sales = d_wsales.sales + iodetail_row.goods,
		    d_wsales.salesv = d_wsales.salesv + iodetail_row.goods + iodetail_row.vat

		where d_wsales.dept = Pdept_nsuk
			and d_wsales.week_no = Panal_cal_ac_week
			and d_wsales.yr = Panal_cal_ac_year;
		else
			insert into d_wsales
			values (DEFAULT, 0, Pdept_nsuk, Panal_cal_ac_year,
			Panal_cal_ac_week, iodetail_row.cost,
			iodetail_row.goods, m_salesv);

	End if;

--  Check d_msales for existence of a record for this department.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from d_msales
	where d_msales.dept = Pdept_nsuk
		and d_msales.mth = d_date;

	If i_sales_cnt > 1 then
		err.ret_stat :=1;
		err.ret_string := 'More than 1 record exists in D_msales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update d_msales
		SET d_msales.cost = d_msales.cost + iodetail_row.cost,
		    d_msales.sales = d_msales.sales + iodetail_row.goods,
		    d_msales.salesv = d_msales.salesv + iodetail_row.goods + iodetail_row.vat

		where d_msales.dept = Pdept_nsuk
			and d_msales.mth = d_date;
		else
			insert into d_msales
			values (DEFAULT, 0, Pdept_nsuk, d_date,
			iodetail_row.cost, iodetail_row.goods, m_salesv);
	
	End if;

--  Check d_ysales for existence of a record for this department.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from d_ysales
	where d_ysales.dept = Pdept_nsuk
		and d_ysales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat :=1;
		err.ret_string := 'More than 1 record exists in D_ysales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update d_ysales
		SET d_ysales.cost = d_ysales.cost + iodetail_row.cost,
		    d_ysales.sales = d_ysales.sales + iodetail_row.goods,
		    d_ysales.salesv = d_ysales.salesv + iodetail_row.goods + iodetail_row.vat

		where d_ysales.dept = Pdept_nsuk
			and d_ysales.yr = Panal_cal_ac_year;
		else
			insert into d_ysales
			values (DEFAULT, 0, Pdept_nsuk, Panal_cal_ac_year,
			iodetail_row.cost, iodetail_row.goods, m_salesv);

	End if;

--  Calculate Margin and Markup for use in product tables.
	d_margin := iodetail_row.goods - iodetail_row.cost;

	If iodetail_row.cost <> 0 then
		temp_markup := ((d_margin * 100) / iodetail_row.cost);

                if temp_markup > 9999.00 then
                    d_markup := 0;
                else
                    d_markup := temp_markup;
                end if;
	else
		d_markup := 0;
	End if;

--  Check p_wsales for existence of a record of this product.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from p_wsales
	where p_wsales.product = Pproduct_nsuk
		and p_wsales.dept = Pdept_nsuk
		and p_wsales.dept_group = Pdept_group_nsuk
		and p_wsales.supplier = Psupplier
		and p_wsales.sales_rep = Psales_rep
		and p_wsales.week_no = Panal_cal_ac_week
		and p_wsales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat :=1;
		err.ret_string := 'More than 1 record exists in P_wsales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update p_wsales
		SET p_wsales.quantity = p_wsales.quantity + iodetail_row.qty,
		    p_wsales.cost = p_wsales.cost + iodetail_row.cost,
		    p_wsales.sales = p_wsales.sales + iodetail_row.goods,
		    p_wsales.salesv = p_wsales.salesv + iodetail_row.goods + iodetail_row.vat,
		    p_wsales.margin = d_margin,
		    p_wsales.mark_up = d_markup

		where p_wsales.product = Pproduct_nsuk
			and p_wsales.dept = Pdept_nsuk
			and p_wsales.dept_group = Pdept_group_nsuk
			and p_wsales.supplier = Psupplier
			and p_wsales.sales_rep = Psales_rep
			and p_wsales.week_no = Panal_cal_ac_week
			and p_wsales.yr = Panal_cal_ac_year;
		else
			insert into p_wsales
			values (DEFAULT, 0, Panal_cal_ac_year, Panal_cal_ac_week,
			Pdept_nsuk, Pdept_group_nsuk, Psupplier,
			Pproduct_nsuk, iodetail_row.qty, iodetail_row.cost,
			iodetail_row.goods, m_salesv, d_margin, d_markup,
			Psales_rep);

	End if;

--  Check p_msales for existence of a record of this product.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from p_msales
	where p_msales.product = Pproduct_nsuk
		and p_msales.dept_group = Pdept_group_nsuk
		and p_msales.dept = Pdept_nsuk
		and p_msales.supplier = Psupplier
		and p_msales.mth = d_date;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in P_msales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update p_msales
		SET p_msales.quantity = p_msales.quantity + iodetail_row.qty,
		    p_msales.cost = p_msales.cost + iodetail_row.cost,
		    p_msales.sales = p_msales.sales + iodetail_row.goods,
		    p_msales.salesv = p_msales.salesv + iodetail_row.goods + iodetail_row.vat,
		    p_msales.margin = d_margin,
		    p_msales.mark_up = d_markup

		where p_msales.product = Pproduct_nsuk
			and p_msales.dept_group = Pdept_group_nsuk
			and p_msales.dept = Pdept_nsuk
			and p_msales.supplier = Psupplier
			and p_msales.mth = d_date;
		else
			insert into p_msales
			values (DEFAULT, 0, d_date, Pdept_nsuk, Pdept_group_nsuk,
			Psupplier, Pproduct_nsuk, iodetail_row.qty,
			iodetail_row.cost, iodetail_row.goods, m_salesv,
			d_margin, d_markup, Psales_rep);

	End if;

--  Check p_ysales for existence of a record of this product.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from p_ysales
	where p_ysales.product = Pproduct_nsuk
		and p_ysales.dept = Pdept_nsuk
		and p_ysales.dept_group = Pdept_group_nsuk
		and p_ysales.supplier = Psupplier
		and p_ysales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in P_ysales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update p_ysales
		SET p_ysales.quantity = p_ysales.quantity + iodetail_row.qty,
		    p_ysales.cost = p_ysales.cost + iodetail_row.cost,
		    p_ysales.sales = p_ysales.sales + iodetail_row.goods,
		    p_ysales.salesv = p_ysales.salesv + iodetail_row.goods + iodetail_row.vat,
		    p_ysales.margin = d_margin,
		    p_ysales.mark_up = d_markup

		where p_ysales.product = Pproduct_nsuk
			and p_ysales.dept = Pdept_nsuk
			and p_ysales.dept_group = Pdept_group_nsuk
			and p_ysales.supplier = Psupplier
			and p_ysales.yr = Panal_cal_ac_year;
		else
			insert into p_ysales
			values (DEFAULT, 0, Panal_cal_ac_year, Pdept_nsuk,
			Pdept_group_nsuk, Psupplier, Pproduct_nsuk,
			iodetail_row.qty, iodetail_row.cost, iodetail_row.goods,
			m_salesv, d_margin, d_markup, Psales_rep);
		
	End if;

	--
	--	Sales Rep Analysis Tables
	--

        --  Check r_wsales for existence of a record for this rep.
        --  If the count is more then 1 then report an error.
        --  If the count is equal to 1 then update the existing record.
        --  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from r_wsales
	where r_wsales.sales_rep = Psales_rep
	  and r_wsales.week_no = Panal_cal_ac_week
	  and r_wsales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in r_wsales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update r_wsales
		SET r_wsales.cost = r_wsales.cost + iodetail_row.cost,
		    r_wsales.sales = r_wsales.sales + iodetail_row.goods,
		    r_wsales.salesv = r_wsales.salesv + iodetail_row.goods + iodetail_row.vat

	        where r_wsales.sales_rep = Psales_rep
	          and r_wsales.week_no = Panal_cal_ac_week
	          and r_wsales.yr = Panal_cal_ac_year;
		else
			insert into r_wsales
			values (DEFAULT, 0, Psales_rep, Panal_cal_ac_year,
			Panal_cal_ac_week, iodetail_row.cost,
			iodetail_row.goods, m_salesv);
	
	End if;

--  Check r_msales for existence of a record for this rep
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from r_msales
	where r_msales.sales_rep = Psales_rep
		and r_msales.mth = d_date;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string := 'More than 1 record exists in r_msales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update r_msales
		SET r_msales.cost = r_msales.cost + iodetail_row.cost,
		    r_msales.sales = r_msales.sales + iodetail_row.goods,
		    r_msales.salesv = r_msales.salesv + iodetail_row.goods + iodetail_row.vat

		where r_msales.sales_rep = Psales_rep
			and r_msales.mth = d_date;
		else
			insert into r_msales
			values (DEFAULT, 0, Psales_rep, d_date,
			iodetail_row.cost, iodetail_row.goods, m_salesv);
	
	End if;

--  Check r_ysales for existence of a record for this rep.
--  If the count is more then 1 then report an error.
--  If the count is equal to 1 then update the existing record.
--  If the count is equal to 0 then insert a new record.

	select count(*)
	into i_sales_cnt
	from r_ysales
	where r_ysales.sales_rep = Psales_rep
		and r_ysales.yr = Panal_cal_ac_year;

	If i_sales_cnt > 1 then
		err.ret_stat := 1;
		err.ret_string :=  'More than 1 record exists in r_ysales table.';
		return err;

	elseif i_sales_cnt = 1 then
		update r_ysales
		SET r_ysales.cost = r_ysales.cost + iodetail_row.cost,
		     r_ysales.sales = r_ysales.sales + iodetail_row.goods,
		     r_ysales.salesv = r_ysales.salesv + iodetail_row.goods + iodetail_row.vat

		where r_ysales.sales_rep = Psales_rep
			and r_ysales.yr = Panal_cal_ac_year;
		else
			insert into r_ysales
			values (DEFAULT, 0, Psales_rep, Panal_cal_ac_year,
			iodetail_row.cost, iodetail_row.goods, m_salesv);
	
	End if;

    err.ret_stat := 0;
    err.ret_string := 'Success';

    return err;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.analyseio(io_nsuk integer, transaction_date date) OWNER TO postgres;

--
-- TOC entry 134 (class 1255 OID 78178)
-- Dependencies: 394 1230 5
-- Name: asatdate(date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION asatdate(asat date) RETURNS sp_status
    AS $$
declare     unmatched_row       unmatched%rowtype;
            pcost_row           record;
            Psumunmatched      integer;
            Psumpcost           integer;
			firstline			integer;
             cur_asset_reg char(1);
            cur_pdesc   char(4);
            cur_reg char(6);
            cur_qty integer;
            cur_dat date;
            cur_qty_unmatched integer;
            cur_qty_matched integer;
            cur_qty_sold integer;
            cur_sales_period date;
            cur_nominal_period date;
            cur_unit_cost decimal(16,2);
            cur_unit_depn decimal(16,2);
            cur_supp char(6);
            cur_invoice_ref char(10);
            cur_location integer;
            cur_pcost_ser integer;
            cur_qty_invoiced integer;
            err			sp_status;


begin


drop table if exists temp_unmatched;
drop table if exists temp_pcost;

create temp table temp_unmatched
  (
      ser serial not null ,
      asset_reg char(1),
      pdesc char(4),
      reg char(6),
      qty integer,
      dat date,
      cost_per_unit decimal(9,2),
      supplier char(6),
      qty_left integer,
      qty_sold integer,
      location smallint
        );

create temp table temp_pcost
     (
      ser integer,
      asset_reg char(1),
      pdesc char(4),
      reg char(6),
      unit_cost decimal(16,2),
      unit_depn decimal(16,2),
      qty integer,
      dat date,
      supplier char(6),
      invoice_ref char(10),
      source_type char(1),
      original_qty integer,
      qty_invoiced integer
       );



	cur_qty_matched :=0;
	firstline := 1;

	for pcost_row in
	    select h.pcost as pcost, h.ser, h.asset_reg, h.pdesc, h.reg,
                   h.typ, h.sales_period,
                   h.dat, h.unit_cost, h.unit_depn, h.qty,
                   h.supp, h.invoice_ref, h.location, pd.typ as pdtyp

        from phistory h, pdesc pd
	    where h.sales_period <= asat
	    and h.pdesc = pd.cod
	    and h.pcost is not null
        order by 1,2
	loop

	    if firstline = 1 then
	       cur_pcost_ser     := pcost_row.pcost;
           cur_asset_reg     := pcost_row.asset_reg;
           cur_pdesc         := pcost_row.pdesc;
           cur_reg           := pcost_row.reg;
           cur_qty           := 0;
           cur_qty_unmatched := 0;
           cur_qty_matched   := 0;
           cur_qty_sold      := 0;
           cur_unit_cost     := 0;
           cur_unit_depn     := 0;
           cur_invoice_ref   := '';
           cur_supp          := '';
           cur_location      := 1;
           cur_qty_invoiced  := 0;
           firstline         := 0;
        end if;

       if cur_pcost_ser <> pcost_row.pcost then

           if cur_qty_matched > 0 then

	           execute 'insert into temp_pcost values (' || coalesce(quote_literal(cur_pcost_ser),'NULL') || ','
                                            || coalesce(quote_literal(cur_asset_reg),'NULL') || ','
                                            || coalesce(quote_literal(cur_pdesc),'NULL')     ||','
                                            || coalesce(quote_literal(cur_reg),'NULL')        ||','
                                            || coalesce(quote_literal(cur_unit_cost),'NULL') ||','
                                            || coalesce(quote_literal(cur_unit_depn),'NULL') ||','
                                            || coalesce(quote_literal(cur_qty_matched),'NULL')       ||','
                                            || coalesce(quote_literal(cur_dat),'NULL')       ||','
                                            || coalesce(quote_literal(cur_supp),'NULL')    ||','
                                            || coalesce(quote_literal(cur_invoice_ref),'NULL') ||','
                                            || coalesce(quote_literal(''),'NULL') ||','
											|| coalesce(quote_literal(cur_qty_matched),'NULL') ||','
											|| coalesce(quote_literal(cur_qty_invoiced),'NULL') ||
                                            ');';
           end if;

	       cur_pcost_ser     := pcost_row.pcost;
           cur_asset_reg     := pcost_row.asset_reg;
           cur_pdesc         := pcost_row.pdesc;
           cur_reg           := pcost_row.reg;
           cur_qty           := 0;
           cur_qty_unmatched := 0;
           cur_qty_matched   := 0;
           cur_qty_sold      := 0;
           cur_unit_cost     := 0;
           cur_unit_depn     := 0;
           cur_invoice_ref   := '';
           cur_supp          := '';
           cur_location      := 1;
           cur_qty_invoiced  := 0;


        end if;

       if pcost_row.typ = 1 then
             cur_dat           := pcost_row.dat;
             cur_invoice_ref   := pcost_row.invoice_ref;
             cur_supp          := pcost_row.supp;
             cur_location      := pcost_row.location;
             cur_unit_cost     := pcost_row.unit_cost;
             cur_unit_depn     := pcost_row.unit_depn;
             cur_qty_matched   := cur_qty_matched   + pcost_row.qty;
        end if;

        if pcost_row.typ = 2 then
            cur_invoice_ref   := pcost_row.invoice_ref;
            cur_supp          := pcost_row.supp;
            cur_unit_cost     := pcost_row.unit_cost;
            cur_qty_invoiced  := cur_qty_invoiced  + pcost_row.qty;
        end if;

        if pcost_row.typ = 3 then
            if pcost_row.pdtyp = 'M' then
                cur_qty_matched   := cur_qty_matched   - pcost_row.qty;
            else
                cur_qty_matched := 0;
            end if;
        end if;

        if pcost_row.typ = 4 then
            cur_unit_depn     := cur_unit_depn     + pcost_row.unit_depn;
        end if;

        if pcost_row.typ = 5 then
            if pcost_row.qty > 0 then
                cur_unit_cost := pcost_row.unit_cost;
            end if;
        end if;

        if pcost_row.typ = 6 then
            cur_qty           := cur_qty           - hst_qty;
        end if;


        if pcost_row.typ = 7 then
            cur_dat           := pcost_row.dat;
            cur_invoice_ref   := pcost_row.invoice_ref;
            cur_supp          := pcost_row.supp;
            cur_location      := pcost_row.location;
            cur_unit_cost     := pcost_row.unit_cost;
            cur_unit_depn     := pcost_row.unit_depn;
            cur_qty_matched   := cur_qty_matched   + pcost_row.qty;
        end if;

        if pcost_row.typ = 8 then
            if pcost_row.pdtyp = 'M' then
                cur_qty_matched   := cur_qty_matched   - pcost_row.qty;
            else
                cur_qty_matched   = 0;
            end if;
        end if;

        if pcost_row.typ = 9 then
            cur_unit_depn     := cur_unit_depn     + pcost_row.unit_depn;
        end if;

	if pcost_row.typ = 10 then
            cur_qty_invoiced  := cur_qty_invoiced  - pcost_row.qty;
        end if;





	end loop;


	if cur_qty_matched <> 0 then
               execute 'insert into temp_pcost values (' || coalesce(quote_literal(cur_pcost_ser),'NULL') || ','
                                            || coalesce(quote_literal(cur_asset_reg),'NULL') || ','
                                            || coalesce(quote_literal(cur_pdesc),'NULL')     ||','
                                            || coalesce(quote_literal(cur_reg),'NULL')        ||','
                                            || coalesce(quote_literal(cur_unit_cost),'NULL') ||','
                                            || coalesce(quote_literal(cur_unit_depn),'NULL') ||','
                                            || coalesce(quote_literal(cur_qty_matched),'NULL')       ||','
                                            || coalesce(quote_literal(cur_dat),'NULL')       ||','
                                            || coalesce(quote_literal(cur_supp),'NULL')    ||','
                                            || coalesce(quote_literal(cur_invoice_ref),'NULL') ||','
                                            || coalesce(quote_literal(''),'NULL') ||','
											|| coalesce(quote_literal(cur_qty_matched),'NULL') ||','
											|| coalesce(quote_literal(cur_qty_invoiced),'NULL') ||
                                            ');';
    end if;

	execute 'create unique index t_ix312_1 on temp_pcost (ser)';
    execute 'create index t_multidx on temp_pcost (pdesc);';
    execute 'create index pcix2 on temp_pcost (asset_reg,pdesc,reg)';





    err.ret_stat := 0;
    err.ret_string := 'SUCCESS';

    return err;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.asatdate(asat date) OWNER TO postgres;

--
-- TOC entry 24 (class 1255 OID 78179)
-- Dependencies: 329 1230 5
-- Name: audit(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION audit() RETURNS SETOF jp_audit
    AS $$
declare	Psys_config_set		sys_config.set%type;
       	java_control_used	sys_config.set%type;
       	stationery	        sys_config.set%type;
       	stat_type	        sys_config.set%type;
       	Pnparams_current	nparams.current_period%type;
       	w_period		dparams.period%type;
       	Pparams_current		pparams.period%type;
        Pnparams_creditors	nparams.creditors%type;
       	msg1			char(30);
       	msg2			char(30);
       	msg3			char(30);
        v1			decimal(16,2);
       	v2			decimal(16,2);
       	v3			decimal(16,2);
       	v4			decimal(16,2);
       	w1			decimal(16,2);
       	a1			decimal(16,2);
       	b1			decimal(16,2);
       	c1			decimal(16,2);
       	w_java			decimal(16,2);
       	w_java_inv		decimal(16,2);
       	w_java_cr 		decimal(16,2);
       	w_vatsum 		decimal(16,2);
       	false			integer;
       	w_tmp			decimal(16,2);
       	tot_cost		decimal(16,2);
       	wk_cost			decimal(16,2);
       	v_cost			decimal(16,2);
       	unalloc_tot		decimal(16,2);
       	ledger_tot		decimal(16,2);
       	cr_notes		decimal(16,2);
       	invs    		decimal(16,2);
       	obal			decimal(16,2);
        cbal			decimal(16,2);
        trans			decimal(16,2);
	trans_tot		decimal(16,2);
       	Pnullcnt		integer;
       	diff			decimal(16,2);
        tot_depn		decimal(16,2);
        w_amount        decimal(16,2);
        w_os            decimal(16,2);

       	Pnlbals_cod		nlbals.cod%type;
       	Pnlbals_cc		nlbals.cc%type;
       	Pnlbals_period		nlbals.period%type;
       	Pnlbals_bop_bal		nlbals.bop_bal%type;
       	Pnlbals_cur_bal		nlbals.cur_bal%type;
       	Pnlbals_ytd_bal		nlbals.ytd_bal%type;

        ihead_row		ihead%rowtype;
        sanal_row		sanal%rowtype;
        nlbatch_row		nlbatch%rowtype;
        cust_row		cust%rowtype;
        supplier_row		supplier%rowtype;
        pledger_row		pledger%rowtype;
        asset_reg_row	        asset_reg%rowtype;
        nominal_row	        nominal%rowtype;
        chdetail_row		chdetail%rowtype;

        Pproduct_cost		product.cost%type;
	    results			jp_audit;
        w_ver           jp_verify;
        w_rows			integer;
        last_checkpoint record;
        w_today         date;
        sales_period    record;
        creditors_period record;
        found_checkpoint boolean;
        some_wild_date  date;
        debtors_nl_balance decimal(16,2);
        creditors_nl_balance decimal(16,2);
        err_code             integer;
        err_text             char(60);
        all_depots           integer;
        cust_check             record;
        alloc_row              record;
        run_mode               char(6);
        analsl_row             jp_audit;
		analpl_row             jp_audit;
		supplieranal_row		record;
begin

    false := 0;
    all_depots := 0;
    run_mode := 'detail';
    some_wild_date := now(); --'03/11/2053';

    perform * from nrbld_custaged_at(some_wild_date,0,0);
    perform * from nrbld_suppaged_at(some_wild_date,0,0,'FULL',0);

    java_control_used := 1;

    select current_period, creditors
    into Pnparams_current, Pnparams_creditors from nparams;

    select period into w_period from dparams;

    select period into Pparams_current from pparams;

-- 1.	Check Aged Debt Analysis Against Debtors in Nominal

     select sum(balance) into v1 from cust_age
     where period = jp_period(some_wild_date)
      and bad_debt = 'N';

    select sum(amount)
      into debtors_nl_balance
      from nltrans a, nparams b, reserved_ac c
     where (a.period >= b.boy_period -- All periods from beginning of year (inc CP)
            or
            a.tmp = 'Y' and dat >= b.boy_period ) and     --     Unposted batches
            a.cod = c.account_code and
            c.key_name = 'debtors';

    select sum(amount)
    into w_java
    from sledger
    where batch is null
      and cod is not null
      and source not in ('BR', 'BD')
      and period >= jp_period(some_wild_date);

    if (not FOUND) or (w_java is null) then
        w_java := 0.00;
    end if;

    v2 := debtors_nl_balance + w_java;

    msg1 := 'Aged Debt Analysis';

    msg2 := 'Nominal Debtors + JAVA TX';

    msg1 := 'Aged Debt Analysis';

    if w_java <> 0 then
       msg2 := 'Nominal Debtors + JAVA TX';
    else
       msg2 := 'Nominal Debtors';
    end if;

    results.seq := 1;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;

-- 2. Check Aged Debt Analysis Against Sales Control Balance

    select * from sl_open_bal(some_wild_date, all_depots)
        into err_code, err_text, v2;

    select sum(amount)
       into trans_tot
       from sledger
      where period >= jp_period(some_wild_date)
        and cod is not null;

    if trans_tot is null then
	trans_tot := 0;
    end if;

    v2 := v2 + trans_tot;

    if v2 is null then
	    v2 := 0.00;
    end if;

    msg2 := 'Sales Ledger Control + JAVA TX';

    results.seq := 2;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;

    return next results;

-- 2a. Check Nominal Debtors Against Sales Control


    msg1 := 'Nominal Debtors + JAVA TX';
    msg2 := 'Sales Ledger Control + JAVA TX';

--    v2 already has sales control figure

    v1 = debtors_nl_balance + w_java;


    results.seq := 2;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;


-- 3.  Check Invoice Archive Headers against Sales Control

   --- Defunct

-- 4.  Check Invoice Archive Headers against Ledger Transactions

    select sum(tot)
    into v1
    from ihead
    where ihead.period = w_period
      and (ihead.doc_type = 'IN' or
           ihead.doc_type = 'CA');

    if (not FOUND) OR (v1 is null) then
        v1 := 0.00;
    end if;

    select sum(amount)
    into v2
    from sledger
    where sledger.typ = 2
      and sledger.period = w_period
      and sledger.cod is not null;

    if (not FOUND) or (v2 is null) then
	    v2 := 0.00;
    end if;

    msg1 := 'Invoices On Archive';
    msg2 := 'Ledger Transactions';

    results.seq := 4;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;

-- 5.  Check Credit Note Archive Headers against Sales Control

  -- Defunct

-- 6.  Check Credit Note Archive Headers against Ledger Transactions

    select sum(tot)
    into v1
    from ihead
    where ihead.period = w_period
      and ihead.doc_type = 'CR';

    if v1 is null then
        v1 := 0.00;
    end if;


    select sum(amount)
    into v2
    from sledger
    where sledger.typ = 12
      and sledger.period = w_period
      and sledger.cod is not null;

    if v2 is null then
	    v2 := 0.00;
    end if;

    msg2 = 'Ledger Transactions';

    results.seq := 6;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := 0 - v2;
    results.diff := (v1 - (0 - v2));
    return next results;

-- 7.  Check Hire Details on Archive against Hire Sales Analysis

   -- Defunct

-- 8.  Check Consumable Details on Archive against Consumable Sales Analysis

    -- Defunct

-- 9. Check Cost of Consumable sales against sanal.qty sold * product.cost

    -- Defunct

-- 10.  Check Disposal Details on Archive against Disposal Sales Analysis

    -- Defunct


-- 11.  Check Disposal Details on Archive against Disposal Table

     select sum(b.goods)
      into v1
    from ihead a, iddetail b
    where a.doc_type = b.doc_type
      and a.location = b.location
      and a.ref = b.ref
      and a.cust = b.cust
      and a.period = w_period;

    if (not FOUND) or (v1 is null) then
	    v1 := 0.00;
    end if;

    select sum(qty * unit_sell)
    into a1
    from disposals
    where disposals.sales_period = w_period
    and qty > 0;

    if (not FOUND) or (a1 is null) then
	    a1 := 0.00;
    end if;

    select sum(qty * unit_sell)
    into b1
    from disposals
    where disposals.sales_period = w_period
    and qty < 0;

    if (not FOUND) or (b1 is null) then
	    b1 := 0.00;
    end if;

    v2 := a1 - b1;

    msg2 := 'Disposals List';
    results.seq := 11;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;

-- 12.  Check for unbalanced batches

    msg1 := 'Unbalanced Batches';
    msg2 := null;
    v1 := null;

    for nlbatch_row in
        select *
        from nlbatch
        where stat <> 'I'		-- only those not yet updated
    loop

	    select sum(amount)
	    into w1
	    from nltrans
	    where nltrans.source = nlbatch_row.source
	      and nltrans.batch  = nlbatch_row.seq;

	    if w1 is null then
	        w1 := 0.00;
	    end if;

	    if w1 <> 0.00 then
	       msg2 := nlbatch_row.location || '/' || nlbatch_row.source || nlbatch_row.seq;
	       v2   := w1;
           results.seq := 12;
           results.msg1 := msg1;
           results.v1 := v1;
           results.msg2 := msg2;
           results.v2 := v1;
           results.diff := v2;
           return next results;
	    end if;

    end loop;

-- 13 / 14 / 15. Check for customer accounts out of balance.

    --
    -- Accounts are only out of balance if the sum of their amounts
    -- <> the sum of their os
    --

    msg1 := 'Unbalanced Debtor';
    msg3 := 'Unallocated Diff ';
    msg2 := null;
    v1 := null;

    for cust_check in
        select depot, cod, nam
        from cust
       where bad_debt = 'N'

    loop

        select sum(amount) as amount,
               sum(CASE WHEN (typ > 10 )
                            THEN (os * '-1.00')
                        ELSE os
                   END) as os
          into w_amount, w_os
          from sledger
          where depot = cust_check.depot
            and cod = cust_check.cod;

          if w_amount <> w_os then
              msg1 := 'Unbalanced Debtor ';
              msg2 := cust_check.depot || '/' || cust_check.cod;

              results.seq := 13;
              results.msg1 := msg1;
              results.v1 := w_amount;
              results.msg2 := msg2;
              results.v2 := w_os;
              results.diff := w_amount - w_os;
              return next results;

              if run_mode = 'detail' then

                  --
                  --  Since we have a difference analyse the allocations
                  --

                  for analsl_row in select * from analyse_slalloc(cust_check.depot,
                                                 cust_check.cod)
                  loop

                      return next analsl_row;

                  end loop;

              end if;

          end if;

    end loop;


-- 16. Check Sales VAT Analysis

--- Redundant


--		P U R C H A S E   L E D G E R


-- 17.  Check The Supplier Master Total Against the Balance On Nominal

    select sum(balance)
    into v1
    from supplier_age
    where period = jp_period(some_wild_date);

    select sum(amount)
      into creditors_nl_balance
      from nltrans a, nparams b
     where (a.period >= b.boy_period -- All periods from beginning of year (inc CP)
            or
            a.period is null and dat >= b.boy_period)
            and        --     Unposted batches
            a.cod in (
		select cod from nominal
		where parent in (
			select account_code from reserved_ac
			where reserved_ac.key_name = 'creditor_total')
			);

   v2 = creditors_nl_balance;

   v2 = 0 - v2;


   msg1 := 'Supplier Aged List';
   msg2 := 'Creditors Nominal + JAVA TX';


    results.seq := 17;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;

-- 18.  Check Supplier List Against Control Account Total

    -- Sum of supplier.balance is in v1 from last query
    select * from pl_open_bal(some_wild_date)  into err_code, err_text, v2;

    select sum(amount)
        into w_java
    from pledger
    where period >= jp_period(some_wild_date)
    and supplier is not null;

    if (not FOUND) or (w_java is null) then
	w_java := 0.00;
    end if;

    v2 := v2 + w_java;

    if w_java <> 0 then
       msg1 := 'Supplier Aged List ';
       msg2 := 'Control Account Bal + JAVA TX';
    else
       msg1 := 'Supplier Aged List ';
       msg2 := 'Control Account Balance ';
    end if;

    --if java_control_used = false then

        results.seq := 18;
        results.msg1 := msg1;
        results.v1 := v1;
        results.msg2 := msg2;
        results.v2 := v2;
        results.diff := v1 - v2;
        return next results;
    --end if;

-- 19. Check Purchase VAT Analysis.

    msg1 := 'Purchase VAT Analysis';
    msg2 := 'Purchase Inv/Cr';

    w_vatsum := 0.00;

    select sum(pdetails.goods + pdetails.vat)
    into cr_notes
    from pdetails, pledger
    where pdetails.trans_ser = pledger.ser
      and pledger.period = Pparams_current
      and typ = 11;

    if cr_notes is null then
       cr_notes := 0.00;
    end if;

    cr_notes := 0.00 - cr_notes;

    select sum(pdetails.goods + pdetails.vat)
    into invs
    from pdetails, pledger
    where pdetails.trans_ser = pledger.ser
      and pledger.period = Pparams_current
      and typ = 2;

    if invs is null then
       invs := 0.00;
    end if;

    w_vatsum := cr_notes + invs;

    v1 := 0.00;

    select amount
    into v1
    from pledger
    where pledger.supplier is not  NULL
      and pledger.typ = 2
      and pledger.period = Pparams_current;

    v2 := 0.00;

    select amount
    into v2
    from pledger
    where pledger.supplier is not NULL
      and pledger.typ = 11
      and pledger.period = Pparams_current;

    v1 := v1 + v2;			-- v2 will be negative

    v1 := v1 + w_java;

    if w_java <> 0 then
       msg1 := 'Purchase VAT Analysis';
       msg2 := 'Purchase Inv/Cr + JAVA TX';
    else
       msg1 := 'Purchase VAT Analysis';
       msg2 := 'Purchase Inv/Cr';
    end if;


    --if java_control_used = false then

        results.seq := 19;
        results.msg1 := msg1;
        results.v1 := w_vatsum;
        results.msg2 := msg2;
        results.v2 := v1;
        results.diff := (w_vatsum - v1);
        return next results;
    --end if;

-- 20. Check Supplier Accounts Against Their Transactions

    for supplieranal_row in
	select supplier,sum(amount) as amount,sum(os) as os
	from pledger
	where supplier is not null
        group by 1
	having sum(amount) <> sum(os)
	loop

   	    msg1 := 'Unbalanced Creditor';
	    msg2 := supplieranal_row.supplier;


            results.seq := 20;
            results.msg1 := msg1;
            results.v1 := supplieranal_row.amount;
            results.msg2 := msg2;
            results.v2 := supplieranal_row.os;
            results.diff := supplieranal_row.amount - supplieranal_row.os;
            return next results;


              if run_mode = 'detail' then

                  --
                  --  Since we have a difference analyse the allocations
                  --

                  for analpl_row in select * from analyse_plalloc(supplieranal_row.supplier)
                  loop

                      return next analpl_row;

                  end loop;

              end if;
        end loop;

-- 21.  Check Purchase Control Vs Transactions

    if java_control_used = false then
        for pledger_row in
        select *
        from pledger
        where pledger.supplier is null
          and pledger.period = Pparams_current
          and pledger.typ <> 1
        loop

	    msg1 := get_ptrans(pledger_row.typ);
	    msg2 := 'Purchase Ledger Control';

	    select sum(amount) into v2
	    from pledger
	    where pledger.typ = pledger_row.typ and
	      pledger.period = Pparams_current and
	      pledger.supplier is not null;

	    if v2 is null then
	        v2 := 0.00;
	    end if;

            if pledger_row.typ = 11 then
                v2 := v2 + w_java_cr;
                msg2 := 'Purchase Ledger Control + JAVA TX';
            end if;

            if pledger_row.typ = 2 then
                v2 := v2 + w_java_inv;
                msg2 := 'Purchase Ledger Control + JAVA TX';
            end if;

	    v1 := pledger_row.amount;

            results.seq := 21;
            results.msg1 := msg1;
            results.v1 := v1;
            results.msg2 := msg2;
            results.v2 := v2;
            results.diff := v1 - v2;
            return next results;

        end loop;
    end if;

--		N O M I N A L   L E D G E R

-- 22. Check that 'BALANC' account is zero.

    msg1 := '"BALANC" Account';
    msg2 := '';

    select sum(amount)
    into v1
    from nltrans;

    if (v1 is null) then
	v1 := 0;
    end if ;

    v2 := 0.00;

    results.seq := 22;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;

-- 23. Check Current Trial Balance

    msg1 := 'Current Trial Balance';
    msg2 := '';

    create temp table audit_currnltb as
    select S1.cod, sum(amount) as amount,pm.period,s1.description
    from nominal s1, nominal s2, nltrans t, period_map pm, nparams ctl
    where s1.lft NOT BETween s2.lft and s2.rgt
      and s2.cod = 'TRADIN'
      and t.period BETWEEN pm.boy_period and pm.period
      and pm.period = ctl.current_period
      and t.cod = s1.cod
      and tmp = 'N'
    group by 1,3,4

    union ALL

    select account_code, sum(amount) as amount, pm.period, 'Accumulated Profit'
    from nominal s1, nominal s2, nltrans t, reserved_ac r, period_map pm, nparams ctl
    where s1.lft between s2.lft and s2.rgt
    and s2.cod = 'TRADIN'
    and t.period >= pm.boy_period
    and t.period < pm.period
    and pm.period = ctl.current_period
    and t.cod = s1.cod
    and tmp = 'N'
    and r.key_name = 'capital'
    group by 1,3,4

    union all

    select S1.cod, sum(amount) as amount, t.period, s1.description
    from nominal s1, nominal s2, nltrans t, nparams ctl
    where s1.lft BETween s2.lft and s2.rgt
      and s2.cod = 'TRADIN'
      and t.period = ctl.current_period
      and t.cod = s1.cod
      and tmp = 'N'
    group by 1,3,4
    order by 3,1;


    select sum(amount)
    into v1
    from audit_currnltb ;

    drop table audit_currnltb;

    v2 := 0.00;

    results.seq := 23;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;

-- 24. Check Year to Date Trial Balance

    msg1 := 'Year To Date Trial Balance';
    msg2 := '';

    select sum(amount)
      into v1
      from nominal s1, nominal s2, nltrans t, period_map pm, nparams ctl
     where s1.lft between s2.lft and s2.rgt
       and s2.cod = 'BALANC'
       and t.period between pm.boy_period and pm.period
       and pm.period = ctl.current_period
       and t.cod = s1.cod
       and tmp = 'N';


    v2 := 0.00;

    results.seq := 24;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;

-- 25. Check Leaf Node Accounts Vs Transactions




-- 26.  Check The Sum Of Nominal Transactions = Zero

    msg1 := 'Posted Double Entry Integrity';
    msg2 := '';

    select sum(amount)
    into v1
    from nltrans
    where nltrans.period = Pnparams_current
      and nltrans.tmp = 'N';

    results.seq := 26;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := 0.00;
    results.diff := v1 - 0.00;
    return next results;

-- 27.  Unposted Double Entry Integrity

    msg1 := 'Un-p Double Entry Integrity';
    msg2 := '';

    select sum(amount)
    into v1
    from nltrans
    where nltrans.period = Pnparams_current
      and nltrans.tmp = 'Y';

    if v1 is null then
        v1 := 0.00;
    end if;

    results.seq := 27;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := 0.00;
    results.diff := v1 - 0.00;
    return next results;

-- 28.  Check invoice headers against the sum of their detail lines.

    for ihead_row in
    select *
    from ihead
    where period = w_period
    loop

        select sum(goods + vat)
        into a1
        from ihdetail
        where ihdetail.location = ihead_row.location
          and ihdetail.ref      = ihead_row.ref
          and ihdetail.doc_type = ihead_row.doc_type;

        if a1 is null then
            a1 := 0.0;
        end if;

        select sum(goods + vat)
        into c1
        from iodetail
        where iodetail.location = ihead_row.location
          and iodetail.ref      = ihead_row.ref
          and iodetail.doc_type = ihead_row.doc_type;

        if c1 is null then
            c1 := 0.00;
        end if;

        select sum(goods + vat)
        into b1
        from iddetail
        where iddetail.location = ihead_row.location
          and iddetail.ref      = ihead_row.ref
          and iddetail.doc_type = ihead_row.doc_type;

        if b1 is null then
            b1 := 0.00;
        end if;

        w1 := a1 + b1 + c1;

        if w1 <> ihead_row.tot then
           diff = w1 - ihead_row.tot;
           if diff < 0 then
              diff = 0 - diff;
           end if;
           if diff <> .01 then
               msg1 = 'Header: ' || ihead_row.location|| '/'||
	                  ihead_row.cust || '/' || ihead_row.ref;
               msg2 = 'Detail Lines';

               results.seq := 28;
               results.msg1 := msg1;
               results.v1 := ihead_row.tot;
               results.msg2 := msg2;
               results.v2 := w1;
               results.diff := ihead_row.tot - w1;
               return next results;
           end if;
        end if;
    end loop;

--		P L A N T   R E G I S T E R

-- 29.  Check Plant Cost Vs Nominal

    for asset_reg_row in
    select *
    from asset_reg
    loop

        select sum(pcost.qty * pcost.unit_cost),
	       sum(pcost.qty * pcost.unit_depn)
        into v1, tot_depn		-- may as well get depn at this pt
        from pcost			-- will need it for next check
        where pcost.asset_reg = asset_reg_row.cod;

	select cur_bal
	into v2
	from nlbals
	where nlbals.period = Pnparams_current
	  and nlbals.cod = asset_reg_row.nominal_cost;

	if (v2 is null) or (not FOUND) then
	    v2 := 0.00;
	end if;

	select sum(amount)
	into w_tmp
	from nltrans
	where nltrans.cod = asset_reg_row.nominal_cost
	  and nltrans.tmp = 'Y';

	if w_tmp is null then
	    w_tmp := 0.00;
	end if;

	v2 := v2 + w_tmp;

        msg2 := 'Nominal Equipment At Cost';
	msg1 := asset_reg_row.description;

        results.seq := 29;
        results.msg1 := msg1;
        results.v1 := v1;
        results.msg2 := msg2;
        results.v2 := v2;
        results.diff := v1 - v2;
        return next results;

	v1 := tot_depn;

	select cur_bal
	into v2
	from nlbals
	where nlbals.period = Pnparams_current
	  and nlbals.cod = asset_reg_row.nominal_accum_depn;

	if (v2 is null) or (not FOUND) then
	    v2 := 0.00;
	end if;

	select sum(amount)
	into w_tmp
	from nltrans
	where nltrans.cod = asset_reg_row.nominal_accum_depn
	  and nltrans.tmp = 'Y';

	if w_tmp is null then
	    w_tmp := 0.00;
	end if;

	v2 := v2 + w_tmp;

	v2 := 0 - v2;

	msg2 := 'Nominal Accumulated Depn';

        results.seq := 30;
        results.msg1 := msg1;
        results.v1 := v1;
        results.msg2 := msg2;
        results.v2 := v2;
        results.diff := v1 - v2;
        return next results;

    end loop;

    select sum(pcost.qty * pcost.unit_cost) -
               sum(pcost.qty * pcost.unit_depn)
    into v1
    from pcost
    where pcost.asset_reg = 'H';

    v2 := total_register();

    msg1 := 'Sum of Pcost';
    msg2 := 'Plant Register Report';

    results.seq := 31;
    results.msg1 := msg1;
    results.v1 := v1;
    results.msg2 := msg2;
    results.v2 := v2;
    results.diff := v1 - v2;
    return next results;

    select count(*)
    into Pnullcnt
    from nlbatch
    where seq is null
    or source is null;

    if Pnullcnt > 0 then
	if Pnullcnt = 1 then
	    msg1 := Pnullcnt || ' null batch is present.';
	else
	    msg1 := Pnullcnt || ' null batches are present.';
	end if;

        results.seq := 32;
        results.msg1 := msg1;
        results.v1 := null;
        results.msg2 := null;
        results.v2 := null;
        results.diff := null;
        return next results;

    end if;

    for nlbatch_row in
    select *
    from nlbatch
    where nlbatch.stat = 'I'
    loop

        msg1 := ' Incomplete batch :- ' || nlbatch_row.source || ' ' || nlbatch_row.seq;

        results.seq := 33;
        results.msg1 := msg1;
        results.v1 := null;
        results.msg2 := null;
        results.v2 := null;
        results.diff := null;
        return next results;

    end loop;

    for chdetail_row in
       select *
       from chdetail
       where date_from is null or date_started is null
    loop

        msg1 := ' Null date on contract :- ' || chdetail_row.contract;

        results.seq := 34;
        results.msg1 := msg1;
        results.v1 := null;
        results.msg2 := null;
        results.v2 := null;
        results.diff := null;
        return next results;

    end loop;

    --
    -- Verify all Debtors Batches Against the Nominal
    --

    found_checkpoint := false;

    for last_checkpoint in
        select period
        from nltrans, reserved_ac
        where nltrans.cod = reserved_ac.account_code
          and reserved_ac.key_name = 'debtors'
          and nltrans.source = 'CP'
        order by period desc
    loop
        found_checkpoint := true;
        exit;

    end loop;

   select current_date
     into w_today;

    if found_checkpoint then

        for sales_period in
            select distinct period
            from sledger
            where period between last_checkpoint.period and w_today
            order by period
         loop

             for w_ver in
                 select *
                   from verify_dr_nl(sales_period.period,1)
             loop

                 results.seq := 32;
                 results.v1 := w_ver.subledger_total;
                 results.msg2 := sales_period.period || ' ' ||w_ver.source
                                 || '/' || w_ver.batch || ' ' ||w_ver.direction;
                 results.msg1 := w_ver.comment;
                 results.v2 := w_ver.nominal_total;
                 results.diff := v1 - v2;
                 return next results;

              end loop;

         end loop;

         for creditors_period in
            select distinct period
            from pledger
            where period between last_checkpoint.period and w_today
            order by period
         loop

             for w_ver in
                 select *
                   from verify_cr_nl(creditors_period.period,1)
             loop

                 results.seq := 33;
                 results.v1 := w_ver.subledger_total;
                 results.msg2 := creditors_period.period || ' ' || w_ver.source
                               || '/' || w_ver.batch || ' ' ||w_ver.direction;
                 results.msg1 := w_ver.comment;
                 results.v2 := w_ver.nominal_total;
                 results.diff := v1 - v2;
                 return next results;

              end loop;

         end loop;


     end if;







    return;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.audit() OWNER TO postgres;

--
-- TOC entry 20 (class 1255 OID 78181)
-- Dependencies: 394 1230 5
-- Name: batch_ok(integer, text, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION batch_ok(w_loc integer, w_source text, w_seq integer) RETURNS sp_status
    AS $$
--------------------------------------------------------------------------------
declare w_tot           decimal(16,2);

------- nltrans.* --------------------------------------------------------------

        nltrans_row             nltrans%rowtype;
------- nominal.* --------------------------------------------------------------

        nominal_row             nominal%rowtype;

------- Error Handling Variables -----------------------------------------------

        proc_name                text;
        eh_errno                 integer;
        eh_msg                   text;
        proc_err                 integer;
        proc_ret_str             text;
        dummyvariable            text;
        dumint                   integer;
        w_rows			integer;
	err			sp_status;

--------------------------------------------------------------------------------
begin
--------------------------------------------------------------------------------

    w_tot := 0.00;

    select sum(amount)
    into w_tot
    from nltrans
    where source   = w_source
      and batch    = w_seq;


    if w_tot is null then
        w_tot := 0.00;
    end if;

    if w_tot <> 0.00 then
        err.ret_string := 'Batch out of balance';
        err.ret_stat := 1;
        return err;
    end if;

    for nltrans_row in select *
            from nltrans
            where nltrans.batch = w_seq
            and   nltrans.source = w_source
    loop

        -- Each nltrans should have a nominal master
       select *
        into nominal_row
        from nominal
        where nominal.cod = nltrans_row.cod;

 	    get diagnostics w_rows = ROW_COUNT;

        if w_rows <> 1 then
            if nltrans_row.cod is null then
                err.ret_string := 'Nominal Code is NULL';
	        err.ret_stat := 1;
                return err;
            else
                err.ret_string := 'Nominal Code ' || nltrans_row.cod || ' not on file';
	        err.ret_stat := 1;
                return err;
	        end if;

        end if;

        -- All trading accounts should have a cost centre which is non null

        if nltrans_row.cc is null and is_trading(nltrans_row.cod) = 1 then
            err.ret_string := 'Nominal Code ' || nltrans_row.cod || ' needs a cost centre';
            err.ret_stat := 1;
            return err;
        end if;

        -- All balance sheet accounts should not have a cost centre

        if nltrans_row.cc is not null and is_trading(nltrans_row.cod) = 0 then
            err.ret_string := 'Nominal Code ' || nltrans_row.cod || ' should not have a cost centre';
            err.ret_stat := 1;
            return err;
       end if;  
       
       if nominal_row.leafs > 0 THEN 
            err.ret_string := 'Nominal Code ' || nltrans_row.cod || ' is not a leaf node';
            err.ret_stat := 1;
            return err;
       
       end if;       

    end loop;

    err.ret_stat := 0;
    err.ret_string := 'SUCCESS';

    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.batch_ok(w_loc integer, w_source text, w_seq integer) OWNER TO postgres;

--
-- TOC entry 21 (class 1255 OID 78182)
-- Dependencies: 394 1230 5
-- Name: batch_vicki_verti(character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION batch_vicki_verti("Psource" character, "Pbatch" integer) RETURNS sp_status
    AS $$
declare  err                     sp_status;
         nlbatch_row             nlbatch%rowtype;
         w_nxt                   integer;
         nltrans_row             nltrans%rowtype;
         auto_post               integer;
         proc_err                sp_status;
         w_rows                  integer;


begin

    select * into nlbatch_row
     from nlbatch
    where seq    = Pbatch
      and source = Psource; 
      
    get diagnostics w_rows = ROW_COUNT;

    if w_rows = 0 then
        err.ret_stat := 1;
        err.ret_string := 'Batch ' || Psource || '/' || Pbatch || ' not on file';
        return err;
    end if;

    select nxt
      into w_nxt
      from source
     where cod = Psource;

    update source
       set nxt = nxt + 1
     where cod = Psource;

    nlbatch_row.seq := w_nxt;
    nlbatch_row.stat := 'C';
    
    insert into nlbatch values (nlbatch_row);
    
    for nltrans_row in
    select *
      from nltrans
      where nltrans.source = Psource
        and nltrans.batch = Pbatch
    loop
    
        nltrans_row.batch = w_nxt;
        nltrans_row.tmp = 'Y';
        nltrans_row.amount = nltrans_row.amount * -1;
        nltrans_row.currency_amount = nltrans_row.currency_amount * -1;
        
        
        insert into nltrans values (default,
                                   nltrans_row.cod, 
                                   nltrans_row.cc, 
                                   nltrans_row.period,
                                   nltrans_row.dat, 
                                   nltrans_row.source, 
                                   nltrans_row.batch, 
                                   nltrans_row.ref,
                                   nltrans_row.amount, 
                                   nltrans_row.description, 
                                   nltrans_row.notes, 
                                   nltrans_row.accrual,
                                   nltrans_row.tmp, 
                                   nltrans_row.location, 
                                   nltrans_row.cleared, 
                                   nltrans_row.currency,
                                   nltrans_row.currency_amount

        );
        
    end loop;
    
    select sys_config.set
        into auto_post
        from sys_config
        where sys_config.num = 106;

    if notfound or
        auto_post = 0 then
        err.ret_stat := 0;
        err.ret_string := 'Success';
        return err;
    else
        if auto_post = 1 then
            select * from update_batch (nlbatch_location, nlbatch_source, nlbatch_seq)
            into proc_err;
            return proc_err;
        end if;
    end if;

    

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.batch_vicki_verti("Psource" character, "Pbatch" integer) OWNER TO postgres;

--
-- TOC entry 22 (class 1255 OID 78183)
-- Dependencies: 394 1230 5
-- Name: build_nlbals(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION build_nlbals() RETURNS sp_status
    AS $$
declare err             sp_status;
        Pboy            date;
        Pcurrent        date;
        Pperiod         date;
        Pbop            decimal(16,2);
        Pcur            decimal(16,2);
        Pytd            decimal(16,2);
        w_cod           char(6);
        w_cc            nltrans.cc%type;
        thisrow         record;
        thatrow         record;
        thatccrow       record;

begin

    select boy_period, current_period
      into Pboy, Pcurrent
      from nparams;

    Pperiod := Pboy;
    
    --
    -- Get the maximum period with updated transactions
    -- This may be different from the nparams.current_period if
    -- auto posting is turned on.
    --

    select max(period)
      into Pcurrent
      from nltrans
     where nltrans.tmp = 'N';


    while Pperiod <= Pcurrent
    
    loop

       --
       -- Create Temp table for opening balances
       --

       if Pperiod = Pboy then   --      Get the opening balance from the checkpoint
           select n2.cod, SUM(AMOUNT) AS amount
           into temp t_open
           from nominal n1, nominal n2, nltrans t
           where n1.lft  between n2.lft and n2.rgt
             and n1.cod not in (select cod from nominal
                                 where nominal.cod = 'TRADIN'
                                   and n1.lft NOT between nominal.lft
                                   and nominal.rgt)
             and t.cod = n1.cod
             and t.period = Pperiod
             and t.source = 'CP'
           group by 1;
          
       else
           select n2.cod, SUM(AMOUNT) AS amount
           into temp t_open
           from nominal n1, nominal n2, nltrans t, period_map pm
           where n1.lft between n2.lft and n2.rgt
             and n1.cod not in (select cod from nominal
                                 where nominal.cod = 'TRADIN'
                                   and n1.lft NOT between nominal.lft
                                   and nominal.rgt)
             and t.cod = n1.cod
             and t.period >= pm.boy_period
             and t.period < pm.period
             and pm.period = Pperiod
             and tmp = 'N'
           group by 1;
           
       end if;

       create index t_open_ix on t_open(cod);

       --
       -- Create Temp table for current balances
       --

       CREATE temp table t_cur as
        Select pm.period, s2.cod, t.cc, sum(amount) AS amount
          from nominal s1, nominal s2, nltrans t, period_map pm
          where s1.lft between s2.lft and s2.rgt
            and s2.cod not in (select n2.cod
                                 from nominal n1, nominal n2
                                where n1.cod = 'TRADIN'
                                  and n2.lft between n1.lft and n1.rgt)
         and t.period BETWEEN pm.boy_period and pm.period
         and pm.period = Pperiod
         and t.cod = s1.cod
         and tmp = 'N'
       group by 1, 2 , 3
       
       union ALL

       select pm.period, r.account_code,t.cc, sum(amount) AS        amount
       from nominal s1, nominal s2, nltrans t, reserved_ac r, period_map pm
       where s1.lft between s2.lft and s2.rgt
       and s2.cod = 'TRADIN'
       and t.period >= pm.boy_period
       and t.period < pm.period
       and pm.period = Pperiod
       and t.cod = s1.cod
       and tmp = 'N'
       and r.key_name = 'capital'
       group by 1,2  , 3



       union all
       
       select t.period, s2.cod, t.cc, sum(amount) AS amount
          from nominal s1, nominal s2 left outer join nltrans t on (s2.cod = t.cod)
          where s1.lft between s2.lft and s2.rgt
            and s2.cod in (select n2.cod
                             from nominal n1, nominal n2
                            where n1.cod = 'TRADIN' and n2.lft between n1.lft
                              and n1.rgt)
         and t.period = Pperiod
         and t.cod = s1.cod
         and tmp = 'N'
         and t.source <> 'CP'
         and s2.cod <> 'BALANC'
       group by 1, 2, 3;

       create index t_cur_ix on t_cur(cod, cc);

       ---
       --- Create temp table for ytd balances
       ---

       select pm.period, S2.cod, t.cc, sum(T.AMOUNT) AS amount
       into temp t_ytd
       from nominal s1, nominal s2 left outer join nltrans t on (s2.cod = t.cod),
            period_map pm
       where s1.lft between s2.lft and s2.rgt
         and s1.cod = t.cod
         and t.period between pm.boy_period and pm.period
         and pm.period = Pperiod
       group by 1, 2, 3;
    
       create index t_ytd_ix on t_ytd(cod, cc);

       delete from nlbals
       where nlbals.period = Pperiod;

       -- Do balance sheet accounts first
       
        for thisrow in select s1.cod
           from nominal s1, nominal s2
          where s1.lft NOT between s2.lft and s2.rgt
            and s2.cod = 'TRADIN'
        loop

           select amount
             into Pbop
             from t_open
            where t_open.cod = thisrow.cod;
           
           if not found or
              Pbop is null then
               Pbop := 0.00;
           end if;

           select sum(amount)           -- We need to protect against cc's since they will
             into Pcur                  -- have propogated past 'TRADIN' in the query
             from t_cur
            where t_cur.cod = thisrow.cod;

           if not found or
              Pcur is null then
                Pcur := 0.00;
           end if;

           select sum(amount)
             into Pytd
             from t_ytd
            where t_ytd.cod = thisrow.cod;

           if not found or
              Pytd is null then
               Pytd := 0.00;
           end if;

           if Pbop <> 0.00 or
              Pcur <> 0.00 or
              Pytd <> 0.00 then

               insert into nlbals values (thisrow.cod, null, Pperiod,Pbop, Pcur, Pytd);

           end if;

       end loop;

       -- Now do Trading and deal with CC;

       for thatrow in  select s1.cod
           from nominal s1, nominal s2
          where s1.lft between s2.lft and s2.rgt
            and s2.cod = 'TRADIN'
       loop

           for thatccrow in  select distinct cc
              from t_ytd  
              where cc is not null
           loop

               select amount
                 into Pcur
                 from t_cur
                where t_cur.cod = thatrow.cod
                  and t_cur.cc = thatccrow.cc;

               if notfound or
                  Pcur is null then
                  Pcur := 0.00;
               end if;

               select amount
                 into Pytd
                 from t_ytd
                where t_ytd.cod = thatrow.cod
                  and t_ytd.cc = thatccrow.cc;

               if notfound or
                  Pytd is null then
                   Pytd := 0.00;
               end if;

               if Pcur <> 0.00 or Pytd <> 0.00 then

                   insert into nlbals values(thatrow.cod, thatccrow.cc, Pperiod, 0.00, Pcur, Pytd);

               end if;

            end loop;

       end loop;

       drop table t_ytd;
       drop table t_cur;
       drop table t_open;

       Pperiod := PPeriod + 31;                     -- incr a month
       Pperiod := jp_period(Pperiod);               -- tie to first of month
       

    end loop;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.build_nlbals() OWNER TO postgres;

--
-- TOC entry 23 (class 1255 OID 78185)
-- Dependencies: 394 1230 5
-- Name: can_i_delete_issue(integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION can_i_delete_issue(w_loc integer, w_docket integer) RETURNS sp_status
    AS $$
declare err sp_status;
        hmhead_row hmhead%rowtype;
        hmsales_row hmsales%rowtype;
        hmdetail_row hmdetail%rowtype;
        hmdisposal_row hmdisposal%rowtype;
        chdetail_row chdetail%rowtype;
        codetail_row codetail%rowtype;
        cdisposal_row cdisposal%rowtype;
        ok boolean;
        w_null char(7);
        msg char(50);
        Prowid integer;

begin

    ok := true;
    w_null := null;


    BEGIN
    drop table delete_ok;  -- Drop and recreate rather than delete at END
    create temp table delete_ok (line_type char(1),
                                 row_id   integer,
                                 location smallint,
                                 contract integer,
                                 lin      smallint,
                                 pdesc    char(4),
                                 reg      char(6),
                                 qty      integer,
                                 product  char(7));
    EXCEPTION
        WHEN duplicate_table THEN
    -- Dae nathin
    END;

     for hmdetail_row in
        select *
        from hmdetail
        where hmdetail.doc_type   = 3
          and hmdetail.doc_number = w_docket
          and hmdetail.location   = w_loc
      loop

           select chdetail.*, rowid
           into chdetail_row.*, Prowid
           from chdetail
           where chdetail.location    = hmdetail_row.location
             and chdetail.contract    = hmdetail_row.contract
             and chdetail.lin         = hmdetail_row.contract_line;

           if not FOUND then -- this hire line has been returned
              err.ret_string := 'Item '|| chdetail_row.pdesc ||'/' ||
              chdetail_row.reg ||
                    ' has been returned!';
              err.ret_stat := false;
              return err;
           end if;

           if chdetail_row.qty <> hmdetail_row.qty then --some qties returned
              err.ret_string :=  'Quanties of Item ' || chdetail_row.pdesc ||
              '/' || chdetail_row.reg ||
                    ' have been returned!';
              err.ret_stat := 1;
              return err;
           end if;

           if chdetail_row.pdesc <> hmdetail_row.pdesc then -- exchange
               err.ret_string :=  'Item '|| chdetail_row.pdesc || '/' ||
               chdetail_row.reg ||
                     ' have been exchanged!';
               err.ret_stat := 1;
               return err;
           end if;

           if chdetail_row.reg <> hmdetail_row.reg then -- exchange
              err.ret_string :=  'Item '|| chdetail_row.pdesc ||'/' ||
              chdetail_row.reg ||
                   ' have been exchanged!';
              err.ret_stat := 1;
              return err;
           end if;

           insert into delete_ok values ('H',
                                        Prowid,
                                        chdetail_row.location,
                                        chdetail_row.contract,
                                        chdetail_row.lin,
                                        chdetail_row.pdesc,
                                        chdetail_row.reg,
                                        chdetail_row.qty,
                                        w_null);
        end loop;

        for hmsales_row in
            select *
            from hmsales
            where hmsales.doc_type   = 3
              and hmsales.doc_number = w_docket
              and hmsales.location   = w_loc
        loop

               select codetail.*, rowid
               into codetail_row.*, Prowid
               from codetail
               where codetail.location = hmsales_row.contract_location
                 and codetail.lin      = hmsales_row.contract_line
                 and codetail.contract = hmsales_row.contract;

               if not FOUND then --this product has been invoiced
                  err.ret_string :=  'Product '|| Pcodetail.product ||
                        ' has been invoiced!';
                  err.ret_stat:= 1;
                  return err;
               end if;

               if codetail_row.product <> hmsales_row.product then
                  err.ret_string :=  'Product '|| Pcodetail.product||
                        ' has been exchanged';
                  err.ret_stat := 1;
                  return err;
               end if;

               if codetail_row.qty <> hmsales_row.qty then
                  err.ret_string := 'Product '|| Pcodetail.product||
                        ' has been modified';
                  err.ret_stat := 1;
                  return err;
               end if;

               insert into delete_ok values ('S',
                                            Prowid,
                                            codetail_row.location,
                                            codetail_row.contract,
                                            codetail_row.lin,
                                            w_null,
                                            w_null,
                                            codetail_row.qty,
                                            codetail_row.product);
            end loop;


            for hmdisposal_row in
                select *
                from hmdisposal
                where hmdisposal.doc_type   = 3
                  and hmdisposal.doc_number = w_docket
                  and hmdisposal.location   = w_loc
            loop

                   select cdisposal.*, rowid
                   into cdisposal_row.*, Prowid
                   from cdisposal
                   where cdisposal.contract = hmdisposal_row.contract
                     and cdisposal.location = hmdisposal_row.contract_location
                     and cdisposal.lin      = hmdisposal_row.contract_line;

                   if not FOUND then -- this disp line has been invoice
                       err.ret_string :=  'Item '|| cdisposal_ROW.pdesc ||'/'||
                       cdisposal_row.reg ||
                             ' has been invoiced!';
                       err.ret_stat := 1;
                       return err;
                    end if;

                    if cdisposal_row.qty <> hmdisposal_row.qty then
                       err.ret_string :=  'Quanties of Item ' ||
                              Pcdisposal.pdesc ||'/' ||Pcdisposal.reg ||
                             ' have been invoiced!';
                       err.ret_stat := 1;
                       return err;
                    end if;

                    if cdisposal_row.pdesc <> hmdisposal_row.pdesc then -- exchange
                        err.ret_string =  'Item '|| Pcdisposal.pdesc ||'/' ||
                        Pcdisposal.reg ||
                              ' have been exchanged!';
                        err.ret_stat = 1;
                        return err;
                    end if;

                    if cdisposal_row.reg <> Phmdisposal.reg then -- exchange*/
                       err.ret_string :=  'Item '|| Pcdisposal.pdesc ||'/' ||
                       Pcdisposal.reg ||
                            ' have been exchanged!';
                       err.ret_stat = 1;
                       return err;
                    end if;

                    insert into delete_ok values ('D',
                                                 Prowid,
                                                 cdisposal_row.location,
                                                 cdisposal_row.contract,
                                                 cdisposal_row.lin,
                                                 cdisposal_row.pdesc,
                                                 cdisposal_row.reg,
                                                 cdisposal_row.qty,
                                                 w_null);
                end loop;

   err.ret_string := 'Success';
   err.ret_stat := 1;

    return err;

 end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.can_i_delete_issue(w_loc integer, w_docket integer) OWNER TO postgres;

--
-- TOC entry 25 (class 1255 OID 78186)
-- Dependencies: 1230 5
-- Name: cat_trigger(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION cat_trigger() RETURNS "trigger"
    AS $$
declare err sp_status;
        ageing jp_custage;
        account_groups_row account_groups%rowtype;
        Pmaster_depot cust.depot%type;
        Pmaster_cust cust.cod%type;
        Pslave_depot cust.depot%type;
        Pslave_cust cust.cod%type;
        Pmaster_slave cust_age.master_slave%type;
        Psuspend cust.suspend%type;
        Pbad_debt cust.bad_debt%type;
        Pcurrent_period dparams.period%type;

begin

    select period
      into Pcurrent_period
      from dparams;

    select *
      into ageing
     from custaged_at(NEW.depot, NEW.cod,Pcurrent_period, 0,0);

     delete from cust_age
     where depot = NEW.depot
       and cod = NEW.cod
       and period = Pcurrent_period;

     select suspend, bad_debt
       into Psuspend, Pbad_debt
       from cust
      where cust.depot = NEW.depot
        and cust.cod = NEW.cod;

     select *
     into account_groups_row
     from account_groups
     where account_groups.slave_depot = NEW.depot
       and account_groups.slave_cust = NEW.cod;

     if not FOUND then
         Pmaster_slave := 'M';
         Pmaster_depot := NEW.depot;
         Pmaster_cust  := NEW.cod;
         Pslave_depot  := NEW.depot;
         Pslave_cust   := NEW.cod;
     ELSE
         Pmaster_slave := 'S';
         Pmaster_depot := account_groups_row.master_depot;
         Pmaster_cust  := account_groups_row.master_cust;
         Pslave_depot  := NEW.depot;
         Pslave_cust   := NEW.cod;
     end if;


     insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

              values (Pcurrent_period, Pmaster_depot, Pmaster_cust, Pslave_depot, Pslave_cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, Psuspend, Pbad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, Pmaster_slave, 0);

     return NULL;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.cat_trigger() OWNER TO postgres;

--
-- TOC entry 26 (class 1255 OID 78187)
-- Dependencies: 394 1230 5
-- Name: celko(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION celko() RETURNS sp_status
    AS $$
declare err         sp_status;
                    counter integer;
                    max_counter integer;
                    current_top integer;
                    Pstack_top integer;
                    Paccount char(6);
                    Plft integer;
                    Prgt integer;
                    Pcod char(6);
                    Pmy_count char(6);
                    stack_row record;

begin

    delete from tree;
    delete from stack;

    insert into tree select * from nominal;

    select count(*)
    into max_counter
    from tree;

    max_counter := max_counter * 2;
    counter := 2;
    current_top := 1;

    insert into stack values(1,'BALANC',1,null);

    delete from tree where cod = 'BALANC';

    while counter <= max_counter
    loop
        Pmy_count = 0;
        select count(*)
          into Pmy_count
          from stack as S1, tree as T1
         where S1.account = T1.parent
           and S1.stack_top = current_top;

        if Pmy_count > 0 then
            select (current_top + 1), min(T1.cod)
              into Pstack_top, Paccount
              from stack S1, tree T1
             where S1.account = T1.parent
               and S1.stack_top = current_top;

            insert into stack values(Pstack_top, Paccount, counter, null);

            delete from tree
             where cod = (select account from stack where stack_top = current_top + 1);

            counter := counter + 1;
            current_top := current_top + 1;

        else

            update stack
               set rgt = counter, stack_top = -stack_top
            where stack_top = current_top;

            counter := counter + 1;
            current_top := current_top - 1;
        end if;
        
  end loop;

  for stack_row in select account, lft, rgt
       from stack
  loop
        update nominal
           set lft = stack_row.lft, rgt = stack_row.rgt
         where nominal.cod = stack_row.account;

   end loop;

   err.ret_stat := 0;
   err.ret_string := 'Success';

   return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.celko() OWNER TO postgres;

--
-- TOC entry 27 (class 1255 OID 78188)
-- Dependencies: 394 1230 5
-- Name: check_delete_batch(character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION check_delete_batch(p_source character, p_batch integer) RETURNS sp_status
    AS $$
declare err         sp_status;
                    Pstat           nlbatch.stat%type;
                    Pcount          integer;
                    r_count         integer;

BEGIN

    select stat
      into Pstat
      from nlbatch
     where seq    = p_batch
       and source = p_source;

    GET DIAGNOSTICS r_count = ROW_COUNT;

    if r_count <> 1 then
        err.ret_stat := 1;
        err.ret_string := 'Batch ' || p_source || '/' || p_batch || ' not on file';
        return err;
    end if;

    select count(*) into Pcount from sledger
     where source = p_source
       and batch = p_batch;

    if Pcount <> 0 then
       err.ret_stat := 1;
       err.ret_string := 'Batch is a Sales Ledger Batch';
       return err;
    end if;

    select count(*) into Pcount from pledger
    where source = p_source
        and batch = p_batch;
        
    if Pcount <> 0 then
        err.ret_stat := 1;
        err.ret_string := 'Batch is a Purchase Ledger Batch';
        return err;
    end if;

    select count(*) into Pcount from nlbatch
    where period < (select boy_period from nparams)
        and source = p_source
        and seq = p_batch;

    if Pcount <> 0 then
       err.ret_stat := 1;
       err.ret_string := 'Batch is in a previous year';
       return err;
    end if;
    
    err.ret_stat := 0;
    err.ret_string := 'Success';

    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.check_delete_batch(p_source character, p_batch integer) OWNER TO postgres;

--
-- TOC entry 28 (class 1255 OID 78189)
-- Dependencies: 394 1230 5
-- Name: check_vicki_verti(character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION check_vicki_verti(psrc character, pbatch integer) RETURNS sp_status
    AS $$
DECLARE err             sp_status;
       Pstat           char;
       Pcount          integer;
       r_count         integer;
       BEGIN

   select nlbatch.stat       into Pstat
    from nlbatch
   where nlbatch.seq    = Pbatch
     and nlbatch.source = Psrc;
     
   GET DIAGNOSTICS r_count = ROW_COUNT;

   if r_count = 0 then
       err.ret_stat := 1;
       err.ret_string := 'Batch ' || psrc || '/' || pbatch || ' not on file';
       return err;
   end if;

   select count(*)
     into Pcount
     from nltrans
   where nltrans.cod in (select account_code from reserved_ac
                          where postable = 0)
       and source = psrc
       and batch = pbatch;

   if Pcount <> 0 then
       err.ret_stat := 1;
       err.ret_string := 'Non Postable account in batch';
       return err;
   end if;

   select count(*)
     into Pcount
     from nlbatch
    where nlbatch.period < (select boy_period
                              from nparams)
      and source = psrc
      and seq = pbatch;

   if Pcount <> 0 then
       err.ret_stat := 1;
       err.ret_string := 'Batch is in a previous year';
       return err;
   end if;

   err.ret_stat := 0;
   err.ret_string := 'Success';
   return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.check_vicki_verti(psrc character, pbatch integer) OWNER TO postgres;

--
-- TOC entry 29 (class 1255 OID 78190)
-- Dependencies: 1230 5
-- Name: checkdigit(text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION checkdigit(barcode text) RETURNS text
    AS $$

declare d1       int;
      	d2       integer;
        d3       integer;
	d4       integer;
	d5       integer;
	d6       integer;
	d7       integer;
	d8       integer;
	d9       integer;
	d10      integer;
	d11      integer;
	d12      integer;
	d13      integer;
	c1       integer;
	c2       integer;
	c3       integer;
	codig    integer;
	tmp      int;
	cod      char(13);
	tmpcod	 char(12);
BEGIN
    cod = Barcode;
    d1 = CAST(SUBSTR(Barcode, 1, 1) AS int);
    d2 = CAST(SUBSTR(Barcode, 2, 1) AS int);
    d3 = CAST(SUBSTR(Barcode, 3, 1) AS int);
    d4 = CAST(SUBSTR(Barcode, 4, 1) AS int);
    d5 = CAST(SUBSTR(Barcode, 5, 1) AS int);
    d6 = CAST(SUBSTR(Barcode, 6, 1) AS int);
    d7 = CAST(SUBSTR(Barcode, 7, 1) AS int);
    d8 = CAST(SUBSTR(Barcode, 8, 1) AS int);
    d9 = CAST(SUBSTR(Barcode, 9, 1) AS int);
    d10 = CAST(SUBSTR(Barcode, 10, 1) AS int);
    d11 = CAST(SUBSTR(Barcode, 11, 1) AS int);
    d12 = CAST(SUBSTR(Barcode, 12, 1) AS int);
   
   c1 := d1 + d3 + d5 + d7 + d9 + d11;
    c2 := d2 + d4 + d6 + d8 + d10 + d12;
    c3 := (c2 * 3) + c1;
    tmp := (c3 / 10);
    tmp := tmp * 10;
    codig := c3 - tmp;

    If codig <> 0 then
        codig := 10 - codig;
    end if;

    tmpcod := substr(cod,1,12);
    cod := tmpcod || codig;

    
    return cod;
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.checkdigit(barcode text) OWNER TO postgres;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 2253 (class 1259 OID 78191)
-- Dependencies: 5
-- Name: barcode; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE barcode (
    nsuk integer NOT NULL,
    product_type integer,
    ean character(13) NOT NULL,
    supplier character(6)
);


ALTER TABLE public.barcode OWNER TO postgres;

--
-- TOC entry 30 (class 1255 OID 78193)
-- Dependencies: 395 1230 5
-- Name: checkdigit(barcode); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION checkdigit(barcode) RETURNS text
    AS $$

declare d1       int;
      	d2       integer;
        d3       integer;
	d4       integer;
	d5       integer;
	d6       integer;
	d7       integer;
	d8       integer;
	d9       integer;
	d10      integer;
	d11      integer;
	d12      integer;
	d13      integer;
	c1       integer;
	c2       integer;
	c3       integer;
	codig    integer;
	tmp      int;
	cod      char(13);
	tmpcod	 char(12);
BEGIN
    cod = Barcode;
    d1 = CAST(SUBSTR(Barcode, 1, 1) AS int);
    d2 = CAST(SUBSTR(Barcode, 2, 1) AS int);
    d3 = CAST(SUBSTR(Barcode, 3, 1) AS int);
    d4 = CAST(SUBSTR(Barcode, 4, 1) AS int);
    d5 = CAST(SUBSTR(Barcode, 5, 1) AS int);
    d6 = CAST(SUBSTR(Barcode, 6, 1) AS int);
    d7 = CAST(SUBSTR(Barcode, 7, 1) AS int);
    d8 = CAST(SUBSTR(Barcode, 8, 1) AS int);
    d9 = CAST(SUBSTR(Barcode, 9, 1) AS int);
    d10 = CAST(SUBSTR(Barcode, 10, 1) AS int);
    d11 = CAST(SUBSTR(Barcode, 11, 1) AS int);
    d12 = CAST(SUBSTR(Barcode, 12, 1) AS int);
    --d13 = CAST(SUBSTR(Barcode, 13, 1) AS int);
    return cod;
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.checkdigit(barcode) OWNER TO postgres;

--
-- TOC entry 31 (class 1255 OID 78194)
-- Dependencies: 394 1230 5
-- Name: ci_eod(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION ci_eod() RETURNS sp_status
    AS $$
declare w_cash_inv_batch sysparams.cash_inv_batch%type;
        err 		  sp_status;

begin

   --Complete the Daily Batch

     select sysparams.cash_inv_batch
     into w_cash_inv_batch
     from sysparams;

   -- Comment

     if w_cash_inv_batch is not null then
          -- complete_batch
          update nlbatch
              set   stat 	= 'C'  -- complete
              where source 	= 'CI'
                and seq    	= w_cash_inv_batch;

          update sysparams set cash_inv_batch = null;
     end if;

     err.ret_stat := 0;
     err.ret_string := 'Success';
     return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.ci_eod() OWNER TO postgres;

--
-- TOC entry 32 (class 1255 OID 78195)
-- Dependencies: 394 1230 5
-- Name: cp_pdesc(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION cp_pdesc() RETURNS sp_status
    AS $$
declare  err                     sp_status;
         Pcod                  char(4);

begin

     for Pcod in select p.cod
            from pdesc p
            where cod not in (select pdesc from pdesc_ext)
     loop
   insert into pdesc_ext values (Pcod, 1,1 ) ;
    end loop;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;
    
end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.cp_pdesc() OWNER TO postgres;

--
-- TOC entry 33 (class 1255 OID 78196)
-- Dependencies: 379 1230 5
-- Name: custaged_at(integer, text, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION custaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer) RETURNS jp_custage
    AS $$
declare p_index int;
        p_time_interval interval;
        p_ledger_mnth dparams.period%type;
        p_current_Period dparams.period%type;
        p_age decimal(16,2)[6];
        Pamount sledger.amount%type;
        Palloc sledger.os%type;
        Punallocated cust.unallocated%type;
        PaccountType cust.account_type%type;
        Pbalance cust.balance%type; 
        Pbad_debt char;
        PlastPay cust.last_pay%type;
        PlastPaid cust.last_paid%type;
        p_period_cutoff sledger.period%type;
        g_period pledger.period%type;
        ledger_row record;
        return_age jp_custage;
        ts1 timestamp;
        ts2 timestamp;
        i integer;
        work_date date;
        operation_mode integer;
        old_mode integer := 1;
        new_mode integer := 2;
       
declare test refcursor;       
begin

  raise notice 'Building %', P_cod;

  operation_mode := old_mode;
  
  select account_type, bad_debt
  into PaccountType, Pbad_debt
  from cust
  where cust.depot = P_depot
    and cust.cod = P_cod;

  if PaccountType is null then
      PaccountType := 'C';
  end if;

  ts1 := p_date;
  ts2 := ts1 - interval '5 months';
  work_date := ts2;
  p_period_cutoff := jp_period(work_date);
  p_current_period := jp_period(p_date);


  return_age.depot = p_depot;
  return_age.cust = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_pay := null;
  return_age.last_paid := null; 
  
  if operation_mode = new_mode then 
      return_age.bad_debt := 'N';
  else
      return_age.bad_debt := Pbad_debt;
  end if;

  for i in 1 .. 6
  loop
      p_age[i] := 0.00;
  end loop;
  Palloc := 0.00;


  /*<<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, os, period
     from sledger
     where depot = p_depot and cod = p_cod
     order by dat, ser
*/
  open test FOR EXECUTE 'SELECT ser, typ, dat, amount, os, period  FROM  sledger ' || 
  		       ' where depot = ' || p_depot || 
		       ' and cod = ' || quote_literal( p_cod ) || 
                       ' order by dat,ser ';  

  <<ledger_loop>>
  loop
     fetch test into ledger_row;
     
     if not found then
	exit;
     end if;   
  
  
     if p_reverse = 1 then
         if ledger_row.period > p_date then
             continue ledger_loop;
         end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)
             into Palloc
             from sallocee ee, sallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount)
             into Palloc
             from sallocer er, sallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;
     end if;

     if ledger_row.typ = 13 then
         return_age.last_pay  := ledger_row.amount;
         return_age.last_paid := ledger_row.dat;
     end if; 
     
     if operation_mode = new_mode then
         if ledger_row.typ = 16 then
             return_age.bad_debt = 'Y';
             continue;
         end if;
      end if;
     
     if operation_mode = new_mode then
         if ledger_row.typ = 18 then
             return_age.bad_debt = 'N'; 
             continue;
         end if;
     end if;
     
     --p_ledger_mnth := '1/1/2006';
     
     p_ledger_mnth := jp_period(ledger_row.dat);
     
     if operation_mode = new_mode then 
         return_age.balance := return_age.balance + ledger_row.amount;
     end if;
     
     if ledger_row.typ < 10 then
         ledger_row.os := ledger_row.os + Palloc; 
         if operation_mode = old_mode then
            return_age.balance := return_age.balance + ledger_row.os; 
         end if;
         
     else
         ledger_row.os := ledger_row.os + Palloc;  
         if operation_mode = old_mode then
            return_age.balance := return_age.balance - ledger_row.os; 
         end if;
         return_age.unallocated := return_age.unallocated + ledger_row.os;
         ledger_row.os := 0 - ledger_row.os;
         if p_age_credits = 0 then
            continue ledger_loop;
         end if;
     end if;

     -- Calculate the balance

     IF p_ledger_mnth is null then
         p_ledger_mnth := p_current_period;
     end if;

     IF p_ledger_mnth < p_period_cutoff then
         p_index := 6;
     else
         IF p_ledger_mnth > p_current_period then
             p_index := 1;
         else  
             --p_index := 1;
             p_index = elapsed_months(p_ledger_mnth, p_current_period) + 1;
         end if;
     end if;

     if p_index = 0 then
        p_index := 1;
     end if;

     IF p_index > 6 THEN
         p_index := 6;
     END IF;

     p_age[p_index] := p_age[p_index] + ledger_row.os;

  end loop;

  close test;

  return_age.account_type := PaccountType;

  for i in 1 .. 6
  loop
    if i = 1 then
    return_age.curr_bal = p_age[i];
    elsif i = 2 then
    return_age.per1_bal = p_age[i];
    elsif i = 3 then
    return_age.per2_bal = p_age[i];
    elsif i = 4 then
    return_age.per3_bal = p_age[i];
    elsif i = 5 then
    return_age.per4_bal = p_age[i];
    elsif i = 6 then
    return_age.per5_bal = p_age[i];
    end if;
  end loop;

  RETURN return_age;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.custaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 34 (class 1255 OID 78198)
-- Dependencies: 1230 5
-- Name: customer_bd_change(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION customer_bd_change() RETURNS "trigger"
    AS $$
declare ledger_row sledger%rowtype;

BEGIN
  
  if NEW.bad_debt <> OLD.bad_debt then
     for ledger_row in
         select *
           from sledger
          where depot = NEW.depot
            and cod = NEW.cod
     loop
     
         update sledger
            set amount = amount + 0.00
            where sledger.ser = ledger_row.ser;
            
         exit;
         
     end loop;
     
     
  end if;
  
  RETURN NULL;
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.customer_bd_change() OWNER TO postgres;

--
-- TOC entry 35 (class 1255 OID 78199)
-- Dependencies: 394 1230 5
-- Name: dc(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION dc() RETURNS sp_status
    AS $$
declare Pver    dcssqlversion%rowtype;
        err		sp_status;
        w_trans trans%rowtype;
        nominal_row nominal%rowtype;
        Paccount_code nominal.cod%type;
        Pparent       nominal.cod%type;
        Preserved     reserved_ac%rowtype;
        old_creditors nominal.cod%type;
        old_balance   nlbals.cur_bal%type;
        neg_balance   nlbals.cur_bal%type;
        batch_number  integer;
        current_period dparams.period%type;

begin

select *
into Pver
from dcssqlversion;

if Pver.major <> 4 or
   Pver.minor <> 26 then
    err.ret_stat := 1;
    err.ret_string := 'Database is not at version 4.26';
    return err;
end if;

select *
into w_trans
from trans
where trans.cod = 18;

if not FOUND then
    insert into trans values (18,'Bad Debts Recover',1);
end if;

for nominal_row in
    select *
    from nominal
    WHERE substr(NOMINAL.COD, 1, 4) = nparams.bank_prefix
loop

    insert into bank_accounts values (nominal_row.cod, 'EUR');

end loop;

--
--  Create Nominals
--

select account_code
into Paccount_code
from reserved_ac
where key_name = 'creditors';

select parent
  into Pparent
  from nominal
 where cod = Paccount_code;

insert into nominal values
        (
         'CRETOT',
         Pparent,
         'Total Creditors Control',
         1,
         'N',
         'N'
         );

insert into nominal values (
                'CREGBP',
                'CRETOT',
                'Sterling Control Account',
                0,
                'N',
                'N');

update nominal
   set parent = 'CRETOT'
 where cod = Paccount_code;

--
-- Fix reserved accounts
--

 insert into nominal values ('RESFIX', 'BALANC', 'Reserved AC Fix', 0,'N', 'N');
 select * from nominal where cod = (select debtors from nparams);
 if not FOUND then
        update nparams set debtors = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod = (select creditors from nparams);
 if NOT found then
        update nparams set creditors = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod = (select disc_allowed from nparams);
 if NOT found then
     update nparams set disc_allowed = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod = (select disc_received from nparams);
 if NOT found then
     update nparams set disc_received = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod = (select vat from nparams);
 if NOT found then
     update nparams set vat = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod = (select retained from nparams);
 if NOT found then
     update nparams set retained = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod = (select petty_cash from nparams);
 if NOT found then
        update nparams set petty_cash = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod = (select equipment from nparams);
 if not FOUND then
        update nparams set equipment = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select disposals from nparams);
 if not FOUND then
     update nparams set disposals = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select dep_accum from nparams);
 if not FOUND then
     update nparams set dep_accum = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select plondisp from nparams);
 if not FOUND then
     update nparams set plondisp = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select dep_expense from nparams);
 if not FOUND then
     update nparams set dep_expense = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select plonex from nparams);
 if not FOUND then
     update nparams set plonex = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select equip_suspense from nparams);
 if not FOUND then
     update nparams set equip_suspense = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select accruals from nparams);
 if not FOUND then
     update nparams set accruals = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
      (select capital from nparams);
 if not FOUND then
     update nparams set capital = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select bad_debts from nparams);
 if not FOUND then
     update nparams set bad_debts = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod =
     (select bd_recovered from nparams);
 if not FOUND then
     update nparams set bd_recovered = 'RESFIX' where 1 = 1;
 end if;
 select * from nominal where cod in (select account_code from reserved_ac
         where key_name = 'debtors');
 if not FOUND then
  update reserved_ac set account_code =
         (select debtors from nparams
         where key_name = 'debtors');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'creditors');
 if not FOUND then
     update reserved_ac set account_code =
         (select creditors from nparams
         where key_name = 'creditors');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'disc_allowed');
 if not FOUND then
     update reserved_ac set account_code =
         (select disc_allowed from nparams
         where key_name = 'disc_allowed');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'disc_received');
 if not FOUND then
     update reserved_ac set account_code =
         (select disc_received from nparams
         where key_name = 'disc_received');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'vat');
 if not FOUND then
     update reserved_ac set account_code =
         (select vat from nparams
         where key_name = 'vat');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'retained');
 if not FOUND then
     update reserved_ac set account_code =
         (select retained from nparams
         where key_name = 'retained');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'petty_cash');
 if not FOUND then
     update reserved_ac set account_code =
         (select petty_cash from nparams
         where key_name = 'petty_cash');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'equipment');
 if not FOUND then
     update reserved_ac set account_code =
         (select equipment from nparams
         where key_name = 'equipment');
 end if;
 select * from nominal where cod in
    (select account_code from reserved_ac
       where key_name = 'disposals');
 if not FOUND then
     update reserved_ac set account_code =
         (select disposals from nparams
         where key_name = 'disposals');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'dep-accum');
 if not FOUND then
     update reserved_ac set account_code =
         (select dep_accum from nparams
         where key_name = 'dep_accum');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'plondisp');
 if not FOUND then
     update reserved_ac set account_code =
         (select plondisp from nparams
         where key_name = 'plondisp');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'dep_expense');
 if not FOUND then
     update reserved_ac set account_code =
         (select dep_expense from nparams
         where key_name = 'dep_expense');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'plonex');
 if not FOUND then
     update reserved_ac set account_code =
         (select plonex from nparams
         where key_name = 'plonex');
 end if;
 select * from nominal where cod in
    (select account_code from reserved_ac
      where key_name = 'equip_suspense');
 if not FOUND then
     update reserved_ac set account_code =
         (select equip_suspense from nparams
         where key_name = 'equip_suspense');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'accruals');
 if not FOUND then
     update reserved_ac set account_code =
         (select accruals from nparams
         where key_name = 'accruals');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'capital');
 if not FOUND then
     update reserved_ac set account_code =
         (select capital from nparams
         where key_name = 'capital');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'bad_debts');
 if not FOUND then
     update reserved_ac set account_code =
         (select bad_debts from nparams
         where key_name = 'bad_debts');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'bd_recovered');
 if not FOUND then
     update reserved_ac set account_code =
         (select bd_recovered from nparams
         where key_name = 'bd_recovered');
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'opening_stock');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'opening_stock';
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'closing_stock');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'closing_stock';
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'default_stock');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'default_stock';
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'default_purchase');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'default_purchase';
 end if;
 select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'default_sales');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'default_sales';
 end if;
  select * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'default_rental');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'default_rental';
 end if;

 --
 --
 --  DEREK - YOUR SCRIPT IN HERE
 --

select version04_27();

 --*****************************************************

 -- Post the sterling creditors out of the old control account to the new

    select account_code
      into old_creditors
      from reserved_ac
     where key_name = 'creditors';

     neg_balance := 0.00;
     old_balance := 0.00;

    select sum(balance)
    into old_balance
    from supplier
    where supplier.currency = 'GBP';

    if old_balance is null then
        old_balance := 0.00;
    end if;

    neg_balance := 0 - old_balance;

    select nxt
    into batch_number
    from source
    where cod = 'JE';

    update source
    set nxt = nxt + 1
    where cod = 'JE';

    select period
    into current_period
    from dparams;

     insert into nlbatch values ('JE', batch_number, 'S', current_period, today,1, 'C', null);


    insert into nltrans values (0, old_creditors, null, null, today, 'JE', batch_number, 'Upgrade', old_balance, 'Move GBP suppliers' ,null, 'N', 'Y', 1, null, 'EUR', old_balance);

    insert into nltrans values (0, 'CREGBP', null, null, today, 'JE', batch_number, 'Upgrade', neg_balance, 'From EUR suppliers' ,null, 'N', 'Y', 1, null, 'EUR', neg_balance);



err.ret_stat := 0;
err.ret_string := 'Success';
return err;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.dc() OWNER TO postgres;

--
-- TOC entry 36 (class 1255 OID 78201)
-- Dependencies: 394 1230 5
-- Name: delete_batch(character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION delete_batch(psource character, pbatch integer) RETURNS sp_status
    AS $$
declare  err         sp_status;
         Pstat          nlbatch.stat%type;
         Pcount          integer;
         r_count         integer;
         
BEGIN

   select stat
     into Pstat
     from nlbatch
    where seq    = Pbatch
      and source = Psource;
      
   GET DIAGNOSTICS r_count = ROW_COUNT;

    if r_count <> 1 then
        err.ret_stat := 1;
        err.ret_string := 'Batch ' || Psource || '/' || Pbatch || ' not on file';
        return err;
    end if;


    select count(*) into Pcount from sledger
    where source = Psource
        and batch = Pbatch;

    if Pcount <> 0 then
       err.ret_stat := 1;
       err.ret_string := 'Batch is a Sales Ledger Batch';
       return err;
    end if;

    select count(*) into Pcount from pledger
    where source = Psource
        and batch = Pbatch;

    if Pcount <> 0 then
        err.ret_stat := 1;
        err.ret_string := 'Batch is a Purchase Ledger Batch';
        return err;
    end if;

    select count(*) into Pcount from nlbatch
    where period < (select boy_period from nparams)
        and source = Psource
        and seq = Pbatch;

    if Pcount <> 0 then
       err.ret_stat := 1;
       err.ret_string := 'Batch is in a previous year';
       return err;
    end if;

    delete from nltrans where
        source = Psource
        and batch = Pbatch;

    GET DIAGNOSTICS r_count = ROW_COUNT;
        
    if r_count = 0 then
        err.ret_stat := 1;
        err.ret_string := 'Batch ' || Psource || '/' || Pbatch || ' not deleted';
        return err;
    end if;

    delete from nlbatch where
        source = Psource
        and seq = Pbatch;
        
    GET DIAGNOSTICS r_count = ROW_COUNT;

    if r_count = 0 then
        err.ret_stat := 1;
        err.ret_string := 'Batch ' || Psource || '/' || Pbatch || ' not deleted';
        return err;
    end if;

    err.ret_stat := 0;
    err.ret_string := 'Success';

    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.delete_batch(psource character, pbatch integer) OWNER TO postgres;

--
-- TOC entry 37 (class 1255 OID 78202)
-- Dependencies: 394 1230 5
-- Name: delete_contract(integer, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION delete_contract(w_loc integer, w_contract integer, w_user integer) RETURNS sp_status
    AS $$
declare err                     sp_status;
        codetail_row            codetail%rowtype;
        chdetail_row            chdetail%rowtype;
        cdisposal_row           cdisposal%rowtype;
        hmsales_row             hmsales%rowtype;
        hmdisposal_row          hmdisposal%rowtype;
        hmdetail_row            hmdetail%rowtype;
        hmhead_row              hmhead%rowtype;
        pavail_row              pavail%rowtype;
        pdesc_row               pdesc%rowtype;
        singles_row             singles%rowtype;
        w_stat                  pavail.stat%type;
        syscon_row              sys_config%rowtype;
        r_count                 integer;
        onhire_count            integer;
        avail_count             integer;
        w_type                  integer;
        w_qty                   integer;
        nowdate                date;

begin
        select *
        into chead_row
        from chead
        where chead.location = w_loc
          and chead.contract = w_contract;

        if not FOUND then
            err.ret_stat := 1;
            err.ret_string := w_contract || ' not found at location ' || w_loc;
            return err;
        end if;

        for chdetail_row in
            select *
            from chdetail
           where chdetail.contract = chead_row.contract
             and chdetail.location = chead_row.location
        loop

           ---
           --- Update status
           ---

           select *
           into pdesc_row
           from pdesc
           where pdesc.cod = chdetail_row.pdesc
           and pdesc.asset_reg = 'H';

           if not FOUND then
                   err.ret_stat := 1;
                   err.ret_string := 'Plant Desc '|| chdetail_row.pdesc|| ' Not Found';
                   return err;
           end if;

           if (pdesc_row.typ = 'S') and (chdetail_row.reg <> '9') then

                   select *
                   into singles_row
                   from singles
                   where singles.pdesc = chdetail_row.pdesc
                   and  singles.cod   = chdetail_row.reg;

                   if not FOUND then
                       err.ret_stat := 1;
                       err.ret_string := 'Plant Reg ', r.pdesc, ' ', r.reg, ' Not Found';
                       return err;
                   end if;

                   if singles_row.stat <> 2 then
                       err.ret_stat = 1;
                       err.ret_string = 'Status is Not 2(on hire) - its ', singles_row.stat;
                       return err;
                   end if;

                   update singles
                   set singles.stat = 1
                   where singles.pdesc = chdetail_row.pdesc
                   and singles.cod   = chdetail_row.reg;

                   GET DIAGNOSTICS r_count = ROW_COUNT;

                   if r_count <> 1 then
                       err.ret_string := r_count || ' singles rows updated for Plant Code ' || r.pdesc || '/' || r.reg;
                       err.ret_stat := 1;
                       return err;
                   end if;

         end if;
         -- End of Update status

         --
         -- Update Availability
         --

         if (chdetail_row.reg <> '9') or (chdetail_row.reg is null) then
               select count(*)
               into onhire_count
               from pavail
               where pavail.location = chdetail_row.location
                 and pavail.pdesc    = chdetail_row.pdesc
                 and pavail.stat     = 2;

               if onhire_count is null then
                  onhire_count := 0;
               end if;

               if onhire_count > 1 then
                  err.ret_string := 'More than one onhire row for ' || chdetail_row.pdesc;
                  err.ret_stat := 1;
                  return err;
               end if;

               select count(*)
               into avail_count
               from pavail
               where pavail.location = chdetail_row.location
                 and pavail.pdesc    = chdetail_row.pdesc
                 and pavail.stat     = 1;

               if avail_count is null then
                  avail_count := 0;
               end if;

               if avail_count > 1 then
                  err.ret_string := 'More than one avail row for ' || chdetail_row.pdesc;
                  err.ret_stat := 1;
                  return err;
               end if;

               select *
               into pavail_row
               from pavail
               where pavail.location = chdetail_row.location
                 and pavail.pdesc    = chdetail_row.pdesc
                 and pavail.stat     = 2;

               if not FOUND then
                  insert into pavail values(
                         chdetail_row.pdesc,
                         chdetail_row.location,
                         2,         -- status
                         0);         -- qty
               else
                  update pavail
                  set pavail.qty = pavail.qty - chdetail_row.qty
                  where pavail.location = chdetail_row.location
                    and pavail.pdesc    = chdetail_rochdetail_row.pdesc
                    and pavail.stat     = 2;
               end if;

               if SQLSTATE <> '00000' then
                  err.ret_string := 'Error updating pavail row (stat 2) for '|| chdetail_row.pdesc;
                  err.ret_stat := 1;
                  return err;
               end if;

               select *
               into pavail_row
               from pavail
               where pavail.location = chdetail_row.location
                 and pavail.pdesc    = chdetail_row.pdesc
                 and pavail.stat     = 1;

               if not FOUND then
                  insert into pavail values (
                         chdetail_row.pdesc,
                         chdetail_row.location,
                         1,         -- status
                         chdetail_row.qty);     -- qty
               else
                  update pavail
                  set pavail.qty = pavail.qty + chdetail_row.qty
                  where pavail.location = chdetail_row.location
                    and pavail.pdesc    = chdetail_row.pdesc
                    and pavail.stat     = 1;
               end if;

               if SQLSTAT <> '00000' then
                  err.ret_string = 'Error updating pavail row (stat 1) for '|| chdetail_row.pdesc;
                  err.ret_stat := 1;
                  return err;
               end if;

           end if;

           --> End of Update Availability

           delete from chdetail
            where chdetail.contract = chdetail_row.contract
              and chdetail.location = chdetail_row.location
              and chdetail.lin      = chdetail_row.lin;

           if SQLSTATE <> '00000' then
               err.ret_string := 'Error deleting line  '|| chdetail_row.lin || ' on contract ' || chdetail_row.contract;
               err.ret_stat := 1;
               return err;
           end if;

           insert into pmoves values ('H',
                                      chdetail_row.pdesc,
                                      chdetail_row.reg,
                                      10,
                                      chdetail_row.qty,
                                      chead_row.location,
                                      now,
                                      chdetail_row.depot,
                                      chdetail_row.cust,
                                      chead.manual_ref,
                                      2,
                                      1,
                                      w_user,
                                      chead_row.site,
                                      chdetail_row.depot,
                                      chdetail_row.contract,
                                      chdetail_row.lin);

        end loop;  --> end of hire lines loop


        for cdisposal_row in
               select *
                 from cdisposal
                where cdisposal.contract = chead_row.contract
                  and cdisposal.location = chead_row.location
        loop

           update singles set stat = 1
            where pdesc = cdisposal_row.pdesc
             and cod = cdisposal_row.reg;

           update pavail
              set pavail.qty = pavail.qty - cdisposal_row.qty
            where pavail.pdesc    = cdisposal_row.pdesc
              and pavail.location = cdisposal_row.location
              and pavail.stat     = 9;

           delete from cdisposal
            where contract = chead_row.contract
              and location = chead_row.location
              and pdesc = cdisposal_row.pdesc
              and reg = cdisposal_row.reg;

        end loop; --> End of disposals

        --
        -- Update stock
        --

        select *
        into syscon_row
        from sys_config
        where num = 23;

        if FOUND and syscon_row.set = 1 then  --> only if stock in use

              for codetail_row in
                select *
                  from codetail
                 where codetail.contract = chead_row.contract
                   and codetail.location = chead_row.location
              loop
                    w_qty := 0 - codetail_row.qty;
                    w_type := 4;
                    
                    nowdate := today;

                    select * from oncontract(codetail_row.product_type,
                            w_qty,
                            chead_row.location,
                            chead_row.depot,
                            chead_row.cust,
                            chead_row.contract,
                            codetail_row.unit_sell,
                            nowdate,
                            w_type) into err;

                    if err.ret_stat = 1 then
                        return err;
                    end if;

              end loop;

        end if;

        delete from codetail
         where codetail.contract = chead_row.contract
           and codetail.location = chead_row.location;

        delete from chead
         where chead.location = chead_row.location
           and chead.contract = chead_row.contract;

                  -- AOS 7/11/2002
                  -- Herr Cawley decided to keep the contract movements
                  -- details so that we have some more proof that a contract
                  -- existed at one stage.

                  -- Also, add a new row to hmhead (typ 99) to indicate
                  -- that a contract has been deleted (and by whom).
                  -- This will make it easier to track deleted contracts.

                  -- Comment out the code to delete the contract movements

                  --gg 27/09/2006.  By not deleteing the movements we are
                  --createing a new problem.  If the Contract is deleted BUT
                  --then reentered again using the same contract number then
                  -- contract movement enquiry will crash as there are two sets
                  -- of headers and detail lines for this contract .  Let us
                  -- leave the movements there but update the doc_type from 1
                  -- to '-1'.  I will do this before deleting from the contrac
                  -- suspend table below.

                  -- delete movements for that contract

                  --delete from hmhead
                  --where hmhead.doc_type = 1
                    --and hmhead.doc_number = Pchead.contract
                    --and hmhead.location = Pchead.location

                  --delete from hmdetail
                  --where hmdetail.doc_type = 1
                    --and hmdetail.doc_number = Pchead.contract
                    --and hmdetail.location = Pchead.location

                  --delete from hmsales
                  --where hmsales.doc_type = 1
                    --and hmsales.doc_number = Pchead.contract
                    --and hmsales.location = Pchead.location


                  hmhead_row.doc_type := 99;  -- Deletion
                  hmhead_row.dat      := now;
                  hmhead_row.tim      := now;
                  hmhead_row.operator := w_user;


                  insert into hmhead values (
                                hmhead_row.doc_type,
                                hmhead_row.doc_number,
                                hmhead_row.dat,
                                hmhead_row.tim,
                                hmhead_row.location,
                                hmhead_row.operator,
                                hmhead_row.manual_ref,
                                hmhead_row.depot,
                                hmhead_row.cust,
                                hmhead_row.notes,
                                hmhead_row.requested,
                                hmhead_row.promised,
                                hmhead_row.completed,
                                hmhead_row.invoiced,
                                hmhead_row.work_list,
                                hmhead_row.driver,
                                hmhead_row.status,
                                hmhead_row.asset_reg,
                                hmhead_row.pdesc,
                                hmhead_row.cod);

                  --see previous comment (gg 27092006)

                  update hmhead
                  set hmhead.doc_type = -1
                  where hmhead.doc_type = 1
                    and hmhead.doc_number = chead_row.contract
                    and hmhead.location = chead_row.location;

                  update hmsales
                  set hmsales.doc_type = -1
                  where hmsales.doc_type = 1
                    and hmsales.doc_number = chead_row.contract
                    and hmsales.location = chead_row.location;

                  update hmdetail
                  set hmdetail.doc_type = -1
                  where hmdetail.doc_type = 1
                    and hmdetail.doc_number = chead_row.contract
                    and hmdetail.location = chead_row.location;

                  --DELETE FROM SUSPENDED LIST (IF ITS THERE)

                  delete from contract_suspend
                   where contract_suspend.depot    = chead_row.location
                     and contract_suspend.contract = chead_row.contract
                     and contract_suspend.cust     = chead_row.cust;
                     
    err.ret_stat = 0;
    err.ret_string = "Success";
    return err;
    
end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.delete_contract(w_loc integer, w_contract integer, w_user integer) OWNER TO postgres;

--
-- TOC entry 38 (class 1255 OID 78204)
-- Dependencies: 394 1230 5
-- Name: delete_issue(integer, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION delete_issue(w_loc integer, w_docket integer, w_user integer) RETURNS sp_status
    AS $$
declare err                     sp_status;
        codetail_row            codetail%rowtype;
        chdetail_row            chdetail%rowtype;
        cdisposal_row           cdisposal%rowtype;
        hmsales_row             hmsales%rowtype;
        hmdisposal_row          hmdisposal%rowtype;
        hmdetail_row            hmdetail%rowtype;
        hmhead_row              hmhead%rowtype;
        pavail_row              pavail%rowtype;
        delete_ok_row           record;
        ok                      boolean;
        w_stat                  pavail.stat%type;
        msg                     char(50);

begin
       ok := true;

       select *
         into hmhead_row
         from hmhead
        where hmhead.location = w_loc
          and hmhead.doc_type = 3
          and hmhead.doc_number = w_docket;

       if not FOUND then
          err.ret_stat := 1;
          err.ret_string := 'Original Movement Header Not Found';
          return err;
       end if;

       for delete_ok_row in select *
                          from delete_ok
       loop
       
          if delete_ok_row.line_type = 'H' or
             delete_ok_row.line_type = 'D' then

             --update pavail
             --update singles
             --new pmoves type per pdesc
             --drop the chdetail record

             if delete_ok_row.reg is not null then

                update singles
                set singles.stat = 1
                where singles.pdesc = delete_ok_row.pdesc
                  and singles.reg   = delete_ok_row.reg;

             end if;
           if delete_ok_row.line_type = 'H' then

                 select *
                 into pavail_row
                 from pavail
                 where pavail.pdesc = delete_ok_row.pdesc
                   and pavail.stat  = 1
                   and pavail.location = delete_ok_row.location;

                 if FOUND then
                     update pavail
                     set pavail.qty = pavail.qty + 1
                     where pavail.pdesc = delete_ok_row.pdesc
                       and pavail.stat  = 1
                       and pavail.location = delete_ok_row.location;
                 else
                     insert into pavail values (delete_ok_row.pdesc,
                                                delete_ok.location,
                                                1,
                                                1);

                 end if;
             end if;

             ---if SQLSTATE <> '00000' then
             ---   err.ret_string :=  'updating pavail table';
             ---   err.ret_stat := false;
             ---   return err;
             ---end if;

             if delete_ok_row.line_type = 'H' then
                  w_stat := 2;
             else
                  w_stat := 9;
             end if;

             select *
             into pavail_row
             from pavail
             where pavail.pdesc = delete_ok_row.pdesc
               and pavail.stat  = w_stat
               and pavail.location = delete_ok_row.location;

             if FOUND then
                 update pavail
                 set pavail.qty = pavail.qty - 1
                 where pavail.pdesc = delete_ok_row.pdesc
                   and pavail.stat  = w_stat
                   and pavail.location = delete_ok_row.location;
             else
                 insert into pavail values (delete_ok_row.pdesc,
                                            delete_ok_row.location,
                                            w_stat,
                                            0);

             end if;

             ---if SQLSTATE <> '00000' then
                ---err.ret_string :=  'updating pavail table';
                ---err.ret_stat := false;
                ---return err;
             ---end if;

             insert into pmoves values ('H',
                                       delete_ok_row.pdesc,
                                       delete_ok_row.reg,
                                       16, --delete issue
                                       delete_ok_row.qty,
                                       delete_ok_row.location,
                                       CURRENT_TIMESTAMP,
                                       hmhead_row.depot,
                                       hmhead_row.cust,
                                       w_docket,
                                       w_stat,
                                       1,
                                       w_user,
                                       0,
                                       0,
                                       delete_ok_row.contract,
                                       delete_ok_row.lin);

              ---if SQLSTATE <> '00000' then
              ---    err.ret_string := 'inserting into pmoves table';
              ---    err.ret_stat := false;
              ---    return err;
              ---end if;
              if delete_ok_row.line_type = 'H' then
                  delete from chdetail
                  where rowid = delete_ok_row.row_id;

                  ---if SQLSTATE <> '00000' then
                  ---    err.ret_string :=  'deleting from chdetail table';
                  ---    err.ret_stat := false;
                  ---    exit;
                  --- end if;
              else
                  delete from cdisposal
                  where rowid = delete_ok_row.row_id;

                  ---if SQLSTATE <> '00000' then
                  ---    err.ret_string = 'deleting from cdisposal table';
                  ---    err.ret_stat = false;
                  ---    return err;
                  ---end if;
              end if;
          end if; --end if; for typ H and D

          if delete_ok_row.line_type = 'S' then
              delete from codetail
              where rowid = delete_ok_row.row_id;

              ---if SQLSTATE <> '00000' then
              ---    err.ret_string :=  'deleting from codetail table';
              ---    err.ret_stat := false;
              ---    return err;
              ---end if;
          end if; --end if; for type S
       end loop;

          --create contract movement docket
          hmhead_row.doc_type := 10;

          insert into hmhead values (
                        hmhead_row.doc_type,
                        hmhead_row.doc_number,
                        hmhead_row.dat,
                        hmhead_row.tim,
                        hmhead_row.location,
                        hmhead_row.operator,
                        hmhead_row.manual_ref,
                        hmhead_row.depot,
                        hmhead_row.cust,
                        hmhead_row.notes,
                        hmhead_row.requested,
                        hmhead_row.promised,
                        hmhead_row.completed,
                        hmhead_row.invoiced,
                        hmhead_row.work_list,
                        hmhead_row.driver,
                        hmhead_row.status,
                        hmhead_row.asset_reg,
                        hmhead_row.pdesc,
                        hmhead_row.cod
          );

          ---if SQLSTATE <> '00000' then
          ---    err.ret_string :=  'Error inserting into hmhead';
          ---    err.ret_stat := 1;
          ---    return err;
          ---end if;

              for hmdetail_row in
                      select *
                      from hmdetail
                      where hmdetail.doc_type   = 3
                        and hmdetail.doc_number = hmhead_row.doc_number
                        and hmdetail.location   = hmhead_row.location
              loop

                  hmdetail_row.doc_type = 10;

                  insert into hmdetail values (
                                hmdetail_row.doc_type,
                                hmdetail_row.doc_number,
                                hmdetail_row.contract_location,
                                hmdetail_row.contract,
                                hmdetail_row.contract_line,
                                hmdetail_row.qty,
                                hmdetail_row.dayes,
                                hmdetail_row.total_days,
                                hmdetail_row.pdesc,
                                hmdetail_row.reg,
                                hmdetail_row.dat,
                                hmdetail_row.tim,
                                hmdetail_row.charge_period,
                                hmdetail_row.notes,
                                hmdetail_row.location
                 );

                  ---if SQLSTAT <> '00000' then
                  ---    err.ret_string =  'Error inserting into hmdetail';
                  ---    err.ret_stat = 1;
                  ---    return err;
                  ---end if;
              end loop;

              for hmsales_row in
                       select *
                         from hmsales
                        where hmsales.doc_type   = 3
                          and hmsales.doc_number = hmhead_row.doc_number
                          and hmsales.location   = hmhead_row.location

              loop

                  hmsales_row.doc_type := 10;

                  insert into hmsales values (
                                hmsales_row.doc_type,
                                hmsales_row.doc_number,
                                hmsales_row.contract_location,
                                hmsales_row.contract,
                                hmsales_row.contract_line,
                                hmsales_row.product,
                                hmsales_row.qty,
                                hmsales_row.notes,
                                hmsales_row.location
                  );
                  ---if SQLSTATE <> '00000' then
                  ---        err.ret_string :=  'Error inserting into hmsales';
                  ---        err.ret_stat := false;
                  ---        return err;
                  ---end if;
              end loop;

              for hmdisposal_row in 
                      select *
                        from hmdisposal
                       where hmdisposal.doc_type   = 3
                         and hmdisposal.doc_number = Phmhead.doc_number
                         and hmdisposal.location   = Phmhead.location
              loop

                  hmdisposal_row.doc_type := 10;
                  insert into hmdisposal values (
                                hmdisposal_row.doc_type,
                                hmdisposal_row.doc_number,
                                hmdisposal_row.contract_location,
                                hmdisposal_row.contract,
                                hmdisposal_row.contract_line,
                                hmdisposal_row.qty,
                                hmdisposal_row.pdesc,
                                hmdisposal_row.reg,
                                hmdisposal_row.notes,
                                hmdisposal_row.location
                  );

                  ---if SQLSTAT <> '00000' then
                  ---    err.ret_string :=  'Error inserting into hmdisposal';
                  ---    err.ret_stat := false;
                  ---    return err;
                  ---end if;
              end loop;
              
       drop table delete_ok;  -- Prevent a double reverse

       err.ret_stat = 0;
       err.ret_string := 'Success';

       return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.delete_issue(w_loc integer, w_docket integer, w_user integer) OWNER TO postgres;

--
-- TOC entry 39 (class 1255 OID 78206)
-- Dependencies: 1230 5
-- Name: elapsed_months(date, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION elapsed_months(from_date date, to_date date) RETURNS integer
    AS $$
/*   Returns the number of months difference between two dates
*/

declare	from_ts		timestamp;
	    to_ts		timestamp;
        from_mm		integer;
        from_yy		integer;
        to_mm		integer;
        to_yy		integer;
        mdiff		integer;
        from_months integer;
        to_months   integer;

begin

    from_ts := from_date;
    to_ts   := to_date;

    from_mm := extract(month from from_ts);
    from_yy := extract(year from from_ts);
    to_mm := extract(month from to_ts);
    to_yy := extract(year from to_ts);

    to_months := ((to_yy * 12) + to_mm);
    from_months := ((from_yy * 12) + from_mm);

    mdiff :=to_months - from_months;

    return mdiff;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.elapsed_months(from_date date, to_date date) OWNER TO postgres;

--
-- TOC entry 40 (class 1255 OID 78207)
-- Dependencies: 394 1230 5
-- Name: eom_danal(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION eom_danal() RETURNS sp_status
    AS $$
DECLARE w_period 		dparams.period%type;
        eoy 	    		smallint;
        w_boy_period 		dparams.period%type;
        danal_row 		danal%rowtype;

        restricted_sales 	smallint;
        sales_analysis   	smallint;
        w_rows   		integer;
        err 			sp_status;

begin

    err.ret_stat = 0;
    err.ret_string = 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.eom_danal() OWNER TO postgres;

--
-- TOC entry 41 (class 1255 OID 78208)
-- Dependencies: 394 1230 5
-- Name: eom_hanal(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION eom_hanal() RETURNS sp_status
    AS $$
declare w_period 		dparams.period%type;
        eoy 	    		smallint;
        w_boy_period 		dparams.period%type;

        restricted_sales 	smallint;
        sales_analysis   	smallint;
        err			sp_status;
	w_rows			integer;
        hanal_row		hanal%rowtype;

begin

    

    err.ret_stat := 0;
    err.ret_string := 'Success';

    return err;
end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.eom_hanal() OWNER TO postgres;

--
-- TOC entry 42 (class 1255 OID 78209)
-- Dependencies: 394 1230 5
-- Name: eom_sanal(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION eom_sanal() RETURNS sp_status
    AS $$
declare w_period 		dparams.period%type;
        eoy 	    		smallint;
        w_boy_period 		dparams.period%type;
        restricted_sales 	smallint;
        sales_analysis   	smallint;
        w_rows			integer;
	sanal_row		sanal%roWtype;
        err		        sp_status;

begin

    
    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.eom_sanal() OWNER TO postgres;

--
-- TOC entry 43 (class 1255 OID 78210)
-- Dependencies: 394 1230 5
-- Name: eom_sledger(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION eom_sledger() RETURNS sp_status
    AS $$
declare p_current_period dparams.period%type;
        p_next_period dparams.period%type;

        f_ser integer ;
        f_depot smallint;
        f_cod char(7);
        f_dat date;
        f_period date;
        f_typ smallint;
        f_tx_total decimal(16,2);
        f_balance  decimal(16,2);
        f_vat decimal(16,2);
        f_location smallint;
        f_contract char(6);
        f_ref char(10);
        f_os decimal(16,2);
        f_source char(2);
        f_batch smallint;
        f_description char(15);
        f_txt integer;
        f_lodgement integer;
        f_operator smallint;
        f_invtype char(1);
        f_tim time;
        f_cash_nominal char(6);
        f_cash_invoice integer;
        max_depot integer;
        w_rows integer;
        err sp_status;
        depot_row record;

begin

    SELECT period into p_current_period FROM dparams;

    -- If the control account was Not found!
    if not FOUND then
    	err.ret_stat := 1;
    	err.ret_string := 'Control Acount not found ';
        return err;
    end if;

    SELECT max(cod) into max_depot from depot;

    if max_depot is null then
    	err.ret_stat := 1;
    	err.ret_string := 'Max Depot not found ';
        return err;
    end if;

    p_next_period = p_current_period + interval '1 month';

    f_ser          = 0;
    f_depot        = null;
    f_cod          = null;
    f_dat          = null;
    f_period       = p_next_period;
    f_typ          = 1;
    f_tx_total       = 0;
    f_vat          = 0;
    f_location     = null;
    f_contract     = null;
    f_ref          = null;
    f_os           = 0;
    f_source       = null;
    f_batch        = null;
    f_description  = 'Control Total';
    f_txt          = null;
    f_lodgement    = null;
    f_operator     = null;
    f_invtype      = null;
    f_tim          = null;
    f_cash_nominal = null;
    f_cash_invoice = null;

    SELECT sum(amount) into f_balance
	FROM sledger
	WHERE sledger.period = p_current_period
	  AND sledger.depot is null
	  AND sledger.cod is null
	  AND sledger.typ = 1;

    if not FOUND then
	f_balance := 0;
    end if;

    SELECT sum(amount) into f_tx_total
	FROM sledger
	WHERE sledger.period = p_current_period
	  AND sledger.depot is not null
	  AND sledger.cod is not null;


    if not FOUND then
	f_tx_total := 0;
    end if;

    f_tx_total := f_tx_total + f_balance;

    INSERT INTO sledger( ser ,
                         depot ,
                         cod ,
                         dat ,
                         period ,
                         typ ,
                         amount ,
                         vat ,
                         location ,
                         contract ,
                         ref ,
                         os ,
                         source ,
                         batch ,
                         description ,
                         txt ,
                         lodgement ,
                         operator ,
                         invtype ,
                         tim ,
                         cash_nominal ,
                         cash_invoice)
           values ( DEFAULT ,
                   f_depot ,
                   f_cod ,
                   f_dat ,
                   f_period ,
                   f_typ ,
                   f_tx_total ,
                   f_vat ,
                   f_location ,
                   f_contract ,
                   f_ref ,
                   f_os ,
                   f_source ,
                   f_batch ,
                   f_description ,
                   f_txt ,
                   f_lodgement ,
                   f_operator ,
                   f_invtype ,
                   f_tim ,
                   f_cash_nominal ,
                   f_cash_invoice);

    get diagnostics w_rows = ROW_COUNT;

    if w_rows <> 1 then
        err.ret_stat := 1;
        err.ret_string := 'Sales Control update failed ';
        return err;
    end if;

    for depot_row in select cod
             from depot
    loop

        SELECT sum(amount) into f_balance
	    FROM sledger
	    WHERE sledger.period = p_current_period
	      AND sledger.depot = depot_row.cod
	      AND sledger.cod is null
	      AND sledger.typ = 1;

        if not FOUND then
	    f_balance := 0;
        end if;

        SELECT sum(amount) into f_tx_total
	    FROM sledger
	    WHERE sledger.period = p_current_period
	      AND sledger.depot = depot_row.cod
	      AND sledger.cod is not null;
	      --AND sledger.typ <> 18;

         f_tx_total := f_tx_total + f_balance;

         INSERT INTO sledger( ser ,
                                  depot ,
                                  cod ,
                                  dat ,
                                  period ,
                                  typ ,
                                  amount ,
                                  vat ,
                                  location ,
                                  contract ,
                                  ref ,
                                  os ,
                                  source ,
                                  batch ,
                                  description ,
                                  txt ,
                                  lodgement ,
                                  operator ,
                                  invtype ,
                                  tim ,
                                  cash_nominal ,
                                  cash_invoice)
           values ( DEFAULT ,
                   f_depot ,
                   f_cod ,
                   f_dat ,
                   f_period ,
                   f_typ ,
                   f_tx_total ,
                   f_vat ,
                   f_location ,
                   f_contract ,
                   f_ref ,
                   f_os ,
                   f_source ,
                   f_batch ,
                   f_description ,
                   f_txt ,
                   f_lodgement ,
                   f_operator ,
                   f_invtype ,
                   f_tim ,
                   f_cash_nominal ,
                   f_cash_invoice);

        get diagnostics w_rows = ROW_COUNT;

	if w_rows <> 1 then
            err.ret_stat = 1;
            err.ret_string = 'Sales Control update failed ';
            return err;
        end if;

    end loop;

    err.ret_stat = 0;
    err.ret_string = 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.eom_sledger() OWNER TO postgres;

--
-- TOC entry 44 (class 1255 OID 78211)
-- Dependencies: 1230 5
-- Name: fix_movements(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION fix_movements() RETURNS void
    AS $$
declare chead_row	chead%rowtype;
	chdetail_row	chdetail%rowtype;
	codetail_row	codetail%rowtype;
	cdisposal_row	cdisposal%rowtype;
	Pcount		integer;
	err		sp_status;

begin

    for chead_row in 
        select * 
        from chead
    loop

        -- okay first check if this guys gotta hmhead type 1 
	Pcount :=0; 
        select count(*)
        into Pcount
        from hmhead 
        where doc_type = 1
        and doc_number = chead_row.contract
        and depot = chead_row.depot
        and cust = chead_row.cust;

        if Pcount > 0 then -- if hmhead has a record then do nothing
	    continue;
        end if; 

	-- otherwise lets create the hmhead record and start the detail lines iteration.

	insert into hmhead values (1, -- type one
				   chead_row.contract,
				   chead_row.dat,
				   chead_row.tim,
				   chead_row.location,
				   chead_row.operator,
				   chead_row.manual_ref,
				   chead_row.depot,
				   chead_row.cust,
				   chead_row.note,
				   null,
				   null,
				   null,
				   null,
				   null,
				   null,
				   null,
				   null,
				   null,
				   null);

	-- now iterate through chdetail and add them.
	<<chdetail>>
	for chdetail_row in 
	    select * 
	    from chdetail
	    where contract = chead_row.contract
	    and   cust = chead_row.cust
	    and   depot = chead_row.depot
	
	loop 
	    Pcount := 0;
	    select count(*) 
	    into Pcount
	    from hmdetail
	    where doc_type = 1
	    and   doc_number = chdetail_row.contract
	    and   contract_line = chdetail_row.lin;

	    if Pcount > 0 then -- if there already do nothing
	        continue chdetail;
	    end if;

            -- else add line

            insert into hmdetail values (1,
					  chdetail_row.contract,
					  chdetail_row.location,
					  chdetail_row.contract,
					  chdetail_row.lin,
					  chdetail_row.qty,
					  chdetail_row.days_on_hire,
					  chdetail_row.days_on_hire,
					  chdetail_row.pdesc,
					  chdetail_row.reg,
					  chdetail_row.date_from,
					  chdetail_row.time_out,
					  chdetail_row.charge_period,
					  chdetail_row.notes,
					  chdetail_row.location
					  );

	end loop;

	-- now handle sale lines 
	<<codetail>>
	for codetail_row in 
	    select * 
	    from codetail
	    where contract = chead_row.contract
	    and   location = chead_row.location
	    
	
	loop 
	    Pcount := 0;
	    select count(*) 
	    into Pcount
	    from hmsales
	    where doc_type = 1
	    and   doc_number = codetail_row.contract
	    and   contract_line = codetail_row.lin;

	    if Pcount > 0 then -- if there already do nothing
	        continue codetail;
	    end if;

            -- else add line

            insert into hmsales values (1,
					  codetail_row.contract,
					  codetail_row.location,
					  codetail_row.contract,
					  codetail_row.lin,
					  codetail_row.product,
					  codetail_row.qty,
					  codetail_row.notes,
					  codetail_row.location
					  );

	end loop ;

    end loop;

    --err.ret_stat = 0;
    --err.ret_string := 'Success';

    --return err;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.fix_movements() OWNER TO postgres;

--
-- TOC entry 133 (class 1255 OID 78212)
-- Dependencies: 394 1230 5
-- Name: fix_pledger_trans(date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION fix_pledger_trans(p_period date) RETURNS sp_status
    AS $$
DECLARE
  ledger_summary            record;
  Pdifference               decimal(16,2);
  p_date                    date;
  Ptype                     pledger.typ%type;
  Pref                      pledger.ref%type;
  result                    sp_status;


BEGIN
     for ledger_summary in select supplier, balance, sum(amount) as amount , sum(os) as os
                from pledger, supplier
                where supplier is not null
                and supplier = supplier.cod
                group by 1, 2
                having balance <> sum(amount)
      loop


          Pdifference := ledger_summary.os - ledger_summary.amount;

          if Pdifference < 0 then
                  Ptype := 13;
                  Pref  := 'Journal Dr';
          else
                  Ptype := 3 ;
                  Pref  := 'Journal Cr';
          end if;

          -- If there is a difference , then we must add a correcting amount transaction
          -- Date will be the 1st of the Period.

          p_date := jp_period(p_period);
          if Pdifference <> 0 then

                        insert into pledger values (
                                ledger_summary.supplier,
                                p_date,
                                default,
                                p_date,
                                Ptype,
                                Pdifference,
                                0.00,
                                Pdifference,
                                0.00,
                                Pref,
                                'FIX',
                                1.00,
                                'EUR',
                                'N',
                                null,
                                null,
                                0,
                                1,
                                null,
                                null,
                                0,
                                null,
                                0,
                                null,
                                0.00,
								null
                          );

          end if;

      end loop;

      result.ret_stat := 0;
      result.ret_string := 'Success';
      return result;

END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.fix_pledger_trans(p_period date) OWNER TO postgres;

--
-- TOC entry 45 (class 1255 OID 78213)
-- Dependencies: 394 1230 5
-- Name: fix_sledger_trans(date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION fix_sledger_trans(p_period date) RETURNS sp_status
    AS $$
DECLARE
  declare p_amount          decimal(16,2);
          ledger_summary    record;  
          p_typ             sledger.typ%type;
          p_date            date;
          p_time            time;
          result            sp_status;
BEGIN
  
     select CURRENT_TIME  into p_time;
        
     for ledger_summary in select depot, cod, sum(amount) as amount , 
                       sum(case when (typ > 10) then (os * -1) else os end) as os
           from sledger sl
          where typ not in (16,18)
          group by 1,2
         having sum(amount) <> sum(case when (typ > 10) then (os * -1) else os end)
     loop
        p_amount := ledger_summary.os - ledger_summary.amount;
        if p_amount > 0 then
            p_typ := 5;
        else
            p_typ := 19;
        end if;
        
        -- Date will be the 1st of the Period.
        
        p_date := jp_period(p_period);
       
           insert into sledger values (
                default,
                ledger_summary.depot,
                ledger_summary.cod,
                p_date,
                p_date,
                p_typ,
                p_amount,
                0.00,
                ledger_summary.depot,
                NULL,
                'FIX',
                0.00,
                '  ',
                0,
                'Small Bal Fix',
                NULL,
                NULL,
                1,
                NULL ,
                CURRENT_TIME,
                NULL,
                NULL
               );
              
           
      end loop; 
      
      result.ret_stat := 0;
      result.ret_string := 'Success';
      return result;


END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.fix_sledger_trans(p_period date) OWNER TO postgres;

--
-- TOC entry 46 (class 1255 OID 78214)
-- Dependencies: 394 1230 5
-- Name: fixdiscounts(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION fixdiscounts() RETURNS sp_status
    AS $$
DECLARE
    Pcount          integer;
    fix_chdet       jp_fixchdet; 
    err             sp_status;
BEGIN
  
    for fix_chdet in
       select a.location, a.contract, a.lin, a.pdesc, a.pricetype 
          from chdetail a, tender b
         where a.discount <> 0.00
           and a.discount is not null
           and a.pricetype = b.cod
           and b.allow_disc <> 'Y'
    loop

        --
        -- Only fix if the pdesc is actually on the tender
        --

        select count(*)
          into Pcount
          from hrates
         where hrates.pdesc = fix_chdet.pdesc
           and hrates.tender = fix_chdet.pricetype;

        if Pcount > 0 then

            update chdetail
                set discount = 0.00
                where chdetail.location = fix_chdet.location
                  and chdetail.contract = fix_chdet.contract
                  and chdetail.lin = fix_chdet.lin;

        end if;

    end loop;

    for fix_chdet in 
        select a.location, a.contract, a.lin, 'DUMP', 'IGNORE'
              from chdetail a, chead b, cust c
             where a.location = b.location
               and a.contract = b.contract
               and b.depot = c.depot
               and b.cust = c.cod
               and c.vat_exempt = 'Y'
               and a.vcode <> 30
               
    loop

        update chdetail
           set vcode = 30
           where chdetail.location = fix_chdet.location
                  and chdetail.contract = fix_chdet.contract
                  and chdetail.lin = fix_chdet.lin;


    end loop; 
    
    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;
  
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.fixdiscounts() OWNER TO postgres;

--
-- TOC entry 47 (class 1255 OID 78215)
-- Dependencies: 394 1230 5
-- Name: freeze_stock(integer, character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION freeze_stock(poperator integer, pdescription character, peom integer) RETURNS sp_status
    AS $$
-- Stock Freeze Header --
-- TESTED DC 2/11/2007

declare err			sp_status;
	stpt_row		record;
	Psfh_sales_period	date;

-- Stock Freeze Detail --
        Psfd_sfh_id             integer;
        Psfd_value              decimal(16,2);

begin
     
    err.ret_stat := 0; 
    err.ret_string := 'Success';


    select period 
    into Psfh_sales_period 
    from dparams;

    insert into stk_freeze_hdr values 	(default, 
					Poperator, 
					Pdescription, 
					now(), 
					Psfh_sales_period, 
					Peom);
    
    select currval('stk_freeze_hdr_nsuk_seq') into Psfd_sfh_id;
 	
    for stpt_row in 
	select b.nsuk, a.location, a.qty_physical, a.qty_onhire, b.plu, b.unit_cost
	from stock as a
	join product_type as b on ( a.product_type = b.nsuk )

    loop  
        insert into stk_freeze_dtl values (default,
                                          Psfd_sfh_id,
                                          stpt_row.nsuk,
                                          stpt_row.plu,
                                          stpt_row.location,
                                          stpt_row.qty_physical,
                                          stpt_row.qty_onhire,
                                          stpt_row.unit_cost
					  );

         if Peom = 1 then
                Psfd_value := stpt_row.qty_physical - stpt_row.qty_onhire;
                insert into stk_take values (default,
                                         Psfd_sfh_id,
                                         stpt_row.plu,
                                         Psfd_value,
                                         now(),
                                         stpt_row.nsuk
					);

         end if;

      

    end loop;

    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.freeze_stock(poperator integer, pdescription character, peom integer) OWNER TO postgres;

--
-- TOC entry 48 (class 1255 OID 78216)
-- Dependencies: 394 1230 5
-- Name: gar(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION gar() RETURNS sp_status
    AS $$

declare err	sp_status;
	pohead   po_head;
	podetail po_detail;

begin
	    select a.*,b.*
	    --into pohead.*,podetail.*	
	    from po_head a, po_detail b
	    where a.nsuk = b.po_head
	    and a.currency != 'EUR';



    err.ret_stat := 0;
    err.ret_string := 'Success';

    return err;
end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.gar() OWNER TO postgres;

--
-- TOC entry 49 (class 1255 OID 78217)
-- Dependencies: 1230 5
-- Name: gartest(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION gartest() RETURNS SETOF integer
    AS $$

declare Pon integer;
begin

select enabled
into Pon 
from trigger_on;


return next Pon;


end ;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.gartest() OWNER TO postgres;

--
-- TOC entry 50 (class 1255 OID 78218)
-- Dependencies: 394 1230 5
-- Name: gen_freeze_gid(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION gen_freeze_gid() RETURNS sp_status
    AS $$

    Declare err	 sp_status%rowtype;
	    gi_detail_row 	record;

     p_current_period DATE;

     p_nsuk integer;
     p_gi_head integer;
     p_po_detail integer;
     p_cc_detail integer;
     p_product_type integer;
     p_date_received date;
     p_qty_received decimal(16,2);
     p_qty_invoiced decimal(16,2);
     p_qty_absorbed decimal(16,2);
     p_qty_returned decimal(16,2);
     p_qty_claimed decimal(16,2);
     p_qty_passed decimal(16,2);
     p_pi_detail integer;
     p_unit_net_cost decimal(16,4);
     p_location smallint;


    begin

    SELECT period into p_current_period
        FROM dparams;

    -- If the control account was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Control Acount not found ';

        return err;
    end if;

    -- Clear out any date from a previous attempt
    -- do not check for errors we don't care if there were record or not!

    DELETE from freeze_gid
        WHERE period = p_current_period;

    for gi_detail_row in select
                    nsuk ,
                    qty_received ,
                    qty_invoiced ,
                    qty_absorbed
             from gi_detail

    loop
         INSERT INTO freeze_gid(
                    nsuk ,
                    period ,
                    gi_detail ,
                    qty_received ,
                    qty_invoiced ,
                    qty_absorbed ,
                    lock_count)
           values ( DEFAULT,
                    p_current_period,
                    gi_detail_row.nsuk ,
                    gi_detail_row.qty_received ,
                    gi_detail_row.qty_invoiced ,
                    gi_detail_row.qty_absorbed ,
                    0);

    end loop;

    err.ret_stat := 0;
    err.ret_string := 'Success';

    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.gen_freeze_gid() OWNER TO postgres;

--
-- TOC entry 51 (class 1255 OID 78219)
-- Dependencies: 394 1230 5
-- Name: gen_plantlist(integer, character); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION gen_plantlist(pdepot integer, pcust character) RETURNS sp_status
    AS $$
------- chead.* ----------------------------------------------------------------
declare chead_row		   chead%rowtype;

------- chdetail.* -------------------------------------------------------------
        chdetail_row		 chdetail%rowtype;

------- pdesc.* ----------------------------------------------------------------
        pdesc_row		  pdesc%rowtype;

------- site.site -------------------------------------------------------------
         site_row		  RECORD;
         site_ref	char(13);

------- custsite.description ---------------------------------------------------
         Psite_name	char(60);

--------------------------------------------------------------------------------
         detail_desc	char(60);
         run_date	date;
         run_time	char(5);
         line_number	integer;
         first_time	smallint;

------- Error Handling Variables -----------------------------------------------
        err			 sp_status;

--------------------------------------------------------------------------------
-------- Clear Permanent Tables ------------------------------------------------
--------------------------------------------------------------------------------

begin

    delete from gen_plist_head;
    delete from gen_plist_detail;

--------------------------------------------------------------------------------

   run_date := current_date;
   run_time := to_char(current_timestamp,'HH24:MI');

	   

    for site_row in
	select distinct(site)
	    from chead ,chdetail
	    where chead.depot 	= chdetail.depot
	    and chead.location 	= chdetail.location
	    and chead.cust 	= chdetail.cust
	    and chead.contract 	= chdetail.contract
	    and chead.depot 	= Pdepot
	    and chead.cust	= Pcust
    loop

	select custsite.description
	    into Psite_name
	    from custsite
	    where custsite.depot 	= Pdepot
	      and custsite.cust		= Pcust
	      and custsite.site		= site_row.site;

	if not FOUND then
	    Psite_name := 'No Site Specified';
	end if;

	insert into gen_plist_head values(default, -- ser field
					Pdepot, 
                    Pcust,
					site_row.site,
					SUBSTRING(Psite_name FROM 1 for 20),
					run_date,
					run_time
					);

    end loop;

    Psite_name := '';
    line_number := 1;

    for chead_row in
	select *
	    from chead
	    where chead.depot 		= Pdepot
	    and chead.cust		= Pcust
    loop

	-- get detail rows

	for chdetail_row in
	    select *
		from chdetail
		where chdetail.contract = chead_row.contract
		  and chdetail.location	= chead_row.location
		  and chdetail.depot	= chead_row.depot
		  and chdetail.cust	= chead_row.cust
        loop

            select description
	    into Psite_name
	    from custsite
	    where depot          = chdetail_row.depot
	      and cust           = chdetail_row.cust
              and site           = chead_row.site;

	    if not FOUND then
		Psite_name := 'No Site Specified';
	    end if;

	    select *
		into pdesc_row
		from pdesc
		where pdesc.cod = chdetail_row.pdesc;

	    if pdesc_row.desc2 is not null then
	        detail_desc := pdesc_row.desc1 || pdesc_row.desc2;
            else
		detail_desc := pdesc_row.desc1;
	    end if;


	    insert into gen_plist_detail values(default,
						chdetail_row.depot,
						chdetail_row.cust,
						chead_row.site,
						substring(Psite_name from 1 for 20),
						line_number,
						chdetail_row.pdesc,
						chdetail_row.reg,
						pdesc_row.desc1,
						chdetail_row.qty,
						chdetail_row.date_started,
						chdetail_row.location,
						chdetail_row.contract,
						1,
						chead_row.order_no
						);


	    line_number := line_number + 1;

	end loop;

    end loop;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.gen_plantlist(pdepot integer, pcust character) OWNER TO postgres;

--
-- TOC entry 52 (class 1255 OID 78220)
-- Dependencies: 381 1230 5
-- Name: generate_snapshot(integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION generate_snapshot(poperator integer) RETURNS SETOF jp_gen_snapshot
    AS $$
--
-- Generates a stock snapshot from the contents of the STK_TAKE_WRK table
-- and returns a resultset of stk_freeze_dtl rows (and the descr)
--

declare snapshot        jp_gen_snapshot;
    stk_take_wrk_row    record;
-- Stock Freeze Header --
    Psfh_sales_period       date;

begin
     
    select period 
    into Psfh_sales_period 
    from dparams;

    insert into stk_freeze_hdr values (default,
                       Poperator, 
                       'Auto Generated', 
                       now(), 
                       Psfh_sales_period,
                       0);

    
    snapshot.nsuk := 0;    
    select currval('stk_freeze_hdr_nsuk_seq') into snapshot.stk_freeze_hdr_id;

    
    for stk_take_wrk_row in 
        select plu, location
        from stk_take_wrk  

        loop
    
    snapshot.plu := stk_take_wrk_row.plu;
    snapshot.location := stk_take_wrk_row.location;

       snapshot.product_type_id = 0;

       select nsuk, descr, unit_cost
         into snapshot.product_type_id , snapshot.pt_description ,
              snapshot.unit_cost
         from product_type
        where product_type.plu = snapshot.plu;

        --
        -- Get the physical qty from the stock table
        --
        select sum(qty_physical), sum(qty_onhire)
          into snapshot.qty , snapshot.qty_onhire
          from stock
         where stock.product_type = snapshot.product_type_id
           and stock.location = snapshot.location ;

        if snapshot.qty is null then
            snapshot.qty := 0.00;
        end if;  
        
        if snapshot.qty_onhire is null then
           snapshot.qty_onhire := 0.00;
        end if;

       insert into stk_freeze_dtl values (default,
                                          snapshot.stk_freeze_hdr_id,
                                          snapshot.product_type_id,
                                          snapshot.plu,
                                          snapshot.location,
                                          snapshot.qty,
                                          snapshot.qty_onhire,
                                          snapshot.unit_cost
                      );

        
    select currval('stk_freeze_dtl_nsuk_seq') into snapshot.nsuk;

    return next snapshot;
        
    end loop;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.generate_snapshot(poperator integer) OWNER TO postgres;

--
-- TOC entry 53 (class 1255 OID 78221)
-- Dependencies: 382 1230 5
-- Name: get_barcode_forplu(character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_barcode_forplu(aplu character, aptsnsuk integer) RETURNS SETOF jp_get_barcode_forplu
    AS $$

declare pPTID           integer;
	ret		jp_get_barcode_forplu%rowtype;
	plurec		record;
	pPTDesc		char(30);
	pProdDesc	char(30);
        pPTRedund       char(1);
	pPTSuppID	integer;
	pBarcodeID	integer;
	pBarcode	char(13);
        pCost           decimal(10,4);
        pSellEx         decimal(10,4);
        pSellInc        decimal(10,4);
        pCnt            integer;
        pVatRate        decimal(8,4);
	barcode_row	record;
	
    --set debug file to 'plist.out';
    --TRACE on;

    begin

    ret.ret_stat := 0;
    ret.ret_string := 'Success';
    ret.prod_redundant := '';

	-- Get Product-Type and Product Details for PLU
	SELECT pt.nsuk as pt_nsuk, pt.descr, p.description,pt.redundant,
               pts.nsuk as pts_nsuk, v.rate
	into plurec
	--INTO pPTID, pPTDesc, pProdDesc, pPTRedund, pPTSuppID, pVatRate
	FROM product_type pt, product p, pt_Supplier pts, vat v
	Where pt.product = p.nsuk
          AND p.vcode = v.cod
   	  AND pt.nsuk = pts.product_type
  	  AND pt.plu = aPLU
          AND pts.nsuk = aPTSNsuk;


	-- Check if we found the Details relating to the PLU given
	if found then

	   -- Get Cost Price, Sell Price and calculate Sell Inc Vat

	   select * from get_cost_by_pt(plurec.pt_nsuk)
               into ret.cost_price;
	   select * from get_sell_by_pt(plurec.pt_nsuk)
	       into ret.sell_price;

	   ret.sell_pricev := ret.sell_price * ( 1 + (plurec.rate /100));

	   -- Get Count of barcodes associated with PLU given

     	   SELECT count(*) INTO pCnt
	   FROM barcode
	   WHERE product_type = plurec.pt_nsuk;

	   -- If there are barcodes retrieve them iteratively
	   IF pCnt > 0 then

		for barcode_row  in SELECT nsuk, ean
			--INTO pBarcodeID, pBarcode
			FROM barcode
			WHERE product_type = plurec.pt_nsuk

		    loop
		
		    ret.nsuk := plurec.pt_nsuk;
		    ret.pt_description := plurec.descr;
		    ret.prod_description := plurec.description;
		    ret.prod_redundant := plurec.redundant;
		    ret.pt_supp_nsuk := plurec.pts_nsuk;
		    ret.barcode_nsuk := barcode_row.nsuk;
		    ret.barcode_ean := barcode_row.ean;



		    return next ret;

		    --return pErrCode, pErrText,pPTID, pPTDesc, pProdDesc,
		    --pPTRedund, pPTSuppID, pBarcodeID, pBarcode, pCost,
                    --pSellEx, pSellInc with resume;

		end loop;
		return;
	   ELSE
	   -- IF there are no barcodes then return values known.

	      ret.nsuk := plurec.pt_nsuk;
	      ret.pt_description := plurec.descr;
	      ret.prod_description := plurec.description;
	      ret.prod_redundant := plurec.redundant;
	      ret.pt_supp_nsuk := plurec.pts_nsuk;
	      ret.barcode_nsuk := 0;
	      ret.barcode_ean := '';

	      return next ret;	
	      return;
              --return pErrCode, pErrText,pPTID, pPTDesc, pProdDesc,
		     --pPTRedund, pPTSuppID, 0,'', pCost, PSellEx, pSellInc;

           END IF;

	else
	
	      ret.ret_stat := 1;
 	      ret.ret_string := 'No Details found for PLU given.';

	      ret.nsuk := plurec.pt_nsuk;
	      ret.pt_description := plurec.descr;
	      ret.prod_description := plurec.description;
	      ret.prod_redundant := plurec.redundant;
	      ret.pt_supp_nsuk := plurec.pts_nsuk;
	      ret.barcode_nsuk := 0;
	      ret.barcode_ean := '';
	      ret.cost_price := 0;
	      ret.sell_price := 0;
	      ret.sell_pricev := 0;

	      return next ret;
	      return;
		--return pErrCode, pErrText,pPTID, pPTDesc, pProdDesc,
                       --pPTRedund, pPTSuppID, 0, '',0,0,0;
	end if;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_barcode_forplu(aplu character, aptsnsuk integer) OWNER TO postgres;

--
-- TOC entry 54 (class 1255 OID 78222)
-- Dependencies: 383 1230 5
-- Name: get_bc_plusupp(character, integer, character); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_bc_plusupp(aplu character, aptsnsuk integer, asuppcod character) RETURNS SETOF jp_get_bc_plusupp
    AS $$


declare ret		jp_get_bc_plusupp%rowtype;
	plu_row		record;
	barcode_row	record;
	plu2_row	record;

	pErrcode	integer;
	pErrText	char(60);
        pPTID           integer;
	pPTDesc		char(30);
	pProdDesc	char(30);
        pPTRedund       char(1);
	pPTSuppID	integer;
	pBarcodeID	integer;
	pBarcode	char(13);
        pCost           decimal(10,4);
        pSellEx         decimal(10,4);
        pSellInc        decimal(10,4);

        pCnt            integer;
        pVatRate        decimal(8,2);

    begin


    ret.ret_stat := 0;
    ret.ret_string := 'Success';

	-- Get Product-Type and Product Details for PLU

	SELECT pt.nsuk as pt_nsuk, pt.descr, p.description, pt.redundant,
               pts.nsuk as pts_nsuk, v.rate
        into plu_row
        --INTO pPTID, pPTDesc, pProdDesc, pPTRedund, pPTSuppID, pVatRate


	FROM product_type pt, product p, pt_Supplier pts, vat v
	Where pt.product = p.nsuk
          AND p.vcode = v.cod
   	  AND pt.nsuk = pts.product_type
  	  AND pt.plu = aPLU
	  AND pts.supplier = aSuppCod;


	-- Check if we found the Details relating to the PLU given
	if found  then

	   select * from  get_cost_by_ptsupp(aPTSNsuk)
           into ret.cost_price;

	   select * from get_sell_by_pt(plu_row.pt_nsuk)
           into ret.sell_price;

           ret.sell_pricev := ret.sell_price * ( 1 + ( plu_row.rate / 100 ));

	   -- Get Count of barcodes associated with PLU given

     	   SELECT count(*)
           INTO pCnt
	   FROM barcode
	   WHERE product_type = plu_row.pt_nsuk AND supplier = aSuppCod;

	   -- If there are barcodes retrieve them iteratively
	   IF pCnt > 0 then

		for barcode_row in SELECT nsuk, ean
			--INTO pBarcodeID, pBarcode
			FROM barcode
			WHERE product_type = plu_row.pt_nsuk
                          AND supplier = aSuppCod
                loop
		    ret.nsuk := plurec.pt_nsuk;
		    ret.pt_description := plurec.descr;
		    ret.prod_description := plurec.description;
		    ret.prod_redundant := plurec.redundant;
		    ret.pt_supp_nsuk := plurec.pts_nsuk;
		    ret.barcode_nsuk := barcode_row.nsuk;
		    ret.barcode_ean := barcode_row.ean;

		
		    return next ret;
		    --return pErrCode, pErrText,pPTID, pPTDesc, pProdDesc,
			    --pPTRedund, pPTSuppID, pBarcodeID, pBarcode, PCost,
                            --pSellEx, pSellInc with resume;

		end loop;
		return;

	   ELSE
	   -- IF there are no barcodes then return values known.
	      ret.nsuk := plurec.pt_nsuk;
	      ret.pt_description := plurec.descr;
	      ret.prod_description := plurec.description;
	      ret.prod_redundant := plurec.redundant;
	      ret.pt_supp_nsuk := plurec.pts_nsuk;
	      ret.barcode_nsuk := 0;
	      ret.barcode_ean := '';

	      return next ret;	
	      return;


              --return pErrCode, pErrText,pPTID, pPTDesc, pProdDesc,
		     --pPTRedund, pPTSuppID, 0,'', pCost, pSellEx, pSellInc;

           END IF;

	else
	     -- Get Product-Type and Product Details for PLU
             SELECT pt.nsuk as pt_nsuk, pt.descr, p.description, pt.redundant,
                    pts.nsuk as pts_nsuk, v.rate
	     into plu2rec

             --INTO pPTID, pPTDesc, pProdDesc, pPTRedund, pPTSuppID, pVatRate
             FROM product_type pt, product p, pt_Supplier pts, vat v
             Where pt.product = p.nsuk
               AND p.vcode = v.cod
               AND pt.nsuk = pts.product_type
               AND pt.plu = aPLU
               AND pts.nsuk = aPTSNsuk;

	      if not found  then
	        ret.ret_stat := 1;
 	        ret.ret_string := 'No Details found for PLU given.';

	        ret.nsuk := plu2rec.pt_nsuk;
	        ret.pt_description := plu2rec.descr;
	        ret.prod_description := plu2rec.description;
	        ret.prod_redundant := plu2rec.redundant;
	        ret.pt_supp_nsuk := plu2rec.pts_nsuk;
	        ret.barcode_nsuk := 0;
	        ret.barcode_ean := '';
	        ret.cost_price := 0;
	        ret.sell_price := 0;
	        ret.sell_pricev := 0;

              else

	        ret.ret_stat := 0;
 	        ret.ret_string := 'Success';

	        ret.nsuk := plu2rec.pt_nsuk;
	        ret.pt_description := plu2rec.descr;
	        ret.prod_description := plu2rec.description;
	        ret.prod_redundant := plu2rec.redundant;
	        ret.pt_supp_nsuk := plu2rec.pts_nsuk;
	        ret.barcode_nsuk := 0;
	        ret.barcode_ean := '';

           	ret.cost_price := get_cost_by_pt(plu2rec.pt_nsuk);
           	ret.sell_price := get_sell_by_pt(plu2rec.pt_nsuk);
           	ret.sell_pricev := ret.sell_price * ( 1 + ( plu2rec.rate / 100 ));

              end if;

	      return next ret;
 	      return;

              --return pErrCode, pErrText,pPTID, pPTDesc, pProdDesc,
               --      pPTRedund, pPTSuppID, 0, '', pCost, PSellEx, pSellInc;

        end if;


End;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_bc_plusupp(aplu character, aptsnsuk integer, asuppcod character) OWNER TO postgres;

--
-- TOC entry 55 (class 1255 OID 78223)
-- Dependencies: 384 1230 5
-- Name: get_bcode_label(character); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_bcode_label(abarcode character) RETURNS SETOF jp_get_bcode_label
    AS $$

declare ret	jp_get_bcode_label%rowtype;
                pErrNum   integer;
                pErrText  char(60);

                pPTNsuk	 integer;
                pPrice    decimal(16,4);
                pDesc1    char(30);
                pDesc2    char(30);
                pPLU      char(7);
                pVatRate  decimal(8,4);
                pItemDesc char(15);
                pCount    integer;

    begin
    ret.ret_stat  := 0;
    ret.ret_string := '';

    -- Default values to nothing
    ret.sell_price := 0;
    ret.desc1 := '';
    ret.desc2 := '';
    ret.plu := '';
    pVatRate := 0;

    -- Get Barcode Details for the argument Barcode ean given
    SELECT product_type INTO pPTNsuk
    FROM barcode WHERE ean = aBarcode;

    -- Check if the Barcode was found!
    if found then
	-- Get latest selling Price

	select * from get_sell_by_pt(pPTNsuk)
	into ret.sell_price;

	-- Calculate Sell Price Including Vat

	select v.rate
        into pvatrate
	from vat v, product p, product_type pt
	WHERE v.cod = p.vcode
  	  AND p.nsuk = pt.product
  	  AND pt.nsuk = PPTNsuk;

	--pPrice = (pPrice / (100-pVatRate)) * 100;

	ret.sell_price := ret.sell_price * (1 + (pVatRate /100));

	-- Get Description
	SELECT descr,plu
        INTO ret.desc1,ret.plu
	FROM product_type
        WHERE nsuk = pPTNsuk;

        -- Get Product Type Item Description, if it exists
        SELECT count(*)
        INTO pCount
        FROM pt_itemdesc
	WHERE product_type = ret.plu;

        if pCount > 0 then
	   SELECT description
	   INTO ret.item_desc
	   FROM pt_itemdesc
	   WHERE product_type = ret.plu;
        else
	   ret.item_desc := '';
	end if;


        -- We now have barcode, price, Desc1, and code.

    else
	-- We didn't find the barcode

	ret.ret_stat := 1;
	ret.ret_string := 'Barcode could not be found';

    end if;

    return next ret;
    return;
end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_bcode_label(abarcode character) OWNER TO postgres;

--
-- TOC entry 56 (class 1255 OID 78224)
-- Dependencies: 1230 5
-- Name: get_cost_by_pt(integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_cost_by_pt(pt integer) RETURNS money
    AS $$
/* New function body */

declare  Pcost_price             decimal(16,2) := NULL;

begin

    select curr_cost_price
    into Pcost_price
    from Product_type
    where nsuk = pt;

    return Pcost_price;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_cost_by_pt(pt integer) OWNER TO postgres;

--
-- TOC entry 57 (class 1255 OID 78225)
-- Dependencies: 1230 5
-- Name: get_cost_by_ptdate(integer, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_cost_by_ptdate(pt integer, dt date) RETURNS numeric
    AS $$

--
--Get the latest cost price regardless of supplier
--

declare  Pcost_price             decimal(10,4);
         Peff_date               date;
         cost_row		 record;

begin

    cost_row.cost_price := null;

    for cost_row in select a.unit_net_cost, a.effective_date
            from cost_price a, pt_supplier b
            where b.product_type = pt
              and a.pt_supplier = b.nsuk
              and a.effective_date <= dt
            order by effective_date desc
    loop

        exit;

    end loop;

    return cost_row.cost_price;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_cost_by_ptdate(pt integer, dt date) OWNER TO postgres;

--
-- TOC entry 58 (class 1255 OID 78226)
-- Dependencies: 1230 5
-- Name: get_cost_by_ptsupp(integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_cost_by_ptsupp(aptsnsuk integer) RETURNS numeric
    AS $$
--
--Get the latest cost price according to argument PT_supplier NSUK
--

declare  pCost             decimal;
         pEffDate          date;
         cost_row	   record;

begin

    pCost := null;

    for cost_row in SELECT unit_net_cost, effective_date
                   FROM cost_price
                   WHERE pt_supplier = aPTSNsuk
                   ORDER BY effective_date desc
    loop

              exit;

    end loop;


    return cost_row.unit_net_cost;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_cost_by_ptsupp(aptsnsuk integer) OWNER TO postgres;

--
-- TOC entry 59 (class 1255 OID 78227)
-- Dependencies: 1230 5
-- Name: get_home_currency(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_home_currency() RETURNS character
    AS $$
declare  Pcurrency       currency.cod%type;

BEGIN

    select value
    into Pcurrency
    from sys_config
    where num = 93;

    if not FOUND then
        Pcurrency := "EUR";
    end if;

    return Pcurrency;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_home_currency() OWNER TO postgres;

--
-- TOC entry 60 (class 1255 OID 78228)
-- Dependencies: 1230 5
-- Name: get_next_mtref(integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_next_mtref(ansuk integer) RETURNS integer
    AS $$

declare  pRef            integer;

begin

        -- Get Movement Type for the NSUK given
        SELECT movement_typ.reference
        INTO pRef
        FROM movement_typ
        Where nsuk = aNsuk;

        -- Check if we found the Details relating to the NSUK given
        if not FOUND then

                --update the reference by increasing by 1
                update movement_typ
                set reference = (pRef + 1)
                where nsuk = aNsuk;

                return pRef;
        else

                return -1;

        end if;

end;

$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_next_mtref(ansuk integer) OWNER TO postgres;

--
-- TOC entry 61 (class 1255 OID 78229)
-- Dependencies: 1230 5
-- Name: get_note(integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_note("Pnum" integer) RETURNS text
    AS $$
DECLARE

DECLARE     w_note      text;
            w_txt       varchar(60);
            w_lin       integer; 
            trimnote    jp_trimnote; 
            
BEGIN

    w_note := '';

    for trimnote in
        select lin, trim(trailing ' ' from txt)
          from note
         where note.seq = Pnum
      order by note.lin 
    loop

      w_note := w_note || ' ' || trimnote.txt;

    end loop;

    return w_note;

END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_note("Pnum" integer) OWNER TO postgres;

--
-- TOC entry 62 (class 1255 OID 78230)
-- Dependencies: 385 1230 5
-- Name: get_price_history(character); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_price_history(pproducttype character) RETURNS SETOF jp_get_price_history
    AS $$


declare sell_row	record;
	cost_row	record;
	temp_row 	record;
	ret		jp_get_price_history%rowtype;
        pEffDate        date;
        pChangeType     char(4);
        pCostPrice      decimal(8,4);
        pSellPrice      decimal(8,4);
        pMargin         decimal(8,4);
        pPercMarkup     decimal(8,2);
        pSuppName       char(30);
        pSellInc        decimal(8,2);
        P_Cnt           integer;
        pPTSupplier     integer;
        pSuppID         char(6);
        pCurr           char(2);
        pSellPExVat     decimal(8,4);
        pVatRate        decimal(8,2);
        pPriceType      char(1);

    begin

    P_Cnt := 0;

    -- Create a Temp Table putting Results from both Sell and Cost
    -- into it and then at the end retrieve all records using UNIQUE
    -- Select on Dates and ordering by date Desc
    -- Destroy Table upon completion

    Create TEMP TABLE tempSellCost(EffDate date,
                                   PriceType char(4),
                                   CostPrice decimal(10,4),
                                   SellPrice decimal(10,4),
                                   SellIncVat decimal(10,4),
                                   Margin decimal(8,2),
                                   PercMarkup decimal(8,2),
                                   SuppName char(30));

    -- Retrieve all Sell Price Items
    for sell_row in SELECT sp.effective_date, 'Sell' AS price_type,
        s.cod as supplier, s.nam as SuppName,
        s.currency as CurrCode, pts.nsuk, v.rate, sp.Sell_Price




	--INTO pEffDate, pChangeType, pSuppID, pSuppName,
        --pCurr, pPTSupplier, pVatRate, pSellPrice

	From sell_price sp, supplier s, pt_Supplier pts,
             product p, product_type pt, vat v
        WHERE pts.product_type = sp.product_type
        AND pts.supplier = s.cod
        AND pts.product_type = pt.nsuk
        AND pt.product = p.nsuk
        AND p.vcode = v.cod
        AND sp.product_type = pProductType

    loop

        P_Cnt := P_Cnt + 1;

          --pCostPrice := get_cost_by_ptdate(pProductType,sell_row.effective_date);
	
          select * from get_cost_by_ptdate(pProductType,sell_row.effective_date)
	  into pCostPrice;


          pSellInc := sell_row.Sell_Price * ( 1 + ( sell_row.rate / 100));

          pMargin := sell_row.Sell_Price - pCostPrice;

          pPercMarkup := (pMargin * 100) / pCostPrice;

        -- Check that we don't already have an entry for this date

        SELECT PriceType
        INTO pPriceType
        From Tempsellcost
        WHERE EffDate = pEffDate;

        if not found THEN
            INSERT INTO tempsellcost(EffDate,PriceType,CostPrice,
                                 SellPrice, SellIncVat, Margin,
                                 PercMarkup, SuppName)
            VALUES(sell_row.effective_date,sell_row.price_type,pCostPrice,
                                 sell_row.Sell_Price, pSellInc, pMargin,
                                 pPercMarkup, '');
        End if;

    end loop;

    -- Retrieve all Cost Price Items

    for cost_row in SELECT cp.effective_date,'Cost' AS price_type,
        s.cod as supplier, s.nam as SuppName,
        s.currency as CurrCode, pts.nsuk, v.rate, cp.Unit_net_Cost


        --INTO pEffDate, pChangeType, pSuppID, pSuppName,
        --pCurr, pPTSupplier, pVatRate, pCostPrice
        From cost_price cp, supplier s, pt_Supplier pts,
             product p, product_type pt, vat v
        WHERE cp.pt_Supplier = pts.nsuk
        AND pts.supplier = s.cod
        AND pts.product_type = pt.nsuk
        AND pt.product = p.nsuk
        AND p.vcode = v.cod
        AND pts.product_type = pProductType
    loop

        P_Cnt := P_Cnt + 1;

          --pSellPrice := get_sell_by_ptdate(pProductType,cost_row.effectice_date);

	  select * from get_sell_by_ptdate(pProductType,cost_row.effectice_date)
	  into pSellPrice;

          pSellInc := pSellPrice * ( 1 + ( cost_row.rate / 100));

          pMargin := pSellPrice - cost_row.unit_net_cost;

          pPercMarkup := (pMargin * 100) / cost_row.unit_net_cost;


            INSERT INTO tempsellcost(EffDate,PriceType,CostPrice,
                                 SellPrice, SellIncVat, Margin,
                                 PercMarkup, SuppName)
            VALUES(cost_row.effective_date,cost_row.price_type,cost_row.unit_net_cost,
                                 pSellPrice, pSellInc, pMargin,
                                 pPercMarkup, cost_row.SuppName);

    end loop;


    -- Select All UNIQUE items from tempsellcost based on date
    -- Order by Date Desc

    For temp_row in SELECT EffDate,PriceType,CostPrice,SellPrice, SellIncVat,
           Margin, PercMarkup, SuppName


       --INTO pEffDate,pChangeType,pCostPrice,pSellPrice, pSellInc, pMargin,
         --  pPercMarkup,pSuppName
       FROM tempsellcost
       Order by EffDate Desc
    loop
       -- Return the Results

       ret.dat := temp_row.EffDate;
       ret.price_type := temp_row.PriceType;
       ret.cost_price := temp_row.CostPrice;
       ret.sell_price := temp_row.SellPrice;
       ret.sell_pricev := temp_row.SellIncVat;
       ret.margin     := temp_row.Margin;
       ret.markup     := temp_row.PercMarkup;
       ret.supplier   := temp_row.SuppName;

       return next ret;

    End loop;

    -- Drop Temp Table
    DROP TABLE tempsellcost;

    return;
End;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_price_history(pproducttype character) OWNER TO postgres;

--
-- TOC entry 63 (class 1255 OID 78231)
-- Dependencies: 386 1230 5
-- Name: get_product_list(character); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_product_list(pcode character) RETURNS SETOF jp_get_product_list
    AS $$

declare ret		jp_get_product_list%rowtype;
	Perrcode	integer;
	PerrText	char(60);
	Pprodid		integer;
        PProdCod        char(7);
	PProdDesc	char(30);
        PSupplier 	char(6);
        PSalesNom	char(6);
        PPurchNom 	char(6);
        PStockNom	char(6);
        PInvoiceWhen 	char(1);
	Pptid		integer;
        PPTplu          char(7);
	PPtDesc		char(30);
	PVatCode	integer;
	PVatRate	decimal(5,2);
        PProdServ       char(1);
	PPtSuppId	integer;
	Pcost		decimal(10,4);
	Psell		decimal(10,4);
	Pmargin		decimal(7,2);
	Ptemp_markup	decimal(10,2);
	PmarkUp		decimal(7,2);
        PSuppName       char(30);
        PSuppID         char(6);
        PCurrCode       char(2);
        PGRP            char(6);
        PRedund         char(1);
        PPTItemDesc     char(15);

	Pdump		integer;
	w_cnt		integer;
	w_suppidcnt	integer;
        PCount          integer;
        pt_row		record;
	pts_row		record;

        begin

	ret.ret_stat := 0;
       	ret.ret_string := '';
	ret.product_cod := '';
 	ret.prod_description := '';
	ret.prod_supplier := '';
	ret.prod_sales_nom := '';
	ret.prod_purch_nom := '';
	ret.prod_stock_nom := '';
	ret.prod_invoice_when := '';
	ret.pt_plu := '';
	ret.pt_description := '';
	ret.prod_or_service := '';
	ret.supplier_name := '';
	ret.supplier_code := '';
	ret.supp_currency := '';
	ret.dept_deptgrpcode := '';
        ret.redundancy := '';
	ret.pt_item_description := '';
	ret.home_perc_markup := 0;
	ret.home_margin :=0;
	ret.vat_rate := 0;
	ret.home_cost_price := 0;
	ret.sell_price := 0;
	ret.product_id := 0;
	ret.pt_id := 0;
	ret.vat_code := 0;
	ret.pt_supplier_id := 0;

	pErrText := '';
	pProdCod := '';
	pProdDesc := '';
	pSupplier := '';
	pSalesNom := '';
	pStockNom := '';
	pPurchNom := '';
	pInvoiceWhen := '';
	pPTPlu := '';
	pPTDesc := '';
        PProdServ := '';
	pSuppName := '';
        PSuppID := '';
	PCurrCode := '';
	PGRP := '';
	PRedund := '';
        PPTItemDesc := '';

        PmarkUp := 0;
        Pmargin := 0;
        PVatRate := 0;
	Pcost := 0;
	Psell := 0;
	Ptemp_markup := 0;

        Perrcode := 0;
	Pprodid := 0;
	Pptid := 0;
	PVatCode := 0;
	PPTSuppId := 0;
	Pdump := 0;
	w_cnt := 0;
	w_suppidcnt := 0;
        PCount := 0;

    select description, nsuk, cod, vcode, supplier, sales_nominal,
	   purchase_nominal, stock_nominal, invoice_when, grp, stock_type
    into PProdDesc, Pprodid, PProdCod, Pvatcode, PSupplier, PSalesNom,
         PPurchNom, PStockNom, PInvoiceWhen, PGRP, PProdServ
    from product
    where product.cod = pcode;

    if not found then
	PerrCode := 1;
	PerrText := 'Product Not On File';


	ret.ret_stat := Perrcode;
       	ret.ret_string := 'Product Not Found';
	ret.product_cod := PProdCod;
 	ret.prod_description := PProdDesc;
	ret.prod_supplier := PSupplier;
	ret.prod_sales_nom := PSalesNom;
	ret.prod_purch_nom := PPurchNom;
	ret.prod_stock_nom := PStockNom;
	ret.prod_invoice_when := PInvoiceWhen;
	ret.pt_plu := '';
	ret.pt_description := '';
	ret.prod_or_service := PProdServ;
	ret.supplier_name := '';
	ret.supplier_code := '';
	ret.supp_currency := '';
	ret.dept_deptgrpcode := PGRP;
        ret.redundancy := '';
	ret.pt_item_description := '';
	ret.home_perc_markup := 0;
	ret.home_margin :=0;
	ret.vat_rate := 0;
	ret.home_cost_price := 0;
	ret.sell_price := 0;
	ret.product_id := 0;
	ret.pt_id := 0;
	ret.vat_code := 0;
	ret.pt_supplier_id := 0;

	return next ret;

    end if;


    select vat.cod, vat.rate
    into PVatCode, PvatRate
    from vat
    where vat.cod = PVatCode;

    if not found  then
	PerrCode := 1;
	PerrText := 'Vat Code Not On File';


	ret.ret_stat := Perrcode;
       	ret.ret_string := 'Product Not Found';
	ret.product_cod := PProdCod;
 	ret.prod_description := PProdDesc;
	ret.prod_supplier := PSupplier;
	ret.prod_sales_nom := PSalesNom;
	ret.prod_purch_nom := PPurchNom;
	ret.prod_stock_nom := PStockNom;
	ret.prod_invoice_when := PInvoiceWhen;
	ret.pt_plu := '';
	ret.pt_description := '';
	ret.prod_or_service := PProdServ;
	ret.supplier_name := '';
	ret.supplier_code := '';
	ret.supp_currency := '';
	ret.dept_deptgrpcode := PGRP;
        ret.redundancy := '';
	ret.pt_item_description := '';
	ret.home_perc_markup := 0;
	ret.home_margin :=0;
	ret.vat_rate := PVatRate;
	ret.home_cost_price := 0;
	ret.sell_price := 0;
	ret.product_id := Pprodid;
	ret.pt_id := '';
	ret.vat_code := PVatCode;
	ret.pt_supplier_id := 0;


	return next ret;
    end if;

    --
    --	This is all of the product related stuff
    --  We now need to look at the product types associated with it
    --

    w_cnt := 0;		-- If we get no pt's this is an error

    for pt_row in select nsuk, plu, descr, redundant
    --into Pptid, PPTplu, PptDesc, PRedund
    from product_type
    where product_type.product = PprodId



    loop
	w_cnt := w_cnt + 1;

	w_suppidcnt := 0;

	for pts_row in SELECT pt.nsuk, pt.priority, s.nam, s.cod, s.currency
	--INTO PptSuppID, PDump, PSuppName, PSuppID, PCurrCode
	FROM pt_supplier pt, supplier s
	WHERE pt.product_type = pts_row.nsuk --PPTID
	  AND pt.supplier = s.cod
	  ORDER BY pt.priority, s.nam

        loop
            -- increment supplier counter
	    w_suppidcnt = w_suppidcnt + 1;

	    select * from get_cost_by_ptsupp(pts_row.nsuk)
	    into Pcost;

	    select * from get_cost_by_ptsupp(pt_row.nsuk)
	    into Psell;
	
            Pmargin := Psell - Pcost;

            if pCost <> 0 then
                Ptemp_markup := (Pmargin * 100) / pCost;

                if Ptemp_markup > 9999.99 then
                     PMarkUp := 0;
                else
                     PMarkUp := Ptemp_markup;
                end if;
            else
                PMarkUp := 0;
            end if;

	    -- Get Product Type Item Description IF one exists
	    SELECT count(*)
	    INTO PCount
	    FROM pt_itemdesc
	    WHERE product_type = PPTplu;

            -- if we didn't find the record
	    if pCount < 1 then
                PPTItemDesc := '';
            else

		SELECT pt_itemdesc.description
		INTO PPTItemDesc
                FROM pt_itemdesc
		WHERE product_type = PPTplu;

            end if;

            PerrCode := 0;
            PerrText := 'Succeeded';


	    ret.ret_stat := Perrcode;
       	    ret.ret_string := PerrText;
	    ret.product_cod := PProdCod;
 	    ret.prod_description := PProdDesc;
	    ret.prod_supplier := PSupplier;
	    ret.prod_sales_nom := PSalesNom;
	    ret.prod_purch_nom := PPurchNom;
	    ret.prod_stock_nom := PStockNom;
	    ret.prod_invoice_when := PInvoiceWhen;
	    ret.pt_plu := pt_row.plu;
	    ret.pt_description := pt_row.descr;
	    ret.prod_or_service := PProdServ;
	    ret.supplier_name := pts_row.nam;
	    ret.supplier_code := pts_row.cod;
	    ret.supp_currency := pts_row.currency;
	    ret.dept_deptgrpcode := PGRP;
            ret.redundancy := pt_row.redundant;
	    ret.pt_item_description := PPTItemDesc;
	    ret.home_perc_markup := PMarkup;
	    ret.home_margin := PMargin;
	    ret.vat_rate := PVatRate;
	    ret.home_cost_price := Pcost;
	    ret.sell_price := Psell;
	    ret.product_id := Pprodid;
	    ret.pt_id := pt_row.nsuk;
	    ret.vat_code := PVatCode;
	    ret.pt_supplier_id := pts_row.nsuk;



	    return next ret ;
	end loop;



	if w_suppidcnt = 0 then
	    PerrCode := 1;
	    PerrText := 'Product Supplier ID Not On File';



	    ret.ret_stat := Perrcode;
       	    ret.ret_string := PerrText;
	    ret.product_cod := PProdCod;
 	    ret.prod_description := PProdDesc;
	    ret.prod_supplier := PSupplier;
	    ret.prod_sales_nom := PSalesNom;
	    ret.prod_purch_nom := PPurchNom;
	    ret.prod_stock_nom := PStockNom;
	    ret.prod_invoice_when := PInvoiceWhen;
	    ret.pt_plu := pt_row.plu;
	    ret.pt_description := pt_row.descr;
	    ret.prod_or_service := PProdServ;
	    ret.supplier_name := pts_row.nam;
	    ret.supplier_code := pts_row.cod;
	    ret.supp_currency := pts_row.currency;
	    ret.dept_deptgrpcode := PGRP;
            ret.redundancy := pt_row.redundant;
	    ret.pt_item_description := PPTItemDesc;
	    ret.home_perc_markup := PMarkup;
	    ret.home_margin := PMargin;
	    ret.vat_rate := PVatRate;
	    ret.home_cost_price := Pcost;
	    ret.sell_price := Psell;
	    ret.product_id := Pprodid;
	    ret.pt_id := pt_row.nsuk;
	    ret.vat_code := PVatCode;
	    ret.pt_supplier_id := pts_row.nsuk;


	    return next ret ;


        end if;
	

    end loop;

    return;
end ;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_product_list(pcode character) OWNER TO postgres;

--
-- TOC entry 64 (class 1255 OID 78233)
-- Dependencies: 1230 5
-- Name: get_ptrans(integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_ptrans(typ integer) RETURNS text
    AS $$
declare w_description    ptrans.description%type;

begin

    select ptrans.description into w_description
    from ptrans
    where ptrans.cod = typ;

    if not FOUND then
        w_description := "Unknown Tx type";
    end if;

    return w_description;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_ptrans(typ integer) OWNER TO postgres;

--
-- TOC entry 65 (class 1255 OID 78234)
-- Dependencies: 1230 5
-- Name: get_sell_by_ptdate(integer, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION get_sell_by_ptdate(pt integer, dt date) RETURNS numeric
    AS $$

declare  sell_row		record;

begin

    sell_row.sell_price = null;

    for sell_row in select sell_price, effective_date
            from sell_price
            where sell_price.product_type = pt
              and sell_price.effective_date <= dt
            order by effective_date desc
    loop

        exit;

    end loop;

    return sell_row.sell_price;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.get_sell_by_ptdate(pt integer, dt date) OWNER TO postgres;

--
-- TOC entry 66 (class 1255 OID 78235)
-- Dependencies: 389 1230 5
-- Name: getpluprices(integer, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION getpluprices(aproducttype integer, apricelist integer, adiscstruct integer) RETURNS jp_pluprices
    AS $$
/*
--Kevin : 6th March 2003

This procedure returns basic product_type details, plus the Master,
Promotional and Customers prices where and if appropriate.

MASTER -->      Standard price of a product type, with Discount
                if Discount Structure specified.
PROMOTIONAL --> If the item is set on a promotional price.
                Get the Promotional Price, NO DISCOUNTs are applicable
                when dealing with Promotional prices.
CUSTOMER'S -->  If Price Specified, check for pricelist value, if none
                exists use MASTER price.
                If Discount Structure specified apply it to value.
*/

-- Internal Variables

declare pPLU                             char(7);
       pDescription                     char(90);
       pProdCode                        char(7);
       pProdDescription                 char(90);
       pCostPrice                       decimal(16,2);
       pVatCode                         integer;
       pVatRate                         decimal(4,2);
       pMasterSP                        decimal(16,4);
       pCustomerSP                      decimal(16,4);
       pPromoSP                         decimal(16,4);
       pSellPrice                       decimal(16,4);
       pDiscountRate                    decimal(4,2);
       pDiscount                        decimal(16,2);
       pDiscountable                    smallint;
       pLookForDisc                     smallint;
       pCheckPLDisc                     smallint;

       pProduct                         integer;   -- Product Nsuk
       pStockUnit                       char(10);  -- Product Stock Unit
       pRowCnt                          smallint;  -- No. of rows returned
       pPLNsuk                          integer;   -- Holds PriceList Nsuk
       pPromoNsuk                       integer;   -- Holds Promotion Nsuk
       pDSNsuk                          integer;   -- Holds DiscStruct Nsuk
       pDept                            integer;   -- Department
       pDeptGroup                       integer;   -- Department Group
       pPLparent                        integer;   -- Parent price list
       pSellPriceType                   smallint;  -- Sell Price Type
       ret_price             jp_pluprices;

begin


  pMasterSP := 0.00;
  pCustomerSP := 0.00;
  pPromoSP := 0.00;
  pSellPrice := 0.00;
  pDiscountRate := 0.00;
  pDiscount := 0.00;
  pSellPriceType := 0;
  pPromoNsuk := 0;
  pStockUnit := '';

  pLookForDisc := 1;
  pCheckPLDisc := 0;

/* Intialise the jp_pluprices type to what it will be if we have to return an error
*/

  ret_price.pt := 0;
  ret_price.plu := '';
  ret_price.plu_description := '';
  ret_price.product_code := '';
  ret_price.product_description := '';
  ret_price.cost_price := 0;
  ret_price.vat_code := 0;
  ret_price.vat_rate := 0;
  ret_price.master_price := 0;
  ret_price.promotional_price := 0;
  ret_price.customer_price := 0;
  ret_price.sell_price := 0;
  ret_price.discount_rate := 0;
  ret_price.discount_value := 0;
  ret_price.sell_pricetype := 0;
  ret_price.stock_unit := '';

-- Step One : Get product_type details

       SELECT  plu, product, descr, curr_cost_price, curr_sell_price
       INTO    pPLU, pProduct, pDescription, pCostPrice, pMasterSP
       FROM    product_type
       WHERE   nsuk = aProductType;

   get diagnostics pRowCnt = ROW_COUNT;

       if pRowCnt > 1 then
               ret_price.err_code = 1;
               ret_price.err_text = 'More than one rows returned for PLU';
               return ret_price;
       end if;

       if pRowCnt = 0 then
               ret_price.err_code = 1;
               ret_price.err_text = 'No rows returned for PLU';
               return ret_price;
       end if;

-- Step 2 : Get Vat Rate and Code.
    -- Get VatCode from Product
    -- Get VatRate from Vat

    SELECT p.vcode, v.rate, p.cod, p.description, p.stock_unit
    INTO   pVatCode, pVatRate, pProdCode, pProdDescription, pStockUnit
    FROM   product p, vat v
    WHERE  p.nsuk = pProduct
      AND  p.vcode = v.cod;

    if pStockUnit is null then
      pStockUnit := '';
    end if;


-- Step 3 : Get Dept and Dept_Group Details

   SELECT dg.dept, dg.nsuk
   INTO pDept, pDeptGroup
   FROM dept_group dg , product p
   WHERE p.nsuk = pProduct
     AND p.dept_group = dg.nsuk;


-- Step 4 : Check if pricelist is Discountable or not

   if aPriceList <> 0 then
     SELECT parent
     INTO pPLparent
     FROM pricelist
     WHERE nsuk = aPricelist;

     if pPLparent is null then
       pPLparent := 0;
     end if;

   end if;

   pDiscountable := 1;


-- Step 5 : Check see if a Promotional Price exists for this item.
    -- Get NSUK for PROMOTION price list (if it exists).

    SELECT nsuk
    INTO pPromoNsuk
    FROM pricelist
    WHERE cod = 'PROMOTION';

    -- If we Found PROMOTION pricelist

    get diagnostics pRowCnt = ROW_COUNT;
    if pRowCnt = 1 then

       -- Check for PLU on Promotion Price List

       SELECT sell_price
       INTO   pPromoSP
       FROM pricelist_det
       WHERE pricelist = pPromoNsuk
         AND product_type = aProductType;

       if not FOUND then

           SELECT sell_price
           INTO   pPromoSP
           FROM pricelist_det
           WHERE pricelist = pPromoNsuk
             AND product = pProduct;

           if not FOUND then
              pPromoSP = 0;
           else
              pLookForDisc = 0;    -- Don't Look for Discount
           end if;
       else
           pLookForDisc = 0;        -- Don't Look for Discount
       end if;

    end if;

-- Step 6 : Check see if a Customer Price exists for this item.

    -- Step 6.1 : If Customer gave a Price List, Check list for Price

    if aPriceList > 0 then

         SELECT sell_price
         INTO   pCustomerSP
         FROM pricelist_det
         WHERE pricelist = aPriceList
           AND product_type = aProductType;

         if not FOUND then

             SELECT sell_price
             INTO   pCustomerSP
             FROM pricelist_det
             WHERE pricelist = aPriceList
               AND product = pProduct;

             if not FOUND then

                 if pPLparent <> 0 then
                     SELECT sell_price
                     INTO   pCustomerSP
                     FROM pricelist_det
                     WHERE pricelist = pPLparent
                       AND product_type = aProductType;

                     if not FOUND then

                         SELECT sell_price
                         INTO   pCustomerSP
                         FROM pricelist_det
                         WHERE pricelist = pPLparent
                           AND product = pProduct;

                         if not FOUND then
                            pCustomerSP = 0;
                         else
                            pCheckPLDisc = 1;        --  Look for Discount
                         end if;
                     else
                         pCheckPLDisc = 1;        --  Look for Discount
                     end if;
                 else
                    -- there is no parent price list
                    pCustomerSP = 0;
                 end if;
             else
                 pCheckPLDisc = 1;
             end if;
         else
             pCheckPLDisc = 1;        --  Look for Discount
         end if;

         pDiscountable := null;

         if pCheckPLDisc = 1 then
            SELECT discountable
            INTO pDiscountable
            FROM pricelist
            WHERE nsuk = aPricelist;

            if pDiscountable is null then
              pDiscountable := 0;
            end if;

            if pDiscountable = 0 then
              pLookForDisc := 0;
            end if;
         end if;

    end if;

-- Step 7: Get Discount Structure Details, IF ANY

  if aDiscStruct <> 0 then

    if pLookForDisc > 0 then

       -- First Check for Discount price for DEPT and DEPT GROUP
       SELECT distinct(discount)
       INTO pDiscountRate
       FROM disc_detail
       WHERE disc_struct = aDiscStruct
         -- AND department = pDept
         AND dept_group = pDeptGroup;

      get diagnostics pRowCnt = ROW_COUNT;
      -- If No results for Dept and Dept Group
      if pRowCnt <> 1 then

          -- Then Check for Discount for just Dept

          SELECT distinct(discount)
          INTO pDiscountRate
          FROM disc_detail
          WHERE disc_struct = aDiscStruct
            AND department = pDept
            AND (dept_group is null or dept_group = -1);

          get diagnostics pRowCnt = ROW_COUNT;
          -- If No Results then Discount is Zero
          if pRowCnt <> 1 then
             pDiscountRate := null;
          end if;

      end if;

    else
       pDiscountRate := null;
    end if; -- if pDiscountable > 0

  end if; -- if aDiscStruct <> ''


-- Step 8: Work out SELL_PRICE to use.

    -- If we have a promotional Price USE THAT
    if pPromoSP > 0 then
       pSellPrice := pPromoSP;
       pSellPriceType := 1;
    else
       -- NOT promo price so see if Customer or Standard price to be used

       if pCustomerSP > 0 then

          -- if Theres a Discount, apply it
          if pDiscountRate is not null then
             pDiscount := ( pCustomerSP / 100 ) * pDiscountRate;
          else
             pDiscount := null;
          end if;

          pSellPrice := pCustomerSP;
          pSellPriceType := 2;
       else

          -- if Theres a Discount, apply it
          if pDiscountRate is not null then
             pDiscount := ( pMasterSP / 100 ) * pDiscountRate;
          else
             pDiscount := null;
          end if;

          pSellPrice := pMasterSP;
          pSellPriceType := 3;
       end if;

    end if;

-- Step 9 : Return Findings

  ret_price.err_code := 0;
  ret_price.err_text := 'Success';
  ret_price.pt := aProductType;
  ret_price.plu := pPLu;
  ret_price.plu_description := pDescription;
  ret_price.product_code := pProdCode;
  ret_price.product_description := pProdDescription;
  ret_price.cost_price := pCostPrice;
  ret_price.vat_code := pVatCode;
  ret_price.vat_rate := pVatRate;
  ret_price.master_price := pMasterSP;
  ret_price.promotional_price := pPromoSP;
  ret_price.customer_price := pCustomerSP;
  ret_price.sell_price := pSellPrice;
  ret_price.discount_rate := pDiscountRate;
  ret_price.discount_value := pDiscount;
  ret_price.sell_pricetype := pSellPriceType;
  ret_price.stock_unit := pStockUnit;

  return ret_price;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.getpluprices(aproducttype integer, apricelist integer, adiscstruct integer) OWNER TO postgres;

--
-- TOC entry 67 (class 1255 OID 78237)
-- Dependencies: 387 1230 5
-- Name: grp_custaged_at(integer, character, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION grp_custaged_at(p_depot integer, p_cod character, p_date date, p_reverse integer, p_age_credits integer) RETURNS SETOF jp_grp_custage
    AS $$
declare p_index int;
          w_count int;
	  ret_grp_custage jp_grp_custage;
          ac_custage jp_custage;
          slave_row record;

begin

    select count(*)
    into w_count
    from account_groups
    where master_depot = p_depot
      and master_cust = p_cod;

    if w_count = 0 then
        select * from  custaged_at(P_depot, p_cod, p_date, p_reverse, p_age_credits)
          into ac_custage;

        ret_grp_custage.account_type 	:= ac_custage.account_type;
        ret_grp_custage.depot 	     	:= ac_custage.depot;
        ret_grp_custage.cust         	:= ac_custage.cust;
        ret_grp_custage.slave_depot  	:= null;
        ret_grp_custage.slave_cust   	:= null;
        ret_grp_custage.balance      	:= ac_custage.balance;
        ret_grp_custage.unallocated  	:= ac_custage.unallocated;
        ret_grp_custage.last_pay      	:= ac_custage.last_pay;
        ret_grp_custage.last_paid    	:= ac_custage.last_paid;
        ret_grp_custage.curr_bal     	:= ac_custage.curr_bal;
        ret_grp_custage.per1_bal     	:= ac_custage.per1_bal;
        ret_grp_custage.per2_bal     	:= ac_custage.per2_bal;
        ret_grp_custage.per3_bal     	:= ac_custage.per3_bal;
        ret_grp_custage.per4_bal     	:= ac_custage.per4_bal;
        ret_grp_custage.per5_bal     	:= ac_custage.per5_bal;
        ret_grp_custage.master_or_slave := 'M';
        ret_grp_custage.slave_count  	:= 0;

	return next ret_grp_custage;

    else
	--
	--	return master details first
	--
        select * from custaged_at(P_depot, p_cod, p_date, p_reverse, p_age_credits)
          into ac_custage;

            ret_grp_custage.account_type 	:= ac_custage.account_type;
            ret_grp_custage.depot 	     	:= ac_custage.depot;
            ret_grp_custage.cust         	:= ac_custage.cust;
            ret_grp_custage.slave_depot  	:= ac_custage.depot;
            ret_grp_custage.slave_cust   	:= ac_custage.cust;
            ret_grp_custage.balance      	:= ac_custage.balance;
            ret_grp_custage.unallocated  	:= ac_custage.unallocated;
            ret_grp_custage.last_pay      	:= ac_custage.last_pay;
            ret_grp_custage.last_paid    	:= ac_custage.last_paid;
            ret_grp_custage.curr_bal     	:= ac_custage.curr_bal;
            ret_grp_custage.per1_bal     	:= ac_custage.per1_bal;
            ret_grp_custage.per2_bal     	:= ac_custage.per2_bal;
            ret_grp_custage.per3_bal     	:= ac_custage.per3_bal;
            ret_grp_custage.per4_bal     	:= ac_custage.per4_bal;
            ret_grp_custage.per5_bal     	:= ac_custage.per5_bal;
            ret_grp_custage.master_or_slave 	:= 'M';
            ret_grp_custage.slave_count  	:= 1;

            return next ret_grp_custage;

        for slave_row in select slave_depot, slave_cust
           from account_groups
          where master_depot = P_depot
	    and master_cust = P_cod
        loop

            select * from custaged_at(slave_row.slave_depot, slave_row.slave_cust, p_date, p_reverse, p_age_credits)
              into ac_custage;

                ret_grp_custage.account_type 	:= ac_custage.account_type;
                ret_grp_custage.depot 	     	:= ac_custage.depot;
                ret_grp_custage.cust         	:= ac_custage.cust;
                ret_grp_custage.slave_depot  	:= slave_row.slave_depot;
                ret_grp_custage.slave_cust   	:= slave_row.slave_cust;
                ret_grp_custage.balance      	:= ac_custage.balance;
                ret_grp_custage.unallocated  	:= ac_custage.unallocated;
                ret_grp_custage.last_pay      	:= ac_custage.last_pay;
                ret_grp_custage.last_paid    	:= ac_custage.last_paid;
                ret_grp_custage.curr_bal     	:= ac_custage.curr_bal;
                ret_grp_custage.per1_bal     	:= ac_custage.per1_bal;
                ret_grp_custage.per2_bal     	:= ac_custage.per2_bal;
                ret_grp_custage.per3_bal     	:= ac_custage.per3_bal;
                ret_grp_custage.per4_bal     	:= ac_custage.per4_bal;
                ret_grp_custage.per5_bal     	:= ac_custage.per5_bal;
                ret_grp_custage.master_or_slave := 'S';
                ret_grp_custage.slave_count  	:= 0;

	        return next ret_grp_custage;

	end loop;


   end if;

   return;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.grp_custaged_at(p_depot integer, p_cod character, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 68 (class 1255 OID 78238)
-- Dependencies: 394 1230 5
-- Name: invoice(integer, numeric, smallint, smallint, character, integer, numeric, date, character, character); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION invoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod character, ainvnum integer, aunitsell numeric, adateentered date, adoctype character, astraightsale character) RETURNS sp_status
    AS $$

declare pErrNum   integer;
       pErrText  char(60);

       pPTNsuk   integer;
       pPTPlu    char(6);

       pLoc          smallint;

       pStockNsuk    integer;

       pCustDepot    integer;
       pCustCod      char(7);

       pInvNum       integer;
       pFree         decimal(16,2);
       pOnHire       decimal(16,2);

       pTime         date; --time year to second;
       pPeriod       date; --time year to month;

       pNeg          decimal(16,2);
       pOnHireQty    decimal(16,2);

       pPhys         decimal(16,2);
       pAllo         decimal(16,2);
       pOnor         decimal(16,2);
       pOnhi         decimal(16,2);

       pMTRef        integer;
       pTotalStk     decimal(16,2);
       pStockValue   decimal(16,4);
       pUnitCost     decimal(16,4);
       err	     sp_status;

begin

    err.ret_stat := 0;
    err.ret_string := 'Success';

-- * STEP 1

    -- Check if Product Type Is Valid
    SELECT nsuk, plu, stock_value, unit_cost
    INTO pPTNsuk, pPTPlu, pStockValue, pUnitCost
    FROM product_type
    WHERE nsuk = aPTNsuk;

    -- If the Product Type was Not found!
    if not found then
    	err.ret_stat := 1;
    	err.ret_string := 'Product Type not found in product_type Table';

        return err;
    end if;

-- * STEP 2

    -- Check if the Location is Valid
    SELECT cod
    INTO pLoc
    FROM depot
    WHERE cod = aLoc;

    -- If the Location was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Location not found in depot Table';

        return err;
    end if;


-- * STEP 3

    -- Check if the Customer Location is Valid
    SELECT cod
    INTO pLoc
    FROM depot
    WHERE cod = aCustDepot;

    -- If the Location was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Customer Location not found in depot Table';

        return err;
    end if;


    -- Check if the Customer is Valid
    SELECT depot, cod
    INTO pCustDepot,pCustCod
    FROM cust
    WHERE depot = aCustDepot
      AND cod = aCustCod;

    -- If the Customer was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Customer not found in cust Table';

        return err;
    end if;


-- * STEP 4

    -- Check if the Invoice Number we're told to use is Valid
    SELECT ihead.ref
    INTO pInvNum
    FROM ihead
    WHERE doc_type = aDocType
      and location = aLoc
      and cust     = aCustCod
      and IHEAD.ref      = aInvNum;

    -- If the Invoice Number was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Invoice Number not found in ihead Table';

        return err;
    end if;


-- * STEP 5   All Details provided are checked and confirmed.
     -- We need now just UPDATE or create stock item for the
     -- product_type specified by aPTNsuk.

    -- Check if Product Type exists in the Stock Recording Table, 'stock'
    SELECT nsuk,qty_physical,qty_onhire
    INTO pStockNsuk, pFree, pOnHire
    FROM stock WHERE product_type = aPTNsuk
    AND location = aLoc;

    -- If the 'stock' table has NO entry for the product Type then we
    -- need to create it
    if not found then
    	-- Create Stock entry for this Product type

      pNeg := 0 - aQtyChange;
      if aStraightSale = 'Y' then
          pOnHireQty := 0;
      else
          pOnHireQty := 0 - aQtyChange;
      end if;

      INSERT INTO stock(nsuk, product_type, location, qty_physical,
                            qty_allocated, qty_onorder, qty_onhire)
      VALUES('0',aPTNsuk, aLoc, pNeg, '0', '0', pOnHireQty);

      pTotalStk := pNeg;

    else
	-- Update Stock entry

        if aStraightSale = 'Y' then --sale on a cash invoice never on a contract
	    UPDATE stock
            set qty_physical = (pFree - aQtyChange)
            WHERE product_type = aPTNsuk
              AND location = aLoc;
        else
	    UPDATE stock
            set qty_physical = (pFree - aQtyChange),
                qty_OnHire = (pOnHire - aQtyChange)
            WHERE product_type = aPTNsuk
              AND location = aLoc;
        end if;

        pTotalStk := (pFree - aQtyChange);

    end if;


-- * STEP 6
     -- Negate the Stock_Value of product_type

     UPDATE product_type
     set stock_value = pStockValue - (aQtyChange * pUnitCost),
     last_sell_date = aDateEntered
     WHERE nsuk = aPTNsuk;


-- * STEP 7   Now Record stock_movement, which requires working out
     -- the TimeStamp and the Period from the stock_control table.


-- * Step 7.1

    -- Get period from the stock_control table
    SELECT period
    INTO pPeriod
    FROM dparams;

-- * Step 7.2

    -- Take note of the TimeStamp

    pTime := now;

-- * Step 7.3

    -- Take note of Next movement_typ reference

    select * from get_next_mtref(2) into pMTRef;
    --pMTRef := get_next_mtref(2);


    -- Work out changes to quantities
    pOnhi := 0 - aQtyChange;
    if aStraightSale = 'Y' then
       pOnHireQty := 0;
    else
       pOnHireQty := 0 - aQtyChange;
    end if;

    -- Record Movement in the stock_movement Table.
    -- Movement Type is set to 2 = 'Invoice'
    INSERT INTO stock_movement(nsuk, product_type, typ,
                               date_entered, timestamp,
                               qty_physical, qty_allocated, qty_onorder,
                               qty_onhire, depot_before, depot_after,
                               cust_depot, cust_cod,
                               movement_ref, trans_ref,
                               unitsell, unitcost, period)
    VALUES(0, aPTNsuk,2, aDateEntered, pTime, pOnhi,
	   0,0,pOnHireQty, aLoc, aLoc,
           aCustDepot, aCustCod, pMTRef,
	   aInvNum, aUnitSell, pUnitCost, pPeriod);


    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.invoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod character, ainvnum integer, aunitsell numeric, adateentered date, adoctype character, astraightsale character) OWNER TO postgres;

--
-- TOC entry 69 (class 1255 OID 78240)
-- Dependencies: 1230 5
-- Name: is_trading(character); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION is_trading(nominal_code character) RETURNS integer
    AS $$
declare Pcount      integer;

begin

     select count(*)
       into Pcount
       from nominal n1, nominal n2
     where n1.lft between n2.lft and n2.rgt
       and n2.cod = 'TRADIN'
       and n1.cod = nominal_code;

     if Pcount > 0 then
        return 1;
     else
        return 0;
     end if;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.is_trading(nominal_code character) OWNER TO postgres;

--
-- TOC entry 70 (class 1255 OID 78241)
-- Dependencies: 394 1230 5
-- Name: jfreeplist(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION jfreeplist() RETURNS sp_status
    AS $$
------- jfplist.* --------------------------------------------------------------
declare  jfcust_name	char(30);
         jfcust_add1	char(30);
         jfcust_add2	char(30);
         jfcust_add3	char(30);
         jfcust_add4	char(30);
         jfdepot_name     char(20);
         jfdepot_add1	char(30);
         jfdepot_add2	char(30);
         jfdepot_add3	char(30);
         jfdepot_add4	char(30);
         jfdepot_phone	char(10);
         jfdepot_fax	char(10);
         jfrun_date	date;
         jfrun_time	time;
         jfweeklyrate	decimal(10,2);
         jfchargetodate   decimal(10,2);
         jfweeklycharge   decimal(10,2);
------- gen_plist_detail.* -----------------------------------------------------

         gpid integer;
         gpdepot integer;
         gpcust char(7);
         gpsite_ref integer;
         gpsite_name char(20);
         gpline_number integer;
         gppdesc char(4);
         gppregister char(7);
         gpdescription char(60);
         gpqty smallint;
         gpdate_started date;
         gplocation smallint;
         gpcontract integer;
         gpslave smallint;

------- site.site -------------------------------------------------------------
         Psite		smallint;

------- custsite.description ---------------------------------------------------
         Psite_name	char(20);

--------------------------------------------------------------------------------
         detail_desc	char(60);
         run_date	date;
         run_time	time;
         first_time	smallint;
         first_loop	smallint;
         goods_sum	decimal(10,2);

	 pci_row 	record;
         gpd_row	record;
	

------- Error Handling Variables -----------------------------------------------
        err			 sp_status;

begin

--------------------------------------------------------------------------------
-------- Clear Permanent Tables ------------------------------------------------
--------------------------------------------------------------------------------

    delete from jfplist;

--------------------------------------------------------------------------------

    run_date 		:= current_date;
    run_time 		:= now();
    first_loop 		:= 0;
    jfweeklyrate 	:= 0;

    for gpd_row in
	select depot,cust,site_ref,site_name,pdesc,pregister,description,
	       qty,date_started,contract,line_number,order_no
        from gen_plist_detail
	order by site_ref,date_started,contract,description,pdesc, pregister
    loop

	if first_loop = 0 then
	    select nam,add1,add2,add3,add4
	      into jfcust_name,jfcust_add1,jfcust_add2,jfcust_add3,jfcust_add4
	    from cust
	    where depot = gpd_row.depot
	      and cod   = gpd_row.cust;

 	    select descr,add1,add2,add3,add4,phone,fax
	      into jfdepot_name,jfdepot_add1,jfdepot_add2,jfdepot_add3,
	           jfdepot_add4,jfdepot_phone,jfdepot_fax
	    from depot
	    where cod = gpd_row.depot;

	    first_loop = 1;
	end if;

	if gpd_row.description is null then
	    gpd_row.description := 'No Description Available';
	end if;

	goods_sum := 0;

        for pci_row in
	    select ref
	    from pc_ihead
	    where location = gpd_row.depot
	    and   cust = gpd_row.cust
	    and   contract = gpd_row.contract
        loop

	    jfweeklyrate := 0;

	    if gpd_row.pregister is not null then
 	        select distinct week
	        into jfweeklyrate
	        from chdetail
	        where depot 	= gpd_row.depot
	        and   cust 	= gpd_row.cust
	        and   contract 	= gpd_row.contract
		and   lin 	= gpd_row.line_number
	        and   pdesc 	= gpd_row.pdesc
	        and   reg 	= gpd_row.pregister;

                select sum(goods)
	        into jfchargetodate
	        from pc_ihdetail
	        where location 		= gpd_row.depot
	        and   cust 		= gpd_row.cust
	        and   pc_ihdetail.ref 	= pci_row.ref
	        and   plant_desc 	= gpd_row.pdesc
 	        and   plant_ref 	= gpd_row.pregister;
	    else
 	        select distinct week
	        into jfweeklyrate
	        from chdetail
	        where depot 	= gpd_row.depot
	        and   cust 	= gpd_row.cust
	        and   contract 	= gpd_row.contract
	        and   lin 	= gpd_row.line_number
	        and   pdesc 	= gpd_row.pdesc;

                select sum(goods)
	        into jfchargetodate
	        from pc_ihdetail
	        where location 		= gpd_row.depot
	        and   cust 		= gpd_row.cust
	        and   pc_ihdetail.ref 	= pci_row.ref
	        and   plant_desc 	= gpd_row.pdesc;

	    end if;

	    if jfchargetodate is null then
		jfchargetodate := 0;
	    end if;

	    goods_sum := goods_sum + jfchargetodate;

	end loop;

	jfweeklycharge := gpd_row.qty * jfweeklyrate;

	    insert into jfplist values(jfcust_name,
				       jfcust_add1,
				       jfcust_add2,
				       jfcust_add3,
				       jfcust_add4,
				       gpd_row.depot,
				       gpd_row.cust,
				       jfdepot_name,
				       jfdepot_add1,
				       jfdepot_add2,
				       jfdepot_add3,
				       jfdepot_add4,
				       jfdepot_phone,
				       jfdepot_fax,
				       run_date,
				       run_time,
				       gpd_row.site_ref,
				       gpd_row.site_name,
				       gpd_row.description,
				       gpd_row.qty,
				       gpd_row.date_started,
				       gpd_row.contract,
				       gpd_row.pdesc,
				       gpd_row.pregister,
				       jfweeklyrate,
				       goods_sum,
			   	       jfweeklycharge,
				       gpd_row.order_no,
                                       0);

    end loop;

    err.ret_stat := 0;
    err.ret_string := 'SUCCESS';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.jfreeplist() OWNER TO postgres;

--
-- TOC entry 71 (class 1255 OID 78242)
-- Dependencies: 1230 5
-- Name: jp_note(integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION jp_note(note_number integer) RETURNS text
    AS $$
declare note_text       text;
        note_row        note%rowtype;

begin

        note_text := '';


        for note_row in select *
                from note
                where note.seq = note_number
                order by note.lin
        loop

                note_text := trim (trailing from note_text) || ' ' || note_row.txt;


        end loop;

    return note_text;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.jp_note(note_number integer) OWNER TO postgres;

--
-- TOC entry 72 (class 1255 OID 78243)
-- Dependencies: 1230 5
-- Name: jp_period(date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION jp_period(in_date date) RETURNS date
    AS $$
/*   Converts any date to the beginning of month date
*    This is used to replace IFMX datetime year to month
*/

declare	ts		timestamp;
        trunc_ts	timestamp;
        beg_of_month	date;
        the_day		integer;
        text_date	text;

begin

    ts := in_date;
    text_date := to_char(ts, '01/MM/YYYY');
    --raise notice 'dat %', text_date;

    beg_of_month = to_date (text_date, 'DD/MM/YYYY');

    return beg_of_month;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.jp_period(in_date date) OWNER TO postgres;

--
-- TOC entry 73 (class 1255 OID 78244)
-- Dependencies: 1230 5
-- Name: load_tl_tables(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION load_tl_tables() RETURNS text
    AS $$
BEGIN

copy tlsledger from 'c:\\dcs-java\\unlsfromcast\\tlsledger.txt'
	with delimiter as '|' null as '';
copy tlihead from 'c:\\dcs-java\\unlsfromcast\\tlihead.txt'
	with delimiter as '|' null as '';
copy tlihdetail from 'c:\\dcs-java\\unlsfromcast\\tlihdetail.txt'
	with delimiter as '|' null as '';
copy tliodetail from 'c:\\dcs-java\\unlsfromcast\\tliodetail.txt'
	with delimiter as '|' null as '';
copy tliddetail from 'c:\\dcs-java\\unlsfromcast\\tliddetail.txt'
	with delimiter as '|' null as '';
copy tlinv_details from 'c:\\dcs-java\\unlsfromcast\\tlinv_details.txt'
	with delimiter as '|' null as '';
copy tlcontact from 'c:\\dcs-java\\unlsfromcast\\tlcontact.txt'
	with delimiter as '|' null as '';
copy tlcust from 'c:\\dcs-java\\unlsfromcast\\tlcust.txt'
	with delimiter as '|' null as '';
copy tlcust_ext from 'c:\\dcs-java\\unlsfromcast\\tlcust_ext.txt'
	with delimiter as '|' null as '';

END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.load_tl_tables() OWNER TO postgres;

--
-- TOC entry 74 (class 1255 OID 78245)
-- Dependencies: 1230 5
-- Name: loadcatchup(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION loadcatchup() RETURNS text
    AS $$
declare tlsledger_row tlsledger%rowtype;
		/*tlihead   ihead%rowtype;
		tlihdetail ihdetail%rowtype;
	    tliodetail iodetail%rowtype;
	    tliddetail iddetail%rowtype;
	    tlinv_details inv_details%rowtype; 
	    tlcontact	contact%rowtype;
		tlcust		cust%rowtype;
	    tlcust_ext	cust_ext%rowtype;
		*/
		Premote_ser	integer;
		Plocal_ser  integer;
		Pnew_serial integer;
		action		char(6);

BEGIN

-- sledger

  for tlsledger_row in
    select *
    from tlsledger
  loop     
  
    Plocal_ser = 0 ;
	select local_ser
	into Plocal_ser
	from serial_mapping
	where tabname = 'sledger'
	and depot = 1
	and remote_ser = tlsledger_row.ser;

	if (not FOUND) then
	   Plocal_ser := tlsledger_row.ser;
	end if;

	if (action = 'UPDATE') then 
	   select *
	   from sledger
 	   where ser = Plocal_ser;

	   if (not FOUND) then
	      action := 'INSERT';
	   else
	      update sledger
	      set sledger.* = tlsledger_row.*
	      where ser = Plocal_ser;
	      continue  ;
	   end if;
	end if ;

	if tlsledger_row.action = 'INSERT' then 
	    Premote_ser := tlsledger_row.ser;
	    tlsledger_row.ser = 0;
	    insert into sledger values (   tlsledger_row.ser,
										  tlsledger_row.depot,
										  tlsledger_row.cod,
										  tlsledger_row.dat,
										  tlsledger_row.period,
										  tlsledger_row.typ,
										  tlsledger_row.amount,
										  tlsledger_row.vat,
										  tlsledger_row.location,
										  tlsledger_row.contract,
										  tlsledger_row.ref,
										  tlsledger_row.os,
										  tlsledger_row.source,
										  tlsledger_row.batch,
										  tlsledger_row.description,
										  tlsledger_row.txt,
										  tlsledger_row.lodgement,
										  tlsledger_row.operator,
										  tlsledger_row.invtype,
										  tlsledger_row.tim,
										  tlsledger_row.cash_nominal,
										  tlsledger_row.cash_invoice
										 );
 
        select currval(sledger_ser_seq) into Pnew_serial;
	
	    insert into serial_mapping values ('sledger',1,Premote_ser,Pnew_serial );
	    continue  ;
	end if	;
	
	if action = 'DELETE' then 
	    delete from sledger 
	      where ser = Plocal_ser;
	end if ;

    end loop;

-- ihead
/*
for tlihead,action
    select *
    from tlihead
   loop
    Plocal_ser = 0 ;
	
	select local_ser
	into Plocal_ser
	from serial_mapping
	where tabname = 'ihead'
	and depot = 1
	and remote_ser = tlihead.nsuk;

	if (not FOUND) then
	   Plocal_ser = tlihead.nsuk;
	end if

	if (action = 'UPDATE') then 
	   select *
	   from ihead
 	   where nsuk = Plocal_ser;

	   if (not FOUND) then
	     action = 'INSERT';
	   else
	      update ihead
	      set ihead.* = tlihead.*
	      where nsuk = Plocal_ser
	      continue loop;
	   end if
	end if 

	if (action = 'INSERT') then 
	    Premote_ser = tlihead.nsuk;
	    tlihead.nsuk = 0;
	    insert into ihead values ( tlihead.* );

		select currval(ihead_nsuk_seq) into Pnew_serial;
	    
	
	    insert into serial_mapping values ('ihead',1,Premote_ser,Pnew_serial );
	    continue foreach;
	end if	
	
	if (action = 'DELETE') then 
	    delete from ihead
	      where nsuk = Plocal_ser;

	end if 

    end loop;


-- ihdetail

 for tlihdetail,action in
    select *
    from tlihdetail
   
    Plocal_ser = 0; 
	select local_ser
	into Plocal_ser
	from serial_mapping
	where tabname = 'ihdetail'
	and depot = 1
	and remote_ser = tlihdetail.nsuk;

	if (not FOUND) then
	   Plocal_ser = tlihdetail.nsuk;
	end if

	if (action = 'UPDATE') then 
	   select *
	   from ihdetail
 	   where nsuk = Plocal_ser;

	   if (not found) then
	      action = 'INSERT';
	   else
	      update ihdetail
	      set ihdetail.* = tlihdetail.*
	      where nsuk = Plocal_ser;
	      continue loop;
	   end if
	end if 

	if action = 'INSERT' then 
	    Premote_ser = tlihdetail.nsuk;
	    tlihdetail.nsuk = 0;
	    insert into ihdetail values ( tlihdetail.* );

		select currval(ihdetail_nsuk_seq) into Pnew_serial;
	    
	
	    insert into serial_mapping values ('ihdetail',1,Premote_ser,Pnew_serial );
	    continue loop;
	end if	
	
	if (action = 'DELETE') then 
	    delete from ihdetail
	      where nsuk = Plocal_ser;

	end if 

    end loop;


-- iodetail

  for tliodetail,action in
    select *
    from tliodetail
   
  loop
    Plocal_ser = 0 ;
	select local_ser
	into Plocal_ser
	from serial_mapping
	where tabname = 'iodetail'
	and depot = 1
	and remote_ser = tliodetail.nsuk;

	if (not found) then
	   Plocal_ser = tliodetail.nsuk;
	end if

	if (action = 'UPDATE') then 
	   select *
	   from iodetail
 	   where nsuk = Plocal_ser;

	   if (not found) then
	      action = 'INSERT';
	   else
	      update iodetail
	      set iodetail.* = tliodetail.*
	      where nsuk = Plocal_ser;
	      continue loop;
	   end if
	end if 

	if (action = 'INSERT') then 
	    Premote_ser = tliodetail.nsuk;
	    tliodetail.nsuk = 0;
	    insert into iodetail values ( tliodetail.* );

		select currval(iodetail_nsuk_seq) into Pnew_serial;
	    
	
	    insert into serial_mapping values ('iodetail',1,Premote_ser,Pnew_serial );
	    continue loop;
	end if	
	
	if action = 'DELETE' then 
	    delete from iodetail
	      where nsuk = Plocal_ser;

	end if 

    end loop;


-- iddetail

  for tliddetail,action in
    select *
    from tliddetail
   
    Plocal_ser = 0; 
	select local_ser
	into Plocal_ser
	from serial_mapping
	where tabname = 'iddetail'
	and depot = 1
	and remote_ser = tliddetail.nsuk;

	if (not found) then
	   Plocal_ser = tliddetail.nsuk;
	end if

	if (action = 'UPDATE') then 
	   select *
	   from iddetail
 	   where nsuk = Plocal_ser;

	   if (not found) then
	      action = 'INSERT';
	   else
	      update iddetail
	      set iddetail.* = tliddetail.*
	      where nsuk = Plocal_ser;
	      continue loop;
	   end if
	end if 

	if (action = 'INSERT') then 
	    Premote_ser = tliddetail.nsuk;
	    tliddetail.nsuk = 0;
	    insert into iddetail values ( tliddetail.* );

		select currval(iddetail_nsuk_seq) into Pnew_serial;
	    
	
	    insert into serial_mapping values ('iddetail',1,Premote_ser,Pnew_serial );
	    continue loop;
	end if	
	
	if action = 'DELETE' then 
	    delete from iddetail
	      where nsuk = Plocal_ser;

	end if 

    end loop;



-- inv_details

  for tlinv_details,action in 
    select *
    from tlinv_details
   
    
  loop
    Plocal_ser = 0 ;
	select local_ser
	into Plocal_ser
	from serial_mapping
	where tabname = 'inv_details'
	and depot = 1
	and remote_ser = tlinv_details.nsuk;

	if (not found) then
	   Plocal_ser = tlinv_details.nsuk;
	end if

	if (action = 'UPDATE') then 
	   select *
	   from inv_details
 	   where nsuk = Plocal_ser;

	   if (not found) then
	      let action = 'INSERT';
	   else
	      update inv_details
	      set inv_details.* = tlinv_details.*
	      where nsuk = Plocal_ser;
	      continue loop;
	   end if
	end if 

	if (action = 'INSERT') then 
	    Premote_ser = tlinv_details.nsuk;
	    tlinv_details.nsuk = 0;
	    insert into inv_details values ( tlinv_details.* );

		select currval(inv_details_nsuk_seq) into Pnew_serial;
	    
	    insert into serial_mapping values ('inv_details',1,Premote_ser,Pnew_serial );
	    continue loop;
	end if	
	
	if (action = 'DELETE') then
	    delete from inv_details
	      where nsuk = Plocal_ser;
	end if 

    end loop;

-- contact

  for tlcontact,action in
    select *
    from tlcontact
   
  loop  
    
    Plocal_ser = 0; 
	select local_ser
	into Plocal_ser
	from serial_mapping
	where tabname = 'contact'
	and depot = 1
	and remote_ser = tlcontact.nsuk;

	if (not found) then
	   Plocal_ser = tlcontact.nsuk;
	end if

	if (action = 'UPDATE') then 
	   select *
	   from contact
 	   where nsuk = Plocal_ser;

	   if (not found) then
	      action = 'INSERT';
	   else
	      update contact
	      set contact.* = tlcontact.*
	      where nsuk = Plocal_ser;
	      continue loop;
	   end if
	end if 

	if (action = 'INSERT') then 
	    Premote_ser = tlcontact.nsuk;
	    tlcontact.nsuk = 0;
	    insert into contact values ( tlcontact.* );
	
	    select currval(contact_nsuk_seq) into Pnew_serial;
	    	
	    insert into serial_mapping values ('contact',1,Premote_ser,Pnew_serial );
	    continue loop;
	end if	
	
	if (action = 'DELETE') then
	    delete from contact
	      where nsuk = Plocal_ser;

	end if 

    end loop;


-- cust

 for tlcust,action in
    select *
    from tlcust
   
  loop
    
	if (action = 'UPDATE') then 
	   select *
	   from cust
 	   where depot = tlcust.depot
	   and cod = tlcust.cod;

	   if (not found) then
	      action = 'INSERT';
	   else
	      update cust
	      set cust.* = tlcust.*
	      where depot = tlcust.depot
	      and cod = tlcust.cod;
	      continue loop;
	   end if
	end if 

	if (action = 'INSERT') then 
	    insert into cust values ( tlcust.* );

	    continue loop;
	end if	
	
	if (action = 'DELETE') then 
	    delete from cust
	    where depot = tlcust.depot
	    and cod = tlcust.cod;

	end if 

    end loop;

-- cust_ext

  for tlcust_ext,action in 
    select *
    from tlcust_ext
   
	if (action = 'UPDATE') then 
	   select *
	   from cust_ext
 	   where depot = tlcust_ext.depot
	   and cod = tlcust_ext.cod;

	   if (not found) then
	      action = 'INSERT';
	   else
	      update cust_ext
	      set cust_ext.* = tlcust_ext.*
	      where depot = tlcust_ext.depot
	      and cod = tlcust_ext.cod;
	      continue loop;
	   end if
	end if 

	if (action = 'INSERT') then 
	    insert into cust_ext values ( tlcust_ext.* );

	    continue loop;
	end if	
	
	if (action = 'DELETE') then 
	    delete from cust_ext
	    where depot = tlcust_ext.depot
	    and cod = tlcust_ext.cod;

	end if 

    end loop;
*/

    return 'Success';
		
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.loadcatchup() OWNER TO postgres;

--
-- TOC entry 75 (class 1255 OID 78246)
-- Dependencies: 394 1230 5
-- Name: make_cp(date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION make_cp(p_period date) RETURNS sp_status
    AS $$
declare  err                     sp_status;
         Pnlb_cod                char(6);
         Pnlb_bop_bal            money;
         Pbatch                  integer;
         Pdate                   date;
         Pperiod                 date;
         Pswitch                 integer;
         Pcod_n_bal              record;

begin

   select nxt
      into Pbatch
      from source
     where cod = 'CP';

    update source
       set nxt = nxt + 1
       where cod = 'CP';

    Pdate = jp_period(p_period);

    insert into nlbatch values (
        'CP',
        Pbatch,
        'N',
        p_period,
        Pdate,
        1,
        'U',
        null);

     for Pcod_n_bal in select a.cod, a.bop_bal
            from nlbals a, nominal b
            where period = p_period
              and a.cod = b.cod
              and b.leafs = 0
              and a.bop_bal <> 0.00
     loop
            continue when is_trading(Pnlb_cod) = 1;

            insert into nltrans values (
                default,
                Pcod_n_bal.cod,
                null,
                p_period,
                Pdate,
                'CP',
                Pbatch,
                null,
                Pcod_n_bal.bop_bal,
                'Checkpoint',
                null,
                'N',
                'N',
                1,
                null,
                'EUR',
                Pcod_n_bal.bop_bal
            );

    end loop;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;
    
end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.make_cp(p_period date) OWNER TO postgres;

--
-- TOC entry 76 (class 1255 OID 78247)
-- Dependencies: 394 1230 5
-- Name: make_period_map(date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION make_period_map(pperiod date) RETURNS sp_status
    AS $$
declare  err                     sp_status;
         mth                     integer;
         i                       integer;
         Pboy                    date;
         w_period                date;

begin

    mth := 0;
    w_period := pperiod;
    Pboy := pperiod;
    
    for i in 1..1200
    loop

        insert into period_map values (default,
                                       w_period,
                                       Pboy);
                                       
        w_period := w_period + interval '1 month';

        mth := mth + 1;
        if mth = 12 then
            Pboy := w_period;
            mth := 0;
        end if;

    end loop;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.make_period_map(pperiod date) OWNER TO postgres;

--
-- TOC entry 77 (class 1255 OID 78248)
-- Dependencies: 394 1230 5
-- Name: manualcreditnote(integer, numeric, smallint, smallint, character, integer, numeric, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION manualcreditnote(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod character, ainvnum integer, aunitsell numeric, adateentered date) RETURNS sp_status
    AS $$

declare  pErrNum   	integer;
         pErrText  	char(60);

         pPTNsuk   	integer;
         pPTPlu    	char(6);

         pLoc          smallint;

         pStockNsuk    integer;

         pCustDepot    integer;
         pCustCod      char(7);

         pInvNum       integer;
         pFree         decimal(16,2);
         pOnHire       decimal(16,2);

         pTime         timestamp;
         pPeriod       date;

         pNeg          decimal(16,2);

         pPhys         decimal(16,2);
         pAllo         decimal(16,2);
         pOnor         decimal(16,2);
         pOnhi         decimal(16,2);

         pMTRef        integer;
         pStockValue   decimal(16,2);
         pUnitCost     decimal(16,4);
         err	       sp_status;

begin

    err.ret_stat := 0;
    err.ret_string := 'Success';


-- * STEP 1

    -- Check if Product Type Is Valid
    SELECT nsuk, plu, stock_value, unit_cost
    INTO pPTNsuk, pPTPlu, pStockValue, pUnitCost
    FROM product_type WHERE nsuk = aPTNsuk;

    -- If the Product Type was Not found!
    if not FOUND then
    	err.ret_stat := 1;
    	err.ret_string := 'Product Type not found in product_type Table';
        return err;
    end if;

-- * STEP 2

    -- Check if the Location is Valid
    SELECT cod INTO pLoc
    FROM depot
    WHERE cod = aLoc;

    -- If the Location was Not found!
    if not FOUND then
        err.ret_stat := 1;
        err.ret_string = 'Location not found in depot Table';
        return err;
    end if;

-- * STEP 3

    -- Check if the Customer Location is Valid
    SELECT cod INTO pLoc
    FROM depot
    WHERE cod = aCustDepot;

    -- If the Location was Not found!
    if not FOUND then
        err.ret_stat := 1;
        err.ret_string := 'Customer Location not found in depot Table';
        return err;
    end if;

    -- Check if the Customer is Valid
    SELECT depot, cod INTO pCustDepot,pCustCod
    FROM cust
    WHERE depot = aCustDepot
      AND cod = aCustCod;

    -- If the Customer was Not found!
    if not FOUND then
        err.ret_stat  := 1;
        err.ret_string := 'Customer not found in cust Table';
        return err;
    end if;

-- * STEP 4

    -- Check if the Invoice Number we're told to use is Valid
    SELECT ihead.ref INTO pInvNum
    FROM ihead
    WHERE doc_type = 'CR'
    AND location = aLoc
    AND cust = aCustCod
    AND ihead.ref = aInvNum;

    -- If the Movement Type was Not found!
    if not FOUND then
        err.ret_stat = 1;
        err.ret_string = 'Invoice Number not found in ihead Table';
        return err;
    end if;


/* * STEP 5   All Details provided are checked and confirmed.
     We need now just UPDATE or create stock item for the
     product_type specified by aPTNsuk.
*/

    -- Check if Product Type exists in the Stock Recording Table, 'stock'

    SELECT nsuk,qty_physical,qty_onhire
    INTO pStockNsuk, pFree, pOnHire
    FROM stock WHERE product_type = aPTNsuk
    AND location = aLoc;

    -- If the 'stock' table has NO entry for the product Type then we
    -- need to create it
    if not found then
    	-- Create Stock entry for this Product type

        INSERT INTO stock(nsuk, product_type, location, qty_physical,
                            qty_allocated, qty_onorder, qty_onhire)
        VALUES('0',aPTNsuk, aLoc, aQtyChange, '0', '0', '0');

    else
	-- Update Stock entry

	UPDATE stock
        Set qty_Physical = (pFree + aQtyChange)
        WHERE product_type = aPTNsuk
          AND location = aLoc;

    end if;


--  STEP 6
     -- Increase the Stock_Value of product_type

     UPDATE product_type
     set stock_value = pStockValue + (aQtyChange * pUnitCost),
     last_sell_date = aDateEntered
     WHERE nsuk = aPTNsuk;


/* STEP 7   Now Record stock_movement, which requires working out
     the TimeStamp and the Period from the stock_control table.
*/


-- * Step 7.1

    -- Get period from the dparams table
    SELECT period
    INTO pPeriod
    FROM dparams;

-- * Step 7.2

    -- Take note of the TimeStamp

    pTime := now;

-- * Step 7.3

    -- Take note of Next movement_typ reference

    select get_next_mtref(11) into pMTRef;

    if pMTRef = -1 then
        err.ret_stat = 1;
        err.ret_string = 'Cannot get next reference';
        return err;
    end if;

    --Work out changes to quantities
    pPhys := aQtyChange;

    -- Record Movement in the stock_movement Table.
    -- Movement Type is set to 11 = 'Manual Credit Note'
    INSERT INTO stock_movement(nsuk, product_type, typ,
                               date_entered, timestamp,
                               qty_physical, qty_allocated, qty_onorder,
                               qty_onhire, depot_before, depot_after,
                               cust_depot, cust_cod,
                               movement_ref, trans_ref,
                               unitsell, unitcost, period)
    VALUES(DEFAULT, aPTNsuk, 11, aDateEntered,
	   pTime, pPhys,0,0,0, aLoc, aLoc,
           aCustDepot, aCustCod, pMTRef,
	   aInvNum, aUnitSell, pUnitCost, pPeriod);


    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.manualcreditnote(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod character, ainvnum integer, aunitsell numeric, adateentered date) OWNER TO postgres;

--
-- TOC entry 78 (class 1255 OID 78250)
-- Dependencies: 394 1230 5
-- Name: manualinvoice(integer, numeric, smallint, smallint, character, integer, numeric, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION manualinvoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod character, ainvnum integer, aunitsell numeric, adateentered date) RETURNS sp_status
    AS $$

declare pErrNum   integer;
       pErrText  char(60);

       pPTNsuk   integer;
       pPTPlu    char(6);

       pLoc          smallint;

       pStockNsuk    integer;

       pCustDepot    integer;
       pCustCod      char(7);

       pInvNum      integer;
       pFree         decimal(16,2);
       pOnHire       decimal(16,2);

       pTime         date; --time year to second;
       pPeriod       date; --time year to month;

       pNeg          decimal(16,2);

       pPhys         decimal(16,2);
       pAllo         decimal(16,2);
       pOnor         decimal(16,2);
       pOnhi         decimal(16,2);

       pMTRef        integer;
       pStockValue   decimal(16,2);
       pUnitCost     decimal(16,4);
       err	     sp_status;
begin

    err.ret_stat := 0;
    err.ret_string := 'Success';

    -- set debug file to 'manualinvoice.out';
    -- trace on;

-- * STEP 1

    -- Check if Product Type Is Valid
    SELECT nsuk, plu, stock_value, unit_cost
    INTO pPTNsuk, pPTPlu, pStockValue, pUnitCost
    FROM product_type
    WHERE nsuk = aPTNsuk;

    -- If the Product Type was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Product Type not found in product_type Table';

        return err;
    end if;


-- * STEP 2

    -- Check if the Location is Valid
    SELECT cod
    INTO pLoc
    FROM depot
    WHERE cod = aLoc;

    -- If the Location was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Location not found in depot Table';

        return err;
    end if;



-- * STEP 3

    -- Check if the Customer Location is Valid
    SELECT cod
    INTO pLoc
    FROM depot
    WHERE cod = aCustDepot;

    -- If the Location was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Customer Location not found in depot Table';

        return err;
    end if;


    -- Check if the Customer is Valid
    SELECT depot, cod
    INTO pCustDepot,pCustCod
    FROM cust
    WHERE depot = aCustDepot
      AND cod = aCustCod;

    -- If the Customer was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Customer not found in cust Table';

        return err;
    end if;


-- * STEP 4

    -- Check if the Invoice Number we're told to use is Valid
    SELECT ihead.ref
    INTO pInvNum
    FROM ihead
    WHERE doc_type = 'IN'
    AND location = aLoc
    AND cust = aCustCod
    AND ihead.ref = aInvNum;

    -- If the Movement Type was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Invoice Number not found in ihead Table';

        return err;
    end if;


-- * STEP 5   All Details provided are checked and confirmed.
     -- We need now just UPDATE or create stock item for the
     -- product_type specified by aPTNsuk.

    -- Check if Product Type exists in the Stock Recording Table, 'stock'
    SELECT nsuk,qty_physical,qty_onhire
    INTO pStockNsuk, pFree, pOnHire
    FROM stock
    WHERE product_type = aPTNsuk
    AND location = aLoc;

    -- If the 'stock' table has NO entry for the product Type then we
    -- need to create it
    if not found then
        -- Create Stock entry for this Product type

        pNeg := 0 - aQtyChange;

        INSERT INTO stock(nsuk, product_type, location, qty_physical,
                            qty_allocated, qty_onorder, qty_onhire)
        VALUES('0',aPTNsuk, aLoc, pNeg, '0', '0', '0');

    else
        -- Update Stock entry

        UPDATE stock
        Set qty_Physical = (pFree - aQtyChange)
        WHERE product_type = aPTNsuk
          AND location = aLoc;

    end if;


-- * STEP 6
     -- Negate the Stock_Value of product_type

     UPDATE product_type
     set stock_value = pStockValue - (aQtyChange * pUnitCost),
     last_sell_date = aDateEntered
     WHERE nsuk = aPTNsuk;


-- * STEP 7   Now Record stock_movement, which requires working out
     -- the TimeStamp and the Period from the stock_control table.


-- * Step 7.1

    -- Get period from the stock_control table
    SELECT period
    INTO pPeriod
    FROM dparams;

-- * Step 7.2

    -- Take note of the TimeStamp

    pTime := now;



-- * Step 7.3

    -- Take note of Next movement_typ reference

    select * from get_next_mtref(2) into pMTRef;
    --pMTRef := get_next_mtref(2);


    --Work out changes to quantities
    pPhys := 0 - aQtyChange;


    -- Record Movement in the stock_movement Table.
    -- Movement Type is set to 2 = 'Manual Invoice'
    INSERT INTO stock_movement(nsuk, product_type, typ,
                               date_entered, timestamp,
                               qty_physical, qty_allocated, qty_onorder,
                               qty_onhire, depot_before, depot_after,
                               cust_depot, cust_cod,
                               movement_ref, trans_ref,
                               unitsell, unitcost, period)
    VALUES(0, aPTNsuk, 2, aDateEntered,
           pTime, pPhys,0,0,0, aLoc, aLoc,
           aCustDepot, aCustCod, pMTRef,
           aInvNum, aUnitSell, pUnitCost, pPeriod);


    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.manualinvoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod character, ainvnum integer, aunitsell numeric, adateentered date) OWNER TO postgres;

--
-- TOC entry 79 (class 1255 OID 78252)
-- Dependencies: 379 1230 5
-- Name: ncustaged_at(integer, text, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION ncustaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer) RETURNS jp_custage
    AS $$
declare p_index int;
        p_time_interval interval;
        p_ledger_mnth dparams.period%type;
        p_current_Period dparams.period%type;
        p_age decimal(16,2)[6];
        Pamount sledger.amount%type;
        Palloc sledger.os%type;
        Punallocated cust.unallocated%type;
        PaccountType cust.account_type%type;
        Pbalance cust.balance%type; 
        Pbad_debt char;
        PlastPay cust.last_pay%type;
        PlastPaid cust.last_paid%type;
        p_period_cutoff sledger.period%type;
        g_period pledger.period%type;
        ledger_row record;
        return_age jp_custage;
        ts1 timestamp;
        ts2 timestamp;
        i integer;
        work_date date;
        operation_mode integer;
        old_mode integer := 1;
        new_mode integer := 2;
       
declare test refcursor;       
begin

  raise notice 'Building %', P_cod;

  operation_mode := new_mode;
  
  select account_type, bad_debt
  into PaccountType, Pbad_debt
  from cust
  where cust.depot = P_depot
    and cust.cod = P_cod;

  if PaccountType is null then
      PaccountType := 'C';
  end if;

  ts1 := p_date;
  ts2 := ts1 - interval '5 months';
  work_date := ts2;
  p_period_cutoff := jp_period(work_date);
  p_current_period := jp_period(p_date);


  return_age.depot = p_depot;
  return_age.cust = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_pay := null;
  return_age.last_paid := null; 
  
  if operation_mode = new_mode then 
      return_age.bad_debt := 'N';
  else
      return_age.bad_debt := Pbad_debt;
  end if;

  for i in 1 .. 6
  loop
      p_age[i] := 0.00;
  end loop;
  Palloc := 0.00;


  /*<<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, os, period
     from sledger
     where depot = p_depot and cod = p_cod
     order by dat, ser
*/
  open test FOR EXECUTE 'SELECT ser, typ, dat, amount, os, period  FROM  sledger ' || 
  		       ' where depot = ' || p_depot || 
		       ' and cod = ' || quote_literal( p_cod ) || 
                       ' order by dat,ser ';  

  <<ledger_loop>>
  loop
     fetch test into ledger_row;
     
     if not found then
	exit;
     end if;   
  
  
     if p_reverse = 1 then
         if ledger_row.period > p_date then
             continue ledger_loop;
         end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)
             into Palloc
             from sallocee ee, sallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount)
             into Palloc
             from sallocer er, sallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;
     end if;

     if ledger_row.typ = 13 then
         return_age.last_pay  := ledger_row.amount;
         return_age.last_paid := ledger_row.dat;
     end if; 
     
     if operation_mode = new_mode then
         if ledger_row.typ = 16 then
             return_age.bad_debt = 'Y';
             continue;
         end if;
      end if;
     
     if operation_mode = new_mode then
         if ledger_row.typ = 18 then
             return_age.bad_debt = 'N'; 
             continue;
         end if;
     end if;
     
     --p_ledger_mnth := '1/1/2006';
     
     p_ledger_mnth := jp_period(ledger_row.dat);
     
     if operation_mode = new_mode then 
         return_age.balance := return_age.balance + ledger_row.amount;
     end if;
     
     if ledger_row.typ < 10 then
         ledger_row.os := ledger_row.os + Palloc; 
         if operation_mode = old_mode then
            return_age.balance := return_age.balance + ledger_row.os; 
         end if;
         
     else
         ledger_row.os := ledger_row.os + Palloc;  
         if operation_mode = old_mode then
            return_age.balance := return_age.balance - ledger_row.os; 
         end if;
         return_age.unallocated := return_age.unallocated + ledger_row.os;
         ledger_row.os := 0 - ledger_row.os;
         if p_age_credits = 0 then
            continue ledger_loop;
         end if;
     end if;

     -- Calculate the balance

     IF p_ledger_mnth is null then
         p_ledger_mnth := p_current_period;
     end if;

     IF p_ledger_mnth < p_period_cutoff then
         p_index := 6;
     else
         IF p_ledger_mnth > p_current_period then
             p_index := 1;
         else  
             --p_index := 1;
             p_index = elapsed_months(p_ledger_mnth, p_current_period) + 1;
         end if;
     end if;

     if p_index = 0 then
        p_index := 1;
     end if;

     IF p_index > 6 THEN
         p_index := 6;
     END IF;

     p_age[p_index] := p_age[p_index] + ledger_row.os;

  end loop;

  close test;

  return_age.account_type := PaccountType;

  for i in 1 .. 6
  loop
    if i = 1 then
    return_age.curr_bal = p_age[i];
    elsif i = 2 then
    return_age.per1_bal = p_age[i];
    elsif i = 3 then
    return_age.per2_bal = p_age[i];
    elsif i = 4 then
    return_age.per3_bal = p_age[i];
    elsif i = 5 then
    return_age.per4_bal = p_age[i];
    elsif i = 6 then
    return_age.per5_bal = p_age[i];
    end if;
  end loop;

  RETURN return_age;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.ncustaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 80 (class 1255 OID 78254)
-- Dependencies: 387 1230 5
-- Name: ngrp_custaged_at(integer, character, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION ngrp_custaged_at(p_depot integer, p_cod character, p_date date, p_reverse integer, p_age_credits integer) RETURNS SETOF jp_grp_custage
    AS $$
declare p_index int;
          w_count int;
	  ret_grp_custage jp_grp_custage;
          ac_custage jp_custage;
          slave_row record;

begin

    select count(*)
    into w_count
    from account_groups
    where master_depot = p_depot
      and master_cust = p_cod;

    if w_count = 0 then
        select * from  ncustaged_at(P_depot, p_cod, p_date, p_reverse, p_age_credits)
          into ac_custage;

        ret_grp_custage.account_type 	:= ac_custage.account_type;
        ret_grp_custage.depot 	     	:= ac_custage.depot;
        ret_grp_custage.cust         	:= ac_custage.cust;
        ret_grp_custage.slave_depot  	:= null;
        ret_grp_custage.slave_cust   	:= null;
        ret_grp_custage.balance      	:= ac_custage.balance;
        ret_grp_custage.unallocated  	:= ac_custage.unallocated;
        ret_grp_custage.last_pay      	:= ac_custage.last_pay;
        ret_grp_custage.last_paid    	:= ac_custage.last_paid;
        ret_grp_custage.curr_bal     	:= ac_custage.curr_bal;
        ret_grp_custage.per1_bal     	:= ac_custage.per1_bal;
        ret_grp_custage.per2_bal     	:= ac_custage.per2_bal;
        ret_grp_custage.per3_bal     	:= ac_custage.per3_bal;
        ret_grp_custage.per4_bal     	:= ac_custage.per4_bal;
        ret_grp_custage.per5_bal     	:= ac_custage.per5_bal;
        ret_grp_custage.master_or_slave := 'M';
        ret_grp_custage.slave_count  	:= 0;

	return next ret_grp_custage;

    else
	--
	--	return master details first
	--
        select * from ncustaged_at(P_depot, p_cod, p_date, p_reverse, p_age_credits)
          into ac_custage;

            ret_grp_custage.account_type 	:= ac_custage.account_type;
            ret_grp_custage.depot 	     	:= ac_custage.depot;
            ret_grp_custage.cust         	:= ac_custage.cust;
            ret_grp_custage.slave_depot  	:= ac_custage.depot;
            ret_grp_custage.slave_cust   	:= ac_custage.cust;
            ret_grp_custage.balance      	:= ac_custage.balance;
            ret_grp_custage.unallocated  	:= ac_custage.unallocated;
            ret_grp_custage.last_pay      	:= ac_custage.last_pay;
            ret_grp_custage.last_paid    	:= ac_custage.last_paid;
            ret_grp_custage.curr_bal     	:= ac_custage.curr_bal;
            ret_grp_custage.per1_bal     	:= ac_custage.per1_bal;
            ret_grp_custage.per2_bal     	:= ac_custage.per2_bal;
            ret_grp_custage.per3_bal     	:= ac_custage.per3_bal;
            ret_grp_custage.per4_bal     	:= ac_custage.per4_bal;
            ret_grp_custage.per5_bal     	:= ac_custage.per5_bal;
            ret_grp_custage.master_or_slave 	:= 'M';
            ret_grp_custage.slave_count  	:= 1;

            return next ret_grp_custage;

        for slave_row in select slave_depot, slave_cust
           from account_groups
          where master_depot = P_depot
	    and master_cust = P_cod
        loop

            select * from ncustaged_at(slave_row.slave_depot, slave_row.slave_cust, p_date, p_reverse, p_age_credits)
              into ac_custage;

                ret_grp_custage.account_type 	:= ac_custage.account_type;
                ret_grp_custage.depot 	     	:= ac_custage.depot;
                ret_grp_custage.cust         	:= ac_custage.cust;
                ret_grp_custage.slave_depot  	:= slave_row.slave_depot;
                ret_grp_custage.slave_cust   	:= slave_row.slave_cust;
                ret_grp_custage.balance      	:= ac_custage.balance;
                ret_grp_custage.unallocated  	:= ac_custage.unallocated;
                ret_grp_custage.last_pay      	:= ac_custage.last_pay;
                ret_grp_custage.last_paid    	:= ac_custage.last_paid;
                ret_grp_custage.curr_bal     	:= ac_custage.curr_bal;
                ret_grp_custage.per1_bal     	:= ac_custage.per1_bal;
                ret_grp_custage.per2_bal     	:= ac_custage.per2_bal;
                ret_grp_custage.per3_bal     	:= ac_custage.per3_bal;
                ret_grp_custage.per4_bal     	:= ac_custage.per4_bal;
                ret_grp_custage.per5_bal     	:= ac_custage.per5_bal;
                ret_grp_custage.master_or_slave := 'S';
                ret_grp_custage.slave_count  	:= 0;

	        return next ret_grp_custage;

	end loop;


   end if;

   return;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.ngrp_custaged_at(p_depot integer, p_cod character, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 81 (class 1255 OID 78255)
-- Dependencies: 1230 5
-- Name: nocust(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nocust() RETURNS SETOF integer
    AS $$
declare sledger_row sledger%rowtype;

begin

    for sledger_row in select *
    from sledger
    where sledger.cod is not NULL
    loop

        perform *
        from cust
        where cust.depot = sledger_row.depot
        and cust.cod = sledger_row.cod;

        if not FOUND then
            return next sledger_row.ser;
        end if;


    end loop;

    return;

 end
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.nocust() OWNER TO postgres;

--
-- TOC entry 82 (class 1255 OID 78256)
-- Dependencies: 394 1230 5
-- Name: nominal_eom(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nominal_eom() RETURNS sp_status
    AS $$
------- Pnlbals.* -----------------------------------------------------------
declare	nlbals_row      nlbals%rowtype;

------- Pnparams.* -------------------------------------------------------------
        nparams_cur_per nparams.current_period%type;
        nparams_no_of_per smallint;
        nparams_num_per smallint;
        nparams_capital char(6);

------- Local Variables --------------------------------------------------------
        trade		char;
        next_period	nlbals.period%type;
        w_amt		decimal(10,2);
        null_cc		char(4);
        p_number	smallint;
        w_count  integer;
        eoy		smallint;
        err		sp_status;
        proc_err sp_status;

--------------------------------------------------------------------------------

begin

	null_cc := null;

	select current_period,no_of_periods,period_number,capital
	into nparams_cur_per,nparams_no_of_per,nparams_num_per,
	     nparams_capital
        from nparams;
        
     select count(*)
       into w_count
       from nlbatch
      where nlbatch.stat <> 'U'
        and nlbatch.period = nparams_cur_per;

     if w_count is null then
         w_count := 0;
     end if;

     if w_count > 0 then
        err.ret_stat := 1;
        err.ret_string := 'You have unposted batches in the current period';
        return err;
     end if;

	if nparams_num_per < nparams_no_of_per then	-- not eoy
	
	   update nparams
          set current_period = current_period +  interval '1 month',
              period_number = period_number + 1;
              
        err.ret_stat := 0;
        err.ret_string := 'Success';
        return err;
	end if;
    --
    -- So this is and end of year
    --
    -- We need to carry forward the closing balances
    -- into a 'CP' batch in the next period
    --

    select * from nominal_eoy(nparams_cur_per) into proc_err;

    if proc_err.ret_stat <> 0 then
       return proc_err;
    end if;

   	next_period := nparams_cur_per + interval '1 month';

    update nparams
       set boy_period = next_period,
           current_period = next_period,
	       period_number = 1;

    err.ret_stat := 0;
    err.ret_string := 'Success';
        
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.nominal_eom() OWNER TO postgres;

--
-- TOC entry 83 (class 1255 OID 78257)
-- Dependencies: 394 1230 5
-- Name: nominal_eoy(date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nominal_eoy(pperiod date) RETURNS sp_status
    AS $$
--
-- Only real function is to create a 'CP' batch in the next period
--

------- Local Variables --------------------------------------------------------
  declare err             sp_status;
          next_period     date;
          w_total         decimal(10,2);
          w_next          integer;
          w_count         integer;
          w_cod          nominal.cod%type;
          trans_row      record;

--------------------------------------------------------------------------------
begin
        next_period := pperiod + interval '1 month';

        select nxt
          into w_next
          from source
         where cod = 'CP';


        if not found then
            insert into source values('CP','Checkpoint',2,'N');
            w_next := 1;
        else
            update source
               set nxt = nxt + 1
             where cod = 'CP';
        end if;

        w_next := w_next + 1;

        delete from nlbatch where source = 'CP' and period = next_period;
        delete from nltrans where source = 'CP' and period = next_period;

        insert into nlbatch values ('CP',
                                    w_next,
                                    'N',
                                    next_period,
                                    now(),
                                    1,
                                    'U',
                                    null);
                                    
        for trans_row in select S1.cod, sum(amount) as total
           from nominal s1, nominal s2, nltrans t, period_map pm
          where s1.lft NOT Between s2.lft and s2.rgt
            and s2.cod = 'TRADIN'
            and t.period BETWEEN pm.boy_period and pm.period
            and pm.period = Pperiod
            and t.cod = s1.cod
            and tmp = 'N'
         group by 1
         loop

            insert into nltrans values (
                DEFAULT,
                trans_row.cod,
                null,
                next_period,
                now(),
                'CP',
                w_next,
                null,
                trans_row.total,
                'Checkpoint',
                null,
                'N',
                'N',
                1,
                NULL,
                'EUR',
                trans_row.total
            );


        end loop;

        --
        --      Now Post the Accumulated Profit
        --

      select account_code, sum(amount)
          into w_cod, w_total
          from nominal s1, nominal s2, nltrans t, period_map pm, reserved_ac r
         where s1.lft between s2.lft and s2.rgt
           and s2.cod = 'TRADIN'
           and t.period >= pm.boy_period
           and t.period <= pm.period
           and pm.period = pperiod
           and t.cod = s1.cod
           and tmp = 'N'
           and r.key_name = 'capital'
         group by 1;

        select count(*)
          into w_count
          from nltrans
         where nltrans.cod = w_cod
           and nltrans.source = 'CP'
           and nltrans.batch  = w_next;

        if w_count = 1 then
            update nltrans
               set amount = amount + w_total
             where nltrans.cod = w_cod
               and nltrans.source = 'CP'
               and nltrans.batch  = w_next;
        else
            insert into nltrans values (
                        default,
                        w_cod,
                        null,
                        next_period,
                        now(),
                        'CP',
                        w_next,
                        null,
                        w_total,
                        'Checkpoint',
                        null,
                        'N',
                        'N',
                        1,
                        NULL,
                        'EUR',
                        w_total
                    );
        end if;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.nominal_eoy(pperiod date) OWNER TO postgres;

--
-- TOC entry 84 (class 1255 OID 78258)
-- Dependencies: 394 1230 5
-- Name: nrbld_custaged_at(date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nrbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer) RETURNS sp_status
    AS $$
declare p_index int;
        w_count int;
        ---p_slave_depot int;
        ---p_slave_cust char(7);
        p_ledger_mnth dparams.period%type;
        current_period dparams.period%type;
        PaccountType cust.account_type%type;
        current_unalloc cust.unallocated%type;
        current_balance cust.balance%type;
        ageing jp_custage;
        slave_age jp_custage;
        p_cust record;
        p_slave record;
        w_stat char(5);
        err sp_status;
        dc_count integer;

begin

    select * from jp_period(p_date) into current_period;    -- Convert date to beginning of month;

    -- this is a simple protection - but why is it needed?
    update cust set account_type = 'C'
        where account_type not in ('A','C');
    update cust set account_type = 'C'
        where account_type is null;

    delete from cust_age
        where period = current_period;

    <<customer_loop>>
    for p_cust in select depot, cod, bad_debt, suspend
        from cust
    loop

        -- handle null Suspend fields
    if p_cust.suspend is null then
       p_cust.suspend := 'N';
        end if;

        if p_cust.bad_debt is null then
            p_cust.bad_debt := 'N';
        end if;

    -- if the account is a slave account, we will process it within
        -- the account group

        select count(*)
        into w_count
        from account_groups
        where  slave_depot = p_cust.depot
          and  slave_cust = p_cust.cod;

        if w_count > 0 then
            continue customer_loop;
        end if;

        select count(*)
        into w_count
        from account_groups
        where master_depot = p_cust.depot
          and master_cust = p_cust.cod;

        if w_count = 0 then
            select * from ncustaged_at(p_cust.depot, p_cust.cod, p_date, p_reverse, p_age_credits)
             into ageing;

            insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

           values (current_period, ageing.depot, ageing.cust, ageing.depot,  ageing.cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, p_cust.suspend, ageing.bad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, 'M', 0);

           
        else
	    --
	    --	return master details first
	    --
            select * from ncustaged_at(p_cust.depot, p_cust.cod, p_date, 
                                      p_reverse, p_age_credits)
                   into ageing;

            insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

           values (current_period, ageing.depot, ageing.cust, ageing.depot, ageing.cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, p_cust.suspend, ageing.bad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, 'M', 0);

            for p_slave in select slave_depot, slave_cust, bad_debt, suspend
               from account_groups, cust
              where master_depot = ageing.depot
	        and master_cust = ageing.cust
                and slave_depot = cust.depot
                and slave_cust = cust.cod
             loop

                select * from ncustaged_at(p_slave.slave_depot, p_slave.slave_cust,
		                 p_date, p_reverse, p_age_credits) into slave_age;

                insert into cust_age(period, depot, cod, slave_depot, slave_cod,
                                     balance, unallocated, lastpay, lastpaid,
                                     account_type, suspend, bad_debt,
                                     current, age1, age2, age3, age4, age5,
                                     master_slave, slave_count)

               values (current_period,ageing.depot,ageing.cust,slave_age.depot,slave_age.cust,
                       slave_age.balance, slave_age.unallocated, slave_age.last_pay, slave_age.last_paid,
                       slave_age.account_type, p_slave.suspend, slave_age.bad_debt,
                       slave_age.curr_bal, slave_age.per1_bal, slave_age.per2_bal,
                       slave_age.per3_bal, slave_age.per4_bal, slave_age.per5_bal, 'S', 0);

             end loop;
          end if;
       end loop customer_loop;

       err.ret_stat := 0;
       err.ret_string := 'Success';
       return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.nrbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 85 (class 1255 OID 78259)
-- Dependencies: 394 1230 5
-- Name: nrbld_suppaged_at(date, integer, integer, character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nrbld_suppaged_at(p_date date, p_reverse integer, p_age_credits integer, pmode character, pfx integer) RETURNS sp_status
    AS $$
declare pErrNum   integer;
     pErrText  char(60);

    p_cod char(7);
    p_time_interval date;
    p_ledger_mnth DATE;
    p_current_Period DATE;
    p_current decimal(16,2);
    p_age1 decimal(16,2);
    p_age2 decimal(16,2);
    p_age3 decimal(16,2);
    p_age4 decimal(16,2);
    p_age5 decimal(16,2);
    p_age6 decimal(16,2);
    Pos pledger.os%type;
    Pdat pledger.dat%type;
    Punallocated supplier.unallocated%type;
    Pbalance supplier.balance%type;
    PlastPay supplier.last_pay%type;
    PlastPaid supplier.last_paid%type;
    supp_touch_row record;
    supp_row	   record;
    err         sp_status;

  -- Work field to decide if we want os or currency_os values
  -- 0 for os otherwise currency_os
    workFX int;

  --set debug file to 'gensuppage.out';
  --trace on;


begin
    -- set the current period to the date argument
    p_current_period := jp_period(p_date);
    workFX := pFX;
	
	
	
	-- If we are running in TOUCHED mode we wll be looking at
	-- the touched table etc.
	
	if Pmode = 'TOUCHED' then
		
	    for supp_touch_row in select supplier
	        from supplier_touched
	    loop
		delete from supplier_age
	        where cod = supp_touch_row.supplier
		and   period = p_current_period;

		if workFX = 0 then
		     select * from nsuppaged_at(supp_touch_row.supplier, p_date, p_reverse, p_age_credits)
	             into P_cod, Pbalance, Punallocated,
	                  PlastPay, PLastPaid, P_current, p_age1, p_age2,
	                  p_age3, p_age4, p_age5;
		else
                     select * from nsuppaged_at_fx(supp_touch_row.supplier, p_date, p_reverse, p_age_credits)
                     into P_cod, Pbalance, Punallocated,
                          PlastPay, PLastPaid, P_current, p_age1, p_age2,
                          p_age3, p_age4, p_age5;
		end if;
		
	        insert into supplier_age (period,cod,
	                                  balance, unallocated, lastpay, lastpaid,
	                                  current, age1, age2, age3, age4, age5)

	        values (p_current_period,supp_touch_row.supplier,
	                  Pbalance, Punallocated, PlastPay, PLastPaid,
	                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
	    end loop;

	    for supp_row in
	        select cod
		from supplier
		where cod not in (select cod from supplier_age)
	    loop
	        delete from supplier_age
	        where cod = supp_row.cod
		and period = p_current_period;

                if workFX = 0 then
                   select * from nsuppaged_at(supp_row.cod, p_date, p_reverse, p_age_credits)
                   into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                else
                   select * from nsuppaged_at_fx(supp_row.cod, p_date, p_reverse, p_age_credits)
                   into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                end if;
																																	
	        insert into supplier_age (period,cod,
	                                  balance, unallocated, lastpay, lastpaid,
	                                  current, age1, age2, age3, age4, age5)

	        values (p_current_period,P_cod,
	                  Pbalance, Punallocated, PlastPay, PLastPaid,
	                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
	    end loop;

	    delete from supplier_touched;

	end if;
	
	-- If we are running in FULL mode we will be rebuilding all suppliers
	
	if Pmode = 'FULL' then
	
           for supp_row in
	        select cod
	        from supplier

	   loop		
		delete from supplier_age
		where cod = supp_row.cod
		and period = p_current_period;

                if workFX = 0 then
                   select * from  nsuppaged_at(supp_row.cod, p_date, p_reverse, p_age_credits)
                        into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                else
                   select * from  nsuppaged_at_fx(supp_row.cod, p_date, p_reverse, p_age_credits)
                        into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                end if;
																																	
		 insert into supplier_age (period,cod,
		                           balance, unallocated, lastpay, lastpaid,
		                           current, age1, age2, age3, age4, age5)

		 values (p_current_period,P_cod,
		                  Pbalance, Punallocated, PlastPay, PLastPaid,
		                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
						
	    end loop;
	
	end if;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.nrbld_suppaged_at(p_date date, p_reverse integer, p_age_credits integer, pmode character, pfx integer) OWNER TO postgres;

--
-- TOC entry 86 (class 1255 OID 78260)
-- Dependencies: 390 1230 5
-- Name: nsuppaged_at(character, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nsuppaged_at(p_cod character, p_date date, p_reverse integer, p_age_credits integer) RETURNS jp_suppaged_at
    AS $$
declare period_index int;
        p_age        decimal(16,2)[7];
        Palloc       numeric(16,2);
        ledger_row   record;
    p_ledger_mth date;
        return_age   jp_suppaged_at_fx;

begin

  return_age.supplier = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_payment := null;
  return_age.last_payment_date := null;

  for i in 1 .. 6 loop
      p_age[i] := 0.00;
  end loop;

  <<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, os, period
     from pledger
     where supplier = p_cod
     order by dat,ser
  LOOP

     Palloc := 0.00;
     if p_reverse = 1 then

         if ledger_row.period > p_date then
         continue ledger_loop;
     end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)::numeric(16,2)
             into Palloc
             from pallocee ee, pallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount) :: numeric(16,2)
             into Palloc
             from pallocer er, pallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;

     end if;

     if ledger_row.typ = 12 then
         return_age.last_payment  := ( 0 - ledger_row.amount );
         return_age.last_payment_date := ledger_row.dat;
     end if;


     if ledger_row.typ < 10 then
         ledger_row.os := ledger_row.os + Palloc;
     else
         ledger_row.os := ledger_row.os - Palloc;
     return_age.unallocated := return_age.unallocated + (0 - ledger_row.os );
     end if;

     -- Calculate the balance
     return_age.balance := return_age.balance + ledger_row.amount;

     if p_age_credits = 0 and ledger_row.typ > 10 then
        continue ledger_loop;
     end if;

     IF ledger_row.dat IS NULL THEN
         ledger_row.dat := p_date;
     end if;

     period_index := elapsed_months(ledger_row.dat, p_date);

     if (period_index > 5) THEN
        period_index := 5;
     end if;

     if (period_index < 0) THEN
        period_index := 0;
     end if;  
     
     period_index := period_index + 1;

     p_age[period_index] := p_age[period_index] + ledger_row.os;

  end loop;

  return_age.current = p_age[1];
  return_age.period1 = p_age[2];
  return_age.period2 = p_age[3];
  return_age.period3 = p_age[4];
  return_age.period4 = p_age[5];
  return_age.period5 = p_age[6];

  RETURN return_age;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.nsuppaged_at(p_cod character, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 87 (class 1255 OID 78261)
-- Dependencies: 391 1230 5
-- Name: nsuppaged_at_fx(character, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION nsuppaged_at_fx(p_cod character, p_date date, p_reverse integer, p_age_credits integer) RETURNS jp_suppaged_at_fx
    AS $$
declare period_index int;
        p_age        decimal(16,2)[7];
        Palloc       numeric(16,2);
        ledger_row   record;
	    p_ledger_mth date;
        return_age   jp_suppaged_at_fx;

begin

  return_age.supplier = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_payment := null;
  return_age.last_payment_date := null;

  for i in 1 .. 6 loop
      p_age[i] := 0.00;
  end loop;

  <<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, currency_os, period , original
     from pledger
     where supplier = p_cod
     order by dat, ser
  LOOP

     Palloc := 0.00;
     if p_reverse = 1 then

         if ledger_row.period > p_date then
	     continue ledger_loop;
	 end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)::numeric(16,2)
             into Palloc
             from pallocee ee, pallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount) :: numeric(16,2)
             into Palloc
             from pallocer er, pallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;

     end if;

     if ledger_row.typ = 12 then
         return_age.last_payment  := ( 0 - ledger_row.amount );
         return_age.last_payment_date := ledger_row.dat;
     end if;


     if ledger_row.typ < 10 then
         ledger_row.currency_os := ledger_row.currency_os + Palloc;
     else
         ledger_row.currency_os := ledger_row.currency_os - Palloc;
	     return_age.unallocated := return_age.unallocated + (0 - ledger_row.currency_os );
     end if;

     -- Calculate the balance
     return_age.balance := return_age.balance + ledger_row.original;

     if p_age_credits = 0 and ledger_row.typ > 10 then
        continue ledger_loop;
     end if;

     IF ledger_row.dat IS NULL THEN
         ledger_row.dat := p_date;
     end if;

     period_index := elapsed_months(ledger_row.dat, p_date);
     
     --raise notice 'Index = % \x010', period_index;
     
     --if ledger_row.currency_os <> 0.00 then
        --raise notice 'SDFGDSFDG';
     --end if;
     
     if (period_index > 5) THEN
        period_index := 5;
     end if;

     if (period_index < 0) THEN
        period_index := 0;
     end if; 
     
     period_index := period_index + 1;

     p_age[period_index] := p_age[period_index] + ledger_row.currency_os;

  end loop;

  return_age.current = p_age[1];
  return_age.period1 = p_age[2];
  return_age.period2 = p_age[3];
  return_age.period3 = p_age[4];
  return_age.period4 = p_age[5];
  return_age.period5 = p_age[6];

  RETURN return_age;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.nsuppaged_at_fx(p_cod character, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 88 (class 1255 OID 78262)
-- Dependencies: 394 1230 5
-- Name: oncontract(integer, numeric, smallint, smallint, character, integer, numeric, date, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION oncontract(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod character, acontnum integer, aunitsell numeric, adateentered date, amovtype integer) RETURNS sp_status
    AS $$
declare err      sp_status;
	pErrNum	 char(10);
	pErrText char(60);

        pProcName     char(20);
	pErrHNum      integer;
	pErrHText     char(60);

	pPTNsuk       integer;
	pPTPlu        char(6);

	pLoc          smallint;

	pStockNsuk    integer;

	pCustDepot    integer;
	pCustCod      char(7);

	pContNum      integer;
	pOnHire       decimal(16,2);

	pTime         date; --time year to second;
	pPeriod       date; --time year to month;

	pNeg          decimal(16,2);

	pPhys         decimal(16,2);
	pAllo         decimal(16,2);
	pOnor         decimal(16,2);
	pOnhi         decimal(16,2);

	pMTRef        integer;
begin

    err.ret_stat := 0 ;
    err.ret_string := 'Success';
    pProcName := 'oncontract';

-- * STEP 1

    -- Check if Product Type Is Valid
    SELECT nsuk, plu
    INTO pPTNsuk, pPTPlu
    FROM product_type
    WHERE nsuk = aPTNsuk;

    -- If the Product Type was Not found!
    if not found then

        pErrNum := 'SP000201: ';
        pErrText := pErrNum || 'Product Type not found in product_type Table';

        --select * from  err_handler(pErrNum, pProcName, 'oncontract.out')
        --into pErrHNum, pErrHText;

	err.ret_stat := 1;
	err.ret_string := pErrText;

        return err;
    end if;

-- * STEP 2

    -- Check if the Location is Valid
    SELECT cod INTO pLoc
    FROM depot
    WHERE cod = aLoc;

    -- If the Location was Not found!
    if sqlca_rows() <> 1 then
        pErrNum = 'SP000202: ';
        pErrText =
        pErrNum || 'Location not found in depot Table';

        --call err_handler(pErrNum, pProcName, 'oncontract.out')
        --returning pErrHNum, pErrHText;

        return err;
    end if;

-- * STEP 3

    -- Check if the Customer Location is Valid
    SELECT cod INTO pLoc
    FROM depot
    WHERE cod = aCustDepot;

    -- If the Location was Not found!
    if sqlca_rows() <> 1 then
        pErrNum = 'SP000203: ';
        pErrText = pErrNum || 'Customer Location not found in depot Table';

	-- This toss with err_handler is not used , and an option
        -- to the unix filesystem of oncontract.out would not be
        -- any use to a java program anyway.

	-- If needed I will include it

        --call err_handler(pErrNum, pProcName, 'oncontract.out')
        --returning pErrHNum, pErrHText;

	err.ret_stat :=1;
	err.ret_string := pErrText;

        return err;
    end if;

    -- Check if the Customer is Valid
    SELECT depot, cod
    INTO pCustDepot,pCustCod
    FROM cust
    WHERE depot = aCustDepot
      AND cod = aCustCod;

    -- If the Customer was Not found!
    if not found then
        pErrNum = 'SP000204: ';
        pErrText =
        pErrNum || 'Customer not found in cust Table';

        --call err_handler(pErrNum, pProcName, 'oncontract.out')
        --returning pErrHNum, pErrHText;
	
	err.ret_stat :=1;
	err.ret_string := pErrText;


        return err;
    end if;

-- * STEP 4

    -- Check if the Contract Number we're told to use is Valid
    SELECT contract
    INTO pContNum
    FROM chead
    WHERE contract = aContNum
    AND location = aLoc;

    -- If the Contract Number was Not found!
    if not found then
        pErrNum = 'SP000205: ';
        pErrText =
        pErrNum || 'Contract Number not found in chead Table';

        --call err_handler(pErrNum, pProcName, 'oncontract.out')
        --returning pErrHNum, pErrHText;

	err.ret_stat :=1;
	err.ret_string := pErrText;

        return err;
    end if;

-- * STEP 5   All Details provided are checked and confirmed.
     -- We need now just UPDATE or create stock item for the
     -- product_type specified by aPTNsuk.

    -- Check if Product Type exists in the Stock Recording Table, 'stock'
    SELECT nsuk, qty_onhire
    INTO pStockNsuk, pOnHire
    FROM stock
    WHERE product_type = aPTNsuk
    AND location = aLoc;

    -- If the 'stock' table has NO entry for the product Type then we
    -- need to create it
    if not found then
    	-- Create Stock entry for this Product type

	INSERT INTO stock(nsuk, product_type, location, qty_physical,
                          qty_allocated, qty_onorder, qty_onhire)
	VALUES('0',aPTNsuk, aLoc, '0', '0', '0', aQtyChange);

    else
	-- Update Stock entry

	UPDATE stock
        Set qty_OnHire = (pOnHire + aQtyChange)
        WHERE product_type = aPTNsuk
          AND location = aLoc;

    end if;

-- * STEP 6   Now Record stock_movement, which requires working out
     -- the TimeStamp and the Period from the stock_control table.

-- * Step 6.1

    -- Get period from the stock_control table
    SELECT period
    INTO pPeriod
    FROM dparams;

-- * Step 6.2

    -- Take note of the TimeStamp

    pTime := Current;

-- * Step 6.3
    -- Take note of Next movement_typ reference

    select * from get_next_mtref(aMovType) into pMTRef;
    --pMTRef := get_next_mtref(aMovType);

    -- Work out changes to quantities
    pOnhi = 0 + aQtyChange;

    -- Record Movement in the stock_movement Table.
    -- Movement Type is set to 23 = 'On Contract'
    -- or 24 = 'On Contract Update'
    INSERT INTO stock_movement(nsuk, product_type, typ,
                               date_entered, timestamp,
                               qty_physical, qty_allocated, qty_onorder,
                               qty_onhire, depot_before, depot_after,
                               cust_depot, cust_cod,
                               movement_ref, trans_ref,
                               unitsell, period)
    VALUES(0, aPTNsuk, aMovType, aDateEntered, pTime,
           0,0,0,pOnhi, aLoc, aLoc,
           aCustDepot, aCustCod, pMTRef, aContNum, aUnitSell, pPeriod);

    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.oncontract(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod character, acontnum integer, aunitsell numeric, adateentered date, amovtype integer) OWNER TO postgres;

--
-- TOC entry 89 (class 1255 OID 78264)
-- Dependencies: 394 1230 5
-- Name: pcosteom(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pcosteom() RETURNS sp_status
    AS $$
declare err			            sp_status;

begin

    

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.pcosteom() OWNER TO postgres;

--
-- TOC entry 130 (class 1255 OID 78265)
-- Dependencies: 388 1230 5
-- Name: pl_open_bal(date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pl_open_bal(pperiod date) RETURNS jp_open_bal
    AS $$
DECLARE
  Pcreditors      nominal.cod%type;
  Pmovement     decimal(16,2);
  Pmsg          char(60);
  row_found     boolean;
  result        jp_open_bal;
  base_row      record;
  w_rows        integer;
BEGIN

---
--- 1.  Get the opening balance from the checkpoint previous to the period
---     selected

    result.balance := 0.00;

    select account_code
      into Pcreditors
      from reserved_ac
     where reserved_ac.key_name = 'creditor_total';

    get diagnostics w_rows = ROW_COUNT;

    if w_rows = 0 then
         result.ret_string := 'Creditors Control Account not defined on reserved accounts';
         result.ret_stat := 1;
         return result;
    end if;

    row_found := false;

    for base_row in select sum(0 - amount) as amount, period
                      from nltrans,nominal
                     where nltrans.source = 'CP'
                       and nltrans.period <= Pperiod
                       and nltrans.cod = nominal.cod
                       and nominal.parent = Pcreditors
                  group by  period
                  order by  period desc
    loop

        row_found = true;
        exit;

    end loop;

    if not row_found then
       result.ret_stat := 1;
       result.ret_string := 'There is no nominal checkpoint before the requested period';
       return result;
    end if;

    ---
    --- We now have the balance on the debtors nominal and the period
    ---

    Pmovement := 0.00;


    select sum(amount)
    into Pmovement
    from pledger
    where period >= base_row.period
      and period < pperiod
      and supplier is not null;


    if Pmovement is null then
        Pmovement := 0.00;
    end if;

    result.ret_stat := 1;
    result.ret_string = 'Success';
    result.balance := base_row.amount + Pmovement;
    return result;

END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.pl_open_bal(pperiod date) OWNER TO postgres;

--
-- TOC entry 90 (class 1255 OID 78266)
-- Dependencies: 388 1230 5
-- Name: pl_open_bal(date, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION pl_open_bal(pperiod date, plocation integer) RETURNS jp_open_bal
    AS $$
DECLARE
  Pcreditors      nominal.cod%type;
  Pmovement     decimal(16,2);
  Pmsg          char(60);
  row_found     boolean; 
  result        jp_open_bal;
  base_row      record;    
  w_rows        integer;
BEGIN
 
---
--- 1.  Get the opening balance from the checkpoint previous to the period
---     selected

    result.balance := 0.00;
    
    select account_code
      into Pcreditors
      from reserved_ac
     where reserved_ac.key_name = 'creditors';
    
    get diagnostics w_rows = ROW_COUNT;
    
    if w_rows = 0 then
         result.ret_string := 'Creditors Control Account not defined on reserved accounts';
         result.ret_stat := 1;
         return result;
    end if;

    row_found := true;

    for base_row in select amount, period  
                      from nltrans
                     where nltrans.source = 'CP'
                       and nltrans.period <= Pperiod
                       and nltrans.cod = Pcreditors
                  order by  period desc
    loop

        row_found = false;
        exit;

    end loop; 
    
    if row_found then
       result.ret_stat := 1;
       result.ret_string := 'There is no nominal checkpoint before the requested period';
       return result;
    end if;

    ---
    --- We now have the balance on the debtors nominal and the period
    ---

    Pmovement := 0.00;

   
    select sum(amount)
    into Pmovement
    from pledger
    where period >= base_row.period
      and period < pperiod
      and supplier is not null;
   

    if Pmovement is null then
        Pmovement := 0.00;
    end if;
    
    result.ret_stat := 1;
    result.ret_string = 'Success';
    result.balance := base_row.amount + Pmovement; 
    return result;

END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.pl_open_bal(pperiod date, plocation integer) OWNER TO postgres;

--
-- TOC entry 91 (class 1255 OID 78267)
-- Dependencies: 1230 5
-- Name: process_cust_trigger(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION process_cust_trigger() RETURNS "trigger"
    AS $$

declare Pmirrorser integer;
		 Paction		char(1);
		 Ptodepot	integer;
    BEGIN
         --
         -- Create a row in emp_audit to reflect the operation performed on emp,
         -- make use of the special variable TG_OP to work out the operation.
         --

	  	IF (TG_OP = 'INSERT') THEN
 				Paction = 'I';
		end if;

		if (TG_OP = 'UPDATE') THEN
				Paction = 'U';
		end if;

		if (TG_OP = 'DELETE') THEN
				Paction = 'D';
		end if;

	        insert into mirror values ( default,'cust',Paction,now() );

		select currval('mirror_id_seq') into Pmirrorser;

		for Ptodepot in 
			select send_to_depot 
			from remote_depot
		loop
			insert into mirror_message values (default,Pmirrorser,Ptodepot,now(),'P');

		end loop;

    if ( TG_OP = 'DELETE') then
      insert into mirror_key select Pmirrorser, 'depot' , OLD.depot ;
      insert into mirror_key select Pmirrorser, 'cod' , OLD.cod ;
    else
      insert into mirror_key select Pmirrorser, 'depot' , NEW.depot ;
      insert into mirror_key select Pmirrorser, 'cod' , NEW.cod ;
    end if;

	    RETURN NULL; 
    END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.process_cust_trigger() OWNER TO postgres;

--
-- TOC entry 92 (class 1255 OID 78268)
-- Dependencies: 1230 5
-- Name: process_triggertest_trigger(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION process_triggertest_trigger() RETURNS "trigger"
    AS $$

declare Pmirrorser integer;
		Paction		char(1);
		Ptodepot	integer;
    BEGIN
          --
        -- Create a row in emp_audit to reflect the operation performed on emp,
        -- make use of the special variable TG_OP to work out the operation.
        --
   	
		IF (TG_OP = 'INSERT') THEN
				Paction = 'I';
		end if;
		
		if (TG_OP = 'UPDATE') THEN
				Paction = 'U';
		end if;

		if (TG_OP = 'DELETE') THEN
				Paction = 'D';
		end if;
			
	    insert into mirror values ( default,'triggertest',Paction,now() );
			
		select currval('mirror_id_seq') into Pmirrorser;
		
		for Ptodepot in 
			select send_to_depot
			from remote_depot
		loop
			insert into mirror_message values (default,Pmirrorser,Ptodepot,now(),'P');
		
		end loop;
		
		--- perl loop for this.
		if ( TG_OP = 'DELETE') then
			insert into mirror_key select Pmirrorser,'id',OLD.id;
		else
			insert into mirror_key select Pmirrorser,'id',new.id;
		end if;
		
		
        RETURN NULL; -- result is ignored since this is an AFTER trigger
    END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.process_triggertest_trigger() OWNER TO postgres;

--
-- TOC entry 93 (class 1255 OID 78269)
-- Dependencies: 1230 5
-- Name: process_trtest_trigger(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION process_trtest_trigger() RETURNS "trigger"
    AS $$
declare dynsql text;
    BEGIN
          --
        -- Create a row in emp_audit to reflect the operation performed on emp,
        -- make use of the special variable TG_OP to work out the operation.
        --
        dynsql = 'insert into mir_' || TG_TABLE_NAME || ' values ( ' ;


         IF (TG_OP = 'DELETE') THEN
            --INSERT INTO mir_trtest SELECT OLD.*,TG_OP, now();
            
	    EXECUTE dynsql || 'OLD.*' 
			   || ',' 
			   || TG_OP
			   || ',' 
			   || now() 
			   || ' )' ;
            RETURN OLD;
        ELSIF (TG_OP = 'UPDATE') THEN
            --INSERT INTO mir_trtest SELECT NEW.*, TG_OP, now();
 	    EXECUTE dynsql || 'NEW.* '
			   || ',' 
			   || TG_OP
			   || ',' 
			   || now() 
			   || ' )' ;
            
            RETURN NEW;
        ELSIF (TG_OP = 'INSERT') THEN
            --INSERT INTO mir_trtest SELECT NEW.*, TG_OP,now();
 	    EXECUTE dynsql || 'NEW.*' 
			   || ',' 
			   || TG_OP
			   || ',' 
			   || now() 
			   || ' )' ;
            
            RETURN NEW;
        END IF;
        RETURN NULL; -- result is ignored since this is an AFTER trigger
    END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.process_trtest_trigger() OWNER TO postgres;

--
-- TOC entry 94 (class 1255 OID 78270)
-- Dependencies: 394 1230 5
-- Name: rbld_custaged_at(date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION rbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer) RETURNS sp_status
    AS $$
declare p_index int;
        w_count int;
        ---p_slave_depot int;
        ---p_slave_cust char(7);
        p_ledger_mnth dparams.period%type;
        current_period dparams.period%type;
        PaccountType cust.account_type%type;
        current_unalloc cust.unallocated%type;
        current_balance cust.balance%type;
        ageing jp_custage;
        slave_age jp_custage;
        p_cust record;
        p_slave record;
        w_stat char(5);
        err sp_status;
        dc_count integer;

begin

    select * from jp_period(p_date) into current_period;	-- Convert date to beginning of month;

    -- this is a simple protection - but why is it needed?
    update cust set account_type = 'C'
        where account_type not in ('A','C');
    update cust set account_type = 'C'
        where account_type is null;

    delete from cust_age
        where period = current_period;

    <<customer_loop>>
    for p_cust in select depot, cod, bad_debt, suspend
        from cust
    loop

        -- handle null Suspend fields
	if p_cust.suspend is null then
	   p_cust.suspend := 'N';
        end if;

        if p_cust.bad_debt is null then
            p_cust.bad_debt := 'N';
        end if;

	-- if the account is a slave account, we will process it within
        -- the account group

        select count(*)
        into w_count
        from account_groups
        where  slave_depot = p_cust.depot
          and  slave_cust = p_cust.cod;

        if w_count > 0 then
            continue customer_loop;
        end if;

        select count(*)
        into w_count
        from account_groups
        where master_depot = p_cust.depot
          and master_cust = p_cust.cod;

        if w_count = 0 then
            select * from custaged_at(p_cust.depot, p_cust.cod, p_date, p_reverse, p_age_credits)
	         into ageing;

            insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

           values (current_period, ageing.depot, ageing.cust, ageing.depot,  ageing.cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, p_cust.suspend, ageing.bad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, 'M', 0);

           
        else
	    --
	    --	return master details first
	    --
            select * from custaged_at(p_cust.depot, p_cust.cod, p_date, 
                                      p_reverse, p_age_credits)
                   into ageing;

            insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

           values (current_period, ageing.depot, ageing.cust, ageing.depot, ageing.cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, p_cust.suspend, ageing.bad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, 'M', 0);

            for p_slave in select slave_depot, slave_cust, bad_debt, suspend
               from account_groups, cust
              where master_depot = ageing.depot
	        and master_cust = ageing.cust
                and slave_depot = cust.depot
                and slave_cust = cust.cod
             loop

                select * from custaged_at(p_slave.slave_depot, p_slave.slave_cust,
		                 p_date, p_reverse, p_age_credits) into slave_age;

                insert into cust_age(period, depot, cod, slave_depot, slave_cod,
                                     balance, unallocated, lastpay, lastpaid,
                                     account_type, suspend, bad_debt,
                                     current, age1, age2, age3, age4, age5,
                                     master_slave, slave_count)

               values (current_period,ageing.depot,ageing.cust,slave_age.depot,slave_age.cust,
                       slave_age.balance, slave_age.unallocated, slave_age.last_pay, slave_age.last_paid,
                       slave_age.account_type, p_slave.suspend, slave_age.bad_debt,
                       slave_age.curr_bal, slave_age.per1_bal, slave_age.per2_bal,
                       slave_age.per3_bal, slave_age.per4_bal, slave_age.per5_bal, 'S', 0);

             end loop;
          end if;
       end loop customer_loop;

       err.ret_stat := 0;
       err.ret_string := 'Success';
       return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.rbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 95 (class 1255 OID 78271)
-- Dependencies: 394 1230 5
-- Name: rbld_suppaged_at(date, integer, integer, character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION rbld_suppaged_at(p_date date, p_reverse integer, p_age_credits integer, pmode character, pfx integer) RETURNS sp_status
    AS $$
declare pErrNum   integer;
     pErrText  char(60);

    p_cod char(7);
    p_time_interval date;
    p_ledger_mnth DATE;
    p_current_Period DATE;
    p_current decimal(16,2);
    p_age1 decimal(16,2);
    p_age2 decimal(16,2);
    p_age3 decimal(16,2);
    p_age4 decimal(16,2);
    p_age5 decimal(16,2);
    p_age6 decimal(16,2);
    Pos pledger.os%type;
    Pdat pledger.dat%type;
    Punallocated supplier.unallocated%type;
    Pbalance supplier.balance%type;
    PlastPay supplier.last_pay%type;
    PlastPaid supplier.last_paid%type;
    supp_touch_row record;
    supp_row	   record;
    err         sp_status;

  -- Work field to decide if we want os or currency_os values
  -- 0 for os otherwise currency_os
    workFX int;

  --set debug file to 'gensuppage.out';
  --trace on;


begin
    -- set the current period to the date argument
    p_current_period := jp_period(p_date);
    workFX := pFX;
	
	
	
	-- If we are running in TOUCHED mode we wll be looking at
	-- the touched table etc.
	
	if Pmode = 'TOUCHED' then
		
	    for supp_touch_row in select supplier
	        from supplier_touched
	    loop
		delete from supplier_age
	        where cod = supp_touch_row.supplier;

		if workFX = 0 then
		     select * from suppaged_at(supp_touch_row.supplier, p_date, p_reverse, p_age_credits)
	             into P_cod, Pbalance, Punallocated,
	                  PlastPay, PLastPaid, P_current, p_age1, p_age2,
	                  p_age3, p_age4, p_age5;
		else
                     select * from suppaged_at_fx(supp_touch_row.supplier, p_date, p_reverse, p_age_credits)
                     into P_cod, Pbalance, Punallocated,
                          PlastPay, PLastPaid, P_current, p_age1, p_age2,
                          p_age3, p_age4, p_age5;
		end if;
		
	        insert into supplier_age (period,cod,
	                                  balance, unallocated, lastpay, lastpaid,
	                                  current, age1, age2, age3, age4, age5)

	        values (p_current_period,supp_touch_row.supplier,
	                  Pbalance, Punallocated, PlastPay, PLastPaid,
	                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
	    end loop;

	    for supp_row in
	        select cod
		from supplier
		where cod not in (select cod from supplier_age)
	    loop
	        delete from supplier_age
	        where cod = supp_row.cod;

                if workFX = 0 then
                   select * from suppaged_at(supp_row.cod, p_date, p_reverse, p_age_credits)
                   into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                else
                   select * from suppaged_at_fx(supp_row.cod, p_date, p_reverse, p_age_credits)
                   into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                end if;
																																	
	        insert into supplier_age (period,cod,
	                                  balance, unallocated, lastpay, lastpaid,
	                                  current, age1, age2, age3, age4, age5)

	        values (p_current_period,P_cod,
	                  Pbalance, Punallocated, PlastPay, PLastPaid,
	                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
	    end loop;

	    delete from supplier_touched;

	end if;
	
	-- If we are running in FULL mode we will be rebuilding all suppliers
	
	if Pmode = 'FULL' then
	
           for supp_row in
	        select cod
	        from supplier

	   loop		
		delete from supplier_age
		where cod = supp_row.cod;

                if workFX = 0 then
                   select * from  suppaged_at(supp_row.cod, p_date, p_reverse, p_age_credits)
                        into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                else
                   select * from  suppaged_at_fx(supp_row.cod, p_date, p_reverse, p_age_credits)
                        into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                end if;
																																	
		 insert into supplier_age (period,cod,
		                           balance, unallocated, lastpay, lastpaid,
		                           current, age1, age2, age3, age4, age5)

		 values (p_current_period,P_cod,
		                  Pbalance, Punallocated, PlastPay, PLastPaid,
		                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
						
	    end loop;
	
	end if;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.rbld_suppaged_at(p_date date, p_reverse integer, p_age_credits integer, pmode character, pfx integer) OWNER TO postgres;

--
-- TOC entry 96 (class 1255 OID 78272)
-- Dependencies: 394 1230 5
-- Name: rbldslcontrol(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION rbldslcontrol() RETURNS sp_status
    AS $$
DECLARE
  f_error           integer ;
  f_errtxt          char(60); 
  f_period          record;
  ix                integer; 
  err               sp_status;
  
BEGIN
  ix := 1;                 
  
  for f_period in 
      select distinct period 
                 from sledger
             order by period  
  loop

        if ix = 1 then
           update dparams set period = f_period.period;
           ix := ix + 1;
        end if;

        select eom_sledger() into f_error, f_errtxt;
        

        update dparams set period = period + interval '1 month';

    end loop;

    err.ret_stat = 0;
    err.ret_string = 'Success';
    return err;
  
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.rbldslcontrol() OWNER TO postgres;

--
-- TOC entry 97 (class 1255 OID 78273)
-- Dependencies: 394 1230 5
-- Name: rbplant(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION rbplant() RETURNS sp_status
    AS $$
DECLARE
    Pcount          integer;
    fix_chdet       jp_fixchdet; 
    Psingles	    singles%rowtype;
    Ppdesc	    pdesc%rowtype;
    Pdepot	    depot%rowtype;
    Pchdetail	    chdetail%rowtype;
    Ppavail	    pavail%rowtype; 
    w_count	    smallint;
    count_pstock    pstock.qty%type;
    count_pavail    pavail.qty%type;
    count_chdetail  chdetail.qty%type;
    count_singles   integer;            
    count_unavail   integer;
    w_from	    pdesc.cod%type;
    w_to	    pdesc.cod%type;
    nl_ref	    nltrans.ref%type;
    new_ref	    nltrans.ref%type;
    ans             char(1);
    w_location      smallint;
    i               smallint;
    plant_num	    char(10);
    current_db 	    char(20); 
    w_row           integer;
    err             sp_status;

BEGIN
  
    for Psingles in
        select *
	from singles
	where singles.asset_reg = 'H'
	  and singles.stat = 2       

    loop
          update singles
          set stat = 1
          where singles.pdesc = Psingles.pdesc
	    and singles.cod = Psingles.cod
	    and singles.asset_reg = Psingles.asset_reg;

    end loop;

    for Psingles in 
	select *
	from singles
	where singles.asset_reg = 'H'
	  and singles.stat = 1      
               
    loop
	    select count(*)
	    into w_count
	    from chdetail
	    where chdetail.pdesc = Psingles.pdesc
	      and chdetail.reg   = Psingles.cod;

	    if w_count is null or w_count = 0 then
		continue;
	    else
		if w_count = 1 then
		    
		    select *
		    into Pchdetail
		    from chdetail
	    	    where chdetail.pdesc = Psingles.pdesc
	      	      and chdetail.reg   = Psingles.cod ;

		    update singles
		    set stat = 2,
			location = Pchdetail.location
		    where singles.asset_reg = 'H'
		      and singles.pdesc     = Psingles.pdesc
		      and singles.cod       = Psingles.cod;

		end if;
		    --for Pchdetail in 
		    --    select *
		    --    from chdetail
	    	    --    where chdetail.pdesc = Psingles.pdesc
	      	    --      and chdetail.reg   = Psingles.cod

		    --loop

		    --    output to report fixit (Psingles.pdesc,
		    --    		 Psingles.cod,
		    --    		 Pchdetail.location,
		    --    		 Pchdetail.contract
		    --    )

		    --end loop;

		--end if;
	    end if;                             
    end loop; 



    for Ppdesc in 
	  select * 
	  from pdesc
	  where pdesc.typ = 'S'           

    loop
          delete from pstock
	  where pstock.asset_reg = 'H'
	    and pstock.pdesc = Ppdesc.cod;

	  delete from pavail
	  where pavail.pdesc = Ppdesc.cod;

	  for Pdepot in    
	     select *
	     from depot
	     where depot.cost_centre is not null

	  loop

	     select count(*) 
	        into count_pstock
	        from singles
	        where singles.pdesc = Ppdesc.cod 
		  and singles.location = Pdepot.cod
		  and singles.stat <> 7;                           

	     if (count_pstock <> 0) and (count_pstock is not null) then

	        insert into pstock values ('H',
	        			   Ppdesc.cod,
				           Pdepot.cod,       
				           count_pstock,
				           0);

	        for i in 1..9 
		loop
	           select count(*)
		     into count_singles
	 	     from singles
		     where singles.pdesc = Ppdesc.cod
		       and singles.location = Pdepot.cod
		       and singles.stat = i;

		     if count_singles is null then
			 count_singles := 0;
		     end if;

	   	   insert into pavail values (Ppdesc.cod,
		   			      Pdepot.cod,
					      i,
					      count_singles);

                end loop;

	     else

	        insert into pstock values ('H',
	        			   Ppdesc.cod,
				           Pdepot.cod,       
				           0,
				           0);
	     end if;   				       

          end loop;                      


    end loop;

    for Ppdesc in 
          select * 
	  from pdesc
	  where pdesc.typ = 'M'
    loop
       delete from pavail
       where pavail.pdesc = Ppdesc.cod
       and pavail.stat = 2 ;


       for Pdepot in  
             select *
	     from depot
	     where depot.cost_centre is not null      
       loop
	    select sum(qty)
	      into count_chdetail
	      from chdetail
	      where chdetail.pdesc = Ppdesc.cod
	      and chdetail.location = Pdepot.cod;

            if count_chdetail is null then
                count_chdetail := 0 ;
            end if;

            select * 
            into Ppavail
            from pavail
            where pavail.stat  = 2
              and pavail.pdesc = Ppdesc.cod
              and pavail.location = Pdepot.cod;

            if not FOUND then
                insert into pavail values(Ppdesc.cod,
	    			        Pdepot.cod,
				        2,
				        count_chdetail);

            else
                update pavail     
                set qty = count_chdetail
                where pavail.stat  = 2 
                  and pavail.pdesc = Ppdesc.cod 
                  and pavail.location = Pdepot.cod;

            end if;

	    select sum(qty)
	    into count_pstock
	    from pstock
	    where pstock.pdesc = Ppdesc.cod 
	      and pstock.location = Pdepot.cod;

            if count_pstock is null  then
                count_pstock := 0 ;
            end if;

            select sum(qty) 
            into count_unavail
            from pavail
            where pavail.stat > 2
              and pavail.pdesc = Ppdesc.cod
              and pavail.location = Pdepot.cod;
 
            if count_unavail is null then
                count_unavail := 0;
            end if;

	    count_pavail = count_pstock - (count_chdetail + count_unavail);
 
            select *
            into Ppavail
            from pavail
            where pavail.stat  = 1
              and pavail.pdesc = Ppdesc.cod
              and pavail.location = Pdepot.cod;

            if not FOUND then
                insert into pavail values(Ppdesc.cod,
                                        Pdepot.cod,
                                        1,
                                        count_pavail) ;

            else
                update pavail
                set qty = count_pavail 
                where pavail.stat  = 1  
                  and pavail.pdesc = Ppdesc.cod  
                  and pavail.location = Pdepot.cod;  

            end if; 

          end loop;

	end loop;                                          




    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;
  
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.rbplant() OWNER TO postgres;

--
-- TOC entry 99 (class 1255 OID 78274)
-- Dependencies: 394 1230 5
-- Name: recover_bad_debt(integer, text, numeric, text, date, integer, text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION recover_bad_debt(p_depot integer, p_cod text, p_amount numeric, p_ref text, p_date date, p_user integer, p_cash_ac text) RETURNS sp_status
    AS $$
declare	p_val		 sledger.amount%type;
      	p_period	 sledger.period%type;
      	p_bd_recovered	 nominal.cod%type;
      	p_vat_account	 nominal.cod%type;
      	p_debtor 	 nominal.cod%type;
        p_vat_rate       vat.rate%type;
      	p_time		 sledger.tim%type;
      	Pser		 sledger.ser%type;
        p_seq            source.nxt%type;
        p_source         nlbatch.source%type;
      	p_note		 sledger.txt%type;
        pos_vat          cust.balance%type;
        p_balance        cust.balance%type;
        pos_goods        cust.balance%type;
        p_vat            cust.balance%type;
        p_goods          cust.balance%type;
        Plincount       integer;
        w_errnum        integer;
        w_errtxt        char(60);
        p_shadow_ledgers integer;
        w_home		     char(3);
        p_istrading      char(1);
        p_costcentre     char(4);
        p_cnt            integer;
        this_date        date;
	    err		         sp_status;

begin

    select * from get_home_currency()
    into w_home;

    p_source := 'BR';
    p_cnt := 0;

    select count(*)
    into Plincount
    from cust
    where cust.cod   = p_cod
      and cust.depot = p_depot
      and cust.bad_debt = 'Y' ;

    if Plincount is null then
        Plincount = 0;
    end if;

    if Plincount = 0 then
         err.ret_stat := 1; --there is an error
         err.ret_string := 'This Customer is Not a Bad Debt';
         return err ;
    end if;

    if p_amount = 0.00 then
         err.ret_string := 'Payments must be non zero';
         err.ret_stat := 1; --there is an error
         return err;
    end if;

    select account_code
      into p_bd_recovered
      from reserved_ac
     where reserved_ac.key_name = 'bd_recovered';

    if p_bd_recovered is null then
         err.ret_string = 'Bad Debts Recovered Reserved Account Is NULL';
         err.ret_stat = 1; --there is an error
         return err;
    end if;


    select count(*)
    into p_cnt
    from nominal
    where nominal.cod = p_bd_recovered
      and nominal.leafs = 0;

    if p_cnt = 0 then
         err.ret_string = 'Bad Debts Recovered Reserved Account Is not on Nominal as a leaf node';
         err.ret_stat = 1; --there is an error
         return err;
    end if;

    select account_code
      into p_vat_account
      from reserved_ac
     where reserved_ac.key_name = 'vat';

    if p_vat_account is null then
         err.ret_string = 'VAT Reserved Account Is NULL';
         err.ret_stat = 1; --there is an error
         return err;
    end if;

    p_cnt := 0;

    select count(*)
    into p_cnt
    from nominal
    where nominal.cod = p_vat_account
      and nominal.leafs = 0;

    if p_cnt = 0 then
         err.ret_string = "VAT Reserved Account Is not on Nominal as a leaf node";
         err.ret_stat = 1; --there is an error
         return err;
    end if;

    select account_code
      into p_debtor
      from reserved_ac
     where reserved_ac.key_name = 'debtors';

    if p_debtor is null then
         err.ret_string = 'Debtors Reserved Account Is NULL';
         err.ret_stat = 1; --there is an error
         return err;
    end if;

    p_cnt := 0;

    select count(*)
    into p_cnt
    from nominal
    where nominal.cod = p_debtor
      and nominal.leafs = 0;

    if p_cnt = 0 then
         err.ret_string = 'Debtors Reserved Account Is not on Nominal as a leaf node';
         err.ret_stat = 1; --there is an error
         return err;
    end if;


    select dparams.period
    into p_period
    from dparams;

    --create batch header.

    select source.nxt
    into p_seq
    from source
    where source.cod = p_source;

    if not found then
       err.ret_string := 'SOURCE "BR" not setup';
       err.ret_stat := 1;
       return err;
    end if;

    update source
    set nxt = nxt + 1
    where cod = p_source;

    --this_date := current_date;

    insert  into nlbatch values (
            p_source,
            p_seq,
            'S',
            p_period,
            CURRENT_DATE,
            p_depot,
            'I',        -- batch status incomplete
            null        -- presume no link to journals
        );

    p_val := 0 - p_amount;

    --p_time := CURRENT_TIME;

    insert into sledger values (
		nextval('sledger_ser_seq'),
		p_depot,
		p_cod,
		p_date,
	 	p_period,
		18,
		p_amount,
		0.00,
		p_depot,
		NULL,
		p_ref,
		0.00,
   		p_source,
		p_seq,
		'Bad Debt Recov',
		NULL,
		NULL,
		p_user,
		NULL ,
		CURRENT_TIME,
		NULL,
		NULL
		);

     select currval('sledger_ser_seq') into Pser;


     if Pser < 0 then
         err.ret_string := 'Error inserting in sledger';
         err.ret_stat := 1;
         return err;
     end if;

    --touchcust

    select sys_config.set
    into p_shadow_ledgers
    from sys_config
    where sys_config.num = 8;

    if p_shadow_ledgers  = 1 then
        insert into touched values (p_depot, p_cod);
    end if;

    select nparams.bd_recovered, nparams.vat
    into p_bd_recovered, p_vat_account
    from nparams;

    select count(*)
    into Plincount
    from nltrans
    where location = p_depot
      and source = p_source
      and batch  = p_seq
      and cod    = p_debtor;

    if Plincount is null then
       Plincount := 0;
    end if;

    if Plincount = 0 then

        insert into nltrans values (
			nextval('nltrans_trans_no_seq'),
			p_debtor,
			NULL,
			NULL,
			p_date,
			p_source,
			p_seq,
			p_cod,
			p_amount,
			'Bad Debt Recovered',
			NULL,
			'N',
			'Y',
			p_depot,
			null,	--	cleared only for bank
			w_home,
			p_amount
		    );

    else
        update nltrans
        set amount = amount + p_amount,
            currency_amount = currency_amount + p_amount
        where source   = p_source
          and batch    = p_seq
          and cod      = p_debtor;

     end if;

---I am presuming first rate of VAT (21% vat)

      select vat.rate
      into p_vat_rate
      from vat
      where vat.cod = 1;

      p_vat_rate := (p_vat_rate + 100) / 100;

      p_goods := (p_amount / p_vat_rate);
      p_vat   := (p_amount - p_goods);
      p_goods := 0 - p_goods;
      p_vat   := 0 - p_vat;

      select trading into p_istrading
        from nominal where cod = p_bd_recovered;

      if p_istrading = 'Y' then
        select cost_centre into p_costcentre
        from depot where cod = p_depot;
      else
        p_costcentre = null;
      end if;

      select count(*)
      into Plincount
      from nltrans
      where location = p_depot
        and source = p_source
        and batch  = p_seq
        and cod    = p_bd_recovered
        and cc     = p_costcentre;

      if Plincount is null then
          Plincount := 0;
      end if;

      if Plincount = 0 then
	      insert into nltrans values (
				nextval('nltrans_trans_no_seq'),
				p_bd_recovered,
				p_costcentre,
				NULL,
				p_date,
				p_source,
				p_seq,
				'',
				p_goods,
				'Batch Total',
				NULL,
				'N',
				'Y',
				p_depot,
				null,	--	cleared only for bank
				w_home,
				p_goods
			);
      else
	      update nltrans
	         set amount   = amount + p_goods,
	             currency_amount   = currency_amount + p_goods
	       where source = p_source
  	         and batch  = p_seq
  	         and cod    = p_bd_recovered
            and nltrans.cc     = p_costcentre;
      end if;

      select count(*)
      into Plincount
      from nltrans
      where location = p_depot
        and source = p_source
        and batch  = p_seq
        and cod    = p_vat_account;

      if Plincount is null then
          Plincount := 0;
      end if;

      if Plincount = 0 then
          insert into nltrans values (
				nextval('nltrans_trans_no_seq'),
				p_vat_account ,
				NULL,
				NULL,
				p_date,
				p_source,
				p_seq,
				'',
				p_vat,
				'Batch Total',
				NULL,
				'N',
				'Y',
				p_depot,
				null,	--	cleared only for bank
				w_home,
				p_vat
			);
      else
	      update nltrans
	         set amount = amount + p_vat,
	             currency_amount = currency_amount + p_vat
           where source   = p_source
	         and batch    = p_seq
	         and cod      = p_vat_account ;
	  end if;

      --
      -- DC - 'park' the VAT on the sledger type 18 even though it is only a payment.
      --

      update sledger
      set vat = abs(p_vat)
      where ser = Pser;

      update cust
        set bad_debt = 'N'
	where depot = p_depot
	  and cod   = p_cod
	  and bad_debt = 'Y';

        -- update turnover.

        select count(*)
          into Plincount
	      from turnover
         where depot  = p_depot
	       and cod    = p_cod
	       and typ    = 4		--	Cash this month
	       and period = p_period;

	  if Plincount is null then
             Plincount := 0;
      end if;

          if Plincount = 0 then
	     insert into turnover values (
			p_depot,
			p_cod,
			4,
			p_period,
			p_amount
		    );
	  else
	      update turnover
		set amount = amount + p_amount
		where depot = p_depot
		  and cod   = p_cod
		  and typ   = 4
		  and period = p_period;
       end if;

          pos_goods := 0 - p_goods;
          pos_vat   := 0 - p_vat;

          select  count(*)
          into Plincount
          from vatsum
          where cod = 1
            and period = p_period
            and trans  = 18
            and ledger = 'S';

          if Plincount is null then
              Plincount := 0;
          end if;

          if Plincount = 0 then
               insert into vatsum values (
                   1,
                   'S',
                   18,
                   pos_goods,
                   pos_vat,
                   p_period
                );
          else
               update vatsum
                   set goods = goods + pos_goods ,
                       vat   = vat   + pos_vat
                   where cod = 1
                    and period = p_period
                    and trans  = 18
                    and ledger = 'S';
          end if;

       --Complete Batches

          update nlbatch
          set stat = 'C'  -- complete
          where source = p_source
            and seq     = p_seq;

          err.ret_stat := 0;
          err.ret_string := 'Success';
          return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.recover_bad_debt(p_depot integer, p_cod text, p_amount numeric, p_ref text, p_date date, p_user integer, p_cash_ac text) OWNER TO postgres;

--
-- TOC entry 132 (class 1255 OID 445883)
-- Dependencies: 329 1230 5
-- Name: repair_plalloc(text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION repair_plalloc(p_supplier text) RETURNS SETOF jp_audit
    AS $$
DECLARE
 alloc_row     record;
 er_row        record;
 ee_row        record;
 err           sp_status;
 audit_row     record;
 results       jp_audit;

BEGIN

  BEGIN
     create table aud_plalloc(
           ser integer,
           typ integer,
           amount decimal(16,2),
           os decimal(16,2),
           allocated decimal(16,2),
           allocations decimal(16,2)
       );
   EXCEPTION
      WHEN OTHERS THEN
          raise notice 'Table already exists';
   END;
         insert INTO aud_plalloc(ser, typ, amount, os, allocated, allocations)

   select ser, 0 as typ, original,currency_os, (original - currency_os) as allocated, original as allocations
     from pledger
    where supplier = p_supplier;
      update aud_plalloc set allocations = 0.00;

   for alloc_row in
    select allocation            from pallocper
     where supplier = p_supplier
   loop

       for er_row in
	   select er, amount
	   from pallocer
         where pallocer.allocation = alloc_row.allocation
       loop
             update aud_plalloc
                set allocations = allocations - er_row.amount
              where aud_plalloc.ser = er_row.er;

       end loop;
              for ee_row in
        select ee, amount + discount    as alloc_amount                 from pallocee
          where pallocee.allocation = alloc_row.allocation
        loop


           update aud_plalloc
              set allocations = allocations + ee_row.alloc_amount
            where aud_plalloc.ser = ee_row.ee;

       end loop;

   end loop;
     for audit_row in select *
     from aud_plalloc
  where allocated <> allocations
  loop

		update pledger
		set currency_os = audit_row.amount - audit_row.allocated,
	    os = (audit_row.amount - audit_row.allocated ) * pledger.conversion_rate
       where ser = audit_row.ser;

  end loop;

  delete from aud_plalloc;

END;
$$
    LANGUAGE plpgsql STRICT;


ALTER FUNCTION public.repair_plalloc(p_supplier text) OWNER TO postgres;

--
-- TOC entry 128 (class 1255 OID 445881)
-- Dependencies: 329 1230 5
-- Name: repair_slalloc(integer, text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION repair_slalloc(p_depot integer, p_cust text) RETURNS SETOF jp_audit
    AS $$
DECLARE
 alloc_row     record;
 er_row        record;
 ee_row        record;
 err           sp_status;
 audit_row     record;
 results       jp_audit;
BEGIN
      BEGIN          create table aud_slalloc(
           ser integer,
           typ integer,
           amount decimal(16,2),
           os decimal(16,2),
           allocated decimal(16,2),
           allocations decimal(16,2)
       );
   EXCEPTION
       when OTHERS then
           raise notice 'Table Already Exists';
   END;
                        insert INTO aud_slalloc(ser, typ, amount, os, allocated, allocations)
   select ser, 0 as typ, amount, os, case when (typ > 10 )
      then
         amount + os
	  else
		 amount - os
      end as allocated ,
	  amount as allocations
     from sledger
    where depot = p_depot
     and cod  = p_cust;

      update aud_slalloc set allocations = 0.00;

   for alloc_row in
    select allocation
      from sallocper
     where acdepot = p_depot
       and cust    = p_cust
   loop

       for er_row in select er, amount
	     from sallocer
         where sallocer.allocation = alloc_row.allocation
       loop
             update aud_slalloc
                set allocations = allocations - er_row.amount
              where aud_slalloc.ser = er_row.er;

       end loop;

       for ee_row in
        select ee, amount + discount    as alloc_amount
		from sallocee
          where sallocee.allocation = alloc_row.allocation
        loop
           update aud_slalloc
              set allocations = allocations + ee_row.alloc_amount
            where aud_slalloc.ser = ee_row.ee;

       end loop;

   end loop;
     for audit_row in select *
   --   into Pser, Ptyp, Pamount, Pos, Pallocated, Palloc_amount
   from aud_slalloc
  where allocated <> allocations
  loop
	  update sledger
	  set os = abs(audit_row.amount) - abs(audit_row.allocated)
	  where ser = audit_row.ser;

   end loop;
   delete from aud_slalloc;
END;
$$
    LANGUAGE plpgsql STRICT;


ALTER FUNCTION public.repair_slalloc(p_depot integer, p_cust text) OWNER TO postgres;

--
-- TOC entry 98 (class 1255 OID 78276)
-- Dependencies: 394 1230 5
-- Name: reverse_batch(text, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION reverse_batch(psource text, pbatch integer) RETURNS sp_status
    AS $$
/*    Nested Sets version
*/

declare	Pstat		nlbatch.stat%type;
      	Pnltrans_row	nltrans%rowtype;
      	Pnominal_row	nominal%rowtype;
        Pcount		integer;
        err		sp_status;
        w_rows          integer;

------------------------------------------------------------------------------
begin
------------------------------------------------------------------------------

    select stat
     into Pstat
     from nlbatch
    where seq    = Pbatch
      and source = Psource;

    get diagnostics w_rows = ROW_COUNT;

    if w_rows = 0 then
        err.ret_string := 'Batch ' || Psource || '/' || Pbatch || ' not on file';
        err.ret_stat := 1;
	return err;
    end if;

    if Pstat <> 'U' then
        err.ret_string := 'Batch ' || Psource || '/' || Pbatch || ' has not been updated';
        err.ret_stat := 1;
        return err;
    end if;

    update nlbatch
       set stat = 'C'
     where seq    = Pbatch
       and source = Psource;

    update nltrans
       set period   = null,
       tmp      = 'Y'
     where batch  = Pbatch
       and source = Psource;

    err.ret_stat = 0;
    err.ret_string = 'Succeeded';
    return err;

end ;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.reverse_batch(psource text, pbatch integer) OWNER TO postgres;

--
-- TOC entry 100 (class 1255 OID 78277)
-- Dependencies: 388 1230 5
-- Name: sl_open_bal(date, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION sl_open_bal(pperiod date, plocation integer) RETURNS jp_open_bal
    AS $$
DECLARE
  Pdebtors      nominal.cod%type;
  Pmovement     decimal(16,2);
  Padj          decimal(16,2);
  Pmsg          char(60);
  row_found     boolean; 
  result        jp_open_bal;
  base_row      record;    
  w_rows        integer;
BEGIN
 
---
--- 1.  Get the opening balance from the checkpoint previous to the period
---     selected

    result.balance := 0.00;
    
    select account_code
      into Pdebtors
      from reserved_ac
     where reserved_ac.key_name = 'debtors';
    
    get diagnostics w_rows = ROW_COUNT;
    
    if w_rows = 0 then
         result.ret_string := 'Debtors Control Account not defined on reserved accounts';
         result.ret_stat := 1;
         return result;
    end if;

    row_found := false;

    for base_row in select amount, period  
                      from nltrans
                     where nltrans.source = 'CP'
                       and nltrans.period <= Pperiod
                       and nltrans.cod = Pdebtors
                  order by  period desc
    loop

        row_found = true;
        exit;

    end loop; 
    
    if not row_found then
       result.ret_stat := 1;
       result.ret_string := 'There is no nominal checkpoint before the requested period';
       return result;
    end if;

    ---
    --- We now have the balance on the debtors nominal and the period
    --- Now look for any adjustments to cover missing transactions (e.g Cobol
    --- conversions with purged credits)
    
    Padj := 0.00;
    
    select sum(amount)
      into Padj
      from adj_open_ctl
      where ledger = 'S'
        and period >= base_row.period
          and period < pperiod;

    if Padj is null then
        Padj := 0.00;
    end if;

    Pmovement := 0.00;

    if plocation = 0 then
        select sum(amount)
        into Pmovement
        from sledger
        where period >= base_row.period
          and period < pperiod
          and cod is not null;
    else
        select sum(amount)
        into Pmovement
        from sledger
        where period >= base_row.period
          and period < pperiod
          and location = plocation
          and cod is not null;
    end if;

    if Pmovement is null then
        Pmovement := 0.00;
    end if;
    
    result.ret_stat := 1;
    result.ret_string = 'Success';
    result.balance := base_row.amount + Padj + Pmovement; 
    return result;

END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.sl_open_bal(pperiod date, plocation integer) OWNER TO postgres;

--
-- TOC entry 2254 (class 1259 OID 78278)
-- Dependencies: 5
-- Name: sledger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sledger (
    ser integer NOT NULL,
    depot integer,
    cod character(7),
    dat date,
    period date,
    typ integer,
    amount numeric(16,2),
    vat numeric(16,2),
    location integer,
    contract character(6),
    ref character(10),
    os numeric(16,2),
    source character(2),
    batch integer,
    description character(15),
    txt integer,
    lodgement integer,
    operator integer,
    invtype character(1),
    tim time without time zone,
    cash_nominal character(6),
    cash_invoice integer
);


ALTER TABLE public.sledger OWNER TO postgres;

--
-- TOC entry 101 (class 1255 OID 78280)
-- Dependencies: 396 1230 5
-- Name: sledger_at(integer, character, date, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION sledger_at(p_depot integer, p_cod character, p_date date, p_reverse integer) RETURNS SETOF sledger
    AS $$
declare sledger_row           sledger%rowtype;
        Palloc                sledger.os%type;
        Pledger_period        sledger.period%type;

begin

  select * from jp_period(p_date) into Pledger_period;
  Palloc := 0;

  for sledger_row in
     select *
     from sledger sl
     where sl.depot = p_depot and sl.cod = p_cod
     and sl.dat <= p_date
     order by sl.dat
  loop

     if p_reverse = 1 then
         if sledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)
                 into Palloc
             from sallocee ee, sallocper per
             where ee.ee = sledger_row.ser
             and ee.allocation = per.allocation
             and per.dat > p_date;
         else
             select sum(er.amount)
                 into Palloc
             from sallocer er, sallocper per
             where er.er = sledger_row.ser
             and er.allocation = per.allocation
             and per.dat > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0;
         end if;
     end if;

     if sledger_row.typ < 10 then
         sledger_row.os = sledger_row.os + Palloc;
     else
         sledger_row.os = sledger_row.os + Palloc;
     end if;

     if sledger_row.os <> 0 or sledger_row.period = Pledger_period then

         return next sledger_row;

      end if;

  end loop;

  return;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.sledger_at(p_depot integer, p_cod character, p_date date, p_reverse integer) OWNER TO postgres;

--
-- TOC entry 102 (class 1255 OID 78281)
-- Dependencies: 390 1230 5
-- Name: suppaged_at(character, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION suppaged_at(p_cod character, p_date date, p_reverse integer, p_age_credits integer) RETURNS jp_suppaged_at
    AS $$
declare period_index int;
        p_age        decimal(16,2)[7];
        Palloc       numeric(16,2);
        ledger_row   record;
	p_ledger_mth date;
        return_age   jp_suppaged_at_fx;

begin

  return_age.supplier = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_payment := null;
  return_age.last_payment_date := null;

  for i in 1 .. 6 loop
      p_age[i] := 0.00;
  end loop;

  <<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, os, period
     from pledger
     where supplier = p_cod
     order by dat,ser
  LOOP

     Palloc := 0.00;
     if p_reverse = 1 then

         if ledger_row.period > p_date then
	     continue ledger_loop;
	 end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)::numeric(16,2)
             into Palloc
             from pallocee ee, pallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount) :: numeric(16,2)
             into Palloc
             from pallocer er, pallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;

     end if;

     if ledger_row.typ = 12 then
         return_age.last_payment  := ( 0 - ledger_row.amount );
         return_age.last_payment_date := ledger_row.dat;
     end if;


     if ledger_row.typ < 10 then
         ledger_row.os := ledger_row.os + Palloc;
     else
         ledger_row.os := ledger_row.os - Palloc;
	 return_age.unallocated := return_age.unallocated + (0 - ledger_row.os );
     end if;

     -- Calculate the balance
     return_age.balance := return_age.balance + ledger_row.amount;

     if p_age_credits = 0 and ledger_row.typ > 10 then
        continue ledger_loop;
     end if;

     IF ledger_row.dat IS NULL THEN
         ledger_row.dat := p_date;
     end if;

     period_index := elapsed_months(ledger_row.dat, p_date);

     if (period_index > 5) THEN
        period_index := 5;
     end if;

     if (period_index < 0) THEN
        period_index := 0;
     end if;  
     
     period_index := period_index + 1;

     p_age[period_index] := p_age[period_index] + ledger_row.os;

  end loop;

  return_age.current = p_age[1];
  return_age.period1 = p_age[2];
  return_age.period2 = p_age[3];
  return_age.period3 = p_age[4];
  return_age.period4 = p_age[5];
  return_age.period5 = p_age[6];

  RETURN return_age;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.suppaged_at(p_cod character, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 103 (class 1255 OID 78282)
-- Dependencies: 391 1230 5
-- Name: suppaged_at_fx(character, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION suppaged_at_fx(p_cod character, p_date date, p_reverse integer, p_age_credits integer) RETURNS jp_suppaged_at_fx
    AS $$
declare period_index int;
        p_age        decimal(16,2)[7];
        Palloc       numeric(16,2);
        ledger_row   record;
	    p_ledger_mth date;
        return_age   jp_suppaged_at_fx;

begin

  return_age.supplier = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_payment := null;
  return_age.last_payment_date := null;

  for i in 1 .. 6 loop
      p_age[i] := 0.00;
  end loop;

  <<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, currency_os, period
     from pledger
     where supplier = p_cod
     order by dat, ser
  LOOP

     Palloc := 0.00;
     if p_reverse = 1 then

         if ledger_row.period > p_date then
	     continue ledger_loop;
	 end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)::numeric(16,2)
             into Palloc
             from pallocee ee, pallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount) :: numeric(16,2)
             into Palloc
             from pallocer er, pallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;

     end if;

     if ledger_row.typ = 12 then
         return_age.last_payment  := ( 0 - ledger_row.amount );
         return_age.last_payment_date := ledger_row.dat;
     end if;


     if ledger_row.typ < 10 then
         ledger_row.currency_os := ledger_row.currency_os + Palloc;
     else
         ledger_row.currency_os := ledger_row.currency_os - Palloc;
	     return_age.unallocated := return_age.unallocated + (0 - ledger_row.currency_os );
     end if;

     -- Calculate the balance
     return_age.balance := return_age.balance + ledger_row.currency_os;

     if p_age_credits = 0 and ledger_row.typ > 10 then
        continue ledger_loop;
     end if;

     IF ledger_row.dat IS NULL THEN
         ledger_row.dat := p_date;
     end if;

     period_index := elapsed_months(ledger_row.dat, p_date);
     
     --raise notice 'Index = % \x010', period_index;
     
     --if ledger_row.currency_os <> 0.00 then
        --raise notice 'SDFGDSFDG';
     --end if;
     
     if (period_index > 5) THEN
        period_index := 5;
     end if;

     if (period_index < 0) THEN
        period_index := 0;
     end if; 
     
     period_index := period_index + 1;

     p_age[period_index] := p_age[period_index] + ledger_row.currency_os;

  end loop;

  return_age.current = p_age[1];
  return_age.period1 = p_age[2];
  return_age.period2 = p_age[3];
  return_age.period3 = p_age[4];
  return_age.period4 = p_age[5];
  return_age.period5 = p_age[6];

  RETURN return_age;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.suppaged_at_fx(p_cod character, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 104 (class 1255 OID 78283)
-- Dependencies: 1230 5
-- Name: sys_refresh_sequences(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION sys_refresh_sequences() RETURNS integer
    AS $$
   DECLARE
       myseq RECORD;
   BEGIN
       FOR myseq IN select * from sequence_setvals LOOP
           RAISE NOTICE 'Executing - %', myseq.expr;
           EXECUTE myseq.expr;
       END LOOP;

       return 1;
   END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.sys_refresh_sequences() OWNER TO postgres;

--
-- TOC entry 105 (class 1255 OID 78284)
-- Dependencies: 1230 5
-- Name: testdigit(text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION testdigit(barcode text) RETURNS text
    AS $$

declare d1       int;
      	d2       integer;
        d3       integer;
	d4       integer;
	d5       integer;
	d6       integer;
	d7       integer;
	d8       integer;
	d9       integer;
	d10      integer;
	d11      integer;
	d12      integer;
	d13      integer;
	c1       integer;
	c2       integer;
	c3       integer;
	codig    integer;
	tmp      int;
	cod      char(13);
	tmpcod	 char(12);
BEGIN
    cod = Barcode;
    d1 = CAST(SUBSTR(Barcode, 0, 1) AS int);
    d2 = CAST(SUBSTR(Barcode, 1, 1) AS int);
    d3 = CAST(SUBSTR(Barcode, 2, 1) AS int);
    d4 = CAST(SUBSTR(Barcode, 3, 1) AS int);
    d5 = CAST(SUBSTR(Barcode, 4, 1) AS int);
    d6 = CAST(SUBSTR(Barcode, 5, 1) AS int);
    d7 = CAST(SUBSTR(Barcode, 6, 1) AS int);
    d8 = CAST(SUBSTR(Barcode, 7, 1) AS int);
    d9 = CAST(SUBSTR(Barcode, 8, 1) AS int);
    d10 = CAST(SUBSTR(Barcode, 10, 1) AS int);
    d11 = CAST(SUBSTR(Barcode, 11, 1) AS int);
    d12 = CAST(SUBSTR(Barcode, 12, 1) AS int);
    --d13 = CAST(SUBSTR(Barcode, 13, 1) AS int);
    return cod;
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.testdigit(barcode text) OWNER TO postgres;

--
-- TOC entry 106 (class 1255 OID 78285)
-- Dependencies: 1230 5
-- Name: testit(integer, text, date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION testit(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer) RETURNS integer
    AS $$
declare p_index int;
        p_time_interval interval;
        p_ledger_mnth dparams.period%type;
        p_current_Period dparams.period%type;
        p_age decimal(16,2)[6];
        Pamount sledger.amount%type;
        Palloc sledger.os%type;
        Punallocated cust.unallocated%type;
        PaccountType cust.account_type%type;
        Pbalance cust.balance%type;
        PlastPay cust.last_pay%type;
        PlastPaid cust.last_paid%type;
        p_period_cutoff sledger.period%type;
        g_period pledger.period%type;
        ledger_row record;
        return_age jp_custage;
        ts1 timestamp;
        ts2 timestamp;
        i integer;
        work_date date;

begin

  select account_type
  into PaccountType
  from cust
  where cust.depot = P_depot
    and cust.cod = P_cod;

  if PaccountType is null then
      PaccountType := 'C';
  end if;

  ts1 := p_date;
  ts2 := ts1 - interval '5 months';
  work_date := ts2;
  p_period_cutoff := jp_period(work_date);
  p_current_period := jp_period(p_date);

  return_age.depot = p_depot;
  return_age.cust = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_pay := null;
  return_age.last_paid := null;

  for i in 1 .. 6
  loop
      p_age[i] := 0.00;
  end loop;
  Palloc := 0.00;


  <<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, os, period
     from sledger
     where depot = p_depot and cod = p_cod
       and ((typ = 13) OR (typ <> 13 and os <> 0))
     order by dat, ser
  loop

     if p_reverse = 1 then
         if ledger_row.period > p_date then
	         continue ledger_loop;
	     end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)
             into Palloc
             from sallocee ee, sallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount)
             into Palloc
             from sallocer er, sallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;
     end if;

     if ledger_row.typ = 13 then
         return_age.last_pay  := ledger_row.amount;
         return_age.last_paid := ledger_row.dat;
     end if;

     p_ledger_mnth := jp_period(ledger_row.dat);

     if ledger_row.typ < 10 then
         ledger_row.os := ledger_row.os + Palloc;
         return_age.balance := return_age.balance + ledger_row.os;
     else
         ledger_row.os := ledger_row.os + Palloc;
	      return_age.unallocated := return_age.unallocated + ledger_row.os;
         return_age.balance := return_age.balance - ledger_row.os;
         ledger_row.os := 0 - ledger_row.os;
	     if p_age_credits = 0 then
	        continue ledger_loop;
	     end if;
     end if;

     -- Calculate the balance

     IF p_ledger_mnth is null then
         p_ledger_mnth := p_current_period;
     end if;

     IF p_ledger_mnth < p_period_cutoff then
         p_index := 6;
     else
         IF p_ledger_mnth > p_current_period then
             p_index := 1;
         else
             p_index = elapsed_months(p_ledger_mnth, p_current_period) + 1;
         end if;
     end if;

     if p_index = 0 then
        p_index := 1;
     end if;

     IF p_index > 6 THEN
         p_index := 6;
     END IF;

     p_age[p_index] := p_age[p_index] + ledger_row.os;

  end loop;

  return_age.account_type := PaccountType;

  for i in 1 .. 6
  loop
    if i = 1 then
	return_age.curr_bal = p_age[i];
    elsif i = 2 then
	return_age.per1_bal = p_age[i];
    elsif i = 3 then
	return_age.per2_bal = p_age[i];
    elsif i = 4 then
	return_age.per3_bal = p_age[i];
    elsif i = 5 then
	return_age.per4_bal = p_age[i];
    elsif i = 6 then
	return_age.per5_bal = p_age[i];
    end if;
  end loop;

  RETURN return_age;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.testit(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 107 (class 1255 OID 78286)
-- Dependencies: 1230 5
-- Name: total_register(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION total_register() RETURNS numeric
    AS $$
declare  total_qty     pstock.qty%type;
         total_cost    decimal;
         total_depn    decimal;
         r_qty         pstock.qty%type;
         r_cost        decimal;
         r_depn        decimal;
         r_wdv         decimal;
         r_dat         pcost.dat%type;
       	 t_wdv	       decimal;
         p_cod	       pdesc.cod%type;
         singles_row   singles%rowtype;

begin

    t_wdv := 0;

    for singles_row in
    select *
    from singles
    where singles.asset_reg = 'H'
    order by singles.cod
    loop

        select qty, unit_cost, unit_depn, dat
        into r_qty, r_cost, r_depn, r_dat
        from pcost
        where pcost.asset_reg = 'H'
          and pcost.reg = singles_row.cod
          and pcost.pdesc = singles_row.pdesc
          and pcost.qty > 0;

        if not FOUND then
            continue;
        end if;

        if r_qty = 0 then
            continue;
        end if;

        r_wdv := r_cost - r_depn;
        t_wdv := t_wdv + r_wdv;

    end loop;

   select sum(pstock.qty)
   into total_qty
   from pstock
   where pstock.asset_reg = 'H';

    select sum(pcost.qty * pcost.unit_cost),
           sum(pcost.qty * pcost.unit_depn)
    into total_cost, total_depn
    from pcost
    where pcost.asset_reg = 'H'
	and pcost.pdesc in (select cod from pdesc
	    where typ = 'M');

    if total_cost is null then
        total_cost = 0.00;
    end if;

    if total_depn is null then
        total_depn = 0.00;
    end if;

    t_wdv := t_wdv + (total_cost - total_depn);

    return t_wdv;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.total_register() OWNER TO postgres;

--
-- TOC entry 108 (class 1255 OID 78287)
-- Dependencies: 394 1230 5
-- Name: upd_nmnl_tree_impl(character, character); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION upd_nmnl_tree_impl(src_nominal character, new_parent character) RETURNS sp_status
    AS $$
-- Update the nlbals table to reflect a node being pasted
    -- elsewhere. Balances for all parents for both source
    -- and destination nodes are updated

declare p_currCod nlbals.cod%type;
        p_currBop nlbals.bop_bal%type;
        p_currCurbal nlbals.cur_bal%type;
        p_currYtd nlbals.ytd_bal%type;

        p_totBop nlbals.bop_bal%type;
        p_totCurbal nlbals.cur_bal%type;
        p_totYtd nlbals.ytd_bal%type;

        p_balRows integer ;
        p_isTrading nominal.trading%type;
        p_parent nominal.parent%type;
        err sp_status;
        Pnlbals record;

begin

    -- Sanity check
    select count(*) into p_balRows from nominal where cod=src_nominal;
    if p_balRows < 1 then
        err.ret_stat := 1;
        err.ret_string := 'No source record found' ;
        return err;
    end if;

    select count(*) into p_balRows from nominal where cod=new_parent;
    if p_balRows<1 then
        err.ret_stat := 1;
        err.ret_string := 'No destination record found' ;
        return err;
    end if;

    <<nlbals_loop>>
    for Pnlbals in
        select cod, cc, period, bop_bal,  cur_bal, ytd_bal
        --into p_cod, p_cc, p_period, p_bop, p_curBal, p_ytd
        from nlbals
        where cod=src_nominal
    loop

        if Pnlbals.p_bop=0 and Pnlbals.p_curBal=0 and Pnlbals.p_ytd=0 then
            continue nlbals_loop;
        end if;

        -- Subtract the balances up the tree from the original position
        select cod, parent, trading
        into p_currCod, p_parent, p_isTrading
        from nominal
        where cod = (select parent from nominal where cod=src_nominal) ;

        while p_currCod is not null
        loop
            if p_isTrading='Y' then
                select bop_bal, cur_bal, ytd_bal
                into p_totBop, p_totCurbal, p_totYtd
                from nlbals
                where cod=p_currCod
                and cc=Pnlbals.p_cc
                and period=Pnlbals.p_period;
            else
                select bop_bal, cur_bal, ytd_bal
                into p_totBop, p_totCurbal, p_totYtd
                from nlbals
                where cod=p_currCod
                and period=Pnlbals.p_period;
            end if;

            if p_totCurbal is not null then
                -- Upddate the row
                p_totBop := p_totBop - Pnlbals.p_bop ;
                p_totCurbal := p_totCurbal - Pnlbals.p_curBal;
                p_totYtd := p_totYtd - Pnlbals.p_ytd ;

                if p_isTrading='Y' then
                    update nlbals set bop_bal=p_totBop, cur_bal=p_totCurbal, ytd_bal=p_totYtd
                    where cod=p_currCod
                    and cc=Pnlbals.p_cc
                    and period=Pnlbals.p_period;
                else
                    update nlbals set bop_bal=p_totBop, cur_bal=p_totCurbal, ytd_bal=p_totYtd
                    where cod=p_currCod
                    and period=Pnlbals.p_period;
                end if;
            else
                err.ret_stat := 1;
                err.ret_string := 'No row found for parent on table nlbals';
                return err;
            end if;

            select cod, parent, trading
            into p_currCod, p_parent, p_isTrading
            from nominal
            where cod=p_parent ;

        end loop;

        -- Augment the balances at the destination
        -- Initialise the totals

        p_totBop := Pnlbals.p_bop;
        p_totCurbal := Pnlbals.p_curBal ;
        p_totYtd := Pnlbals.p_ytd ;

        select cod, parent, trading
        into p_currCod, p_parent, p_isTrading
        from nominal
        where cod=new_parent;

        while p_currCod is not null
        loop

            -- Get the values for this node
            if p_isTrading='Y' then
                select count(*)
                into p_balRows
                from nlbals
                where cod=p_currCod
                and cc=Pnlbals.p_cc
                and period=Pnlbals.p_period;
            else
                select count(*)
                into p_balRows
                from nlbals
                where cod=p_currCod
                and period=Pnlbals.p_period;
            end if;

            if p_balRows = 0 then

                -- Need to insert
                if p_isTrading ='Y' then
                    insert into nlbals (cod, cc, period, bop_bal, cur_bal, ytd_bal)
                    values (p_currCod, Pnlbals.p_cc, Pnlbals.p_period, p_totBop, p_totCurbal, p_totYtd);
                else
                    insert into nlbals (cod, cc, period, bop_bal, cur_bal, ytd_bal)
                    values (p_currCod, null, Pnlbals.p_period, p_totBop, p_totCurbal, p_totYtd);
                end if;

            elsif p_balRows = 1 then
                -- Upddate the row
                if p_isTrading='Y' then
                    select bop_bal, cur_bal, ytd_bal
                    into p_totBop, p_totCurbal, p_totYtd
                    from nlbals
                    where cod=p_currCod
                    and cc=Pnlbals.p_cc
                    and period=Pnlbals.p_period;
                else
                    select bop_bal, cur_bal, ytd_bal
                    into p_totBop, p_totCurbal, p_totYtd
                    from nlbals
                    where cod=p_currCod
                    and period=Pnlbals.p_period;
                end if;

                p_totBop := p_totBop + Pnlbals.p_bop ;
                p_totCurbal := p_totCurbal + Pnlbals.p_curBal;
                p_totYtd := p_totYtd + Pnlbals.p_ytd ;

                if p_isTrading='Y' then
                    update nlbals set bop_bal=p_totBop, cur_bal=p_totCurbal, ytd_bal=p_totYtd
                    where cod = p_currCod
                    and cc = Pnlbals.p_cc
                    and period = Pnlbals.p_period;
                else
                    update nlbals set bop_bal=p_totBop, cur_bal=p_totCurbal, ytd_bal=p_totYtd
                    where cod = p_currCod
                    and period = Pnlbals.p_period;
                end if;

            else
                err.ret_stat := 1;
                err.ret_string := 'More than 1 row exists on table nlbals';
                return err;
            end if;

            select cod, parent, trading
            into p_currCod, p_parent, p_isTrading
            from nominal
            where cod=p_parent;

        end loop;

    end loop;

    err.ret_stat := 0;
    err.ret_string := 'SUCCESS';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.upd_nmnl_tree_impl(src_nominal character, new_parent character) OWNER TO postgres;

--
-- TOC entry 109 (class 1255 OID 78288)
-- Dependencies: 394 1230 5
-- Name: upd_putil(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION upd_putil() RETURNS sp_status
    AS $$
DECLARE 
        err 			sp_status;

begin

    

    err.ret_stat = 0;
    err.ret_string = 'Success';
    return err;

end;$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.upd_putil() OWNER TO postgres;

--
-- TOC entry 110 (class 1255 OID 78289)
-- Dependencies: 394 1230 5
-- Name: update_batch(integer, text, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION update_batch(w_loc integer, w_source text, w_batch integer) RETURNS sp_status
    AS $$
declare  w_period	nparams.current_period%type;

------- nlbatch.* --------------------------------------------------------------
        nlbatch_source  nlbatch.source%type;
        nlbatch_seq	nlbatch.seq%type;
        nlbatch_ledger  nlbatch.ledger%type;
        nlbatch_period  nlbatch.period%type;
        nlbatch_dat	nlbatch.dat%type;
        nlbatch_location nlbatch.location%type;
        nlbatch_stat	nlbatch.stat%type;
        nlbatch_jou_ref nlbatch.journal_ref%type;

------- nltrans_disp.* ---------------------------------------------------------
        nltrdisp_trans_no nltrans_disp.trans_no%type;
        nltrdisp_disp_row nltrans_disp.disposal_row%type;

------- nltrans_hist.* ---------------------------------------------------------
        nltrhist_trans_no nltrans_hist.trans_no%type;
        nltrhist_hist_row nltrans_hist.history_row%type;

------- nltrans.* --------------------------------------------------------------
        nltrans_row	nltrans%rowtype;

------- disposals.ser ----------------------------------------------------------

        disposals_ser		disposals.ser%type;

------- phistory.ser -----------------------------------------------------------

        phistory_ser		phistory.ser%type;

------- Error Handling Variables -----------------------------------------------
       proc_name		text;
       err_no			text;
       eh_errno			integer;
       eh_msg			text;
       proc_err			sp_status;
       proc_ret_str		text;
       w_rows			integer;
       err                      sp_status;

--------------------------------------------------------------------------------

begin

--------------------------------------------------------------------------------

	select * from batch_ok(w_loc,w_source,w_batch) into proc_err;

	if  proc_err.ret_stat = 1 then
            err.ret_stat := 1;
            err.ret_string := proc_err.ret_string;
	    return err;
	end if;
	
    select period 
      into w_period 
      from nlbatch   
      where nlbatch.location = w_loc
       and nlbatch.source = w_source
       and nlbatch.seq = w_batch;

	for nltrans_row in select *
	    from nltrans
	    where source = w_source
	    and   batch  = w_batch
    loop

	    update nltrans
		set period = w_period,
		    tmp    = 'N'
	    where nltrans.trans_no = nltrans_row.trans_no;

--	now look for disposal & history details which may be associated
--	with this transaction

	    select disposal_row
	    into nltrdisp_disp_row                        
	    from nltrans_disp
	    where nltrans_disp.trans_no = nltrans_row.trans_no;

	    get diagnostics w_rows = ROW_COUNT;

	    if  w_rows <> 0  then

		select ser
		into disposals_ser
		from disposals
		where disposals.ser = nltrdisp_disp_row;

	        get diagnostics w_rows = ROW_COUNT;

		if  w_rows <> 1  then

		    err.ret_string := err_no || ' Disposal row ', nltrdisp_disp_row , ' not found';
		    /*
		    let proc_name = 'update_batch';
		    call err_handler(err_no,proc_name,'batch_update')
			return err eh_errno,eh_msg;
                    */
                    err.ret_stat := 1;
                    return err;
		else

		    update disposals
		    set nominal_period = w_period
		    where disposals.ser = nltrdisp_disp_row;

		 end if;

		 delete from nltrans_disp
		 where nltrans_disp.trans_no = nltrans_row.trans_no;

	    end if;

	    select history_row
	    into nltrhist_hist_row
	    from nltrans_hist
	    where nltrans_hist.trans_no = nltrans_row.trans_no;

            get diagnostics w_rows = ROW_COUNT;

	    if w_rows  = 1 then

		select ser
		into phistory_ser
		from phistory
		where phistory.ser = nltrhist_hist_row;

		if not FOUND then
		    err.ret_string = err_no || ' History row ', nltrhist_hist_row , ' not found';
 		    /*
		    let proc_name = 'update_batch';
		    call err_handler(err_no,proc_name,'batch_update')
			returning eh_errno,eh_msg;
                    */
		    err.ret_stat := 1;
		    return err;
		end if;

		update phistory
		set nominal_period = w_period
		where phistory.ser = nltrhist_hist_row;

		delete from nltrans_hist
		where nltrans_hist.trans_no = nltrans_row.trans_no;

	    end if;

	end loop;

	update nlbatch
	    set stat = 'U'
	    where location = w_loc
	      and source   = w_source
	      and seq      = w_batch;

	/*	If the batch is also a journal then update the 'journals' table
		with the period number
        */

	select journal_ref
	into nlbatch_jou_ref
	from nlbatch
	where location = w_loc
	  and source   = w_source
	  and seq      = w_batch;

	if found then
	    update journals
	    set nominal_period = w_period
	    where ser = nlbatch_jou_ref;
	end if;

	err.ret_stat := 0;
        err.ret_string := 'SUCCESS';

	return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.update_batch(w_loc integer, w_source text, w_batch integer) OWNER TO postgres;

--
-- TOC entry 111 (class 1255 OID 78290)
-- Dependencies: 1230 5
-- Name: valid_barcode(text); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION valid_barcode(barcode text) RETURNS boolean
    AS $$
DECLARE
  b text;
  odd int;
  even int;
  s int;
BEGIN
  IF barcode IS NULL THEN
    return NULL;
  END IF;
  IF LENGTH(barcode) < 12 OR LENGTH(barcode) > 13 THEN
    return false;
  END IF;
  -- normalize UPC and EAN to both be 13 digits
  IF LENGTH(barcode) = 12 THEN
    b = '0' || barcode;
  ELSE
    b = barcode;
  END IF;
  -- sum of odd digits times 3, plus sum of even digits
  even = CAST(SUBSTR(b, 1, 1) AS int) + CAST(SUBSTR(b, 3, 1) AS int) + CAST(SUBSTR(b, 5, 1) AS int) + CAST(SUBSTR(b, 7, 1) AS int) + CAST(SUBSTR(b, 9, 1) AS int) + CAST(SUBSTR(b, 11, 1) AS int);
  odd = CAST(SUBSTR(b, 2, 1) AS int) + CAST(SUBSTR(b, 4, 1) AS int) + CAST(SUBSTR(b, 6, 1) AS int) + CAST(SUBSTR(b, 8, 1) AS int) + CAST(SUBSTR(b, 10, 1) AS int) + CAST(SUBSTR(b, 12, 1) AS int);
  s = (3 * odd) + even;
  -- remainder to nearest 10 should be same as last check digit
  IF (CAST((CEIL(CAST(s AS float8) / 10) * 10) AS int) % s) = CAST(SUBSTR(b, 13, 1) AS int) THEN
    return true;
  ELSE
    return false;
  END IF;
END;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.valid_barcode(barcode text) OWNER TO postgres;

--
-- TOC entry 112 (class 1255 OID 78291)
-- Dependencies: 393 1230 5
-- Name: verify_cr_nl(date, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_cr_nl(pperiod date, psuppress_ok integer) RETURNS SETOF jp_verify
    AS $$
declare Pplsum          pledger.amount%type;
        Pnlsum          pledger.amount%type;
        Pcreditor       reserved_ac.account_code%type;
        Pcount          integer;
        Pnlperiod       nltrans.period%type;
        Pdirection      char(20);
        creditors_row   record;
        nominal_row     record;
        ret_row         jp_verify;
        w_cnt           integer;
        y_cnt           integer;
        count_row       record;

begin

    select account_code
      into Pcreditor
      from reserved_ac
     where key_name = 'creditor_total';

    for creditors_row in
      select a.source, a.batch, sum(a.amount * -1) as total
       from pledger a
      where a.period = Pperiod
        and a.supplier is not null
      group by 1,2
      
    loop
      
        ret_row.direction := 'Creditors to Nominal';

        select count(*)
          into Pcount
         from nltrans
        where source = creditors_row.source
          and batch = creditors_row.batch;

        if Pcount = 0 then
            ret_row.comment := '[REBUILD] Batch does not exist';
            ret_row.source := creditors_row.source;
            ret_row.batch := creditors_row.batch;
            ret_row.subledger_total := creditors_row.total;
            ret_row.nominal_total := null;
            ret_row.nominal_period := null;
            return next ret_row;
            continue;
        end if;
        
         select sum(amount)
         into Pnlsum
         from nltrans
        where source = creditors_row.source
          and batch = creditors_row.batch;  
          
          if Pnlsum <> 0  then
            ret_row.comment := '[REBUILD] Batch is not in balance';
            ret_row.source := creditors_row.source;
            ret_row.batch := creditors_row.batch;
            ret_row.subledger_total := creditors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := null;
            return next ret_row;
        end if;
        
         select sum(amount)
         into Pnlsum
         from nltrans
        where source = creditors_row.source
          and batch = creditors_row.batch
          and cod in (select cod from nominal where parent = Pcreditor);
               
        if creditors_row.total  <> 0 and Pnlsum is null then
            ret_row.comment := '[REBUILD] No Posting to Credit';
            ret_row.source := creditors_row.source;
            ret_row.batch := creditors_row.batch;
            ret_row.subledger_total := creditors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := null;
            return next ret_row;
        end if;
        
        if Pnlsum is null then
            Pnlsum = 0.00;
        end if;

        if Pnlsum <> creditors_row.total then
            ret_row.comment := '[REBUILD] Totals do not agree';
            ret_row.source := creditors_row.source;
            ret_row.batch := creditors_row.batch;
            ret_row.subledger_total := creditors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := null;
            return next ret_row;
        end if;
        
        w_cnt := 0;

        for count_row in
            select distinct period
              from nltrans
             where source = creditors_row.source
               and batch = creditors_row.batch
        loop
            w_cnt := w_cnt + 1;
        end loop; 
        
        y_cnt := 0;

        for count_row in
            select distinct period
              from pledger
             where source = creditors_row.source
               and batch = creditors_row.batch
        loop
            y_cnt := y_cnt + 1;
        end loop;

        if w_cnt > 1 or y_cnt > 1 then
            if w_cnt > 1 then
                ret_row.comment := '[REBUILD] Batch posted to '|| w_cnt || ' periods';
            else
                ret_row.comment := '[SPLIT] Batch posted to '|| y_cnt || ' periods'; 
            end if;            
            ret_row.source := creditors_row.source;
            ret_row.batch := creditors_row.batch;
            ret_row.subledger_total := creditors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := Pnlperiod;
            return next ret_row;
        else

            select distinct period
              into Pnlperiod
              from nltrans
             where source = creditors_row.source
               and batch = creditors_row.batch;

            if Pnlperiod <> Pperiod then
                ret_row.comment := '[MOVE] Batch posted to a different period';
                ret_row.source := creditors_row.source;
                ret_row.batch := creditors_row.batch;
                ret_row.subledger_total := creditors_row.total;
                ret_row.nominal_total := Pnlsum;
                ret_row.nominal_period := Pnlperiod;
                return next ret_row;
            end if;
        end if;
        
        if Psuppress_ok <> 1 then
            ret_row.comment := 'Batch OK';
            ret_row.source := creditors_row.source;
            ret_row.batch := creditors_row.batch;
            ret_row.subledger_total := creditors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := Pnlperiod;
            return next ret_row;
        end if;

    end loop;

    Pplsum := 0.00;

    for nominal_row in
     select source, batch, sum(amount) as total
       from nltrans
      where nltrans.period = Pperiod
        and nltrans.cod in (select cod from nominal where parent = Pcreditor)
        and source <> 'CP'
      group by 1,2 
     union select nltrans.source, nltrans.batch, sum(nltrans.amount)
       from nltrans, nlbatch
      where nltrans.source = nlbatch.source and nltrans.batch = nlbatch.seq
        and nltrans.period is null and nlbatch.period = Pperiod
        and nltrans.cod in (select cod from nominal where parent = Pcreditor)
      group by 1,2

      
    loop
      
      ret_row.direction := 'Nominal To Creditors';

        select count(*)
          into Pcount
         from pledger
        where source = nominal_row.source
          and batch = nominal_row.batch;

        if Pcount = 0 then 
            if  nominal_row.total <> 0.00 then
                ret_row.comment := '[NO FIX] Batch does not exist on PL';
                ret_row.source := nominal_row.source;
                ret_row.batch := nominal_row.batch;
                ret_row.subledger_total := 0.00;
                ret_row.nominal_total := nominal_row.total;
                ret_row.nominal_period := null;
                return next ret_row; 
                continue;
              else
                  return;
              end if;
        end if;

        select sum(amount * -1)
         into Pplsum
         from pledger
        where source = nominal_row.source
          and batch = nominal_row.batch;

        if Pplsum is null then
            Pplsum := 0.00;
        end if;

        if nominal_row.total <> Pplsum then
                ret_row.comment := '[REBUILD] Totals do not agree';
                ret_row.source := nominal_row.source;
                ret_row.batch := nominal_row.batch;
                ret_row.subledger_total := Pplsum;
                ret_row.nominal_total := nominal_row.total;
                ret_row.nominal_period := null;
                return next ret_row;
        end if;

        w_cnt := 0;

        for count_row in
            select distinct period
              from pledger
             where source = nominal_row.source
              and batch = nominal_row.batch
        loop
            w_cnt := w_cnt + 1;
        end loop;
        
        if w_cnt > 1 then
            ret_row.comment := '[SPLIT] Batch posted to '|| w_cnt || ' periods';
            ret_row.source := nominal_row.source;
            ret_row.batch := nominal_row.batch;
            ret_row.subledger_total := Pplsum;
            ret_row.nominal_total := nominal_row.total;
            ret_row.nominal_period := Pnlperiod;
            return next ret_row;
        else

            select distinct period
              into Pnlperiod                -- Use Pnlperiod to store the slperiod in this case
              from pledger
             where source = nominal_row.source
               and batch = nominal_row.batch;
       
        
            if Pnlperiod <> Pperiod then
                ret_row.comment := '[MOVE] Batch posted to a different period';
                ret_row.source := nominal_row.source;
                ret_row.batch := nominal_row.batch;
                ret_row.subledger_total := Pplsum;
                ret_row.nominal_total := nominal_row.total;
                ret_row.nominal_period := Pnlperiod;
                return next ret_row;
                
            end if;
            
         end if;

        if Psuppress_ok <> 1 then
            ret_row.comment := 'Batch OK';
            ret_row.source := nominal_row.source;
            ret_row.batch := nominal_row.batch;
            ret_row.subledger_total := Pplsum;
            ret_row.nominal_total := nominal_row.total;
            ret_row.nominal_period := Pnlperiod;
            return next ret_row;
        end if;

    end loop;

   return;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.verify_cr_nl(pperiod date, psuppress_ok integer) OWNER TO postgres;

--
-- TOC entry 113 (class 1255 OID 78292)
-- Dependencies: 393 1230 5
-- Name: verify_dr_nl(date, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_dr_nl(theperiod date, psuppress_ok integer) RETURNS SETOF jp_verify
    AS $$
declare Pslsum          pledger.amount%type;
        Pnlsum          pledger.amount%type;
        Pdebtor         reserved_ac.account_code%type;
        Pcount          integer;
        Pnlperiod       nltrans.period%type;
        Pdirection      char(20);
        debtors_row     record;
        nominal_row     record;
        ret_row         jp_verify;
        w_cnt           integer;
        y_cnt           integer;
        count_row       record;  
        this_period     sledger.period%type;

begin

    this_period := theperiod;

    select account_code
      into Pdebtor
      from reserved_ac
     where key_name = 'debtors';

    for debtors_row in
      select a.source, a.batch, sum(a.amount) as total
       from sledger a
      where a.period = this_period
        and a.cod is not null
      group by 1,2

    loop

        ret_row.direction := 'Sales to Nominal';

        select count(*)
          into Pcount
         from nltrans
        where source = debtors_row.source
          and batch = debtors_row.batch;

        if Pcount = 0 then
            ret_row.comment := '[REBUILD] Batch does not exist';
            ret_row.source := debtors_row.source;
            ret_row.batch := debtors_row.batch;
            ret_row.subledger_total := debtors_row.total;
            ret_row.nominal_total := null;
            ret_row.nominal_period := null;
            return next ret_row;
            continue;
        end if;   
        
        select sum(amount)
         into Pnlsum
         from nltrans
        where source = debtors_row.source
          and batch = debtors_row.batch;

        if Pnlsum is null then
            Pnlsum := 0.00;
        end if;

        if Pnlsum <> 0.00 then
            ret_row.comment := '[REBUILD] Batch is not in balance';
            ret_row.source := debtors_row.source;
            ret_row.batch := debtors_row.batch;
            ret_row.subledger_total := debtors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := null;
            return next ret_row;
        end if;
        
        select sum(amount)
         into Pnlsum
         from nltrans
        where source = debtors_row.source
          and batch = debtors_row.batch
          and cod = Pdebtor;
        
         if Pnlsum is null then
            ret_row.comment := '[REBUILD] No Debtor Posting';
            ret_row.source := debtors_row.source;
            ret_row.batch := debtors_row.batch;
            ret_row.subledger_total := debtors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := null;
            return next ret_row;
        end if;
        
        
        if Pnlsum is null then
            Pnlsum := 0.00;
        end if;

        if Pnlsum <> debtors_row.total then
            ret_row.comment := 'Totals do not agree';
            ret_row.source := debtors_row.source;
            ret_row.batch := debtors_row.batch;
            ret_row.subledger_total := debtors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := null;
            return next ret_row;
        end if;
        
        w_cnt := 0;
        
        for count_row in
            select  distinct period
             from nltrans
             where source = debtors_row.source
              and batch = debtors_row.batch
        loop
            w_cnt := w_cnt + 1;
        end loop;   
        
        y_cnt := 0;
        
        for count_row in
            select  distinct period
             from sledger
             where source = debtors_row.source
              and batch = debtors_row.batch
        loop
            y_cnt := y_cnt + 1;
        end loop;
        
        if w_cnt > 1 or y_cnt > 1 then
            if w_cnt > 1 then
                ret_row.comment := '[REBUILD] Batch posted to ' || w_cnt || ' periods'; 
            else
                ret_row.comment := '[SPLIT] Batch posted to ' || y_cnt || ' periods';
            end if; 
            ret_row.source := debtors_row.source;
            ret_row.batch := debtors_row.batch;
            ret_row.subledger_total := debtors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := Pnlperiod;
            return next ret_row;
        else

            select distinct period
              into Pnlperiod
             from nltrans
            where source = debtors_row.source
              and batch = debtors_row.batch;

            if Pnlperiod <> ThePeriod then
                ret_row.comment := '[MOVE] Batch posted to a different period';
                ret_row.source := debtors_row.source;
                ret_row.batch := debtors_row.batch;
                ret_row.subledger_total := debtors_row.total;
                ret_row.nominal_total := Pnlsum;
                ret_row.nominal_period := Pnlperiod;
                return next ret_row;
            end if;
        end if;

        if Psuppress_ok <> 1 then
            ret_row.comment := 'Batch OK';
            ret_row.source := debtors_row.source;
            ret_row.batch := debtors_row.batch;
            ret_row.subledger_total := debtors_row.total;
            ret_row.nominal_total := Pnlsum;
            ret_row.nominal_period := Pnlperiod;
            return next ret_row;
        end if;

    end loop;

    Pslsum := 0.00;

    for nominal_row in
     select source, batch, sum(amount) as total
       from nltrans
      where nltrans.period = this_period
        and nltrans.cod = Pdebtor
        and source <> 'CP'
      group by 1,2
      UNION
      select nltrans.source, batch, sum(amount) as total
       from nltrans , nlbatch
      where nltrans.source = nlbatch.source
        and nltrans.batch = nlbatch.seq
        and nltrans.period is null
        and nltrans.cod = Pdebtor
        and nltrans.source <> 'CP' 
        and nlbatch.period = this_period
      group by 1,2

    loop

      ret_row.direction := 'Nominal To Sales';

        select count(*)
          into Pcount
         from sledger
        where source = nominal_row.source
          and batch = nominal_row.batch; 
          
        Pslsum := 0.00;
        
        if Pcount = 0 THEN
            ret_row.comment := '[NO FIX] Batch does not exist';
            ret_row.source := nominal_row.source;
            ret_row.batch := nominal_row.batch;
            ret_row.subledger_total := 0.00;
            ret_row.nominal_total := nominal_row.total;
            ret_row.nominal_period := null;
            return next ret_row;
            continue;   
        end if;
                  
        select sum(amount)
          into Pslsum
          from sledger
         where source = nominal_row.source
           and batch = nominal_row.batch;
        
         if nominal_row.total <> Pslsum then  
            ret_row.comment := '[REBUILD] Totals do not agree';
            ret_row.source := nominal_row.source;
            ret_row.batch := nominal_row.batch;
            ret_row.subledger_total := 0.00;
            ret_row.nominal_total := nominal_row.total;
            ret_row.nominal_period := null;
            return next ret_row; 
        end if;
                          
        w_cnt := 0;

        for count_row in
            select distinct period
              from sledger
             where source = nominal_row.source
               and batch = nominal_row.batch
        loop
            w_cnt := w_cnt + 1;
        end loop;
        
        if w_cnt > 1 then
            ret_row.comment := '[SPLIT] Batch posted to ' || w_cnt || ' periods';
            ret_row.source := nominal_row.source;
            ret_row.batch := nominal_row.batch;
            ret_row.subledger_total := Pslsum;
            ret_row.nominal_total := nominal_row.total;
            ret_row.nominal_period := Pnlperiod;
            return next ret_row;
        else

            select distinct period
              into Pnlperiod                -- Use Pnlperiod to store the slperiod in this case
              from sledger
             where source = nominal_row.source
              and batch = nominal_row.batch  ;

            if Pnlperiod <> ThePeriod then
                ret_row.comment := '[MOVE] Batch posted to a different period';
                ret_row.source := nominal_row.source;
                ret_row.batch := nominal_row.batch;
                ret_row.subledger_total := Pslsum;
                ret_row.nominal_total := nominal_row.total;
                ret_row.nominal_period := Pnlperiod;
                return next ret_row;
            end if;
        end if;

        if Psuppress_ok <> 1 then
            ret_row.comment := 'Batch OK';
            ret_row.source := nominal_row.source;
            ret_row.batch := nominal_row.batch;
            ret_row.subledger_total := Pslsum;
            ret_row.nominal_total := nominal_row.total;
            ret_row.nominal_period := Pnlperiod;
            return next ret_row;
        end if;

    end loop;

   return;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.verify_dr_nl(theperiod date, psuppress_ok integer) OWNER TO postgres;

--
-- TOC entry 114 (class 1255 OID 78293)
-- Dependencies: 394 1230 5
-- Name: verify_id_sum(date, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_id_sum(pfrom date, pto date) RETURNS sp_status
    AS $$
declare err             sp_status;
        Pcod            char(6);
        Pdesc           char(30);
        Pvalue          decimal(16,2);

begin

BEGIN
    drop table t_verify_id_sum;
EXCEPTION
    when undefined_table THEN
END;


 create temp table t_verify_id_sum AS
 select a.nominal as code, d.description, sum(a.goods * c.mult) as value
    from iddetail a, ihead b, signs c, nominal d
    where b.period between Pfrom and Pto
      AND A.DOC_TYPE = B.DOC_TYpe
      AND A.location = b.location
      and a.ref = b.ref
      and a.cust = b.cust
      and a.doc_type = c.doc_type
      and a.nominal = d.cod
     group by 1,2
     order by 1,2;


    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err; 
    
    /* Note that the IFMX SP does not return anything */

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.verify_id_sum(pfrom date, pto date) OWNER TO postgres;

--
-- TOC entry 115 (class 1255 OID 78294)
-- Dependencies: 394 1230 5
-- Name: verify_iddetail(date, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_iddetail(pfrom date, pto date) RETURNS sp_status
    AS $$
declare err     sp_status;

begin

BEGIN
    drop table t_verify_iddetail;
EXCEPTION
    when undefined_table THEN
END;

 create temp table t_verify_iddetail as
 select b.period, a.nominal as code, d.description, sum(a.goods * c.mult) as value
    from iddetail a, ihead b, signs c, nominal d
    where b.period between Pfrom and Pto
      AND A.DOC_TYPE = B.DOC_TYpe
      AND A.location = b.location
      and a.ref = b.ref
      and a.cust = b.cust
      and a.doc_type = c.doc_type
      and a.nominal = d.cod
        group by 1,2,3
    order by 1,2, 3;


    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;
    
    /* Note that the IFMX SP does not return anything */


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.verify_iddetail(pfrom date, pto date) OWNER TO postgres;

--
-- TOC entry 116 (class 1255 OID 78295)
-- Dependencies: 394 1230 5
-- Name: verify_ih_sum(date, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_ih_sum(pfrom date, pto date) RETURNS sp_status
    AS $$
declare err         sp_status;

begin

BEGIN
    drop table t_verify_ih_sum;
EXCEPTION
    when undefined_table THEN
END;


    create temp table t_verify_ih_sum as
    select a.nominal as code, d.description, sum(a.goods * c.mult) as value
    from ihdetail a, ihead b, signs c, nominal d
    where b.period between Pfrom and Pto
      AND A.DOC_TYPE = B.DOC_TYpe
      AND A.location = b.location
      and a.ref = b.ref
      and a.cust = b.cust
      and a.doc_type = c.doc_type
      and a.nominal = d.cod
        group by 1,2
    ;
     
    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;  
    
     /* Note that the IFMX SP does not return anything */


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.verify_ih_sum(pfrom date, pto date) OWNER TO postgres;

--
-- TOC entry 117 (class 1255 OID 78296)
-- Dependencies: 394 1230 5
-- Name: verify_ihdetail(date, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_ihdetail(pfrom date, pto date) RETURNS sp_status
    AS $$
declare err     sp_status;

begin

BEGIN
    drop table t_verify_ihdetail;
EXCEPTION
    when undefined_table THEN
END;

 create temp table t_verify_ihdetail as
 select b.period, a.nominal as code, d.description, sum(a.goods * c.mult) as value
    from ihdetail a, ihead b, signs c, nominal d
    where b.period between Pfrom and Pto
      AND A.DOC_TYPE = B.DOC_TYpe
      AND A.location = b.location
      and a.ref = b.ref
      and a.cust = b.cust
      and a.doc_type = c.doc_type
      and a.nominal = d.cod
        group by 1,2,3
    order by 1,2, 3;


    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.verify_ihdetail(pfrom date, pto date) OWNER TO postgres;

--
-- TOC entry 118 (class 1255 OID 78297)
-- Dependencies: 394 1230 5
-- Name: verify_io_sum(date, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_io_sum(pfrom date, pto date) RETURNS sp_status
    AS $$
declare err             sp_status;
        Pcod            char(6);
        Pdesc           char(30);
        Pvalue          decimal(16,2);

begin

BEGIN
    drop table t_verify_io_sum;
EXCEPTION
    when undefined_table THEN
END;

 create temp table t_verify_io_sum AS
 select a.nominal as code, d.description, sum(a.goods * c.mult) as value
    from iodetail a, ihead b, signs c, nominal d
    where b.period between Pfrom and Pto
      AND A.DOC_TYPE = B.DOC_TYpe
      AND A.location = b.location
      and a.ref = b.ref
      and a.cust = b.cust
      and a.doc_type = c.doc_type
      and a.nominal = d.cod
        group by 1,2;


    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql STABLE;


ALTER FUNCTION public.verify_io_sum(pfrom date, pto date) OWNER TO postgres;

--
-- TOC entry 119 (class 1255 OID 78298)
-- Dependencies: 394 1230 5
-- Name: verify_iodetail(date, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_iodetail(pfrom date, pto date) RETURNS sp_status
    AS $$
declare err     sp_status;

begin

BEGIN
    drop table t_verify_iodetail;
EXCEPTION
    when undefined_table THEN
END;

 create temp table t_verify_iodetail as
 select b.period, a.nominal as code, d.description, sum(a.goods * c.mult) as value
    from iodetail a, ihead b, signs c, nominal d
    where b.period between pfrom and pto
      AND A.DOC_TYPE = B.DOC_TYpe
      AND A.location = b.location
      and a.ref = b.ref
      and a.cust = b.cust
      and a.doc_type = c.doc_type
      and a.nominal = d.cod
        group by 1,2,3
    order by 1,2, 3;


    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.verify_iodetail(pfrom date, pto date) OWNER TO postgres;

--
-- TOC entry 120 (class 1255 OID 78299)
-- Dependencies: 394 1230 5
-- Name: verify_sales(date, date); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION verify_sales(pfrom date, pto date) RETURNS sp_status
    AS $$
declare   err             sp_status;
          Pcod            char(6);
          Pdesc           char(30);
          Psales          decimal(16,2);
          Pnominal        decimal(16,2);
          Pdiff           decimal(16,2);

begin

BEGIN
    drop table t_verify_sales;
EXCEPTION
    when undefined_table THEN
END;

--
-- a.  Get the List of Subsidiaries of Sales
--

select S1.cod
into temp anal_a
from nominal s1, nominal s2, reserved_ac b
where s1.lft between s2.lft and s2.rgt
  and s2.cod = b.account_code
  and b.key_name = 'sales_account';


--
-- b. Analyse Invoices and Credit Notes
--

create temp table anal_b as 
select a.nominal as cod, sum(a.goods * c.mult) as goods
from iodetail a, ihead b, signs c
where b.period between pfrom and pto
  AND A.DOC_TYPE = B.DOC_TYpe
  AND A.location = b.location
  and a.ref = b.ref
  and a.cust = b.cust
  and a.doc_type = c.doc_type
group by 1

union

select a.nominal as cod, sum(a.goods * c.mult) as goods
from ihdetail a, ihead b, signs c
where b.period between pfrom and pto
  AND A.DOC_TYPE = B.DOC_TYpe
  AND A.location = b.location
  and a.ref = b.ref
  and a.cust = b.cust
  and a.doc_type = c.doc_type
group by 1

union

select a.nominal as cod, sum(a.goods * c.mult) as goods
from iddetail a, ihead b, signs c
where b.period between pfrom and pto
  AND A.DOC_TYPE = B.DOC_TYpe
  AND A.location = b.location
  and a.ref = b.ref
  and a.cust = b.cust
  and a.doc_type = c.doc_type
  
group by 1;

--
-- c.  Remove Duplicates
--
select cod, sum(goods) as goods
into temp anal_c
from anal_b
group by 1;

--
-- Get the sales values from the nominal
--
select n1.cod,( sum(amount)* -1 ) as goods
into temp anal_d
from nominal n1, nominal n2, nltrans t, reserved_ac r
where n1.lft between n2.lft and n2.rgt
  and t.period between pfrom and pto
  and t.cod = n1.cod
  and t.tmp = 'N'
  and n2.cod = r.account_code
  and r.key_name = 'sales_account'
group by 1;

--
-- Compare the sales and nominal to the list of sales accounts
--

select anal_a.cod, anal_c.goods as sales_goods, anal_d.goods as nominal_goods
into temp anal_e
from anal_a left outer join anal_c on (anal_a.cod  = anal_c.cod),
     anal_a left outer join anal_d on (anal_a.cod = anal_d.cod);


---
--- Set nulls to zero
---

update anal_e
set sales_goods = 0
where sales_goods is null;

update anal_e
set nominal_goods = 0
where nominal_goods is null;


---
--- Include postings to non sales accounts
---

insert into anal_e (cod, sales_goods, nominal_goods)
    select cod, sum(goods), 0
    from anal_b
   where anal_b.cod not in (select cod from anal_a)
   group by 1;

---
--- The differences are
---



select e.cod as code, a.description, e.sales_goods as sales,
       e.nominal_goods as nominal, e.sales_goods - e.nominal_goods as difference
 into temp t_verify_sales
 from anal_e e, nominal a
where e.cod = a.cod
    and (sales_goods <> 0.00
    or  nominal_goods <> 0.00);
    
drop table anal_a;
drop table anal_b;
drop table anal_c;
drop table anal_d;
drop table anal_e;
    
    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;  
    
     /* Note that the IFMX SP does not return anything */


    
end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.verify_sales(pfrom date, pto date) OWNER TO postgres;

--
-- TOC entry 121 (class 1255 OID 78300)
-- Dependencies: 394 1230 5
-- Name: version04_27(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION version04_27() RETURNS sp_status
    AS $_$
declare Pver          dcssqlversion%rowtype;
        err		      sp_status;
        w_trans       trans%rowtype;
        nominal_row   nominal%rowtype;
        Paccount_code nominal.cod%type;
        Pparent       nominal.cod%type;
        Preserved     reserved_ac%rowtype;
        old_creditors nominal.cod%type;
        old_balance   nlbals.cur_bal%type;
        neg_balance   nlbals.cur_bal%type;
        batch_number  integer;
        current_period dparams.period%type;
        Pdate          date;
begin	

select *
into Pver
from dcssqlversion;

if not FOUND then
    err.ret_stat := 1;
    err.ret_string := 'No data on version table';
    return err;
end if;

if Pver.major <> 4 or
   Pver.minor <> 26 then
    err.ret_stat := 1;
    err.ret_string := 'Database is not at version 4.26';
    return err;
end if;
	
select *
into w_trans
from trans
where trans.cod = 18;

if not FOUND then
    insert into trans values (18,'Bad Debts Recov',1);
end if;

for nominal_row in
    select a.*
    from nominal a, nparams b
    WHERE substring(a.cod from 1 for 4) = b.bank_prefix
loop

    insert into bank_accounts values (nominal_row.cod, 'EUR');

end loop;

--
--  Create Nominals
--

select account_code
into Paccount_code
from reserved_ac
where key_name = 'creditors';

select parent
  into Pparent
  from nominal
 where cod = Paccount_code;

insert into nominal values
        (
         'CRETOT',
         Pparent,
         'Total Creditors Control',
         1,
         'N',
         'N'
         );

insert into nominal values (
                'CREGBP',
                'CRETOT',
                'Sterling Control Account',
                0,
                'N',
                'N');

update nominal
   set parent = 'CRETOT'
 where cod = Paccount_code;

--
-- Fix reserved accounts
--

 insert into nominal values ('RESFIX', 'BALANC', 'Reserved AC Fix', 0,'N', 'N');
 perform * from nominal where cod = (select debtors from nparams);
 if not FOUND then
        update nparams set debtors = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod = (select creditors from nparams);
 if NOT found then
        update nparams set creditors = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod = (select disc_allowed from nparams);
 if NOT found then
     update nparams set disc_allowed = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod = (select disc_received from nparams);
 if NOT found then
     update nparams set disc_received = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod = (select vat from nparams);
 if NOT found then
     update nparams set vat = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod = (select retained from nparams);
 if NOT found then
     update nparams set retained = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod = (select petty_cash from nparams);
 if NOT found then
        update nparams set petty_cash = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod = (select equipment from nparams);
 if not FOUND then
        update nparams set equipment = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select disposals from nparams);
 if not FOUND then
     update nparams set disposals = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select dep_accum from nparams);
 if not FOUND then
     update nparams set dep_accum = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select plondisp from nparams);
 if not FOUND then
     update nparams set plondisp = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select dep_expense from nparams);
 if not FOUND then
     update nparams set dep_expense = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select plonex from nparams);
 if not FOUND then
     update nparams set plonex = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select equip_suspense from nparams);
 if not FOUND then
     update nparams set equip_suspense = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select accruals from nparams);
 if not FOUND then
     update nparams set accruals = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
      (select capital from nparams);
 if not FOUND then
     update nparams set capital = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select bad_debts from nparams);
 if not FOUND then
     update nparams set bad_debts = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod =
     (select bd_recovered from nparams);
 if not FOUND then
     update nparams set bd_recovered = 'RESFIX' where 1 = 1;
 end if;
 perform * from nominal where cod in (select account_code from reserved_ac
         where key_name = 'debtors');
 if not FOUND then
  update reserved_ac set account_code =
         (select debtors from nparams)
         where key_name = 'debtors';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'creditors');
 if not FOUND then
     update reserved_ac set account_code =
         (select creditors from nparams)
         where key_name = 'creditors';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'disc_allowed');
 if not FOUND then
     update reserved_ac set account_code =
         (select disc_allowed from nparams)
         where key_name = 'disc_allowed';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'disc_received');
 if not FOUND then
     update reserved_ac set account_code =
         (select disc_received from nparams)
         where key_name = 'disc_received';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'vat');
 if not FOUND then
     update reserved_ac set account_code =
         (select vat from nparams)
         where key_name = 'vat';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'retained');
 if not FOUND then
     update reserved_ac set account_code =
         (select retained from nparams)
         where key_name = 'retained';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'petty_cash');
 if not FOUND then
     update reserved_ac set account_code =
         (select petty_cash from nparams)
         where key_name = 'petty_cash';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'equipment');
 if not FOUND then
     update reserved_ac set account_code =
         (select equipment from nparams)
         where key_name = 'equipment';
 end if;
 perform * from nominal where cod in
    (select account_code from reserved_ac
       where key_name = 'disposals');
 if not FOUND then
     update reserved_ac set account_code =
         (select disposals from nparams)
         where key_name = 'disposals';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'dep-accum');
 if not FOUND then
     update reserved_ac set account_code =
         (select dep_accum from nparams)
         where key_name = 'dep_accum';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'plondisp');
 if not FOUND then
     update reserved_ac set account_code =
         (select plondisp from nparams)
         where key_name = 'plondisp';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'dep_expense');
 if not FOUND then
     update reserved_ac set account_code =
         (select dep_expense from nparams)
         where key_name = 'dep_expense';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'plonex');
 if not FOUND then
     update reserved_ac set account_code =
         (select plonex from nparams)
         where key_name = 'plonex';
 end if;
 perform * from nominal where cod in
    (select account_code from reserved_ac
      where key_name = 'equip_suspense');
 if not FOUND then
     update reserved_ac set account_code =
         (select equip_suspense from nparams)
         where key_name = 'equip_suspense';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'accruals');
 if not FOUND then
     update reserved_ac set account_code =
         (select accruals from nparams)
         where key_name = 'accruals';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'capital');
 if not FOUND then
     update reserved_ac set account_code =
         (select capital from nparams)
         where key_name = 'capital';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'bad_debts');
 if not FOUND then
     update reserved_ac set account_code =
         (select bad_debts from nparams)
         where key_name = 'bad_debts';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'bd_recovered');
 if not FOUND then
     update reserved_ac set account_code =
         (select bd_recovered from nparams)
         where key_name = 'bd_recovered';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'opening_stock');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'opening_stock';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'closing_stock');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'closing_stock';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'default_stock');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'default_stock';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'default_purchase');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'default_purchase';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'default_sales');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'default_sales';
 end if;
 perform * from nominal where cod in
     (select account_code from reserved_ac
         where key_name = 'default_rental');
 if not FOUND then
     update reserved_ac set account_code =
         'RESFIX'
         where key_name = 'default_rental';
 end if;
	
	
	delete from sys_config where num = 95;
	insert into sys_config values (95, 'Prt Return Docket - Cash Cust', 0);
	insert into sys_config values (96, 'Require 2 pswds to unsuspend', 0);


	-- JMcL : initialise creditor_total in the reserved_ac
	insert into reserved_ac values
	(
    	0,
    	'creditor_total',
    	'CRETOT',
    	0
	);

	--
	-- JMcL
	-- Add a column to pt_supplier to flag whether this supplier
	-- is active
	--
	alter table pt_supplier add column active char(1) DEFAULT 'Y' not null;

	-- JIM Fix error at meenagh on saving singles.
	--     Add bad debts recovered to trans table.
	alter table singles_ext alter column cod type char(6);



	-- Multi Currency changes

	--alter table bank_accounts add column currency_id char(3) ;
	alter table pledger add column currency_os decimal(16,2) ;

	--
	--	Invert the exchange rates on existing data
	--      This will chnage 1.4 to 0.7...
	--

	update pledger
	set conversion_rate = 1 / conversion_rate
	where conversion_rate is not null
	  and conversion_rate <> 0.00
	  and conversion_rate <> 1.00;

	update supplier
	set agreed = 1 / agreed
	where agreed is not null
	  and agreed <> 0.00
	  and agreed <> 1.00;


	update pledger
	set conversion_rate = 1
	where conversion_rate = 0;

	update pledger set currency_os = (os * conversion_rate) where 1=1;

	alter table currency alter column cod type char(3);
	--alter table currency add primary key (cod);

	update currency
	set cod = 'EUR',
	    description = 'Euro'
	where cod = 'EU';

	update currency
	set cod = 'GBP',
	    description = 'British Pound'
	where cod = 'ST';



	alter table po_head alter currency type char(3);
	update po_head set currency = 'EUR' where currency='EU' or currency is null or currency = ' ';
	update po_head set currency = 'GBP' where currency='ST' or currency = 'GB';
	alter table po_head alter   currency type char(3);
	alter table po_head add foreign key (currency) references currency;

	alter table pledger alter  currency type char(3);

	update pledger set currency = 'EUR'
	where currency='EU'
	or currency is null
	or currency = ''
	or currency not in (select cod from currency);

	update pledger set currency = 'GBP' where currency='ST' or currency = 'GB';
	
	alter table pledger add foreign key (currency) references currency ;

	drop index pledgerx3;

--	create sequence pledger_ser_seq;
--	alter table pledger alter  ser  set not null;
--	alter table pledger alter ser set default nextval('pledger_ser_seq');
	alter table pledger add primary key (ser);
	alter table nltrans add currency char(3) references currency;
	alter table nltrans add currency_amount decimal(16,2);

--	create sequence nltrans_trans_no_seq;
--	alter table nltrans alter  trans_no set not null;
--	alter table nltrans alter trans_no set default nextval('nltrans_trans_no_seq');

	alter table nltrans add primary key (trans_no);
	
	alter table nominal add  primary key(cod);
	alter table nominal add currency_id char(3) references currency;
	update nominal set currency_id = 'EUR';
	update nominal set currency_id = 'GBP' where cod = 'CREGBP';


	update pt_supplier
	set currency = 'EUR'
	where currency = 'EU';

	update pt_supplier
	set currency = 'GBP'
	where currency = 'ST' or currency = 'GB';



	-- create table supplier_touched (supplier char(6));

	alter table sys_config alter  num type smallint;
	alter table sys_config add primary key(num);
	alter table sys_config add value char(30) ;

	delete from sys_config where num = 93;
	insert into sys_config values (93, 'Home currency', 0, 0, 'EUR');

	create table currency_rates (nsuk serial primary key,
				effective_date date,
				from_currency char(3) references currency,
				to_currency char(3) references currency,
				conversion_rate decimal(10,6),
				created timestamp,
				updated timestamp,
				user_id char(30));
	create index crates_effdate on currency_rates (effective_date);
	--Pdate := now;
	insert into currency_rates values (0,CURRENT_DATE, 'EUR', 'GBP', 0.674267, current_timestamp, current_timestamp, 'Installation');

	alter table supplier add primary key(cod);
	alter table supplier alter  currency type char(3);
	alter table supplier add credit_control char(6) references nominal;

	update supplier set currency='GBP' where currency = 'ST' or currency = 'GB';
	update supplier set currency='EUR' where currency='EU'
		or currency is null;

	update supplier set credit_control = 'CREDIT' where credit_control is null;
	update supplier
	set credit_control = 'CREGBP'
	where currency = 'GBP';



	update profile_detail set key_value = 'EUR' where key_value = 'EU';
	update nltrans set currency = 'EUR', currency_amount = amount where 1=1;

	update nltrans
	set currency_amount = 0
	where currency_amount is null;

	alter table nltrans alter currency type char(3),
			    alter currency set not null;
	
	alter table nltrans alter currency_amount type decimal(16,2),
			    alter currency set not null;

	--drop table cust_status_hist;
	alter table cust add constraint pk_cust primary key (depot, cod);
	alter table operator add constraint pk_operator primary key (cod);
	create table cust_status_hist (
	       nsuk serial primary key,
	       depot smallint,
	       cust_id char(7),
	       date timestamp,
	       operator1_id smallint references operator,
	       operator2_id smallint references operator,
	       description char(100)
	);

	alter table cust_status_hist add constraint fk_cs_st_hist
	    foreign key (depot, cust_id)
	    references cust;


	-- View required for Purchase Turnovers on java system

	create or replace view v_turnover (supplier,nam,period,amount) as
		select pl.supplier,supp.nam,pl.period,
		sum(pl.amount - pl.vat)
		from pledger pl,supplier supp
		where pl.typ in (2,11)
		and supp.cod = pl.supplier
		group by 1,2,3;


	create or replace view v_danal (period,pdesc,location,cust,cm_qty,cm_sales,cm_cost,ytd_qty,ytd_sales,ytd_cost) as
	  select x0.period ,x0.pdesc ,1 ,x0.cust ,sum(x0.cm_qty ) ,sum(x0.cm_sales
	      ) ,sum(x0.cm_cost ) ,sum(x0.ytd_qty ) ,sum(x0.ytd_sales )
	          ,sum(x0.ytd_cost ) from danal x0 group by x0.period
		      ,x0.pdesc ,x0.cust ;

	 create or replace view v_hanal (period,cod,location,cust,cm_sales,cm_cost,ytd_sales,ytd_cost,cross_hire) as
	 select x0.period ,x0.cod ,1 ,x0.cust ,sum(x0.cm_sales ) ,sum(x0.cm_cost
	   ) ,sum(x0.ytd_sales ) ,sum(x0.ytd_cost ) ,'N' from hanal
	     x0 group by x0.period ,x0.cod ,x0.cust ;

	create or replace view v_sanal (period,product,location,cust,cm_qty,cm_sales,cm_cost,ytd_qty,ytd_sales,ytd_cost) as
	 select x0.period ,x0.product ,1 ,x0.cust ,sum(x0.cm_qty ) ,sum(x0.cm_sales
	      ) ,sum(x0.cm_cost ) ,sum(x0.ytd_qty ) ,sum(x0.ytd_sales )
	         ,sum(x0.ytd_cost ) from sanal x0 group by x0.period
	     ,x0.product ,x0.cust ;

	--------
	-- VAT Summary New Views and fix of existing carnage
	--------
	update sledger
	set vat = vat * -1
	where typ = 16
	and vat > 0;


	--
	-- Correct VAT on bad debts recovered
	--
	update sledger
	set vat = ((amount / 2.21 ) * .21)
	where typ = 18;



	-- Raw details to be used in n ew vatsum2 view
	-- Informix : - remove the ::SMALLINTS (if needed)
	--         - Remove 'OR REPLACE' from the CREATE statement
	--

	CREATE OR REPLACE VIEW "public"."v_vatsum_raw" (
    cod,
    ledger,
    trans,
    goods,
    vat,
    period)
AS
((((
SELECT pd.vcode AS cod, 'P' AS ledger, pl.typ AS trans, pd.goods, pd.vat, pl.period
FROM pdetails pd, pledger pl
WHERE (pd.trans_ser = pl.ser)
UNION ALL
SELECT ixd.vcode AS cod, 'S' AS ledger, (CASE ih.doc_type WHEN 'CR'::bpchar
    THEN 12 ELSE 2 END)::smallint AS trans, ixd.goods, ixd.vat, ih.period
FROM ihead ih, ihdetail ixd
WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND
    (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust)))
UNION ALL
SELECT ixd.vcode AS cod, 'S' AS ledger, (CASE ih.doc_type WHEN 'CR'::bpchar
    THEN 12 ELSE 2 END)::smallint AS trans, ixd.goods, ixd.vat, ih.period
FROM ihead ih, iodetail ixd
WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND
    (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust)))
UNION ALL
SELECT ixd.vcode AS cod, 'S' AS ledger, (CASE ih.doc_type WHEN 'CR'::bpchar
    THEN 12 ELSE 2 END)::smallint AS trans, ixd.goods, ixd.vat, ih.period
FROM ihead ih, iddetail ixd
WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND
    (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust)))
UNION ALL
SELECT (1)::smallint AS cod, 'S' AS ledger, sledger.typ AS trans,
    ((sledger.amount - sledger.vat) * (-1)::numeric) AS goods, (sledger.vat *
    (-1)::numeric) AS vat, sledger.period
FROM sledger
WHERE (sledger.typ = 16))
UNION ALL
SELECT (1)::smallint AS cod, 'S' AS ledger, sledger.typ AS trans,
    (sledger.amount - sledger.vat) AS goods, sledger.vat, sledger.period
FROM sledger
WHERE (sledger.typ = 18);

CREATE OR REPLACE VIEW "public"."v_vatsum2" (
    cod,
    ledger,
    trans,
    goods,
    vat,
    period)
AS
SELECT v.cod, v.ledger, v.trans, sum(v.goods) AS goods, sum(v.vat) AS vat, v.period
FROM v_vatsum_raw v
WHERE (((v.ledger = 'P'::text) AND (v.trans > 10)) OR ((v.ledger = 'S'::text)
    AND (v.trans < 10)))
GROUP BY v.cod, v.ledger, v.trans, v.period
UNION
SELECT v.cod, v.ledger, v.trans, (sum(v.goods) * (-1)::numeric) AS goods,
    (sum(v.vat) * (-1)::numeric) AS vat, v.period
FROM v_vatsum_raw v
WHERE (((v.ledger = 'P'::text) AND (v.trans < 10)) OR ((v.ledger = 'S'::text)
    AND (v.trans > 10)))
GROUP BY v.cod, v.ledger, v.trans, v.period;

	--
	--	Create new tablt for allocations reversals
	--
	drop index palloc_per1;
	alter table pallocper add constraint pk_pallocper primary key (allocation);
	create table pallocex (
	nsuk serial not null,
	allocation integer not null,
	pledger_id integer not null
	);
	alter table pallocex add constraint pk_pallocex primary key (nsuk);
	alter table  pallocex add constraint fk_pallex_to_palloc
	    foreign key (allocation) references pallocper;
	alter table  pallocex add constraint fk_pallex_to_pledger
	    foreign key (pledger_id) references pledger;
	
	--alter table nominal add constraint pk_nominal primary key(cod);

	alter table reserved_ac add constraint fk_res_ac foreign key (account_code)
	        references nominal;

    --alter table sys_config add value char(30);
	insert into sys_config values (97, 'Default pass flag', 1,  null, 'true');
	insert into sys_config values (98, 'Allow change of invoice status', 1, null, 'true');



-- Function: custaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer)

-- DROP FUNCTION custaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer);

CREATE OR REPLACE FUNCTION custaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer)
  RETURNS jp_custage AS
$BODY$
declare p_index int;
        p_time_interval interval;
        p_ledger_mnth dparams.period%type;
        p_current_Period dparams.period%type;
        p_age decimal(16,2)[7];
        Pamount sledger.amount%type;
        Palloc sledger.os%type;
        Punallocated cust.unallocated%type;
        PaccountType cust.account_type%type;
        Pbalance cust.balance%type;
        PlastPay cust.last_pay%type;
        PlastPaid cust.last_paid%type;
        p_period_cutoff sledger.period%type;
        g_period pledger.period%type;
        ledger_row record;
        return_age jp_custage;

begin

  select account_type
  into PaccountType
  from cust
  where cust.depot = P_depot
    and cust.cod = P_cod;

  if PaccountType is null then
      PaccountType := 'C';
  end if;

  p_current_period := p_date;
  p_period_cutoff := p_current_period - interval '5 months';

  return_age.depot = p_depot;
  return_age.cust = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_pay := null;
  return_age.last_paid := null;

  for i in 1 .. 6
  loop
      p_age[i] := 0.00;
  end loop;
  Palloc := 0.00;


  <<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, os, period
     from sledger
     where depot = p_depot and cod = p_cod
     order by dat, ser
  loop

     if p_reverse = 1 then
         if ledger_row.period > p_date then
	     continue ledger_loop;
	 end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)
             into Palloc
             from sallocee ee, sallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount)
             into Palloc
             from sallocer er, sallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;
     end if;

     if ledger_row.typ = 13 then
         return_age.last_pay  := ledger_row.amount;
         return_age.last_paid := ledger_row.dat;
     end if;

     p_ledger_mnth := ledger_row.dat;

     if ledger_row.typ < 10 then
         ledger_row.os := ledger_row.os + Palloc;
         return_age.balance := return_age.balance + ledger_row.os;
     else
         ledger_row.os := ledger_row.os + Palloc;
	 return_age.unallocated := return_age.unallocated + ledger_row.os;
         return_age.balance := return_age.balance - ledger_row.os;
         ledger_row.os := 0 - ledger_row.os;
	 if p_age_credits = 0 then
	    continue ledger_loop;
	 end if;
     end if;

     -- Calculate the balance

     IF p_ledger_mnth is null then
         p_ledger_mnth := p_current_period;
     end if;

     IF p_ledger_mnth < p_period_cutoff then
         p_index := 6;
     else
         IF p_ledger_mnth > p_current_period then
             p_index := 1;
         else
             p_index = elapsed_months(p_ledger_mnth, p_current_period);
         end if;
     end if;

     IF p_index > 6 THEN
         p_index := 6;
     END IF;

     p_age[p_index] := p_age[p_index] + ledger_row.os;

  end loop;


  return_age.account_type := PaccountType;

  for i in 1 .. 6
  loop
    if i = 1 then
	return_age.curr_bal = p_age[i];
    elsif i = 2 then
	return_age.per1_bal = p_age[i];
    elsif i = 3 then
	return_age.per2_bal = p_age[i];
    elsif i = 4 then
	return_age.per3_bal = p_age[i];
    elsif i = 5 then
	return_age.per4_bal = p_age[i];
    elsif i = 6 then
	return_age.per5_bal = p_age[i];
    end if;
  end loop;

  RETURN return_age;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION custaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

create or replace function get_product_list(pcode char(7))
	returns setof jp_get_product_list as $BODY$

declare ret		jp_get_product_list%rowtype;
	Perrcode	integer;
	PerrText	char(60);
	Pprodid		integer;
        PProdCod        char(7);
	PProdDesc	char(30);
        PSupplier 	char(6);
        PSalesNom	char(6);
        PPurchNom 	char(6);
        PStockNom	char(6);
        PInvoiceWhen 	char(1);
	Pptid		integer;
        PPTplu          char(7);
	PPtDesc		char(30);
	PVatCode	integer;
	PVatRate	decimal(5,2);
        PProdServ       char(1);
	PPtSuppId	integer;
	Pcost		decimal(10,4);
	Psell		decimal(10,4);
	Pmargin		decimal(7,2);
	Ptemp_markup	decimal(10,2);
	PmarkUp		decimal(7,2);
        PSuppName       char(30);
        PSuppID         char(6);
        PCurrCode       char(2);
        PGRP            char(6);
        PRedund         char(1);
        PPTItemDesc     char(15);

	Pdump		integer;
	w_cnt		integer;
	w_suppidcnt	integer;
        PCount          integer;
        pt_row		record;
	pts_row		record;

        begin

	ret.ret_stat := 0;
       	ret.ret_string := '';
	ret.product_cod := '';
 	ret.prod_description := '';
	ret.prod_supplier := '';
	ret.prod_sales_nom := '';
	ret.prod_purch_nom := '';
	ret.prod_stock_nom := '';
	ret.prod_invoice_when := '';
	ret.pt_plu := '';
	ret.pt_description := '';
	ret.prod_or_service := '';
	ret.supplier_name := '';
	ret.supplier_code := '';
	ret.supp_currency := '';
	ret.dept_deptgrpcode := '';
        ret.redundancy := '';
	ret.pt_item_description := '';
	ret.home_perc_markup := 0;
	ret.home_margin :=0;
	ret.vat_rate := 0;
	ret.home_cost_price := 0;
	ret.sell_price := 0;
	ret.product_id := 0;
	ret.pt_id := 0;
	ret.vat_code := 0;
	ret.pt_supplier_id := 0;

	pErrText := '';
	pProdCod := '';
	pProdDesc := '';
	pSupplier := '';
	pSalesNom := '';
	pStockNom := '';
	pPurchNom := '';
	pInvoiceWhen := '';
	pPTPlu := '';
	pPTDesc := '';
        PProdServ := '';
	pSuppName := '';
        PSuppID := '';
	PCurrCode := '';
	PGRP := '';
	PRedund := '';
        PPTItemDesc := '';

        PmarkUp := 0;
        Pmargin := 0;
        PVatRate := 0;
	Pcost := 0;
	Psell := 0;
	Ptemp_markup := 0;

        Perrcode := 0;
	Pprodid := 0;
	Pptid := 0;
	PVatCode := 0;
	PPTSuppId := 0;
	Pdump := 0;
	w_cnt := 0;
	w_suppidcnt := 0;
        PCount := 0;

    select description, nsuk, cod, vcode, supplier, sales_nominal,
	   purchase_nominal, stock_nominal, invoice_when, grp, stock_type
    into PProdDesc, Pprodid, PProdCod, Pvatcode, PSupplier, PSalesNom,
         PPurchNom, PStockNom, PInvoiceWhen, PGRP, PProdServ
    from product
    where product.cod = pcode;

    if not found then
	PerrCode := 1;
	PerrText := 'Product Not On File';


	ret.ret_stat := Perrcode;
       	ret.ret_string := 'Product Not Found';
	ret.product_cod := PProdCod;
 	ret.prod_description := PProdDesc;
	ret.prod_supplier := PSupplier;
	ret.prod_sales_nom := PSalesNom;
	ret.prod_purch_nom := PPurchNom;
	ret.prod_stock_nom := PStockNom;
	ret.prod_invoice_when := PInvoiceWhen;
	ret.pt_plu := '';
	ret.pt_description := '';
	ret.prod_or_service := PProdServ;
	ret.supplier_name := '';
	ret.supplier_code := '';
	ret.supp_currency := '';
	ret.dept_deptgrpcode := PGRP;
        ret.redundancy := '';
	ret.pt_item_description := '';
	ret.home_perc_markup := 0;
	ret.home_margin :=0;
	ret.vat_rate := 0;
	ret.home_cost_price := 0;
	ret.sell_price := 0;
	ret.product_id := 0;
	ret.pt_id := 0;
	ret.vat_code := 0;
	ret.pt_supplier_id := 0;

	return next ret;

    end if;


    select vat.cod, vat.rate
    into PVatCode, PvatRate
    from vat
    where vat.cod = PVatCode;

    if not found  then
	PerrCode := 1;
	PerrText := 'Vat Code Not On File';


	ret.ret_stat := Perrcode;
       	ret.ret_string := 'Product Not Found';
	ret.product_cod := PProdCod;
 	ret.prod_description := PProdDesc;
	ret.prod_supplier := PSupplier;
	ret.prod_sales_nom := PSalesNom;
	ret.prod_purch_nom := PPurchNom;
	ret.prod_stock_nom := PStockNom;
	ret.prod_invoice_when := PInvoiceWhen;
	ret.pt_plu := '';
	ret.pt_description := '';
	ret.prod_or_service := PProdServ;
	ret.supplier_name := '';
	ret.supplier_code := '';
	ret.supp_currency := '';
	ret.dept_deptgrpcode := PGRP;
        ret.redundancy := '';
	ret.pt_item_description := '';
	ret.home_perc_markup := 0;
	ret.home_margin :=0;
	ret.vat_rate := PVatRate;
	ret.home_cost_price := 0;
	ret.sell_price := 0;
	ret.product_id := Pprodid;
	ret.pt_id := '';
	ret.vat_code := PVatCode;
	ret.pt_supplier_id := 0;


	return next ret;
    end if;

    --
    --	This is all of the product related stuff
    --  We now need to look at the product types associated with it
    --

    w_cnt := 0;		-- If we get no pt's this is an error

    for pt_row in select nsuk, plu, descr, redundant
    --into Pptid, PPTplu, PptDesc, PRedund
    from product_type
    where product_type.product = PprodId



    loop
	w_cnt := w_cnt + 1;

	w_suppidcnt := 0;

	for pts_row in SELECT pt.nsuk, pt.priority, s.nam, s.cod, s.currency
	--INTO PptSuppID, PDump, PSuppName, PSuppID, PCurrCode
	FROM pt_supplier pt, supplier s
	WHERE pt.product_type = pts_row.nsuk --PPTID
	  AND pt.supplier = s.cod
	  ORDER BY pt.priority, s.nam

        loop
            -- increment supplier counter
	    w_suppidcnt = w_suppidcnt + 1;

	    select * from get_cost_by_ptsupp(pts_row.nsuk)
	    into Pcost;

	    select * from get_cost_by_ptsupp(pt_row.nsuk)
	    into Psell;
	
            Pmargin := Psell - Pcost;

            if pCost <> 0 then
                Ptemp_markup := (Pmargin * 100) / pCost;

                if Ptemp_markup > 9999.99 then
                     PMarkUp := 0;
                else
                     PMarkUp := Ptemp_markup;
                end if;
            else
                PMarkUp := 0;
            end if;

	    -- Get Product Type Item Description IF one exists
	    SELECT count(*)
	    INTO PCount
	    FROM pt_itemdesc
	    WHERE product_type = PPTplu;

            -- if we didn't find the record
	    if pCount < 1 then
                PPTItemDesc := '';
            else

		SELECT pt_itemdesc.description
		INTO PPTItemDesc
                FROM pt_itemdesc
		WHERE product_type = PPTplu;

            end if;

            PerrCode := 0;
            PerrText := 'Succeeded';


	    ret.ret_stat := Perrcode;
       	    ret.ret_string := PerrText;
	    ret.product_cod := PProdCod;
 	    ret.prod_description := PProdDesc;
	    ret.prod_supplier := PSupplier;
	    ret.prod_sales_nom := PSalesNom;
	    ret.prod_purch_nom := PPurchNom;
	    ret.prod_stock_nom := PStockNom;
	    ret.prod_invoice_when := PInvoiceWhen;
	    ret.pt_plu := pt_row.plu;
	    ret.pt_description := pt_row.descr;
	    ret.prod_or_service := PProdServ;
	    ret.supplier_name := pts_row.nam;
	    ret.supplier_code := pts_row.cod;
	    ret.supp_currency := pts_row.currency;
	    ret.dept_deptgrpcode := PGRP;
            ret.redundancy := pt_row.redundant;
	    ret.pt_item_description := PPTItemDesc;
	    ret.home_perc_markup := PMarkup;
	    ret.home_margin := PMargin;
	    ret.vat_rate := PVatRate;
	    ret.home_cost_price := Pcost;
	    ret.sell_price := Psell;
	    ret.product_id := Pprodid;
	    ret.pt_id := pt_row.nsuk;
	    ret.vat_code := PVatCode;
	    ret.pt_supplier_id := pts_row.nsuk;



	    return next ret ;
	end loop;



	if w_suppidcnt = 0 then
	    PerrCode := 1;
	    PerrText := 'Product Supplier ID Not On File';



	    ret.ret_stat := Perrcode;
       	    ret.ret_string := PerrText;
	    ret.product_cod := PProdCod;
 	    ret.prod_description := PProdDesc;
	    ret.prod_supplier := PSupplier;
	    ret.prod_sales_nom := PSalesNom;
	    ret.prod_purch_nom := PPurchNom;
	    ret.prod_stock_nom := PStockNom;
	    ret.prod_invoice_when := PInvoiceWhen;
	    ret.pt_plu := pt_row.plu;
	    ret.pt_description := pt_row.descr;
	    ret.prod_or_service := PProdServ;
	    ret.supplier_name := pts_row.nam;
	    ret.supplier_code := pts_row.cod;
	    ret.supp_currency := pts_row.currency;
	    ret.dept_deptgrpcode := PGRP;
            ret.redundancy := pt_row.redundant;
	    ret.pt_item_description := PPTItemDesc;
	    ret.home_perc_markup := PMarkup;
	    ret.home_margin := PMargin;
	    ret.vat_rate := PVatRate;
	    ret.home_cost_price := Pcost;
	    ret.sell_price := Psell;
	    ret.product_id := Pprodid;
	    ret.pt_id := pt_row.nsuk;
	    ret.vat_code := PVatCode;
	    ret.pt_supplier_id := pts_row.nsuk;


	    return next ret ;


        end if;
	

    end loop;

    return;
end ;
$BODY$ language plpgsql volatile;
-- Function: invoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date, adoctype bpchar, astraightsale bpchar)

-- DROP FUNCTION invoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date, adoctype bpchar, astraightsale bpchar);

CREATE OR REPLACE FUNCTION invoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date, adoctype bpchar, astraightsale bpchar)
  RETURNS sp_status AS
$BODY$

declare pErrNum   integer;
       pErrText  char(60);

       pPTNsuk   integer;
       pPTPlu    char(6);

       pLoc          smallint;

       pStockNsuk    integer;

       pCustDepot    integer;
       pCustCod      char(7);

       pInvNum       integer;
       pFree         decimal(16,2);
       pOnHire       decimal(16,2);

       pTime         date; --time year to second;
       pPeriod       date; --time year to month;

       pNeg          decimal(16,2);
       pOnHireQty    decimal(16,2);

       pPhys         decimal(16,2);
       pAllo         decimal(16,2);
       pOnor         decimal(16,2);
       pOnhi         decimal(16,2);

       pMTRef        integer;
       pTotalStk     decimal(16,2);
       pStockValue   decimal(16,4);
       pUnitCost     decimal(16,4);
       err	     sp_status;

begin

    err.ret_stat := 0;
    err.ret_string := 'Success';

-- * STEP 1

    -- Check if Product Type Is Valid
    SELECT nsuk, plu, stock_value, unit_cost
    INTO pPTNsuk, pPTPlu, pStockValue, pUnitCost
    FROM product_type
    WHERE nsuk = aPTNsuk;

    -- If the Product Type was Not found!
    if not found then
    	err.ret_stat := 1;
    	err.ret_string := 'Product Type not found in product_type Table';

        return err;
    end if;

-- * STEP 2

    -- Check if the Location is Valid
    SELECT cod
    INTO pLoc
    FROM depot
    WHERE cod = aLoc;

    -- If the Location was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Location not found in depot Table';

        return err;
    end if;


-- * STEP 3

    -- Check if the Customer Location is Valid
    SELECT cod
    INTO pLoc
    FROM depot
    WHERE cod = aCustDepot;

    -- If the Location was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Customer Location not found in depot Table';

        return err;
    end if;


    -- Check if the Customer is Valid
    SELECT depot, cod
    INTO pCustDepot,pCustCod
    FROM cust
    WHERE depot = aCustDepot
      AND cod = aCustCod;

    -- If the Customer was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Customer not found in cust Table';

        return err;
    end if;


-- * STEP 4

    -- Check if the Invoice Number we're told to use is Valid
    SELECT ihead.ref
    INTO pInvNum
    FROM ihead
    WHERE doc_type = aDocType
      and location = aLoc
      and cust     = aCustCod
      and IHEAD.ref      = aInvNum;

    -- If the Invoice Number was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Invoice Number not found in ihead Table';

        return err;
    end if;


-- * STEP 5   All Details provided are checked and confirmed.
     -- We need now just UPDATE or create stock item for the
     -- product_type specified by aPTNsuk.

    -- Check if Product Type exists in the Stock Recording Table, 'stock'
    SELECT nsuk,qty_physical,qty_onhire
    INTO pStockNsuk, pFree, pOnHire
    FROM stock WHERE product_type = aPTNsuk
    AND location = aLoc;

    -- If the 'stock' table has NO entry for the product Type then we
    -- need to create it
    if not found then
    	-- Create Stock entry for this Product type

      pNeg := 0 - aQtyChange;
      if aStraightSale = 'Y' then
          pOnHireQty := 0;
      else
          pOnHireQty := 0 - aQtyChange;
      end if;

      INSERT INTO stock(nsuk, product_type, location, qty_physical,
                            qty_allocated, qty_onorder, qty_onhire)
      VALUES('0',aPTNsuk, aLoc, pNeg, '0', '0', pOnHireQty);

      pTotalStk := pNeg;

    else
	-- Update Stock entry

        if aStraightSale = 'Y' then --sale on a cash invoice never on a contract
	    UPDATE stock
            set qty_physical = (pFree - aQtyChange)
            WHERE product_type = aPTNsuk
              AND location = aLoc;
        else
	    UPDATE stock
            set qty_physical = (pFree - aQtyChange),
                qty_OnHire = (pOnHire - aQtyChange)
            WHERE product_type = aPTNsuk
              AND location = aLoc;
        end if;

        pTotalStk := (pFree - aQtyChange);

    end if;


-- * STEP 6
     -- Negate the Stock_Value of product_type

     UPDATE product_type
     set stock_value = pStockValue - (aQtyChange * pUnitCost),
     last_sell_date = aDateEntered
     WHERE nsuk = aPTNsuk;


-- * STEP 7   Now Record stock_movement, which requires working out
     -- the TimeStamp and the Period from the stock_control table.


-- * Step 7.1

    -- Get period from the stock_control table
    SELECT period
    INTO pPeriod
    FROM dparams;

-- * Step 7.2

    -- Take note of the TimeStamp

    pTime := now;

-- * Step 7.3

    -- Take note of Next movement_typ reference

    select * from get_next_mtref(2) into pMTRef;
    --pMTRef := get_next_mtref(2);


    -- Work out changes to quantities
    pOnhi := 0 - aQtyChange;
    if aStraightSale = 'Y' then
       pOnHireQty := 0;
    else
       pOnHireQty := 0 - aQtyChange;
    end if;

    -- Record Movement in the stock_movement Table.
    -- Movement Type is set to 2 = 'Invoice'
    INSERT INTO stock_movement(nsuk, product_type, typ,
                               date_entered, timestamp,
                               qty_physical, qty_allocated, qty_onorder,
                               qty_onhire, depot_before, depot_after,
                               cust_depot, cust_cod,
                               movement_ref, trans_ref,
                               unitsell, unitcost, period)
    VALUES(0, aPTNsuk,2, aDateEntered, pTime, pOnhi,
	   0,0,pOnHireQty, aLoc, aLoc,
           aCustDepot, aCustCod, pMTRef,
	   aInvNum, aUnitSell, pUnitCost, pPeriod);


    return err;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION invoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date, adoctype bpchar, astraightsale bpchar) OWNER TO postgres;
-- Function: manualcreditnote(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date)

-- DROP FUNCTION manualcreditnote(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date);

CREATE OR REPLACE FUNCTION manualcreditnote(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date)
  RETURNS sp_status AS
$BODY$

declare  pErrNum   	integer;
         pErrText  	char(60);

         pPTNsuk   	integer;
         pPTPlu    	char(6);

         pLoc          smallint;

         pStockNsuk    integer;

         pCustDepot    integer;
         pCustCod      char(7);

         pInvNum       integer;
         pFree         decimal(16,2);
         pOnHire       decimal(16,2);

         pTime         timestamp;
         pPeriod       date;

         pNeg          decimal(16,2);

         pPhys         decimal(16,2);
         pAllo         decimal(16,2);
         pOnor         decimal(16,2);
         pOnhi         decimal(16,2);

         pMTRef        integer;
         pStockValue   decimal(16,2);
         pUnitCost     decimal(16,4);
         err	       sp_status;

begin

    err.ret_stat := 0;
    err.ret_string := 'Success';


-- * STEP 1

    -- Check if Product Type Is Valid
    SELECT nsuk, plu, stock_value, unit_cost
    INTO pPTNsuk, pPTPlu, pStockValue, pUnitCost
    FROM product_type WHERE nsuk = aPTNsuk;

    -- If the Product Type was Not found!
    if not FOUND then
    	err.ret_stat := 1;
    	err.ret_string := 'Product Type not found in product_type Table';
        return err;
    end if;

-- * STEP 2

    -- Check if the Location is Valid
    SELECT cod INTO pLoc
    FROM depot
    WHERE cod = aLoc;

    -- If the Location was Not found!
    if not FOUND then
        err.ret_stat := 1;
        err.ret_string = 'Location not found in depot Table';
        return err;
    end if;

-- * STEP 3

    -- Check if the Customer Location is Valid
    SELECT cod INTO pLoc
    FROM depot
    WHERE cod = aCustDepot;

    -- If the Location was Not found!
    if not FOUND then
        err.ret_stat := 1;
        err.ret_string := 'Customer Location not found in depot Table';
        return err;
    end if;

    -- Check if the Customer is Valid
    SELECT depot, cod INTO pCustDepot,pCustCod
    FROM cust
    WHERE depot = aCustDepot
      AND cod = aCustCod;

    -- If the Customer was Not found!
    if not FOUND then
        err.ret_stat  := 1;
        err.ret_string := 'Customer not found in cust Table';
        return err;
    end if;

-- * STEP 4

    -- Check if the Invoice Number we're told to use is Valid
    SELECT ihead.ref INTO pInvNum
    FROM ihead
    WHERE doc_type = 'CR'
    AND location = aLoc
    AND cust = aCustCod
    AND ihead.ref = aInvNum;

    -- If the Movement Type was Not found!
    if not FOUND then
        err.ret_stat = 1;
        err.ret_string = 'Invoice Number not found in ihead Table';
        return err;
    end if;


/* * STEP 5   All Details provided are checked and confirmed.
     We need now just UPDATE or create stock item for the
     product_type specified by aPTNsuk.
*/

    -- Check if Product Type exists in the Stock Recording Table, 'stock'

    SELECT nsuk,qty_physical,qty_onhire
    INTO pStockNsuk, pFree, pOnHire
    FROM stock WHERE product_type = aPTNsuk
    AND location = aLoc;

    -- If the 'stock' table has NO entry for the product Type then we
    -- need to create it
    if not found then
    	-- Create Stock entry for this Product type

        INSERT INTO stock(nsuk, product_type, location, qty_physical,
                            qty_allocated, qty_onorder, qty_onhire)
        VALUES('0',aPTNsuk, aLoc, aQtyChange, '0', '0', '0');

    else
	-- Update Stock entry

	UPDATE stock
        Set qty_Physical = (pFree + aQtyChange)
        WHERE product_type = aPTNsuk
          AND location = aLoc;

    end if;


--  STEP 6
     -- Increase the Stock_Value of product_type

     UPDATE product_type
     set stock_value = pStockValue + (aQtyChange * pUnitCost),
     last_sell_date = aDateEntered
     WHERE nsuk = aPTNsuk;


/* STEP 7   Now Record stock_movement, which requires working out
     the TimeStamp and the Period from the stock_control table.
*/


-- * Step 7.1

    -- Get period from the dparams table
    SELECT period
    INTO pPeriod
    FROM dparams;

-- * Step 7.2

    -- Take note of the TimeStamp

    pTime := now;

-- * Step 7.3

    -- Take note of Next movement_typ reference

    select get_next_mtref(11) into pMTRef;

    if pMTRef = -1 then
        err.ret_stat = 1;
        err.ret_string = 'Cannot get next reference';
        return err;
    end if;

    --Work out changes to quantities
    pPhys := aQtyChange;

    -- Record Movement in the stock_movement Table.
    -- Movement Type is set to 11 = 'Manual Credit Note'
    INSERT INTO stock_movement(nsuk, product_type, typ,
                               date_entered, timestamp,
                               qty_physical, qty_allocated, qty_onorder,
                               qty_onhire, depot_before, depot_after,
                               cust_depot, cust_cod,
                               movement_ref, trans_ref,
                               unitsell, unitcost, period)
    VALUES(DEFAULT, aPTNsuk, 11, aDateEntered,
	   pTime, pPhys,0,0,0, aLoc, aLoc,
           aCustDepot, aCustCod, pMTRef,
	   aInvNum, aUnitSell, pUnitCost, pPeriod);


    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION manualcreditnote(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date) OWNER TO postgres;
-- Function: manualinvoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date)

-- DROP FUNCTION manualinvoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date);

CREATE OR REPLACE FUNCTION manualinvoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date)
  RETURNS sp_status AS
$BODY$

declare pErrNum   integer;
       pErrText  char(60);

       pPTNsuk   integer;
       pPTPlu    char(6);

       pLoc          smallint;

       pStockNsuk    integer;

       pCustDepot    integer;
       pCustCod      char(7);

       pInvNum      integer;
       pFree         decimal(16,2);
       pOnHire       decimal(16,2);

       pTime         date; --time year to second;
       pPeriod       date; --time year to month;

       pNeg          decimal(16,2);

       pPhys         decimal(16,2);
       pAllo         decimal(16,2);
       pOnor         decimal(16,2);
       pOnhi         decimal(16,2);

       pMTRef        integer;
       pStockValue   decimal(16,2);
       pUnitCost     decimal(16,4);
       err	     sp_status;
begin

    err.ret_stat := 0;
    err.ret_string := 'Success';

    -- set debug file to 'manualinvoice.out';
    -- trace on;

-- * STEP 1

    -- Check if Product Type Is Valid
    SELECT nsuk, plu, stock_value, unit_cost
    INTO pPTNsuk, pPTPlu, pStockValue, pUnitCost
    FROM product_type
    WHERE nsuk = aPTNsuk;

    -- If the Product Type was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Product Type not found in product_type Table';

        return err;
    end if;


-- * STEP 2

    -- Check if the Location is Valid
    SELECT cod
    INTO pLoc
    FROM depot
    WHERE cod = aLoc;

    -- If the Location was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Location not found in depot Table';

        return err;
    end if;



-- * STEP 3

    -- Check if the Customer Location is Valid
    SELECT cod
    INTO pLoc
    FROM depot
    WHERE cod = aCustDepot;

    -- If the Location was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Customer Location not found in depot Table';

        return err;
    end if;


    -- Check if the Customer is Valid
    SELECT depot, cod
    INTO pCustDepot,pCustCod
    FROM cust
    WHERE depot = aCustDepot
      AND cod = aCustCod;

    -- If the Customer was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Customer not found in cust Table';

        return err;
    end if;


-- * STEP 4

    -- Check if the Invoice Number we're told to use is Valid
    SELECT ihead.ref
    INTO pInvNum
    FROM ihead
    WHERE doc_type = 'IN'
    AND location = aLoc
    AND cust = aCustCod
    AND ihead.ref = aInvNum;

    -- If the Movement Type was Not found!
    if not found then
        err.ret_stat := 1;
        err.ret_string := 'Invoice Number not found in ihead Table';

        return err;
    end if;


-- * STEP 5   All Details provided are checked and confirmed.
     -- We need now just UPDATE or create stock item for the
     -- product_type specified by aPTNsuk.

    -- Check if Product Type exists in the Stock Recording Table, 'stock'
    SELECT nsuk,qty_physical,qty_onhire
    INTO pStockNsuk, pFree, pOnHire
    FROM stock
    WHERE product_type = aPTNsuk
    AND location = aLoc;

    -- If the 'stock' table has NO entry for the product Type then we
    -- need to create it
    if not found then
        -- Create Stock entry for this Product type

        pNeg := 0 - aQtyChange;

        INSERT INTO stock(nsuk, product_type, location, qty_physical,
                            qty_allocated, qty_onorder, qty_onhire)
        VALUES('0',aPTNsuk, aLoc, pNeg, '0', '0', '0');

    else
        -- Update Stock entry

        UPDATE stock
        Set qty_Physical = (pFree - aQtyChange)
        WHERE product_type = aPTNsuk
          AND location = aLoc;

    end if;


-- * STEP 6
     -- Negate the Stock_Value of product_type

     UPDATE product_type
     set stock_value = pStockValue - (aQtyChange * pUnitCost),
     last_sell_date = aDateEntered
     WHERE nsuk = aPTNsuk;


-- * STEP 7   Now Record stock_movement, which requires working out
     -- the TimeStamp and the Period from the stock_control table.


-- * Step 7.1

    -- Get period from the stock_control table
    SELECT period
    INTO pPeriod
    FROM dparams;

-- * Step 7.2

    -- Take note of the TimeStamp

    pTime := now;



-- * Step 7.3

    -- Take note of Next movement_typ reference

    select * from get_next_mtref(2) into pMTRef;
    --pMTRef := get_next_mtref(2);


    --Work out changes to quantities
    pPhys := 0 - aQtyChange;


    -- Record Movement in the stock_movement Table.
    -- Movement Type is set to 2 = 'Manual Invoice'
    INSERT INTO stock_movement(nsuk, product_type, typ,
                               date_entered, timestamp,
                               qty_physical, qty_allocated, qty_onorder,
                               qty_onhire, depot_before, depot_after,
                               cust_depot, cust_cod,
                               movement_ref, trans_ref,
                               unitsell, unitcost, period)
    VALUES(0, aPTNsuk, 2, aDateEntered,
           pTime, pPhys,0,0,0, aLoc, aLoc,
           aCustDepot, aCustCod, pMTRef,
           aInvNum, aUnitSell, pUnitCost, pPeriod);


    return err;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION manualinvoice(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, ainvnum integer, aunitsell numeric, adateentered date) OWNER TO postgres;
-- Function: oncontract(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, acontnum integer, aunitsell numeric, adateentered date, amovtype integer)

-- DROP FUNCTION oncontract(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, acontnum integer, aunitsell numeric, adateentered date, amovtype integer);

CREATE OR REPLACE FUNCTION oncontract(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, acontnum integer, aunitsell numeric, adateentered date, amovtype integer)
  RETURNS sp_status AS
$BODY$

declare err      sp_status;
	pErrNum	 char(10);
	pErrText char(60);

        pProcName     char(20);
	pErrHNum      integer;
	pErrHText     char(60);

	pPTNsuk       integer;
	pPTPlu        char(6);

	pLoc          smallint;

	pStockNsuk    integer;

	pCustDepot    integer;
	pCustCod      char(7);

	pContNum      integer;
	pOnHire       decimal(16,2);

	pTime         date; --time year to second;
	pPeriod       date; --time year to month;

	pNeg          decimal(16,2);

	pPhys         decimal(16,2);
	pAllo         decimal(16,2);
	pOnor         decimal(16,2);
	pOnhi         decimal(16,2);

	pMTRef        integer;
begin

    err.ret_stat := 0 ;
    err.ret_string := 'Success';
    pProcName := 'oncontract';

-- * STEP 1

    -- Check if Product Type Is Valid
    SELECT nsuk, plu
    INTO pPTNsuk, pPTPlu
    FROM product_type
    WHERE nsuk = aPTNsuk;

    -- If the Product Type was Not found!
    if not found then

        pErrNum := 'SP000201: ';
        pErrText := pErrNum || 'Product Type not found in product_type Table';

        --select * from  err_handler(pErrNum, pProcName, 'oncontract.out')
        --into pErrHNum, pErrHText;

	err.ret_stat := 1;
	err.ret_string := pErrText;

        return err;
    end if;

-- * STEP 2

    -- Check if the Location is Valid
    SELECT cod INTO pLoc
    FROM depot
    WHERE cod = aLoc;

    -- If the Location was Not found!
    if sqlca_rows() <> 1 then
        pErrNum = 'SP000202: ';
        pErrText =
        pErrNum || 'Location not found in depot Table';

        --call err_handler(pErrNum, pProcName, 'oncontract.out')
        --returning pErrHNum, pErrHText;

        return err;
    end if;

-- * STEP 3

    -- Check if the Customer Location is Valid
    SELECT cod INTO pLoc
    FROM depot
    WHERE cod = aCustDepot;

    -- If the Location was Not found!
    if sqlca_rows() <> 1 then
        pErrNum = 'SP000203: ';
        pErrText =
        pErrNum || 'Customer Location not found in depot Table';

	-- This toss with err_handler is not used , and an option
        -- to the unix filesystem of oncontract.out would not be
        -- any use to a java program anyway.

	-- If needed I will include it

        --call err_handler(pErrNum, pProcName, 'oncontract.out')
        --returning pErrHNum, pErrHText;

	err.ret_stat :=1;
	err.ret_string := pErrText;

        return err;
    end if;

    -- Check if the Customer is Valid
    SELECT depot, cod
    INTO pCustDepot,pCustCod
    FROM cust
    WHERE depot = aCustDepot
      AND cod = aCustCod;

    -- If the Customer was Not found!
    if not found then
        pErrNum = 'SP000204: ';
        pErrText =
        pErrNum || 'Customer not found in cust Table';

        --call err_handler(pErrNum, pProcName, 'oncontract.out')
        --returning pErrHNum, pErrHText;
	
	err.ret_stat :=1;
	err.ret_string := pErrText;


        return err;
    end if;

-- * STEP 4

    -- Check if the Contract Number we're told to use is Valid
    SELECT contract
    INTO pContNum
    FROM chead
    WHERE contract = aContNum
    AND location = aLoc;

    -- If the Contract Number was Not found!
    if not found then
        pErrNum = 'SP000205: ';
        pErrText =
        pErrNum || 'Contract Number not found in chead Table';

        --call err_handler(pErrNum, pProcName, 'oncontract.out')
        --returning pErrHNum, pErrHText;

	err.ret_stat :=1;
	err.ret_string := pErrText;

        return err;
    end if;

-- * STEP 5   All Details provided are checked and confirmed.
     -- We need now just UPDATE or create stock item for the
     -- product_type specified by aPTNsuk.

    -- Check if Product Type exists in the Stock Recording Table, 'stock'
    SELECT nsuk, qty_onhire
    INTO pStockNsuk, pOnHire
    FROM stock
    WHERE product_type = aPTNsuk
    AND location = aLoc;

    -- If the 'stock' table has NO entry for the product Type then we
    -- need to create it
    if not found then
    	-- Create Stock entry for this Product type

	INSERT INTO stock(nsuk, product_type, location, qty_physical,
                          qty_allocated, qty_onorder, qty_onhire)
	VALUES('0',aPTNsuk, aLoc, '0', '0', '0', aQtyChange);

    else
	-- Update Stock entry

	UPDATE stock
        Set qty_OnHire = (pOnHire + aQtyChange)
        WHERE product_type = aPTNsuk
          AND location = aLoc;

    end if;

-- * STEP 6   Now Record stock_movement, which requires working out
     -- the TimeStamp and the Period from the stock_control table.

-- * Step 6.1

    -- Get period from the stock_control table
    SELECT period
    INTO pPeriod
    FROM dparams;

-- * Step 6.2

    -- Take note of the TimeStamp

    pTime := Current;

-- * Step 6.3
    -- Take note of Next movement_typ reference

    select * from get_next_mtref(aMovType) into pMTRef;
    --pMTRef := get_next_mtref(aMovType);

    -- Work out changes to quantities
    pOnhi = 0 + aQtyChange;

    -- Record Movement in the stock_movement Table.
    -- Movement Type is set to 23 = 'On Contract'
    -- or 24 = 'On Contract Update'
    INSERT INTO stock_movement(nsuk, product_type, typ,
                               date_entered, timestamp,
                               qty_physical, qty_allocated, qty_onorder,
                               qty_onhire, depot_before, depot_after,
                               cust_depot, cust_cod,
                               movement_ref, trans_ref,
                               unitsell, period)
    VALUES(0, aPTNsuk, aMovType, aDateEntered, pTime,
           0,0,0,pOnhi, aLoc, aLoc,
           aCustDepot, aCustCod, pMTRef, aContNum, aUnitSell, pPeriod);

    return err;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION oncontract(aptnsuk integer, aqtychange numeric, aloc smallint, acustdepot smallint, acustcod bpchar, acontnum integer, aunitsell numeric, adateentered date, amovtype integer) OWNER TO postgres;
-- Function: rbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer)

-- DROP FUNCTION rbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer);

CREATE OR REPLACE FUNCTION rbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer)
  RETURNS sp_status AS
$BODY$
declare p_index int;
        w_count int;
        p_slave_depot int;
        p_slave_cust char(7);
        p_ledger_mnth dparams.period%type;
        current_period dparams.period%type;
        PaccountType cust.account_type%type;
        current_unalloc cust.unallocated%type;
        current_balance cust.balance%type;
        ageing jp_custage;
        slave_age jp_custage;
        p_cust record;
        p_slave record;
        err sp_status;

begin

    select * from jp_period(p_date) into current_period;	-- Convert date to beginning of month;

    -- this is a simple protection - but why is it needed?
    update cust set account_type = 'C'
        where account_type not in ('A','C');
    update cust set account_type = 'C'
        where account_type is null;

    delete from cust_age
        where period = current_period;

    <<customer_loop>>
    for p_cust in select depot, cod, bad_debt, suspend
        from cust
    loop

        -- handle null Suspend fields
	if p_cust.suspend is null then
	   p_cust.suspend := 'N';
        end if;

        if p_cust.bad_debt is null then
	   p_cust.bad_debt := 'N';
        end if;

	-- if the account is a slave account, we will process it within
        -- the account group

        select count(*)
        into w_count
        from account_groups
        where  slave_depot = p_cust.depot
          and  slave_cust = p_cust.cod;

        if w_count > 0 then
            continue customer_loop;
        end if;

        select count(*)
        into w_count
        from account_groups
        where master_depot = p_cust.depot
          and master_cust = p_cust.cod;

        if w_count = 0 then
            select custaged_at(p_cust.depot, p_cust.cod, p_date, p_reverse, p_age_credits)
	         into ageing;

            insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

           values (current_period, ageing.depot, ageing.cust, ageing.depot,  ageing.cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, p_cust.suspend, p_cust.bad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, 'M', 0);

        else
	    --
	    --	return master details first
	    --
            select * from custaged_at(p_cust.depot, p_cust.cod, p_date, p_reverse, p_age_credits)
                   into ageing;

            insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

           values (current_period, ageing.depot, ageing.cust, ageing.depot, ageing.cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, p_cust.suspend, p_cust.bad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, 'M', 0);

            for p_slave in select slave_depot, slave_cust, bad_debt, suspend
               from account_groups, cust
              where master_depot = ageing.depot
	        and master_cust = ageing.cust
                and slave_depot = cust.depot
                and slave_cust = cust.cod
             loop

                select * from custaged_at(p_slave_depot, p_slave_cust,
		                 p_date, p_reverse, p_age_credits) into slave_age;

                insert into cust_age(period, depot, cod, slave_depot, slave_cod,
                                     balance, unallocated, lastpay, lastpaid,
                                     account_type, suspend, bad_debt,
                                     current, age1, age2, age3, age4, age5,
                                     master_slave, slave_count)

               values (current_period,ageing.depot,ageing.cust,slave_age.depot,slave_age.cust,
                       slave_age.balance, slave_age.unallocated, slave_age.last_pay, slave_age.last_paid,
                       slave_age.account_type, p_slave.suspend, p_slave.bad_debt,
                       slave_age.curr_bal, slave_age.per1_bal, slave_age.per2_bal,
                       slave_age.per3_bal, slave_age.per4_bal, slave_age.per5_bal, 'S', 0);

             end loop;
          end if;
       end loop customer_loop;

       err.ret_stat := 0;
       err.ret_string := 'Success';
       return err;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION rbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;
-- Function: rbld_suppaged_at(p_date date, p_reverse integer, p_age_credits integer, pmode bpchar, pfx integer)

-- DROP FUNCTION rbld_suppaged_at(p_date date, p_reverse integer, p_age_credits integer, pmode bpchar, pfx integer);

CREATE OR REPLACE FUNCTION rbld_suppaged_at(p_date date, p_reverse integer, p_age_credits integer, pmode bpchar, pfx integer)
  RETURNS sp_status AS
$BODY$

  declare pErrNum   integer;
     pErrText  char(60);

    p_cod char(7);
    p_time_interval date;
    p_ledger_mnth DATE;
    p_current_Period DATE;
    p_current decimal(16,2);
    p_age1 decimal(16,2);
    p_age2 decimal(16,2);
    p_age3 decimal(16,2);
    p_age4 decimal(16,2);
    p_age5 decimal(16,2);
    p_age6 decimal(16,2);
    Pos pledger.os%type;
    Pdat pledger.dat%type;
    Punallocated supplier.unallocated%type;
    Pbalance supplier.balance%type;
    PlastPay supplier.last_pay%type;
    PlastPaid supplier.last_paid%type;
    supp_touch_row record;
    supp_row	   record;

  -- Work field to decide if we want os or currency_os values
  -- 0 for os otherwise currency_os
    workFX int;

  --set debug file to 'gensuppage.out';
  --trace on;


begin
    -- set the current period to the date argument
    p_current_period := p_date;
    workFX := pFX;
	
	
	
	-- If we are running in TOUCHED mode we wll be looking at
	-- the touched table etc.
	
	if Pmode = 'TOUCHED' then
		
	    for supp_touch_row in select supplier
	        from supplier_touched
	    loop
		delete from supplier_age
	        where cod = supp_touch_row.supplier;

		if workFX = 0 then
		     select * from suppaged_at(supp_touch_row.supplier, p_date, p_reverse, p_age_credits)
	             into P_cod, Pbalance, Punallocated,
	                  PlastPay, PLastPaid, P_current, p_age1, p_age2,
	                  p_age3, p_age4, p_age5;
		else
                     select * from suppaged_at_fx(supp_touch_row.supplier, p_date, p_reverse, p_age_credits)
                     into P_cod, Pbalance, Punallocated,
                          PlastPay, PLastPaid, P_current, p_age1, p_age2,
                          p_age3, p_age4, p_age5;
		end if;
		
	        insert into supplier_age (period,cod,
	                                  balance, unallocated, lastpay, lastpaid,
	                                  current, age1, age2, age3, age4, age5)

	        values (p_current_period,supp_touch_row.supplier,
	                  Pbalance, Punallocated, PlastPay, PLastPaid,
	                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
	    end loop;

	    for supp_row in
	        select cod
		from supplier
		where cod not in (select cod from supplier_age)
	    loop
	        delete from supplier_age
	        where cod = supp_row.cod;

                if workFX = 0 then
                   select * from suppaged_at(supp_row.cod, p_date, p_reverse, p_age_credits)
                   into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                else
                   select * from suppaged_at_fx(supp_row.cod, p_date, p_reverse, p_age_credits)
                   into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                end if;
																																	
	        insert into supplier_age (period,cod,
	                                  balance, unallocated, lastpay, lastpaid,
	                                  current, age1, age2, age3, age4, age5)

	        values (p_current_period,P_cod,
	                  Pbalance, Punallocated, PlastPay, PLastPaid,
	                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
	    end loop;

	    delete from supplier_touched;

	end if;
	
	-- If we are running in FULL mode we will be rebuilding all suppliers
	
	if Pmode = 'FULL' then
	
           for supp_row in
	        select cod
	        from supplier

	   loop		
		delete from supplier_age
		where cod = supp_row.cod;

                if workFX = 0 then
                   select * from  suppaged_at(supp_row.cod, p_date, p_reverse, p_age_credits)
                        into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                else
                   select * from  suppaged_at_fx(supp_row.cod, p_date, p_reverse, p_age_credits)
                        into P_cod, Pbalance, Punallocated,
                        PlastPay, PLastPaid, P_current, p_age1, p_age2,
                        p_age3, p_age4, p_age5;
                end if;
																																	
		 insert into supplier_age (period,cod,
		                           balance, unallocated, lastpay, lastpaid,
		                           current, age1, age2, age3, age4, age5)

		 values (p_current_period,P_cod,
		                  Pbalance, Punallocated, PlastPay, PLastPaid,
		                  P_current, p_age1, p_age2, p_age3, p_age4, p_age5 );
						
	    end loop;
	
	end if;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION rbld_suppaged_at(p_date date, p_reverse integer, p_age_credits integer, pmode bpchar, pfx integer) OWNER TO postgres;
-- Function: recover_bad_debt(p_depot integer, p_cod bpchar, p_amount numeric, p_ref bpchar, p_date date, p_user integer, p_cash_ac bpchar)

-- DROP FUNCTION recover_bad_debt(p_depot integer, p_cod bpchar, p_amount numeric, p_ref bpchar, p_date date, p_user integer, p_cash_ac bpchar);

CREATE OR REPLACE FUNCTION get_home_currency () RETURNS char(3) AS
$body$
declare  Pcurrency       currency.cod%type;

BEGIN

    select value
    into Pcurrency
    from sys_config
    where num = 93;

    if not FOUND then
        Pcurrency := "EUR";
    end if;

    return Pcurrency;

end;
$body$
LANGUAGE 'plpgsql' VOLATILE CALLED ON NULL INPUT SECURITY INVOKER;


CREATE OR REPLACE FUNCTION recover_bad_debt(p_depot integer, p_cod bpchar, p_amount numeric, p_ref bpchar, p_date date, p_user integer, p_cash_ac bpchar)
  RETURNS sp_status AS
$BODY$

declare	p_val		 sledger.amount%type;
      	p_period	 sledger.period%type;
      	p_bd_recovered	 nominal.cod%type;
      	p_vat_account	 nominal.cod%type;
        p_vat_rate       vat.rate%type;
      	p_time		 sledger.tim%type;
      	Pser		 sledger.ser%type;
        p_seq            source.nxt%type;
        p_source         nlbatch.source%type;
      	p_note		 sledger.txt%type;
        pos_vat          cust.balance%type;
        p_balance        cust.balance%type;
        pos_goods        cust.balance%type;
        p_vat            cust.balance%type;
        p_goods          cust.balance%type;
        Plincount       integer;
        w_errnum        integer;
        w_errtxt        char(60);
        w_note          integer;
        p_shadow_ledgers integer;
        w_home		char(3);
	err		sp_status;

begin

    select * from get_home_currency()
    into w_home;

    p_source := 'BR';
    w_note := null;

    select count(*)
    into Plincount
    from cust
    where cust.cod   = p_cod
      and cust.depot = p_depot
      and cust.bad_debt = 'Y' ;

    if Plincount is null then
        Plincount = 0;
    end if;

    if Plincount = 0 then
         err.ret_stat := 1; --there is an error
         err.ret_string := 'This Customer is Not a Bad Debt';
         return err ;
    end if;

    if p_amount = 0.00 then
         err.ret_string := 'Payments must be non zero';
         err.ret_stat := 1; --there is an error
         return err;
    end if;

    select dparams.period
    into p_period
    from dparams;

    --create batch header.

    select source.nxt
    into p_seq
    from source
    where source.cod = p_source;

    if not found then
       err.ret_string := 'SOURCE "BR" not setup';
       err.ret_stat := 1;
       return err;
    end if;

    update source
    set source.nxt = source.nxt + 1
    where source.cod = p_source;

    insert  into nlbatch values (
            p_source,
            p_seq,
            'S',
            p_period,
            today,
            p_depot,
            'I',        -- batch status incomplete
            null        -- presume no link to journals
        );

    p_val := 0 - p_amount;

    p_time := now;

    insert into sledger values (
		0,
		p_depot,
		p_cod,
		p_date,
	 	p_period,
		18,
		p_val,
		0.00,
		p_depot,
		NULL,
		p_ref,
		p_amount,
   		p_source,
		p_seq,
		'Bad Debt Recovered',
		w_note,
		NULL,
		p_user,
		NULL ,
		p_time,
		p_cash_ac,
		NULL
		);

     select currval(sledger_ser_seq) into Pser;


     if Pser < 0 then
         err.ret_string := 'Error inserting in sledger';
         err.ret_stat := 1;
         return err;
     end if;

     /*  Default for payment is unallocated, if it is allocated
        it will be taken out of unallocated */

    update cust
    set cust.unallocated = cust.unallocated + p_amount
    where cust.depot = p_depot
      and cust.cod = p_cod;

    --touchcust

    select sys_config.set
    into p_shadow_ledgers
    from sys_config
    where sys_config.num = 8;

    if p_shadow_ledgers  = 1 then
        insert into touched values (p_depot, p_cod);
    end if;

    select nparams.bd_recovered, nparams.vat
    into p_bd_recovered, p_vat_account
    from nparams;

    select count(*)
    into Plincount
    from nltrans
    where location = p_depot
      and source = p_source
      and batch  = p_seq
      and cod    = p_cash_ac;

    if Plincount is null then
       Plincount := 0;
    end if;

    if Plincount = 0 then

        insert into nltrans values (
			0,
			p_cash_ac,
			NULL,
			NULL,
			p_date,
			p_source,
			p_seq,
			p_cod,
			p_amount,
			'Bad Debt Recovered',
			NULL,
			'N',
			'Y',
			p_depot,
			null,	--	cleared only for bank
			w_home,
			p_amount
		    );

    else
        update nltrans
        set nltrans.amount = nltrans.amount + p_amount,
            nltrans.currency_amount = nltrans.currency_amount + p_amount
        where source   = p_source
          and batch    = p_seq
          and cod      = p_cash_ac;

     end if;

---I am presuming first rate of VAT (21% vat)

      select vat.rate
      into p_vat_rate
      from vat
      where vat.cod = 1;

      p_vat_rate := (p_vat_rate + 100) / 100;

      p_goods := (p_amount / p_vat_rate);
      p_vat   := (p_amount - p_goods);
      p_goods := 0 - p_goods;
      p_vat   := 0 - p_vat;

      select count(*)
      into Plincount
      from nltrans
      where location = p_depot
        and source = p_source
        and batch  = p_seq
        and cod    = p_bd_recovered;

      if Plincount is null then
          Plincount := 0;
      end if;

      if Plincount = 0 then
	 insert into nltrans values (
				0,
				p_bd_recovered,
				NULL,
				NULL,
				p_date,
				p_source,
				p_seq,
				'',
				p_goods,
				'Batch Total',
				NULL,
				'N',
				'Y',
				p_depot,
				null,	--	cleared only for bank
				w_home,
				p_goods
			);
      else
	  update nltrans
	  set nltrans.amount   = nltrans.amount + p_goods,
	      nltrans.currency_amount   = nltrans.currency_amount + p_goods
	  where nltrans.source = p_source
  	    and nltrans.batch  = p_seq
  	    and nltrans.cod    = p_bd_recovered;
      end if;

      select count(*)
      into Plincount
      from nltrans
      where location = p_depot
        and source = p_source
        and batch  = p_seq
        and cod    = p_vat_account;

      if Plincount is null then
          Plincount := 0;
      end if;

      if Plincount = 0 then
          insert into nltrans values (
				0,
				p_vat_account ,
				NULL,
				NULL,
				p_date,
				p_source,
				p_seq,
				'',
				p_vat,
				'Batch Total',
				NULL,
				'N',
				'Y',
				p_depot,
				null,	--	cleared only for bank
				w_home,
				p_vat
			);
      else
	  update nltrans
	  set nltrans.amount = nltrans.amount + p_vat,
	      nltrans.currency_amount = nltrans.currency_amount + p_vat
	  where source   = p_source
	    and batch    = p_seq
	    and cod      = p_vat_account ;
	  end if;

      --
      -- DC - 'park' the VAT on the sledger type 18 even though it is only a payment.
      --

      update sledger
      set vat = p_vat
      where sledger.ser = Pser;

      update cust
        set cust.balance   = cust.balance - p_amount,
	    cust.last_pay  = p_amount,
	    cust.last_paid = p_date
	where cust.depot = p_depot
	  and cust.cod   = p_cod
	  and cust.bad_debt = 'Y';

       select cust.balance
       into p_balance
       from cust
       where cust.depot = p_depot
         and cust.cod     = p_cod
         and cust.bad_debt = 'Y';

       if p_balance = 0 then --reset it to being a normal account
          update cust
          set bad_debt = 'N'
          where cust.depot = p_depot
            and cust.cod     = p_cod
            and cust.bad_debt = 'Y';
       end if;

        -- update turnover.

        select count(*)
          into Plincount
	  from turnover
	  where depot  = p_depot
	    and cod    = p_cod
	    and typ    = 4		--	Cash this month
	    and period = p_period;

	  if Plincount is null then
             Plincount := 0;
          end if;

          if Plincount = 0 then
	     insert into turnover values (
			p_depot,
			p_cod,
			4,
			p_period,
			p_amount
		    );
	  else
	      update turnover
		set amount = amount + p_amount
		where depot = p_depot
		  and cod   = p_cod
		  and typ   = 4
		  and period = p_period;
          end if;

          pos_goods = 0 - p_goods;
          pos_vat   = 0 - p_vat;

          select  count(*)
          into Plincount
          from vatsum
          where cod = 1
            and period = p_period
            and trans  = 18
            and ledger = 'S';

          if Plincount is null then
              Plincount := 0;
          end if;

          if Plincount = 0 then
               insert into vatsum values (
                   1,
                   'S',
                   18,
                   pos_goods,
                   pos_vat,
                   p_period
                );
          else
               update vatsum
                   set vatsum.goods = vatsum.goods + pos_goods ,
                       vatsum.vat   = vatsum.vat   + pos_vat
                   where cod = 1
                    and period = p_period
                    and trans  = 18
                    and ledger = 'S';
          end if;

       --Complete Batches

          update nlbatch
          set nlbatch.stat = 'C'  -- complete
          where nlbatch.source = p_source
            and nlbatch.seq     = p_seq;

          err.ret_stat := 0;
          err.ret_string := 'Success';
          return err;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION recover_bad_debt(p_depot integer, p_cod bpchar, p_amount numeric, p_ref bpchar, p_date date, p_user integer, p_cash_ac bpchar) OWNER TO postgres;
-- Function: suppaged_at_fx(p_cod bpchar, p_date date, p_reverse integer, p_age_credits integer)

-- DROP FUNCTION suppaged_at_fx(p_cod bpchar, p_date date, p_reverse integer, p_age_credits integer);

CREATE OR REPLACE FUNCTION suppaged_at_fx(p_cod bpchar, p_date date, p_reverse integer, p_age_credits integer)
  RETURNS jp_suppaged_at_fx AS
$BODY$
declare period_index int;
        p_age        decimal(16,2)[7];
        Palloc       numeric(16,2);
        ledger_row   record;
	p_ledger_mth date;
        return_age   jp_suppaged_at_fx;

begin

  return_age.supplier = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_payment := null;
  return_age.last_payment_date := null;

  for i in 1 .. 6 loop
      p_age[i] := 0.00;
  end loop;

  <<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, currency_os, period
     from pledger
     where supplier = p_cod
     order by dat
  LOOP

     Palloc := 0.00;
     if p_reverse = 1 then

         if ledger_row.period > p_date then
	     continue ledger_loop;
	 end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)::numeric(16,2)
             into Palloc
             from pallocee ee, pallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount) :: numeric(16,2)
             into Palloc
             from pallocer er, pallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;

     end if;

     if ledger_row.typ = 12 then
         return_age.last_payment  := ( 0 - ledger_row.amount );
         return_age.last_payment_date := ledger_row.dat;
     end if;


     if ledger_row.typ < 10 then
         ledger_row.currency_os := ledger_row.currency_os + Palloc;
     else
         ledger_row.currency_os := ledger_row.currency_os - Palloc;
	 return_age.unallocated := return_age.unallocated + (0 - ledger_row.currency_os );
     end if;

     -- Calculate the balance
     return_age.balance := return_age.balance + ledger_row.currency_os;

     if p_age_credits = 0 and ledger_row.typ > 10 then
        continue ledger_loop;
     end if;

     IF ledger_row.dat IS NULL THEN
         ledger_row.dat := p_date;
     end if;

     period_index := elapsed_months(ledger_row.dat, p_date);

     if (period_index > 6) THEN
        period_index := 6;
     end if;

     if (period_index < 1) THEN
        period_index := 1;
     end if;

     p_age[period_index] := p_age[period_index] + ledger_row.currency_os;

  end loop;

  return_age.current = p_age[1];
  return_age.period1 = p_age[2];
  return_age.period2 = p_age[3];
  return_age.period3 = p_age[4];
  return_age.period4 = p_age[5];
  return_age.period5 = p_age[6];

  RETURN return_age;

end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION suppaged_at_fx(p_cod bpchar, p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;
-- Function: wrap_rebuild_at(pmode bpchar, p_reverse integer, p_age_credits integer)

-- DROP FUNCTION wrap_rebuild_at(pmode bpchar, p_reverse integer, p_age_credits integer);

CREATE OR REPLACE FUNCTION wrap_rebuild_at(pmode bpchar, p_reverse integer, p_age_credits integer)
  RETURNS sp_status AS
$BODY$

declare pErrnum integer;
        pErrtext char(60);
        dparams_period dparams.period%type;
        pparams_period pparams.period%type;
        PagingDate date;
	err	sp_status;
begin
	
	err.ret_stat := 0;
	err.ret_string := 'Success';

    if Pmode = 'customer' then
	select period
	into dparams_period
	from dparams;

	select * from jp_period(dparams_period) into PagingDate;
	--PagingDate := jp_period(dparams_period); -- '01/'||month(dparams_period)||'/'||year(dparams_period);


	PagingDate := PagingDate + interval '1 month';
	PagingDate := PagingDate - interval '1 day';


        select * from  rbld_custaged_at(PagingDate,p_reverse,p_age_credits)
        into err.ret_stat,err.ret_string;



    end if;

    if Pmode = 'supplier' then
	select period
	into pparams_period
	from pparams;

	select * from jp_period(pparams_period) into PagingDate;
	--PagingDate := jp_period(pparams_period); --'01/'||month(pparams_period)||'/'||year(pparams_period);

	PagingDate := PagingDate + interval '1 month';
	PagingDate := PagingDate - interval '1 day';



        select * from rbld_suppaged_at(PagingDate,p_reverse,p_age_credits,'FULL',0)
     	into err.ret_stat,err.ret_string;


    end if;


    return err;


end;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION wrap_rebuild_at(pmode bpchar, p_reverse integer, p_age_credits integer) OWNER TO postgres;
-- Function: writeoff_bad_debt(p_depot integer, p_cod bpchar, p_user integer)

-- DROP FUNCTION writeoff_bad_debt(p_depot integer, p_cod bpchar, p_user integer);

CREATE OR REPLACE FUNCTION writeoff_bad_debt(p_depot integer, p_cod bpchar, p_user integer)
  RETURNS sp_status AS
$BODY$

declare w_errnum 	integer;
       w_errtxt 	char(60);
       Plincount	smallint;
       ok		smallint;
       p_contract	chdetail.contract%type;
       p_source         source.cod%type;
       p_seq            integer;
       sled_serial      integer;
       p_shadow_ledgers integer;
       p_period	        dparams.period%type;
       p_debtors	nominal.cod%type;
       p_bad_debts	nominal.cod%type;
       p_vat_account    nominal.cod%type;
       p_val		cust.balance%type;
       p_vat		cust.balance%type;
       p_vat_chg	cust.balance%type;
       p_vat_rate	vat.rate%type;
       p_excl	        cust.balance%type;
       p_balance	cust.balance%type;
       p_unallocated	cust.balance%type;
       p_bad_debt       cust.bad_debt%type;
       p_goods          cust.balance%type;
       neg_goods        cust.balance%type;
       neg_vat          cust.balance%type;
       p_cc		depot.cost_centre%type;
       p_time		sledger.tim%type;
       w_home	        char(3);
       err		sp_status;
       chdetail_row	record;

begin

   select * from  get_home_currency()
   into w_home;

--   set debug file to 'wobd.out';
--   trace on;

   p_source := 'BD';

   select count(*)
   into Plincount
   from cust
   where cust.depot = p_depot
     and cust.cod   = p_cod;

   if Plincount is null then
      Plincount := 0;
   end if;

   if Plincount = 0 then
        err.ret_stat := 1; --there is an error
	err.ret_string := 'No such Customer On Database';

        return err;
   end if;

   ok := 1;

   for chdetail_row in
       select chdetail.contract
       --into p_contract
       from chdetail
       where cust = p_cod
	and depot = p_depot

   loop
       /*
       for chcount_row in
	    select count(*) as cnt
	    --into Plincount
	    from chdetail
	    where contract = chdetail_row.contract
              and chdetail.depot = p_depot
       loop
	    if chcount_row.cnt != 0 then
	        ok := 0;
	        exit;
	    end if;

       end loop;
       */


       select count(*) as cnt
       into Plincount
       from chdetail
       where contract = chdetail_row.contract
       and chdetail.depot = p_depot;

       if Plincount != 0 then
	   ok :=0;
           exit;
       end if;
       /*
       for cocount_row in
	    select count(*) as cnt
	    --into Plincount
	    from codetail
	    where contract = chdetail_row.contract
              and codetail.depot = p_depot
       loop
	    if cocount_row.cnt != 0 then
	        ok := 0;
	        exit;
	    end if;

       end loop;
	*/

       select count(*) as cnt
       into Plincount
       from codetail
       where contract = chdetail_row.contract
       and codetail.depot = p_depot;

	
       if Plincount != 0 then
          ok := 0;
          exit;
       end if;

       /*
       for cdcount_row in
	    select count(*) as cnt
	    --into Plincount
	    from cdisposal
	    where contract = chdetail_row.contract
              and disposal.depot = p_depot
       loop
	    if cdcount_row.cnt != 0 then
	        ok = 0;
	        exit;
	    end if;

       end loop;
       */

       select count(*) as cnt
       into Plincount
       from cdisposal
       where contract = chdetail_row.contract
       and disposal.depot = p_depot;

       if Plincount != 0 then
	   ok := 0;
           exit;
       end if;

    end loop;

    if ok = 0 then
        err.ret_stat := 1; --there is an error
	err.ret_string := 'There are contracts outstanding for this customer' ;
        return err;
    end if;

    select cust.bad_debt, cust.balance, cust.unallocated
    into p_bad_debt,p_balance,p_unallocated
    from cust
    where cust.cod = p_cod
      and cust.depot = p_depot;

    if p_balance = 0 then
       err.ret_stat :=  'Balance Must be Non Zero' ;
       err.ret_string := 1;
       return err;
    end if;

    if p_unallocated <> 0 then
       err.ret_stat :=  'Unallocated Cash Must Be Allocated First';
       err.ret_string := 1;
       return err;
    end if;

    if p_bad_debt = 'Y' then
       err.ret_stat := 'This is already a bad debt account';
       err.ret_string := 1;
       return err;
    end if;

    --all check out ok therefore write the account off.

    select dparams.period
    into p_period
    from dparams;

    --create batch header.

    select source.nxt
    into p_seq
    from source
    where source.cod = p_source;

    if not found then
       err.ret_stat := 'SOURCE "DP" not setup';
       err.ret_string := 1;
       return err;
    end if;

    update source
    set source.nxt = source.nxt + 1
    where source.cod = p_source;

    insert  into nlbatch values (
            p_source,
            p_seq,
            'S',
            p_period,
            today,
            p_depot,
            'I',        -- batch status incomplete
            null        -- presume no link to journals
        );

    --touchcust

    select sys_config.set
    into p_shadow_ledgers
    from sys_config
    where sys_config.num = 8;

    if p_shadow_ledgers  = 1 then
        insert into touched values (p_depot, p_cod);
    end if;

    update cust
    set bad_debt = 'Y',
    statement = 'N'
    where depot = p_depot
    and cod   = p_cod;

    p_val := 0 - p_balance;
    p_time := today;

    insert into sledger values (
	0,
	p_depot,
	p_cod,
	today,
	p_period,
	16,
	p_val,
	0.00,
	p_depot,
	NULL,
	NULL,
	0.00,
   	p_source,
	p_seq,
	'Bad Debt W/O',
	NULL,
	NULL,
	p_user,
	NULL ,
	today,
	NULL,
	NULL
        );

        select currval(sledger_ser_seq) into sled_serial;

	select debtors, bad_debts , vat
	into p_debtors, p_bad_debts, p_vat_account
	from nparams;

	if not found then
           err.ret_stat := 'NPARAMS not setup';
           err.ret_string := 1;
           return err;
        end if;

	select 	cost_centre
	into	p_cc
	from	depot
	where	depot.cod = p_depot;

	if not found then
	    err.ret_stat := 'Cannot get cost centre details '
	      , ' for depot ', p_depot;
            err.ret_stat := 1;
            return err;
	end if;

---I am presuming whatever vat.cod = 1 is

      select vat.rate
      into p_vat_rate
      from vat
      where vat.cod = 1;

      p_vat_chg  := p_vat_rate / 100;
      p_vat_chg  := p_vat_chg + 1.00;

      p_excl := p_balance / p_vat_chg;
      p_vat  := p_balance - p_excl;

      insert into nltrans values (
			0,
			p_vat_account,
			p_cc,
			NULL,
			today,
			p_source,
			p_seq,
			p_cod,
			p_vat,
			'Bad Debt W/O',
			NULL,
			'N',
			'Y',
			p_depot,
			NULL,	--cleared only for bank
			w_home,
			p_vat
		        );

        update sledger
        set sledger.vat = p_vat * -1,
            sledger.batch = p_seq
        where sledger.ser = sled_serial;

        p_goods := p_balance - p_vat;

	insert into nltrans values (
		0,
		p_bad_debts,
		p_cc,
		NULL,
		today,
		p_source,
		p_seq,
		p_cod,
		p_goods,
		'Bad Debt W/O',
		NULL,
		'N',
		'Y',
		p_depot,
		NULL,	--cleared only for bank
		w_home,
		p_goods
		);


	p_val := 0 - p_balance;

	select count(*)
        into Plincount
        from nltrans
	where source = p_source
  	and batch  = p_seq
  	and cod    = p_debtors
  	and location = p_depot;

	if Plincount = 0 then
		insert into nltrans values (
			0,
			p_debtors,
			NULL,
			NULL,
			today,
			p_source,
			p_seq,
			'',
			p_val,
			'Batch Total',
			NULL,
			'N',
			'Y',
			p_depot,
			NULL,	-- cleared only for bank
			w_home,
			p_val
		);

	else
		update nltrans
			set nltrans.amount = nltrans.amount + p_val,
			    nltrans.currency_amount = nltrans.currency_amount + p_val
			where source = p_source
	  		and batch    = p_seq
	  		and cod      = p_debtors;

	end if;

        neg_goods := (0 - p_goods);
        neg_vat   := (0 - p_vat);

        select  count(*)
        into Plincount
        from vatsum
        where cod = 1 --I am presuming vat code 1
          and period = p_period
          and trans  = 16
          and ledger = 'S';

        if Plincount is null then
           Plincount := 0;
        end if;

	if Plincount = 0 then
            insert into vatsum values (
                1,
                'S',
                16,
                neg_goods,
                neg_vat,
                p_period
            );
        else
            update vatsum
                set vatsum.goods = vatsum.goods + neg_goods,
                    vatsum.vat   = vatsum.vat   + neg_vat
                 where vatsum.cod = 1
                  and vatsum.period = p_period
                  and vatsum.trans  = 16
                  and vatsum.ledger = 'S';
        end if;

       --Complete Batches

        update nlbatch
        set nlbatch.stat = 'C'  -- complete
        where nlbatch.source = p_source
          and nlbatch.seq     = p_seq;

        err.ret_stat := 0;
        err.ret_string := 'Success';
        return err;
end ;
$BODY$
  LANGUAGE 'plpgsql' VOLATILE;
ALTER FUNCTION writeoff_bad_debt(p_depot integer, p_cod bpchar, p_user integer) OWNER TO postgres;

update dcssqlversion set minor=27, tstamp= CURRENT_TIMESTAMP;

-- Post the sterling creditors out of the old control account to the new

    select account_code
      into old_creditors
      from reserved_ac
     where key_name = 'creditors';

     neg_balance := 0.00;
     old_balance := 0.00;

    select sum(balance)
    into old_balance
    from supplier
    where supplier.currency = 'GBP';

    if old_balance is null then
        old_balance := 0.00;
    end if;

    neg_balance := 0 - old_balance;

    select nxt
    into batch_number
    from source
    where cod = 'JE';

    update source
    set nxt = nxt + 1
    where cod = 'JE';

    select period
    into current_period
    from dparams;

     insert into nlbatch values ('JE', batch_number, 'P', current_period, today,1, 'C', null);


    insert into nltrans values (0, old_creditors, null, null, today, 'JE', batch_number, 'Upgrade', old_balance, 'Move GBP suppliers' ,null, 'N', 'Y', 1, null, 'EUR', old_balance);

    insert into nltrans values (0, 'CREGBP', null, null, today, 'JE', batch_number, 'Upgrade', neg_balance, 'From EUR suppliers' ,null, 'N', 'Y', 1, null, 'EUR', neg_balance);



err.ret_stat := 0;
err.ret_string := 'Success';
return err;
end;
$_$
    LANGUAGE plpgsql;


ALTER FUNCTION public.version04_27() OWNER TO postgres;

--
-- TOC entry 122 (class 1255 OID 78302)
-- Dependencies: 394 1230 5
-- Name: version04_28(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION version04_28() RETURNS sp_status
    AS $$
declare err	sp_status;
	Ptstamp   dcssqlversion.tstamp%type;
	Pcount    integer;
	
begin

	err.ret_stat := 0;
	err.ret_string := 0;

	-- First check if we are 4.27 before running the conversion

    Pcount := 0;

	select count(*)
	into Pcount
	from dcssqlversion
	where major = 4
	and   minor = 27;


	if Pcount <> 1 then
	    err.ret_stat := 1;
	    err.ret_string := 'Must be a version 4.27 database to convert from';	
	    return err;
    end if;

    -- View required for Purchase Turnovers on java system

    CREATE OR REPLACE VIEW "public"."v_turnover" (
    supplier,
    nam,
    period,
    amount)
    AS
    SELECT pl.supplier, supp.nam, pl.period, sum(pl.amount) AS amount
    FROM pledger pl, supplier supp
    WHERE (((pl.typ = 2) OR (pl.typ = 11)) AND (supp.cod = pl.supplier))
    GROUP BY pl.supplier, supp.nam, pl.period;
	
	-- Now we update the dcssqlversion to 4.28

	--Ptstamp := now;

        update dcssqlversion
             set major  = 4,
                 minor  = 28,
                 tstamp = CURRENT_TIMESTAMP,
                 testdb = null,
                 software = 1;


    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.version04_28() OWNER TO postgres;

--
-- TOC entry 123 (class 1255 OID 78303)
-- Dependencies: 394 1230 5
-- Name: version04_29(); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION version04_29() RETURNS sp_status
    AS $$
declare err	sp_status;
	Ppohead po_head;
	Ppodetail po_detail;
	Ptstamp   dcssqlversion.tstamp%type;
	pocurs_row record;
	Pcount    integer;
begin

	err.ret_stat := 0;
	err.ret_string := 0;

	-- First check if we are 4.28 before running the conversion

	select count(*)
	into Pcount
	from dcssqlversion
	where major = 4
	and   minor = 28;


	if Pcount <> 1 then
	    err.ret_stat := 1;
	    err.ret_string := 'Must be a version 4.28 database to convert from';
	
	    return err;
        end if;


	-- Alters

	alter table po_detail
		  add column unitcost_exp_for decimal(16,4),
                  add column unitcost_act_for decimal(16,4);

	
	
	update po_head
	set currency_rate = 1.00
	where currency_rate is null
	or currency_rate = 0.00;

	--
	-- We still need to update our foreign suppliers with an exchange rate
	--
	
	update po_head
	set agreed_rate = 1 / agreed_rate
	where agreed_rate <> 0.00
	and agreed_rate is not null;

	update po_head
	set currency_rate = 1 / currency_rate
	where currency_rate <> 0.00
	and currency_rate is not null;

	update po_detail
	set unitcost_exp_for = unitcost_exp,
	unitcost_act_for = unitcost_act
	where po_detail.po_head in
	(select nsuk from po_head where currency = 'EUR');

    --
	-- The original unitcost was in home currency
	--

	for pocurs_row in
	    select a.currency_rate ,b.nsuk as podnsuk,
		   b.unitcost_exp,b.unitcost_act
	    from po_head a, po_detail b
	    where a.nsuk = b.po_head
	    and a.currency <> 'EUR'

	loop
	    update po_detail
	    set unitcost_exp_for = pocurs_row.unitcost_exp * pocurs_row.currency_rate,
                unitcost_act_for = pocurs_row.unitcost_act * pocurs_row.currency_rate
	    where nsuk = pocurs_row.podnsuk;



	end loop;


        alter table po_detail
		alter column unitcost_exp set not null,
		alter column unitcost_act_for set not null;


	-- The version04_29.sql queries should there be any
	
	-- Now we update the dcssqlversion to 4.29

        update dcssqlversion
             set major  = 4,
                 minor  = 29,
                 tstamp = current_timestamp,
                 testdb = null,
                 software = 1;

    err.ret_stat := 0;
    err.ret_string := 'Success';
    return err;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.version04_29() OWNER TO postgres;

--
-- TOC entry 124 (class 1255 OID 78304)
-- Dependencies: 379 1230 5
-- Name: vncustaged_at(integer, text, date, integer, integer, numeric); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION vncustaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer, p_vat_rate numeric) RETURNS jp_custage
    AS $$
declare p_index int;
        p_time_interval interval;
        p_ledger_mnth dparams.period%type;
        p_current_Period dparams.period%type;
        p_age decimal(16,2)[6];
        Pamount sledger.amount%type;
        Palloc sledger.os%type;
        Punallocated cust.unallocated%type;
        PaccountType cust.account_type%type;
        Pbalance cust.balance%type;
        Pbad_debt char;
        PlastPay cust.last_pay%type;
        PlastPaid cust.last_paid%type;
        p_period_cutoff sledger.period%type;
        g_period pledger.period%type;
        ledger_row record;
        return_age jp_custage;
        ts1 timestamp;
        ts2 timestamp;
        i integer;
        work_date date;
        operation_mode integer;
        old_mode integer := 1;
        new_mode integer := 2;
        Pvat sledger.vat%type;

declare test refcursor;
begin

  raise notice 'Building %', P_cod;

  operation_mode := new_mode;

  select account_type, bad_debt
  into PaccountType, Pbad_debt
  from cust
  where cust.depot = P_depot
    and cust.cod = P_cod;

  if PaccountType is null then
      PaccountType := 'C';
  end if;

  ts1 := p_date;
  ts2 := ts1 - interval '5 months';
  work_date := ts2;
  p_period_cutoff := jp_period(work_date);
  p_current_period := jp_period(p_date);


  return_age.depot = p_depot;
  return_age.cust = p_cod;
  return_age.balance := 0;
  return_age.unallocated := 0;
  return_age.last_pay := null;
  return_age.last_paid := null;

  if operation_mode = new_mode then
      return_age.bad_debt := 'N';
  else
      return_age.bad_debt := Pbad_debt;
  end if;

  for i in 1 .. 6
  loop
      p_age[i] := 0.00;
  end loop;
  Palloc := 0.00;


  /*<<ledger_loop>>
  for ledger_row in
     select ser, typ, dat, amount, os, period
     from sledger
     where depot = p_depot and cod = p_cod
     order by dat, ser
*/
  open test FOR EXECUTE 'SELECT ser, typ, dat, amount, os, period  FROM  sledger ' ||
  		       ' where depot = ' || p_depot ||
		       ' and cod = ' || quote_literal( p_cod ) ||
                       ' order by dat,ser ';

  <<ledger_loop>>
  loop
     fetch test into ledger_row;

     if not found then
	exit;
     end if;


     if p_reverse = 1 then
         if ledger_row.period > p_date then
             continue ledger_loop;
         end if;

         if ledger_row.typ < 10 then
             select sum(ee.amount + ee.discount)
             into Palloc
             from sallocee ee, sallocper per
             where ee.ee = ledger_row.ser
             and ee.allocation = per.allocation
             and per.period > p_date;

         else
             select sum(er.amount)
             into Palloc
             from sallocer er, sallocper per
             where er.er = ledger_row.ser
             and er.allocation = per.allocation
             and per.period > p_date;

         end if;

         -- If the alloc amount is null set it to zero
         IF Palloc is null then
             Palloc := 0.00;
         end if;
     end if;

     if ledger_row.typ = 13 then
         return_age.last_pay  := ledger_row.amount;
         return_age.last_paid := ledger_row.dat;
     end if;

     if operation_mode = new_mode then
         if ledger_row.typ = 16 then
             return_age.bad_debt = 'Y';
             continue;
         end if;
      end if;

     if operation_mode = new_mode then
         if ledger_row.typ = 18 then
             return_age.bad_debt = 'N';
             continue;
         end if;
     end if;

     --p_ledger_mnth := '1/1/2006';

     if Ptyp <> 2 or Ptyp <> 12 then
         Pvat := ledger_row.amount - ((ledger_row.amount / (100 + p_vat_rate) ) * 100);
     end if;



     p_ledger_mnth := jp_period(ledger_row.dat);

     if operation_mode = new_mode then
         return_age.balance := return_age.balance + ledger_row.amount;
     end if;

     if ledger_row.typ < 10 then
         ledger_row.os := ledger_row.os + Palloc;

 	 if ledger_row.os <> 0 then
	        ledger_row.os := (ledger_row.os * (ledger_row.amount - Pvat)) / ledger_row.amount;
	 end if;



         if operation_mode = old_mode then
            return_age.balance := return_age.balance + ledger_row.os;
         end if;

     else
         ledger_row.os := ledger_row.os + Palloc;

 	 if ledger_row.os <> 0 then
	        ledger_row.os := (ledger_row.os * (ledger_row.amount - Pvat)) / ledger_row.amount;
	 end if;

         if operation_mode = old_mode then
            return_age.balance := return_age.balance - ledger_row.os;
         end if;

         return_age.unallocated := return_age.unallocated + ledger_row.os;


         ledger_row.os := 0 - ledger_row.os;
         if p_age_credits = 0 then
            continue ledger_loop;
         end if;
     end if;

     -- Calculate the balance

     IF p_ledger_mnth is null then
         p_ledger_mnth := p_current_period;
     end if;

     IF p_ledger_mnth < p_period_cutoff then
         p_index := 6;
     else
         IF p_ledger_mnth > p_current_period then
             p_index := 1;
         else
             --p_index := 1;
             p_index := elapsed_months(p_ledger_mnth, p_current_period) + 1;
         end if;
     end if;

     if p_index = 0 then
        p_index := 1;
     end if;

     IF p_index > 6 THEN
         p_index := 6;
     END IF;

     p_age[p_index] := p_age[p_index] + ledger_row.os;

  end loop;

  close test;

  return_age.account_type := PaccountType;

  for i in 1 .. 6
  loop
    if i = 1 then
    return_age.curr_bal = p_age[i];
    elsif i = 2 then
    return_age.per1_bal = p_age[i];
    elsif i = 3 then
    return_age.per2_bal = p_age[i];
    elsif i = 4 then
    return_age.per3_bal = p_age[i];
    elsif i = 5 then
    return_age.per4_bal = p_age[i];
    elsif i = 6 then
    return_age.per5_bal = p_age[i];
    end if;
  end loop;

  RETURN return_age;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.vncustaged_at(p_depot integer, p_cod text, p_date date, p_reverse integer, p_age_credits integer, p_vat_rate numeric) OWNER TO postgres;

--
-- TOC entry 126 (class 1255 OID 78306)
-- Dependencies: 394 1230 5
-- Name: vnrbld_custaged_at(date, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION vnrbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer) RETURNS sp_status
    AS $$
declare p_index int;
        w_count int;
        ---p_slave_depot int;
        ---p_slave_cust char(7);
        p_ledger_mnth dparams.period%type;
        current_period dparams.period%type;
        PaccountType cust.account_type%type;
        current_unalloc cust.unallocated%type;
        current_balance cust.balance%type;
        ageing jp_custage;
        slave_age jp_custage;
        p_cust record;
        p_slave record;
        w_stat char(5);
        err sp_status;
        dc_count integer;
	p_vat_rate vat.rate%type;

begin

    select rate into p_vat_rate
        from vat where cod = 1;

    select * from jp_period(p_date) into current_period;    -- Convert date to beginning of month;

    -- this is a simple protection - but why is it needed?
    update cust set account_type = 'C'
        where account_type not in ('A','C');
    update cust set account_type = 'C'
        where account_type is null;

    delete from cust_age
        where period = current_period;

    <<customer_loop>>
    for p_cust in select depot, cod, bad_debt, suspend
        from cust
    loop

        -- handle null Suspend fields
    if p_cust.suspend is null then
       p_cust.suspend := 'N';
        end if;

        if p_cust.bad_debt is null then
            p_cust.bad_debt := 'N';
        end if;

    -- if the account is a slave account, we will process it within
        -- the account group

        select count(*)
        into w_count
        from account_groups
        where  slave_depot = p_cust.depot
          and  slave_cust = p_cust.cod;

        if w_count > 0 then
            continue customer_loop;
        end if;

        select count(*)
        into w_count
        from account_groups
        where master_depot = p_cust.depot
          and master_cust = p_cust.cod;

        if w_count = 0 then
            select * from vncustaged_at(p_cust.depot, p_cust.cod, p_date, p_reverse, p_age_credits,p_vat_rate)
             into ageing;

            insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

           values (current_period, ageing.depot, ageing.cust, ageing.depot,  ageing.cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, p_cust.suspend, ageing.bad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, 'M', 0);


        else
	    --
	    --	return master details first
	    --
            select * from vncustaged_at(p_cust.depot, p_cust.cod, p_date,
                                      p_reverse, p_age_credits , p_vat_rate)
                   into ageing;

            insert into cust_age (period, depot, cod, slave_depot, slave_cod,
                                  balance, unallocated, lastpay, lastpaid,
                                  account_type, suspend, bad_debt,
                                  current, age1, age2, age3, age4, age5,
                                  master_slave, slave_count)

           values (current_period, ageing.depot, ageing.cust, ageing.depot, ageing.cust,
                  ageing.balance, ageing.unallocated, ageing.last_pay, ageing.last_paid,
                  ageing.account_type, p_cust.suspend, ageing.bad_debt,
                  ageing.curr_bal, ageing.per1_bal, ageing.per2_bal,
                  ageing.per3_bal, ageing.per4_bal, ageing.per5_bal, 'M', 0);

            for p_slave in select slave_depot, slave_cust, bad_debt, suspend
               from account_groups, cust
              where master_depot = ageing.depot
	        and master_cust = ageing.cust
                and slave_depot = cust.depot
                and slave_cust = cust.cod
             loop

                select * from vncustaged_at(p_slave.slave_depot, p_slave.slave_cust,
		                 p_date, p_reverse, p_age_credits,p_vat_rate) into slave_age;

                insert into cust_age(period, depot, cod, slave_depot, slave_cod,
                                     balance, unallocated, lastpay, lastpaid,
                                     account_type, suspend, bad_debt,
                                     current, age1, age2, age3, age4, age5,
                                     master_slave, slave_count)

               values (current_period,ageing.depot,ageing.cust,slave_age.depot,slave_age.cust,
                       slave_age.balance, slave_age.unallocated, slave_age.last_pay, slave_age.last_paid,
                       slave_age.account_type, p_slave.suspend, slave_age.bad_debt,
                       slave_age.curr_bal, slave_age.per1_bal, slave_age.per2_bal,
                       slave_age.per3_bal, slave_age.per4_bal, slave_age.per5_bal, 'S', 0);

             end loop;
          end if;
       end loop customer_loop;

       err.ret_stat := 0;
       err.ret_string := 'Success';
       return err;

end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.vnrbld_custaged_at(p_date date, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 125 (class 1255 OID 78307)
-- Dependencies: 394 1230 5
-- Name: wrap_rebuild_at(character, integer, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION wrap_rebuild_at(pmode character, p_reverse integer, p_age_credits integer) RETURNS sp_status
    AS $$

declare pErrnum integer;
        pErrtext char(60);
        dparams_period dparams.period%type;
        pparams_period pparams.period%type;
        PagingDate date;
	err	sp_status;
begin
	
	err.ret_stat := 0;
	err.ret_string := 'Success';

    if Pmode = 'customer' then
	select period
	into dparams_period
	from dparams;

	select * from jp_period(dparams_period) into PagingDate;
	--PagingDate := jp_period(dparams_period); -- '01/'||month(dparams_period)||'/'||year(dparams_period);


	PagingDate := PagingDate + interval '1 month';
	PagingDate := PagingDate - interval '1 day';


        select * from  rbld_custaged_at(PagingDate,p_reverse,p_age_credits)
        into err.ret_stat,err.ret_string;



    end if;

    if Pmode = 'supplier' then
	select period
	into pparams_period
	from pparams;

	select * from jp_period(pparams_period) into PagingDate;
	--PagingDate := jp_period(pparams_period); --'01/'||month(pparams_period)||'/'||year(pparams_period);

	PagingDate := PagingDate + interval '1 month';
	PagingDate := PagingDate - interval '1 day';



        select * from rbld_suppaged_at(PagingDate,p_reverse,p_age_credits,'FULL',0)
     	into err.ret_stat,err.ret_string;


    end if;


    return err;


end;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.wrap_rebuild_at(pmode character, p_reverse integer, p_age_credits integer) OWNER TO postgres;

--
-- TOC entry 129 (class 1255 OID 78308)
-- Dependencies: 394 1230 5
-- Name: writeoff_bad_debt(integer, character, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION writeoff_bad_debt(p_depot integer, p_cod character, p_user integer) RETURNS sp_status
    AS $$

declare w_errnum 	integer;
       w_errtxt 	char(60);
       Plincount	smallint;
       ok		smallint;
       p_contract	chdetail.contract%type;
       p_source         source.cod%type;
       p_seq            integer;
       sled_serial      integer;
       p_shadow_ledgers integer;
       p_period	        dparams.period%type;
       p_debtors	nominal.cod%type;
       p_bad_debts	nominal.cod%type;
       p_vat_account    nominal.cod%type;
       p_val		cust.balance%type;
       p_vat		cust.balance%type;
       p_vat_chg	cust.balance%type;
       p_vat_rate	vat.rate%type;
       p_excl	        cust.balance%type;
       p_balance	cust.balance%type;
       p_unallocated	cust.balance%type;
       p_bad_debt       cust.bad_debt%type;
       p_goods          cust.balance%type;
       neg_goods        cust.balance%type;
       neg_vat          cust.balance%type;
       p_cc		depot.cost_centre%type;
       p_time		sledger.tim%type;
       w_home	        char(3);
       err		sp_status;
       chdetail_row	record;

begin

   select * from  get_home_currency()
   into w_home;

--   set debug file to 'wobd.out';
--   trace on;

   p_source := 'BD';

   select count(*)
   into Plincount
   from cust
   where cust.depot = p_depot
     and cust.cod   = p_cod;

   if Plincount is null then
      Plincount := 0;
   end if;

   if Plincount = 0 then
        err.ret_stat := 1; --there is an error
	err.ret_string := 'No such Customer On Database';

        return err;
   end if;

   ok := 1;

   for chdetail_row in
       select chdetail.contract
       --into p_contract
       from chdetail
       where cust = p_cod
	and depot = p_depot

   loop
       /*
       for chcount_row in
	    select count(*) as cnt
	    --into Plincount
	    from chdetail
	    where contract = chdetail_row.contract
              and chdetail.depot = p_depot
       loop
	    if chcount_row.cnt != 0 then
	        ok := 0;
	        exit;
	    end if;

       end loop;
       */


       select count(*) as cnt
       into Plincount
       from chdetail
       where contract = chdetail_row.contract
       and chdetail.depot = p_depot;

       if Plincount != 0 then
	   ok :=0;
           exit;
       end if;
       /*
       for cocount_row in
	    select count(*) as cnt
	    --into Plincount
	    from codetail
	    where contract = chdetail_row.contract
              and codetail.depot = p_depot
       loop
	    if cocount_row.cnt != 0 then
	        ok := 0;
	        exit;
	    end if;

       end loop;
	*/

       select count(*) as cnt
       into Plincount
       from codetail
       where contract = chdetail_row.contract
       and codetail.depot = p_depot;


       if Plincount != 0 then
          ok := 0;
          exit;
       end if;

       /*
       for cdcount_row in
	    select count(*) as cnt
	    --into Plincount
	    from cdisposal
	    where contract = chdetail_row.contract
              and disposal.depot = p_depot
       loop
	    if cdcount_row.cnt != 0 then
	        ok = 0;
	        exit;
	    end if;

       end loop;
       */

       select count(*) as cnt
       into Plincount
       from cdisposal
       where contract = chdetail_row.contract
       and disposal.depot = p_depot;

       if Plincount != 0 then
	   ok := 0;
           exit;
       end if;

    end loop;

    if ok = 0 then
        err.ret_stat := 1; --there is an error
	err.ret_string := 'There are contracts outstanding for this customer' ;
        return err;
    end if;

    select cust.bad_debt, cust.balance, cust.unallocated
    into p_bad_debt,p_balance,p_unallocated
    from cust
    where cust.cod = p_cod
      and cust.depot = p_depot;

    select sum(amount)
    into p_balance
    from sledger
    where cod = p_cod
    and   depot = p_depot;


    select sum(os)
    into p_unallocated
    from sledger
    where cod = p_cod
    and depot = p_depot
    and typ > 10;

    if p_balance = 0 then
       err.ret_stat :=  'Balance Must be Non Zero' ;
       err.ret_string := 1;
       return err;
    end if;

    if p_unallocated <> 0 then
       err.ret_stat :=  'Unallocated Cash Must Be Allocated First';
       err.ret_string := 1;
       return err;
    end if;

    if p_bad_debt = 'Y' then
       err.ret_stat := 'This is already a bad debt account';
       err.ret_string := 1;
       return err;
    end if;

    --all check out ok therefore write the account off.

    select dparams.period
    into p_period
    from dparams;

    --create batch header.

    select source.nxt
    into p_seq
    from source
    where source.cod = p_source;

    if not found then
       err.ret_stat := 'SOURCE "DP" not setup';
       err.ret_string := 1;
       return err;
    end if;

    update source
    set nxt = nxt + 1
    where cod = p_source;

    insert  into nlbatch values (
            p_source,
            p_seq,
            'S',
            p_period,
            current_date,
            p_depot,
            'I',        -- batch status incomplete
            null        -- presume no link to journals
        );

    --touchcust

    select sys_config.set
    into p_shadow_ledgers
    from sys_config
    where sys_config.num = 8;

    if p_shadow_ledgers  = 1 then
        insert into touched values (p_depot, p_cod);
    end if;

    update cust
    set bad_debt = 'Y',
    statement = 'N'
    where depot = p_depot
    and cod   = p_cod;

    p_val := 0 - p_balance;
    p_time := now();


    insert into sledger values (
	nextval('sledger_ser_seq'),
	p_depot,
	p_cod,
	current_date,
	p_period,
	16,
	p_val,
	0.00,
	p_depot,
	NULL,
	NULL,
	0.00,
   	p_source,
	p_seq,
	'Bad Debt W/O',
	NULL,
	NULL,
	p_user,
	NULL ,
	now(),
	NULL,
	NULL
        );

        select currval('sledger_ser_seq') into sled_serial;
	--select last_value
	--into sled_serial
	--from sledger_ser_seq;

	select debtors, bad_debts , vat
	into p_debtors, p_bad_debts, p_vat_account
	from nparams;

	if not found then
           err.ret_stat := 'NPARAMS not setup';
           err.ret_string := 1;
           return err;
        end if;

	select 	cost_centre
	into	p_cc
	from	depot
	where	depot.cod = p_depot;

	if not found then
	    err.ret_stat := 'Cannot get cost centre details '
	      , ' for depot ', p_depot;
            err.ret_stat := 1;
            return err;
	end if;

---I am presuming whatever vat.cod = 1 is

      select vat.rate
      into p_vat_rate
      from vat
      where vat.cod = 1;

      p_vat_chg  := p_vat_rate / 100;
      p_vat_chg  := p_vat_chg + 1.00;

      p_excl := p_balance / p_vat_chg;
      p_vat  := p_balance - p_excl;

      insert into nltrans values (
			nextval('nltrans_trans_no_seq'),
			p_vat_account,
			p_cc,
			NULL,
			current_date,
			p_source,
			p_seq,
			p_cod,
			p_vat,
			'Bad Debt W/O',
			NULL,
			'N',
			'Y',
			p_depot,
			NULL,	--cleared only for bank
			w_home,
			p_vat
		        );

        update sledger
        set vat = p_vat * -1,
            batch = p_seq
        where ser = sled_serial;

        p_goods := p_balance - p_vat;

	insert into nltrans values (
		nextval('nltrans_trans_no_seq'),
		p_bad_debts,
		p_cc,
		NULL,
		current_date,
		p_source,
		p_seq,
		p_cod,
		p_goods,
		'Bad Debt W/O',
		NULL,
		'N',
		'Y',
		p_depot,
		NULL,	--cleared only for bank
		w_home,
		p_goods
		);


	p_val := 0 - p_balance;

	select count(*)
        into Plincount
        from nltrans
	where source = p_source
  	and batch  = p_seq
  	and cod    = p_debtors
  	and location = p_depot;

	if Plincount = 0 then
		insert into nltrans values (
			nextval('nltrans_trans_no_seq'),
			p_debtors,
			NULL,
			NULL,
			current_date,
			p_source,
			p_seq,
			'',
			p_val,
			'Batch Total',
			NULL,
			'N',
			'Y',
			p_depot,
			NULL,	-- cleared only for bank
			w_home,
			p_val
		);

	else
		update nltrans
			set amount = amount + p_val,
			    currency_amount = currency_amount + p_val
			where source = p_source
	  		and batch    = p_seq
	  		and cod      = p_debtors;

	end if;

        neg_goods := (0 - p_goods);
        neg_vat   := (0 - p_vat);

        select  count(*)
        into Plincount
        from vatsum
        where cod = 1 --I am presuming vat code 1
          and period = p_period
          and trans  = 16
          and ledger = 'S';

        if Plincount is null then
           Plincount := 0;
        end if;

	if Plincount = 0 then
            insert into vatsum values (
                1,
                'S',
                16,
                neg_goods,
                neg_vat,
                p_period
            );
        else
            update vatsum
                set goods = goods + neg_goods,
                    vat   = vat   + neg_vat
                 where cod = 1
                  and period = p_period
                  and trans  = 16
                  and ledger = 'S';
        end if;

       --Complete Batches

        update nlbatch
        set stat = 'C'  -- complete
        where source = p_source
          and seq     = p_seq;

        err.ret_stat := 0;
        err.ret_string := 'Success';
        return err;
end ;
$$
    LANGUAGE plpgsql;


ALTER FUNCTION public.writeoff_bad_debt(p_depot integer, p_cod character, p_user integer) OWNER TO postgres;

--
-- TOC entry 2255 (class 1259 OID 78310)
-- Dependencies: 5
-- Name: access_depot; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE access_depot (
    true_or_false smallint
);


ALTER TABLE public.access_depot OWNER TO postgres;

--
-- TOC entry 5191 (class 0 OID 0)
-- Dependencies: 2255
-- Name: TABLE access_depot; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE access_depot IS 'Sam Hire functionality';


--
-- TOC entry 2256 (class 1259 OID 78312)
-- Dependencies: 5
-- Name: access_plant; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE access_plant (
    pdesc character(4)
);


ALTER TABLE public.access_plant OWNER TO postgres;

--
-- TOC entry 5192 (class 0 OID 0)
-- Dependencies: 2256
-- Name: TABLE access_plant; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE access_plant IS 'Sam Hire
';


--
-- TOC entry 2257 (class 1259 OID 78314)
-- Dependencies: 5
-- Name: account_groups; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE account_groups (
    master_depot integer NOT NULL,
    master_cust character(7) NOT NULL,
    slave_depot integer NOT NULL,
    slave_cust character(7) NOT NULL
);


ALTER TABLE public.account_groups OWNER TO postgres;

--
-- TOC entry 2258 (class 1259 OID 78316)
-- Dependencies: 5
-- Name: adj_open_ctl; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE adj_open_ctl (
    nsuk integer NOT NULL,
    ledger character(1) NOT NULL,
    period date,
    amount numeric(16,2)
);


ALTER TABLE public.adj_open_ctl OWNER TO postgres;

--
-- TOC entry 2259 (class 1259 OID 78318)
-- Dependencies: 2258 5
-- Name: adj_open_ctl_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE adj_open_ctl_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.adj_open_ctl_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5193 (class 0 OID 0)
-- Dependencies: 2259
-- Name: adj_open_ctl_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE adj_open_ctl_nsuk_seq OWNED BY adj_open_ctl.nsuk;


--
-- TOC entry 2260 (class 1259 OID 78320)
-- Dependencies: 5
-- Name: ageing_touched; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ageing_touched (
    depot integer,
    cust character(7)
);


ALTER TABLE public.ageing_touched OWNER TO postgres;

--
-- TOC entry 5194 (class 0 OID 0)
-- Dependencies: 2260
-- Name: TABLE ageing_touched; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE ageing_touched IS 'pOT DROP';


--
-- TOC entry 2261 (class 1259 OID 78322)
-- Dependencies: 5
-- Name: analysis_calendar; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE analysis_calendar (
    nsuk integer NOT NULL,
    ac_year integer NOT NULL,
    ac_week integer NOT NULL,
    ac_start_date date NOT NULL,
    ac_end_date date NOT NULL
);


ALTER TABLE public.analysis_calendar OWNER TO postgres;

--
-- TOC entry 2262 (class 1259 OID 78324)
-- Dependencies: 2261 5
-- Name: analysis_calendar_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE analysis_calendar_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.analysis_calendar_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5195 (class 0 OID 0)
-- Dependencies: 2262
-- Name: analysis_calendar_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE analysis_calendar_nsuk_seq OWNED BY analysis_calendar.nsuk;


--
-- TOC entry 2263 (class 1259 OID 78326)
-- Dependencies: 5
-- Name: archive_eft_list; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE archive_eft_list (
    tstamp timestamp without time zone,
    vol_number integer,
    file_number integer,
    transaction_type character(2),
    supplier_name character(20),
    bank_ac_num character(10),
    bank_sorting_code character(10),
    payment_amount character(11),
    eft_status character(1),
    user_reference character(18),
    date_list_created date
);


ALTER TABLE public.archive_eft_list OWNER TO postgres;

--
-- TOC entry 2264 (class 1259 OID 78328)
-- Dependencies: 5
-- Name: archive_excl_remit; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE archive_excl_remit (
    tstamp timestamp without time zone,
    ser integer,
    dat date,
    supplier character(7),
    typ integer,
    ref character(10),
    descr character(16)
);


ALTER TABLE public.archive_excl_remit OWNER TO postgres;

--
-- TOC entry 2265 (class 1259 OID 78330)
-- Dependencies: 5
-- Name: archive_sugg_remit; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE archive_sugg_remit (
    tstamp timestamp without time zone,
    ser integer,
    os numeric(16,0),
    dat date,
    supplier character(7),
    typ integer,
    ref character(10),
    cheque_ref character(10),
    amt numeric(16,2),
    disc numeric(16,2),
    operator integer
);


ALTER TABLE public.archive_sugg_remit OWNER TO postgres;

--
-- TOC entry 2266 (class 1259 OID 78332)
-- Dependencies: 5
-- Name: asset_reg; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE asset_reg (
    cod character(1) NOT NULL,
    description character(20),
    nominal_cost character(6),
    nominal_accum_depn character(6),
    nominal_depn_exp character(6),
    nominal_disposals character(6),
    nominal_plondi character(6),
    equipment_suspense character(6)
);


ALTER TABLE public.asset_reg OWNER TO postgres;

--
-- TOC entry 2267 (class 1259 OID 78334)
-- Dependencies: 5
-- Name: audit_cust; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_cust (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    depot integer,
    cod character(7),
    nam character(30),
    add1 character(30),
    add2 character(30),
    add3 character(30),
    add4 character(30),
    statement character(1),
    last_pay numeric(16,2),
    last_paid date,
    hire_disc numeric(4,2),
    sales_disc numeric(4,2),
    suspend character(1),
    unallocated numeric(16,2),
    balance numeric(16,2),
    order_req character(1),
    account_type character(1),
    notes integer,
    cr_limit numeric(16,2),
    price_cat character(1),
    policy character(8),
    calendar character(8),
    new_account character(1),
    tender character(8),
    bad_debt character(1),
    location integer,
    cc_status integer,
    credit_days integer,
    period date,
    dat date,
    operator integer,
    vat_exempt character(1),
    charge_fuel character(1),
    charge_deliv character(1),
    consolidate integer
);


ALTER TABLE public.audit_cust OWNER TO postgres;

--
-- TOC entry 5196 (class 0 OID 0)
-- Dependencies: 2267
-- Name: TABLE audit_cust; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE audit_cust IS 'Previous version of cust
';


--
-- TOC entry 2268 (class 1259 OID 78336)
-- Dependencies: 2267 5
-- Name: audit_cust_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_cust_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_cust_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5197 (class 0 OID 0)
-- Dependencies: 2268
-- Name: audit_cust_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_cust_audit_nsuk_seq OWNED BY audit_cust.audit_nsuk;


--
-- TOC entry 2269 (class 1259 OID 78338)
-- Dependencies: 5
-- Name: audit_cust_ext; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_cust_ext (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    depot integer,
    cod character(7),
    sales_rep integer,
    credit_controller integer,
    vatcode integer,
    vatnumber character(20),
    popup_note integer
);


ALTER TABLE public.audit_cust_ext OWNER TO postgres;

--
-- TOC entry 2270 (class 1259 OID 78340)
-- Dependencies: 2269 5
-- Name: audit_cust_ext_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_cust_ext_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_cust_ext_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5198 (class 0 OID 0)
-- Dependencies: 2270
-- Name: audit_cust_ext_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_cust_ext_audit_nsuk_seq OWNED BY audit_cust_ext.audit_nsuk;


--
-- TOC entry 2271 (class 1259 OID 78342)
-- Dependencies: 5
-- Name: audit_iddetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_iddetail (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    nsuk integer,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    goods numeric(16,2),
    vat numeric(16,2),
    qty integer,
    vcode integer,
    vrate numeric(4,2),
    plondi numeric(16,2),
    unit_sell numeric(16,2),
    nominal character(6),
    note integer,
    disposal integer
);


ALTER TABLE public.audit_iddetail OWNER TO postgres;

--
-- TOC entry 2272 (class 1259 OID 78344)
-- Dependencies: 2271 5
-- Name: audit_iddetail_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_iddetail_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_iddetail_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5199 (class 0 OID 0)
-- Dependencies: 2272
-- Name: audit_iddetail_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_iddetail_audit_nsuk_seq OWNED BY audit_iddetail.audit_nsuk;


--
-- TOC entry 2273 (class 1259 OID 78346)
-- Dependencies: 5
-- Name: audit_ihdetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_ihdetail (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    nsuk integer,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    typ character(1),
    plant_desc character(4),
    plant_ref character(6),
    qty integer,
    date_out date,
    date_in date,
    time_in time without time zone,
    rate numeric(8,2),
    charge_period character(1),
    dayes integer,
    vcode integer,
    vrate numeric(4,2),
    vat numeric(10,2),
    goods numeric(10,2),
    return_docket character(8),
    nominal character(6),
    min_applied character(1),
    discount numeric(4,2),
    note integer,
    time_charged numeric(8,2)
);


ALTER TABLE public.audit_ihdetail OWNER TO postgres;

--
-- TOC entry 2274 (class 1259 OID 78348)
-- Dependencies: 2273 5
-- Name: audit_ihdetail_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_ihdetail_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_ihdetail_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5200 (class 0 OID 0)
-- Dependencies: 2274
-- Name: audit_ihdetail_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_ihdetail_audit_nsuk_seq OWNED BY audit_ihdetail.audit_nsuk;


--
-- TOC entry 2275 (class 1259 OID 78350)
-- Dependencies: 5
-- Name: audit_ihead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_ihead (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    nsuk integer,
    printed character(1),
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    dat date,
    delivery_1 character(30),
    delivery_2 character(30),
    contract integer,
    manual integer,
    order_no character(16),
    site integer,
    tot numeric(16,2),
    vat numeric(16,2),
    goods numeric(16,2),
    period date,
    cc character(4),
    note integer,
    operator integer,
    typ character(1),
    return_docket integer,
    credited character(1),
    sales_rep integer
);


ALTER TABLE public.audit_ihead OWNER TO postgres;

--
-- TOC entry 2276 (class 1259 OID 78352)
-- Dependencies: 2275 5
-- Name: audit_ihead_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_ihead_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_ihead_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5201 (class 0 OID 0)
-- Dependencies: 2276
-- Name: audit_ihead_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_ihead_audit_nsuk_seq OWNED BY audit_ihead.audit_nsuk;


--
-- TOC entry 2277 (class 1259 OID 78354)
-- Dependencies: 5
-- Name: audit_iodetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_iodetail (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    nsuk integer,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    typ character(1),
    product character(7),
    qty numeric(10,2),
    price numeric(16,4),
    cost numeric(10,2),
    goods numeric(16,4),
    discount numeric(4,2),
    vcode integer,
    vrate numeric(4,2),
    vat numeric(16,4),
    nominal character(6),
    note integer,
    barcode character(13),
    updated integer,
    product_type integer
);


ALTER TABLE public.audit_iodetail OWNER TO postgres;

--
-- TOC entry 2278 (class 1259 OID 78356)
-- Dependencies: 2277 5
-- Name: audit_iodetail_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_iodetail_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_iodetail_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5202 (class 0 OID 0)
-- Dependencies: 2278
-- Name: audit_iodetail_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_iodetail_audit_nsuk_seq OWNED BY audit_iodetail.audit_nsuk;


--
-- TOC entry 2279 (class 1259 OID 78358)
-- Dependencies: 5
-- Name: audit_pccdetails; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_pccdetails (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    ser integer,
    details_ser integer,
    cc character(4),
    goods numeric(16,2)
);


ALTER TABLE public.audit_pccdetails OWNER TO postgres;

--
-- TOC entry 2280 (class 1259 OID 78360)
-- Dependencies: 2279 5
-- Name: audit_pccdetails_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_pccdetails_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_pccdetails_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5203 (class 0 OID 0)
-- Dependencies: 2280
-- Name: audit_pccdetails_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_pccdetails_audit_nsuk_seq OWNED BY audit_pccdetails.audit_nsuk;


--
-- TOC entry 2281 (class 1259 OID 78362)
-- Dependencies: 5
-- Name: audit_pdetails; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_pdetails (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    trans_ser integer,
    nominal character(6),
    goods numeric(16,2),
    vcode integer,
    vat numeric(16,2),
    ser integer
);


ALTER TABLE public.audit_pdetails OWNER TO postgres;

--
-- TOC entry 2282 (class 1259 OID 78364)
-- Dependencies: 2281 5
-- Name: audit_pdetails_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_pdetails_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_pdetails_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5204 (class 0 OID 0)
-- Dependencies: 2282
-- Name: audit_pdetails_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_pdetails_audit_nsuk_seq OWNED BY audit_pdetails.audit_nsuk;


--
-- TOC entry 2283 (class 1259 OID 78366)
-- Dependencies: 5
-- Name: audit_pledger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_pledger (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    supplier character(6),
    dat date,
    ser integer,
    period date,
    typ integer,
    amount numeric(16,2),
    os numeric(16,2),
    original numeric(16,2),
    vat numeric(16,2),
    ref character(10),
    your_ref character(10),
    conversion_rate numeric(9,7),
    currency character(2),
    locked character(1),
    source character(2),
    batch integer,
    payment_method integer,
    payment_processed integer,
    query_note_group integer,
    query_active integer,
    passed integer,
    payment_due_date date,
    po_invoice integer,
    bank_cleared integer
);


ALTER TABLE public.audit_pledger OWNER TO postgres;

--
-- TOC entry 2284 (class 1259 OID 78368)
-- Dependencies: 2283 5
-- Name: audit_pledger_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_pledger_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_pledger_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5205 (class 0 OID 0)
-- Dependencies: 2284
-- Name: audit_pledger_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_pledger_audit_nsuk_seq OWNED BY audit_pledger.audit_nsuk;


--
-- TOC entry 2285 (class 1259 OID 78370)
-- Dependencies: 5
-- Name: audit_pledgerext; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_pledgerext (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    pledger_ser integer NOT NULL,
    note integer,
    status integer
);


ALTER TABLE public.audit_pledgerext OWNER TO postgres;

--
-- TOC entry 2286 (class 1259 OID 78372)
-- Dependencies: 2285 5
-- Name: audit_pledgerext_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_pledgerext_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_pledgerext_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5206 (class 0 OID 0)
-- Dependencies: 2286
-- Name: audit_pledgerext_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_pledgerext_audit_nsuk_seq OWNED BY audit_pledgerext.audit_nsuk;


--
-- TOC entry 2287 (class 1259 OID 78374)
-- Dependencies: 5
-- Name: audit_roll; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_roll (
    nsuk integer NOT NULL,
    whenn timestamp without time zone,
    printer_number integer,
    operator_number integer,
    sltrans integer,
    detail_type integer,
    txt character(60)
);


ALTER TABLE public.audit_roll OWNER TO postgres;

--
-- TOC entry 5207 (class 0 OID 0)
-- Dependencies: 2287
-- Name: TABLE audit_roll; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE audit_roll IS 'Query Use';


--
-- TOC entry 2288 (class 1259 OID 78376)
-- Dependencies: 2287 5
-- Name: audit_roll_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_roll_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_roll_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5208 (class 0 OID 0)
-- Dependencies: 2288
-- Name: audit_roll_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_roll_nsuk_seq OWNED BY audit_roll.nsuk;


--
-- TOC entry 2289 (class 1259 OID 78378)
-- Dependencies: 5
-- Name: audit_sledger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE audit_sledger (
    audit_nsuk integer NOT NULL,
    audit_timestamp timestamp without time zone,
    audit_operator integer,
    audit_type integer,
    ser integer,
    depot integer,
    cod character(7),
    dat date,
    period date,
    typ integer,
    amount numeric(16,2),
    vat numeric(16,2),
    location integer,
    contract character(6),
    ref character(10),
    os numeric(16,2),
    source character(2),
    batch integer,
    description character(15),
    txt integer,
    lodgement integer,
    operator integer,
    invtype character(1),
    tim time without time zone,
    cash_nominal character(6),
    cash_invoice integer
);


ALTER TABLE public.audit_sledger OWNER TO postgres;

--
-- TOC entry 2290 (class 1259 OID 78380)
-- Dependencies: 2289 5
-- Name: audit_sledger_audit_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE audit_sledger_audit_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.audit_sledger_audit_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5209 (class 0 OID 0)
-- Dependencies: 2290
-- Name: audit_sledger_audit_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE audit_sledger_audit_nsuk_seq OWNED BY audit_sledger.audit_nsuk;


--
-- TOC entry 2291 (class 1259 OID 78382)
-- Dependencies: 5
-- Name: authors; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE authors (
    by_operator integer,
    for_operator integer,
    dat timestamp without time zone,
    depot integer,
    cust character(7),
    ref character(16)
);


ALTER TABLE public.authors OWNER TO postgres;

--
-- TOC entry 5210 (class 0 OID 0)
-- Dependencies: 2291
-- Name: TABLE authors; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE authors IS 'Autorisation for change of credit limit';


--
-- TOC entry 2292 (class 1259 OID 78384)
-- Dependencies: 5
-- Name: auto_lodgement; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE auto_lodgement (
    autolodge character(1)
);


ALTER TABLE public.auto_lodgement OWNER TO postgres;

--
-- TOC entry 5211 (class 0 OID 0)
-- Dependencies: 2292
-- Name: TABLE auto_lodgement; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE auto_lodgement IS 'Controls automatic lodgement of smartcard transactions - Query Grainne';


--
-- TOC entry 2293 (class 1259 OID 78386)
-- Dependencies: 5
-- Name: automatic_cheque; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE automatic_cheque (
    cheque_num integer,
    cheque_nature character(1),
    supplier_name character(20),
    bank_ac_num character(10),
    bank_sorting_code character(10),
    payment_amount character(10),
    cheque_status character(1),
    cheque_date character(10),
    cheque_ref character(10),
    supplier_cod character(6)
);


ALTER TABLE public.automatic_cheque OWNER TO postgres;

--
-- TOC entry 5212 (class 0 OID 0)
-- Dependencies: 2293
-- Name: TABLE automatic_cheque; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE automatic_cheque IS 'Part of Remittance - 4gl';


--
-- TOC entry 2294 (class 1259 OID 78388)
-- Dependencies: 5
-- Name: back_up; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE back_up (
    res integer,
    ref character(10),
    tim time without time zone
);


ALTER TABLE public.back_up OWNER TO postgres;

--
-- TOC entry 5213 (class 0 OID 0)
-- Dependencies: 2294
-- Name: TABLE back_up; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE back_up IS 'Backup History for backup_database.4gl';


--
-- TOC entry 2295 (class 1259 OID 78390)
-- Dependencies: 5
-- Name: bank_accounts; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE bank_accounts (
    cod character(6) NOT NULL,
    currency_id character(3) NOT NULL
);


ALTER TABLE public.bank_accounts OWNER TO postgres;

--
-- TOC entry 2296 (class 1259 OID 78392)
-- Dependencies: 2253 5
-- Name: barcode_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE barcode_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.barcode_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5214 (class 0 OID 0)
-- Dependencies: 2296
-- Name: barcode_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE barcode_nsuk_seq OWNED BY barcode.nsuk;


--
-- TOC entry 2297 (class 1259 OID 78394)
-- Dependencies: 5
-- Name: bin_location; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE bin_location (
    nsuk integer NOT NULL,
    location integer,
    parent integer,
    location_tag character(10) NOT NULL,
    note character(200)
);


ALTER TABLE public.bin_location OWNER TO postgres;

--
-- TOC entry 2298 (class 1259 OID 78396)
-- Dependencies: 2297 5
-- Name: bin_location_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE bin_location_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.bin_location_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5215 (class 0 OID 0)
-- Dependencies: 2298
-- Name: bin_location_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE bin_location_nsuk_seq OWNED BY bin_location.nsuk;


--
-- TOC entry 2299 (class 1259 OID 78398)
-- Dependencies: 5
-- Name: bottleneck; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE bottleneck (
    lock_number integer
);


ALTER TABLE public.bottleneck OWNER TO postgres;

--
-- TOC entry 2300 (class 1259 OID 78400)
-- Dependencies: 5
-- Name: c_quote; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE c_quote (
    cod character(8),
    description character(20),
    notes integer,
    allow_disc character(1),
    cust character(7),
    depot integer,
    operator integer,
    dat date,
    quote_number integer,
    location integer
);


ALTER TABLE public.c_quote OWNER TO postgres;

--
-- TOC entry 5216 (class 0 OID 0)
-- Dependencies: 2300
-- Name: TABLE c_quote; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE c_quote IS 'Old quotations in 4gl - now redundant - pot drop';


--
-- TOC entry 2301 (class 1259 OID 78402)
-- Dependencies: 5
-- Name: calc_chead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE calc_chead (
    contract integer,
    location integer,
    cust character(7),
    depot integer,
    site integer,
    order_no character(16),
    dat date,
    tim time without time zone,
    deposit numeric(16,2),
    tender character(8),
    manual_ref integer,
    policy character(6),
    calendar character(6),
    operator integer,
    invoiced_to date,
    note integer,
    hire_disc numeric(4,2) NOT NULL,
    sales_disc numeric(4,2) NOT NULL,
    quotation character(8)
);


ALTER TABLE public.calc_chead OWNER TO postgres;

--
-- TOC entry 5217 (class 0 OID 0)
-- Dependencies: 2301
-- Name: TABLE calc_chead; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE calc_chead IS 'Used in calc program on 4gl
';


--
-- TOC entry 2302 (class 1259 OID 78404)
-- Dependencies: 5
-- Name: calendar; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE calendar (
    nam character(6) NOT NULL,
    dat date NOT NULL,
    typ character(1)
);


ALTER TABLE public.calendar OWNER TO postgres;

--
-- TOC entry 2303 (class 1259 OID 78406)
-- Dependencies: 3463 5
-- Name: call_queue; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE call_queue (
    nsuk integer NOT NULL,
    calling_date date NOT NULL,
    team_leader_id integer NOT NULL,
    called_by_id integer,
    time_last_called timestamp without time zone,
    call_success character(1) DEFAULT 'N'::bpchar NOT NULL,
    notes character varying(255)
);


ALTER TABLE public.call_queue OWNER TO postgres;

--
-- TOC entry 2304 (class 1259 OID 78409)
-- Dependencies: 2303 5
-- Name: call_queue_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE call_queue_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.call_queue_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5218 (class 0 OID 0)
-- Dependencies: 2304
-- Name: call_queue_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE call_queue_nsuk_seq OWNED BY call_queue.nsuk;


--
-- TOC entry 2305 (class 1259 OID 78411)
-- Dependencies: 5
-- Name: cash; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cash (
    ser integer NOT NULL,
    location integer,
    dat date,
    tim time without time zone,
    amount numeric(16,2),
    nominal character(6),
    operator integer,
    description character(20),
    cash_ac character(6),
    lodgement integer
);


ALTER TABLE public.cash OWNER TO postgres;

--
-- TOC entry 5219 (class 0 OID 0)
-- Dependencies: 2305
-- Name: TABLE cash; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE cash IS 'Cash Adjustments';


--
-- TOC entry 2306 (class 1259 OID 78413)
-- Dependencies: 3466 3467 3468 5
-- Name: cust; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust (
    depot integer NOT NULL,
    cod character(7) NOT NULL,
    nam character(30),
    add1 character(30),
    add2 character(30),
    add3 character(30),
    add4 character(30),
    statement character(1),
    last_pay numeric(16,2),
    last_paid date,
    hire_disc numeric(4,2) NOT NULL,
    sales_disc numeric(4,2) NOT NULL,
    suspend character(1),
    unallocated numeric(16,2),
    balance numeric(16,2),
    order_req character(1),
    account_type character(1),
    notes integer,
    cr_limit numeric(16,2),
    price_cat character(1),
    policy character(8),
    calendar character(8),
    new_account character(1),
    tender character(8),
    bad_debt character(1),
    location integer,
    cc_status integer,
    credit_days integer,
    period date,
    dat date,
    operator integer,
    vat_exempt character(1),
    charge_fuel character(1),
    charge_deliv character(1),
    consolidate integer,
    staff integer DEFAULT 0 NOT NULL,
    cust_status_id integer,
    statement_form integer DEFAULT 0 NOT NULL,
    include_images character(1) DEFAULT 'Y'::bpchar NOT NULL
);
ALTER TABLE ONLY cust ALTER COLUMN include_images SET STORAGE PLAIN;


ALTER TABLE public.cust OWNER TO postgres;

--
-- TOC entry 2307 (class 1259 OID 78418)
-- Dependencies: 5
-- Name: depot; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE depot (
    cod integer NOT NULL,
    descr character(20),
    invoice_prefix character(2),
    cost_centre character(4),
    add1 character(30),
    add2 character(30),
    add3 character(30),
    add4 character(30),
    cash_invoice_no integer,
    contract_no integer,
    return_no integer,
    delivery_no integer,
    exchange_no integer,
    adjustment_no integer,
    remote character(1),
    remote_prefix character(4),
    from_seq integer,
    to_seq integer,
    remote_machine character(1),
    acdepot integer NOT NULL,
    invoice_no integer,
    crnote_no integer,
    transfer_no integer,
    default_cash character(7),
    phone character(15),
    fax character(15),
    dev_name character(14),
    unload_info character(1)
);


ALTER TABLE public.depot OWNER TO postgres;

--
-- TOC entry 2308 (class 1259 OID 78420)
-- Dependencies: 5
-- Name: dparams; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE dparams (
    period date,
    cur_desc character(6),
    p1_desc character(6),
    p2_desc character(6),
    p3_desc character(6),
    p4_desc character(6),
    p5_desc character(6),
    life integer,
    boy_period date,
    credit_days integer,
    lodgement integer,
    allocation integer,
    stat_msg character(60),
    archive_life integer,
    vat_exempt_code integer
);


ALTER TABLE public.dparams OWNER TO postgres;

--
-- TOC entry 2309 (class 1259 OID 78422)
-- Dependencies: 3157 5
-- Name: cash_collection; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW cash_collection AS
    SELECT x0.depot, x1.descr AS name, x2.account_type, (0.00 - sum(x0.amount)) AS amount FROM sledger x0, depot x1, cust x2, dparams x3 WHERE ((((((x0.typ = 13) AND (x0.cod IS NOT NULL)) AND (x0.period = x3.period)) AND (x0.depot = x2.depot)) AND (x0.cod = x2.cod)) AND (x0.depot = x1.cod)) GROUP BY x0.depot, x1.descr, x2.account_type;


ALTER TABLE public.cash_collection OWNER TO postgres;

--
-- TOC entry 2310 (class 1259 OID 78426)
-- Dependencies: 2305 5
-- Name: cash_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cash_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cash_ser_seq OWNER TO postgres;

--
-- TOC entry 5220 (class 0 OID 0)
-- Dependencies: 2310
-- Name: cash_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cash_ser_seq OWNED BY cash.ser;


--
-- TOC entry 2311 (class 1259 OID 78428)
-- Dependencies: 5
-- Name: category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE category (
    cod integer NOT NULL,
    description character(20)
);


ALTER TABLE public.category OWNER TO postgres;

--
-- TOC entry 5221 (class 0 OID 0)
-- Dependencies: 2311
-- Name: TABLE category; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE category IS 'Potential drop
';


--
-- TOC entry 2312 (class 1259 OID 78430)
-- Dependencies: 5
-- Name: category_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE category_type (
    nsuk integer NOT NULL,
    description character(30)
);


ALTER TABLE public.category_type OWNER TO postgres;

--
-- TOC entry 5222 (class 0 OID 0)
-- Dependencies: 2312
-- Name: TABLE category_type; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE category_type IS 'Pot drop';


--
-- TOC entry 2313 (class 1259 OID 78432)
-- Dependencies: 2312 5
-- Name: category_type_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE category_type_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.category_type_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5223 (class 0 OID 0)
-- Dependencies: 2313
-- Name: category_type_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE category_type_nsuk_seq OWNED BY category_type.nsuk;


--
-- TOC entry 2314 (class 1259 OID 78434)
-- Dependencies: 5
-- Name: cc_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cc_detail (
    nsuk integer NOT NULL,
    cc_head integer NOT NULL,
    parked_on integer NOT NULL,
    target_nsuk integer,
    product_type integer,
    qty numeric(16,2) NOT NULL,
    qty_absorbed numeric(16,2) NOT NULL,
    claim_value numeric(16,2) NOT NULL,
    claim_absorbed numeric(16,2) NOT NULL,
    complete integer NOT NULL,
    note integer
);


ALTER TABLE public.cc_detail OWNER TO postgres;

--
-- TOC entry 2315 (class 1259 OID 78436)
-- Dependencies: 2314 5
-- Name: cc_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cc_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cc_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5224 (class 0 OID 0)
-- Dependencies: 2315
-- Name: cc_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cc_detail_nsuk_seq OWNED BY cc_detail.nsuk;


--
-- TOC entry 2316 (class 1259 OID 78438)
-- Dependencies: 5
-- Name: cc_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cc_head (
    nsuk integer NOT NULL,
    claim_number integer NOT NULL,
    supplier character(6) NOT NULL,
    date_entered date NOT NULL,
    entered_by integer,
    status integer,
    location integer NOT NULL,
    note integer,
    internal_note integer,
    rti_reference character(20),
    lock_count integer NOT NULL,
    completed integer NOT NULL,
    contact integer,
    claim_type integer NOT NULL,
    goods numeric(16,2),
    vat numeric(16,2),
    total numeric(16,2)
);


ALTER TABLE public.cc_head OWNER TO postgres;

--
-- TOC entry 2317 (class 1259 OID 78440)
-- Dependencies: 2316 5
-- Name: cc_head_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cc_head_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cc_head_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5225 (class 0 OID 0)
-- Dependencies: 2317
-- Name: cc_head_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cc_head_nsuk_seq OWNED BY cc_head.nsuk;


--
-- TOC entry 2318 (class 1259 OID 78442)
-- Dependencies: 5
-- Name: cc_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cc_status (
    nsuk integer NOT NULL,
    description character(20) NOT NULL
);


ALTER TABLE public.cc_status OWNER TO postgres;

--
-- TOC entry 2319 (class 1259 OID 78444)
-- Dependencies: 5
-- Name: ccentre; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ccentre (
    cod character(4) NOT NULL,
    description character(30)
);


ALTER TABLE public.ccentre OWNER TO postgres;

--
-- TOC entry 2320 (class 1259 OID 78446)
-- Dependencies: 5
-- Name: cdisposal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cdisposal (
    contract integer,
    lin integer,
    pdesc character(4),
    reg character(6),
    qty integer,
    unit_sell numeric(16,2),
    vcode integer,
    location integer,
    returned integer,
    discount numeric(4,2),
    operator integer,
    notes integer
);


ALTER TABLE public.cdisposal OWNER TO postgres;

--
-- TOC entry 2321 (class 1259 OID 78448)
-- Dependencies: 5
-- Name: charge_lines; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE charge_lines (
    nsuk integer NOT NULL,
    pricelist integer,
    contract_line integer,
    date_from date,
    date_to date,
    period character(1),
    pdesc character(4),
    package character(4),
    min_charge numeric(16,2),
    hr numeric(16,2),
    half_day numeric(16,2),
    same numeric(16,2),
    day1 numeric(16,2),
    day2 numeric(16,2),
    day3 numeric(16,2),
    day4 numeric(16,2),
    day5 numeric(16,2),
    day6 numeric(16,2),
    week numeric(16,2),
    month numeric(16,2),
    weekend numeric(16,2)
);


ALTER TABLE public.charge_lines OWNER TO postgres;

--
-- TOC entry 5226 (class 0 OID 0)
-- Dependencies: 2321
-- Name: TABLE charge_lines; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE charge_lines IS 'Used in quotations, q_renatl links to it, o_rental links to it';


--
-- TOC entry 2322 (class 1259 OID 78450)
-- Dependencies: 2321 5
-- Name: charge_lines_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE charge_lines_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.charge_lines_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5227 (class 0 OID 0)
-- Dependencies: 2322
-- Name: charge_lines_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE charge_lines_nsuk_seq OWNED BY charge_lines.nsuk;


--
-- TOC entry 2323 (class 1259 OID 78452)
-- Dependencies: 5
-- Name: charge_rate; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE charge_rate (
    nsuk integer NOT NULL,
    pricelist integer NOT NULL,
    pdesc character(4) NOT NULL,
    package character(4),
    min_charge numeric(16,2),
    hr numeric(16,2),
    half_day numeric(16,2),
    same numeric(16,2),
    day1 numeric(16,2),
    day2 numeric(16,2),
    day3 numeric(16,2),
    day4 numeric(16,2),
    day5 numeric(16,2),
    day6 numeric(16,2),
    week numeric(16,2),
    month numeric(16,2),
    weekend numeric(16,2)
);


ALTER TABLE public.charge_rate OWNER TO postgres;

--
-- TOC entry 5228 (class 0 OID 0)
-- Dependencies: 2323
-- Name: TABLE charge_rate; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE charge_rate IS 'Pot drop';


--
-- TOC entry 2324 (class 1259 OID 78454)
-- Dependencies: 2323 5
-- Name: charge_rate_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE charge_rate_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.charge_rate_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5229 (class 0 OID 0)
-- Dependencies: 2324
-- Name: charge_rate_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE charge_rate_nsuk_seq OWNED BY charge_rate.nsuk;


--
-- TOC entry 2325 (class 1259 OID 78456)
-- Dependencies: 5
-- Name: chdetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE chdetail (
    contract integer NOT NULL,
    lin integer NOT NULL,
    package_name character(4),
    package_seq integer,
    pdesc character(4) NOT NULL,
    reg character(6),
    date_from date,
    date_started date,
    time_out time without time zone,
    vcode integer,
    charge_period character(1),
    date_due_back date,
    already_charged integer,
    credit integer,
    already_invoiced numeric(16,2),
    discount numeric(4,2) NOT NULL,
    pricetype character(8),
    same numeric(16,2) NOT NULL,
    day1 numeric(16,2) NOT NULL,
    day2 numeric(16,2) NOT NULL,
    day3 numeric(16,2) NOT NULL,
    day4 numeric(16,2) NOT NULL,
    day5 numeric(16,2) NOT NULL,
    day6 numeric(16,2) NOT NULL,
    week numeric(16,2) NOT NULL,
    hr numeric(16,2) NOT NULL,
    min_charge numeric(16,2) NOT NULL,
    qty integer NOT NULL,
    days_on_hire integer,
    location integer NOT NULL,
    depot integer,
    cust character(7),
    picked integer,
    operator integer,
    notes integer,
    half_day numeric(16,2) NOT NULL
);


ALTER TABLE public.chdetail OWNER TO postgres;

--
-- TOC entry 2326 (class 1259 OID 78458)
-- Dependencies: 3474 3475 3476 5
-- Name: chdetailext; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE chdetailext (
    location integer NOT NULL,
    contract integer NOT NULL,
    lin integer NOT NULL,
    date_in timestamp without time zone,
    status integer,
    charge_line integer,
    length numeric(16,4) DEFAULT 1.0000,
    width numeric(16,4) DEFAULT 1.0000,
    height numeric(16,4) DEFAULT 1
);


ALTER TABLE public.chdetailext OWNER TO postgres;

--
-- TOC entry 2327 (class 1259 OID 78463)
-- Dependencies: 5
-- Name: chead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE chead (
    contract integer NOT NULL,
    location integer NOT NULL,
    cust character(7),
    depot integer,
    site integer,
    order_no character(16),
    dat date,
    tim time without time zone,
    deposit numeric(16,2),
    tender character(8),
    manual_ref integer,
    policy character(6),
    calendar character(6),
    operator smallint,
    invoiced_to date,
    note integer,
    hire_disc numeric(4,2) NOT NULL,
    sales_disc numeric(4,2) NOT NULL,
    quotation character(8)
);


ALTER TABLE public.chead OWNER TO postgres;

--
-- TOC entry 2328 (class 1259 OID 78465)
-- Dependencies: 5
-- Name: cheque_hist_det; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cheque_hist_det (
    nsuk integer NOT NULL,
    cheque_number integer,
    cheque_history_id integer,
    printed_on date,
    printed_by integer,
    cheque_status integer
);


ALTER TABLE public.cheque_hist_det OWNER TO postgres;

--
-- TOC entry 2329 (class 1259 OID 78467)
-- Dependencies: 2328 5
-- Name: cheque_hist_det_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cheque_hist_det_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cheque_hist_det_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5230 (class 0 OID 0)
-- Dependencies: 2329
-- Name: cheque_hist_det_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cheque_hist_det_nsuk_seq OWNED BY cheque_hist_det.nsuk;


--
-- TOC entry 2330 (class 1259 OID 78469)
-- Dependencies: 5
-- Name: cheque_history; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cheque_history (
    nsuk integer NOT NULL,
    pledger_id integer,
    print_count integer
);


ALTER TABLE public.cheque_history OWNER TO postgres;

--
-- TOC entry 2331 (class 1259 OID 78471)
-- Dependencies: 2330 5
-- Name: cheque_history_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cheque_history_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cheque_history_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5231 (class 0 OID 0)
-- Dependencies: 2331
-- Name: cheque_history_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cheque_history_nsuk_seq OWNED BY cheque_history.nsuk;


--
-- TOC entry 2332 (class 1259 OID 78473)
-- Dependencies: 5
-- Name: cheque_print_ctl; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cheque_print_ctl (
    nsuk integer NOT NULL,
    next_cheque_number integer
);


ALTER TABLE public.cheque_print_ctl OWNER TO postgres;

--
-- TOC entry 2333 (class 1259 OID 78475)
-- Dependencies: 2332 5
-- Name: cheque_print_ctl_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cheque_print_ctl_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cheque_print_ctl_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5232 (class 0 OID 0)
-- Dependencies: 2333
-- Name: cheque_print_ctl_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cheque_print_ctl_nsuk_seq OWNED BY cheque_print_ctl.nsuk;


--
-- TOC entry 2334 (class 1259 OID 78477)
-- Dependencies: 5
-- Name: cheque_run; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cheque_run (
    run_no integer NOT NULL,
    dat date,
    operator integer,
    complete character(1)
);


ALTER TABLE public.cheque_run OWNER TO postgres;

--
-- TOC entry 5233 (class 0 OID 0)
-- Dependencies: 2334
-- Name: TABLE cheque_run; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE cheque_run IS 'Old Remittances ?
';


--
-- TOC entry 2335 (class 1259 OID 78479)
-- Dependencies: 2334 5
-- Name: cheque_run_run_no_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cheque_run_run_no_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cheque_run_run_no_seq OWNER TO postgres;

--
-- TOC entry 5234 (class 0 OID 0)
-- Dependencies: 2335
-- Name: cheque_run_run_no_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cheque_run_run_no_seq OWNED BY cheque_run.run_no;


--
-- TOC entry 2336 (class 1259 OID 78481)
-- Dependencies: 5
-- Name: cheque_xref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cheque_xref (
    cheque integer,
    status integer,
    ledger integer
);


ALTER TABLE public.cheque_xref OWNER TO postgres;

--
-- TOC entry 2337 (class 1259 OID 78483)
-- Dependencies: 5
-- Name: cn_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cn_detail (
    nsuk integer NOT NULL,
    cn_head integer NOT NULL,
    pi_detail integer,
    cc_detail integer,
    product_type integer NOT NULL,
    qty_invoiced numeric(16,2) NOT NULL,
    vat_code integer,
    vat_rate numeric(4,2),
    invoiced_cost numeric(16,4) NOT NULL,
    lock_count integer NOT NULL,
    product_class character(1) NOT NULL
);


ALTER TABLE public.cn_detail OWNER TO postgres;

--
-- TOC entry 2338 (class 1259 OID 78485)
-- Dependencies: 2337 5
-- Name: cn_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cn_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cn_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5235 (class 0 OID 0)
-- Dependencies: 2338
-- Name: cn_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cn_detail_nsuk_seq OWNED BY cn_detail.nsuk;


--
-- TOC entry 2339 (class 1259 OID 78487)
-- Dependencies: 5
-- Name: cn_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cn_head (
    nsuk integer NOT NULL,
    date_entered date NOT NULL,
    supplier character(6) NOT NULL,
    entered_by integer NOT NULL,
    status integer NOT NULL,
    notes integer,
    supplier_ref character(20),
    our_ref character(20) NOT NULL,
    pledger_ser integer,
    goods numeric(16,2),
    vat numeric(16,2),
    total numeric(16,2)
);


ALTER TABLE public.cn_head OWNER TO postgres;

--
-- TOC entry 2340 (class 1259 OID 78489)
-- Dependencies: 2339 5
-- Name: cn_head_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cn_head_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cn_head_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5236 (class 0 OID 0)
-- Dependencies: 2340
-- Name: cn_head_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cn_head_nsuk_seq OWNED BY cn_head.nsuk;


--
-- TOC entry 2341 (class 1259 OID 78491)
-- Dependencies: 5
-- Name: cn_pid_xref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cn_pid_xref (
    nsuk integer NOT NULL,
    pidetail integer,
    ccdetail integer,
    cndetail integer
);


ALTER TABLE public.cn_pid_xref OWNER TO postgres;

--
-- TOC entry 2342 (class 1259 OID 78493)
-- Dependencies: 2341 5
-- Name: cn_pid_xref_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cn_pid_xref_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cn_pid_xref_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5237 (class 0 OID 0)
-- Dependencies: 2342
-- Name: cn_pid_xref_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cn_pid_xref_nsuk_seq OWNED BY cn_pid_xref.nsuk;


--
-- TOC entry 2343 (class 1259 OID 78495)
-- Dependencies: 5
-- Name: cod_allocation; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cod_allocation (
    nsuk integer NOT NULL,
    location integer NOT NULL,
    contract integer NOT NULL,
    lin integer NOT NULL,
    gidetail integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    pt_serial integer
);


ALTER TABLE public.cod_allocation OWNER TO postgres;

--
-- TOC entry 2344 (class 1259 OID 78497)
-- Dependencies: 2343 5
-- Name: cod_allocation_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cod_allocation_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cod_allocation_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5238 (class 0 OID 0)
-- Dependencies: 2344
-- Name: cod_allocation_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cod_allocation_nsuk_seq OWNED BY cod_allocation.nsuk;


--
-- TOC entry 2345 (class 1259 OID 78499)
-- Dependencies: 5
-- Name: codetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE codetail (
    contract integer NOT NULL,
    lin integer NOT NULL,
    product character(7),
    unit_sell numeric(16,4),
    vcode integer,
    qty numeric(10,2) NOT NULL,
    discount numeric(4,2) NOT NULL,
    unit_cost numeric(16,2),
    location integer NOT NULL,
    invoice_when character(1),
    notes integer,
    picked character(1),
    operator integer,
    quotation character(8),
    product_type integer,
    barcode character(13)
);


ALTER TABLE public.codetail OWNER TO postgres;

--
-- TOC entry 2346 (class 1259 OID 78501)
-- Dependencies: 5
-- Name: company; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE company (
    nam character(30),
    add1 character(30),
    add2 character(30),
    add3 character(30),
    add4 character(30),
    phone character(15),
    fax character(15),
    vat character(20)
);


ALTER TABLE public.company OWNER TO postgres;

--
-- TOC entry 2347 (class 1259 OID 78503)
-- Dependencies: 5
-- Name: con_except; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE con_except (
    location integer,
    contract integer,
    period date,
    credit_location integer
);


ALTER TABLE public.con_except OWNER TO postgres;

--
-- TOC entry 5239 (class 0 OID 0)
-- Dependencies: 2347
-- Name: TABLE con_except; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE con_except IS 'Sam Hire stuff
';


--
-- TOC entry 2348 (class 1259 OID 78505)
-- Dependencies: 5
-- Name: con_notes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE con_notes (
    contract integer NOT NULL,
    deliv_1 character(30),
    deliv_2 character(30)
);


ALTER TABLE public.con_notes OWNER TO postgres;

--
-- TOC entry 5240 (class 0 OID 0)
-- Dependencies: 2348
-- Name: TABLE con_notes; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE con_notes IS 'Take on Utility temp table';


--
-- TOC entry 2349 (class 1259 OID 78507)
-- Dependencies: 5
-- Name: contact; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE contact (
    depot integer,
    cod character(7),
    typ character(1),
    nam character(20),
    phone character(30),
    fax character(30),
    greeting character(10),
    nsuk integer NOT NULL,
    email character(90),
    pdf character(1),
    csv character(1),
    xsl character(1),
    mdb character(1),
    plantlist integer NOT NULL
);


ALTER TABLE public.contact OWNER TO postgres;

--
-- TOC entry 2350 (class 1259 OID 78509)
-- Dependencies: 2349 5
-- Name: contact_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE contact_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.contact_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5241 (class 0 OID 0)
-- Dependencies: 2350
-- Name: contact_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE contact_nsuk_seq OWNED BY contact.nsuk;


--
-- TOC entry 2351 (class 1259 OID 78511)
-- Dependencies: 5
-- Name: contact_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE contact_type (
    cod character(1) NOT NULL,
    description character(10)
);


ALTER TABLE public.contact_type OWNER TO postgres;

--
-- TOC entry 2352 (class 1259 OID 78513)
-- Dependencies: 5
-- Name: contract_suspend; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE contract_suspend (
    ser integer NOT NULL,
    depot integer,
    contract integer,
    cust character(7),
    suspended character(1),
    dat date,
    operator integer
);


ALTER TABLE public.contract_suspend OWNER TO postgres;

--
-- TOC entry 2353 (class 1259 OID 78515)
-- Dependencies: 2352 5
-- Name: contract_suspend_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE contract_suspend_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.contract_suspend_ser_seq OWNER TO postgres;

--
-- TOC entry 5242 (class 0 OID 0)
-- Dependencies: 2353
-- Name: contract_suspend_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE contract_suspend_ser_seq OWNED BY contract_suspend.ser;


--
-- TOC entry 2354 (class 1259 OID 78517)
-- Dependencies: 5
-- Name: control; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE control (
    copy_to_test integer,
    xfer_no_in integer,
    when_in timestamp without time zone,
    xfer_no_out integer,
    when_out timestamp without time zone,
    release_no numeric(5,2)
);


ALTER TABLE public.control OWNER TO postgres;

--
-- TOC entry 5243 (class 0 OID 0)
-- Dependencies: 2354
-- Name: TABLE control; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE control IS 'Remote depots';


--
-- TOC entry 2355 (class 1259 OID 78519)
-- Dependencies: 5
-- Name: conv_customer; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE conv_customer (
    old_code character varying(40) NOT NULL,
    new_code character varying(7) NOT NULL
);


ALTER TABLE public.conv_customer OWNER TO postgres;

--
-- TOC entry 5244 (class 0 OID 0)
-- Dependencies: 2355
-- Name: TABLE conv_customer; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE conv_customer IS 'Used by the import wizard';


--
-- TOC entry 2356 (class 1259 OID 78521)
-- Dependencies: 5
-- Name: conv_supplier; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE conv_supplier (
    old_code character(40),
    new_code character(6)
);


ALTER TABLE public.conv_supplier OWNER TO postgres;

--
-- TOC entry 5245 (class 0 OID 0)
-- Dependencies: 2356
-- Name: TABLE conv_supplier; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE conv_supplier IS 'Used by Import Wizard';


--
-- TOC entry 2357 (class 1259 OID 78523)
-- Dependencies: 5
-- Name: cost_price; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cost_price (
    nsuk integer NOT NULL,
    pt_supplier integer NOT NULL,
    effective_date date NOT NULL,
    unit_net_cost numeric(16,4) NOT NULL,
    currency_code character(2),
    currency_unc numeric(16,2)
);


ALTER TABLE public.cost_price OWNER TO postgres;

--
-- TOC entry 5246 (class 0 OID 0)
-- Dependencies: 2357
-- Name: TABLE cost_price; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE cost_price IS 'Pot drop
';


--
-- TOC entry 2358 (class 1259 OID 78525)
-- Dependencies: 2357 5
-- Name: cost_price_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cost_price_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cost_price_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5247 (class 0 OID 0)
-- Dependencies: 2358
-- Name: cost_price_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cost_price_nsuk_seq OWNED BY cost_price.nsuk;


--
-- TOC entry 2359 (class 1259 OID 78527)
-- Dependencies: 5
-- Name: cp_details; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cp_details (
    run_no integer,
    pl_serial integer,
    cheque_no integer,
    cancelled character(1)
);


ALTER TABLE public.cp_details OWNER TO postgres;

--
-- TOC entry 5248 (class 0 OID 0)
-- Dependencies: 2359
-- Name: TABLE cp_details; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE cp_details IS 'Old Remittance - print cheques';


--
-- TOC entry 2360 (class 1259 OID 78529)
-- Dependencies: 5
-- Name: cr_activity; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cr_activity (
    period date,
    ac_location integer,
    ac_code character(7),
    ref integer,
    depot integer,
    act_typ character(2)
);


ALTER TABLE public.cr_activity OWNER TO postgres;

--
-- TOC entry 2361 (class 1259 OID 78531)
-- Dependencies: 5
-- Name: cr_typ; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cr_typ (
    typ character(2) NOT NULL,
    description character(30)
);


ALTER TABLE public.cr_typ OWNER TO postgres;

--
-- TOC entry 2362 (class 1259 OID 78533)
-- Dependencies: 5
-- Name: crates; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE crates (
    product character(7),
    quotation character(8),
    package character(4),
    sell_price numeric(16,2),
    cost_price numeric(16,2),
    qty integer,
    qty_bought integer,
    quote_number integer,
    location integer,
    plu character(7)
);


ALTER TABLE public.crates OWNER TO postgres;

--
-- TOC entry 5249 (class 0 OID 0)
-- Dependencies: 2362
-- Name: TABLE crates; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE crates IS 'Redundant - Pot drop';


--
-- TOC entry 2363 (class 1259 OID 78535)
-- Dependencies: 5
-- Name: credit_hist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE credit_hist (
    depot integer,
    cust character(7),
    dat date,
    balance numeric(16,2),
    overdue numeric(16,2),
    overdue_days integer,
    status integer,
    operator integer
);


ALTER TABLE public.credit_hist OWNER TO postgres;

--
-- TOC entry 5250 (class 0 OID 0)
-- Dependencies: 2363
-- Name: TABLE credit_hist; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE credit_hist IS 'Credit Control stuff';


--
-- TOC entry 3082 (class 1259 OID 445953)
-- Dependencies: 5
-- Name: crnote_reason; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE crnote_reason (
    id integer NOT NULL,
    description character(30),
    active character(1)
);


ALTER TABLE public.crnote_reason OWNER TO postgres;

--
-- TOC entry 3081 (class 1259 OID 445951)
-- Dependencies: 3082 5
-- Name: crnote_reason_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE crnote_reason_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.crnote_reason_id_seq OWNER TO postgres;

--
-- TOC entry 5251 (class 0 OID 0)
-- Dependencies: 3081
-- Name: crnote_reason_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE crnote_reason_id_seq OWNED BY crnote_reason.id;


--
-- TOC entry 2364 (class 1259 OID 78537)
-- Dependencies: 5
-- Name: csearch; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE csearch (
    word character(20),
    depot integer,
    cod character(7)
);


ALTER TABLE public.csearch OWNER TO postgres;

--
-- TOC entry 2365 (class 1259 OID 78539)
-- Dependencies: 5
-- Name: csuspend; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE csuspend (
    depot integer,
    cod character(7),
    txt character(60),
    operator integer,
    dat timestamp without time zone
);


ALTER TABLE public.csuspend OWNER TO postgres;

--
-- TOC entry 2366 (class 1259 OID 78541)
-- Dependencies: 5
-- Name: currency; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE currency (
    cod character(3) NOT NULL,
    description character(30),
    rate numeric(9,7)
);


ALTER TABLE public.currency OWNER TO postgres;

--
-- TOC entry 2367 (class 1259 OID 78543)
-- Dependencies: 5
-- Name: currency_rates; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE currency_rates (
    nsuk integer NOT NULL,
    effective_date date,
    from_currency character(3),
    to_currency character(3),
    conversion_rate numeric(10,6),
    created timestamp without time zone,
    updated timestamp without time zone,
    user_id character(30)
);


ALTER TABLE public.currency_rates OWNER TO postgres;

--
-- TOC entry 2368 (class 1259 OID 78545)
-- Dependencies: 2367 5
-- Name: currency_rates_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE currency_rates_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.currency_rates_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5252 (class 0 OID 0)
-- Dependencies: 2368
-- Name: currency_rates_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE currency_rates_nsuk_seq OWNED BY currency_rates.nsuk;


--
-- TOC entry 2369 (class 1259 OID 78547)
-- Dependencies: 5
-- Name: current_lock; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE current_lock (
    locker character(10),
    lock_tty character(15),
    lock_time timestamp without time zone
);


ALTER TABLE public.current_lock OWNER TO postgres;

--
-- TOC entry 5253 (class 0 OID 0)
-- Dependencies: 2369
-- Name: TABLE current_lock; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE current_lock IS 'Bottelnecking';


--
-- TOC entry 2370 (class 1259 OID 78549)
-- Dependencies: 5
-- Name: cust_age; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust_age (
    period date NOT NULL,
    depot integer NOT NULL,
    cod character(7) NOT NULL,
    slave_depot integer,
    slave_cod character(7),
    balance numeric(16,2) NOT NULL,
    unallocated numeric(16,2) NOT NULL,
    account_type character(1) NOT NULL,
    suspend character(1) NOT NULL,
    bad_debt character(1) NOT NULL,
    lastpay numeric(16,2),
    lastpaid date,
    current numeric(16,2) NOT NULL,
    age1 numeric(16,2) NOT NULL,
    age2 numeric(16,2) NOT NULL,
    age3 numeric(16,2) NOT NULL,
    age4 numeric(16,2) NOT NULL,
    age5 numeric(16,2) NOT NULL,
    master_slave character(1) NOT NULL,
    slave_count integer NOT NULL
);


ALTER TABLE public.cust_age OWNER TO postgres;

--
-- TOC entry 2371 (class 1259 OID 78551)
-- Dependencies: 5
-- Name: cust_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust_category (
    depot integer,
    cod character(7),
    cat_cod character(3)
);


ALTER TABLE public.cust_category OWNER TO postgres;

--
-- TOC entry 2372 (class 1259 OID 78553)
-- Dependencies: 5
-- Name: cust_discstruct; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust_discstruct (
    nsuk integer NOT NULL,
    disc_struct integer NOT NULL,
    depot integer NOT NULL,
    cod character(7) NOT NULL
);


ALTER TABLE public.cust_discstruct OWNER TO postgres;

--
-- TOC entry 2373 (class 1259 OID 78555)
-- Dependencies: 2372 5
-- Name: cust_discstruct_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cust_discstruct_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cust_discstruct_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5254 (class 0 OID 0)
-- Dependencies: 2373
-- Name: cust_discstruct_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cust_discstruct_nsuk_seq OWNED BY cust_discstruct.nsuk;


--
-- TOC entry 2374 (class 1259 OID 78557)
-- Dependencies: 3490 5
-- Name: cust_ext; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust_ext (
    depot integer NOT NULL,
    cod character(7) NOT NULL,
    sales_rep integer NOT NULL,
    credit_controller integer NOT NULL,
    vatcode integer,
    vatnumber character(20),
    popup_note integer,
    restock character(1),
    apply_cr_limit integer DEFAULT 0
);


ALTER TABLE public.cust_ext OWNER TO postgres;

--
-- TOC entry 2375 (class 1259 OID 78560)
-- Dependencies: 5
-- Name: cust_order; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust_order (
    nsuk integer NOT NULL,
    location integer NOT NULL,
    number integer NOT NULL,
    manual_docket integer,
    depot integer NOT NULL,
    customer character(7) NOT NULL,
    customer_contact integer,
    site integer,
    order_no character(30),
    date_entered date,
    time_entered time without time zone,
    date_from date,
    time_from time without time zone,
    date_to date,
    time_to time without time zone,
    price_list integer,
    discount_structure integer,
    policy character(6),
    calendar character(6),
    quotation integer,
    sales_rep integer,
    operator integer NOT NULL,
    note integer,
    internal_note integer,
    status integer NOT NULL,
    rental_price_list integer
);


ALTER TABLE public.cust_order OWNER TO postgres;

--
-- TOC entry 2376 (class 1259 OID 78562)
-- Dependencies: 2375 5
-- Name: cust_order_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cust_order_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cust_order_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5255 (class 0 OID 0)
-- Dependencies: 2376
-- Name: cust_order_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cust_order_nsuk_seq OWNED BY cust_order.nsuk;


--
-- TOC entry 2377 (class 1259 OID 78564)
-- Dependencies: 5
-- Name: cust_pricelist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust_pricelist (
    nsuk integer NOT NULL,
    pricelist integer NOT NULL,
    depot integer NOT NULL,
    cod character(7) NOT NULL
);


ALTER TABLE public.cust_pricelist OWNER TO postgres;

--
-- TOC entry 2378 (class 1259 OID 78566)
-- Dependencies: 2377 5
-- Name: cust_pricelist_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cust_pricelist_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cust_pricelist_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5256 (class 0 OID 0)
-- Dependencies: 2378
-- Name: cust_pricelist_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cust_pricelist_nsuk_seq OWNED BY cust_pricelist.nsuk;


--
-- TOC entry 2379 (class 1259 OID 78568)
-- Dependencies: 5
-- Name: cust_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust_status (
    nsuk integer NOT NULL,
    description character(100) NOT NULL
);


ALTER TABLE public.cust_status OWNER TO postgres;

--
-- TOC entry 2380 (class 1259 OID 78570)
-- Dependencies: 5
-- Name: cust_status_hist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE cust_status_hist (
    nsuk integer NOT NULL,
    depot smallint,
    cust_id character(7),
    date timestamp without time zone,
    operator1_id integer,
    operator2_id integer,
    description character(100)
);


ALTER TABLE public.cust_status_hist OWNER TO postgres;

--
-- TOC entry 2381 (class 1259 OID 78572)
-- Dependencies: 2380 5
-- Name: cust_status_hist_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cust_status_hist_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cust_status_hist_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5257 (class 0 OID 0)
-- Dependencies: 2381
-- Name: cust_status_hist_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cust_status_hist_nsuk_seq OWNED BY cust_status_hist.nsuk;


--
-- TOC entry 2382 (class 1259 OID 78574)
-- Dependencies: 2379 5
-- Name: cust_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE cust_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.cust_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5258 (class 0 OID 0)
-- Dependencies: 2382
-- Name: cust_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE cust_status_nsuk_seq OWNED BY cust_status.nsuk;


--
-- TOC entry 2383 (class 1259 OID 78576)
-- Dependencies: 5
-- Name: custage; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE custage (
    depot integer,
    cod character(7),
    period date,
    balance numeric(16,2)
);


ALTER TABLE public.custage OWNER TO postgres;

--
-- TOC entry 5259 (class 0 OID 0)
-- Dependencies: 2383
-- Name: TABLE custage; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE custage IS 'Pot drop
';


--
-- TOC entry 2384 (class 1259 OID 78578)
-- Dependencies: 5
-- Name: custbals; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE custbals (
    depot integer,
    cod character(7),
    period date,
    balance numeric(16,2)
);


ALTER TABLE public.custbals OWNER TO postgres;

--
-- TOC entry 5260 (class 0 OID 0)
-- Dependencies: 2384
-- Name: TABLE custbals; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE custbals IS 'Pot drop
';


--
-- TOC entry 2385 (class 1259 OID 78580)
-- Dependencies: 5
-- Name: custid; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE custid (
    depot integer,
    cod character(7),
    txt character(40)
);


ALTER TABLE public.custid OWNER TO postgres;

--
-- TOC entry 2386 (class 1259 OID 78582)
-- Dependencies: 5
-- Name: custlist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE custlist (
    list_name character(10) NOT NULL,
    depot integer NOT NULL,
    cust character(7) NOT NULL
);


ALTER TABLE public.custlist OWNER TO postgres;

--
-- TOC entry 2387 (class 1259 OID 78584)
-- Dependencies: 5
-- Name: customer_class; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE customer_class (
    nsuk integer NOT NULL,
    depot integer NOT NULL,
    cust character(7) NOT NULL,
    sub_category integer NOT NULL
);


ALTER TABLE public.customer_class OWNER TO postgres;

--
-- TOC entry 5261 (class 0 OID 0)
-- Dependencies: 2387
-- Name: TABLE customer_class; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE customer_class IS 'Sam hire
';


--
-- TOC entry 2388 (class 1259 OID 78586)
-- Dependencies: 2387 5
-- Name: customer_class_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE customer_class_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.customer_class_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5262 (class 0 OID 0)
-- Dependencies: 2388
-- Name: customer_class_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE customer_class_nsuk_seq OWNED BY customer_class.nsuk;


--
-- TOC entry 2389 (class 1259 OID 78588)
-- Dependencies: 5
-- Name: custquot; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE custquot (
    depot integer,
    cod character(7),
    quotation character(8)
);


ALTER TABLE public.custquot OWNER TO postgres;

--
-- TOC entry 5263 (class 0 OID 0)
-- Dependencies: 2389
-- Name: TABLE custquot; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE custquot IS 'Pot drop
';


--
-- TOC entry 2390 (class 1259 OID 78590)
-- Dependencies: 5
-- Name: custsite; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE custsite (
    depot integer NOT NULL,
    cust character(7) NOT NULL,
    site integer NOT NULL,
    description character(60),
    calendar character(8),
    distance integer,
    active character(1),
    add1 character(60),
    add2 character(60),
    add3 character(60),
    add4 character(60),
    phone character(30),
    fax character(30),
    project integer
);


ALTER TABLE public.custsite OWNER TO postgres;

--
-- TOC entry 2391 (class 1259 OID 78592)
-- Dependencies: 5
-- Name: d_base; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE d_base (
    dbname character(18)
);


ALTER TABLE public.d_base OWNER TO postgres;

--
-- TOC entry 5264 (class 0 OID 0)
-- Dependencies: 2391
-- Name: TABLE d_base; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE d_base IS 'Pot drop';


--
-- TOC entry 2392 (class 1259 OID 78594)
-- Dependencies: 5
-- Name: d_msales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE d_msales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    dept integer NOT NULL,
    mth date NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.d_msales OWNER TO postgres;

--
-- TOC entry 2393 (class 1259 OID 78596)
-- Dependencies: 2392 5
-- Name: d_msales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE d_msales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.d_msales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5265 (class 0 OID 0)
-- Dependencies: 2393
-- Name: d_msales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE d_msales_nsuk_seq OWNED BY d_msales.nsuk;


--
-- TOC entry 2394 (class 1259 OID 78598)
-- Dependencies: 5
-- Name: d_wsales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE d_wsales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    dept integer NOT NULL,
    yr integer NOT NULL,
    week_no integer NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.d_wsales OWNER TO postgres;

--
-- TOC entry 2395 (class 1259 OID 78600)
-- Dependencies: 2394 5
-- Name: d_wsales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE d_wsales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.d_wsales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5266 (class 0 OID 0)
-- Dependencies: 2395
-- Name: d_wsales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE d_wsales_nsuk_seq OWNED BY d_wsales.nsuk;


--
-- TOC entry 2396 (class 1259 OID 78602)
-- Dependencies: 5
-- Name: d_ysales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE d_ysales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    dept integer NOT NULL,
    yr integer NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.d_ysales OWNER TO postgres;

--
-- TOC entry 2397 (class 1259 OID 78604)
-- Dependencies: 2396 5
-- Name: d_ysales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE d_ysales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.d_ysales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5267 (class 0 OID 0)
-- Dependencies: 2397
-- Name: d_ysales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE d_ysales_nsuk_seq OWNED BY d_ysales.nsuk;


--
-- TOC entry 2398 (class 1259 OID 78606)
-- Dependencies: 5
-- Name: danal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE danal (
    period date,
    pdesc character(4),
    location integer,
    cust character(7),
    cm_qty integer,
    cm_sales numeric(16,2),
    cm_cost numeric(16,2),
    ytd_qty integer,
    ytd_sales numeric(16,2),
    ytd_cost numeric(16,2)
);


ALTER TABLE public.danal OWNER TO postgres;

--
-- TOC entry 5268 (class 0 OID 0)
-- Dependencies: 2398
-- Name: TABLE danal; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE danal IS 'Pot drop
';


--
-- TOC entry 2399 (class 1259 OID 78608)
-- Dependencies: 5
-- Name: dcsmaillog; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE dcsmaillog (
    nsuk integer NOT NULL,
    sender_id character(30),
    sent_to character(255) NOT NULL,
    subject character(255),
    cc character(255),
    bcc character(255),
    attachments character(255),
    "timestamp" timestamp without time zone NOT NULL
);


ALTER TABLE public.dcsmaillog OWNER TO postgres;

--
-- TOC entry 2400 (class 1259 OID 78613)
-- Dependencies: 2399 5
-- Name: dcsmaillog_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE dcsmaillog_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dcsmaillog_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5269 (class 0 OID 0)
-- Dependencies: 2400
-- Name: dcsmaillog_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE dcsmaillog_nsuk_seq OWNED BY dcsmaillog.nsuk;


--
-- TOC entry 2401 (class 1259 OID 78615)
-- Dependencies: 5
-- Name: dcssqlversion; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE dcssqlversion (
    major integer,
    minor integer,
    tstamp timestamp without time zone,
    testdb character(10),
    software integer
);


ALTER TABLE public.dcssqlversion OWNER TO postgres;

--
-- TOC entry 2402 (class 1259 OID 78617)
-- Dependencies: 5
-- Name: ddc_xref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ddc_xref (
    nsuk integer NOT NULL,
    delivery integer NOT NULL,
    contract integer NOT NULL
);


ALTER TABLE public.ddc_xref OWNER TO postgres;

--
-- TOC entry 5270 (class 0 OID 0)
-- Dependencies: 2402
-- Name: TABLE ddc_xref; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE ddc_xref IS 'Pot drop';


--
-- TOC entry 2403 (class 1259 OID 78619)
-- Dependencies: 2402 5
-- Name: ddc_xref_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ddc_xref_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ddc_xref_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5271 (class 0 OID 0)
-- Dependencies: 2403
-- Name: ddc_xref_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ddc_xref_nsuk_seq OWNED BY ddc_xref.nsuk;


--
-- TOC entry 2404 (class 1259 OID 78621)
-- Dependencies: 5
-- Name: ddoc_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ddoc_detail (
    nsuk integer NOT NULL,
    delivery_docket integer NOT NULL,
    lin integer NOT NULL,
    product character(7),
    unit_sell numeric(16,4),
    vcode integer,
    qty numeric(10,2) NOT NULL,
    discount numeric(4,2) NOT NULL,
    unit_cost numeric(16,2),
    location integer,
    invoice_when character(1),
    notes integer,
    operator integer,
    quotation character(8),
    product_type integer NOT NULL,
    barcode character(13),
    order_detail integer,
    qty_delivered numeric(10,2) NOT NULL,
    max_qty numeric(10,2) NOT NULL
);


ALTER TABLE public.ddoc_detail OWNER TO postgres;

--
-- TOC entry 5272 (class 0 OID 0)
-- Dependencies: 2404
-- Name: TABLE ddoc_detail; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE ddoc_detail IS 'Pot drop';


--
-- TOC entry 2405 (class 1259 OID 78623)
-- Dependencies: 2404 5
-- Name: ddoc_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ddoc_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ddoc_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5273 (class 0 OID 0)
-- Dependencies: 2405
-- Name: ddoc_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ddoc_detail_nsuk_seq OWNED BY ddoc_detail.nsuk;


--
-- TOC entry 2406 (class 1259 OID 78625)
-- Dependencies: 5
-- Name: ddoc_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ddoc_head (
    nsuk integer NOT NULL,
    location integer NOT NULL,
    depot integer NOT NULL,
    cust character(7) NOT NULL,
    dat date NOT NULL,
    operator integer NOT NULL,
    contract integer,
    address1 character(30),
    address2 character(30),
    address3 character(30),
    address4 character(30),
    memo character(256),
    order_no character(16),
    status integer NOT NULL,
    site integer,
    so_number integer
);


ALTER TABLE public.ddoc_head OWNER TO postgres;

--
-- TOC entry 5274 (class 0 OID 0)
-- Dependencies: 2406
-- Name: TABLE ddoc_head; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE ddoc_head IS 'Pot drop';


--
-- TOC entry 2407 (class 1259 OID 78627)
-- Dependencies: 2406 5
-- Name: ddoc_head_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ddoc_head_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ddoc_head_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5275 (class 0 OID 0)
-- Dependencies: 2407
-- Name: ddoc_head_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ddoc_head_nsuk_seq OWNED BY ddoc_head.nsuk;


--
-- TOC entry 2408 (class 1259 OID 78629)
-- Dependencies: 5
-- Name: ddso_xref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ddso_xref (
    nsuk integer NOT NULL,
    sales_order integer NOT NULL,
    delivery_docket integer NOT NULL
);


ALTER TABLE public.ddso_xref OWNER TO postgres;

--
-- TOC entry 5276 (class 0 OID 0)
-- Dependencies: 2408
-- Name: TABLE ddso_xref; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE ddso_xref IS 'Pot drop';


--
-- TOC entry 2409 (class 1259 OID 78631)
-- Dependencies: 2408 5
-- Name: ddso_xref_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ddso_xref_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ddso_xref_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5277 (class 0 OID 0)
-- Dependencies: 2409
-- Name: ddso_xref_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ddso_xref_nsuk_seq OWNED BY ddso_xref.nsuk;


--
-- TOC entry 2410 (class 1259 OID 78633)
-- Dependencies: 5
-- Name: default_profile; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE default_profile (
    nsuk integer NOT NULL,
    key_name character(10),
    key_value character(100),
    description character(100)
);


ALTER TABLE public.default_profile OWNER TO postgres;

--
-- TOC entry 2411 (class 1259 OID 78635)
-- Dependencies: 2410 5
-- Name: default_profile_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE default_profile_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.default_profile_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5278 (class 0 OID 0)
-- Dependencies: 2411
-- Name: default_profile_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE default_profile_nsuk_seq OWNED BY default_profile.nsuk;


--
-- TOC entry 2412 (class 1259 OID 78637)
-- Dependencies: 5
-- Name: dept; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE dept (
    nsuk integer NOT NULL,
    cod character(3),
    descr character(30)
);


ALTER TABLE public.dept OWNER TO postgres;

--
-- TOC entry 2413 (class 1259 OID 78639)
-- Dependencies: 5
-- Name: dept_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE dept_group (
    nsuk integer NOT NULL,
    cod character(3),
    dept integer,
    descr character(30)
);


ALTER TABLE public.dept_group OWNER TO postgres;

--
-- TOC entry 2414 (class 1259 OID 78641)
-- Dependencies: 2413 5
-- Name: dept_group_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE dept_group_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dept_group_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5279 (class 0 OID 0)
-- Dependencies: 2414
-- Name: dept_group_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE dept_group_nsuk_seq OWNED BY dept_group.nsuk;


--
-- TOC entry 2415 (class 1259 OID 78643)
-- Dependencies: 2412 5
-- Name: dept_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE dept_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dept_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5280 (class 0 OID 0)
-- Dependencies: 2415
-- Name: dept_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE dept_nsuk_seq OWNED BY dept.nsuk;


--
-- TOC entry 2416 (class 1259 OID 78645)
-- Dependencies: 5
-- Name: disc_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE disc_detail (
    nsuk integer NOT NULL,
    disc_struct integer NOT NULL,
    disc_type integer,
    department integer,
    dept_group integer,
    discount numeric(4,2)
);


ALTER TABLE public.disc_detail OWNER TO postgres;

--
-- TOC entry 2417 (class 1259 OID 78647)
-- Dependencies: 2416 5
-- Name: disc_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE disc_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.disc_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5281 (class 0 OID 0)
-- Dependencies: 2417
-- Name: disc_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE disc_detail_nsuk_seq OWNED BY disc_detail.nsuk;


--
-- TOC entry 2418 (class 1259 OID 78649)
-- Dependencies: 5
-- Name: disc_struct; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE disc_struct (
    nsuk integer NOT NULL,
    cod character(12) NOT NULL
);


ALTER TABLE public.disc_struct OWNER TO postgres;

--
-- TOC entry 2419 (class 1259 OID 78651)
-- Dependencies: 2418 5
-- Name: disc_struct_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE disc_struct_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.disc_struct_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5282 (class 0 OID 0)
-- Dependencies: 2419
-- Name: disc_struct_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE disc_struct_nsuk_seq OWNED BY disc_struct.nsuk;


--
-- TOC entry 2420 (class 1259 OID 78653)
-- Dependencies: 5
-- Name: disp; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE disp (
    asset_reg character(1),
    pdesc character(4),
    reg character(6)
);


ALTER TABLE public.disp OWNER TO postgres;

--
-- TOC entry 5283 (class 0 OID 0)
-- Dependencies: 2420
-- Name: TABLE disp; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE disp IS 'Pot drop
';


--
-- TOC entry 2421 (class 1259 OID 78655)
-- Dependencies: 5
-- Name: disposals; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE disposals (
    ser integer NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    dat date,
    qty integer,
    unit_cost numeric(16,2),
    unit_depn numeric(16,2),
    unit_sell numeric(16,2),
    depot integer,
    cust character(7),
    location integer,
    invoice_ref character(10),
    disposal_type character(1),
    sales_period date,
    nominal_period date
);


ALTER TABLE public.disposals OWNER TO postgres;

--
-- TOC entry 2422 (class 1259 OID 78657)
-- Dependencies: 2421 5
-- Name: disposals_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE disposals_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.disposals_ser_seq OWNER TO postgres;

--
-- TOC entry 5284 (class 0 OID 0)
-- Dependencies: 2422
-- Name: disposals_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE disposals_ser_seq OWNED BY disposals.ser;


--
-- TOC entry 2423 (class 1259 OID 78659)
-- Dependencies: 5
-- Name: disptypes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE disptypes (
    cod character(1) NOT NULL,
    description character(20)
);


ALTER TABLE public.disptypes OWNER TO postgres;

--
-- TOC entry 2424 (class 1259 OID 78661)
-- Dependencies: 5
-- Name: dispxref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE dispxref (
    ser integer NOT NULL,
    asset_reg character(1),
    purchase integer,
    disposal integer,
    qty integer,
    unit_cost numeric(9,2),
    unit_dep numeric(9,2),
    typ character(1)
);


ALTER TABLE public.dispxref OWNER TO postgres;

--
-- TOC entry 2425 (class 1259 OID 78663)
-- Dependencies: 2424 5
-- Name: dispxref_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE dispxref_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.dispxref_ser_seq OWNER TO postgres;

--
-- TOC entry 5285 (class 0 OID 0)
-- Dependencies: 2425
-- Name: dispxref_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE dispxref_ser_seq OWNED BY dispxref.ser;


--
-- TOC entry 2426 (class 1259 OID 78665)
-- Dependencies: 5
-- Name: docket_trigger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE docket_trigger (
    nsuk integer NOT NULL,
    doc_type integer,
    doc_location integer,
    doc_number integer,
    screen integer,
    error_flag integer,
    error_description character(60),
    print_rates integer
);


ALTER TABLE public.docket_trigger OWNER TO postgres;

--
-- TOC entry 5286 (class 0 OID 0)
-- Dependencies: 2426
-- Name: TABLE docket_trigger; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE docket_trigger IS 'Pot drop
';


--
-- TOC entry 2427 (class 1259 OID 78667)
-- Dependencies: 2426 5
-- Name: docket_trigger_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE docket_trigger_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.docket_trigger_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5287 (class 0 OID 0)
-- Dependencies: 2427
-- Name: docket_trigger_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE docket_trigger_nsuk_seq OWNED BY docket_trigger.nsuk;


--
-- TOC entry 2428 (class 1259 OID 78669)
-- Dependencies: 5
-- Name: driver; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE driver (
    nsuk integer NOT NULL,
    name character(80) NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    cod character(5)
);


ALTER TABLE public.driver OWNER TO postgres;

--
-- TOC entry 2429 (class 1259 OID 78671)
-- Dependencies: 2428 5
-- Name: driver_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE driver_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.driver_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5288 (class 0 OID 0)
-- Dependencies: 2429
-- Name: driver_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE driver_nsuk_seq OWNED BY driver.nsuk;


--
-- TOC entry 2430 (class 1259 OID 78673)
-- Dependencies: 5
-- Name: eft_control; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE eft_control (
    bank_sort_code character(6),
    bank_ac_num character(8),
    bank_user_name character(18),
    authorised_id integer,
    next_vol_num integer,
    next_file_num integer,
    punt_or_euro integer,
    date_list_created date,
    date_file_created date,
    list_generated integer,
    file_generated integer
);


ALTER TABLE public.eft_control OWNER TO postgres;

--
-- TOC entry 2431 (class 1259 OID 78675)
-- Dependencies: 5
-- Name: eft_list; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE eft_list (
    vol_number integer,
    file_number integer,
    transaction_type character(2),
    supplier_name character(20),
    bank_ac_num character(10),
    bank_sorting_code character(10),
    payment_amount character(11),
    eft_status character(1),
    user_reference character(18),
    date_list_created date
);


ALTER TABLE public.eft_list OWNER TO postgres;

--
-- TOC entry 2432 (class 1259 OID 78677)
-- Dependencies: 5
-- Name: escpos_font; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE escpos_font (
    font integer,
    font_description character(20),
    c1 integer,
    c2 integer,
    c3 integer,
    c4 integer,
    c5 integer,
    c6 integer,
    c7 integer,
    c8 integer,
    c9 integer,
    c10 integer
);


ALTER TABLE public.escpos_font OWNER TO postgres;

--
-- TOC entry 2433 (class 1259 OID 78679)
-- Dependencies: 5
-- Name: euro_cash; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE euro_cash (
    depot integer,
    cust character(7),
    period date,
    ledger_trans integer,
    operator integer,
    amount numeric(16,4),
    lodgement integer
);


ALTER TABLE public.euro_cash OWNER TO postgres;

--
-- TOC entry 2434 (class 1259 OID 78681)
-- Dependencies: 5
-- Name: euro_control; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE euro_control (
    calc_euro integer,
    ex_rate numeric(9,7),
    post_pre character(3),
    dual_currency integer,
    euro_on_reports integer,
    euro_on_all_cust integer
);


ALTER TABLE public.euro_control OWNER TO postgres;

--
-- TOC entry 2435 (class 1259 OID 78683)
-- Dependencies: 5
-- Name: euro_cust; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE euro_cust (
    depot integer,
    cust character(7)
);


ALTER TABLE public.euro_cust OWNER TO postgres;

--
-- TOC entry 2436 (class 1259 OID 78685)
-- Dependencies: 5
-- Name: excel_cc; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE excel_cc (
    cc character(4)
);


ALTER TABLE public.excel_cc OWNER TO postgres;

--
-- TOC entry 2437 (class 1259 OID 78687)
-- Dependencies: 5
-- Name: excel_period; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE excel_period (
    nsuk integer NOT NULL,
    period date
);


ALTER TABLE public.excel_period OWNER TO postgres;

--
-- TOC entry 2438 (class 1259 OID 78689)
-- Dependencies: 2437 5
-- Name: excel_period_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE excel_period_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.excel_period_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5289 (class 0 OID 0)
-- Dependencies: 2438
-- Name: excel_period_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE excel_period_nsuk_seq OWNED BY excel_period.nsuk;


--
-- TOC entry 2439 (class 1259 OID 78691)
-- Dependencies: 5
-- Name: except; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE "except" (
    location integer,
    operator integer,
    dat date,
    tim time without time zone,
    period date,
    amount_due numeric(16,2),
    amount_paid numeric(16,2),
    contract integer,
    invoice_ref integer,
    depot integer,
    cust character(7),
    note integer
);


ALTER TABLE public."except" OWNER TO postgres;

--
-- TOC entry 2440 (class 1259 OID 78693)
-- Dependencies: 5
-- Name: exclusion_remit; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE exclusion_remit (
    ser integer NOT NULL,
    dat date,
    supplier character(7),
    typ integer,
    ref character(10),
    descr character(16)
);


ALTER TABLE public.exclusion_remit OWNER TO postgres;

--
-- TOC entry 2441 (class 1259 OID 78695)
-- Dependencies: 5
-- Name: first_of_month; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE first_of_month (
    date date NOT NULL
);


ALTER TABLE public.first_of_month OWNER TO postgres;

--
-- TOC entry 3078 (class 1259 OID 445934)
-- Dependencies: 5
-- Name: fleet_gid_xref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE fleet_gid_xref (
    nsuk integer NOT NULL,
    gi_detail integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    pt_serial integer,
    pcost integer NOT NULL
);


ALTER TABLE public.fleet_gid_xref OWNER TO postgres;

--
-- TOC entry 3077 (class 1259 OID 445932)
-- Dependencies: 3078 5
-- Name: fleet_gid_xref_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE fleet_gid_xref_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.fleet_gid_xref_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5290 (class 0 OID 0)
-- Dependencies: 3077
-- Name: fleet_gid_xref_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE fleet_gid_xref_nsuk_seq OWNED BY fleet_gid_xref.nsuk;


--
-- TOC entry 2442 (class 1259 OID 78697)
-- Dependencies: 5
-- Name: freeze_gid; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE freeze_gid (
    nsuk integer NOT NULL,
    period date,
    gi_detail integer NOT NULL,
    qty_received numeric(16,2) NOT NULL,
    qty_invoiced numeric(16,2) NOT NULL,
    qty_absorbed numeric(16,2) NOT NULL,
    lock_count integer NOT NULL
);


ALTER TABLE public.freeze_gid OWNER TO postgres;

--
-- TOC entry 2443 (class 1259 OID 78699)
-- Dependencies: 2442 5
-- Name: freeze_gid_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE freeze_gid_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.freeze_gid_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5291 (class 0 OID 0)
-- Dependencies: 2443
-- Name: freeze_gid_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE freeze_gid_nsuk_seq OWNED BY freeze_gid.nsuk;


--
-- TOC entry 2444 (class 1259 OID 78701)
-- Dependencies: 5
-- Name: fuel; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE fuel (
    pdesc character(4) NOT NULL,
    fuel_type character(7),
    capacity integer
);


ALTER TABLE public.fuel OWNER TO postgres;

--
-- TOC entry 2445 (class 1259 OID 78703)
-- Dependencies: 5
-- Name: full_chead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE full_chead (
    contract integer,
    location integer
);


ALTER TABLE public.full_chead OWNER TO postgres;

--
-- TOC entry 2446 (class 1259 OID 78705)
-- Dependencies: 5
-- Name: g_ihead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE g_ihead (
    nsuk integer NOT NULL,
    printed character(1) NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    dat date,
    delivery_1 character(30),
    delivery_2 character(30),
    contract integer,
    manual character(10),
    order_no character(16),
    site integer,
    tot numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    goods numeric(16,2) NOT NULL,
    period date,
    cc character(4),
    note integer,
    operator integer,
    typ character(1),
    return_docket integer,
    credited character(1),
    sales_rep integer
);


ALTER TABLE public.g_ihead OWNER TO postgres;

--
-- TOC entry 2447 (class 1259 OID 78707)
-- Dependencies: 2446 5
-- Name: g_ihead_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE g_ihead_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.g_ihead_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5292 (class 0 OID 0)
-- Dependencies: 2447
-- Name: g_ihead_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE g_ihead_nsuk_seq OWNED BY g_ihead.nsuk;


--
-- TOC entry 2448 (class 1259 OID 78709)
-- Dependencies: 5
-- Name: g_msales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE g_msales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    dept_group integer NOT NULL,
    dept integer NOT NULL,
    mth date NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.g_msales OWNER TO postgres;

--
-- TOC entry 2449 (class 1259 OID 78711)
-- Dependencies: 2448 5
-- Name: g_msales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE g_msales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.g_msales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5293 (class 0 OID 0)
-- Dependencies: 2449
-- Name: g_msales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE g_msales_nsuk_seq OWNED BY g_msales.nsuk;


--
-- TOC entry 2450 (class 1259 OID 78713)
-- Dependencies: 5
-- Name: g_wsales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE g_wsales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    dept_group integer NOT NULL,
    dept integer NOT NULL,
    yr integer NOT NULL,
    week_no integer NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.g_wsales OWNER TO postgres;

--
-- TOC entry 2451 (class 1259 OID 78715)
-- Dependencies: 2450 5
-- Name: g_wsales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE g_wsales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.g_wsales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5294 (class 0 OID 0)
-- Dependencies: 2451
-- Name: g_wsales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE g_wsales_nsuk_seq OWNED BY g_wsales.nsuk;


--
-- TOC entry 2452 (class 1259 OID 78717)
-- Dependencies: 5
-- Name: g_ysales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE g_ysales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    dept_group integer NOT NULL,
    dept integer NOT NULL,
    yr integer NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.g_ysales OWNER TO postgres;

--
-- TOC entry 2453 (class 1259 OID 78719)
-- Dependencies: 2452 5
-- Name: g_ysales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE g_ysales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.g_ysales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5295 (class 0 OID 0)
-- Dependencies: 2453
-- Name: g_ysales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE g_ysales_nsuk_seq OWNED BY g_ysales.nsuk;


--
-- TOC entry 2454 (class 1259 OID 78721)
-- Dependencies: 5
-- Name: gang; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE gang (
    nsuk integer NOT NULL,
    gang_leader_id integer NOT NULL
);


ALTER TABLE public.gang OWNER TO postgres;

--
-- TOC entry 2455 (class 1259 OID 78723)
-- Dependencies: 2454 5
-- Name: gang_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE gang_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.gang_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5296 (class 0 OID 0)
-- Dependencies: 2455
-- Name: gang_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE gang_nsuk_seq OWNED BY gang.nsuk;


--
-- TOC entry 2456 (class 1259 OID 78725)
-- Dependencies: 5
-- Name: gen_plist_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE gen_plist_detail (
    id integer NOT NULL,
    depot integer,
    cust character(7),
    site_ref integer,
    site_name character(20),
    line_number integer,
    pdesc character(4),
    pregister character(7),
    description character(60),
    qty integer,
    date_started date,
    location integer,
    contract integer,
    slave integer,
    order_no character(16)
);


ALTER TABLE public.gen_plist_detail OWNER TO postgres;

--
-- TOC entry 2457 (class 1259 OID 78727)
-- Dependencies: 2456 5
-- Name: gen_plist_detail_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE gen_plist_detail_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.gen_plist_detail_id_seq OWNER TO postgres;

--
-- TOC entry 5297 (class 0 OID 0)
-- Dependencies: 2457
-- Name: gen_plist_detail_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE gen_plist_detail_id_seq OWNED BY gen_plist_detail.id;


--
-- TOC entry 2458 (class 1259 OID 78729)
-- Dependencies: 5
-- Name: gen_plist_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE gen_plist_head (
    id integer NOT NULL,
    depot integer,
    cust character(7),
    site_ref integer,
    site_name character(20),
    run_date date,
    run_time character(5)
);


ALTER TABLE public.gen_plist_head OWNER TO postgres;

--
-- TOC entry 2459 (class 1259 OID 78731)
-- Dependencies: 2458 5
-- Name: gen_plist_head_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE gen_plist_head_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.gen_plist_head_id_seq OWNER TO postgres;

--
-- TOC entry 5298 (class 0 OID 0)
-- Dependencies: 2459
-- Name: gen_plist_head_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE gen_plist_head_id_seq OWNED BY gen_plist_head.id;


--
-- TOC entry 2460 (class 1259 OID 78733)
-- Dependencies: 5
-- Name: gi_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE gi_detail (
    nsuk integer NOT NULL,
    gi_head integer NOT NULL,
    po_detail integer,
    cc_detail integer,
    product_type integer,
    date_received date NOT NULL,
    qty_received numeric(16,2) NOT NULL,
    qty_invoiced numeric(16,2) NOT NULL,
    qty_absorbed numeric(16,2) NOT NULL,
    qty_returned numeric(16,2) NOT NULL,
    qty_claimed numeric(16,2) NOT NULL,
    qty_passed numeric(16,2) NOT NULL,
    pi_detail integer,
    unit_net_cost numeric(16,4) NOT NULL,
    location integer NOT NULL,
    costed integer NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    serial_number character(20),
    lock_count integer NOT NULL,
    order_type integer,
    stock_period date,
    original_gid integer NOT NULL,
    cod_contract integer,
    cod_lin integer,
    cod_location integer
);


ALTER TABLE public.gi_detail OWNER TO postgres;

--
-- TOC entry 2461 (class 1259 OID 78735)
-- Dependencies: 2460 5
-- Name: gi_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE gi_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.gi_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5299 (class 0 OID 0)
-- Dependencies: 2461
-- Name: gi_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE gi_detail_nsuk_seq OWNED BY gi_detail.nsuk;


--
-- TOC entry 2462 (class 1259 OID 78737)
-- Dependencies: 5
-- Name: gi_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE gi_head (
    nsuk integer NOT NULL,
    gi_number integer NOT NULL,
    date_received date,
    date_entered timestamp without time zone NOT NULL,
    supplier character(6) NOT NULL,
    operator integer,
    delivery_ref character(20),
    location integer,
    inspected integer NOT NULL,
    inspected_by integer,
    lock_count integer NOT NULL,
    note integer,
    consignment_stock integer,
    chead_contract integer,
    chead_location integer,
    image_ref_id integer
);


ALTER TABLE public.gi_head OWNER TO postgres;

--
-- TOC entry 2463 (class 1259 OID 78739)
-- Dependencies: 2462 5
-- Name: gi_head_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE gi_head_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.gi_head_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5300 (class 0 OID 0)
-- Dependencies: 2463
-- Name: gi_head_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE gi_head_nsuk_seq OWNED BY gi_head.nsuk;


--
-- TOC entry 2464 (class 1259 OID 78741)
-- Dependencies: 5
-- Name: gpcost; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE gpcost (
    ser integer NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    unit_cost numeric(16,2),
    unit_depn numeric(16,2),
    qty integer,
    dat date,
    supplier character(6),
    invoice_ref character(10),
    source_type character(1)
);


ALTER TABLE public.gpcost OWNER TO postgres;

--
-- TOC entry 2465 (class 1259 OID 78743)
-- Dependencies: 5
-- Name: grn_cons; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE grn_cons (
    supplier character(6),
    grn_number character(16),
    cod integer,
    quantity integer,
    order_number integer
);


ALTER TABLE public.grn_cons OWNER TO postgres;

--
-- TOC entry 2466 (class 1259 OID 78745)
-- Dependencies: 5
-- Name: grn_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE grn_head (
    supplier character(6),
    grn_number character(16),
    depot integer,
    dat date,
    order_no integer
);


ALTER TABLE public.grn_head OWNER TO postgres;

--
-- TOC entry 2467 (class 1259 OID 78747)
-- Dependencies: 5
-- Name: grn_hire; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE grn_hire (
    supplier character(6),
    grn_number character(16),
    pdesc character(4),
    quantity integer,
    order_number integer
);


ALTER TABLE public.grn_hire OWNER TO postgres;

--
-- TOC entry 2468 (class 1259 OID 78749)
-- Dependencies: 5
-- Name: h_order_pass; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE h_order_pass (
    depot integer,
    password character(4)
);


ALTER TABLE public.h_order_pass OWNER TO postgres;

--
-- TOC entry 2469 (class 1259 OID 78751)
-- Dependencies: 5
-- Name: haccess; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE haccess (
    package character(4),
    pdesc character(4),
    qty integer
);


ALTER TABLE public.haccess OWNER TO postgres;

--
-- TOC entry 2470 (class 1259 OID 78753)
-- Dependencies: 5
-- Name: hanal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hanal (
    period date,
    cod character(4),
    location integer,
    cust character(7),
    cm_sales numeric(16,2),
    cm_cost numeric(16,2),
    ytd_sales numeric(16,2),
    ytd_cost numeric(16,2),
    cross_hire character(1)
);


ALTER TABLE public.hanal OWNER TO postgres;

--
-- TOC entry 2471 (class 1259 OID 78755)
-- Dependencies: 5
-- Name: headradvice; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE headradvice (
    headphone character(10),
    headfax character(10)
);


ALTER TABLE public.headradvice OWNER TO postgres;

--
-- TOC entry 2472 (class 1259 OID 78757)
-- Dependencies: 5
-- Name: hire_dept; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hire_dept (
    nsuk integer NOT NULL,
    descr character(30),
    nominal character(6)
);


ALTER TABLE public.hire_dept OWNER TO postgres;

--
-- TOC entry 2473 (class 1259 OID 78759)
-- Dependencies: 5
-- Name: hire_dept_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hire_dept_group (
    nsuk integer NOT NULL,
    hire_dept integer,
    descr character(30),
    nominal character(6)
);


ALTER TABLE public.hire_dept_group OWNER TO postgres;

--
-- TOC entry 2474 (class 1259 OID 78761)
-- Dependencies: 2473 5
-- Name: hire_dept_group_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE hire_dept_group_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.hire_dept_group_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5301 (class 0 OID 0)
-- Dependencies: 2474
-- Name: hire_dept_group_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE hire_dept_group_nsuk_seq OWNED BY hire_dept_group.nsuk;


--
-- TOC entry 2475 (class 1259 OID 78763)
-- Dependencies: 2472 5
-- Name: hire_dept_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE hire_dept_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.hire_dept_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5302 (class 0 OID 0)
-- Dependencies: 2475
-- Name: hire_dept_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE hire_dept_nsuk_seq OWNED BY hire_dept.nsuk;


--
-- TOC entry 2476 (class 1259 OID 78765)
-- Dependencies: 5
-- Name: hireperiod; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hireperiod (
    description character(20),
    cod character(1)
);


ALTER TABLE public.hireperiod OWNER TO postgres;

--
-- TOC entry 2477 (class 1259 OID 78767)
-- Dependencies: 5
-- Name: hm_rental; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hm_rental (
    nsuk integer NOT NULL,
    contract integer NOT NULL,
    line_number integer NOT NULL,
    quotation_line integer,
    asset_reg character(1) NOT NULL,
    pdesc character(4) NOT NULL,
    reg character(5),
    date_from date NOT NULL,
    time_out time without time zone NOT NULL,
    date_due_back date,
    time_due_back time without time zone,
    date_in date,
    time_in time without time zone,
    qty integer NOT NULL,
    vcode integer NOT NULL,
    charge_period character(1) NOT NULL,
    discount numeric(16,0) NOT NULL,
    charge_line integer NOT NULL,
    note integer,
    operator integer NOT NULL,
    status integer NOT NULL
);


ALTER TABLE public.hm_rental OWNER TO postgres;

--
-- TOC entry 2478 (class 1259 OID 78769)
-- Dependencies: 2477 5
-- Name: hm_rental_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE hm_rental_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.hm_rental_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5303 (class 0 OID 0)
-- Dependencies: 2478
-- Name: hm_rental_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE hm_rental_nsuk_seq OWNED BY hm_rental.nsuk;


--
-- TOC entry 2479 (class 1259 OID 78771)
-- Dependencies: 5
-- Name: hmdetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hmdetail (
    doc_type integer,
    doc_number integer,
    contract_location integer,
    contract integer,
    contract_line integer,
    qty integer,
    dayes integer,
    total_days integer,
    pdesc character(4),
    reg character(6),
    dat date,
    tim time without time zone,
    charge_period character(1),
    notes integer,
    location integer
);


ALTER TABLE public.hmdetail OWNER TO postgres;

--
-- TOC entry 2480 (class 1259 OID 78773)
-- Dependencies: 5
-- Name: hmdisposal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hmdisposal (
    doc_type integer,
    doc_number integer,
    contract_location integer,
    contract integer,
    contract_line integer,
    qty integer,
    pdesc character(4),
    reg character(6),
    notes integer,
    location integer
);


ALTER TABLE public.hmdisposal OWNER TO postgres;

--
-- TOC entry 2481 (class 1259 OID 78775)
-- Dependencies: 5
-- Name: hmhead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hmhead (
    doc_type smallint NOT NULL,
    doc_number integer NOT NULL,
    dat date,
    tim time without time zone,
    location smallint NOT NULL,
    operator smallint,
    manual_ref integer,
    depot smallint,
    cust character(7),
    notes integer,
    requested timestamp without time zone,
    promised timestamp without time zone,
    completed timestamp without time zone,
    invoiced integer,
    work_list integer,
    driver integer,
    status smallint,
    asset_reg character(1),
    pdesc character(4),
    cod character(5),
    image_ref_id integer
);


ALTER TABLE public.hmhead OWNER TO postgres;

--
-- TOC entry 2482 (class 1259 OID 78777)
-- Dependencies: 5
-- Name: hmsales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hmsales (
    doc_type integer,
    doc_number integer,
    contract_location integer,
    contract integer,
    contract_line integer,
    product text,
    qty numeric(10,2),
    notes integer,
    location integer
);


ALTER TABLE public.hmsales OWNER TO postgres;

--
-- TOC entry 2483 (class 1259 OID 78779)
-- Dependencies: 5
-- Name: hrates; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE hrates (
    nsuk integer NOT NULL,
    pdesc character(4),
    tender character(12),
    package character(4),
    same numeric(16,2),
    day1 numeric(16,2),
    day2 numeric(16,2),
    day3 numeric(16,2),
    day4 numeric(16,2),
    day5 numeric(16,2),
    day6 numeric(16,2),
    week numeric(16,2),
    hr numeric(16,2),
    min_charge numeric(16,2),
    half_day numeric(16,2)
);


ALTER TABLE public.hrates OWNER TO postgres;

--
-- TOC entry 2484 (class 1259 OID 78781)
-- Dependencies: 2483 5
-- Name: hrates_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE hrates_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.hrates_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5304 (class 0 OID 0)
-- Dependencies: 2484
-- Name: hrates_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE hrates_nsuk_seq OWNED BY hrates.nsuk;


--
-- TOC entry 2485 (class 1259 OID 78783)
-- Dependencies: 5
-- Name: iddetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE iddetail (
    nsuk integer NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    goods numeric(16,2),
    vat numeric(16,2) NOT NULL,
    qty integer NOT NULL,
    vcode integer,
    vrate numeric(4,2),
    plondi numeric(16,2),
    unit_sell numeric(16,2),
    nominal character(6),
    note integer,
    disposal integer
);


ALTER TABLE public.iddetail OWNER TO postgres;

--
-- TOC entry 2486 (class 1259 OID 78785)
-- Dependencies: 2485 5
-- Name: iddetail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE iddetail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.iddetail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5305 (class 0 OID 0)
-- Dependencies: 2486
-- Name: iddetail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE iddetail_nsuk_seq OWNED BY iddetail.nsuk;


--
-- TOC entry 2487 (class 1259 OID 78787)
-- Dependencies: 5
-- Name: ihdetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ihdetail (
    nsuk integer NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    typ character(1),
    plant_desc character(4),
    plant_ref character(6),
    qty integer NOT NULL,
    date_out date,
    date_in date,
    time_in time without time zone,
    rate numeric(8,2) NOT NULL,
    charge_period character(1),
    dayes integer,
    vcode integer,
    vrate numeric(4,2),
    vat numeric(10,2) NOT NULL,
    goods numeric(10,2) NOT NULL,
    return_docket character(8),
    nominal character(6),
    min_applied character(1),
    discount numeric(4,2),
    note integer,
    time_charged numeric(8,2)
);


ALTER TABLE public.ihdetail OWNER TO postgres;

--
-- TOC entry 2488 (class 1259 OID 78789)
-- Dependencies: 2487 5
-- Name: ihdetail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ihdetail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ihdetail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5306 (class 0 OID 0)
-- Dependencies: 2488
-- Name: ihdetail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ihdetail_nsuk_seq OWNED BY ihdetail.nsuk;


--
-- TOC entry 2489 (class 1259 OID 78791)
-- Dependencies: 5
-- Name: ihead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ihead (
    nsuk integer NOT NULL,
    printed character(1) NOT NULL,
    doc_type character(2) NOT NULL,
    location integer NOT NULL,
    ac_location integer,
    cust character(7) NOT NULL,
    ref integer NOT NULL,
    dat date,
    delivery_1 character(30),
    delivery_2 character(30),
    contract integer,
    manual integer,
    order_no text,
    site integer,
    tot numeric(16,2) NOT NULL,
    vat numeric(16,2) NOT NULL,
    goods numeric(16,2) NOT NULL,
    period date,
    cc character(4),
    note integer,
    operator integer,
    typ character(1),
    return_docket integer,
    credited character(1),
    sales_rep integer
);


ALTER TABLE public.ihead OWNER TO postgres;

--
-- TOC entry 2490 (class 1259 OID 78793)
-- Dependencies: 5
-- Name: ihead_hmhead_map; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ihead_hmhead_map (
    nsuk integer NOT NULL,
    doc_type integer NOT NULL,
    doc_number integer NOT NULL,
    location integer NOT NULL,
    invoice_id integer,
    credit_note_id integer,
    return_reason_id integer
);


ALTER TABLE public.ihead_hmhead_map OWNER TO postgres;

--
-- TOC entry 2491 (class 1259 OID 78795)
-- Dependencies: 2490 5
-- Name: ihead_hmhead_map_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ihead_hmhead_map_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ihead_hmhead_map_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5307 (class 0 OID 0)
-- Dependencies: 2491
-- Name: ihead_hmhead_map_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ihead_hmhead_map_nsuk_seq OWNED BY ihead_hmhead_map.nsuk;


--
-- TOC entry 2492 (class 1259 OID 78797)
-- Dependencies: 2489 5
-- Name: ihead_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ihead_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ihead_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5308 (class 0 OID 0)
-- Dependencies: 2492
-- Name: ihead_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ihead_nsuk_seq OWNED BY ihead.nsuk;


--
-- TOC entry 2493 (class 1259 OID 78799)
-- Dependencies: 3532 5
-- Name: imaging_barcode; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE imaging_barcode (
    nsuk integer NOT NULL,
    docket_type_id integer NOT NULL,
    reference character varying(32) NOT NULL,
    description character varying(256),
    desc1 character varying(64),
    desc2 character varying(64),
    created timestamp without time zone NOT NULL,
    verified character(1) DEFAULT 'N'::bpchar NOT NULL
);


ALTER TABLE public.imaging_barcode OWNER TO postgres;

--
-- TOC entry 2494 (class 1259 OID 78802)
-- Dependencies: 2493 5
-- Name: imaging_barcode_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE imaging_barcode_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.imaging_barcode_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5309 (class 0 OID 0)
-- Dependencies: 2494
-- Name: imaging_barcode_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE imaging_barcode_nsuk_seq OWNED BY imaging_barcode.nsuk;


--
-- TOC entry 2495 (class 1259 OID 78804)
-- Dependencies: 5
-- Name: import_map; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE import_map (
    nsuk integer NOT NULL,
    supplier character(6) NOT NULL,
    code_row integer,
    code_col character(1),
    code_import character(1),
    desc_row integer,
    desc_col character(1),
    desc_import character(1),
    desc_prod integer,
    cost_row integer,
    cost_col character(1),
    cost_import character(1),
    cost_vat integer,
    sell_row integer,
    sell_col character(1),
    sell_import character(1),
    sell_vat integer,
    barcode_row integer,
    barcode_col character(1),
    barcode_import character(1),
    "row" integer
);


ALTER TABLE public.import_map OWNER TO postgres;

--
-- TOC entry 2496 (class 1259 OID 78806)
-- Dependencies: 2495 5
-- Name: import_map_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE import_map_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.import_map_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5310 (class 0 OID 0)
-- Dependencies: 2496
-- Name: import_map_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE import_map_nsuk_seq OWNED BY import_map.nsuk;


--
-- TOC entry 2497 (class 1259 OID 78808)
-- Dependencies: 5
-- Name: inv_details; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE inv_details (
    nsuk integer NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    idetail_type character(1),
    idetail_line integer,
    line_number integer,
    docket_type integer,
    docket_number integer,
    doc_date date,
    contract_location integer,
    contract integer,
    site integer,
    manual_ref integer,
    order_no character(20)
);


ALTER TABLE public.inv_details OWNER TO postgres;

--
-- TOC entry 2498 (class 1259 OID 78810)
-- Dependencies: 2497 5
-- Name: inv_details_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE inv_details_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.inv_details_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5311 (class 0 OID 0)
-- Dependencies: 2498
-- Name: inv_details_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE inv_details_nsuk_seq OWNED BY inv_details.nsuk;


--
-- TOC entry 2499 (class 1259 OID 78812)
-- Dependencies: 5
-- Name: inv_except; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE inv_except (
    doc_type character(2),
    location integer,
    ref integer,
    cust character(7),
    credit_location integer
);


ALTER TABLE public.inv_except OWNER TO postgres;

--
-- TOC entry 2500 (class 1259 OID 78814)
-- Dependencies: 5
-- Name: inv_globals; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE inv_globals (
    nsuk integer NOT NULL,
    per_envelope numeric(16,4),
    shredding numeric(16,4),
    mth_disposal numeric(16,4),
    vat_rate numeric(10,2)
);


ALTER TABLE public.inv_globals OWNER TO postgres;

--
-- TOC entry 2501 (class 1259 OID 78816)
-- Dependencies: 2500 5
-- Name: inv_globals_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE inv_globals_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.inv_globals_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5312 (class 0 OID 0)
-- Dependencies: 2501
-- Name: inv_globals_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE inv_globals_nsuk_seq OWNED BY inv_globals.nsuk;


--
-- TOC entry 2502 (class 1259 OID 78818)
-- Dependencies: 5
-- Name: invoice_except; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE invoice_except (
    location integer,
    operator integer,
    dat date,
    tim time without time zone,
    period date,
    amount_due numeric(16,2),
    amount_paid numeric(16,2),
    contract integer,
    invoice_ref integer,
    depot integer,
    cust character(7),
    note integer
);


ALTER TABLE public.invoice_except OWNER TO postgres;

--
-- TOC entry 5313 (class 0 OID 0)
-- Dependencies: 2502
-- Name: TABLE invoice_except; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE invoice_except IS 'This table was called ''except'' on IFMX but this is a reserved word
in postgres so it has been changed to invoice_except.

''except'' is referred to in contract.4gl
';


--
-- TOC entry 2503 (class 1259 OID 78820)
-- Dependencies: 5
-- Name: invoice_trigger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE invoice_trigger (
    nsuk integer NOT NULL,
    ihead integer,
    print_rates integer,
    screen integer,
    error_flag integer,
    error_description character(60)
);


ALTER TABLE public.invoice_trigger OWNER TO postgres;

--
-- TOC entry 2504 (class 1259 OID 78822)
-- Dependencies: 2503 5
-- Name: invoice_trigger_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE invoice_trigger_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.invoice_trigger_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5314 (class 0 OID 0)
-- Dependencies: 2504
-- Name: invoice_trigger_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE invoice_trigger_nsuk_seq OWNED BY invoice_trigger.nsuk;


--
-- TOC entry 2505 (class 1259 OID 78824)
-- Dependencies: 5
-- Name: iod_allocation; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE iod_allocation (
    nsuk integer NOT NULL,
    detail integer NOT NULL,
    gidetail integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    pt_serial integer
);


ALTER TABLE public.iod_allocation OWNER TO postgres;

--
-- TOC entry 2506 (class 1259 OID 78826)
-- Dependencies: 2505 5
-- Name: iod_allocation_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE iod_allocation_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.iod_allocation_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5315 (class 0 OID 0)
-- Dependencies: 2506
-- Name: iod_allocation_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE iod_allocation_nsuk_seq OWNED BY iod_allocation.nsuk;


--
-- TOC entry 2507 (class 1259 OID 78828)
-- Dependencies: 5
-- Name: iodetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE iodetail (
    nsuk integer NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    typ character(1),
    product character(7),
    qty numeric(10,2) NOT NULL,
    price numeric(16,4) NOT NULL,
    cost numeric(10,2) NOT NULL,
    goods numeric(16,4),
    discount numeric(4,2),
    vcode integer,
    vrate numeric(4,2),
    vat numeric(16,4) NOT NULL,
    nominal character(6),
    note integer,
    barcode character(13),
    updated integer,
    product_type integer
);


ALTER TABLE public.iodetail OWNER TO postgres;

--
-- TOC entry 2508 (class 1259 OID 78830)
-- Dependencies: 2507 5
-- Name: iodetail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE iodetail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.iodetail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5316 (class 0 OID 0)
-- Dependencies: 2508
-- Name: iodetail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE iodetail_nsuk_seq OWNED BY iodetail.nsuk;


--
-- TOC entry 2509 (class 1259 OID 78832)
-- Dependencies: 5
-- Name: ioh_cdisposal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ioh_cdisposal (
    contract integer,
    lin integer,
    pdesc character(4),
    reg character(6),
    qty integer,
    unit_sell numeric(16,2),
    vcode integer,
    location integer,
    returned integer,
    discount numeric(4,2),
    operator integer,
    notes integer,
    return_docket integer
);


ALTER TABLE public.ioh_cdisposal OWNER TO postgres;

--
-- TOC entry 2510 (class 1259 OID 78834)
-- Dependencies: 5
-- Name: ioh_chdetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ioh_chdetail (
    contract integer,
    lin integer,
    package_name character(4),
    package_seq integer,
    pdesc character(4) NOT NULL,
    reg character(6),
    date_from date,
    date_started date,
    time_out time without time zone,
    vcode integer,
    charge_period character(1),
    date_due_back date,
    already_charged integer,
    credit integer,
    already_invoiced numeric(16,2),
    discount numeric(4,2) NOT NULL,
    pricetype character(8),
    same numeric(16,2) NOT NULL,
    day1 numeric(16,2) NOT NULL,
    day2 numeric(16,2) NOT NULL,
    day3 numeric(16,2) NOT NULL,
    day4 numeric(16,2) NOT NULL,
    day5 numeric(16,2) NOT NULL,
    day6 numeric(16,2) NOT NULL,
    week numeric(16,2) NOT NULL,
    hr numeric(16,2) NOT NULL,
    min_charge numeric(16,2) NOT NULL,
    qty integer NOT NULL,
    days_on_hire integer,
    location integer,
    depot integer,
    cust character(7),
    picked integer,
    operator integer,
    notes integer,
    half_day numeric(16,2) NOT NULL,
    return_docket integer
);


ALTER TABLE public.ioh_chdetail OWNER TO postgres;

--
-- TOC entry 2511 (class 1259 OID 78836)
-- Dependencies: 5
-- Name: ioh_codetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ioh_codetail (
    contract integer,
    lin integer,
    product character(7),
    unit_sell numeric(16,4),
    vcode integer,
    qty numeric(10,2) NOT NULL,
    discount numeric(4,2) NOT NULL,
    unit_cost numeric(16,2),
    location integer,
    invoice_when character(1),
    notes integer,
    picked character(1),
    operator integer,
    quotation character(8),
    product_type integer,
    barcode character(13),
    return_docket integer
);


ALTER TABLE public.ioh_codetail OWNER TO postgres;

--
-- TOC entry 2512 (class 1259 OID 78838)
-- Dependencies: 3540 5
-- Name: ioh_disp; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ioh_disp (
    nsuk integer DEFAULT nextval(('"public"."ioh_disp_nsuk_seq"'::text)::regclass) NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    goods numeric(16,2),
    vat numeric(16,2) NOT NULL,
    qty integer NOT NULL,
    vcode integer,
    vrate numeric(4,2),
    plondi numeric(16,2),
    unit_sell numeric(16,2),
    nominal character(6),
    note integer,
    disposal integer,
    dat date,
    contract_location integer,
    contract integer,
    manual integer,
    order_no character(16),
    site integer,
    sales_rep integer,
    head_note integer,
    return_docket integer,
    docket_type integer,
    docket_number integer,
    doc_date date
);


ALTER TABLE public.ioh_disp OWNER TO postgres;

--
-- TOC entry 2513 (class 1259 OID 78841)
-- Dependencies: 5
-- Name: ioh_disp_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ioh_disp_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    MAXVALUE 2147483647
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ioh_disp_nsuk_seq OWNER TO postgres;

--
-- TOC entry 2514 (class 1259 OID 78843)
-- Dependencies: 3541 5
-- Name: ioh_hire; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ioh_hire (
    nsuk integer DEFAULT nextval(('"public"."ioh_hire_nsuk_seq"'::text)::regclass) NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    typ character(1),
    plant_desc character(4),
    plant_ref character(6),
    qty integer NOT NULL,
    date_out date,
    date_in date,
    time_in time without time zone,
    rate numeric(8,2) NOT NULL,
    charge_period character(1),
    dayes integer,
    vcode integer,
    vrate numeric(4,2),
    vat numeric(10,2) NOT NULL,
    goods numeric(10,2) NOT NULL,
    return_docket integer,
    nominal character(6),
    min_applied character(1),
    discount numeric(4,2),
    note integer,
    time_charged numeric(8,2),
    dat date,
    contract_location integer,
    contract integer,
    manual integer,
    order_no character(16),
    site integer,
    sales_rep integer,
    head_note integer,
    docket_type integer,
    docket_number integer,
    doc_date date
);


ALTER TABLE public.ioh_hire OWNER TO postgres;

--
-- TOC entry 2515 (class 1259 OID 78846)
-- Dependencies: 5
-- Name: ioh_hire_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ioh_hire_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    MAXVALUE 2147483647
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ioh_hire_nsuk_seq OWNER TO postgres;

--
-- TOC entry 2516 (class 1259 OID 78848)
-- Dependencies: 3542 5
-- Name: ioh_sale; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ioh_sale (
    nsuk integer DEFAULT nextval(('"public"."ioh_sale_nsuk_seq"'::text)::regclass) NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    typ character(1),
    product character(7),
    qty numeric(10,2) NOT NULL,
    price numeric(16,4) NOT NULL,
    cost numeric(10,2) NOT NULL,
    goods numeric(16,4),
    discount numeric(4,2),
    vcode integer,
    vrate numeric(4,2),
    vat numeric(16,4) NOT NULL,
    nominal character(6),
    note integer,
    barcode character(13),
    updated integer,
    product_type integer,
    dat date,
    contract_location integer,
    contract integer,
    manual integer,
    order_no character(16),
    site integer,
    sales_rep integer,
    head_note integer,
    docket_type integer,
    docket_number integer,
    doc_date date
);


ALTER TABLE public.ioh_sale OWNER TO postgres;

--
-- TOC entry 2517 (class 1259 OID 78851)
-- Dependencies: 5
-- Name: ioh_sale_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ioh_sale_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    MAXVALUE 2147483647
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ioh_sale_nsuk_seq OWNER TO postgres;

--
-- TOC entry 2518 (class 1259 OID 78853)
-- Dependencies: 5
-- Name: issuers; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE issuers (
    issuer integer,
    descr character(20),
    bank_ac character(8)
);


ALTER TABLE public.issuers OWNER TO postgres;

--
-- TOC entry 2519 (class 1259 OID 78855)
-- Dependencies: 5
-- Name: java_columns; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE java_columns (
    name character(40),
    preferred_size integer,
    minimum_size integer,
    maximum_size integer
);


ALTER TABLE public.java_columns OWNER TO postgres;

--
-- TOC entry 2520 (class 1259 OID 78857)
-- Dependencies: 5
-- Name: jdetails; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE jdetails (
    ser integer NOT NULL,
    journal_no integer,
    ledger character(1),
    depot integer,
    cod character(7),
    nl_trans integer
);


ALTER TABLE public.jdetails OWNER TO postgres;

--
-- TOC entry 2521 (class 1259 OID 78859)
-- Dependencies: 2520 5
-- Name: jdetails_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE jdetails_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.jdetails_ser_seq OWNER TO postgres;

--
-- TOC entry 5317 (class 0 OID 0)
-- Dependencies: 2521
-- Name: jdetails_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE jdetails_ser_seq OWNED BY jdetails.ser;


--
-- TOC entry 2522 (class 1259 OID 78861)
-- Dependencies: 5
-- Name: jfplist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE jfplist (
    cust_name character(30),
    cust_add1 character(30),
    cust_add2 character(30),
    cust_add3 character(30),
    cust_add4 character(30),
    cust_depot integer,
    cust_cod character(7),
    depot_name character(20),
    depot_add1 character(30),
    depot_add2 character(30),
    depot_add3 character(30),
    depot_add4 character(30),
    depot_phone character(10),
    depot_fax character(10),
    run_date date,
    run_time time without time zone,
    site_ref integer,
    site_name character(20),
    description character(60),
    qty integer,
    date_started date,
    contract integer,
    pdesc character(4),
    pregister character(7),
    weekly_rate numeric(10,2),
    charge_to_date numeric(10,2),
    weekly_charge numeric(10,2),
    order_no character(16),
    invchr_to_date numeric(10,2)
);


ALTER TABLE public.jfplist OWNER TO postgres;

--
-- TOC entry 2523 (class 1259 OID 78863)
-- Dependencies: 5
-- Name: jfreeinvsum; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE jfreeinvsum (
    cust_name character(30),
    cust_add1 character(30),
    cust_add2 character(30),
    cust_add3 character(30),
    cust_add4 character(30),
    cust_depot integer,
    cust_cod character(7),
    depot_name character(20),
    depot_add1 character(30),
    depot_add2 character(30),
    depot_add3 character(30),
    depot_add4 character(30),
    depot_phone character(10),
    depot_fax character(10),
    run_date date,
    run_time time without time zone,
    site_ref integer,
    site_name character(20),
    hire_status integer,
    goods numeric(10,2),
    vat numeric(10,2),
    goodsv numeric(10,2),
    invoice_number integer
);


ALTER TABLE public.jfreeinvsum OWNER TO postgres;

--
-- TOC entry 2524 (class 1259 OID 78865)
-- Dependencies: 5
-- Name: journals; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE journals (
    ser integer NOT NULL,
    nominal_period date,
    operator integer,
    location integer,
    source character(2),
    batch integer,
    dat date,
    note integer
);


ALTER TABLE public.journals OWNER TO postgres;

--
-- TOC entry 2525 (class 1259 OID 78867)
-- Dependencies: 2524 5
-- Name: journals_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE journals_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.journals_ser_seq OWNER TO postgres;

--
-- TOC entry 5318 (class 0 OID 0)
-- Dependencies: 2525
-- Name: journals_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE journals_ser_seq OWNED BY journals.ser;


--
-- TOC entry 2526 (class 1259 OID 78869)
-- Dependencies: 5
-- Name: jw_message; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE jw_message (
    nsuk integer NOT NULL,
    text character varying(255) NOT NULL,
    created timestamp without time zone NOT NULL
);


ALTER TABLE public.jw_message OWNER TO postgres;

--
-- TOC entry 2527 (class 1259 OID 78871)
-- Dependencies: 2526 5
-- Name: jw_message_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE jw_message_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.jw_message_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5319 (class 0 OID 0)
-- Dependencies: 2527
-- Name: jw_message_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE jw_message_nsuk_seq OWNED BY jw_message.nsuk;


--
-- TOC entry 2528 (class 1259 OID 78873)
-- Dependencies: 5
-- Name: licence; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE licence (
    nsuk integer NOT NULL,
    company_name character(30) NOT NULL,
    number_of_users integer,
    expiry_date date,
    key_code character(50) NOT NULL
);


ALTER TABLE public.licence OWNER TO postgres;

--
-- TOC entry 2529 (class 1259 OID 78875)
-- Dependencies: 2528 5
-- Name: licence_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE licence_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.licence_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5320 (class 0 OID 0)
-- Dependencies: 2529
-- Name: licence_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE licence_nsuk_seq OWNED BY licence.nsuk;


--
-- TOC entry 2530 (class 1259 OID 78877)
-- Dependencies: 5
-- Name: line_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE line_status (
    nsuk integer NOT NULL,
    descr character(16),
    valid_for character(8)
);


ALTER TABLE public.line_status OWNER TO postgres;

--
-- TOC entry 2531 (class 1259 OID 78879)
-- Dependencies: 2530 5
-- Name: line_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE line_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.line_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5321 (class 0 OID 0)
-- Dependencies: 2531
-- Name: line_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE line_status_nsuk_seq OWNED BY line_status.nsuk;


--
-- TOC entry 2532 (class 1259 OID 78881)
-- Dependencies: 5
-- Name: line_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE line_type (
    nsuk integer NOT NULL,
    descr character(16),
    valid_for character(8)
);


ALTER TABLE public.line_type OWNER TO postgres;

--
-- TOC entry 2533 (class 1259 OID 78883)
-- Dependencies: 2532 5
-- Name: line_type_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE line_type_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.line_type_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5322 (class 0 OID 0)
-- Dependencies: 2533
-- Name: line_type_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE line_type_nsuk_seq OWNED BY line_type.nsuk;


--
-- TOC entry 2534 (class 1259 OID 78885)
-- Dependencies: 5
-- Name: load_chead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE load_chead (
    contract integer,
    location integer,
    cust character(7),
    depot integer,
    site character(3),
    order_no character(16),
    dat date,
    tim time without time zone,
    deposit numeric(16,2),
    tender character(8),
    manual_ref integer,
    policy character(6),
    calendar character(6),
    operator integer,
    invoiced_to date,
    note integer,
    hire_disc numeric(4,2) NOT NULL,
    sales_disc numeric(4,2) NOT NULL,
    quotation character(8)
);


ALTER TABLE public.load_chead OWNER TO postgres;

--
-- TOC entry 2535 (class 1259 OID 78887)
-- Dependencies: 5
-- Name: load_custsite; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE load_custsite (
    depot integer,
    cust character(7),
    site character(3),
    description character(20),
    calendar character(8),
    distance integer
);


ALTER TABLE public.load_custsite OWNER TO postgres;

--
-- TOC entry 2536 (class 1259 OID 78889)
-- Dependencies: 5
-- Name: load_notes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE load_notes (
    depot integer,
    cust character(7),
    descr character(100)
);


ALTER TABLE public.load_notes OWNER TO postgres;

--
-- TOC entry 2537 (class 1259 OID 78891)
-- Dependencies: 5
-- Name: lock_log; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE lock_log (
    id integer NOT NULL,
    locker character(10),
    on_tty character(15),
    whenn timestamp without time zone,
    action character(8),
    func_name character(18)
);


ALTER TABLE public.lock_log OWNER TO postgres;

--
-- TOC entry 2538 (class 1259 OID 78893)
-- Dependencies: 2537 5
-- Name: lock_log_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE lock_log_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.lock_log_id_seq OWNER TO postgres;

--
-- TOC entry 5323 (class 0 OID 0)
-- Dependencies: 2538
-- Name: lock_log_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE lock_log_id_seq OWNED BY lock_log.id;


--
-- TOC entry 3068 (class 1259 OID 445891)
-- Dependencies: 5
-- Name: lockrows; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE lockrows (
    key character(255) NOT NULL,
    session_id integer
);


ALTER TABLE public.lockrows OWNER TO postgres;

--
-- TOC entry 2539 (class 1259 OID 78895)
-- Dependencies: 5
-- Name: lodgement; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE lodgement (
    period date,
    dat date,
    location integer,
    cod integer NOT NULL,
    source character(2),
    batch integer,
    amount numeric(16,2),
    operator integer,
    reference character(20)
);


ALTER TABLE public.lodgement OWNER TO postgres;

--
-- TOC entry 2540 (class 1259 OID 78897)
-- Dependencies: 5
-- Name: log_info; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE log_info (
    tabel character(15),
    start_date timestamp without time zone,
    date timestamp without time zone,
    log_cnt integer
);


ALTER TABLE public.log_info OWNER TO postgres;

--
-- TOC entry 2541 (class 1259 OID 78899)
-- Dependencies: 5
-- Name: login; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE login (
    operator integer,
    depot integer,
    bank character(6),
    cash character(6),
    out_put character(1),
    printer integer,
    dat date,
    screen integer,
    receipt integer,
    posinuse integer,
    scanning integer
);


ALTER TABLE public.login OWNER TO postgres;

--
-- TOC entry 2542 (class 1259 OID 78901)
-- Dependencies: 5
-- Name: logindefaults; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE logindefaults (
    ttyname character(12),
    depot integer,
    bank character(6),
    cash character(6),
    out_put character(1),
    printer integer,
    receipt integer
);


ALTER TABLE public.logindefaults OWNER TO postgres;

--
-- TOC entry 2543 (class 1259 OID 78903)
-- Dependencies: 5
-- Name: master_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE master_category (
    nsuk integer NOT NULL,
    description character(30) NOT NULL,
    category_type integer NOT NULL
);


ALTER TABLE public.master_category OWNER TO postgres;

--
-- TOC entry 2544 (class 1259 OID 78905)
-- Dependencies: 2543 5
-- Name: master_category_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE master_category_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.master_category_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5324 (class 0 OID 0)
-- Dependencies: 2544
-- Name: master_category_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE master_category_nsuk_seq OWNED BY master_category.nsuk;


--
-- TOC entry 2545 (class 1259 OID 78907)
-- Dependencies: 5
-- Name: matchxref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE matchxref (
    unmatched integer,
    pcost integer,
    qty integer
);


ALTER TABLE public.matchxref OWNER TO postgres;

--
-- TOC entry 2546 (class 1259 OID 78909)
-- Dependencies: 5
-- Name: menu_item_mask; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE menu_item_mask (
    id integer NOT NULL,
    menu_item character(60) NOT NULL,
    status integer NOT NULL
);


ALTER TABLE public.menu_item_mask OWNER TO postgres;

--
-- TOC entry 2547 (class 1259 OID 78911)
-- Dependencies: 5
-- Name: menu_item_pass; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE menu_item_pass (
    id integer NOT NULL,
    menu_item character(60),
    status integer
);


ALTER TABLE public.menu_item_pass OWNER TO postgres;

--
-- TOC entry 2548 (class 1259 OID 78913)
-- Dependencies: 5
-- Name: mir_trtest; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE mir_trtest (
    name character(29),
    action character(6),
    dat date
);


ALTER TABLE public.mir_trtest OWNER TO postgres;

--
-- TOC entry 2549 (class 1259 OID 78915)
-- Dependencies: 5
-- Name: mirror; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE mirror (
    id integer NOT NULL,
    tbl_name character varying(64),
    action character(6),
    tstamp timestamp without time zone
);


ALTER TABLE public.mirror OWNER TO postgres;

--
-- TOC entry 2550 (class 1259 OID 78917)
-- Dependencies: 2549 5
-- Name: mirror_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE mirror_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.mirror_id_seq OWNER TO postgres;

--
-- TOC entry 5325 (class 0 OID 0)
-- Dependencies: 2550
-- Name: mirror_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE mirror_id_seq OWNED BY mirror.id;


--
-- TOC entry 2551 (class 1259 OID 78919)
-- Dependencies: 5
-- Name: mirror_key; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE mirror_key (
    id integer NOT NULL,
    mirror_id integer,
    key_name character varying(32),
    key_val character varying(128)
);


ALTER TABLE public.mirror_key OWNER TO postgres;

--
-- TOC entry 2552 (class 1259 OID 78921)
-- Dependencies: 2551 5
-- Name: mirror_key_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE mirror_key_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.mirror_key_id_seq OWNER TO postgres;

--
-- TOC entry 5326 (class 0 OID 0)
-- Dependencies: 2552
-- Name: mirror_key_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE mirror_key_id_seq OWNED BY mirror_key.id;


--
-- TOC entry 2553 (class 1259 OID 78923)
-- Dependencies: 3553 5
-- Name: mirror_message; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE mirror_message (
    id integer NOT NULL,
    mirror_id integer,
    to_depot integer,
    time_sent timestamp without time zone,
    status character(1) DEFAULT 'P'::bpchar NOT NULL
);


ALTER TABLE public.mirror_message OWNER TO postgres;

--
-- TOC entry 2554 (class 1259 OID 78926)
-- Dependencies: 2553 5
-- Name: mirror_message_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE mirror_message_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.mirror_message_id_seq OWNER TO postgres;

--
-- TOC entry 5327 (class 0 OID 0)
-- Dependencies: 2554
-- Name: mirror_message_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE mirror_message_id_seq OWNED BY mirror_message.id;


--
-- TOC entry 2555 (class 1259 OID 78928)
-- Dependencies: 5
-- Name: module; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE module (
    nsuk integer NOT NULL,
    module_name character(30),
    description character(50),
    enabled integer
);


ALTER TABLE public.module OWNER TO postgres;

--
-- TOC entry 2556 (class 1259 OID 78930)
-- Dependencies: 2555 5
-- Name: module_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE module_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.module_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5328 (class 0 OID 0)
-- Dependencies: 2556
-- Name: module_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE module_nsuk_seq OWNED BY module.nsuk;


--
-- TOC entry 2557 (class 1259 OID 78932)
-- Dependencies: 5
-- Name: movement_typ; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE movement_typ (
    nsuk integer NOT NULL,
    descr character(30) NOT NULL,
    effect character(1) NOT NULL,
    reference integer
);


ALTER TABLE public.movement_typ OWNER TO postgres;

--
-- TOC entry 2558 (class 1259 OID 78934)
-- Dependencies: 5
-- Name: next_bcode; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE next_bcode (
    next_barcode character(10)
);


ALTER TABLE public.next_bcode OWNER TO postgres;

--
-- TOC entry 2559 (class 1259 OID 78936)
-- Dependencies: 5
-- Name: nlbals; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nlbals (
    cod character(6),
    cc character(4),
    period date,
    bop_bal numeric(16,2),
    cur_bal numeric(16,2),
    ytd_bal numeric(16,2)
);


ALTER TABLE public.nlbals OWNER TO postgres;

--
-- TOC entry 2560 (class 1259 OID 78938)
-- Dependencies: 5
-- Name: nlbatch; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nlbatch (
    source character(2) NOT NULL,
    seq integer NOT NULL,
    ledger character(1),
    period date,
    dat date,
    location integer,
    stat character(1),
    journal_ref integer
);


ALTER TABLE public.nlbatch OWNER TO postgres;

--
-- TOC entry 2561 (class 1259 OID 78940)
-- Dependencies: 5
-- Name: nlmap; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nlmap (
    nominal_period date,
    ledger character(1),
    from_period date,
    to_period date
);


ALTER TABLE public.nlmap OWNER TO postgres;

--
-- TOC entry 2562 (class 1259 OID 78942)
-- Dependencies: 5
-- Name: nlperiods; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nlperiods (
    period date,
    description character(30),
    from_debtor date,
    to_debtor date,
    from_creditor date,
    to_creditor date
);


ALTER TABLE public.nlperiods OWNER TO postgres;

--
-- TOC entry 2563 (class 1259 OID 78944)
-- Dependencies: 5
-- Name: nltrans; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nltrans (
    trans_no integer NOT NULL,
    cod character(6),
    cc character(4),
    period date,
    dat date,
    source character(2),
    batch integer,
    ref character(10),
    amount numeric(16,2),
    description character(30),
    notes integer,
    accrual character(1),
    tmp character(1),
    location integer,
    cleared character(1),
    currency character(3) NOT NULL,
    currency_amount numeric(16,2)
);


ALTER TABLE public.nltrans OWNER TO postgres;

--
-- TOC entry 2564 (class 1259 OID 78946)
-- Dependencies: 5
-- Name: nltrans_disp; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nltrans_disp (
    trans_no integer,
    disposal_row integer
);


ALTER TABLE public.nltrans_disp OWNER TO postgres;

--
-- TOC entry 2565 (class 1259 OID 78948)
-- Dependencies: 5
-- Name: nltrans_hist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nltrans_hist (
    trans_no integer,
    history_row integer
);


ALTER TABLE public.nltrans_hist OWNER TO postgres;

--
-- TOC entry 2566 (class 1259 OID 78950)
-- Dependencies: 2563 5
-- Name: nltrans_trans_no_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE nltrans_trans_no_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.nltrans_trans_no_seq OWNER TO postgres;

--
-- TOC entry 5329 (class 0 OID 0)
-- Dependencies: 2566
-- Name: nltrans_trans_no_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE nltrans_trans_no_seq OWNED BY nltrans.trans_no;


--
-- TOC entry 2567 (class 1259 OID 78952)
-- Dependencies: 5
-- Name: nominal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nominal (
    cod character(6) NOT NULL,
    parent character(6),
    description character(30),
    leafs integer,
    trading character(1),
    cc_req character(1),
    currency_id character(3),
    lft integer,
    rgt integer
);


ALTER TABLE public.nominal OWNER TO postgres;

--
-- TOC entry 2568 (class 1259 OID 78954)
-- Dependencies: 5
-- Name: note; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE note (
    seq integer NOT NULL,
    lin integer NOT NULL,
    txt character(60),
    counter integer
);


ALTER TABLE public.note OWNER TO postgres;

--
-- TOC entry 2569 (class 1259 OID 78956)
-- Dependencies: 5
-- Name: note_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE note_group (
    nsuk integer NOT NULL,
    note_group integer NOT NULL,
    note_date timestamp without time zone NOT NULL,
    operator integer NOT NULL,
    note integer NOT NULL
);


ALTER TABLE public.note_group OWNER TO postgres;

--
-- TOC entry 2570 (class 1259 OID 78958)
-- Dependencies: 2569 5
-- Name: note_group_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE note_group_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.note_group_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5330 (class 0 OID 0)
-- Dependencies: 2570
-- Name: note_group_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE note_group_nsuk_seq OWNED BY note_group.nsuk;


--
-- TOC entry 2571 (class 1259 OID 78960)
-- Dependencies: 5
-- Name: nparams; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nparams (
    current_period date,
    no_of_periods integer,
    period_number integer,
    debtors character(6),
    creditors character(6),
    disc_allowed character(6),
    disc_received character(6),
    vat character(6),
    retained character(6),
    petty_cash character(6),
    equipment character(6),
    disposals character(6),
    dep_accum character(6),
    plondisp character(6),
    dep_expense character(6),
    plonex character(6),
    equip_suspense character(6),
    accruals character(6),
    capital character(6),
    bad_debts character(6),
    bd_recovered character(6),
    cash_prefix character(4),
    bank_prefix character(4),
    boy_period date
);


ALTER TABLE public.nparams OWNER TO postgres;

--
-- TOC entry 2572 (class 1259 OID 78962)
-- Dependencies: 5
-- Name: nsearch; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE nsearch (
    word character(20),
    nominal character(6)
);


ALTER TABLE public.nsearch OWNER TO postgres;

--
-- TOC entry 2573 (class 1259 OID 78964)
-- Dependencies: 5
-- Name: o_allocation; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE o_allocation (
    nsuk integer NOT NULL,
    detail integer NOT NULL,
    gidetail integer NOT NULL,
    quantity numeric(16,2) NOT NULL
);


ALTER TABLE public.o_allocation OWNER TO postgres;

--
-- TOC entry 2574 (class 1259 OID 78966)
-- Dependencies: 2573 5
-- Name: o_allocation_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE o_allocation_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.o_allocation_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5331 (class 0 OID 0)
-- Dependencies: 2574
-- Name: o_allocation_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE o_allocation_nsuk_seq OWNED BY o_allocation.nsuk;


--
-- TOC entry 2575 (class 1259 OID 78968)
-- Dependencies: 5
-- Name: o_rental; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE o_rental (
    nsuk integer NOT NULL,
    "order" integer NOT NULL,
    line_number integer,
    quotation_line integer,
    asset_reg character(1),
    pdesc character(4) NOT NULL,
    reg character(5),
    date_from date NOT NULL,
    time_out time without time zone NOT NULL,
    date_due_back date,
    time_due_back time without time zone,
    date_in date,
    time_in timestamp without time zone,
    qty integer NOT NULL,
    vcode integer,
    charge_period character(1) NOT NULL,
    discount numeric(16,0) NOT NULL,
    charge_line integer NOT NULL,
    note integer,
    operator integer,
    status integer NOT NULL,
    time_charged numeric(8,2),
    rate numeric(8,2) NOT NULL,
    dayes integer,
    vrate numeric(4,2),
    vat numeric(10,2) NOT NULL,
    goods numeric(10,2) NOT NULL,
    line_type integer,
    worklist integer
);


ALTER TABLE public.o_rental OWNER TO postgres;

--
-- TOC entry 2576 (class 1259 OID 78970)
-- Dependencies: 2575 5
-- Name: o_rental_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE o_rental_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.o_rental_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5332 (class 0 OID 0)
-- Dependencies: 2576
-- Name: o_rental_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE o_rental_nsuk_seq OWNED BY o_rental.nsuk;


--
-- TOC entry 2577 (class 1259 OID 78972)
-- Dependencies: 5
-- Name: o_sale; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE o_sale (
    nsuk integer NOT NULL,
    "order" integer NOT NULL,
    line_number integer NOT NULL,
    quotation_line integer,
    product_type integer NOT NULL,
    std_price numeric(16,2),
    list_price numeric(16,2),
    unit_sell numeric(16,2),
    unit_cost numeric(16,2),
    qty numeric(16,0) NOT NULL,
    original_qty numeric(16,0),
    vcode integer NOT NULL,
    discount numeric(16,2) NOT NULL,
    invoice_when character(1) NOT NULL,
    note integer,
    operator integer NOT NULL,
    status integer NOT NULL,
    line_type integer,
    worklist integer
);


ALTER TABLE public.o_sale OWNER TO postgres;

--
-- TOC entry 2578 (class 1259 OID 78974)
-- Dependencies: 2577 5
-- Name: o_sale_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE o_sale_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.o_sale_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5333 (class 0 OID 0)
-- Dependencies: 2578
-- Name: o_sale_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE o_sale_nsuk_seq OWNED BY o_sale.nsuk;


--
-- TOC entry 2579 (class 1259 OID 78976)
-- Dependencies: 5
-- Name: operator; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE operator (
    cod integer NOT NULL,
    username character(30),
    pswd character(4),
    active character(1),
    sysout smallint,
    authority character(1),
    email character(255)
);


ALTER TABLE public.operator OWNER TO postgres;

--
-- TOC entry 2580 (class 1259 OID 78978)
-- Dependencies: 5
-- Name: order_name; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE order_name (
    depot integer,
    cust character(7),
    order_type character(10),
    name character(16)
);


ALTER TABLE public.order_name OWNER TO postgres;

--
-- TOC entry 2581 (class 1259 OID 78980)
-- Dependencies: 5
-- Name: order_pass; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE order_pass (
    password character(4)
);


ALTER TABLE public.order_pass OWNER TO postgres;

--
-- TOC entry 2582 (class 1259 OID 78982)
-- Dependencies: 5
-- Name: order_regime; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE order_regime (
    depot integer,
    cust character(7),
    order_type character(10),
    order_format character(16)
);


ALTER TABLE public.order_regime OWNER TO postgres;

--
-- TOC entry 2583 (class 1259 OID 78984)
-- Dependencies: 5
-- Name: ordered_by; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ordered_by (
    cod integer,
    prefix character(2),
    name character(20),
    passwd character(4)
);


ALTER TABLE public.ordered_by OWNER TO postgres;

--
-- TOC entry 2584 (class 1259 OID 78986)
-- Dependencies: 5
-- Name: our_bank; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE our_bank (
    nominal character(6) NOT NULL,
    sorting_code character(6) NOT NULL,
    account_number character(8) NOT NULL,
    account_name character(20) NOT NULL,
    eft_user_id integer NOT NULL,
    eft_file_number integer NOT NULL
);


ALTER TABLE public.our_bank OWNER TO postgres;

--
-- TOC entry 2585 (class 1259 OID 78988)
-- Dependencies: 5
-- Name: p_controls; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE p_controls (
    model character(10),
    forms_type character(2),
    on_string character(10),
    off_string character(10),
    on_1 integer,
    on_2 integer,
    on_3 integer,
    on_4 integer,
    on_5 integer,
    on_6 integer,
    on_7 integer,
    on_8 integer,
    off_1 integer,
    off_2 integer,
    off_3 integer,
    off_4 integer,
    off_5 integer,
    off_6 integer,
    off_7 integer,
    off_8 integer
);


ALTER TABLE public.p_controls OWNER TO postgres;

--
-- TOC entry 2586 (class 1259 OID 78990)
-- Dependencies: 5
-- Name: p_model; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE p_model (
    cod character(10),
    description character(20)
);


ALTER TABLE public.p_model OWNER TO postgres;

--
-- TOC entry 2587 (class 1259 OID 78992)
-- Dependencies: 5
-- Name: p_msales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE p_msales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    mth date NOT NULL,
    dept integer NOT NULL,
    dept_group integer NOT NULL,
    supplier character(6) NOT NULL,
    product integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL,
    margin numeric(10,4) NOT NULL,
    mark_up numeric(10,4) NOT NULL,
    sales_rep integer
);


ALTER TABLE public.p_msales OWNER TO postgres;

--
-- TOC entry 2588 (class 1259 OID 78994)
-- Dependencies: 2587 5
-- Name: p_msales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE p_msales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.p_msales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5334 (class 0 OID 0)
-- Dependencies: 2588
-- Name: p_msales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE p_msales_nsuk_seq OWNED BY p_msales.nsuk;


--
-- TOC entry 2589 (class 1259 OID 78996)
-- Dependencies: 5
-- Name: p_vat_rate; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE p_vat_rate (
    rate numeric(4,2)
);


ALTER TABLE public.p_vat_rate OWNER TO postgres;

--
-- TOC entry 2590 (class 1259 OID 78998)
-- Dependencies: 5
-- Name: p_wsales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE p_wsales (
    nsuk integer NOT NULL,
    store smallint NOT NULL,
    yr smallint NOT NULL,
    week_no smallint NOT NULL,
    dept integer NOT NULL,
    dept_group integer NOT NULL,
    supplier character(6) NOT NULL,
    product integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL,
    margin numeric(10,4) NOT NULL,
    mark_up numeric(10,4) NOT NULL,
    sales_rep integer
);


ALTER TABLE public.p_wsales OWNER TO postgres;

--
-- TOC entry 2591 (class 1259 OID 79000)
-- Dependencies: 2590 5
-- Name: p_wsales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE p_wsales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.p_wsales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5335 (class 0 OID 0)
-- Dependencies: 2591
-- Name: p_wsales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE p_wsales_nsuk_seq OWNED BY p_wsales.nsuk;


--
-- TOC entry 2592 (class 1259 OID 79002)
-- Dependencies: 5
-- Name: p_ysales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE p_ysales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    yr integer NOT NULL,
    dept integer NOT NULL,
    dept_group integer NOT NULL,
    supplier character(6) NOT NULL,
    product integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL,
    margin numeric(10,4) NOT NULL,
    mark_up numeric(10,4) NOT NULL,
    sales_rep integer
);


ALTER TABLE public.p_ysales OWNER TO postgres;

--
-- TOC entry 2593 (class 1259 OID 79004)
-- Dependencies: 2592 5
-- Name: p_ysales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE p_ysales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.p_ysales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5336 (class 0 OID 0)
-- Dependencies: 2593
-- Name: p_ysales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE p_ysales_nsuk_seq OWNED BY p_ysales.nsuk;


--
-- TOC entry 2594 (class 1259 OID 79006)
-- Dependencies: 5
-- Name: pallocee; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pallocee (
    allocation integer,
    ee integer,
    amount numeric(16,2),
    discount numeric(16,2)
);


ALTER TABLE public.pallocee OWNER TO postgres;

--
-- TOC entry 2595 (class 1259 OID 79008)
-- Dependencies: 5
-- Name: pallocer; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pallocer (
    allocation integer,
    er integer,
    amount numeric(16,2)
);


ALTER TABLE public.pallocer OWNER TO postgres;

--
-- TOC entry 2596 (class 1259 OID 79010)
-- Dependencies: 5
-- Name: pallocex; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pallocex (
    nsuk integer NOT NULL,
    allocation integer NOT NULL,
    pledger_id integer NOT NULL
);


ALTER TABLE public.pallocex OWNER TO postgres;

--
-- TOC entry 2597 (class 1259 OID 79012)
-- Dependencies: 2596 5
-- Name: pallocex_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pallocex_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pallocex_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5337 (class 0 OID 0)
-- Dependencies: 2597
-- Name: pallocex_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pallocex_nsuk_seq OWNED BY pallocex.nsuk;


--
-- TOC entry 2598 (class 1259 OID 79014)
-- Dependencies: 5
-- Name: pallocper; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pallocper (
    allocation integer NOT NULL,
    period date,
    operator integer,
    dat date,
    supplier character(6)
);


ALTER TABLE public.pallocper OWNER TO postgres;

--
-- TOC entry 2599 (class 1259 OID 79016)
-- Dependencies: 2598 5
-- Name: pallocper_allocation_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pallocper_allocation_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pallocper_allocation_seq OWNER TO postgres;

--
-- TOC entry 5338 (class 0 OID 0)
-- Dependencies: 2599
-- Name: pallocper_allocation_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pallocper_allocation_seq OWNED BY pallocper.allocation;


--
-- TOC entry 2600 (class 1259 OID 79018)
-- Dependencies: 5
-- Name: part_name; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE part_name (
    nsuk integer NOT NULL,
    description character(30) NOT NULL
);


ALTER TABLE public.part_name OWNER TO postgres;

--
-- TOC entry 2601 (class 1259 OID 79020)
-- Dependencies: 2600 5
-- Name: part_name_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE part_name_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.part_name_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5339 (class 0 OID 0)
-- Dependencies: 2601
-- Name: part_name_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE part_name_nsuk_seq OWNED BY part_name.nsuk;


--
-- TOC entry 2602 (class 1259 OID 79022)
-- Dependencies: 5
-- Name: pavail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pavail (
    pdesc character(4),
    location integer,
    stat integer,
    qty integer
);


ALTER TABLE public.pavail OWNER TO postgres;

--
-- TOC entry 2603 (class 1259 OID 79024)
-- Dependencies: 5
-- Name: pc_depot; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pc_depot (
    cod integer,
    descr character(20),
    invoice_prefix character(2),
    cost_centre character(4),
    add1 character(30),
    add2 character(30),
    add3 character(30),
    add4 character(30),
    cash_invoice_no integer,
    contract_no integer,
    return_no integer,
    delivery_no integer,
    exchange_no integer,
    adjustment_no integer,
    remote character(1),
    remote_prefix character(4),
    from_seq integer,
    to_seq integer,
    remote_machine character(1),
    acdepot integer,
    invoice_no integer,
    crnote_no integer,
    transfer_no integer,
    default_cash character(7),
    phone character(10),
    fax character(10),
    dev_name character(14),
    unload_info character(1)
);


ALTER TABLE public.pc_depot OWNER TO postgres;

--
-- TOC entry 2604 (class 1259 OID 79026)
-- Dependencies: 5
-- Name: pc_iddetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pc_iddetail (
    nsuk integer NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    goods numeric(16,2),
    vat numeric(16,2) NOT NULL,
    qty integer NOT NULL,
    vcode integer,
    vrate numeric(4,2),
    plondi numeric(16,2),
    unit_sell numeric(16,2),
    nominal character(6),
    note integer,
    disposal integer
);


ALTER TABLE public.pc_iddetail OWNER TO postgres;

--
-- TOC entry 2605 (class 1259 OID 79028)
-- Dependencies: 2604 5
-- Name: pc_iddetail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pc_iddetail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pc_iddetail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5340 (class 0 OID 0)
-- Dependencies: 2605
-- Name: pc_iddetail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pc_iddetail_nsuk_seq OWNED BY pc_iddetail.nsuk;


--
-- TOC entry 2606 (class 1259 OID 79030)
-- Dependencies: 5
-- Name: pc_ihdetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pc_ihdetail (
    nsuk integer NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    typ character(1),
    plant_desc character(4),
    plant_ref character(6),
    qty integer NOT NULL,
    date_out date,
    date_in date,
    time_in time without time zone,
    rate numeric(8,2) NOT NULL,
    charge_period character(1),
    dayes integer,
    vcode integer,
    vrate numeric(4,2),
    vat numeric(10,2) NOT NULL,
    goods numeric(10,2) NOT NULL,
    return_docket character(8),
    nominal character(6),
    min_applied character(1),
    discount numeric(4,2),
    note integer,
    time_charged numeric(8,2)
);


ALTER TABLE public.pc_ihdetail OWNER TO postgres;

--
-- TOC entry 2607 (class 1259 OID 79032)
-- Dependencies: 2606 5
-- Name: pc_ihdetail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pc_ihdetail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pc_ihdetail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5341 (class 0 OID 0)
-- Dependencies: 2607
-- Name: pc_ihdetail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pc_ihdetail_nsuk_seq OWNED BY pc_ihdetail.nsuk;


--
-- TOC entry 2608 (class 1259 OID 79034)
-- Dependencies: 5
-- Name: pc_ihead; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pc_ihead (
    nsuk integer NOT NULL,
    printed character(1) NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    dat date,
    delivery_1 character(30),
    delivery_2 character(30),
    contract integer,
    manual integer,
    order_no character(16),
    site integer,
    tot numeric(16,2),
    vat numeric(16,2),
    goods numeric(16,2),
    period date,
    cc character(4),
    note integer,
    operator integer,
    typ character(1),
    return_docket integer,
    credited character(1),
    sales_rep integer
);


ALTER TABLE public.pc_ihead OWNER TO postgres;

--
-- TOC entry 2609 (class 1259 OID 79036)
-- Dependencies: 2608 5
-- Name: pc_ihead_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pc_ihead_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pc_ihead_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5342 (class 0 OID 0)
-- Dependencies: 2609
-- Name: pc_ihead_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pc_ihead_nsuk_seq OWNED BY pc_ihead.nsuk;


--
-- TOC entry 2610 (class 1259 OID 79038)
-- Dependencies: 5
-- Name: pc_iodetail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pc_iodetail (
    nsuk integer NOT NULL,
    doc_type character(2),
    location integer,
    ac_location integer,
    cust character(7),
    ref integer,
    line_number integer,
    typ character(1),
    product character(7),
    qty numeric(10,2) NOT NULL,
    price numeric(10,2) NOT NULL,
    cost numeric(10,2) NOT NULL,
    goods numeric(10,2) NOT NULL,
    discount numeric(4,2),
    vcode integer,
    vrate numeric(4,2),
    vat numeric(10,2) NOT NULL,
    nominal character(6),
    note integer,
    barcode character(13),
    updated integer,
    product_type integer
);


ALTER TABLE public.pc_iodetail OWNER TO postgres;

--
-- TOC entry 2611 (class 1259 OID 79040)
-- Dependencies: 2610 5
-- Name: pc_iodetail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pc_iodetail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pc_iodetail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5343 (class 0 OID 0)
-- Dependencies: 2611
-- Name: pc_iodetail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pc_iodetail_nsuk_seq OWNED BY pc_iodetail.nsuk;


--
-- TOC entry 2612 (class 1259 OID 79042)
-- Dependencies: 5
-- Name: pccdetails; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pccdetails (
    ser integer NOT NULL,
    details_ser integer,
    cc character(4),
    goods numeric(16,2)
);


ALTER TABLE public.pccdetails OWNER TO postgres;

--
-- TOC entry 2613 (class 1259 OID 79044)
-- Dependencies: 2612 5
-- Name: pccdetails_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pccdetails_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pccdetails_ser_seq OWNER TO postgres;

--
-- TOC entry 5344 (class 0 OID 0)
-- Dependencies: 2613
-- Name: pccdetails_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pccdetails_ser_seq OWNED BY pccdetails.ser;


--
-- TOC entry 2614 (class 1259 OID 79046)
-- Dependencies: 5
-- Name: pciod_allocation; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pciod_allocation (
    nsuk integer NOT NULL,
    detail integer NOT NULL,
    gidetail integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    pt_serial integer
);


ALTER TABLE public.pciod_allocation OWNER TO postgres;

--
-- TOC entry 2615 (class 1259 OID 79048)
-- Dependencies: 2614 5
-- Name: pciod_allocation_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pciod_allocation_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pciod_allocation_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5345 (class 0 OID 0)
-- Dependencies: 2615
-- Name: pciod_allocation_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pciod_allocation_nsuk_seq OWNED BY pciod_allocation.nsuk;


--
-- TOC entry 2616 (class 1259 OID 79050)
-- Dependencies: 5
-- Name: pcost; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pcost (
    ser integer NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    unit_cost numeric(16,2),
    unit_depn numeric(16,2),
    qty integer,
    dat date,
    supplier character(6),
    invoice_ref character(10),
    source_type character(1),
    original_qty integer,
    qty_invoiced integer
);


ALTER TABLE public.pcost OWNER TO postgres;

--
-- TOC entry 2617 (class 1259 OID 79052)
-- Dependencies: 5
-- Name: pcost_ctrl; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pcost_ctrl (
    period date,
    asset_reg character(1),
    pcost_cost numeric(16,2),
    pcost_depn numeric(16,2),
    sales_cost numeric(16,2),
    sales_depn numeric(16,2),
    disposal_cost numeric(16,2),
    disposal_depn numeric(16,2),
    cr_disposal_cost numeric(16,2),
    cr_disposal_depn numeric(16,2),
    purchase_cost numeric(16,2),
    purchase_depn numeric(16,2),
    cr_purchase_cost numeric(16,2),
    cr_purchase_depn numeric(16,2),
    depreciation numeric(16,2),
    adj_cost numeric(16,2),
    adj_depn numeric(16,2)
);


ALTER TABLE public.pcost_ctrl OWNER TO postgres;

--
-- TOC entry 2618 (class 1259 OID 79054)
-- Dependencies: 5
-- Name: pcost_history; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pcost_history (
    period date,
    ser integer NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    unit_cost numeric(16,2),
    unit_depn numeric(16,2),
    qty integer,
    dat date,
    supplier character(6),
    invoice_ref character(10),
    source_type character(1)
);


ALTER TABLE public.pcost_history OWNER TO postgres;

--
-- TOC entry 2619 (class 1259 OID 79056)
-- Dependencies: 2618 5
-- Name: pcost_history_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pcost_history_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pcost_history_ser_seq OWNER TO postgres;

--
-- TOC entry 5346 (class 0 OID 0)
-- Dependencies: 2619
-- Name: pcost_history_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pcost_history_ser_seq OWNED BY pcost_history.ser;


--
-- TOC entry 2620 (class 1259 OID 79058)
-- Dependencies: 2616 5
-- Name: pcost_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pcost_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pcost_ser_seq OWNER TO postgres;

--
-- TOC entry 5347 (class 0 OID 0)
-- Dependencies: 2620
-- Name: pcost_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pcost_ser_seq OWNED BY pcost.ser;


--
-- TOC entry 3069 (class 1259 OID 445908)
-- Dependencies: 5
-- Name: pcostxref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pcostxref (
    parent integer,
    child integer
);


ALTER TABLE public.pcostxref OWNER TO postgres;

--
-- TOC entry 2621 (class 1259 OID 79060)
-- Dependencies: 5
-- Name: pdesc; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pdesc (
    asset_reg character(1),
    cod character(4) NOT NULL,
    desc1 character(30),
    desc2 character(30),
    desc3 character(30),
    vcode integer,
    typ character(1),
    deposit numeric(16,2),
    nominal character(6),
    hireperiod character(1),
    dep_months integer,
    selling_price numeric(16,2),
    msg_typ character(2)
);


ALTER TABLE public.pdesc OWNER TO postgres;

--
-- TOC entry 2622 (class 1259 OID 79062)
-- Dependencies: 5
-- Name: pdesc_ext; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pdesc_ext (
    pdesc character(4) NOT NULL,
    dept_group integer,
    auto_depreciate integer
);


ALTER TABLE public.pdesc_ext OWNER TO postgres;

--
-- TOC entry 2623 (class 1259 OID 79064)
-- Dependencies: 5
-- Name: pdesc_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pdesc_group (
    asset_reg character(1),
    pdesc character(4),
    group_name character(3)
);


ALTER TABLE public.pdesc_group OWNER TO postgres;

--
-- TOC entry 2624 (class 1259 OID 79066)
-- Dependencies: 5
-- Name: pdesc_parts; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pdesc_parts (
    nsuk integer NOT NULL,
    pdesc character(4) NOT NULL,
    product_type integer NOT NULL,
    part_name integer NOT NULL
);


ALTER TABLE public.pdesc_parts OWNER TO postgres;

--
-- TOC entry 2625 (class 1259 OID 79068)
-- Dependencies: 2624 5
-- Name: pdesc_parts_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pdesc_parts_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pdesc_parts_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5348 (class 0 OID 0)
-- Dependencies: 2625
-- Name: pdesc_parts_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pdesc_parts_nsuk_seq OWNED BY pdesc_parts.nsuk;


--
-- TOC entry 2626 (class 1259 OID 79070)
-- Dependencies: 5
-- Name: pdetails; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pdetails (
    trans_ser integer,
    nominal character(6),
    goods numeric(16,2),
    vcode integer,
    vat numeric(16,2),
    ser integer NOT NULL
);


ALTER TABLE public.pdetails OWNER TO postgres;

--
-- TOC entry 2627 (class 1259 OID 79072)
-- Dependencies: 2626 5
-- Name: pdetails_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pdetails_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pdetails_ser_seq OWNER TO postgres;

--
-- TOC entry 5349 (class 0 OID 0)
-- Dependencies: 2627
-- Name: pdetails_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pdetails_ser_seq OWNED BY pdetails.ser;


--
-- TOC entry 2628 (class 1259 OID 79074)
-- Dependencies: 5
-- Name: pdgroups; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pdgroups (
    cod character(3),
    descr character(30)
);


ALTER TABLE public.pdgroups OWNER TO postgres;

--
-- TOC entry 2629 (class 1259 OID 79076)
-- Dependencies: 5
-- Name: pdsearch; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pdsearch (
    asset_reg character(1),
    word character(20),
    pdesc character(4)
);


ALTER TABLE public.pdsearch OWNER TO postgres;

--
-- TOC entry 2630 (class 1259 OID 79078)
-- Dependencies: 5
-- Name: period_map; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE period_map (
    nsuk integer NOT NULL,
    period date NOT NULL,
    boy_period date NOT NULL
);


ALTER TABLE public.period_map OWNER TO postgres;

--
-- TOC entry 2631 (class 1259 OID 79080)
-- Dependencies: 2630 5
-- Name: period_map_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE period_map_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.period_map_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5350 (class 0 OID 0)
-- Dependencies: 2631
-- Name: period_map_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE period_map_nsuk_seq OWNED BY period_map.nsuk;


--
-- TOC entry 2632 (class 1259 OID 79082)
-- Dependencies: 5
-- Name: pgmfavorites_seq_id; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pgmfavorites_seq_id
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pgmfavorites_seq_id OWNER TO postgres;

--
-- TOC entry 2633 (class 1259 OID 79084)
-- Dependencies: 3578 5
-- Name: pgmfavorites; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pgmfavorites (
    id bigint DEFAULT nextval('pgmfavorites_seq_id'::regclass) NOT NULL,
    fav_name text,
    fav_source text,
    fav_path text
);


ALTER TABLE public.pgmfavorites OWNER TO postgres;

--
-- TOC entry 2634 (class 1259 OID 79090)
-- Dependencies: 5
-- Name: pgmreports; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pgmreports (
    id integer NOT NULL,
    repalias character varying(100) NOT NULL,
    repname character varying(100) NOT NULL,
    source bytea NOT NULL
);


ALTER TABLE public.pgmreports OWNER TO postgres;

--
-- TOC entry 5351 (class 0 OID 0)
-- Dependencies: 2634
-- Name: TABLE pgmreports; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE pgmreports IS 'SQL Manager 2005 reports repository table. Please don''t modify this table and its subobjects.';


--
-- TOC entry 2635 (class 1259 OID 79095)
-- Dependencies: 2634 5
-- Name: pgmreports_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pgmreports_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pgmreports_id_seq OWNER TO postgres;

--
-- TOC entry 5352 (class 0 OID 0)
-- Dependencies: 2635
-- Name: pgmreports_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pgmreports_id_seq OWNED BY pgmreports.id;


--
-- TOC entry 2636 (class 1259 OID 79097)
-- Dependencies: 5
-- Name: phistory; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE phistory (
    ser integer NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    typ integer,
    nominal_period date,
    sales_period date,
    dat date,
    location integer,
    depot integer,
    cust character(7),
    supp character(6),
    unit_cost numeric(16,2),
    unit_depn numeric(16,2),
    qty integer,
    unit_sell numeric(16,2),
    unit_plondi numeric(16,2),
    invoice_ref character(12),
    qty_left integer,
    note integer,
    pcost integer
);


ALTER TABLE public.phistory OWNER TO postgres;

--
-- TOC entry 2637 (class 1259 OID 79099)
-- Dependencies: 2636 5
-- Name: phistory_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE phistory_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.phistory_ser_seq OWNER TO postgres;

--
-- TOC entry 5353 (class 0 OID 0)
-- Dependencies: 2637
-- Name: phistory_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE phistory_ser_seq OWNED BY phistory.ser;


--
-- TOC entry 2638 (class 1259 OID 79101)
-- Dependencies: 5
-- Name: pi_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pi_detail (
    nsuk integer NOT NULL,
    pi_head integer NOT NULL,
    po_detail integer,
    product_type integer NOT NULL,
    qty_invoiced numeric(16,2),
    vat_code integer NOT NULL,
    vat_rate numeric(4,2),
    expected_cost numeric(16,4),
    invoiced_cost numeric(16,4) NOT NULL,
    adj_invoiced_cost numeric(16,4) NOT NULL,
    allocated_cost numeric(16,4) NOT NULL,
    passed_cost numeric(16,4) NOT NULL,
    lock_count integer NOT NULL,
    product_class character(1) NOT NULL
);


ALTER TABLE public.pi_detail OWNER TO postgres;

--
-- TOC entry 2639 (class 1259 OID 79103)
-- Dependencies: 2638 5
-- Name: pi_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pi_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pi_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5354 (class 0 OID 0)
-- Dependencies: 2639
-- Name: pi_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pi_detail_nsuk_seq OWNED BY pi_detail.nsuk;


--
-- TOC entry 2640 (class 1259 OID 79105)
-- Dependencies: 5
-- Name: pi_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pi_head (
    nsuk integer NOT NULL,
    date_entered date NOT NULL,
    supplier character(6) NOT NULL,
    entered_by integer NOT NULL,
    status integer NOT NULL,
    notes integer,
    supplier_ref character(20),
    our_ref character(20) NOT NULL,
    pledger_ser integer,
    goods numeric(16,2),
    vat numeric(16,2),
    total numeric(16,2)
);


ALTER TABLE public.pi_head OWNER TO postgres;

--
-- TOC entry 2641 (class 1259 OID 79107)
-- Dependencies: 2640 5
-- Name: pi_head_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pi_head_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pi_head_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5355 (class 0 OID 0)
-- Dependencies: 2641
-- Name: pi_head_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pi_head_nsuk_seq OWNED BY pi_head.nsuk;


--
-- TOC entry 2642 (class 1259 OID 79109)
-- Dependencies: 5
-- Name: pi_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pi_status (
    nsuk integer NOT NULL,
    description character(20)
);


ALTER TABLE public.pi_status OWNER TO postgres;

--
-- TOC entry 2643 (class 1259 OID 79111)
-- Dependencies: 2642 5
-- Name: pi_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pi_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pi_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5356 (class 0 OID 0)
-- Dependencies: 2643
-- Name: pi_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pi_status_nsuk_seq OWNED BY pi_status.nsuk;


--
-- TOC entry 2644 (class 1259 OID 79113)
-- Dependencies: 5
-- Name: pid_reasons; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pid_reasons (
    nsuk integer NOT NULL,
    pi_detail integer NOT NULL,
    unpassed_reason integer NOT NULL,
    note integer,
    cleared_by integer,
    active integer NOT NULL
);


ALTER TABLE public.pid_reasons OWNER TO postgres;

--
-- TOC entry 2645 (class 1259 OID 79115)
-- Dependencies: 2644 5
-- Name: pid_reasons_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pid_reasons_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pid_reasons_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5357 (class 0 OID 0)
-- Dependencies: 2645
-- Name: pid_reasons_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pid_reasons_nsuk_seq OWNED BY pid_reasons.nsuk;


--
-- TOC entry 2646 (class 1259 OID 79117)
-- Dependencies: 5
-- Name: plant_search; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE plant_search (
    word character(20) NOT NULL,
    pdesc character(4),
    asset_reg character(1),
    reg character(6)
);


ALTER TABLE public.plant_search OWNER TO postgres;

--
-- TOC entry 2647 (class 1259 OID 79119)
-- Dependencies: 5
-- Name: plant_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE plant_status (
    nsuk integer NOT NULL,
    description character(25) NOT NULL
);


ALTER TABLE public.plant_status OWNER TO postgres;

--
-- TOC entry 2648 (class 1259 OID 79121)
-- Dependencies: 2647 5
-- Name: plant_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE plant_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.plant_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5358 (class 0 OID 0)
-- Dependencies: 2648
-- Name: plant_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE plant_status_nsuk_seq OWNED BY plant_status.nsuk;


--
-- TOC entry 2649 (class 1259 OID 79123)
-- Dependencies: 5
-- Name: pledger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pledger (
    supplier character(6),
    dat date,
    ser integer NOT NULL,
    period date,
    typ integer,
    amount numeric(16,2),
    os numeric(16,2),
    original numeric(16,2),
    vat numeric(16,2),
    ref character(10),
    your_ref character(10),
    conversion_rate numeric(9,7),
    currency character(3),
    locked character(1),
    source character(2),
    batch integer,
    payment_method integer,
    payment_processed integer,
    query_note_group integer,
    query_active integer,
    passed integer,
    payment_due_date date,
    po_invoice integer,
    bank_cleared integer,
    currency_os numeric(16,2),
    image_ref_id integer
);


ALTER TABLE public.pledger OWNER TO postgres;

--
-- TOC entry 2650 (class 1259 OID 79125)
-- Dependencies: 5
-- Name: pledger_nltrans; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pledger_nltrans (
    nsuk integer NOT NULL,
    pledger_id integer,
    nltrans_id integer
);


ALTER TABLE public.pledger_nltrans OWNER TO postgres;

--
-- TOC entry 2651 (class 1259 OID 79127)
-- Dependencies: 2650 5
-- Name: pledger_nltrans_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pledger_nltrans_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pledger_nltrans_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5359 (class 0 OID 0)
-- Dependencies: 2651
-- Name: pledger_nltrans_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pledger_nltrans_nsuk_seq OWNED BY pledger_nltrans.nsuk;


--
-- TOC entry 2652 (class 1259 OID 79129)
-- Dependencies: 2649 5
-- Name: pledger_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pledger_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pledger_ser_seq OWNER TO postgres;

--
-- TOC entry 5360 (class 0 OID 0)
-- Dependencies: 2652
-- Name: pledger_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pledger_ser_seq OWNED BY pledger.ser;


--
-- TOC entry 2653 (class 1259 OID 79131)
-- Dependencies: 5
-- Name: pledgerext; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pledgerext (
    pledger_ser integer NOT NULL,
    note integer,
    status integer
);


ALTER TABLE public.pledgerext OWNER TO postgres;

--
-- TOC entry 2654 (class 1259 OID 79133)
-- Dependencies: 5
-- Name: plnlxref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE plnlxref (
    nsuk integer NOT NULL,
    pledger integer NOT NULL,
    nltrans integer NOT NULL
);


ALTER TABLE public.plnlxref OWNER TO postgres;

--
-- TOC entry 2655 (class 1259 OID 79135)
-- Dependencies: 2654 5
-- Name: plnlxref_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE plnlxref_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.plnlxref_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5361 (class 0 OID 0)
-- Dependencies: 2655
-- Name: plnlxref_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE plnlxref_nsuk_seq OWNED BY plnlxref.nsuk;


SET default_with_oids = true;

--
-- TOC entry 2656 (class 1259 OID 79137)
-- Dependencies: 5
-- Name: pmap; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pmap (
    cobol character(6),
    java character(7)
);


ALTER TABLE public.pmap OWNER TO postgres;

SET default_with_oids = false;

--
-- TOC entry 2657 (class 1259 OID 79139)
-- Dependencies: 5
-- Name: pmoves; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pmoves (
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    typ integer,
    qty integer,
    location integer,
    whenn timestamp without time zone,
    depot integer,
    cust character(7),
    ref character(12),
    from_stat integer,
    to_stat integer,
    operator integer,
    site integer,
    to_loc integer,
    contract integer,
    contract_line integer
);


ALTER TABLE public.pmoves OWNER TO postgres;

--
-- TOC entry 2658 (class 1259 OID 79141)
-- Dependencies: 5
-- Name: pmsg; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pmsg (
    msg_typ character(2) NOT NULL,
    notes integer
);


ALTER TABLE public.pmsg OWNER TO postgres;

--
-- TOC entry 2659 (class 1259 OID 79143)
-- Dependencies: 5
-- Name: po_control; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE po_control (
    nsuk integer NOT NULL,
    order_no integer NOT NULL,
    base_currency character(2),
    auth_req character(1)
);


ALTER TABLE public.po_control OWNER TO postgres;

--
-- TOC entry 2660 (class 1259 OID 79145)
-- Dependencies: 5
-- Name: po_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE po_detail (
    nsuk integer NOT NULL,
    po_head integer NOT NULL,
    product_type integer NOT NULL,
    qty_ordered numeric(16,2) NOT NULL,
    qty_received numeric(16,2) NOT NULL,
    qty_invoiced numeric(16,2) NOT NULL,
    unitcost_exp numeric(16,4) NOT NULL,
    unitcost_act numeric(16,4) NOT NULL,
    nominal character(6),
    note integer,
    qty_returned numeric(16,2) NOT NULL,
    complete smallint NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    line_type character(1) NOT NULL,
    lock_count integer NOT NULL,
    vat integer NOT NULL,
    vat_rate numeric(4,2) NOT NULL,
    order_type integer NOT NULL,
    custorder_line integer,
    cod character(6),
    part_name integer,
    mileage integer,
    unitcost_exp_for numeric(16,4),
    unitcost_act_for numeric(16,4) NOT NULL
);


ALTER TABLE public.po_detail OWNER TO postgres;

--
-- TOC entry 2661 (class 1259 OID 79147)
-- Dependencies: 2660 5
-- Name: po_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE po_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.po_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5362 (class 0 OID 0)
-- Dependencies: 2661
-- Name: po_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE po_detail_nsuk_seq OWNED BY po_detail.nsuk;


--
-- TOC entry 2662 (class 1259 OID 79149)
-- Dependencies: 5
-- Name: po_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE po_head (
    nsuk integer NOT NULL,
    date_entered timestamp without time zone NOT NULL,
    date_required date,
    date_promised date,
    date_ordered date,
    date_completed date,
    supplier character(6) NOT NULL,
    ordered_by integer,
    location integer NOT NULL,
    status integer NOT NULL,
    note integer,
    order_no integer NOT NULL,
    internal_note integer,
    authorised_by integer,
    auto_generated integer NOT NULL,
    completely_rcvd integer NOT NULL,
    completely_invd integer NOT NULL,
    deleted integer NOT NULL,
    lock_count integer NOT NULL,
    currency character(3),
    agreed_rate numeric(16,4),
    currency_rate numeric(16,4) NOT NULL,
    contact integer,
    manual_ref character(30),
    cust_order integer
);


ALTER TABLE public.po_head OWNER TO postgres;

--
-- TOC entry 2663 (class 1259 OID 79151)
-- Dependencies: 2662 5
-- Name: po_head_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE po_head_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.po_head_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5363 (class 0 OID 0)
-- Dependencies: 2663
-- Name: po_head_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE po_head_nsuk_seq OWNED BY po_head.nsuk;


--
-- TOC entry 2664 (class 1259 OID 79153)
-- Dependencies: 5
-- Name: po_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE po_status (
    nsuk integer NOT NULL,
    description character(60) NOT NULL
);


ALTER TABLE public.po_status OWNER TO postgres;

--
-- TOC entry 2665 (class 1259 OID 79155)
-- Dependencies: 5
-- Name: pohanal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pohanal (
    pdesc character(4),
    days integer,
    period date,
    location integer,
    no_of_hires integer
);


ALTER TABLE public.pohanal OWNER TO postgres;

--
-- TOC entry 2666 (class 1259 OID 79157)
-- Dependencies: 3591 5
-- Name: policy; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE policy (
    nam character(6) NOT NULL,
    sat character(1),
    sun character(1),
    max_charge integer,
    ratio numeric(2,1),
    return_day character(1),
    hrs_per_day numeric(4,2),
    hrs_per_week numeric(4,2),
    flexi_time time without time zone,
    invoice_weeks integer,
    invoice_day integer,
    up_to_last character(1) DEFAULT 'N'::bpchar NOT NULL,
    reset_time time without time zone
);


ALTER TABLE public.policy OWNER TO postgres;

--
-- TOC entry 2667 (class 1259 OID 79160)
-- Dependencies: 5
-- Name: pparams; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pparams (
    period date,
    eoy date,
    cur_desc character(6),
    p1_desc character(6),
    p2_desc character(6),
    p3_desc character(6),
    p4_desc character(6),
    p5_desc character(6),
    life smallint,
    allocation integer,
    remittance integer,
    next_product integer
);


ALTER TABLE public.pparams OWNER TO postgres;

--
-- TOC entry 2668 (class 1259 OID 79162)
-- Dependencies: 3592 5
-- Name: price_det_hist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE price_det_hist (
    nsuk integer NOT NULL,
    pricelist integer NOT NULL,
    product integer,
    product_type integer,
    sell_price numeric(8,2) NOT NULL,
    active_date date DEFAULT '1900-01-01'::date NOT NULL
);


ALTER TABLE public.price_det_hist OWNER TO postgres;

--
-- TOC entry 2669 (class 1259 OID 79165)
-- Dependencies: 2668 5
-- Name: price_det_hist_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE price_det_hist_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.price_det_hist_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5364 (class 0 OID 0)
-- Dependencies: 2669
-- Name: price_det_hist_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE price_det_hist_nsuk_seq OWNED BY price_det_hist.nsuk;


--
-- TOC entry 2670 (class 1259 OID 79167)
-- Dependencies: 5
-- Name: pricelist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pricelist (
    nsuk integer NOT NULL,
    cod character(12) NOT NULL,
    description character(30) NOT NULL,
    discountable integer NOT NULL,
    parent integer,
    type_id integer
);


ALTER TABLE public.pricelist OWNER TO postgres;

--
-- TOC entry 2671 (class 1259 OID 79169)
-- Dependencies: 5
-- Name: pricelist_det; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pricelist_det (
    nsuk integer NOT NULL,
    pricelist integer NOT NULL,
    product integer,
    product_type integer,
    sell_price numeric(8,2) NOT NULL
);


ALTER TABLE public.pricelist_det OWNER TO postgres;

--
-- TOC entry 2672 (class 1259 OID 79171)
-- Dependencies: 2671 5
-- Name: pricelist_det_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pricelist_det_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pricelist_det_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5365 (class 0 OID 0)
-- Dependencies: 2672
-- Name: pricelist_det_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pricelist_det_nsuk_seq OWNED BY pricelist_det.nsuk;


--
-- TOC entry 2673 (class 1259 OID 79173)
-- Dependencies: 2670 5
-- Name: pricelist_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pricelist_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pricelist_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5366 (class 0 OID 0)
-- Dependencies: 2673
-- Name: pricelist_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pricelist_nsuk_seq OWNED BY pricelist.nsuk;


--
-- TOC entry 2674 (class 1259 OID 79175)
-- Dependencies: 5
-- Name: pricelist_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pricelist_types (
    type integer NOT NULL,
    description character varying(25) NOT NULL
);


ALTER TABLE public.pricelist_types OWNER TO postgres;

--
-- TOC entry 2675 (class 1259 OID 79177)
-- Dependencies: 2674 5
-- Name: pricelist_types_type_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pricelist_types_type_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pricelist_types_type_seq OWNER TO postgres;

--
-- TOC entry 5367 (class 0 OID 0)
-- Dependencies: 2675
-- Name: pricelist_types_type_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pricelist_types_type_seq OWNED BY pricelist_types.type;


--
-- TOC entry 2676 (class 1259 OID 79179)
-- Dependencies: 5
-- Name: printer_trigger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE printer_trigger (
    nsuk integer NOT NULL,
    contract_location integer,
    contract integer,
    printer integer,
    error_flag integer,
    error_description character(60)
);


ALTER TABLE public.printer_trigger OWNER TO postgres;

--
-- TOC entry 2677 (class 1259 OID 79181)
-- Dependencies: 2676 5
-- Name: printer_trigger_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE printer_trigger_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.printer_trigger_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5368 (class 0 OID 0)
-- Dependencies: 2677
-- Name: printer_trigger_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE printer_trigger_nsuk_seq OWNED BY printer_trigger.nsuk;


--
-- TOC entry 2678 (class 1259 OID 79183)
-- Dependencies: 5
-- Name: process_lastrun; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE process_lastrun (
    nsuk integer NOT NULL,
    process_run integer NOT NULL,
    last_run timestamp without time zone NOT NULL
);


ALTER TABLE public.process_lastrun OWNER TO postgres;

--
-- TOC entry 2679 (class 1259 OID 79185)
-- Dependencies: 2678 5
-- Name: process_lastrun_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE process_lastrun_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.process_lastrun_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5369 (class 0 OID 0)
-- Dependencies: 2679
-- Name: process_lastrun_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE process_lastrun_nsuk_seq OWNED BY process_lastrun.nsuk;


--
-- TOC entry 2680 (class 1259 OID 79187)
-- Dependencies: 5
-- Name: process_run; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE process_run (
    nsuk integer NOT NULL,
    description character(60) NOT NULL
);


ALTER TABLE public.process_run OWNER TO postgres;

--
-- TOC entry 2681 (class 1259 OID 79189)
-- Dependencies: 5
-- Name: prod_search; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE prod_search (
    word character(20) NOT NULL,
    product text
);


ALTER TABLE public.prod_search OWNER TO postgres;

--
-- TOC entry 2682 (class 1259 OID 79191)
-- Dependencies: 5
-- Name: product; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE product (
    nsuk integer NOT NULL,
    cod text,
    description character(90),
    vcode integer,
    sell numeric(16,4),
    cost numeric(16,4),
    sales_nominal character(6),
    invoice_when character(1),
    grp character(8),
    unit_cost numeric(16,4),
    last_cost numeric(16,4),
    stock_value numeric(16,4),
    purchase_nominal character(6),
    stock_type character(1),
    supplier character(6),
    supplier_ref character(16),
    lead_time integer,
    purchase_qty integer,
    stock_unit character(10),
    stock_lock character(1),
    reorder_level integer,
    open_level integer,
    open_contract integer,
    stock_level integer,
    stock_contract integer,
    stock_batches integer,
    stock_freeze integer,
    stock_nominal character(6),
    alpha_key character(8),
    barcode character(13),
    dept_group integer
);


ALTER TABLE public.product OWNER TO postgres;

--
-- TOC entry 2683 (class 1259 OID 79193)
-- Dependencies: 2682 5
-- Name: product_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE product_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.product_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5370 (class 0 OID 0)
-- Dependencies: 2683
-- Name: product_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE product_nsuk_seq OWNED BY product.nsuk;


--
-- TOC entry 2684 (class 1259 OID 79195)
-- Dependencies: 5
-- Name: product_supplier; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE product_supplier (
    cod character(7) NOT NULL,
    supplier character(6) NOT NULL,
    supplier_ref character(16) NOT NULL,
    unit_cost numeric(10,2) NOT NULL,
    purchase_qty integer NOT NULL
);


ALTER TABLE public.product_supplier OWNER TO postgres;

--
-- TOC entry 2685 (class 1259 OID 79197)
-- Dependencies: 5
-- Name: product_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE product_type (
    nsuk integer NOT NULL,
    plu text,
    product integer NOT NULL,
    descr character(90),
    last_sell_date date,
    unit_cost numeric(16,4) NOT NULL,
    last_cost numeric(16,4),
    stock_value numeric(16,4),
    stock_unit character(10),
    stock_lock character(1),
    reorder_level integer,
    open_level integer,
    open_contract integer,
    stock_level integer,
    stock_contract integer,
    stock_batches integer,
    stock_freeze integer,
    curr_cost_price numeric(16,4),
    curr_sell_price numeric(16,4),
    curr_vat_price numeric(16,4),
    redundant character(1)
);


ALTER TABLE public.product_type OWNER TO postgres;

--
-- TOC entry 2686 (class 1259 OID 79199)
-- Dependencies: 2685 5
-- Name: product_type_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE product_type_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.product_type_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5371 (class 0 OID 0)
-- Dependencies: 2686
-- Name: product_type_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE product_type_nsuk_seq OWNED BY product_type.nsuk;


--
-- TOC entry 2687 (class 1259 OID 79201)
-- Dependencies: 5
-- Name: profile; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE profile (
    nsuk integer NOT NULL,
    name character(30)
);


ALTER TABLE public.profile OWNER TO postgres;

--
-- TOC entry 2688 (class 1259 OID 79203)
-- Dependencies: 5
-- Name: profile_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE profile_detail (
    nsuk integer NOT NULL,
    profile integer NOT NULL,
    key_name character(10),
    key_value character(100)
);


ALTER TABLE public.profile_detail OWNER TO postgres;

--
-- TOC entry 2689 (class 1259 OID 79205)
-- Dependencies: 2688 5
-- Name: profile_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE profile_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.profile_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5372 (class 0 OID 0)
-- Dependencies: 2689
-- Name: profile_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE profile_detail_nsuk_seq OWNED BY profile_detail.nsuk;


--
-- TOC entry 2690 (class 1259 OID 79207)
-- Dependencies: 2687 5
-- Name: profile_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE profile_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.profile_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5373 (class 0 OID 0)
-- Dependencies: 2690
-- Name: profile_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE profile_nsuk_seq OWNED BY profile.nsuk;


--
-- TOC entry 2691 (class 1259 OID 79209)
-- Dependencies: 5
-- Name: project; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE project (
    nsuk integer NOT NULL,
    number integer,
    description character(40),
    depot integer,
    cust character(7),
    cust_contact integer,
    project_manager integer,
    sales_person integer,
    sales_location integer,
    policy character(6),
    calendar character(6),
    price_list integer,
    discount_struct integer,
    project_status integer,
    percent_complete numeric(16,2),
    scheduled_start timestamp without time zone,
    scheduled_end timestamp without time zone,
    customer_ref character(20),
    note integer
);


ALTER TABLE public.project OWNER TO postgres;

--
-- TOC entry 2692 (class 1259 OID 79211)
-- Dependencies: 2691 5
-- Name: project_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE project_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.project_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5374 (class 0 OID 0)
-- Dependencies: 2692
-- Name: project_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE project_nsuk_seq OWNED BY project.nsuk;


--
-- TOC entry 2693 (class 1259 OID 79213)
-- Dependencies: 5
-- Name: prynter; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE prynter (
    cod integer NOT NULL,
    in_use character(1),
    model character(10),
    device character(40),
    operator integer,
    print_cmd character(20),
    print_opt character(20)
);


ALTER TABLE public.prynter OWNER TO postgres;

--
-- TOC entry 2694 (class 1259 OID 79215)
-- Dependencies: 5
-- Name: psearch; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE psearch (
    word character(20),
    supplier character(6)
);


ALTER TABLE public.psearch OWNER TO postgres;

--
-- TOC entry 2695 (class 1259 OID 79217)
-- Dependencies: 5
-- Name: pstock; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pstock (
    asset_reg character(1),
    pdesc character(4),
    location integer,
    qty integer,
    picked integer
);


ALTER TABLE public.pstock OWNER TO postgres;

--
-- TOC entry 2696 (class 1259 OID 79219)
-- Dependencies: 5
-- Name: pstock_history; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pstock_history (
    period date,
    asset_reg character(1),
    pdesc character(4),
    location integer,
    qty integer,
    picked integer
);


ALTER TABLE public.pstock_history OWNER TO postgres;

--
-- TOC entry 2697 (class 1259 OID 79221)
-- Dependencies: 5
-- Name: pt_bin_loc; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_bin_loc (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    bin_location integer NOT NULL
);


ALTER TABLE public.pt_bin_loc OWNER TO postgres;

--
-- TOC entry 2698 (class 1259 OID 79223)
-- Dependencies: 2697 5
-- Name: pt_bin_loc_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_bin_loc_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_bin_loc_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5375 (class 0 OID 0)
-- Dependencies: 2698
-- Name: pt_bin_loc_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_bin_loc_nsuk_seq OWNED BY pt_bin_loc.nsuk;


--
-- TOC entry 2699 (class 1259 OID 79225)
-- Dependencies: 5
-- Name: pt_itemdesc; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_itemdesc (
    product_type character(7) NOT NULL,
    description character(15) NOT NULL
);


ALTER TABLE public.pt_itemdesc OWNER TO postgres;

--
-- TOC entry 2700 (class 1259 OID 79227)
-- Dependencies: 5
-- Name: pt_msales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_msales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    barcode character(13) NOT NULL,
    mth date NOT NULL,
    supplier character(6) NOT NULL,
    product integer NOT NULL,
    product_type integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL,
    sales_rep integer
);


ALTER TABLE public.pt_msales OWNER TO postgres;

--
-- TOC entry 2701 (class 1259 OID 79229)
-- Dependencies: 2700 5
-- Name: pt_msales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_msales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_msales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5376 (class 0 OID 0)
-- Dependencies: 2701
-- Name: pt_msales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_msales_nsuk_seq OWNED BY pt_msales.nsuk;


--
-- TOC entry 2702 (class 1259 OID 79231)
-- Dependencies: 5
-- Name: pt_option; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_option (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    option integer NOT NULL,
    mandatory integer NOT NULL
);


ALTER TABLE public.pt_option OWNER TO postgres;

--
-- TOC entry 2703 (class 1259 OID 79233)
-- Dependencies: 2702 5
-- Name: pt_option_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_option_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_option_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5377 (class 0 OID 0)
-- Dependencies: 2703
-- Name: pt_option_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_option_nsuk_seq OWNED BY pt_option.nsuk;


--
-- TOC entry 2704 (class 1259 OID 79235)
-- Dependencies: 5
-- Name: pt_part; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_part (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    part integer NOT NULL,
    part_name integer NOT NULL
);


ALTER TABLE public.pt_part OWNER TO postgres;

--
-- TOC entry 2705 (class 1259 OID 79237)
-- Dependencies: 2704 5
-- Name: pt_part_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_part_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_part_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5378 (class 0 OID 0)
-- Dependencies: 2705
-- Name: pt_part_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_part_nsuk_seq OWNED BY pt_part.nsuk;


--
-- TOC entry 2706 (class 1259 OID 79239)
-- Dependencies: 5
-- Name: pt_pdesc; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_pdesc (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    asset_reg character(1) NOT NULL,
    pdesc character(4) NOT NULL
);


ALTER TABLE public.pt_pdesc OWNER TO postgres;

--
-- TOC entry 2707 (class 1259 OID 79241)
-- Dependencies: 2706 5
-- Name: pt_pdesc_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_pdesc_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_pdesc_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5379 (class 0 OID 0)
-- Dependencies: 2707
-- Name: pt_pdesc_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_pdesc_nsuk_seq OWNED BY pt_pdesc.nsuk;


--
-- TOC entry 2708 (class 1259 OID 79243)
-- Dependencies: 5
-- Name: pt_search; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_search (
    word character(20) NOT NULL,
    plu text
);


ALTER TABLE public.pt_search OWNER TO postgres;

--
-- TOC entry 2709 (class 1259 OID 79245)
-- Dependencies: 5
-- Name: pt_serial; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_serial (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    gi_detail integer,
    serial_no character(30) NOT NULL,
    stat integer NOT NULL,
    location integer,
    io_detail integer
);


ALTER TABLE public.pt_serial OWNER TO postgres;

--
-- TOC entry 2710 (class 1259 OID 79247)
-- Dependencies: 2709 5
-- Name: pt_serial_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_serial_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_serial_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5380 (class 0 OID 0)
-- Dependencies: 2710
-- Name: pt_serial_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_serial_nsuk_seq OWNED BY pt_serial.nsuk;


--
-- TOC entry 2711 (class 1259 OID 79249)
-- Dependencies: 3610 5
-- Name: pt_supplier; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_supplier (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    supplier character(6) NOT NULL,
    supplier_ref character(16),
    currency character(3),
    unit_cost numeric(10,2) NOT NULL,
    purchase_qty integer,
    lead_time integer,
    last_cost numeric(10,2),
    priority integer NOT NULL,
    active character(1) DEFAULT 'Y'::bpchar NOT NULL
);


ALTER TABLE public.pt_supplier OWNER TO postgres;

--
-- TOC entry 2712 (class 1259 OID 79252)
-- Dependencies: 2711 5
-- Name: pt_supplier_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_supplier_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_supplier_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5381 (class 0 OID 0)
-- Dependencies: 2712
-- Name: pt_supplier_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_supplier_nsuk_seq OWNED BY pt_supplier.nsuk;


--
-- TOC entry 2713 (class 1259 OID 79254)
-- Dependencies: 5
-- Name: pt_wsales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_wsales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    barcode character(13) NOT NULL,
    yr integer NOT NULL,
    week_no integer NOT NULL,
    supplier character(6) NOT NULL,
    product integer NOT NULL,
    product_type integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL,
    sales_rep integer
);


ALTER TABLE public.pt_wsales OWNER TO postgres;

--
-- TOC entry 2714 (class 1259 OID 79256)
-- Dependencies: 2713 5
-- Name: pt_wsales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_wsales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_wsales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5382 (class 0 OID 0)
-- Dependencies: 2714
-- Name: pt_wsales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_wsales_nsuk_seq OWNED BY pt_wsales.nsuk;


--
-- TOC entry 2715 (class 1259 OID 79258)
-- Dependencies: 5
-- Name: pt_ysales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE pt_ysales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    barcode character(13) NOT NULL,
    yr integer NOT NULL,
    supplier character(6) NOT NULL,
    product integer NOT NULL,
    product_type integer NOT NULL,
    quantity numeric(16,2) NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL,
    sales_rep integer
);


ALTER TABLE public.pt_ysales OWNER TO postgres;

--
-- TOC entry 2716 (class 1259 OID 79260)
-- Dependencies: 2715 5
-- Name: pt_ysales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE pt_ysales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.pt_ysales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5383 (class 0 OID 0)
-- Dependencies: 2716
-- Name: pt_ysales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE pt_ysales_nsuk_seq OWNED BY pt_ysales.nsuk;


--
-- TOC entry 2717 (class 1259 OID 79262)
-- Dependencies: 5
-- Name: ptrans; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ptrans (
    cod integer NOT NULL,
    description character(16)
);


ALTER TABLE public.ptrans OWNER TO postgres;

--
-- TOC entry 2718 (class 1259 OID 79264)
-- Dependencies: 5
-- Name: punt_cash; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE punt_cash (
    depot integer,
    cust character(7),
    period date,
    ledger_trans integer,
    operator integer,
    amount numeric(16,4),
    lodgement integer
);


ALTER TABLE public.punt_cash OWNER TO postgres;

--
-- TOC entry 2719 (class 1259 OID 79266)
-- Dependencies: 5
-- Name: purge_info; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE purge_info (
    tabel character(15),
    start_date date,
    date date,
    purge_cnt integer
);


ALTER TABLE public.purge_info OWNER TO postgres;

--
-- TOC entry 2720 (class 1259 OID 79268)
-- Dependencies: 5
-- Name: putil; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE putil (
    pdesc character(4),
    reg character(7),
    location integer,
    period date,
    hire_days integer,
    available_days integer,
    qty_available integer,
    goods numeric(16,0),
    expenditure numeric(16,0)
);


ALTER TABLE public.putil OWNER TO postgres;

--
-- TOC entry 2721 (class 1259 OID 79270)
-- Dependencies: 3158 5
-- Name: pvdetails; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW pvdetails AS
    SELECT x0.trans_ser, x0.vcode, sum(x0.goods) AS goods, sum(x0.vat) AS vat FROM pdetails x0 GROUP BY x0.trans_ser, x0.vcode;


ALTER TABLE public.pvdetails OWNER TO postgres;

--
-- TOC entry 2722 (class 1259 OID 79273)
-- Dependencies: 5
-- Name: q_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE q_detail (
    quote_number integer NOT NULL,
    lin integer NOT NULL,
    product character(7),
    unit_sell numeric(16,4),
    vcode integer,
    qty numeric(10,2) NOT NULL,
    discount numeric(4,2) NOT NULL,
    unit_cost numeric(16,2),
    location integer,
    invoice_when character(1),
    notes integer,
    picked character(1),
    operator integer,
    quotation character(8),
    product_type integer NOT NULL,
    barcode character(13)
);


ALTER TABLE public.q_detail OWNER TO postgres;

--
-- TOC entry 2723 (class 1259 OID 79275)
-- Dependencies: 5
-- Name: q_disposal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE q_disposal (
    nsuk integer NOT NULL,
    quotation integer NOT NULL,
    line_number integer NOT NULL,
    asset_reg character(1) NOT NULL,
    pdesc character(4) NOT NULL,
    reg character(5),
    unit_sell numeric(16,2),
    unit_cost numeric(16,2),
    qty integer,
    vcode integer,
    discount numeric(16,2) NOT NULL,
    invoice_when character(1) NOT NULL,
    note integer,
    operator integer,
    status integer
);


ALTER TABLE public.q_disposal OWNER TO postgres;

--
-- TOC entry 2724 (class 1259 OID 79277)
-- Dependencies: 2723 5
-- Name: q_disposal_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE q_disposal_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.q_disposal_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5384 (class 0 OID 0)
-- Dependencies: 2724
-- Name: q_disposal_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE q_disposal_nsuk_seq OWNED BY q_disposal.nsuk;


--
-- TOC entry 2725 (class 1259 OID 79279)
-- Dependencies: 5
-- Name: q_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE q_head (
    quote_number integer,
    location integer,
    description character(20),
    cust character(7),
    depot integer,
    site integer,
    order_no character(16),
    dat date,
    tim time without time zone,
    due_date date,
    valid_from date,
    valid_to date,
    deposit numeric(16,2),
    tender character(8),
    manual_ref integer,
    policy character(6),
    calendar character(6),
    operator integer,
    invoiced_to date,
    note integer,
    hire_disc numeric(4,2) NOT NULL,
    sales_disc numeric(4,2) NOT NULL,
    quotation character(8),
    status integer,
    internal_note integer
);


ALTER TABLE public.q_head OWNER TO postgres;

--
-- TOC entry 2726 (class 1259 OID 79281)
-- Dependencies: 5
-- Name: q_rental; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE q_rental (
    nsuk integer NOT NULL,
    quotation integer NOT NULL,
    line_number integer,
    asset_reg character(1),
    pdesc character(4) NOT NULL,
    reg character(5),
    date_from date NOT NULL,
    time_out time without time zone NOT NULL,
    date_due_back date,
    time_due_back time without time zone,
    date_in date,
    time_in time without time zone,
    qty integer NOT NULL,
    vcode integer,
    charge_period character(1) NOT NULL,
    discount numeric(16,0) NOT NULL,
    charge_line integer NOT NULL,
    note integer,
    operator integer,
    status integer NOT NULL,
    time_charged numeric(8,2),
    rate numeric(8,2) NOT NULL,
    dayes integer,
    vrate numeric(4,2),
    vat numeric(8,2) NOT NULL,
    goods numeric(8,2) NOT NULL
);


ALTER TABLE public.q_rental OWNER TO postgres;

--
-- TOC entry 2727 (class 1259 OID 79283)
-- Dependencies: 2726 5
-- Name: q_rental_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE q_rental_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.q_rental_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5385 (class 0 OID 0)
-- Dependencies: 2727
-- Name: q_rental_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE q_rental_nsuk_seq OWNED BY q_rental.nsuk;


--
-- TOC entry 2728 (class 1259 OID 79285)
-- Dependencies: 5
-- Name: q_sale; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE q_sale (
    nsuk integer NOT NULL,
    quotation integer NOT NULL,
    line_number integer NOT NULL,
    product_type integer NOT NULL,
    std_price numeric(16,2),
    list_price numeric(16,2),
    unit_sell numeric(16,4),
    unit_cost numeric(16,2),
    qty numeric(16,0) NOT NULL,
    vcode integer NOT NULL,
    discount numeric(16,2),
    invoice_when character(1) NOT NULL,
    note integer,
    operator integer NOT NULL,
    status integer NOT NULL
);


ALTER TABLE public.q_sale OWNER TO postgres;

--
-- TOC entry 2729 (class 1259 OID 79287)
-- Dependencies: 2728 5
-- Name: q_sale_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE q_sale_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.q_sale_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5386 (class 0 OID 0)
-- Dependencies: 2729
-- Name: q_sale_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE q_sale_nsuk_seq OWNED BY q_sale.nsuk;


--
-- TOC entry 2730 (class 1259 OID 79289)
-- Dependencies: 5
-- Name: q_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE q_status (
    nsuk integer NOT NULL,
    description character(20) NOT NULL
);


ALTER TABLE public.q_status OWNER TO postgres;

--
-- TOC entry 2731 (class 1259 OID 79291)
-- Dependencies: 2730 5
-- Name: q_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE q_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.q_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5387 (class 0 OID 0)
-- Dependencies: 2731
-- Name: q_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE q_status_nsuk_seq OWNED BY q_status.nsuk;


--
-- TOC entry 2732 (class 1259 OID 79293)
-- Dependencies: 5
-- Name: qcons; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE qcons (
    quotation integer NOT NULL,
    cod integer NOT NULL,
    unit_cost numeric(10,4) NOT NULL,
    supplier_ref character(16),
    order_qty integer NOT NULL,
    case_cost numeric(10,4) NOT NULL
);


ALTER TABLE public.qcons OWNER TO postgres;

--
-- TOC entry 2733 (class 1259 OID 79295)
-- Dependencies: 5
-- Name: qhire; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE qhire (
    quotation integer NOT NULL,
    pdesc character(4) NOT NULL,
    subtype integer,
    unit_cost numeric(10,4) NOT NULL,
    supplier_ref character(16),
    order_qty integer NOT NULL,
    case_cost numeric(10,4) NOT NULL
);


ALTER TABLE public.qhire OWNER TO postgres;

--
-- TOC entry 2734 (class 1259 OID 79297)
-- Dependencies: 5
-- Name: quotation; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE quotation (
    ser integer NOT NULL,
    depot integer,
    supplier character(6) NOT NULL,
    dat date NOT NULL,
    contact character(20),
    terms character(60),
    supplier_ref character(16),
    notes integer
);


ALTER TABLE public.quotation OWNER TO postgres;

--
-- TOC entry 2735 (class 1259 OID 79299)
-- Dependencies: 2734 5
-- Name: quotation_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE quotation_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.quotation_ser_seq OWNER TO postgres;

--
-- TOC entry 5388 (class 0 OID 0)
-- Dependencies: 2735
-- Name: quotation_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE quotation_ser_seq OWNED BY quotation.ser;


--
-- TOC entry 2736 (class 1259 OID 79301)
-- Dependencies: 5
-- Name: quote; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE quote (
    nsuk integer NOT NULL,
    location integer NOT NULL,
    number integer NOT NULL,
    manual_docket integer,
    depot integer NOT NULL,
    customer character(7) NOT NULL,
    customer_contact integer,
    site integer,
    order_no character(30),
    date_entered timestamp without time zone,
    time_entered time without time zone,
    date_from timestamp without time zone,
    time_from time without time zone,
    date_to timestamp without time zone,
    time_to time without time zone,
    price_list integer,
    discount_structure integer,
    policy character(6) NOT NULL,
    calendar character(6) NOT NULL,
    sales_rep integer NOT NULL,
    operator integer NOT NULL,
    note integer,
    internal_note integer,
    status integer NOT NULL,
    rental_price_list integer
);


ALTER TABLE public.quote OWNER TO postgres;

--
-- TOC entry 2737 (class 1259 OID 79303)
-- Dependencies: 2736 5
-- Name: quote_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE quote_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.quote_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5389 (class 0 OID 0)
-- Dependencies: 2737
-- Name: quote_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE quote_nsuk_seq OWNED BY quote.nsuk;


--
-- TOC entry 2738 (class 1259 OID 79305)
-- Dependencies: 5
-- Name: quote_number; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE quote_number (
    nsuk integer NOT NULL,
    location smallint,
    quote_number integer
);


ALTER TABLE public.quote_number OWNER TO postgres;

--
-- TOC entry 2739 (class 1259 OID 79307)
-- Dependencies: 2738 5
-- Name: quote_number_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE quote_number_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.quote_number_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5390 (class 0 OID 0)
-- Dependencies: 2739
-- Name: quote_number_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE quote_number_nsuk_seq OWNED BY quote_number.nsuk;


--
-- TOC entry 2740 (class 1259 OID 79309)
-- Dependencies: 5
-- Name: r_msales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE r_msales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    sales_rep integer NOT NULL,
    mth date NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.r_msales OWNER TO postgres;

--
-- TOC entry 2741 (class 1259 OID 79311)
-- Dependencies: 2740 5
-- Name: r_msales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE r_msales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.r_msales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5391 (class 0 OID 0)
-- Dependencies: 2741
-- Name: r_msales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE r_msales_nsuk_seq OWNED BY r_msales.nsuk;


--
-- TOC entry 2742 (class 1259 OID 79313)
-- Dependencies: 5
-- Name: r_wsales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE r_wsales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    sales_rep integer NOT NULL,
    yr integer NOT NULL,
    week_no integer NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.r_wsales OWNER TO postgres;

--
-- TOC entry 2743 (class 1259 OID 79315)
-- Dependencies: 2742 5
-- Name: r_wsales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE r_wsales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.r_wsales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5392 (class 0 OID 0)
-- Dependencies: 2743
-- Name: r_wsales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE r_wsales_nsuk_seq OWNED BY r_wsales.nsuk;


--
-- TOC entry 2744 (class 1259 OID 79317)
-- Dependencies: 5
-- Name: r_ysales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE r_ysales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    sales_rep integer NOT NULL,
    yr integer NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.r_ysales OWNER TO postgres;

--
-- TOC entry 2745 (class 1259 OID 79319)
-- Dependencies: 2744 5
-- Name: r_ysales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE r_ysales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.r_ysales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5393 (class 0 OID 0)
-- Dependencies: 2745
-- Name: r_ysales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE r_ysales_nsuk_seq OWNED BY r_ysales.nsuk;


--
-- TOC entry 2746 (class 1259 OID 79321)
-- Dependencies: 5
-- Name: receipt_data; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE receipt_data (
    doc_type character(2),
    head_or_tail character(1),
    sequence integer,
    font integer,
    txt character(60)
);


ALTER TABLE public.receipt_data OWNER TO postgres;

--
-- TOC entry 2747 (class 1259 OID 79323)
-- Dependencies: 5
-- Name: receipt_printers; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE receipt_printers (
    printer_number integer
);


ALTER TABLE public.receipt_printers OWNER TO postgres;

--
-- TOC entry 2748 (class 1259 OID 79325)
-- Dependencies: 5
-- Name: recurring_jrnl; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE recurring_jrnl (
    nsuk integer NOT NULL,
    memo character(100),
    start_date date,
    next_post_date date,
    end_date date,
    frequency integer,
    notes integer,
    active integer,
    source character(2) NOT NULL
);


ALTER TABLE public.recurring_jrnl OWNER TO postgres;

--
-- TOC entry 2749 (class 1259 OID 79327)
-- Dependencies: 2748 5
-- Name: recurring_jrnl_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE recurring_jrnl_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.recurring_jrnl_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5394 (class 0 OID 0)
-- Dependencies: 2749
-- Name: recurring_jrnl_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE recurring_jrnl_nsuk_seq OWNED BY recurring_jrnl.nsuk;


--
-- TOC entry 2750 (class 1259 OID 79329)
-- Dependencies: 5
-- Name: remit; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE remit (
    supplier character(6),
    trans_ser integer,
    amount numeric(16,2)
);


ALTER TABLE public.remit OWNER TO postgres;

--
-- TOC entry 2751 (class 1259 OID 79331)
-- Dependencies: 5
-- Name: remit_control; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE remit_control (
    status character(7)
);


ALTER TABLE public.remit_control OWNER TO postgres;

--
-- TOC entry 2752 (class 1259 OID 79333)
-- Dependencies: 5
-- Name: remit_date; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE remit_date (
    remitdate date,
    temp_seq integer
);


ALTER TABLE public.remit_date OWNER TO postgres;

--
-- TOC entry 2753 (class 1259 OID 79335)
-- Dependencies: 5
-- Name: remittance_order; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE remittance_order (
    job_number integer,
    started timestamp without time zone
);


ALTER TABLE public.remittance_order OWNER TO postgres;

--
-- TOC entry 2754 (class 1259 OID 79337)
-- Dependencies: 5
-- Name: remote_depot; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE remote_depot (
    send_to_depot integer
);


ALTER TABLE public.remote_depot OWNER TO postgres;

--
-- TOC entry 2755 (class 1259 OID 79339)
-- Dependencies: 5
-- Name: report; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE report (
    nsuk integer NOT NULL,
    description character(30),
    typ character(1),
    abbrev character(8) NOT NULL
);


ALTER TABLE public.report OWNER TO postgres;

--
-- TOC entry 2756 (class 1259 OID 79341)
-- Dependencies: 2755 5
-- Name: report_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE report_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.report_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5395 (class 0 OID 0)
-- Dependencies: 2756
-- Name: report_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE report_nsuk_seq OWNED BY report.nsuk;


--
-- TOC entry 2757 (class 1259 OID 79343)
-- Dependencies: 5
-- Name: reserved_ac; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE reserved_ac (
    nsuk integer NOT NULL,
    key_name character(20) NOT NULL,
    account_code character(6),
    postable integer NOT NULL
);


ALTER TABLE public.reserved_ac OWNER TO postgres;

--
-- TOC entry 2758 (class 1259 OID 79345)
-- Dependencies: 2757 5
-- Name: reserved_ac_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE reserved_ac_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.reserved_ac_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5396 (class 0 OID 0)
-- Dependencies: 2758
-- Name: reserved_ac_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE reserved_ac_nsuk_seq OWNED BY reserved_ac.nsuk;


--
-- TOC entry 2759 (class 1259 OID 79347)
-- Dependencies: 5
-- Name: return_log; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE return_log (
    return integer,
    contract integer,
    lin integer,
    pdesc character(7),
    reg character(6),
    days_calculated integer,
    days_accepted integer
);


ALTER TABLE public.return_log OWNER TO postgres;

--
-- TOC entry 2760 (class 1259 OID 79349)
-- Dependencies: 5
-- Name: return_ok; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE return_ok (
    location integer,
    doc_number integer,
    doc_type integer,
    okay integer,
    screen integer,
    contract integer
);


ALTER TABLE public.return_ok OWNER TO postgres;

--
-- TOC entry 2761 (class 1259 OID 79351)
-- Dependencies: 5
-- Name: return_reason; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE return_reason (
    nsuk integer NOT NULL,
    description character(30),
    active character(1)
);


ALTER TABLE public.return_reason OWNER TO postgres;

--
-- TOC entry 2762 (class 1259 OID 79353)
-- Dependencies: 2761 5
-- Name: return_reason_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE return_reason_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.return_reason_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5397 (class 0 OID 0)
-- Dependencies: 2762
-- Name: return_reason_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE return_reason_nsuk_seq OWNED BY return_reason.nsuk;


--
-- TOC entry 2763 (class 1259 OID 79355)
-- Dependencies: 5
-- Name: rj_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE rj_detail (
    nsuk integer NOT NULL,
    journal integer,
    ledger character(1),
    cost_centre character(4),
    depot integer,
    account_code character(7),
    debit_or_credit integer,
    amount numeric(16,2),
    reference character(20),
    note integer,
    description character(30)
);


ALTER TABLE public.rj_detail OWNER TO postgres;

--
-- TOC entry 2764 (class 1259 OID 79357)
-- Dependencies: 2763 5
-- Name: rj_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE rj_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.rj_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5398 (class 0 OID 0)
-- Dependencies: 2764
-- Name: rj_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE rj_detail_nsuk_seq OWNED BY rj_detail.nsuk;


--
-- TOC entry 2765 (class 1259 OID 79359)
-- Dependencies: 5
-- Name: rpt_dist_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE rpt_dist_detail (
    nsuk integer NOT NULL,
    distribution integer,
    contact integer,
    email character(90),
    recipient_typ integer,
    pdf character(1),
    csv character(1),
    xsl character(1),
    mdb character(1)
);


ALTER TABLE public.rpt_dist_detail OWNER TO postgres;

--
-- TOC entry 2766 (class 1259 OID 79361)
-- Dependencies: 2765 5
-- Name: rpt_dist_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE rpt_dist_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.rpt_dist_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5399 (class 0 OID 0)
-- Dependencies: 2766
-- Name: rpt_dist_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE rpt_dist_detail_nsuk_seq OWNED BY rpt_dist_detail.nsuk;


--
-- TOC entry 2767 (class 1259 OID 79363)
-- Dependencies: 5
-- Name: rpt_distribution; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE rpt_distribution (
    nsuk integer NOT NULL,
    report integer,
    subject character(60),
    body character(1000),
    depot integer,
    cod character(7),
    typ character(1)
);


ALTER TABLE public.rpt_distribution OWNER TO postgres;

--
-- TOC entry 2768 (class 1259 OID 79368)
-- Dependencies: 2767 5
-- Name: rpt_distribution_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE rpt_distribution_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.rpt_distribution_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5400 (class 0 OID 0)
-- Dependencies: 2768
-- Name: rpt_distribution_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE rpt_distribution_nsuk_seq OWNED BY rpt_distribution.nsuk;


--
-- TOC entry 2769 (class 1259 OID 79370)
-- Dependencies: 5
-- Name: s_msales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE s_msales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    supplier character(6) NOT NULL,
    dept integer NOT NULL,
    mth date NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.s_msales OWNER TO postgres;

--
-- TOC entry 2770 (class 1259 OID 79372)
-- Dependencies: 2769 5
-- Name: s_msales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE s_msales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.s_msales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5401 (class 0 OID 0)
-- Dependencies: 2770
-- Name: s_msales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE s_msales_nsuk_seq OWNED BY s_msales.nsuk;


--
-- TOC entry 2771 (class 1259 OID 79374)
-- Dependencies: 5
-- Name: s_wsales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE s_wsales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    supplier character(6) NOT NULL,
    dept integer NOT NULL,
    yr integer NOT NULL,
    week_no integer NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.s_wsales OWNER TO postgres;

--
-- TOC entry 2772 (class 1259 OID 79376)
-- Dependencies: 2771 5
-- Name: s_wsales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE s_wsales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.s_wsales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5402 (class 0 OID 0)
-- Dependencies: 2772
-- Name: s_wsales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE s_wsales_nsuk_seq OWNED BY s_wsales.nsuk;


--
-- TOC entry 2773 (class 1259 OID 79378)
-- Dependencies: 5
-- Name: s_ysales; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE s_ysales (
    nsuk integer NOT NULL,
    store integer NOT NULL,
    supplier character(6) NOT NULL,
    dept integer NOT NULL,
    yr integer NOT NULL,
    cost numeric(16,2) NOT NULL,
    sales numeric(16,2) NOT NULL,
    salesv numeric(16,2) NOT NULL
);


ALTER TABLE public.s_ysales OWNER TO postgres;

--
-- TOC entry 2774 (class 1259 OID 79380)
-- Dependencies: 2773 5
-- Name: s_ysales_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE s_ysales_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.s_ysales_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5403 (class 0 OID 0)
-- Dependencies: 2774
-- Name: s_ysales_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE s_ysales_nsuk_seq OWNED BY s_ysales.nsuk;


--
-- TOC entry 2775 (class 1259 OID 79382)
-- Dependencies: 5
-- Name: saccess; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE saccess (
    package character(4),
    product character(7),
    qty integer
);


ALTER TABLE public.saccess OWNER TO postgres;

--
-- TOC entry 2776 (class 1259 OID 79384)
-- Dependencies: 5
-- Name: safety; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE safety (
    location integer,
    notes integer
);


ALTER TABLE public.safety OWNER TO postgres;

--
-- TOC entry 2777 (class 1259 OID 79386)
-- Dependencies: 5
-- Name: salecr_stk_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE salecr_stk_status (
    ihead_id integer NOT NULL,
    stock_adjusted integer
);


ALTER TABLE public.salecr_stk_status OWNER TO postgres;

--
-- TOC entry 2778 (class 1259 OID 79388)
-- Dependencies: 5
-- Name: sales_invoice; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sales_invoice (
    nsuk integer NOT NULL,
    doc_type character(2) NOT NULL,
    location integer NOT NULL,
    number integer NOT NULL,
    manual_docket integer,
    depot integer NOT NULL,
    customer character(7) NOT NULL,
    customer_contact integer,
    site integer NOT NULL,
    order_no character(30),
    dat date NOT NULL,
    tim time without time zone NOT NULL,
    price_list integer,
    discount_structure integer,
    policy character(6) NOT NULL,
    calendar character(6) NOT NULL,
    contract integer NOT NULL,
    sales_rep integer NOT NULL,
    operator integer NOT NULL,
    note integer,
    internal_note integer,
    status integer NOT NULL,
    printed integer NOT NULL,
    period date NOT NULL,
    cost_centre character(4) NOT NULL,
    return_docket integer,
    credited integer,
    typ character(1),
    tot numeric(16,2),
    vat numeric(16,2),
    goods numeric(16,2)
);


ALTER TABLE public.sales_invoice OWNER TO postgres;

--
-- TOC entry 2779 (class 1259 OID 79390)
-- Dependencies: 2778 5
-- Name: sales_invoice_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sales_invoice_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sales_invoice_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5404 (class 0 OID 0)
-- Dependencies: 2779
-- Name: sales_invoice_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sales_invoice_nsuk_seq OWNED BY sales_invoice.nsuk;


--
-- TOC entry 2780 (class 1259 OID 79392)
-- Dependencies: 5
-- Name: sallocee; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sallocee (
    allocation integer,
    ee integer,
    amount numeric(16,2),
    discount numeric(16,2)
);


ALTER TABLE public.sallocee OWNER TO postgres;

--
-- TOC entry 2781 (class 1259 OID 79394)
-- Dependencies: 5
-- Name: sallocer; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sallocer (
    allocation integer,
    er integer,
    amount numeric(16,2)
);


ALTER TABLE public.sallocer OWNER TO postgres;

--
-- TOC entry 2782 (class 1259 OID 79396)
-- Dependencies: 5
-- Name: sallocper; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sallocper (
    allocation integer NOT NULL,
    period date,
    operator integer,
    dat date,
    acdepot integer,
    cust character(7)
);


ALTER TABLE public.sallocper OWNER TO postgres;

--
-- TOC entry 2783 (class 1259 OID 79398)
-- Dependencies: 5
-- Name: sanal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sanal (
    period date,
    product character(7),
    location integer,
    cust character(7),
    cm_qty integer,
    cm_sales numeric(16,2),
    cm_cost numeric(16,2),
    ytd_qty integer,
    ytd_sales numeric(16,2),
    ytd_cost numeric(16,2)
);


ALTER TABLE public.sanal OWNER TO postgres;

--
-- TOC entry 2784 (class 1259 OID 79400)
-- Dependencies: 3635 5
-- Name: scaff_docket; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE scaff_docket (
    nsuk integer NOT NULL,
    docket_type_id integer NOT NULL,
    status_id integer NOT NULL,
    issued_to_id integer,
    depot integer,
    cod character(7),
    job_id integer,
    docket_no integer NOT NULL,
    issue_date date NOT NULL,
    docket_date date,
    received_date date,
    signer_id integer,
    deleted character(1) DEFAULT 'N'::bpchar NOT NULL,
    created timestamp without time zone NOT NULL,
    updated timestamp without time zone NOT NULL
);


ALTER TABLE public.scaff_docket OWNER TO postgres;

--
-- TOC entry 2785 (class 1259 OID 79403)
-- Dependencies: 2784 5
-- Name: scaff_docket_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE scaff_docket_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.scaff_docket_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5405 (class 0 OID 0)
-- Dependencies: 2785
-- Name: scaff_docket_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE scaff_docket_nsuk_seq OWNED BY scaff_docket.nsuk;


--
-- TOC entry 2786 (class 1259 OID 79405)
-- Dependencies: 5
-- Name: scaff_gang_map; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE scaff_gang_map (
    gang_id integer NOT NULL,
    scaffolder_id integer NOT NULL
);


ALTER TABLE public.scaff_gang_map OWNER TO postgres;

--
-- TOC entry 2787 (class 1259 OID 79407)
-- Dependencies: 5
-- Name: scaff_time_rec; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE scaff_time_rec (
    nsuk integer NOT NULL,
    scaffolder_id integer NOT NULL,
    job_id integer,
    job_date date NOT NULL,
    hours numeric(10,2) NOT NULL,
    status_id integer NOT NULL,
    notes character varying(64)
);


ALTER TABLE public.scaff_time_rec OWNER TO postgres;

--
-- TOC entry 2788 (class 1259 OID 79409)
-- Dependencies: 2787 5
-- Name: scaff_time_rec_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE scaff_time_rec_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.scaff_time_rec_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5406 (class 0 OID 0)
-- Dependencies: 2788
-- Name: scaff_time_rec_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE scaff_time_rec_nsuk_seq OWNED BY scaff_time_rec.nsuk;


--
-- TOC entry 2789 (class 1259 OID 79411)
-- Dependencies: 3638 5
-- Name: scaffolding_job; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE scaffolding_job (
    nsuk integer NOT NULL,
    type_id integer NOT NULL,
    leader_id integer,
    depot integer,
    cod character(7),
    site integer,
    description character varying(255),
    start_date date NOT NULL,
    end_date date,
    deleted character(1) DEFAULT 'N'::bpchar NOT NULL,
    created timestamp without time zone NOT NULL,
    updated timestamp without time zone NOT NULL
);


ALTER TABLE public.scaffolding_job OWNER TO postgres;

--
-- TOC entry 2790 (class 1259 OID 79414)
-- Dependencies: 2789 5
-- Name: scaffolding_job_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE scaffolding_job_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.scaffolding_job_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5407 (class 0 OID 0)
-- Dependencies: 2790
-- Name: scaffolding_job_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE scaffolding_job_nsuk_seq OWNED BY scaffolding_job.nsuk;


--
-- TOC entry 2791 (class 1259 OID 79416)
-- Dependencies: 5
-- Name: scaffolding_jt; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE scaffolding_jt (
    nsuk integer NOT NULL,
    short_code character(3) NOT NULL,
    code character varying(16) NOT NULL,
    description character varying(32)
);


ALTER TABLE public.scaffolding_jt OWNER TO postgres;

--
-- TOC entry 2792 (class 1259 OID 79418)
-- Dependencies: 2791 5
-- Name: scaffolding_jt_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE scaffolding_jt_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.scaffolding_jt_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5408 (class 0 OID 0)
-- Dependencies: 2792
-- Name: scaffolding_jt_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE scaffolding_jt_nsuk_seq OWNED BY scaffolding_jt.nsuk;


--
-- TOC entry 2793 (class 1259 OID 79420)
-- Dependencies: 5
-- Name: scanned_docket_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE scanned_docket_type (
    code integer NOT NULL,
    description character varying(256) NOT NULL,
    short_desc character varying(16) NOT NULL
);


ALTER TABLE public.scanned_docket_type OWNER TO postgres;

--
-- TOC entry 2794 (class 1259 OID 79422)
-- Dependencies: 5
-- Name: scheduled_list; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE scheduled_list (
    nsuk integer NOT NULL,
    customer_list character(10),
    day_of_week integer NOT NULL,
    last_sent timestamp without time zone
);


ALTER TABLE public.scheduled_list OWNER TO postgres;

--
-- TOC entry 2795 (class 1259 OID 79424)
-- Dependencies: 2794 5
-- Name: scheduled_list_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE scheduled_list_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.scheduled_list_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5409 (class 0 OID 0)
-- Dependencies: 2795
-- Name: scheduled_list_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE scheduled_list_nsuk_seq OWNED BY scheduled_list.nsuk;


--
-- TOC entry 2796 (class 1259 OID 79426)
-- Dependencies: 5
-- Name: scontact; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE scontact (
    nsuk integer NOT NULL,
    supplier character(6),
    typ character(1),
    nam character(30),
    phone character(30),
    fax character(30),
    greeting character(10),
    email character(90)
);


ALTER TABLE public.scontact OWNER TO postgres;

--
-- TOC entry 2797 (class 1259 OID 79428)
-- Dependencies: 2796 5
-- Name: scontact_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE scontact_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.scontact_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5410 (class 0 OID 0)
-- Dependencies: 2797
-- Name: scontact_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE scontact_nsuk_seq OWNED BY scontact.nsuk;


--
-- TOC entry 2798 (class 1259 OID 79430)
-- Dependencies: 5
-- Name: sd_line; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sd_line (
    nsuk integer NOT NULL,
    docket_id integer NOT NULL,
    status_id integer NOT NULL,
    description character varying(128),
    grid_ref_id integer,
    lnk_hnd_id integer,
    qty numeric(16,4),
    length numeric(16,4),
    width numeric(16,4),
    height numeric(16,4),
    eff_charge_vol numeric(16,4),
    pricelist_id integer,
    charge_pt_id integer,
    contract_rate numeric(16,6),
    eff_hire_vol numeric(16,4),
    scaff_pt_id integer,
    hire_rate numeric(16,6),
    date_out date,
    date_in date,
    discount numeric(16,6),
    created timestamp without time zone NOT NULL,
    updated timestamp without time zone NOT NULL
);


ALTER TABLE public.sd_line OWNER TO postgres;

--
-- TOC entry 2799 (class 1259 OID 79432)
-- Dependencies: 2798 5
-- Name: sd_line_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sd_line_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sd_line_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5411 (class 0 OID 0)
-- Dependencies: 2799
-- Name: sd_line_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sd_line_nsuk_seq OWNED BY sd_line.nsuk;


--
-- TOC entry 2800 (class 1259 OID 79434)
-- Dependencies: 5
-- Name: sd_line_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sd_line_status (
    nsuk integer NOT NULL,
    status character varying(16) NOT NULL
);


ALTER TABLE public.sd_line_status OWNER TO postgres;

--
-- TOC entry 2801 (class 1259 OID 79436)
-- Dependencies: 2800 5
-- Name: sd_line_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sd_line_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sd_line_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5412 (class 0 OID 0)
-- Dependencies: 2801
-- Name: sd_line_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sd_line_status_nsuk_seq OWNED BY sd_line_status.nsuk;


--
-- TOC entry 2802 (class 1259 OID 79438)
-- Dependencies: 5
-- Name: sd_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sd_status (
    nsuk integer NOT NULL,
    status character varying(16)
);


ALTER TABLE public.sd_status OWNER TO postgres;

--
-- TOC entry 2803 (class 1259 OID 79440)
-- Dependencies: 2802 5
-- Name: sd_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sd_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sd_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5413 (class 0 OID 0)
-- Dependencies: 2803
-- Name: sd_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sd_status_nsuk_seq OWNED BY sd_status.nsuk;


--
-- TOC entry 2804 (class 1259 OID 79442)
-- Dependencies: 5
-- Name: sd_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sd_type (
    nsuk integer NOT NULL,
    type character varying(16) NOT NULL,
    description character varying(64)
);


ALTER TABLE public.sd_type OWNER TO postgres;

--
-- TOC entry 2805 (class 1259 OID 79444)
-- Dependencies: 2804 5
-- Name: sd_type_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sd_type_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sd_type_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5414 (class 0 OID 0)
-- Dependencies: 2805
-- Name: sd_type_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sd_type_nsuk_seq OWNED BY sd_type.nsuk;


--
-- TOC entry 2806 (class 1259 OID 79446)
-- Dependencies: 5
-- Name: sell_price; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sell_price (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    effective_date date NOT NULL,
    sell_price numeric(16,4),
    change_type integer,
    promotion_number integer
);


ALTER TABLE public.sell_price OWNER TO postgres;

--
-- TOC entry 2807 (class 1259 OID 79448)
-- Dependencies: 2806 5
-- Name: sell_price_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sell_price_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sell_price_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5415 (class 0 OID 0)
-- Dependencies: 2807
-- Name: sell_price_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sell_price_nsuk_seq OWNED BY sell_price.nsuk;


--
-- TOC entry 2808 (class 1259 OID 79450)
-- Dependencies: 5
-- Name: seqno; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE seqno (
    seq_name character(10) NOT NULL,
    next_seq integer NOT NULL
);


ALTER TABLE public.seqno OWNER TO postgres;

--
-- TOC entry 2809 (class 1259 OID 79452)
-- Dependencies: 3159 5
-- Name: sequence_setvals; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW sequence_setvals AS
    SELECT (((((('
    SELECT setval(''"'::text || (cs.relname)::text) || '"'',
        max("'::text) || (a.attname)::text) || '"))
FROM
"'::text) || (c.relname)::text) || '";'::text) AS expr FROM pg_class c, pg_class cs, pg_attribute a, pg_attrdef d WHERE (((((cs.relkind = 'S'::"char") AND (d.adsrc ~ (cs.relname)::text)) AND (c.oid = a.attrelid)) AND (c.oid = d.adrelid)) AND (d.adnum = a.attnum));


ALTER TABLE public.sequence_setvals OWNER TO postgres;

--
-- TOC entry 2810 (class 1259 OID 79455)
-- Dependencies: 3160 5
-- Name: sequence_setvals1; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW sequence_setvals1 AS
    SELECT (((((('

    SELECT setval(''"'::text || (cs.relname)::text) || '"'',

        max("'::text) || (a.attname)::text) || '"))
FROM
"'::text) || (c.relname)::text) || '";'::text) AS expr FROM pg_class c, pg_class cs, pg_attribute a, pg_attrdef d WHERE (((((cs.relkind = 'S'::"char") AND (d.adsrc ~ (cs.relname)::text)) AND (c.oid = a.attrelid)) AND (c.oid = d.adrelid)) AND (d.adnum = a.attnum));


ALTER TABLE public.sequence_setvals1 OWNER TO postgres;

--
-- TOC entry 2811 (class 1259 OID 79458)
-- Dependencies: 5
-- Name: serial_products; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE serial_products (
    product integer NOT NULL
);


ALTER TABLE public.serial_products OWNER TO postgres;

--
-- TOC entry 2812 (class 1259 OID 79460)
-- Dependencies: 5
-- Name: service_log; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE service_log (
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    dat date,
    txt1 character(40),
    txt2 character(40),
    txt3 character(40),
    hours_worked numeric(16,2),
    cost_per_hour numeric(16,2),
    spares numeric(16,2)
);


ALTER TABLE public.service_log OWNER TO postgres;

--
-- TOC entry 3067 (class 1259 OID 445886)
-- Dependencies: 5
-- Name: sessionlock; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sessionlock (
    id integer NOT NULL,
    operator integer,
    tstamp date
);


ALTER TABLE public.sessionlock OWNER TO postgres;

--
-- TOC entry 3066 (class 1259 OID 445884)
-- Dependencies: 3067 5
-- Name: sessionlock_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sessionlock_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sessionlock_id_seq OWNER TO postgres;

--
-- TOC entry 5416 (class 0 OID 0)
-- Dependencies: 3066
-- Name: sessionlock_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sessionlock_id_seq OWNED BY sessionlock.id;


--
-- TOC entry 2813 (class 1259 OID 79462)
-- Dependencies: 5
-- Name: sgroups; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sgroups (
    cod character(8),
    description character(30)
);


ALTER TABLE public.sgroups OWNER TO postgres;

--
-- TOC entry 2814 (class 1259 OID 79464)
-- Dependencies: 5
-- Name: signs; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE signs (
    doc_type character(2) NOT NULL,
    mult integer
);


ALTER TABLE public.signs OWNER TO postgres;

--
-- TOC entry 2815 (class 1259 OID 79466)
-- Dependencies: 5
-- Name: single_item_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE single_item_status (
    nsuk integer NOT NULL,
    "from" integer NOT NULL,
    "to" integer NOT NULL
);


ALTER TABLE public.single_item_status OWNER TO postgres;

--
-- TOC entry 2816 (class 1259 OID 79468)
-- Dependencies: 2815 5
-- Name: single_item_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE single_item_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.single_item_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5417 (class 0 OID 0)
-- Dependencies: 2816
-- Name: single_item_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE single_item_status_nsuk_seq OWNED BY single_item_status.nsuk;


--
-- TOC entry 2817 (class 1259 OID 79470)
-- Dependencies: 5
-- Name: singles; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE singles (
    asset_reg character(1) NOT NULL,
    pdesc character(4) NOT NULL,
    cod character(6) NOT NULL,
    serial_no character(100),
    last_service_date date,
    service_period character(20),
    last_hire_date date,
    stat integer,
    picked character(1),
    location smallint,
    ref1 character(30),
    ref2 character(30),
    ref3 character(30),
    ref4 character(30),
    barcode character(30),
    date1 date,
    date2 date,
    lock_count integer NOT NULL
);


ALTER TABLE public.singles OWNER TO postgres;

--
-- TOC entry 2818 (class 1259 OID 79472)
-- Dependencies: 5
-- Name: singles_ext; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE singles_ext (
    asset_reg character(1) NOT NULL,
    pdesc character(4) NOT NULL,
    cod character(6) NOT NULL,
    last_service_date date,
    last_service_mile integer,
    next_service_date date,
    next_service_mile integer,
    last_doe_nct_date date,
    next_doe_nct_date date,
    last_inspect_date date,
    next_inspect_date date,
    last_tax_date date,
    next_tax_date date,
    last_mileage_read integer,
    last_mileage_date date
);


ALTER TABLE public.singles_ext OWNER TO postgres;

--
-- TOC entry 2819 (class 1259 OID 79474)
-- Dependencies: 5
-- Name: site; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE site (
    depot integer
);


ALTER TABLE public.site OWNER TO postgres;

--
-- TOC entry 2820 (class 1259 OID 79476)
-- Dependencies: 5
-- Name: siteda; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE siteda (
    depot integer,
    cust character(7),
    site integer,
    period date,
    pdesc character(4),
    qty integer,
    goods numeric(16,2)
);


ALTER TABLE public.siteda OWNER TO postgres;

--
-- TOC entry 2821 (class 1259 OID 79478)
-- Dependencies: 5
-- Name: siteha; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE siteha (
    depot integer,
    cod character(7),
    site integer,
    period date,
    pdesc character(4),
    dayes integer,
    goods numeric(16,2)
);


ALTER TABLE public.siteha OWNER TO postgres;

--
-- TOC entry 2822 (class 1259 OID 79480)
-- Dependencies: 5
-- Name: sitesa; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sitesa (
    depot integer,
    cod character(7),
    site integer,
    period date,
    product character(7),
    qty integer,
    goods numeric(16,2)
);


ALTER TABLE public.sitesa OWNER TO postgres;

--
-- TOC entry 3080 (class 1259 OID 445946)
-- Dependencies: 5
-- Name: sledger_cr_map; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sledger_cr_map (
    id integer NOT NULL,
    sledger_ser integer,
    cr_reason_id integer
);


ALTER TABLE public.sledger_cr_map OWNER TO postgres;

--
-- TOC entry 3079 (class 1259 OID 445944)
-- Dependencies: 3080 5
-- Name: sledger_cr_map_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sledger_cr_map_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sledger_cr_map_id_seq OWNER TO postgres;

--
-- TOC entry 5418 (class 0 OID 0)
-- Dependencies: 3079
-- Name: sledger_cr_map_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sledger_cr_map_id_seq OWNED BY sledger_cr_map.id;


--
-- TOC entry 2823 (class 1259 OID 79482)
-- Dependencies: 5
-- Name: sledger_query; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sledger_query (
    nsuk integer NOT NULL,
    depot integer NOT NULL,
    cod character(7) NOT NULL,
    sledger integer NOT NULL,
    note_group integer NOT NULL,
    active integer NOT NULL
);


ALTER TABLE public.sledger_query OWNER TO postgres;

--
-- TOC entry 2824 (class 1259 OID 79484)
-- Dependencies: 2823 5
-- Name: sledger_query_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sledger_query_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sledger_query_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5419 (class 0 OID 0)
-- Dependencies: 2824
-- Name: sledger_query_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sledger_query_nsuk_seq OWNED BY sledger_query.nsuk;


--
-- TOC entry 2825 (class 1259 OID 79486)
-- Dependencies: 2254 5
-- Name: sledger_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sledger_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sledger_ser_seq OWNER TO postgres;

--
-- TOC entry 5420 (class 0 OID 0)
-- Dependencies: 2825
-- Name: sledger_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sledger_ser_seq OWNED BY sledger.ser;


--
-- TOC entry 2826 (class 1259 OID 79488)
-- Dependencies: 5
-- Name: smartcard; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE smartcard (
    issuer integer,
    depot integer,
    period date,
    aut_code character(10),
    whenn timestamp without time zone,
    card_number character(25),
    ledger_trans integer,
    operator character(20),
    amount numeric(16,2),
    lodgement integer
);


ALTER TABLE public.smartcard OWNER TO postgres;

--
-- TOC entry 2827 (class 1259 OID 79490)
-- Dependencies: 5
-- Name: so_ctl; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE so_ctl (
    bank_charges character(6)
);


ALTER TABLE public.so_ctl OWNER TO postgres;

--
-- TOC entry 2828 (class 1259 OID 79492)
-- Dependencies: 5
-- Name: so_dd; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE so_dd (
    nsuk integer NOT NULL,
    cust_order integer NOT NULL,
    ch_contract integer NOT NULL,
    ch_location integer NOT NULL
);


ALTER TABLE public.so_dd OWNER TO postgres;

--
-- TOC entry 2829 (class 1259 OID 79494)
-- Dependencies: 5
-- Name: so_dd_disposal; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE so_dd_disposal (
    nsuk integer NOT NULL,
    o_disposal integer NOT NULL,
    cd_contract integer NOT NULL,
    cd_lin integer NOT NULL,
    cd_location integer NOT NULL,
    original_qty integer NOT NULL
);


ALTER TABLE public.so_dd_disposal OWNER TO postgres;

CREATE TABLE o_disposal
(
  nsuk serial NOT NULL,
  "order" integer NOT NULL,
  line_number integer NOT NULL,
  asset_reg character(1) NOT NULL,
  pdesc character(4) NOT NULL,
  reg character(5),
  unit_sell numeric(16,2),
  unit_cost numeric(16,2),
  qty integer,
  vcode integer,
  discount numeric(16,2) NOT NULL,
  invoice_when character(1) NOT NULL,
  note integer,
  "operator" integer,
  status integer
); 


CREATE UNIQUE INDEX o_disposalprim
ON o_disposal
USING btree
(nsuk);

create index o_disposalfk on o_disposal( "order" );

ALTER TABLE public.o_disposal OWNER TO postgres;


--
-- TOC entry 2830 (class 1259 OID 79496)
-- Dependencies: 2829 5
-- Name: so_dd_disposal_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE so_dd_disposal_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.so_dd_disposal_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5421 (class 0 OID 0)
-- Dependencies: 2830
-- Name: so_dd_disposal_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE so_dd_disposal_nsuk_seq OWNED BY so_dd_disposal.nsuk;


--
-- TOC entry 2831 (class 1259 OID 79498)
-- Dependencies: 2828 5
-- Name: so_dd_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE so_dd_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.so_dd_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5422 (class 0 OID 0)
-- Dependencies: 2831
-- Name: so_dd_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE so_dd_nsuk_seq OWNED BY so_dd.nsuk;


--
-- TOC entry 2832 (class 1259 OID 79500)
-- Dependencies: 5
-- Name: so_dd_rental; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE so_dd_rental (
    nsuk integer NOT NULL,
    o_rental integer NOT NULL,
    chd_contract integer NOT NULL,
    chd_lin integer NOT NULL,
    chd_location integer NOT NULL,
    original_qty integer NOT NULL
);


ALTER TABLE public.so_dd_rental OWNER TO postgres;

--
-- TOC entry 2833 (class 1259 OID 79502)
-- Dependencies: 2832 5
-- Name: so_dd_rental_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE so_dd_rental_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.so_dd_rental_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5423 (class 0 OID 0)
-- Dependencies: 2833
-- Name: so_dd_rental_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE so_dd_rental_nsuk_seq OWNED BY so_dd_rental.nsuk;


--
-- TOC entry 2834 (class 1259 OID 79504)
-- Dependencies: 5
-- Name: so_dd_sale; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE so_dd_sale (
    nsuk integer NOT NULL,
    o_sale integer NOT NULL,
    cod_contract integer NOT NULL,
    cod_lin integer NOT NULL,
    cod_location integer NOT NULL,
    original_qty integer NOT NULL
);


ALTER TABLE public.so_dd_sale OWNER TO postgres;

--
-- TOC entry 2835 (class 1259 OID 79506)
-- Dependencies: 2834 5
-- Name: so_dd_sale_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE so_dd_sale_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.so_dd_sale_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5424 (class 0 OID 0)
-- Dependencies: 2835
-- Name: so_dd_sale_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE so_dd_sale_nsuk_seq OWNED BY so_dd_sale.nsuk;


--
-- TOC entry 2836 (class 1259 OID 79508)
-- Dependencies: 5
-- Name: so_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE so_detail (
    nsuk integer NOT NULL,
    order_number integer NOT NULL,
    lin integer NOT NULL,
    product character(7),
    unit_sell numeric(16,4),
    vcode integer,
    qty numeric(10,2) NOT NULL,
    discount numeric(4,2) NOT NULL,
    unit_cost numeric(16,2),
    location integer,
    invoice_when character(1),
    notes integer,
    operator integer,
    quotation character(8),
    product_type integer NOT NULL,
    barcode character(13),
    quotation_number integer,
    qty_delivered numeric(10,2) NOT NULL
);


ALTER TABLE public.so_detail OWNER TO postgres;

--
-- TOC entry 2837 (class 1259 OID 79510)
-- Dependencies: 2836 5
-- Name: so_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE so_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.so_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5425 (class 0 OID 0)
-- Dependencies: 2837
-- Name: so_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE so_detail_nsuk_seq OWNED BY so_detail.nsuk;


--
-- TOC entry 2838 (class 1259 OID 79512)
-- Dependencies: 5
-- Name: so_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE so_head (
    nsuk integer NOT NULL,
    location integer,
    cust character(7),
    depot integer,
    site integer,
    order_no character(16),
    dat date,
    due_date date,
    valid_from date,
    valid_to date,
    tender character(8),
    operator integer,
    note integer,
    sales_disc numeric(4,2) NOT NULL,
    quotation character(8),
    status integer,
    quotation_number integer
);


ALTER TABLE public.so_head OWNER TO postgres;

--
-- TOC entry 2839 (class 1259 OID 79514)
-- Dependencies: 2838 5
-- Name: so_head_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE so_head_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.so_head_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5426 (class 0 OID 0)
-- Dependencies: 2839
-- Name: so_head_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE so_head_nsuk_seq OWNED BY so_head.nsuk;


--
-- TOC entry 2840 (class 1259 OID 79516)
-- Dependencies: 5
-- Name: soq_xref; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE soq_xref (
    nsuk integer NOT NULL,
    quotation integer NOT NULL,
    sales_order integer NOT NULL
);


ALTER TABLE public.soq_xref OWNER TO postgres;

--
-- TOC entry 2841 (class 1259 OID 79518)
-- Dependencies: 2840 5
-- Name: soq_xref_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE soq_xref_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.soq_xref_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5427 (class 0 OID 0)
-- Dependencies: 2841
-- Name: soq_xref_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE soq_xref_nsuk_seq OWNED BY soq_xref.nsuk;


--
-- TOC entry 2842 (class 1259 OID 79520)
-- Dependencies: 5
-- Name: source; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE source (
    cod character(2) NOT NULL,
    description character(20),
    nxt integer,
    ledger character(1)
);


ALTER TABLE public.source OWNER TO postgres;

--
-- TOC entry 2843 (class 1259 OID 79522)
-- Dependencies: 5
-- Name: spool_control; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE spool_control (
    ser integer NOT NULL,
    nam character(20),
    operator integer,
    prynter integer,
    forms_type character(2),
    dat timestamp without time zone,
    print_it character(1),
    stat character(1),
    page_count integer
);


ALTER TABLE public.spool_control OWNER TO postgres;

--
-- TOC entry 2844 (class 1259 OID 79524)
-- Dependencies: 2843 5
-- Name: spool_control_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE spool_control_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.spool_control_ser_seq OWNER TO postgres;

--
-- TOC entry 5428 (class 0 OID 0)
-- Dependencies: 2844
-- Name: spool_control_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE spool_control_ser_seq OWNED BY spool_control.ser;


--
-- TOC entry 2845 (class 1259 OID 79526)
-- Dependencies: 5
-- Name: ssledger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ssledger (
    ser integer NOT NULL,
    depot integer,
    cod character(7),
    dat date,
    period date,
    typ integer,
    amount numeric(16,2),
    vat numeric(16,2),
    location integer,
    contract character(6),
    ref character(10),
    os numeric(16,2),
    source character(2),
    batch integer,
    description character(15),
    txt integer,
    lodgement integer,
    operator integer,
    invtype character(1),
    tim time without time zone,
    cash_nominal character(6),
    cash_invoice integer
);


ALTER TABLE public.ssledger OWNER TO postgres;

--
-- TOC entry 2846 (class 1259 OID 79528)
-- Dependencies: 2845 5
-- Name: ssledger_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ssledger_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ssledger_ser_seq OWNER TO postgres;

--
-- TOC entry 5429 (class 0 OID 0)
-- Dependencies: 2846
-- Name: ssledger_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ssledger_ser_seq OWNED BY ssledger.ser;


--
-- TOC entry 2847 (class 1259 OID 79530)
-- Dependencies: 5
-- Name: stack; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stack (
    stack_top integer NOT NULL,
    account character(6),
    lft integer,
    rgt integer
);


ALTER TABLE public.stack OWNER TO postgres;

--
-- TOC entry 2848 (class 1259 OID 79532)
-- Dependencies: 5
-- Name: stan_order; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stan_order (
    memo character(25) NOT NULL,
    ledger character(1) NOT NULL,
    debit_account character(6) NOT NULL,
    bank_account character(6) NOT NULL,
    cost_centre character(4),
    reference character(10),
    amount numeric(16,2) NOT NULL,
    next_pdate date NOT NULL,
    termin_date date,
    frequency character(1) NOT NULL,
    amount_due numeric(16,2),
    bank_charge numeric(16,2)
);


ALTER TABLE public.stan_order OWNER TO postgres;

--
-- TOC entry 2849 (class 1259 OID 79534)
-- Dependencies: 5
-- Name: statement_log; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE statement_log (
    depot integer,
    cod character(7),
    reference character(100),
    sequence integer
);


ALTER TABLE public.statement_log OWNER TO postgres;

--
-- TOC entry 2850 (class 1259 OID 79536)
-- Dependencies: 5
-- Name: stk_freeze_dtl; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stk_freeze_dtl (
    nsuk integer NOT NULL,
    stk_freeze_hdr_id integer,
    product_type_id integer,
    plu character(7),
    location integer,
    qty numeric(16,2),
    qty_onhire numeric(16,2),
    unit_cost numeric(16,4) NOT NULL
);


ALTER TABLE public.stk_freeze_dtl OWNER TO postgres;

--
-- TOC entry 2851 (class 1259 OID 79538)
-- Dependencies: 2850 5
-- Name: stk_freeze_dtl_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stk_freeze_dtl_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stk_freeze_dtl_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5430 (class 0 OID 0)
-- Dependencies: 2851
-- Name: stk_freeze_dtl_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stk_freeze_dtl_nsuk_seq OWNED BY stk_freeze_dtl.nsuk;


--
-- TOC entry 2852 (class 1259 OID 79540)
-- Dependencies: 5
-- Name: stk_freeze_hdr; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stk_freeze_hdr (
    nsuk integer NOT NULL,
    operator_id integer,
    description character(60),
    "timestamp" timestamp(0) without time zone,
    sales_period date,
    eom integer NOT NULL
);


ALTER TABLE public.stk_freeze_hdr OWNER TO postgres;

--
-- TOC entry 2853 (class 1259 OID 79542)
-- Dependencies: 2852 5
-- Name: stk_freeze_hdr_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stk_freeze_hdr_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stk_freeze_hdr_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5431 (class 0 OID 0)
-- Dependencies: 2853
-- Name: stk_freeze_hdr_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stk_freeze_hdr_nsuk_seq OWNED BY stk_freeze_hdr.nsuk;


--
-- TOC entry 2854 (class 1259 OID 79544)
-- Dependencies: 5
-- Name: stk_header; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stk_header (
    nsuk integer NOT NULL,
    effective_date date NOT NULL,
    "timestamp" timestamp without time zone NOT NULL,
    movement_type integer NOT NULL,
    movement_ref integer NOT NULL,
    operator integer NOT NULL,
    depot integer,
    note integer,
    period date NOT NULL
);


ALTER TABLE public.stk_header OWNER TO postgres;

--
-- TOC entry 2855 (class 1259 OID 79546)
-- Dependencies: 2854 5
-- Name: stk_header_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stk_header_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stk_header_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5432 (class 0 OID 0)
-- Dependencies: 2855
-- Name: stk_header_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stk_header_nsuk_seq OWNED BY stk_header.nsuk;


--
-- TOC entry 2856 (class 1259 OID 79548)
-- Dependencies: 5
-- Name: stk_take; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stk_take (
    nsuk integer NOT NULL,
    stk_freeze_hdr_id integer,
    plu character(7),
    count numeric(16,2),
    "timestamp" date,
    product_type_id integer
);


ALTER TABLE public.stk_take OWNER TO postgres;

--
-- TOC entry 2857 (class 1259 OID 79550)
-- Dependencies: 2856 5
-- Name: stk_take_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stk_take_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stk_take_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5433 (class 0 OID 0)
-- Dependencies: 2857
-- Name: stk_take_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stk_take_nsuk_seq OWNED BY stk_take.nsuk;


--
-- TOC entry 2858 (class 1259 OID 79552)
-- Dependencies: 5
-- Name: stk_take_wrk; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stk_take_wrk (
    nsuk integer NOT NULL,
    plu character(7),
    count numeric(16,2),
    "timestamp" date,
    location integer
);


ALTER TABLE public.stk_take_wrk OWNER TO postgres;

--
-- TOC entry 2859 (class 1259 OID 79554)
-- Dependencies: 2858 5
-- Name: stk_take_wrk_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stk_take_wrk_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stk_take_wrk_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5434 (class 0 OID 0)
-- Dependencies: 2859
-- Name: stk_take_wrk_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stk_take_wrk_nsuk_seq OWNED BY stk_take_wrk.nsuk;


--
-- TOC entry 2860 (class 1259 OID 79556)
-- Dependencies: 5
-- Name: stock; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stock (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    location integer NOT NULL,
    qty_physical numeric(16,2) NOT NULL,
    qty_allocated numeric(16,2),
    qty_onorder numeric(16,2),
    qty_onhire numeric(16,2),
    qty_uninspected numeric(16,2),
    qty_oncustorder numeric(16,2)
);


ALTER TABLE public.stock OWNER TO postgres;

--
-- TOC entry 2861 (class 1259 OID 79558)
-- Dependencies: 5
-- Name: stock_control; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stock_control (
    current_period date NOT NULL,
    eosp_run_date date NOT NULL,
    nposted_period date NOT NULL,
    balance_sheet_stk character(6)
);


ALTER TABLE public.stock_control OWNER TO postgres;

--
-- TOC entry 2862 (class 1259 OID 79560)
-- Dependencies: 5
-- Name: stock_freeze; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stock_freeze (
    nsuk integer NOT NULL,
    depot integer,
    period character(7) NOT NULL,
    product_type integer NOT NULL,
    qty_instock numeric(16,2) NOT NULL,
    value numeric(16,2) NOT NULL,
    nominal character(6) NOT NULL
);


ALTER TABLE public.stock_freeze OWNER TO postgres;

--
-- TOC entry 5435 (class 0 OID 0)
-- Dependencies: 2862
-- Name: TABLE stock_freeze; Type: COMMENT; Schema: public; Owner: postgres
--

COMMENT ON TABLE stock_freeze IS 'Sam Hire
';


--
-- TOC entry 2863 (class 1259 OID 79562)
-- Dependencies: 2862 5
-- Name: stock_freeze_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stock_freeze_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stock_freeze_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5436 (class 0 OID 0)
-- Dependencies: 2863
-- Name: stock_freeze_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stock_freeze_nsuk_seq OWNED BY stock_freeze.nsuk;


--
-- TOC entry 2864 (class 1259 OID 79564)
-- Dependencies: 5
-- Name: stock_location; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stock_location (
    nsuk integer NOT NULL,
    depot integer,
    descr character(30)
);


ALTER TABLE public.stock_location OWNER TO postgres;

--
-- TOC entry 2865 (class 1259 OID 79566)
-- Dependencies: 2864 5
-- Name: stock_location_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stock_location_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stock_location_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5437 (class 0 OID 0)
-- Dependencies: 2865
-- Name: stock_location_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stock_location_nsuk_seq OWNED BY stock_location.nsuk;


--
-- TOC entry 2866 (class 1259 OID 79568)
-- Dependencies: 5
-- Name: stock_movement; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stock_movement (
    nsuk integer NOT NULL,
    product_type integer NOT NULL,
    typ integer NOT NULL,
    date_entered date NOT NULL,
    "timestamp" timestamp without time zone NOT NULL,
    qty_physical numeric(16,2) NOT NULL,
    qty_allocated numeric(16,2) NOT NULL,
    qty_onorder numeric(16,2) NOT NULL,
    qty_onhire numeric(16,2) NOT NULL,
    depot_before integer,
    depot_after integer,
    loc_before integer,
    loc_after integer,
    supplier character(6),
    cust_depot integer,
    cust_cod character(7),
    movement_ref integer NOT NULL,
    trans_ref character(20),
    unitsell numeric(16,4),
    unitcost numeric(16,4),
    unitcost_before numeric(16,4),
    unitcost_after numeric(16,4),
    period date NOT NULL,
    stk_header integer,
    qty_uninspected numeric(16,2),
    qty_oncustorder numeric(16,2)
);


ALTER TABLE public.stock_movement OWNER TO postgres;

--
-- TOC entry 2867 (class 1259 OID 79570)
-- Dependencies: 2866 5
-- Name: stock_movement_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stock_movement_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stock_movement_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5438 (class 0 OID 0)
-- Dependencies: 2867
-- Name: stock_movement_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stock_movement_nsuk_seq OWNED BY stock_movement.nsuk;


--
-- TOC entry 2868 (class 1259 OID 79572)
-- Dependencies: 2860 5
-- Name: stock_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE stock_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.stock_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5439 (class 0 OID 0)
-- Dependencies: 2868
-- Name: stock_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE stock_nsuk_seq OWNED BY stock.nsuk;


--
-- TOC entry 2869 (class 1259 OID 79574)
-- Dependencies: 5
-- Name: stocklist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stocklist (
    depot integer,
    lin integer,
    product character(7),
    qty numeric(10,2)
);


ALTER TABLE public.stocklist OWNER TO postgres;

--
-- TOC entry 2870 (class 1259 OID 79576)
-- Dependencies: 5
-- Name: stocktyp; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE stocktyp (
    type character(1) NOT NULL,
    description character(30)
);


ALTER TABLE public.stocktyp OWNER TO postgres;

--
-- TOC entry 2871 (class 1259 OID 79578)
-- Dependencies: 5
-- Name: sub_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sub_category (
    nsuk integer NOT NULL,
    description character(30) NOT NULL,
    master_category integer NOT NULL
);


ALTER TABLE public.sub_category OWNER TO postgres;

--
-- TOC entry 2872 (class 1259 OID 79580)
-- Dependencies: 2871 5
-- Name: sub_category_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sub_category_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sub_category_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5440 (class 0 OID 0)
-- Dependencies: 2872
-- Name: sub_category_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE sub_category_nsuk_seq OWNED BY sub_category.nsuk;


--
-- TOC entry 2873 (class 1259 OID 79582)
-- Dependencies: 5
-- Name: sub_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sub_group (
    cod character(3),
    super_group character(3),
    descr character(30)
);


ALTER TABLE public.sub_group OWNER TO postgres;

--
-- TOC entry 2874 (class 1259 OID 79584)
-- Dependencies: 5
-- Name: sub_product; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sub_product (
    product_code character(7),
    product_parent character(7),
    description character(20)
);


ALTER TABLE public.sub_product OWNER TO postgres;

--
-- TOC entry 2875 (class 1259 OID 79586)
-- Dependencies: 5
-- Name: sub_types; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sub_types (
    descr character(4),
    subcode integer,
    subtype character(20)
);


ALTER TABLE public.sub_types OWNER TO postgres;

--
-- TOC entry 2876 (class 1259 OID 79588)
-- Dependencies: 5
-- Name: sugg_remit; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sugg_remit (
    ser integer,
    os numeric(16,0),
    dat date,
    supplier character(7),
    typ integer,
    ref character(10),
    cheque_ref character(10),
    amt numeric(16,2),
    disc numeric(16,2),
    operator integer
);


ALTER TABLE public.sugg_remit OWNER TO postgres;

--
-- TOC entry 2877 (class 1259 OID 79590)
-- Dependencies: 5
-- Name: super_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE super_group (
    cod character(3),
    descr character(30)
);


ALTER TABLE public.super_group OWNER TO postgres;

--
-- TOC entry 2878 (class 1259 OID 79592)
-- Dependencies: 5
-- Name: supp_bank; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE supp_bank (
    supplier character(6),
    sorting_code character(6),
    account character(8),
    account_name character(20)
);


ALTER TABLE public.supp_bank OWNER TO postgres;

--
-- TOC entry 2879 (class 1259 OID 79594)
-- Dependencies: 5
-- Name: supplier; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE supplier (
    cod character(6) NOT NULL,
    nam character(30),
    addr1 character(30),
    addr2 character(30),
    addr3 character(30),
    last_paid date,
    last_pay numeric(16,2),
    currency character(3),
    agreed numeric(8,4),
    balance numeric(16,2),
    turnover_ytd numeric(16,2),
    turnover_cm numeric(16,2),
    unallocated numeric(16,2),
    credit_control character(6),
    suspended character(1),
    addr4 character(30)
);


ALTER TABLE public.supplier OWNER TO postgres;

--
-- TOC entry 2880 (class 1259 OID 79596)
-- Dependencies: 5
-- Name: supplier_age; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE supplier_age (
    period date NOT NULL,
    cod character(7) NOT NULL,
    balance numeric(16,2) NOT NULL,
    unallocated numeric(16,2) NOT NULL,
    lastpay numeric(16,2),
    lastpaid date,
    current numeric(16,2) NOT NULL,
    age1 numeric(16,2) NOT NULL,
    age2 numeric(16,2) NOT NULL,
    age3 numeric(16,2) NOT NULL,
    age4 numeric(16,2) NOT NULL,
    age5 numeric(16,2) NOT NULL
);


ALTER TABLE public.supplier_age OWNER TO postgres;

--
-- TOC entry 2881 (class 1259 OID 79598)
-- Dependencies: 5
-- Name: supplier_ext; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE supplier_ext (
    nsuk integer NOT NULL,
    cod character(6) NOT NULL,
    default_nominal character(6),
    vatcode integer,
    vatnumber character(20)
);


ALTER TABLE public.supplier_ext OWNER TO postgres;

--
-- TOC entry 2882 (class 1259 OID 79600)
-- Dependencies: 2881 5
-- Name: supplier_ext_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE supplier_ext_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.supplier_ext_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5441 (class 0 OID 0)
-- Dependencies: 2882
-- Name: supplier_ext_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE supplier_ext_nsuk_seq OWNED BY supplier_ext.nsuk;


--
-- TOC entry 2883 (class 1259 OID 79602)
-- Dependencies: 5
-- Name: supplier_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE supplier_group (
    master character(6),
    slave character(6)
);


ALTER TABLE public.supplier_group OWNER TO postgres;

--
-- TOC entry 2884 (class 1259 OID 79604)
-- Dependencies: 5
-- Name: supplier_terms; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE supplier_terms (
    cod character(6),
    day_month character(1),
    credit_period integer,
    bank_ac_num character(10),
    bank_sorting_code character(10),
    on_remittance character(1),
    payment_method character(1)
);


ALTER TABLE public.supplier_terms OWNER TO postgres;

--
-- TOC entry 2885 (class 1259 OID 79606)
-- Dependencies: 5
-- Name: supplier_touched; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE supplier_touched (
    supplier character(6) NOT NULL
);


ALTER TABLE public.supplier_touched OWNER TO postgres;

--
-- TOC entry 2886 (class 1259 OID 79608)
-- Dependencies: 5
-- Name: suppnotes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE suppnotes (
    supplier character(6),
    note integer
);


ALTER TABLE public.suppnotes OWNER TO postgres;

--
-- TOC entry 2887 (class 1259 OID 79610)
-- Dependencies: 5
-- Name: support; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE support (
    ser integer NOT NULL,
    depot integer,
    cust character(7),
    next_date date,
    mths integer,
    description_1 character(30),
    description_2 character(30)
);


ALTER TABLE public.support OWNER TO postgres;

--
-- TOC entry 2888 (class 1259 OID 79612)
-- Dependencies: 5
-- Name: support_detail; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE support_detail (
    support_ser integer,
    product integer,
    amount numeric(16,2),
    vcode integer,
    nominal_code character(6),
    note integer,
    nsuk integer NOT NULL
);


ALTER TABLE public.support_detail OWNER TO postgres;

--
-- TOC entry 2889 (class 1259 OID 79614)
-- Dependencies: 2888 5
-- Name: support_detail_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE support_detail_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.support_detail_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5442 (class 0 OID 0)
-- Dependencies: 2889
-- Name: support_detail_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE support_detail_nsuk_seq OWNED BY support_detail.nsuk;


--
-- TOC entry 2890 (class 1259 OID 79616)
-- Dependencies: 2887 5
-- Name: support_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE support_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.support_ser_seq OWNER TO postgres;

--
-- TOC entry 5443 (class 0 OID 0)
-- Dependencies: 2890
-- Name: support_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE support_ser_seq OWNED BY support.ser;


--
-- TOC entry 2891 (class 1259 OID 79618)
-- Dependencies: 5
-- Name: suspend_reasons; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE suspend_reasons (
    nsuk integer NOT NULL,
    reason character(80)
);


ALTER TABLE public.suspend_reasons OWNER TO postgres;

--
-- TOC entry 2892 (class 1259 OID 79620)
-- Dependencies: 2891 5
-- Name: suspend_reasons_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE suspend_reasons_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.suspend_reasons_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5444 (class 0 OID 0)
-- Dependencies: 2892
-- Name: suspend_reasons_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE suspend_reasons_nsuk_seq OWNED BY suspend_reasons.nsuk;


--
-- TOC entry 2893 (class 1259 OID 79622)
-- Dependencies: 3673 5
-- Name: sys_config; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sys_config (
    num integer NOT NULL,
    nam character(30),
    set integer,
    value character(30),
    notes integer,
    editable integer DEFAULT 0
);


ALTER TABLE public.sys_config OWNER TO postgres;

--
-- TOC entry 2894 (class 1259 OID 79625)
-- Dependencies: 5
-- Name: syslog; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE syslog (
    nsuk integer NOT NULL,
    typ integer,
    "timestamp" timestamp without time zone,
    operator integer,
    module character(20),
    txt character(500)
);


ALTER TABLE public.syslog OWNER TO postgres;

--
-- TOC entry 2895 (class 1259 OID 79630)
-- Dependencies: 2894 5
-- Name: syslog_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE syslog_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.syslog_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5445 (class 0 OID 0)
-- Dependencies: 2895
-- Name: syslog_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE syslog_nsuk_seq OWNED BY syslog.nsuk;


--
-- TOC entry 2896 (class 1259 OID 79632)
-- Dependencies: 5
-- Name: sysmenuitems; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sysmenuitems (
    imenuname character(18),
    itemnum integer,
    mtext character(60),
    mtype character(1),
    progname character(60)
);


ALTER TABLE public.sysmenuitems OWNER TO postgres;

--
-- TOC entry 2897 (class 1259 OID 79634)
-- Dependencies: 5
-- Name: sysmenus; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sysmenus (
    menuname character(18),
    title character(60)
);


ALTER TABLE public.sysmenus OWNER TO postgres;

--
-- TOC entry 2898 (class 1259 OID 79636)
-- Dependencies: 5
-- Name: sysparams; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE sysparams (
    next_note integer,
    cash_batch integer,
    cash_inv_batch integer,
    plant_no integer,
    screen_no integer,
    remote_depot integer
);


ALTER TABLE public.sysparams OWNER TO postgres;

--
-- TOC entry 2899 (class 1259 OID 79638)
-- Dependencies: 5
-- Name: t_shadow_nltrans; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE t_shadow_nltrans (
    trans_no integer NOT NULL,
    amount numeric(16,6),
    currency_amount numeric(16,6) NOT NULL
);


ALTER TABLE public.t_shadow_nltrans OWNER TO postgres;

--
-- TOC entry 2900 (class 1259 OID 79640)
-- Dependencies: 5
-- Name: tb; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tb (
    cod character(6),
    descr character(30),
    cmonth numeric(16,2),
    cytd numeric(16,2),
    lmonth numeric(16,2),
    lytd numeric(16,2),
    cbud numeric(16,2),
    ytdbub numeric(16,2),
    spare1 numeric(16,2),
    spare2 numeric(16,2),
    spare3 numeric(16,2),
    spare4 numeric(16,2)
);


ALTER TABLE public.tb OWNER TO postgres;

--
-- TOC entry 2901 (class 1259 OID 79642)
-- Dependencies: 5
-- Name: team; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE team (
    nsuk integer NOT NULL,
    team_name character(30)
);


ALTER TABLE public.team OWNER TO postgres;

--
-- TOC entry 2902 (class 1259 OID 79644)
-- Dependencies: 5
-- Name: team_member; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE team_member (
    nsuk integer NOT NULL,
    operator integer NOT NULL,
    team integer NOT NULL
);


ALTER TABLE public.team_member OWNER TO postgres;

--
-- TOC entry 2903 (class 1259 OID 79646)
-- Dependencies: 2902 5
-- Name: team_member_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE team_member_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.team_member_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5446 (class 0 OID 0)
-- Dependencies: 2903
-- Name: team_member_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE team_member_nsuk_seq OWNED BY team_member.nsuk;


--
-- TOC entry 2904 (class 1259 OID 79648)
-- Dependencies: 5
-- Name: team_menu; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE team_menu (
    nsuk integer NOT NULL,
    team integer NOT NULL,
    menu_item character(30) NOT NULL
);


ALTER TABLE public.team_menu OWNER TO postgres;

--
-- TOC entry 2905 (class 1259 OID 79650)
-- Dependencies: 2904 5
-- Name: team_menu_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE team_menu_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.team_menu_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5447 (class 0 OID 0)
-- Dependencies: 2905
-- Name: team_menu_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE team_menu_nsuk_seq OWNED BY team_menu.nsuk;


--
-- TOC entry 2906 (class 1259 OID 79652)
-- Dependencies: 5
-- Name: team_module; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE team_module (
    nsuk integer NOT NULL,
    team integer NOT NULL,
    module integer NOT NULL
);


ALTER TABLE public.team_module OWNER TO postgres;

--
-- TOC entry 2907 (class 1259 OID 79654)
-- Dependencies: 2906 5
-- Name: team_module_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE team_module_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.team_module_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5448 (class 0 OID 0)
-- Dependencies: 2907
-- Name: team_module_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE team_module_nsuk_seq OWNED BY team_module.nsuk;


--
-- TOC entry 2908 (class 1259 OID 79656)
-- Dependencies: 2901 5
-- Name: team_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE team_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.team_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5449 (class 0 OID 0)
-- Dependencies: 2908
-- Name: team_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE team_nsuk_seq OWNED BY team.nsuk;


--
-- TOC entry 2909 (class 1259 OID 79658)
-- Dependencies: 5
-- Name: temp_notes; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE temp_notes (
    depot integer,
    cod character(7),
    txt character(80)
);


ALTER TABLE public.temp_notes OWNER TO postgres;

--
-- TOC entry 2910 (class 1259 OID 79660)
-- Dependencies: 5
-- Name: tender; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tender (
    cod character(8) NOT NULL,
    description character(20),
    notes integer,
    allow_disc character(1)
);


ALTER TABLE public.tender OWNER TO postgres;

--
-- TOC entry 2911 (class 1259 OID 79662)
-- Dependencies: 5
-- Name: time_rec_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE time_rec_status (
    nsuk integer NOT NULL,
    description character varying(64) NOT NULL
);


ALTER TABLE public.time_rec_status OWNER TO postgres;

--
-- TOC entry 2912 (class 1259 OID 79664)
-- Dependencies: 2911 5
-- Name: time_rec_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE time_rec_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.time_rec_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5450 (class 0 OID 0)
-- Dependencies: 2912
-- Name: time_rec_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE time_rec_status_nsuk_seq OWNED BY time_rec_status.nsuk;


--
-- TOC entry 2913 (class 1259 OID 79666)
-- Dependencies: 5
-- Name: tlist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tlist (
    depot integer,
    cust character(7)
);


ALTER TABLE public.tlist OWNER TO postgres;

--
-- TOC entry 2914 (class 1259 OID 79668)
-- Dependencies: 5
-- Name: tlsledger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tlsledger (
    ser integer NOT NULL,
    depot integer,
    cod character(7),
    dat date,
    period date,
    typ integer,
    amount numeric(16,2),
    vat numeric(16,2),
    location integer,
    contract character(6),
    ref character(10),
    os numeric(16,2),
    source character(2),
    batch integer,
    description character(15),
    txt integer,
    lodgement integer,
    operator integer,
    invtype character(1),
    tim time without time zone,
    cash_nominal character(6),
    cash_invoice integer,
    action character(6)
);


ALTER TABLE public.tlsledger OWNER TO postgres;

--
-- TOC entry 2915 (class 1259 OID 79670)
-- Dependencies: 5
-- Name: touched; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE touched (
    depot integer,
    cust character(7)
);


ALTER TABLE public.touched OWNER TO postgres;

--
-- TOC entry 2916 (class 1259 OID 79672)
-- Dependencies: 5
-- Name: trans; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE trans (
    cod integer NOT NULL,
    description character(16),
    nxt integer
);


ALTER TABLE public.trans OWNER TO postgres;

--
-- TOC entry 2917 (class 1259 OID 79674)
-- Dependencies: 5
-- Name: trans_in; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE trans_in (
    dat date,
    tim time without time zone,
    operator integer,
    location integer,
    ref character(12),
    from_location integer
);


ALTER TABLE public.trans_in OWNER TO postgres;

--
-- TOC entry 2918 (class 1259 OID 79676)
-- Dependencies: 5
-- Name: trans_out; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE trans_out (
    dat date,
    tim time without time zone,
    operator integer,
    location integer,
    ref character(12),
    to_location integer
);


ALTER TABLE public.trans_out OWNER TO postgres;

--
-- TOC entry 2919 (class 1259 OID 79678)
-- Dependencies: 5
-- Name: transport; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE transport (
    cod character(7) NOT NULL
);


ALTER TABLE public.transport OWNER TO postgres;

--
-- TOC entry 2920 (class 1259 OID 79680)
-- Dependencies: 5
-- Name: tree; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE tree (
    cod character(6),
    parent character(6),
    description character(30),
    leafs integer,
    trading character(1),
    cc_req character(1),
    currency_id character(3),
    lft integer,
    rgt integer
);


ALTER TABLE public.tree OWNER TO postgres;

--
-- TOC entry 2921 (class 1259 OID 79682)
-- Dependencies: 5
-- Name: trigger_on; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE trigger_on (
    enabled integer
);


ALTER TABLE public.trigger_on OWNER TO postgres;

--
-- TOC entry 2922 (class 1259 OID 79684)
-- Dependencies: 5
-- Name: triggertest; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE triggertest (
    id integer NOT NULL,
    name character(30)
);


ALTER TABLE public.triggertest OWNER TO postgres;

--
-- TOC entry 2923 (class 1259 OID 79686)
-- Dependencies: 2922 5
-- Name: triggertest_id_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE triggertest_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.triggertest_id_seq OWNER TO postgres;

--
-- TOC entry 5451 (class 0 OID 0)
-- Dependencies: 2923
-- Name: triggertest_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE triggertest_id_seq OWNED BY triggertest.id;


--
-- TOC entry 2924 (class 1259 OID 79688)
-- Dependencies: 5
-- Name: trtest; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE trtest (
    name character(29)
);


ALTER TABLE public.trtest OWNER TO postgres;

--
-- TOC entry 2925 (class 1259 OID 79690)
-- Dependencies: 5
-- Name: turnover; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE turnover (
    depot integer,
    cod character(7),
    typ integer,
    period date,
    amount numeric(16,2)
);


ALTER TABLE public.turnover OWNER TO postgres;

--
-- TOC entry 2926 (class 1259 OID 79692)
-- Dependencies: 5
-- Name: undisp; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE undisp (
    asset_reg character(1),
    unmatched integer,
    disposal integer,
    qty integer
);


ALTER TABLE public.undisp OWNER TO postgres;

--
-- TOC entry 2927 (class 1259 OID 79694)
-- Dependencies: 5
-- Name: unmatched; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE unmatched (
    ser integer NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    qty integer,
    dat date,
    cost_per_unit numeric(9,2),
    supplier character(6),
    qty_left integer,
    qty_sold integer,
    location integer
);


ALTER TABLE public.unmatched OWNER TO postgres;

--
-- TOC entry 2928 (class 1259 OID 79696)
-- Dependencies: 5
-- Name: unmatched_history; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE unmatched_history (
    period date,
    ser integer NOT NULL,
    asset_reg character(1),
    pdesc character(4),
    reg character(6),
    qty integer,
    dat date,
    cost_per_unit numeric(9,2),
    supplier character(6),
    qty_left integer,
    qty_sold integer,
    location integer
);


ALTER TABLE public.unmatched_history OWNER TO postgres;

--
-- TOC entry 2929 (class 1259 OID 79698)
-- Dependencies: 2928 5
-- Name: unmatched_history_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE unmatched_history_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.unmatched_history_ser_seq OWNER TO postgres;

--
-- TOC entry 5452 (class 0 OID 0)
-- Dependencies: 2929
-- Name: unmatched_history_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE unmatched_history_ser_seq OWNED BY unmatched_history.ser;


--
-- TOC entry 2930 (class 1259 OID 79700)
-- Dependencies: 2927 5
-- Name: unmatched_ser_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE unmatched_ser_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.unmatched_ser_seq OWNER TO postgres;

--
-- TOC entry 5453 (class 0 OID 0)
-- Dependencies: 2930
-- Name: unmatched_ser_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE unmatched_ser_seq OWNED BY unmatched.ser;


--
-- TOC entry 2931 (class 1259 OID 79702)
-- Dependencies: 5
-- Name: unpassed_reason; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE unpassed_reason (
    nsuk integer NOT NULL,
    description character(40) NOT NULL
);


ALTER TABLE public.unpassed_reason OWNER TO postgres;

--
-- TOC entry 2932 (class 1259 OID 79704)
-- Dependencies: 2931 5
-- Name: unpassed_reason_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE unpassed_reason_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.unpassed_reason_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5454 (class 0 OID 0)
-- Dependencies: 2932
-- Name: unpassed_reason_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE unpassed_reason_nsuk_seq OWNED BY unpassed_reason.nsuk;


--
-- TOC entry 2933 (class 1259 OID 79706)
-- Dependencies: 3684 5
-- Name: useddocs; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE useddocs (
    nsuk integer NOT NULL,
    header_id integer,
    location integer,
    typ integer,
    ref integer,
    dat date,
    stat integer DEFAULT 0
);


ALTER TABLE public.useddocs OWNER TO postgres;

--
-- TOC entry 2934 (class 1259 OID 79709)
-- Dependencies: 5
-- Name: useddocs_head; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE useddocs_head (
    nsuk integer NOT NULL,
    doc_type integer,
    location integer,
    operator_id integer,
    created timestamp without time zone
);


ALTER TABLE public.useddocs_head OWNER TO postgres;

--
-- TOC entry 2935 (class 1259 OID 79711)
-- Dependencies: 2934 5
-- Name: useddocs_head_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE useddocs_head_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.useddocs_head_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5455 (class 0 OID 0)
-- Dependencies: 2935
-- Name: useddocs_head_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE useddocs_head_nsuk_seq OWNED BY useddocs_head.nsuk;


--
-- TOC entry 2936 (class 1259 OID 79713)
-- Dependencies: 2933 5
-- Name: useddocs_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE useddocs_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.useddocs_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5456 (class 0 OID 0)
-- Dependencies: 2936
-- Name: useddocs_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE useddocs_nsuk_seq OWNED BY useddocs.nsuk;


--
-- TOC entry 2937 (class 1259 OID 79715)
-- Dependencies: 5
-- Name: user_group; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE user_group (
    nsuk integer NOT NULL,
    group_name character(30)
);


ALTER TABLE public.user_group OWNER TO postgres;

--
-- TOC entry 2938 (class 1259 OID 79717)
-- Dependencies: 2937 5
-- Name: user_group_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE user_group_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.user_group_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5457 (class 0 OID 0)
-- Dependencies: 2938
-- Name: user_group_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE user_group_nsuk_seq OWNED BY user_group.nsuk;


--
-- TOC entry 2939 (class 1259 OID 79719)
-- Dependencies: 5
-- Name: user_profile; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE user_profile (
    operator integer,
    profile integer
);


ALTER TABLE public.user_profile OWNER TO postgres;

--
-- TOC entry 2940 (class 1259 OID 79721)
-- Dependencies: 3161 5
-- Name: v_cash; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cash AS
    SELECT x0.cash_nominal AS nominal, x0.typ, x0.dat, x0.tim, x0.description AS descr, x0.amount, x0.contract, x0.cash_invoice AS invoice, x0.depot, x0.cod AS cust, x1.nam AS custname, x0.ser, x0.lodgement FROM sledger x0, cust x1 WHERE (((x0.depot = x1.depot) AND (x0.cod = x1.cod)) AND ((((((x0.typ = 3) OR (x0.typ = 18)) OR (x0.typ = 7)) OR (x0.typ = 11)) OR (x0.typ = 13)) OR (x0.typ = 17)));


ALTER TABLE public.v_cash OWNER TO postgres;

--
-- TOC entry 2941 (class 1259 OID 79724)
-- Dependencies: 3162 5
-- Name: v_cur_nltb; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cur_nltb AS
    SELECT x1.cod, sum(x0.cur_bal) AS amount, x0.period FROM nlbals x0, nominal x1, nparams x2 WHERE ((x0.cod = x1.cod) AND (x1.leafs = 0)) GROUP BY x1.cod, x0.period;


ALTER TABLE public.v_cur_nltb OWNER TO postgres;

--
-- TOC entry 2942 (class 1259 OID 79727)
-- Dependencies: 3163 5
-- Name: v_cur_turnover; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cur_turnover AS
    SELECT x0.depot, x0.cod, sum(x0.amount) AS cur_total FROM turnover x0, dparams x1 WHERE ((x0.typ <> 4) AND (x0.period = x1.period)) GROUP BY x0.depot, x0.cod;


ALTER TABLE public.v_cur_turnover OWNER TO postgres;

--
-- TOC entry 3070 (class 1259 OID 445911)
-- Dependencies: 3183 5
-- Name: v_cust_p_danal; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cust_p_danal AS
    SELECT ih."location", ih.ac_location, ih.cust, ixd.pdesc AS plantorprod, ih.period, sum(CASE ih.doc_type WHEN 'CR'::bpchar THEN (ixd.goods * (-1)::numeric) ELSE ixd.goods END) AS amount, sum(CASE ih.doc_type WHEN 'CR'::bpchar THEN (ixd.qty * -1) ELSE ixd.qty END) AS qty FROM ihead ih, iddetail ixd WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust)) GROUP BY ih."location", ih.ac_location, ih.cust, ixd.pdesc, ih.period;


ALTER TABLE public.v_cust_p_danal OWNER TO postgres;

--
-- TOC entry 3071 (class 1259 OID 445914)
-- Dependencies: 3184 5
-- Name: v_cust_p_hanal; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cust_p_hanal AS
    SELECT ih."location", ih.ac_location, ih.cust, ixd.plant_desc AS plantorprod, ih.period, sum(CASE ih.doc_type WHEN 'CR'::bpchar THEN (ixd.goods * (-1)::numeric) ELSE ixd.goods END) AS amount, 0 AS qty FROM ihead ih, ihdetail ixd WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust)) GROUP BY ih."location", ih.ac_location, ih.cust, ixd.plant_desc, ih.period;


ALTER TABLE public.v_cust_p_hanal OWNER TO postgres;

--
-- TOC entry 3072 (class 1259 OID 445917)
-- Dependencies: 3185 5
-- Name: v_cust_p_hanal_no_x; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cust_p_hanal_no_x AS
    SELECT ih."location", ih.ac_location, ih.cust, ixd.plant_desc AS plantorprod, ih.period, sum(CASE ih.doc_type WHEN 'CR'::bpchar THEN (ixd.goods * (-1)::numeric) ELSE ixd.goods END) AS amount, 0 AS qty FROM ihead ih, ihdetail ixd WHERE (((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust)) AND ((ixd.plant_ref <> '9'::bpchar) OR (ixd.plant_ref IS NULL))) GROUP BY ih."location", ih.ac_location, ih.cust, ixd.plant_desc, ih.period;


ALTER TABLE public.v_cust_p_hanal_no_x OWNER TO postgres;

--
-- TOC entry 3073 (class 1259 OID 445920)
-- Dependencies: 3186 5
-- Name: v_cust_p_sanal; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cust_p_sanal AS
    SELECT ih."location", ih.ac_location, ih.cust, ixd.product AS plantorprod, ih.period, sum(CASE ih.doc_type WHEN 'CR'::bpchar THEN (ixd.goods * (-1)::numeric) ELSE ixd.goods END) AS amount, sum(CASE ih.doc_type WHEN 'CR'::bpchar THEN (ixd.qty * (-1)::numeric) ELSE ixd.qty END) AS qty FROM ihead ih, iodetail ixd WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust)) GROUP BY ih."location", ih.ac_location, ih.cust, ixd.product, ih.period;


ALTER TABLE public.v_cust_p_sanal OWNER TO postgres;

--
-- TOC entry 2943 (class 1259 OID 79739)
-- Dependencies: 3164 5
-- Name: v_cust_p_sanalc; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cust_p_sanalc AS
    SELECT x0.ac_location, x0.cust, x1.product AS plantorprod, x0.period, sum(CASE WHEN (x0.doc_type = 'CR'::bpchar) THEN (x1.goods * (- (1)::numeric)) ELSE x1.goods END) AS amount, sum(x1.cost) AS cost, sum(CASE WHEN (x0.doc_type = 'CR'::bpchar) THEN (x1.qty * (- (1)::numeric)) ELSE x1.qty END) AS qty FROM ihead x0, iodetail x1 WHERE ((((x0.doc_type = x1.doc_type) AND (x0."location" = x1."location")) AND (x0.ref = x1.ref)) AND (x0.cust = x1.cust)) GROUP BY x0.ac_location, x0.cust, x1.product, x0.period;


ALTER TABLE public.v_cust_p_sanalc OWNER TO postgres;

--
-- TOC entry 3074 (class 1259 OID 445923)
-- Dependencies: 3187 5
-- Name: v_cust_p_xanal; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cust_p_xanal AS
    SELECT ih."location", ih.ac_location, ih.cust, ixd.plant_desc AS plantorprod, ih.period, sum(CASE ih.doc_type WHEN 'CR'::bpchar THEN (ixd.goods * (-1)::numeric) ELSE ixd.goods END) AS amount, 0 AS qty FROM ihead ih, ihdetail ixd WHERE (((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust)) AND (ixd.plant_ref = '9'::bpchar)) GROUP BY ih."location", ih.ac_location, ih.cust, ixd.plant_desc, ih.period;


ALTER TABLE public.v_cust_p_xanal OWNER TO postgres;

--
-- TOC entry 3075 (class 1259 OID 445926)
-- Dependencies: 3188 5
-- Name: v_cust_total; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cust_total AS
    (SELECT v_cust_p_hanal.ac_location, v_cust_p_hanal.cust, v_cust_p_hanal.period, sum(v_cust_p_hanal.amount) AS amount FROM v_cust_p_hanal GROUP BY v_cust_p_hanal.ac_location, v_cust_p_hanal.cust, v_cust_p_hanal.period UNION ALL SELECT v_cust_p_sanal.ac_location, v_cust_p_sanal.cust, v_cust_p_sanal.period, sum(v_cust_p_sanal.amount) AS amount FROM v_cust_p_sanal GROUP BY v_cust_p_sanal.ac_location, v_cust_p_sanal.cust, v_cust_p_sanal.period) UNION ALL SELECT v_cust_p_danal.ac_location, v_cust_p_danal.cust, v_cust_p_danal.period, sum(v_cust_p_danal.amount) AS amount FROM v_cust_p_danal GROUP BY v_cust_p_danal.ac_location, v_cust_p_danal.cust, v_cust_p_danal.period;


ALTER TABLE public.v_cust_total OWNER TO postgres;

--
-- TOC entry 3076 (class 1259 OID 445929)
-- Dependencies: 3189 5
-- Name: v_cust_turnover; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_cust_turnover AS
    SELECT v_cust_total.ac_location, v_cust_total.cust, v_cust_total.period, sum(v_cust_total.amount) AS amount FROM v_cust_total GROUP BY v_cust_total.ac_location, v_cust_total.cust, v_cust_total.period;


ALTER TABLE public.v_cust_turnover OWNER TO postgres;

--
-- TOC entry 2944 (class 1259 OID 79748)
-- Dependencies: 3165 5
-- Name: v_custage; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_custage AS
    SELECT sledger.depot, sledger.cod, sledger.ser, sledger.typ, sledger.dat, sledger.amount, sledger.os, sledger.period FROM sledger WHERE ((sledger.typ = 13) OR ((sledger.typ <> 13) AND (sledger.os <> (0)::numeric)));


ALTER TABLE public.v_custage OWNER TO postgres;

--
-- TOC entry 2945 (class 1259 OID 79751)
-- Dependencies: 3166 5
-- Name: v_danal; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_danal AS
    SELECT x0.period, x0.pdesc, 1 AS "location", x0.cust, sum(x0.cm_qty) AS cm_qty, sum(x0.cm_sales) AS cm_sales, sum(x0.cm_cost) AS cm_cost, sum(x0.ytd_qty) AS ytd_qty, sum(x0.ytd_sales) AS ytd_sales, sum(x0.ytd_cost) AS ytd_cost FROM danal x0 GROUP BY x0.period, x0.pdesc, x0.cust;


ALTER TABLE public.v_danal OWNER TO postgres;

--
-- TOC entry 2946 (class 1259 OID 79754)
-- Dependencies: 3167 5
-- Name: v_depot_stock; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_depot_stock AS
    SELECT x0.pdesc, x0."location", sum(x0.qty) AS tot FROM pstock x0 GROUP BY x0.pdesc, x0."location";


ALTER TABLE public.v_depot_stock OWNER TO postgres;

--
-- TOC entry 2947 (class 1259 OID 79757)
-- Dependencies: 3168 5
-- Name: v_mcost; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_mcost AS
    SELECT x0.pdesc, sum(((x0.unit_cost - x0.unit_depn) * (x0.qty)::numeric)) AS value FROM pcost x0 GROUP BY x0.pdesc;


ALTER TABLE public.v_mcost OWNER TO postgres;

--
-- TOC entry 2948 (class 1259 OID 79760)
-- Dependencies: 3169 5
-- Name: v_plant_stock; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_plant_stock AS
    SELECT x0.pdesc, sum(x0.qty) AS tot FROM pstock x0 GROUP BY x0.pdesc;


ALTER TABLE public.v_plant_stock OWNER TO postgres;

--
-- TOC entry 2949 (class 1259 OID 79763)
-- Dependencies: 3170 5
-- Name: v_dep_val; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_dep_val AS
    SELECT x2.pdesc, x2."location", sum(((x0.value / (x1.tot)::numeric) * (x2.tot)::numeric)) AS value FROM v_mcost x0, v_plant_stock x1, v_depot_stock x2 WHERE ((((x0.pdesc = x1.pdesc) AND (x0.pdesc = x2.pdesc)) AND (x1.pdesc = x2.pdesc)) AND ((x1.tot)::numeric <> (0)::numeric)) GROUP BY x2.pdesc, x2."location";


ALTER TABLE public.v_dep_val OWNER TO postgres;

--
-- TOC entry 2950 (class 1259 OID 79766)
-- Dependencies: 3171 5
-- Name: v_hanal; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_hanal AS
    SELECT x0.period, x0.cod, 1 AS "location", x0.cust, sum(x0.cm_sales) AS cm_sales, sum(x0.cm_cost) AS cm_cost, sum(x0.ytd_sales) AS ytd_sales, sum(x0.ytd_cost) AS ytd_cost, 'N'::bpchar AS cross_hire FROM hanal x0 GROUP BY x0.period, x0.cod, x0.cust;


ALTER TABLE public.v_hanal OWNER TO postgres;

--
-- TOC entry 2951 (class 1259 OID 79769)
-- Dependencies: 3172 5
-- Name: v_ixdetails; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_ixdetails AS
    ((((((((SELECT x0.doc_type, x0."location", x0.ac_location, x0.cust, x0.ref AS invoice_ref, 'Disposal' AS line_type, x0.line_number, x3.descr AS dept, x4.descr AS dept_group, x0.pdesc AS item_code, x1.desc1 AS description, x0.qty, '1899-12-31'::date AS date_out, '1899-12-31'::date AS date_in, (0)::numeric AS time_charged, '' AS charge_period, x0.unit_sell, x0.goods, x0.vcode, x0.vrate, x0.vat FROM iddetail x0, pdesc x1, pdesc_ext x2, hire_dept x3, hire_dept_group x4 WHERE ((((((x0.doc_type <> 'CR'::bpchar) AND (x0.pdesc = x1.cod)) AND (x0.reg IS NULL)) AND (x1.cod = x2.pdesc)) AND (x2.dept_group = x4.nsuk)) AND (x4.hire_dept = x3.nsuk)) UNION SELECT x5.doc_type, x5."location", x5.ac_location, x5.cust, x5.ref AS invoice_ref, 'Disposal' AS line_type, x5.line_number, x8.descr AS dept, x9.descr AS dept_group, ((x5.pdesc)::text || (x5.reg)::text) AS item_code, x6.desc1 AS description, x5.qty, '1899-12-31'::date AS date_out, '1899-12-31'::date AS date_in, (0)::numeric AS time_charged, '' AS charge_period, x5.unit_sell, x5.goods, x5.vcode, x5.vrate, x5.vat FROM iddetail x5, pdesc x6, pdesc_ext x7, hire_dept x8, hire_dept_group x9 WHERE ((((((x5.doc_type <> 'CR'::bpchar) AND (x5.pdesc = x6.cod)) AND (x5.reg IS NOT NULL)) AND (x6.cod = x7.pdesc)) AND (x7.dept_group = x9.nsuk)) AND (x9.hire_dept = x8.nsuk))) UNION SELECT x10.doc_type, x10."location", x10.ac_location, x10.cust, x10.ref AS invoice_ref, 'Disposal' AS line_type, x10.line_number, x13.descr AS dept, x14.descr AS dept_group, x10.pdesc AS item_code, x11.desc1 AS description, x10.qty, '1899-12-31'::date AS date_out, '1899-12-31'::date AS date_in, (0)::numeric AS time_charged, '' AS charge_period, ((0)::numeric - x10.unit_sell) AS unit_sell, ((0)::numeric - x10.goods) AS goods, x10.vcode, x10.vrate, ((0)::numeric - x10.vat) AS vat FROM iddetail x10, pdesc x11, pdesc_ext x12, hire_dept x13, hire_dept_group x14 WHERE ((((((x10.doc_type = 'CR'::bpchar) AND (x10.pdesc = x11.cod)) AND (x10.reg IS NULL)) AND (x11.cod = x12.pdesc)) AND (x12.dept_group = x14.nsuk)) AND (x14.hire_dept = x13.nsuk))) UNION SELECT x15.doc_type, x15."location", x15.ac_location, x15.cust, x15.ref AS invoice_ref, 'Disposal' AS line_type, x15.line_number, x18.descr AS dept, x19.descr AS dept_group, ((x15.pdesc)::text || (x15.reg)::text) AS item_code, x16.desc1 AS description, x15.qty, '1899-12-31'::date AS date_out, '1899-12-31'::date AS date_in, (0)::numeric AS time_charged, '' AS charge_period, ((0)::numeric - x15.unit_sell) AS unit_sell, ((0)::numeric - x15.goods) AS goods, x15.vcode, x15.vrate, ((0)::numeric - x15.vat) AS vat FROM iddetail x15, pdesc x16, pdesc_ext x17, hire_dept x18, hire_dept_group x19 WHERE ((((((x15.doc_type = 'CR'::bpchar) AND (x15.pdesc = x16.cod)) AND (x15.reg IS NOT NULL)) AND (x16.cod = x17.pdesc)) AND (x17.dept_group = x19.nsuk)) AND (x19.hire_dept = x18.nsuk))) UNION SELECT x20.doc_type, x20."location", x20.ac_location, x20.cust, x20.ref AS invoice_ref, 'Sale' AS line_type, x20.line_number, x23.descr AS dept, x24.descr AS dept_group, x21.plu AS item_code, x21.descr AS description, x20.qty, '1899-12-31'::date AS date_out, '1899-12-31'::date AS date_in, (0)::numeric AS time_charged, '' AS charge_period, x20.price AS unit_sell, x20.goods, x20.vcode, x20.vrate, x20.vat FROM iodetail x20, product_type x21, product x22, dept x23, dept_group x24 WHERE (((((x20.doc_type <> 'CR'::bpchar) AND (x20.product_type = x21.nsuk)) AND (x21.product = x22.nsuk)) AND (x22.dept_group = x24.nsuk)) AND (x24.dept = x23.nsuk))) UNION SELECT x25.doc_type, x25."location", x25.ac_location, x25.cust, x25.ref AS invoice_ref, 'Sale' AS line_type, x25.line_number, x28.descr AS dept, x29.descr AS dept_group, x26.plu AS item_code, x26.descr AS description, x25.qty, '1899-12-31'::date AS date_out, '1899-12-31'::date AS date_in, (0)::numeric AS time_charged, '' AS charge_period, ((0)::numeric - x25.price) AS unit_sell, ((0)::numeric - x25.goods) AS goods, x25.vcode, x25.vrate, ((0)::numeric - x25.vat) AS vat FROM iodetail x25, product_type x26, product x27, dept x28, dept_group x29 WHERE (((((x25.doc_type = 'CR'::bpchar) AND (x25.product_type = x26.nsuk)) AND (x26.product = x27.nsuk)) AND (x27.dept_group = x29.nsuk)) AND (x29.dept = x28.nsuk))) UNION SELECT x30.doc_type, x30."location", x30.ac_location, x30.cust, x30.ref AS invoice_ref, 'Rental' AS line_type, x30.line_number, x33.descr AS dept, x34.descr AS dept_group, ((x30.plant_desc)::text || (x30.plant_ref)::text) AS item_code, x31.desc1 AS description, x30.qty, x30.date_out, x30.date_in, x30.time_charged, x30.charge_period, x30.rate AS unit_sell, x30.goods, x30.vcode, x30.vrate, x30.vat FROM ihdetail x30, pdesc x31, pdesc_ext x32, hire_dept x33, hire_dept_group x34 WHERE ((((((x30.doc_type <> 'CR'::bpchar) AND (x30.plant_desc = x31.cod)) AND (x30.plant_ref IS NOT NULL)) AND (x31.cod = x32.pdesc)) AND (x32.dept_group = x34.nsuk)) AND (x34.hire_dept = x33.nsuk))) UNION SELECT x35.doc_type, x35."location", x35.ac_location, x35.cust, x35.ref AS invoice_ref, 'Rental' AS line_type, x35.line_number, x38.descr AS dept, x39.descr AS dept_group, x35.plant_desc AS item_code, x36.desc1 AS description, x35.qty, x35.date_out, x35.date_in, x35.time_charged, x35.charge_period, x35.rate AS unit_sell, x35.goods, x35.vcode, x35.vrate, x35.vat FROM ihdetail x35, pdesc x36, pdesc_ext x37, hire_dept x38, hire_dept_group x39 WHERE ((((((x35.doc_type <> 'CR'::bpchar) AND (x35.plant_desc = x36.cod)) AND (x35.plant_ref IS NULL)) AND (x36.cod = x37.pdesc)) AND (x37.dept_group = x39.nsuk)) AND (x39.hire_dept = x38.nsuk))) UNION SELECT x40.doc_type, x40."location", x40.ac_location, x40.cust, x40.ref AS invoice_ref, 'Rental' AS line_type, x40.line_number, x43.descr AS dept, x44.descr AS dept_group, ((x40.plant_desc)::text || (x40.plant_ref)::text) AS item_code, x41.desc1 AS description, x40.qty, x40.date_out, x40.date_in, x40.time_charged, x40.charge_period, ((0)::numeric - x40.rate) AS unit_sell, ((0)::numeric - x40.goods) AS goods, x40.vcode, x40.vrate, ((0)::numeric - x40.vat) AS vat FROM ihdetail x40, pdesc x41, pdesc_ext x42, hire_dept x43, hire_dept_group x44 WHERE ((((((x40.doc_type = 'CR'::bpchar) AND (x40.plant_desc = x41.cod)) AND (x40.plant_ref IS NOT NULL)) AND (x41.cod = x42.pdesc)) AND (x42.dept_group = x44.nsuk)) AND (x44.hire_dept = x43.nsuk))) UNION SELECT x45.doc_type, x45."location", x45.ac_location, x45.cust, x45.ref AS invoice_ref, 'Rental' AS line_type, x45.line_number, x48.descr AS dept, x49.descr AS dept_group, x45.plant_desc AS item_code, x46.desc1 AS description, x45.qty, x45.date_out, x45.date_in, x45.time_charged, x45.charge_period, ((0)::numeric - x45.rate) AS unit_sell, ((0)::numeric - x45.goods) AS goods, x45.vcode, x45.vrate, ((0)::numeric - x45.vat) AS vat FROM ihdetail x45, pdesc x46, pdesc_ext x47, hire_dept x48, hire_dept_group x49 WHERE ((((((x45.doc_type = 'CR'::bpchar) AND (x45.plant_desc = x46.cod)) AND (x45.plant_ref IS NULL)) AND (x46.cod = x47.pdesc)) AND (x47.dept_group = x49.nsuk)) AND (x49.hire_dept = x48.nsuk));


ALTER TABLE public.v_ixdetails OWNER TO postgres;

--
-- TOC entry 2952 (class 1259 OID 79773)
-- Dependencies: 3173 5
-- Name: v_jlproof; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_jlproof AS
    SELECT x2.source, x2.batch, x0.nominal_period AS period, x0.dat, x0.note AS jrnl_note, x1.ledger, x1.depot, x1.cod, x2.description, x2.cc, x2.amount, x2.notes AS note FROM journals x0, jdetails x1, nltrans x2 WHERE ((x0.ser = x1.journal_no) AND (x1.nl_trans = x2.trans_no));


ALTER TABLE public.v_jlproof OWNER TO postgres;

--
-- TOC entry 2953 (class 1259 OID 79776)
-- Dependencies: 3174 5
-- Name: v_pdetails; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_pdetails AS
    SELECT x0.trans_ser, x0.nominal, x0.goods, x0.vcode, x0.vat, x0.ser FROM pdetails x0, pledger x1 WHERE ((x0.trans_ser = x1.ser) AND (x1.typ > 10)) UNION SELECT x2.trans_ser, x2.nominal, (x2.goods * -1.00) AS goods, x2.vcode, (x2.vat * -1.00) AS vat, x2.ser FROM pdetails x2, pledger x3 WHERE ((x2.trans_ser = x3.ser) AND (x3.typ < 10));


ALTER TABLE public.v_pdetails OWNER TO postgres;

--
-- TOC entry 2954 (class 1259 OID 79779)
-- Dependencies: 3175 5
-- Name: v_pt_bin_location; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_pt_bin_location AS
    SELECT x0.product_type, x1."location", x1.nsuk AS bin_location FROM (pt_bin_loc x0 JOIN bin_location x1 ON ((x0.bin_location = x1.nsuk)));


ALTER TABLE public.v_pt_bin_location OWNER TO postgres;

--
-- TOC entry 2955 (class 1259 OID 79782)
-- Dependencies: 3176 5
-- Name: v_returns; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_returns AS
    SELECT x0.contract_location AS "location", x0.contract, x0.pdesc, x0.reg, x1.dat AS date_returned, x0.qty AS qty_returned FROM hmdetail x0, hmhead x1 WHERE (((x0.doc_type = x1.doc_type) AND (x0.doc_number = x1.doc_number)) AND (x0.doc_type = 2));


ALTER TABLE public.v_returns OWNER TO postgres;

--
-- TOC entry 2956 (class 1259 OID 79785)
-- Dependencies: 3177 5
-- Name: v_sanal; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_sanal AS
    SELECT x0.period, x0.product, 1 AS "location", x0.cust, sum(x0.cm_qty) AS cm_qty, sum(x0.cm_sales) AS cm_sales, sum(x0.cm_cost) AS cm_cost, sum(x0.ytd_qty) AS ytd_qty, sum(x0.ytd_sales) AS ytd_sales, sum(x0.ytd_cost) AS ytd_cost FROM sanal x0 GROUP BY x0.period, x0.product, x0.cust;


ALTER TABLE public.v_sanal OWNER TO postgres;

--
-- TOC entry 2957 (class 1259 OID 79788)
-- Dependencies: 3178 5
-- Name: v_turnover; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_turnover AS
    SELECT pl.supplier, supp.nam, pl.period, sum((pl.amount - pl.vat)) AS amount FROM pledger pl, supplier supp WHERE (((pl.typ = 2) OR (pl.typ = 11)) AND (supp.cod = pl.supplier)) GROUP BY pl.supplier, supp.nam, pl.period;


ALTER TABLE public.v_turnover OWNER TO postgres;

--
-- TOC entry 2958 (class 1259 OID 79791)
-- Dependencies: 3179 5
-- Name: v_vatsum_raw; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_vatsum_raw AS
    ((((SELECT pd.vcode AS cod, 'P' AS ledger, pl.typ AS trans, pd.goods, pd.vat, pl.period FROM pdetails pd, pledger pl WHERE (pd.trans_ser = pl.ser) UNION ALL SELECT ixd.vcode AS cod, 'S' AS ledger, (CASE ih.doc_type WHEN 'CR'::bpchar THEN 12 ELSE 2 END)::smallint AS trans, ixd.goods, ixd.vat, ih.period FROM ihead ih, ihdetail ixd WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust))) UNION ALL SELECT ixd.vcode AS cod, 'S' AS ledger, (CASE ih.doc_type WHEN 'CR'::bpchar THEN 12 ELSE 2 END)::smallint AS trans, ixd.goods, ixd.vat, ih.period FROM ihead ih, iodetail ixd WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust))) UNION ALL SELECT ixd.vcode AS cod, 'S' AS ledger, (CASE ih.doc_type WHEN 'CR'::bpchar THEN 12 ELSE 2 END)::smallint AS trans, ixd.goods, ixd.vat, ih.period FROM ihead ih, iddetail ixd WHERE ((((ih.doc_type = ixd.doc_type) AND (ih."location" = ixd."location")) AND (ih.ref = ixd.ref)) AND (ih.cust = ixd.cust))) UNION ALL SELECT (1)::smallint AS cod, 'S' AS ledger, sledger.typ AS trans, ((sledger.amount - sledger.vat) * (-1)::numeric) AS goods, (sledger.vat * (-1)::numeric) AS vat, sledger.period FROM sledger WHERE ((sledger.typ = 16) AND (sledger.cod IS NOT NULL))) UNION ALL SELECT (1)::smallint AS cod, 'S' AS ledger, sledger.typ AS trans, ((sledger.amount - sledger.vat) * (-1)::numeric) AS goods, (sledger.vat * (-1)::numeric) AS vat, sledger.period FROM sledger WHERE ((sledger.typ = 18) AND (sledger.cod IS NOT NULL));


ALTER TABLE public.v_vatsum_raw OWNER TO postgres;

--
-- TOC entry 2959 (class 1259 OID 79795)
-- Dependencies: 3180 5
-- Name: v_vatsum2; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_vatsum2 AS
    SELECT v.cod, v.ledger, v.trans, sum(v.goods) AS goods, sum(v.vat) AS vat, v.period FROM v_vatsum_raw v WHERE (((v.ledger = 'P'::text) AND (v.trans > 10)) OR ((v.ledger = 'S'::text) AND (v.trans < 10))) GROUP BY v.cod, v.ledger, v.trans, v.period UNION SELECT v.cod, v.ledger, v.trans, (sum(v.goods) * (-1)::numeric) AS goods, (sum(v.vat) * (-1)::numeric) AS vat, v.period FROM v_vatsum_raw v WHERE (((v.ledger = 'P'::text) AND (v.trans < 10)) OR ((v.ledger = 'S'::text) AND (v.trans > 10))) GROUP BY v.cod, v.ledger, v.trans, v.period;


ALTER TABLE public.v_vatsum2 OWNER TO postgres;

--
-- TOC entry 2960 (class 1259 OID 79798)
-- Dependencies: 3181 5
-- Name: v_ytd_nltb; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_ytd_nltb AS
    SELECT x1.cod, sum(x1.ytd_bal) AS amount, x1.period FROM nominal x0, nlbals x1, nparams x2 WHERE (((x1.cod = x0.cod) AND (x1.ytd_bal <> 0.00)) AND (x0.leafs = 0)) GROUP BY x1.cod, x1.period;


ALTER TABLE public.v_ytd_nltb OWNER TO postgres;

--
-- TOC entry 2961 (class 1259 OID 79801)
-- Dependencies: 3182 5
-- Name: v_ytd_turnover; Type: VIEW; Schema: public; Owner: postgres
--

CREATE VIEW v_ytd_turnover AS
    SELECT x0.depot, x0.cod, sum(x0.amount) AS ytd_total FROM turnover x0, dparams x1 WHERE ((x0.period >= x1.boy_period) AND (x0.typ <> 4)) GROUP BY x0.depot, x0.cod;


ALTER TABLE public.v_ytd_turnover OWNER TO postgres;

--
-- TOC entry 2962 (class 1259 OID 79804)
-- Dependencies: 5
-- Name: vat; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE vat (
    cod integer NOT NULL,
    rate numeric(4,2),
    resale character(1)
);


ALTER TABLE public.vat OWNER TO postgres;

--
-- TOC entry 2963 (class 1259 OID 79806)
-- Dependencies: 5
-- Name: vat_number; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE vat_number (
    txt character(30)
);


ALTER TABLE public.vat_number OWNER TO postgres;

--
-- TOC entry 2964 (class 1259 OID 79808)
-- Dependencies: 5
-- Name: vatsum; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE vatsum (
    cod integer,
    ledger character(1),
    trans integer,
    goods numeric(16,2),
    vat numeric(16,2),
    period date
);


ALTER TABLE public.vatsum OWNER TO postgres;

--
-- TOC entry 2965 (class 1259 OID 79810)
-- Dependencies: 3689 5
-- Name: worker; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE worker (
    nsuk integer NOT NULL,
    name character varying(64) NOT NULL,
    addr1 character varying(64),
    addr2 character varying(65),
    addr3 character varying(64),
    addr4 character varying(64),
    contact_no character varying(20),
    alt_contact_no character varying(20),
    supplier_cod character(6),
    costing_id integer,
    deleted character(1) DEFAULT 'N'::bpchar NOT NULL,
    created timestamp without time zone NOT NULL,
    updated timestamp without time zone NOT NULL
);


ALTER TABLE public.worker OWNER TO postgres;

--
-- TOC entry 2966 (class 1259 OID 79813)
-- Dependencies: 2965 5
-- Name: worker_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE worker_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.worker_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5458 (class 0 OID 0)
-- Dependencies: 2966
-- Name: worker_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE worker_nsuk_seq OWNED BY worker.nsuk;


--
-- TOC entry 2967 (class 1259 OID 79815)
-- Dependencies: 5
-- Name: worker_role; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE worker_role (
    nsuk integer NOT NULL,
    role character varying(16) NOT NULL,
    "desc" character varying(64)
);


ALTER TABLE public.worker_role OWNER TO postgres;

--
-- TOC entry 2968 (class 1259 OID 79817)
-- Dependencies: 5
-- Name: worker_role_map; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE worker_role_map (
    worker_id integer NOT NULL,
    role_id integer NOT NULL
);


ALTER TABLE public.worker_role_map OWNER TO postgres;

--
-- TOC entry 2969 (class 1259 OID 79819)
-- Dependencies: 2967 5
-- Name: worker_role_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE worker_role_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.worker_role_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5459 (class 0 OID 0)
-- Dependencies: 2969
-- Name: worker_role_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE worker_role_nsuk_seq OWNED BY worker_role.nsuk;


--
-- TOC entry 2970 (class 1259 OID 79821)
-- Dependencies: 5
-- Name: worklist; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE worklist (
    nsuk integer NOT NULL,
    assigned_to integer,
    v_asset_reg character(1),
    v_pdesc character(4),
    v_cod character(5),
    created timestamp without time zone,
    status integer NOT NULL,
    date_scheduled date NOT NULL,
    date_completed date
);


ALTER TABLE public.worklist OWNER TO postgres;

--
-- TOC entry 2971 (class 1259 OID 79823)
-- Dependencies: 2970 5
-- Name: worklist_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE worklist_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.worklist_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5460 (class 0 OID 0)
-- Dependencies: 2971
-- Name: worklist_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE worklist_nsuk_seq OWNED BY worklist.nsuk;


--
-- TOC entry 2972 (class 1259 OID 79825)
-- Dependencies: 5
-- Name: ws_actions; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_actions (
    nsuk integer NOT NULL,
    description character(20) NOT NULL
);


ALTER TABLE public.ws_actions OWNER TO postgres;

--
-- TOC entry 2973 (class 1259 OID 79827)
-- Dependencies: 2972 5
-- Name: ws_actions_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_actions_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_actions_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5461 (class 0 OID 0)
-- Dependencies: 2973
-- Name: ws_actions_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_actions_nsuk_seq OWNED BY ws_actions.nsuk;


--
-- TOC entry 2974 (class 1259 OID 79829)
-- Dependencies: 5
-- Name: ws_already_fired; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_already_fired (
    nsuk integer NOT NULL,
    meter integer NOT NULL,
    trigger integer NOT NULL
);


ALTER TABLE public.ws_already_fired OWNER TO postgres;

--
-- TOC entry 2975 (class 1259 OID 79831)
-- Dependencies: 2974 5
-- Name: ws_already_fired_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_already_fired_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_already_fired_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5462 (class 0 OID 0)
-- Dependencies: 2975
-- Name: ws_already_fired_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_already_fired_nsuk_seq OWNED BY ws_already_fired.nsuk;


--
-- TOC entry 2976 (class 1259 OID 79833)
-- Dependencies: 5
-- Name: ws_categ_trigger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_categ_trigger (
    nsuk integer NOT NULL,
    category integer NOT NULL,
    named_meter integer NOT NULL,
    parent_trigger integer NOT NULL
);


ALTER TABLE public.ws_categ_trigger OWNER TO postgres;

--
-- TOC entry 2977 (class 1259 OID 79835)
-- Dependencies: 2976 5
-- Name: ws_categ_trigger_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_categ_trigger_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_categ_trigger_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5463 (class 0 OID 0)
-- Dependencies: 2977
-- Name: ws_categ_trigger_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_categ_trigger_nsuk_seq OWNED BY ws_categ_trigger.nsuk;


--
-- TOC entry 2978 (class 1259 OID 79837)
-- Dependencies: 5
-- Name: ws_conditions; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_conditions (
    nsuk integer NOT NULL,
    description character(20) NOT NULL,
    meter integer,
    trigger_value integer,
    event integer
);


ALTER TABLE public.ws_conditions OWNER TO postgres;

--
-- TOC entry 2979 (class 1259 OID 79839)
-- Dependencies: 2978 5
-- Name: ws_conditions_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_conditions_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_conditions_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5464 (class 0 OID 0)
-- Dependencies: 2979
-- Name: ws_conditions_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_conditions_nsuk_seq OWNED BY ws_conditions.nsuk;


--
-- TOC entry 2980 (class 1259 OID 79841)
-- Dependencies: 5
-- Name: ws_control; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_control (
    osi_job_type integer NOT NULL,
    hirepos_enabled character(1) NOT NULL
);


ALTER TABLE public.ws_control OWNER TO postgres;

--
-- TOC entry 2981 (class 1259 OID 79843)
-- Dependencies: 5
-- Name: ws_cust_serial; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_cust_serial (
    nsuk integer NOT NULL,
    depot integer NOT NULL,
    cust character(7) NOT NULL,
    pt_id integer NOT NULL,
    serial_no character varying(64) NOT NULL,
    created timestamp without time zone NOT NULL
);


ALTER TABLE public.ws_cust_serial OWNER TO postgres;

--
-- TOC entry 2982 (class 1259 OID 79845)
-- Dependencies: 2981 5
-- Name: ws_cust_serial_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_cust_serial_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_cust_serial_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5465 (class 0 OID 0)
-- Dependencies: 2982
-- Name: ws_cust_serial_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_cust_serial_nsuk_seq OWNED BY ws_cust_serial.nsuk;


--
-- TOC entry 2983 (class 1259 OID 79847)
-- Dependencies: 5
-- Name: ws_engineer; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_engineer (
    nsuk integer NOT NULL,
    name character(30),
    cost_per_hour numeric(16,2),
    invoice_per_hour numeric(16,2),
    sessionid character(12),
    last_accessed numeric(16,6),
    accessed_when timestamp without time zone,
    operatorid integer,
    user_type integer
);


ALTER TABLE public.ws_engineer OWNER TO postgres;

--
-- TOC entry 2984 (class 1259 OID 79849)
-- Dependencies: 2983 5
-- Name: ws_engineer_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_engineer_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_engineer_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5466 (class 0 OID 0)
-- Dependencies: 2984
-- Name: ws_engineer_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_engineer_nsuk_seq OWNED BY ws_engineer.nsuk;


--
-- TOC entry 2985 (class 1259 OID 79851)
-- Dependencies: 5
-- Name: ws_engineer_skills; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_engineer_skills (
    nsuk integer NOT NULL,
    engineer integer,
    skill integer
);


ALTER TABLE public.ws_engineer_skills OWNER TO postgres;

--
-- TOC entry 2986 (class 1259 OID 79853)
-- Dependencies: 2985 5
-- Name: ws_engineer_skills_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_engineer_skills_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_engineer_skills_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5467 (class 0 OID 0)
-- Dependencies: 2986
-- Name: ws_engineer_skills_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_engineer_skills_nsuk_seq OWNED BY ws_engineer_skills.nsuk;


--
-- TOC entry 2987 (class 1259 OID 79855)
-- Dependencies: 5
-- Name: ws_engineer_time; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_engineer_time (
    nsuk integer NOT NULL,
    task integer,
    engineer integer,
    hours_worked numeric(16,2) NOT NULL,
    cost_per_hour numeric(16,2) NOT NULL,
    invoice_per_hour numeric(16,2)
);


ALTER TABLE public.ws_engineer_time OWNER TO postgres;

--
-- TOC entry 2988 (class 1259 OID 79857)
-- Dependencies: 2987 5
-- Name: ws_engineer_time_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_engineer_time_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_engineer_time_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5468 (class 0 OID 0)
-- Dependencies: 2988
-- Name: ws_engineer_time_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_engineer_time_nsuk_seq OWNED BY ws_engineer_time.nsuk;


--
-- TOC entry 2989 (class 1259 OID 79859)
-- Dependencies: 5
-- Name: ws_equip_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_equip_category (
    nsuk integer NOT NULL,
    description character(30) NOT NULL
);


ALTER TABLE public.ws_equip_category OWNER TO postgres;

--
-- TOC entry 2990 (class 1259 OID 79861)
-- Dependencies: 2989 5
-- Name: ws_equip_category_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_equip_category_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_equip_category_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5469 (class 0 OID 0)
-- Dependencies: 2990
-- Name: ws_equip_category_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_equip_category_nsuk_seq OWNED BY ws_equip_category.nsuk;


--
-- TOC entry 2991 (class 1259 OID 79863)
-- Dependencies: 5
-- Name: ws_equip_typ_meter; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_equip_typ_meter (
    nsuk integer NOT NULL,
    equipment_type integer NOT NULL,
    named_meter integer NOT NULL
);


ALTER TABLE public.ws_equip_typ_meter OWNER TO postgres;

--
-- TOC entry 2992 (class 1259 OID 79865)
-- Dependencies: 2991 5
-- Name: ws_equip_typ_meter_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_equip_typ_meter_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_equip_typ_meter_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5470 (class 0 OID 0)
-- Dependencies: 2992
-- Name: ws_equip_typ_meter_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_equip_typ_meter_nsuk_seq OWNED BY ws_equip_typ_meter.nsuk;


--
-- TOC entry 2993 (class 1259 OID 79867)
-- Dependencies: 5
-- Name: ws_equipment_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_equipment_type (
    nsuk integer NOT NULL,
    pdesc character(4),
    equip_category integer,
    asset_reg character(1)
);


ALTER TABLE public.ws_equipment_type OWNER TO postgres;

--
-- TOC entry 2994 (class 1259 OID 79869)
-- Dependencies: 2993 5
-- Name: ws_equipment_type_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_equipment_type_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_equipment_type_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5471 (class 0 OID 0)
-- Dependencies: 2994
-- Name: ws_equipment_type_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_equipment_type_nsuk_seq OWNED BY ws_equipment_type.nsuk;


--
-- TOC entry 2995 (class 1259 OID 79871)
-- Dependencies: 5
-- Name: ws_event; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_event (
    nsuk integer NOT NULL,
    description character(20) NOT NULL
);


ALTER TABLE public.ws_event OWNER TO postgres;

--
-- TOC entry 2996 (class 1259 OID 79873)
-- Dependencies: 2995 5
-- Name: ws_event_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_event_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_event_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5472 (class 0 OID 0)
-- Dependencies: 2996
-- Name: ws_event_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_event_nsuk_seq OWNED BY ws_event.nsuk;


--
-- TOC entry 2997 (class 1259 OID 79875)
-- Dependencies: 5
-- Name: ws_events; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_events (
    nsuk integer NOT NULL,
    description character(20) NOT NULL
);


ALTER TABLE public.ws_events OWNER TO postgres;

--
-- TOC entry 2998 (class 1259 OID 79877)
-- Dependencies: 2997 5
-- Name: ws_events_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_events_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_events_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5473 (class 0 OID 0)
-- Dependencies: 2998
-- Name: ws_events_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_events_nsuk_seq OWNED BY ws_events.nsuk;


--
-- TOC entry 2999 (class 1259 OID 79879)
-- Dependencies: 5
-- Name: ws_fromstat_tostat; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_fromstat_tostat (
    nsuk integer NOT NULL,
    from_stat integer NOT NULL,
    to_stat integer NOT NULL
);


ALTER TABLE public.ws_fromstat_tostat OWNER TO postgres;

--
-- TOC entry 3000 (class 1259 OID 79881)
-- Dependencies: 2999 5
-- Name: ws_fromstat_tostat_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_fromstat_tostat_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_fromstat_tostat_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5474 (class 0 OID 0)
-- Dependencies: 3000
-- Name: ws_fromstat_tostat_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_fromstat_tostat_nsuk_seq OWNED BY ws_fromstat_tostat.nsuk;


--
-- TOC entry 3001 (class 1259 OID 79883)
-- Dependencies: 5
-- Name: ws_item_level; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_item_level (
    nsuk integer NOT NULL,
    meter integer NOT NULL,
    trigger integer NOT NULL,
    level numeric(10,2) NOT NULL
);


ALTER TABLE public.ws_item_level OWNER TO postgres;

--
-- TOC entry 3002 (class 1259 OID 79885)
-- Dependencies: 3001 5
-- Name: ws_item_level_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_item_level_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_item_level_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5475 (class 0 OID 0)
-- Dependencies: 3002
-- Name: ws_item_level_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_item_level_nsuk_seq OWNED BY ws_item_level.nsuk;


--
-- TOC entry 3003 (class 1259 OID 79887)
-- Dependencies: 5
-- Name: ws_item_trigger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_item_trigger (
    nsuk integer NOT NULL,
    meter integer NOT NULL,
    pdesc character(4) NOT NULL,
    cod character(6) NOT NULL,
    parent_trigger integer NOT NULL,
    asset_reg character(1) NOT NULL
);


ALTER TABLE public.ws_item_trigger OWNER TO postgres;

--
-- TOC entry 3004 (class 1259 OID 79889)
-- Dependencies: 3003 5
-- Name: ws_item_trigger_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_item_trigger_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_item_trigger_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5476 (class 0 OID 0)
-- Dependencies: 3004
-- Name: ws_item_trigger_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_item_trigger_nsuk_seq OWNED BY ws_item_trigger.nsuk;


--
-- TOC entry 3005 (class 1259 OID 79891)
-- Dependencies: 5
-- Name: ws_job; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job (
    nsuk integer NOT NULL,
    job_number integer,
    location integer NOT NULL,
    site integer,
    cust character(7),
    depot integer,
    equipment_type integer,
    pdesc character(4),
    cod character(6),
    asset_reg character(1),
    job_type integer,
    scheduled_date date,
    scheduled_time timestamp without time zone,
    completed_date date,
    completed_time timestamp without time zone,
    engineer integer,
    status integer,
    manual_ref integer,
    work_list integer,
    chargeable character(1),
    invoiced character(1),
    note integer,
    start_date date,
    start_time timestamp without time zone,
    updated_by integer,
    cost numeric(16,2)
);


ALTER TABLE public.ws_job OWNER TO postgres;

--
-- TOC entry 3006 (class 1259 OID 79893)
-- Dependencies: 5
-- Name: ws_job_cser_map; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job_cser_map (
    job_id integer NOT NULL,
    cust_ser_id integer NOT NULL
);


ALTER TABLE public.ws_job_cser_map OWNER TO postgres;

--
-- TOC entry 3007 (class 1259 OID 79895)
-- Dependencies: 5
-- Name: ws_job_history; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job_history (
    nsuk integer NOT NULL,
    date_changed date,
    job integer NOT NULL,
    job_number integer,
    location integer,
    from_stat integer NOT NULL,
    to_stat integer NOT NULL,
    engineer integer,
    note integer,
    time_changed timestamp without time zone,
    updated_by integer
);


ALTER TABLE public.ws_job_history OWNER TO postgres;

--
-- TOC entry 3008 (class 1259 OID 79897)
-- Dependencies: 3007 5
-- Name: ws_job_history_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_job_history_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_job_history_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5477 (class 0 OID 0)
-- Dependencies: 3008
-- Name: ws_job_history_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_job_history_nsuk_seq OWNED BY ws_job_history.nsuk;


--
-- TOC entry 3009 (class 1259 OID 79899)
-- Dependencies: 5
-- Name: ws_job_item; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job_item (
    nsuk integer NOT NULL,
    description character(30),
    jobtype integer NOT NULL,
    note integer
);


ALTER TABLE public.ws_job_item OWNER TO postgres;

--
-- TOC entry 3010 (class 1259 OID 79901)
-- Dependencies: 3009 5
-- Name: ws_job_item_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_job_item_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_job_item_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5478 (class 0 OID 0)
-- Dependencies: 3010
-- Name: ws_job_item_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_job_item_nsuk_seq OWNED BY ws_job_item.nsuk;


--
-- TOC entry 3011 (class 1259 OID 79903)
-- Dependencies: 3005 5
-- Name: ws_job_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_job_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_job_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5479 (class 0 OID 0)
-- Dependencies: 3011
-- Name: ws_job_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_job_nsuk_seq OWNED BY ws_job.nsuk;


--
-- TOC entry 3012 (class 1259 OID 79905)
-- Dependencies: 5
-- Name: ws_job_number; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job_number (
    nsuk integer NOT NULL,
    job integer,
    work_list integer,
    location smallint NOT NULL
);


ALTER TABLE public.ws_job_number OWNER TO postgres;

--
-- TOC entry 3013 (class 1259 OID 79907)
-- Dependencies: 3012 5
-- Name: ws_job_number_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_job_number_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_job_number_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5480 (class 0 OID 0)
-- Dependencies: 3013
-- Name: ws_job_number_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_job_number_nsuk_seq OWNED BY ws_job_number.nsuk;


--
-- TOC entry 3014 (class 1259 OID 79909)
-- Dependencies: 5
-- Name: ws_job_pser_map; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job_pser_map (
    job_id integer NOT NULL,
    pt_ser_id integer NOT NULL
);


ALTER TABLE public.ws_job_pser_map OWNER TO postgres;

--
-- TOC entry 3015 (class 1259 OID 79911)
-- Dependencies: 5
-- Name: ws_job_tasks; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job_tasks (
    nsuk integer NOT NULL,
    job integer,
    description character(30),
    required_skill integer,
    completed_date date,
    completed_time timestamp without time zone,
    note integer,
    task_status integer NOT NULL,
    task integer,
    sequence integer,
    pass integer
);


ALTER TABLE public.ws_job_tasks OWNER TO postgres;

--
-- TOC entry 3016 (class 1259 OID 79913)
-- Dependencies: 3015 5
-- Name: ws_job_tasks_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_job_tasks_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_job_tasks_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5481 (class 0 OID 0)
-- Dependencies: 3016
-- Name: ws_job_tasks_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_job_tasks_nsuk_seq OWNED BY ws_job_tasks.nsuk;


--
-- TOC entry 3017 (class 1259 OID 79915)
-- Dependencies: 5
-- Name: ws_job_template; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job_template (
    nsuk integer NOT NULL,
    equipment integer,
    job_type integer,
    note integer
);


ALTER TABLE public.ws_job_template OWNER TO postgres;

--
-- TOC entry 3018 (class 1259 OID 79917)
-- Dependencies: 3017 5
-- Name: ws_job_template_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_job_template_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_job_template_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5482 (class 0 OID 0)
-- Dependencies: 3018
-- Name: ws_job_template_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_job_template_nsuk_seq OWNED BY ws_job_template.nsuk;


--
-- TOC entry 3019 (class 1259 OID 79919)
-- Dependencies: 5
-- Name: ws_job_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_job_type (
    nsuk integer NOT NULL,
    description character(30) NOT NULL
);


ALTER TABLE public.ws_job_type OWNER TO postgres;

--
-- TOC entry 3020 (class 1259 OID 79921)
-- Dependencies: 3019 5
-- Name: ws_job_type_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_job_type_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_job_type_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5483 (class 0 OID 0)
-- Dependencies: 3020
-- Name: ws_job_type_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_job_type_nsuk_seq OWNED BY ws_job_type.nsuk;


--
-- TOC entry 3021 (class 1259 OID 79923)
-- Dependencies: 5
-- Name: ws_jtemp_tasks; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_jtemp_tasks (
    nsuk integer NOT NULL,
    description character(30) NOT NULL,
    required_skill integer,
    note integer
);


ALTER TABLE public.ws_jtemp_tasks OWNER TO postgres;

--
-- TOC entry 3022 (class 1259 OID 79925)
-- Dependencies: 3021 5
-- Name: ws_jtemp_tasks_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_jtemp_tasks_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_jtemp_tasks_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5484 (class 0 OID 0)
-- Dependencies: 3022
-- Name: ws_jtemp_tasks_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_jtemp_tasks_nsuk_seq OWNED BY ws_jtemp_tasks.nsuk;


--
-- TOC entry 3023 (class 1259 OID 79927)
-- Dependencies: 5
-- Name: ws_meter; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_meter (
    nsuk integer NOT NULL,
    named_meter integer NOT NULL,
    pdesc character(4) NOT NULL,
    cod character(6) NOT NULL,
    last_read_date timestamp without time zone,
    last_read_value numeric(10,2),
    asset_reg character(1) NOT NULL,
    reference_point timestamp without time zone,
    cumulative_value numeric(10,2)
);


ALTER TABLE public.ws_meter OWNER TO postgres;

--
-- TOC entry 3024 (class 1259 OID 79929)
-- Dependencies: 5
-- Name: ws_meter_events; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_meter_events (
    nsuk integer NOT NULL,
    meter integer NOT NULL,
    event integer NOT NULL,
    action integer NOT NULL
);


ALTER TABLE public.ws_meter_events OWNER TO postgres;

--
-- TOC entry 3025 (class 1259 OID 79931)
-- Dependencies: 3024 5
-- Name: ws_meter_events_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_meter_events_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_meter_events_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5485 (class 0 OID 0)
-- Dependencies: 3025
-- Name: ws_meter_events_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_meter_events_nsuk_seq OWNED BY ws_meter_events.nsuk;


--
-- TOC entry 3026 (class 1259 OID 79933)
-- Dependencies: 3023 5
-- Name: ws_meter_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_meter_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_meter_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5486 (class 0 OID 0)
-- Dependencies: 3026
-- Name: ws_meter_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_meter_nsuk_seq OWNED BY ws_meter.nsuk;


--
-- TOC entry 3027 (class 1259 OID 79935)
-- Dependencies: 5
-- Name: ws_meter_readings; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_meter_readings (
    nsuk integer NOT NULL,
    equipment_type integer,
    pdesc character(4),
    cod character(6),
    value numeric(16,2),
    plant_meter integer NOT NULL,
    reading_date date,
    reading_time timestamp without time zone,
    read_by integer,
    job integer,
    trigger_fired integer,
    asset_reg character(1) NOT NULL
);


ALTER TABLE public.ws_meter_readings OWNER TO postgres;

--
-- TOC entry 3028 (class 1259 OID 79937)
-- Dependencies: 3027 5
-- Name: ws_meter_readings_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_meter_readings_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_meter_readings_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5487 (class 0 OID 0)
-- Dependencies: 3028
-- Name: ws_meter_readings_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_meter_readings_nsuk_seq OWNED BY ws_meter_readings.nsuk;


--
-- TOC entry 3029 (class 1259 OID 79939)
-- Dependencies: 5
-- Name: ws_meter_type; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_meter_type (
    nsuk integer NOT NULL,
    description character(30) NOT NULL,
    meter_units integer NOT NULL
);


ALTER TABLE public.ws_meter_type OWNER TO postgres;

--
-- TOC entry 3030 (class 1259 OID 79941)
-- Dependencies: 3029 5
-- Name: ws_meter_type_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_meter_type_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_meter_type_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5488 (class 0 OID 0)
-- Dependencies: 3030
-- Name: ws_meter_type_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_meter_type_nsuk_seq OWNED BY ws_meter_type.nsuk;


--
-- TOC entry 3031 (class 1259 OID 79943)
-- Dependencies: 5
-- Name: ws_meter_units; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_meter_units (
    nsuk integer NOT NULL,
    description character(30)
);


ALTER TABLE public.ws_meter_units OWNER TO postgres;

--
-- TOC entry 3032 (class 1259 OID 79945)
-- Dependencies: 3031 5
-- Name: ws_meter_units_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_meter_units_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_meter_units_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5489 (class 0 OID 0)
-- Dependencies: 3032
-- Name: ws_meter_units_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_meter_units_nsuk_seq OWNED BY ws_meter_units.nsuk;


--
-- TOC entry 3033 (class 1259 OID 79947)
-- Dependencies: 5
-- Name: ws_named_meter; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_named_meter (
    nsuk integer NOT NULL,
    meter_type integer NOT NULL,
    meter_name character(30) NOT NULL,
    reset_allowed integer NOT NULL
);


ALTER TABLE public.ws_named_meter OWNER TO postgres;

--
-- TOC entry 3034 (class 1259 OID 79949)
-- Dependencies: 3033 5
-- Name: ws_named_meter_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_named_meter_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_named_meter_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5490 (class 0 OID 0)
-- Dependencies: 3034
-- Name: ws_named_meter_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_named_meter_nsuk_seq OWNED BY ws_named_meter.nsuk;


--
-- TOC entry 3035 (class 1259 OID 79951)
-- Dependencies: 5
-- Name: ws_nmeter_events; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_nmeter_events (
    nsuk integer NOT NULL,
    named_meter integer NOT NULL,
    event integer NOT NULL,
    action integer NOT NULL
);


ALTER TABLE public.ws_nmeter_events OWNER TO postgres;

--
-- TOC entry 3036 (class 1259 OID 79953)
-- Dependencies: 3035 5
-- Name: ws_nmeter_events_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_nmeter_events_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_nmeter_events_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5491 (class 0 OID 0)
-- Dependencies: 3036
-- Name: ws_nmeter_events_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_nmeter_events_nsuk_seq OWNED BY ws_nmeter_events.nsuk;


--
-- TOC entry 3037 (class 1259 OID 79955)
-- Dependencies: 5
-- Name: ws_other_cost; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_other_cost (
    nsuk integer NOT NULL,
    task integer,
    description character(30),
    cost numeric(16,2) NOT NULL
);


ALTER TABLE public.ws_other_cost OWNER TO postgres;

--
-- TOC entry 3038 (class 1259 OID 79957)
-- Dependencies: 3037 5
-- Name: ws_other_cost_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_other_cost_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_other_cost_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5492 (class 0 OID 0)
-- Dependencies: 3038
-- Name: ws_other_cost_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_other_cost_nsuk_seq OWNED BY ws_other_cost.nsuk;


--
-- TOC entry 3039 (class 1259 OID 79959)
-- Dependencies: 5
-- Name: ws_other_job_costs; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_other_job_costs (
    nsuk integer NOT NULL,
    job integer,
    description character(30),
    cost numeric(16,2) NOT NULL
);


ALTER TABLE public.ws_other_job_costs OWNER TO postgres;

--
-- TOC entry 3040 (class 1259 OID 79961)
-- Dependencies: 3039 5
-- Name: ws_other_job_costs_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_other_job_costs_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_other_job_costs_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5493 (class 0 OID 0)
-- Dependencies: 3040
-- Name: ws_other_job_costs_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_other_job_costs_nsuk_seq OWNED BY ws_other_job_costs.nsuk;


--
-- TOC entry 3041 (class 1259 OID 79963)
-- Dependencies: 5
-- Name: ws_pdesc_trigger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_pdesc_trigger (
    nsuk integer NOT NULL,
    pdesc character(4) NOT NULL,
    named_meter integer NOT NULL,
    parent_trigger integer NOT NULL,
    asset_reg character(1)
);


ALTER TABLE public.ws_pdesc_trigger OWNER TO postgres;

--
-- TOC entry 3042 (class 1259 OID 79965)
-- Dependencies: 3041 5
-- Name: ws_pdesc_trigger_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_pdesc_trigger_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_pdesc_trigger_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5494 (class 0 OID 0)
-- Dependencies: 3042
-- Name: ws_pdesc_trigger_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_pdesc_trigger_nsuk_seq OWNED BY ws_pdesc_trigger.nsuk;


--
-- TOC entry 3043 (class 1259 OID 79967)
-- Dependencies: 5
-- Name: ws_resource; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_resource (
    nsuk integer NOT NULL,
    description character(30)
);


ALTER TABLE public.ws_resource OWNER TO postgres;

--
-- TOC entry 3044 (class 1259 OID 79969)
-- Dependencies: 3043 5
-- Name: ws_resource_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_resource_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_resource_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5495 (class 0 OID 0)
-- Dependencies: 3044
-- Name: ws_resource_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_resource_nsuk_seq OWNED BY ws_resource.nsuk;


--
-- TOC entry 3045 (class 1259 OID 79971)
-- Dependencies: 5
-- Name: ws_skill; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_skill (
    nsuk integer NOT NULL,
    description character(30) NOT NULL
);


ALTER TABLE public.ws_skill OWNER TO postgres;

--
-- TOC entry 3046 (class 1259 OID 79973)
-- Dependencies: 3045 5
-- Name: ws_skill_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_skill_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_skill_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5496 (class 0 OID 0)
-- Dependencies: 3046
-- Name: ws_skill_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_skill_nsuk_seq OWNED BY ws_skill.nsuk;


--
-- TOC entry 3047 (class 1259 OID 79975)
-- Dependencies: 5
-- Name: ws_spares_used; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_spares_used (
    nsuk integer NOT NULL,
    task integer,
    plu character(7),
    quantity numeric(16,6),
    unit_cost numeric(12,4),
    note integer
);


ALTER TABLE public.ws_spares_used OWNER TO postgres;

--
-- TOC entry 3048 (class 1259 OID 79977)
-- Dependencies: 3047 5
-- Name: ws_spares_used_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_spares_used_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_spares_used_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5497 (class 0 OID 0)
-- Dependencies: 3048
-- Name: ws_spares_used_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_spares_used_nsuk_seq OWNED BY ws_spares_used.nsuk;


--
-- TOC entry 3049 (class 1259 OID 79979)
-- Dependencies: 5
-- Name: ws_task; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_task (
    nsuk integer NOT NULL,
    description character(30) NOT NULL,
    required_skill integer,
    note integer
);


ALTER TABLE public.ws_task OWNER TO postgres;

--
-- TOC entry 3050 (class 1259 OID 79981)
-- Dependencies: 5
-- Name: ws_task_assigned; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_task_assigned (
    nsuk integer NOT NULL,
    task integer,
    engineer integer
);


ALTER TABLE public.ws_task_assigned OWNER TO postgres;

--
-- TOC entry 3051 (class 1259 OID 79983)
-- Dependencies: 3050 5
-- Name: ws_task_assigned_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_task_assigned_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_task_assigned_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5498 (class 0 OID 0)
-- Dependencies: 3051
-- Name: ws_task_assigned_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_task_assigned_nsuk_seq OWNED BY ws_task_assigned.nsuk;


--
-- TOC entry 3052 (class 1259 OID 79985)
-- Dependencies: 3049 5
-- Name: ws_task_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_task_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_task_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5499 (class 0 OID 0)
-- Dependencies: 3052
-- Name: ws_task_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_task_nsuk_seq OWNED BY ws_task.nsuk;


--
-- TOC entry 3053 (class 1259 OID 79987)
-- Dependencies: 5
-- Name: ws_task_status; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_task_status (
    nsuk integer NOT NULL,
    description character(20) NOT NULL
);


ALTER TABLE public.ws_task_status OWNER TO postgres;

--
-- TOC entry 3054 (class 1259 OID 79989)
-- Dependencies: 3053 5
-- Name: ws_task_status_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_task_status_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_task_status_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5500 (class 0 OID 0)
-- Dependencies: 3054
-- Name: ws_task_status_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_task_status_nsuk_seq OWNED BY ws_task_status.nsuk;


--
-- TOC entry 3055 (class 1259 OID 79991)
-- Dependencies: 5
-- Name: ws_task_template; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_task_template (
    nsuk integer NOT NULL,
    job_template integer NOT NULL,
    task integer NOT NULL,
    sequence integer
);


ALTER TABLE public.ws_task_template OWNER TO postgres;

--
-- TOC entry 3056 (class 1259 OID 79993)
-- Dependencies: 3055 5
-- Name: ws_task_template_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_task_template_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_task_template_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5501 (class 0 OID 0)
-- Dependencies: 3056
-- Name: ws_task_template_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_task_template_nsuk_seq OWNED BY ws_task_template.nsuk;


--
-- TOC entry 3057 (class 1259 OID 79995)
-- Dependencies: 5
-- Name: ws_trigger; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_trigger (
    nsuk integer NOT NULL,
    job_type integer NOT NULL,
    trigger_level numeric(10,2) NOT NULL,
    trigger_type character(1) NOT NULL,
    trigger_frequency integer NOT NULL,
    trigger_increment integer NOT NULL,
    child_trigger integer NOT NULL,
    event integer,
    mandatory integer NOT NULL,
    active integer,
    description character(40)
);


ALTER TABLE public.ws_trigger OWNER TO postgres;

--
-- TOC entry 3058 (class 1259 OID 79997)
-- Dependencies: 3057 5
-- Name: ws_trigger_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_trigger_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_trigger_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5502 (class 0 OID 0)
-- Dependencies: 3058
-- Name: ws_trigger_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_trigger_nsuk_seq OWNED BY ws_trigger.nsuk;


--
-- TOC entry 3059 (class 1259 OID 79999)
-- Dependencies: 5
-- Name: ws_ttemp_resources; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_ttemp_resources (
    nsuk integer NOT NULL,
    task_template integer,
    resource integer
);


ALTER TABLE public.ws_ttemp_resources OWNER TO postgres;

--
-- TOC entry 3060 (class 1259 OID 80001)
-- Dependencies: 3059 5
-- Name: ws_ttemp_resources_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_ttemp_resources_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_ttemp_resources_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5503 (class 0 OID 0)
-- Dependencies: 3060
-- Name: ws_ttemp_resources_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_ttemp_resources_nsuk_seq OWNED BY ws_ttemp_resources.nsuk;


--
-- TOC entry 3061 (class 1259 OID 80003)
-- Dependencies: 5
-- Name: ws_ttemp_spares; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_ttemp_spares (
    nsuk integer NOT NULL,
    task_template integer,
    product integer,
    quantity integer NOT NULL
);


ALTER TABLE public.ws_ttemp_spares OWNER TO postgres;

--
-- TOC entry 3062 (class 1259 OID 80005)
-- Dependencies: 3061 5
-- Name: ws_ttemp_spares_nsuk_seq; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE ws_ttemp_spares_nsuk_seq
    START WITH 1
    INCREMENT BY 1
    NO MAXVALUE
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.ws_ttemp_spares_nsuk_seq OWNER TO postgres;

--
-- TOC entry 5504 (class 0 OID 0)
-- Dependencies: 3062
-- Name: ws_ttemp_spares_nsuk_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: postgres
--

ALTER SEQUENCE ws_ttemp_spares_nsuk_seq OWNED BY ws_ttemp_spares.nsuk;


--
-- TOC entry 3063 (class 1259 OID 80007)
-- Dependencies: 5
-- Name: ws_work_list; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE ws_work_list (
    location integer NOT NULL,
    work_list_no integer NOT NULL,
    date_created date,
    time_created timestamp without time zone,
    assigned_to integer,
    created_by integer,
    status integer
);


ALTER TABLE public.ws_work_list OWNER TO postgres;

--
-- TOC entry 3064 (class 1259 OID 80009)
-- Dependencies: 5
-- Name: xmit_tender; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE xmit_tender (
    depot integer,
    tender character(8)
);


ALTER TABLE public.xmit_tender OWNER TO postgres;

--
-- TOC entry 3065 (class 1259 OID 80011)
-- Dependencies: 5
-- Name: y2k; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE y2k (
    y2kbug integer
);


ALTER TABLE public.y2k OWNER TO postgres;

--
-- TOC entry 3448 (class 2604 OID 80013)
-- Dependencies: 2259 2258
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE adj_open_ctl ALTER COLUMN nsuk SET DEFAULT nextval('adj_open_ctl_nsuk_seq'::regclass);


--
-- TOC entry 3449 (class 2604 OID 80014)
-- Dependencies: 2262 2261
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE analysis_calendar ALTER COLUMN nsuk SET DEFAULT nextval('analysis_calendar_nsuk_seq'::regclass);


--
-- TOC entry 3450 (class 2604 OID 80015)
-- Dependencies: 2268 2267
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_cust ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_cust_audit_nsuk_seq'::regclass);


--
-- TOC entry 3451 (class 2604 OID 80016)
-- Dependencies: 2270 2269
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_cust_ext ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_cust_ext_audit_nsuk_seq'::regclass);


--
-- TOC entry 3452 (class 2604 OID 80017)
-- Dependencies: 2272 2271
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_iddetail ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_iddetail_audit_nsuk_seq'::regclass);


--
-- TOC entry 3453 (class 2604 OID 80018)
-- Dependencies: 2274 2273
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_ihdetail ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_ihdetail_audit_nsuk_seq'::regclass);


--
-- TOC entry 3454 (class 2604 OID 80019)
-- Dependencies: 2276 2275
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_ihead ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_ihead_audit_nsuk_seq'::regclass);


--
-- TOC entry 3455 (class 2604 OID 80020)
-- Dependencies: 2278 2277
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_iodetail ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_iodetail_audit_nsuk_seq'::regclass);


--
-- TOC entry 3456 (class 2604 OID 80021)
-- Dependencies: 2280 2279
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_pccdetails ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_pccdetails_audit_nsuk_seq'::regclass);


--
-- TOC entry 3457 (class 2604 OID 80022)
-- Dependencies: 2282 2281
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_pdetails ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_pdetails_audit_nsuk_seq'::regclass);


--
-- TOC entry 3458 (class 2604 OID 80023)
-- Dependencies: 2284 2283
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_pledger ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_pledger_audit_nsuk_seq'::regclass);


--
-- TOC entry 3459 (class 2604 OID 80024)
-- Dependencies: 2286 2285
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_pledgerext ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_pledgerext_audit_nsuk_seq'::regclass);


--
-- TOC entry 3460 (class 2604 OID 80025)
-- Dependencies: 2288 2287
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_roll ALTER COLUMN nsuk SET DEFAULT nextval('audit_roll_nsuk_seq'::regclass);


--
-- TOC entry 3461 (class 2604 OID 80026)
-- Dependencies: 2290 2289
-- Name: audit_nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE audit_sledger ALTER COLUMN audit_nsuk SET DEFAULT nextval('audit_sledger_audit_nsuk_seq'::regclass);


--
-- TOC entry 3446 (class 2604 OID 80027)
-- Dependencies: 2296 2253
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE barcode ALTER COLUMN nsuk SET DEFAULT nextval('barcode_nsuk_seq'::regclass);


--
-- TOC entry 3462 (class 2604 OID 80028)
-- Dependencies: 2298 2297
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE bin_location ALTER COLUMN nsuk SET DEFAULT nextval('bin_location_nsuk_seq'::regclass);


--
-- TOC entry 3464 (class 2604 OID 80029)
-- Dependencies: 2304 2303
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE call_queue ALTER COLUMN nsuk SET DEFAULT nextval('call_queue_nsuk_seq'::regclass);


--
-- TOC entry 3465 (class 2604 OID 80030)
-- Dependencies: 2310 2305
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cash ALTER COLUMN ser SET DEFAULT nextval('cash_ser_seq'::regclass);


--
-- TOC entry 3469 (class 2604 OID 80031)
-- Dependencies: 2313 2312
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE category_type ALTER COLUMN nsuk SET DEFAULT nextval('category_type_nsuk_seq'::regclass);


--
-- TOC entry 3470 (class 2604 OID 80032)
-- Dependencies: 2315 2314
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cc_detail ALTER COLUMN nsuk SET DEFAULT nextval('cc_detail_nsuk_seq'::regclass);


--
-- TOC entry 3471 (class 2604 OID 80033)
-- Dependencies: 2317 2316
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cc_head ALTER COLUMN nsuk SET DEFAULT nextval('cc_head_nsuk_seq'::regclass);


--
-- TOC entry 3472 (class 2604 OID 80034)
-- Dependencies: 2322 2321
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE charge_lines ALTER COLUMN nsuk SET DEFAULT nextval('charge_lines_nsuk_seq'::regclass);


--
-- TOC entry 3473 (class 2604 OID 80035)
-- Dependencies: 2324 2323
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE charge_rate ALTER COLUMN nsuk SET DEFAULT nextval('charge_rate_nsuk_seq'::regclass);


--
-- TOC entry 3477 (class 2604 OID 80036)
-- Dependencies: 2329 2328
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cheque_hist_det ALTER COLUMN nsuk SET DEFAULT nextval('cheque_hist_det_nsuk_seq'::regclass);


--
-- TOC entry 3478 (class 2604 OID 80037)
-- Dependencies: 2331 2330
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cheque_history ALTER COLUMN nsuk SET DEFAULT nextval('cheque_history_nsuk_seq'::regclass);


--
-- TOC entry 3479 (class 2604 OID 80038)
-- Dependencies: 2333 2332
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cheque_print_ctl ALTER COLUMN nsuk SET DEFAULT nextval('cheque_print_ctl_nsuk_seq'::regclass);


--
-- TOC entry 3480 (class 2604 OID 80039)
-- Dependencies: 2335 2334
-- Name: run_no; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cheque_run ALTER COLUMN run_no SET DEFAULT nextval('cheque_run_run_no_seq'::regclass);


--
-- TOC entry 3481 (class 2604 OID 80040)
-- Dependencies: 2338 2337
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cn_detail ALTER COLUMN nsuk SET DEFAULT nextval('cn_detail_nsuk_seq'::regclass);


--
-- TOC entry 3482 (class 2604 OID 80041)
-- Dependencies: 2340 2339
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cn_head ALTER COLUMN nsuk SET DEFAULT nextval('cn_head_nsuk_seq'::regclass);


--
-- TOC entry 3483 (class 2604 OID 80042)
-- Dependencies: 2342 2341
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cn_pid_xref ALTER COLUMN nsuk SET DEFAULT nextval('cn_pid_xref_nsuk_seq'::regclass);


--
-- TOC entry 3484 (class 2604 OID 80043)
-- Dependencies: 2344 2343
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cod_allocation ALTER COLUMN nsuk SET DEFAULT nextval('cod_allocation_nsuk_seq'::regclass);


--
-- TOC entry 3485 (class 2604 OID 80044)
-- Dependencies: 2350 2349
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE contact ALTER COLUMN nsuk SET DEFAULT nextval('contact_nsuk_seq'::regclass);


--
-- TOC entry 3486 (class 2604 OID 80045)
-- Dependencies: 2353 2352
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE contract_suspend ALTER COLUMN ser SET DEFAULT nextval('contract_suspend_ser_seq'::regclass);


--
-- TOC entry 3487 (class 2604 OID 80046)
-- Dependencies: 2358 2357
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cost_price ALTER COLUMN nsuk SET DEFAULT nextval('cost_price_nsuk_seq'::regclass);


--
-- TOC entry 3739 (class 2604 OID 445955)
-- Dependencies: 3081 3082 3082
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE crnote_reason ALTER COLUMN id SET DEFAULT nextval('crnote_reason_id_seq'::regclass);


--
-- TOC entry 3488 (class 2604 OID 80047)
-- Dependencies: 2368 2367
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE currency_rates ALTER COLUMN nsuk SET DEFAULT nextval('currency_rates_nsuk_seq'::regclass);


--
-- TOC entry 3489 (class 2604 OID 80048)
-- Dependencies: 2373 2372
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cust_discstruct ALTER COLUMN nsuk SET DEFAULT nextval('cust_discstruct_nsuk_seq'::regclass);


--
-- TOC entry 3491 (class 2604 OID 80049)
-- Dependencies: 2376 2375
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cust_order ALTER COLUMN nsuk SET DEFAULT nextval('cust_order_nsuk_seq'::regclass);


--
-- TOC entry 3492 (class 2604 OID 80050)
-- Dependencies: 2378 2377
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cust_pricelist ALTER COLUMN nsuk SET DEFAULT nextval('cust_pricelist_nsuk_seq'::regclass);


--
-- TOC entry 3493 (class 2604 OID 80051)
-- Dependencies: 2382 2379
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cust_status ALTER COLUMN nsuk SET DEFAULT nextval('cust_status_nsuk_seq'::regclass);


--
-- TOC entry 3494 (class 2604 OID 80052)
-- Dependencies: 2381 2380
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE cust_status_hist ALTER COLUMN nsuk SET DEFAULT nextval('cust_status_hist_nsuk_seq'::regclass);


--
-- TOC entry 3495 (class 2604 OID 80053)
-- Dependencies: 2388 2387
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE customer_class ALTER COLUMN nsuk SET DEFAULT nextval('customer_class_nsuk_seq'::regclass);


--
-- TOC entry 3496 (class 2604 OID 80054)
-- Dependencies: 2393 2392
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE d_msales ALTER COLUMN nsuk SET DEFAULT nextval('d_msales_nsuk_seq'::regclass);


--
-- TOC entry 3497 (class 2604 OID 80055)
-- Dependencies: 2395 2394
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE d_wsales ALTER COLUMN nsuk SET DEFAULT nextval('d_wsales_nsuk_seq'::regclass);


--
-- TOC entry 3498 (class 2604 OID 80056)
-- Dependencies: 2397 2396
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE d_ysales ALTER COLUMN nsuk SET DEFAULT nextval('d_ysales_nsuk_seq'::regclass);


--
-- TOC entry 3499 (class 2604 OID 80057)
-- Dependencies: 2400 2399
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE dcsmaillog ALTER COLUMN nsuk SET DEFAULT nextval('dcsmaillog_nsuk_seq'::regclass);


--
-- TOC entry 3500 (class 2604 OID 80058)
-- Dependencies: 2403 2402
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ddc_xref ALTER COLUMN nsuk SET DEFAULT nextval('ddc_xref_nsuk_seq'::regclass);


--
-- TOC entry 3501 (class 2604 OID 80059)
-- Dependencies: 2405 2404
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ddoc_detail ALTER COLUMN nsuk SET DEFAULT nextval('ddoc_detail_nsuk_seq'::regclass);


--
-- TOC entry 3502 (class 2604 OID 80060)
-- Dependencies: 2407 2406
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ddoc_head ALTER COLUMN nsuk SET DEFAULT nextval('ddoc_head_nsuk_seq'::regclass);


--
-- TOC entry 3503 (class 2604 OID 80061)
-- Dependencies: 2409 2408
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ddso_xref ALTER COLUMN nsuk SET DEFAULT nextval('ddso_xref_nsuk_seq'::regclass);


--
-- TOC entry 3504 (class 2604 OID 80062)
-- Dependencies: 2411 2410
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE default_profile ALTER COLUMN nsuk SET DEFAULT nextval('default_profile_nsuk_seq'::regclass);


--
-- TOC entry 3505 (class 2604 OID 80063)
-- Dependencies: 2415 2412
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE dept ALTER COLUMN nsuk SET DEFAULT nextval('dept_nsuk_seq'::regclass);


--
-- TOC entry 3506 (class 2604 OID 80064)
-- Dependencies: 2414 2413
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE dept_group ALTER COLUMN nsuk SET DEFAULT nextval('dept_group_nsuk_seq'::regclass);


--
-- TOC entry 3507 (class 2604 OID 80065)
-- Dependencies: 2417 2416
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE disc_detail ALTER COLUMN nsuk SET DEFAULT nextval('disc_detail_nsuk_seq'::regclass);


--
-- TOC entry 3508 (class 2604 OID 80066)
-- Dependencies: 2419 2418
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE disc_struct ALTER COLUMN nsuk SET DEFAULT nextval('disc_struct_nsuk_seq'::regclass);


--
-- TOC entry 3509 (class 2604 OID 80067)
-- Dependencies: 2422 2421
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE disposals ALTER COLUMN ser SET DEFAULT nextval('disposals_ser_seq'::regclass);


--
-- TOC entry 3510 (class 2604 OID 80068)
-- Dependencies: 2425 2424
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE dispxref ALTER COLUMN ser SET DEFAULT nextval('dispxref_ser_seq'::regclass);


--
-- TOC entry 3511 (class 2604 OID 80069)
-- Dependencies: 2427 2426
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE docket_trigger ALTER COLUMN nsuk SET DEFAULT nextval('docket_trigger_nsuk_seq'::regclass);


--
-- TOC entry 3512 (class 2604 OID 80070)
-- Dependencies: 2429 2428
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE driver ALTER COLUMN nsuk SET DEFAULT nextval('driver_nsuk_seq'::regclass);


--
-- TOC entry 3513 (class 2604 OID 80071)
-- Dependencies: 2438 2437
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE excel_period ALTER COLUMN nsuk SET DEFAULT nextval('excel_period_nsuk_seq'::regclass);


--
-- TOC entry 3737 (class 2604 OID 445936)
-- Dependencies: 3077 3078 3078
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE fleet_gid_xref ALTER COLUMN nsuk SET DEFAULT nextval('fleet_gid_xref_nsuk_seq'::regclass);


--
-- TOC entry 3514 (class 2604 OID 80072)
-- Dependencies: 2443 2442
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE freeze_gid ALTER COLUMN nsuk SET DEFAULT nextval('freeze_gid_nsuk_seq'::regclass);


--
-- TOC entry 3515 (class 2604 OID 80073)
-- Dependencies: 2447 2446
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE g_ihead ALTER COLUMN nsuk SET DEFAULT nextval('g_ihead_nsuk_seq'::regclass);


--
-- TOC entry 3516 (class 2604 OID 80074)
-- Dependencies: 2449 2448
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE g_msales ALTER COLUMN nsuk SET DEFAULT nextval('g_msales_nsuk_seq'::regclass);


--
-- TOC entry 3517 (class 2604 OID 80075)
-- Dependencies: 2451 2450
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE g_wsales ALTER COLUMN nsuk SET DEFAULT nextval('g_wsales_nsuk_seq'::regclass);


--
-- TOC entry 3518 (class 2604 OID 80076)
-- Dependencies: 2453 2452
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE g_ysales ALTER COLUMN nsuk SET DEFAULT nextval('g_ysales_nsuk_seq'::regclass);


--
-- TOC entry 3519 (class 2604 OID 80077)
-- Dependencies: 2455 2454
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE gang ALTER COLUMN nsuk SET DEFAULT nextval('gang_nsuk_seq'::regclass);


--
-- TOC entry 3520 (class 2604 OID 80078)
-- Dependencies: 2457 2456
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE gen_plist_detail ALTER COLUMN id SET DEFAULT nextval('gen_plist_detail_id_seq'::regclass);


--
-- TOC entry 3521 (class 2604 OID 80079)
-- Dependencies: 2459 2458
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE gen_plist_head ALTER COLUMN id SET DEFAULT nextval('gen_plist_head_id_seq'::regclass);


--
-- TOC entry 3522 (class 2604 OID 80080)
-- Dependencies: 2461 2460
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE gi_detail ALTER COLUMN nsuk SET DEFAULT nextval('gi_detail_nsuk_seq'::regclass);


--
-- TOC entry 3523 (class 2604 OID 80081)
-- Dependencies: 2463 2462
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE gi_head ALTER COLUMN nsuk SET DEFAULT nextval('gi_head_nsuk_seq'::regclass);


--
-- TOC entry 3524 (class 2604 OID 80082)
-- Dependencies: 2475 2472
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE hire_dept ALTER COLUMN nsuk SET DEFAULT nextval('hire_dept_nsuk_seq'::regclass);


--
-- TOC entry 3525 (class 2604 OID 80083)
-- Dependencies: 2474 2473
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE hire_dept_group ALTER COLUMN nsuk SET DEFAULT nextval('hire_dept_group_nsuk_seq'::regclass);


--
-- TOC entry 3526 (class 2604 OID 80084)
-- Dependencies: 2478 2477
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE hm_rental ALTER COLUMN nsuk SET DEFAULT nextval('hm_rental_nsuk_seq'::regclass);


--
-- TOC entry 3527 (class 2604 OID 80085)
-- Dependencies: 2484 2483
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE hrates ALTER COLUMN nsuk SET DEFAULT nextval('hrates_nsuk_seq'::regclass);


--
-- TOC entry 3528 (class 2604 OID 80086)
-- Dependencies: 2486 2485
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE iddetail ALTER COLUMN nsuk SET DEFAULT nextval('iddetail_nsuk_seq'::regclass);


--
-- TOC entry 3529 (class 2604 OID 80087)
-- Dependencies: 2488 2487
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ihdetail ALTER COLUMN nsuk SET DEFAULT nextval('ihdetail_nsuk_seq'::regclass);


--
-- TOC entry 3530 (class 2604 OID 80088)
-- Dependencies: 2492 2489
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ihead ALTER COLUMN nsuk SET DEFAULT nextval('ihead_nsuk_seq'::regclass);


--
-- TOC entry 3531 (class 2604 OID 80089)
-- Dependencies: 2491 2490
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ihead_hmhead_map ALTER COLUMN nsuk SET DEFAULT nextval('ihead_hmhead_map_nsuk_seq'::regclass);


--
-- TOC entry 3533 (class 2604 OID 80090)
-- Dependencies: 2494 2493
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE imaging_barcode ALTER COLUMN nsuk SET DEFAULT nextval('imaging_barcode_nsuk_seq'::regclass);


--
-- TOC entry 3534 (class 2604 OID 80091)
-- Dependencies: 2496 2495
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE import_map ALTER COLUMN nsuk SET DEFAULT nextval('import_map_nsuk_seq'::regclass);


--
-- TOC entry 3535 (class 2604 OID 80092)
-- Dependencies: 2498 2497
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE inv_details ALTER COLUMN nsuk SET DEFAULT nextval('inv_details_nsuk_seq'::regclass);


--
-- TOC entry 3536 (class 2604 OID 80093)
-- Dependencies: 2501 2500
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE inv_globals ALTER COLUMN nsuk SET DEFAULT nextval('inv_globals_nsuk_seq'::regclass);


--
-- TOC entry 3537 (class 2604 OID 80094)
-- Dependencies: 2504 2503
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE invoice_trigger ALTER COLUMN nsuk SET DEFAULT nextval('invoice_trigger_nsuk_seq'::regclass);


--
-- TOC entry 3538 (class 2604 OID 80095)
-- Dependencies: 2506 2505
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE iod_allocation ALTER COLUMN nsuk SET DEFAULT nextval('iod_allocation_nsuk_seq'::regclass);


--
-- TOC entry 3539 (class 2604 OID 80096)
-- Dependencies: 2508 2507
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE iodetail ALTER COLUMN nsuk SET DEFAULT nextval('iodetail_nsuk_seq'::regclass);


--
-- TOC entry 3543 (class 2604 OID 80097)
-- Dependencies: 2521 2520
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE jdetails ALTER COLUMN ser SET DEFAULT nextval('jdetails_ser_seq'::regclass);


--
-- TOC entry 3544 (class 2604 OID 80098)
-- Dependencies: 2525 2524
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE journals ALTER COLUMN ser SET DEFAULT nextval('journals_ser_seq'::regclass);


--
-- TOC entry 3545 (class 2604 OID 80099)
-- Dependencies: 2527 2526
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE jw_message ALTER COLUMN nsuk SET DEFAULT nextval('jw_message_nsuk_seq'::regclass);


--
-- TOC entry 3546 (class 2604 OID 80100)
-- Dependencies: 2529 2528
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE licence ALTER COLUMN nsuk SET DEFAULT nextval('licence_nsuk_seq'::regclass);


--
-- TOC entry 3547 (class 2604 OID 80101)
-- Dependencies: 2531 2530
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE line_status ALTER COLUMN nsuk SET DEFAULT nextval('line_status_nsuk_seq'::regclass);


--
-- TOC entry 3548 (class 2604 OID 80102)
-- Dependencies: 2533 2532
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE line_type ALTER COLUMN nsuk SET DEFAULT nextval('line_type_nsuk_seq'::regclass);


--
-- TOC entry 3549 (class 2604 OID 80103)
-- Dependencies: 2538 2537
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE lock_log ALTER COLUMN id SET DEFAULT nextval('lock_log_id_seq'::regclass);


--
-- TOC entry 3550 (class 2604 OID 80104)
-- Dependencies: 2544 2543
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE master_category ALTER COLUMN nsuk SET DEFAULT nextval('master_category_nsuk_seq'::regclass);


--
-- TOC entry 3551 (class 2604 OID 80105)
-- Dependencies: 2550 2549
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE mirror ALTER COLUMN id SET DEFAULT nextval('mirror_id_seq'::regclass);


--
-- TOC entry 3552 (class 2604 OID 80106)
-- Dependencies: 2552 2551
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE mirror_key ALTER COLUMN id SET DEFAULT nextval('mirror_key_id_seq'::regclass);


--
-- TOC entry 3554 (class 2604 OID 80107)
-- Dependencies: 2554 2553
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE mirror_message ALTER COLUMN id SET DEFAULT nextval('mirror_message_id_seq'::regclass);


--
-- TOC entry 3555 (class 2604 OID 80108)
-- Dependencies: 2556 2555
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE module ALTER COLUMN nsuk SET DEFAULT nextval('module_nsuk_seq'::regclass);


--
-- TOC entry 3556 (class 2604 OID 80109)
-- Dependencies: 2566 2563
-- Name: trans_no; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE nltrans ALTER COLUMN trans_no SET DEFAULT nextval('nltrans_trans_no_seq'::regclass);


--
-- TOC entry 3557 (class 2604 OID 80110)
-- Dependencies: 2570 2569
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE note_group ALTER COLUMN nsuk SET DEFAULT nextval('note_group_nsuk_seq'::regclass);


--
-- TOC entry 3558 (class 2604 OID 80111)
-- Dependencies: 2574 2573
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE o_allocation ALTER COLUMN nsuk SET DEFAULT nextval('o_allocation_nsuk_seq'::regclass);


--
-- TOC entry 3559 (class 2604 OID 80112)
-- Dependencies: 2576 2575
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE o_rental ALTER COLUMN nsuk SET DEFAULT nextval('o_rental_nsuk_seq'::regclass);


--
-- TOC entry 3560 (class 2604 OID 80113)
-- Dependencies: 2578 2577
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE o_sale ALTER COLUMN nsuk SET DEFAULT nextval('o_sale_nsuk_seq'::regclass);


--
-- TOC entry 3561 (class 2604 OID 80114)
-- Dependencies: 2588 2587
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE p_msales ALTER COLUMN nsuk SET DEFAULT nextval('p_msales_nsuk_seq'::regclass);


--
-- TOC entry 3562 (class 2604 OID 80115)
-- Dependencies: 2591 2590
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE p_wsales ALTER COLUMN nsuk SET DEFAULT nextval('p_wsales_nsuk_seq'::regclass);


--
-- TOC entry 3563 (class 2604 OID 80116)
-- Dependencies: 2593 2592
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE p_ysales ALTER COLUMN nsuk SET DEFAULT nextval('p_ysales_nsuk_seq'::regclass);


--
-- TOC entry 3564 (class 2604 OID 80117)
-- Dependencies: 2597 2596
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pallocex ALTER COLUMN nsuk SET DEFAULT nextval('pallocex_nsuk_seq'::regclass);


--
-- TOC entry 3565 (class 2604 OID 80118)
-- Dependencies: 2599 2598
-- Name: allocation; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pallocper ALTER COLUMN allocation SET DEFAULT nextval('pallocper_allocation_seq'::regclass);


--
-- TOC entry 3566 (class 2604 OID 80119)
-- Dependencies: 2601 2600
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE part_name ALTER COLUMN nsuk SET DEFAULT nextval('part_name_nsuk_seq'::regclass);


--
-- TOC entry 3567 (class 2604 OID 80120)
-- Dependencies: 2605 2604
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pc_iddetail ALTER COLUMN nsuk SET DEFAULT nextval('pc_iddetail_nsuk_seq'::regclass);


--
-- TOC entry 3568 (class 2604 OID 80121)
-- Dependencies: 2607 2606
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pc_ihdetail ALTER COLUMN nsuk SET DEFAULT nextval('pc_ihdetail_nsuk_seq'::regclass);


--
-- TOC entry 3569 (class 2604 OID 80122)
-- Dependencies: 2609 2608
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pc_ihead ALTER COLUMN nsuk SET DEFAULT nextval('pc_ihead_nsuk_seq'::regclass);


--
-- TOC entry 3570 (class 2604 OID 80123)
-- Dependencies: 2611 2610
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pc_iodetail ALTER COLUMN nsuk SET DEFAULT nextval('pc_iodetail_nsuk_seq'::regclass);


--
-- TOC entry 3571 (class 2604 OID 80124)
-- Dependencies: 2613 2612
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pccdetails ALTER COLUMN ser SET DEFAULT nextval('pccdetails_ser_seq'::regclass);


--
-- TOC entry 3572 (class 2604 OID 80125)
-- Dependencies: 2615 2614
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pciod_allocation ALTER COLUMN nsuk SET DEFAULT nextval('pciod_allocation_nsuk_seq'::regclass);


--
-- TOC entry 3573 (class 2604 OID 80126)
-- Dependencies: 2620 2616
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pcost ALTER COLUMN ser SET DEFAULT nextval('pcost_ser_seq'::regclass);


--
-- TOC entry 3574 (class 2604 OID 80127)
-- Dependencies: 2619 2618
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pcost_history ALTER COLUMN ser SET DEFAULT nextval('pcost_history_ser_seq'::regclass);


--
-- TOC entry 3575 (class 2604 OID 80128)
-- Dependencies: 2625 2624
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pdesc_parts ALTER COLUMN nsuk SET DEFAULT nextval('pdesc_parts_nsuk_seq'::regclass);


--
-- TOC entry 3576 (class 2604 OID 80129)
-- Dependencies: 2627 2626
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pdetails ALTER COLUMN ser SET DEFAULT nextval('pdetails_ser_seq'::regclass);


--
-- TOC entry 3577 (class 2604 OID 80130)
-- Dependencies: 2631 2630
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE period_map ALTER COLUMN nsuk SET DEFAULT nextval('period_map_nsuk_seq'::regclass);


--
-- TOC entry 3579 (class 2604 OID 80131)
-- Dependencies: 2635 2634
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pgmreports ALTER COLUMN id SET DEFAULT nextval('pgmreports_id_seq'::regclass);


--
-- TOC entry 3580 (class 2604 OID 80132)
-- Dependencies: 2637 2636
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE phistory ALTER COLUMN ser SET DEFAULT nextval('phistory_ser_seq'::regclass);


--
-- TOC entry 3581 (class 2604 OID 80133)
-- Dependencies: 2639 2638
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pi_detail ALTER COLUMN nsuk SET DEFAULT nextval('pi_detail_nsuk_seq'::regclass);


--
-- TOC entry 3582 (class 2604 OID 80134)
-- Dependencies: 2641 2640
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pi_head ALTER COLUMN nsuk SET DEFAULT nextval('pi_head_nsuk_seq'::regclass);


--
-- TOC entry 3583 (class 2604 OID 80135)
-- Dependencies: 2643 2642
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pi_status ALTER COLUMN nsuk SET DEFAULT nextval('pi_status_nsuk_seq'::regclass);


--
-- TOC entry 3584 (class 2604 OID 80136)
-- Dependencies: 2645 2644
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pid_reasons ALTER COLUMN nsuk SET DEFAULT nextval('pid_reasons_nsuk_seq'::regclass);


--
-- TOC entry 3585 (class 2604 OID 80137)
-- Dependencies: 2648 2647
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE plant_status ALTER COLUMN nsuk SET DEFAULT nextval('plant_status_nsuk_seq'::regclass);


--
-- TOC entry 3586 (class 2604 OID 80138)
-- Dependencies: 2652 2649
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pledger ALTER COLUMN ser SET DEFAULT nextval('pledger_ser_seq'::regclass);


--
-- TOC entry 3587 (class 2604 OID 80139)
-- Dependencies: 2651 2650
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pledger_nltrans ALTER COLUMN nsuk SET DEFAULT nextval('pledger_nltrans_nsuk_seq'::regclass);


--
-- TOC entry 3588 (class 2604 OID 80140)
-- Dependencies: 2655 2654
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE plnlxref ALTER COLUMN nsuk SET DEFAULT nextval('plnlxref_nsuk_seq'::regclass);


--
-- TOC entry 3589 (class 2604 OID 80141)
-- Dependencies: 2661 2660
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE po_detail ALTER COLUMN nsuk SET DEFAULT nextval('po_detail_nsuk_seq'::regclass);


--
-- TOC entry 3590 (class 2604 OID 80142)
-- Dependencies: 2663 2662
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE po_head ALTER COLUMN nsuk SET DEFAULT nextval('po_head_nsuk_seq'::regclass);


--
-- TOC entry 3593 (class 2604 OID 80143)
-- Dependencies: 2669 2668
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE price_det_hist ALTER COLUMN nsuk SET DEFAULT nextval('price_det_hist_nsuk_seq'::regclass);


--
-- TOC entry 3594 (class 2604 OID 80144)
-- Dependencies: 2673 2670
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pricelist ALTER COLUMN nsuk SET DEFAULT nextval('pricelist_nsuk_seq'::regclass);


--
-- TOC entry 3595 (class 2604 OID 80145)
-- Dependencies: 2672 2671
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pricelist_det ALTER COLUMN nsuk SET DEFAULT nextval('pricelist_det_nsuk_seq'::regclass);


--
-- TOC entry 3596 (class 2604 OID 80146)
-- Dependencies: 2675 2674
-- Name: type; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pricelist_types ALTER COLUMN type SET DEFAULT nextval('pricelist_types_type_seq'::regclass);


--
-- TOC entry 3597 (class 2604 OID 80147)
-- Dependencies: 2677 2676
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE printer_trigger ALTER COLUMN nsuk SET DEFAULT nextval('printer_trigger_nsuk_seq'::regclass);


--
-- TOC entry 3598 (class 2604 OID 80148)
-- Dependencies: 2679 2678
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE process_lastrun ALTER COLUMN nsuk SET DEFAULT nextval('process_lastrun_nsuk_seq'::regclass);


--
-- TOC entry 3599 (class 2604 OID 80149)
-- Dependencies: 2683 2682
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE product ALTER COLUMN nsuk SET DEFAULT nextval('product_nsuk_seq'::regclass);


--
-- TOC entry 3600 (class 2604 OID 80150)
-- Dependencies: 2686 2685
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE product_type ALTER COLUMN nsuk SET DEFAULT nextval('product_type_nsuk_seq'::regclass);


--
-- TOC entry 3601 (class 2604 OID 80151)
-- Dependencies: 2690 2687
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE profile ALTER COLUMN nsuk SET DEFAULT nextval('profile_nsuk_seq'::regclass);


--
-- TOC entry 3602 (class 2604 OID 80152)
-- Dependencies: 2689 2688
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE profile_detail ALTER COLUMN nsuk SET DEFAULT nextval('profile_detail_nsuk_seq'::regclass);


--
-- TOC entry 3603 (class 2604 OID 80153)
-- Dependencies: 2692 2691
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE project ALTER COLUMN nsuk SET DEFAULT nextval('project_nsuk_seq'::regclass);


--
-- TOC entry 3604 (class 2604 OID 80154)
-- Dependencies: 2698 2697
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_bin_loc ALTER COLUMN nsuk SET DEFAULT nextval('pt_bin_loc_nsuk_seq'::regclass);


--
-- TOC entry 3605 (class 2604 OID 80155)
-- Dependencies: 2701 2700
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_msales ALTER COLUMN nsuk SET DEFAULT nextval('pt_msales_nsuk_seq'::regclass);


--
-- TOC entry 3606 (class 2604 OID 80156)
-- Dependencies: 2703 2702
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_option ALTER COLUMN nsuk SET DEFAULT nextval('pt_option_nsuk_seq'::regclass);


--
-- TOC entry 3607 (class 2604 OID 80157)
-- Dependencies: 2705 2704
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_part ALTER COLUMN nsuk SET DEFAULT nextval('pt_part_nsuk_seq'::regclass);


--
-- TOC entry 3608 (class 2604 OID 80158)
-- Dependencies: 2707 2706
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_pdesc ALTER COLUMN nsuk SET DEFAULT nextval('pt_pdesc_nsuk_seq'::regclass);


--
-- TOC entry 3609 (class 2604 OID 80159)
-- Dependencies: 2710 2709
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_serial ALTER COLUMN nsuk SET DEFAULT nextval('pt_serial_nsuk_seq'::regclass);


--
-- TOC entry 3611 (class 2604 OID 80160)
-- Dependencies: 2712 2711
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_supplier ALTER COLUMN nsuk SET DEFAULT nextval('pt_supplier_nsuk_seq'::regclass);


--
-- TOC entry 3612 (class 2604 OID 80161)
-- Dependencies: 2714 2713
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_wsales ALTER COLUMN nsuk SET DEFAULT nextval('pt_wsales_nsuk_seq'::regclass);


--
-- TOC entry 3613 (class 2604 OID 80162)
-- Dependencies: 2716 2715
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE pt_ysales ALTER COLUMN nsuk SET DEFAULT nextval('pt_ysales_nsuk_seq'::regclass);


--
-- TOC entry 3614 (class 2604 OID 80163)
-- Dependencies: 2724 2723
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE q_disposal ALTER COLUMN nsuk SET DEFAULT nextval('q_disposal_nsuk_seq'::regclass);


--
-- TOC entry 3615 (class 2604 OID 80164)
-- Dependencies: 2727 2726
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE q_rental ALTER COLUMN nsuk SET DEFAULT nextval('q_rental_nsuk_seq'::regclass);


--
-- TOC entry 3616 (class 2604 OID 80165)
-- Dependencies: 2729 2728
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE q_sale ALTER COLUMN nsuk SET DEFAULT nextval('q_sale_nsuk_seq'::regclass);


--
-- TOC entry 3617 (class 2604 OID 80166)
-- Dependencies: 2731 2730
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE q_status ALTER COLUMN nsuk SET DEFAULT nextval('q_status_nsuk_seq'::regclass);


--
-- TOC entry 3618 (class 2604 OID 80167)
-- Dependencies: 2735 2734
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE quotation ALTER COLUMN ser SET DEFAULT nextval('quotation_ser_seq'::regclass);


--
-- TOC entry 3619 (class 2604 OID 80168)
-- Dependencies: 2737 2736
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE quote ALTER COLUMN nsuk SET DEFAULT nextval('quote_nsuk_seq'::regclass);


--
-- TOC entry 3620 (class 2604 OID 80169)
-- Dependencies: 2739 2738
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE quote_number ALTER COLUMN nsuk SET DEFAULT nextval('quote_number_nsuk_seq'::regclass);


--
-- TOC entry 3621 (class 2604 OID 80170)
-- Dependencies: 2741 2740
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE r_msales ALTER COLUMN nsuk SET DEFAULT nextval('r_msales_nsuk_seq'::regclass);


--
-- TOC entry 3622 (class 2604 OID 80171)
-- Dependencies: 2743 2742
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE r_wsales ALTER COLUMN nsuk SET DEFAULT nextval('r_wsales_nsuk_seq'::regclass);


--
-- TOC entry 3623 (class 2604 OID 80172)
-- Dependencies: 2745 2744
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE r_ysales ALTER COLUMN nsuk SET DEFAULT nextval('r_ysales_nsuk_seq'::regclass);


--
-- TOC entry 3624 (class 2604 OID 80173)
-- Dependencies: 2749 2748
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE recurring_jrnl ALTER COLUMN nsuk SET DEFAULT nextval('recurring_jrnl_nsuk_seq'::regclass);


--
-- TOC entry 3625 (class 2604 OID 80174)
-- Dependencies: 2756 2755
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE report ALTER COLUMN nsuk SET DEFAULT nextval('report_nsuk_seq'::regclass);


--
-- TOC entry 3626 (class 2604 OID 80175)
-- Dependencies: 2758 2757
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE reserved_ac ALTER COLUMN nsuk SET DEFAULT nextval('reserved_ac_nsuk_seq'::regclass);


--
-- TOC entry 3627 (class 2604 OID 80176)
-- Dependencies: 2762 2761
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE return_reason ALTER COLUMN nsuk SET DEFAULT nextval('return_reason_nsuk_seq'::regclass);


--
-- TOC entry 3628 (class 2604 OID 80177)
-- Dependencies: 2764 2763
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE rj_detail ALTER COLUMN nsuk SET DEFAULT nextval('rj_detail_nsuk_seq'::regclass);


--
-- TOC entry 3629 (class 2604 OID 80178)
-- Dependencies: 2766 2765
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE rpt_dist_detail ALTER COLUMN nsuk SET DEFAULT nextval('rpt_dist_detail_nsuk_seq'::regclass);


--
-- TOC entry 3630 (class 2604 OID 80179)
-- Dependencies: 2768 2767
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE rpt_distribution ALTER COLUMN nsuk SET DEFAULT nextval('rpt_distribution_nsuk_seq'::regclass);


--
-- TOC entry 3631 (class 2604 OID 80180)
-- Dependencies: 2770 2769
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE s_msales ALTER COLUMN nsuk SET DEFAULT nextval('s_msales_nsuk_seq'::regclass);


--
-- TOC entry 3632 (class 2604 OID 80181)
-- Dependencies: 2772 2771
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE s_wsales ALTER COLUMN nsuk SET DEFAULT nextval('s_wsales_nsuk_seq'::regclass);


--
-- TOC entry 3633 (class 2604 OID 80182)
-- Dependencies: 2774 2773
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE s_ysales ALTER COLUMN nsuk SET DEFAULT nextval('s_ysales_nsuk_seq'::regclass);


--
-- TOC entry 3634 (class 2604 OID 80183)
-- Dependencies: 2779 2778
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sales_invoice ALTER COLUMN nsuk SET DEFAULT nextval('sales_invoice_nsuk_seq'::regclass);


--
-- TOC entry 3636 (class 2604 OID 80184)
-- Dependencies: 2785 2784
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE scaff_docket ALTER COLUMN nsuk SET DEFAULT nextval('scaff_docket_nsuk_seq'::regclass);


--
-- TOC entry 3637 (class 2604 OID 80185)
-- Dependencies: 2788 2787
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE scaff_time_rec ALTER COLUMN nsuk SET DEFAULT nextval('scaff_time_rec_nsuk_seq'::regclass);


--
-- TOC entry 3639 (class 2604 OID 80186)
-- Dependencies: 2790 2789
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE scaffolding_job ALTER COLUMN nsuk SET DEFAULT nextval('scaffolding_job_nsuk_seq'::regclass);


--
-- TOC entry 3640 (class 2604 OID 80187)
-- Dependencies: 2792 2791
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE scaffolding_jt ALTER COLUMN nsuk SET DEFAULT nextval('scaffolding_jt_nsuk_seq'::regclass);


--
-- TOC entry 3641 (class 2604 OID 80188)
-- Dependencies: 2795 2794
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE scheduled_list ALTER COLUMN nsuk SET DEFAULT nextval('scheduled_list_nsuk_seq'::regclass);


--
-- TOC entry 3642 (class 2604 OID 80189)
-- Dependencies: 2797 2796
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE scontact ALTER COLUMN nsuk SET DEFAULT nextval('scontact_nsuk_seq'::regclass);


--
-- TOC entry 3643 (class 2604 OID 80190)
-- Dependencies: 2799 2798
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sd_line ALTER COLUMN nsuk SET DEFAULT nextval('sd_line_nsuk_seq'::regclass);


--
-- TOC entry 3644 (class 2604 OID 80191)
-- Dependencies: 2801 2800
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sd_line_status ALTER COLUMN nsuk SET DEFAULT nextval('sd_line_status_nsuk_seq'::regclass);


--
-- TOC entry 3645 (class 2604 OID 80192)
-- Dependencies: 2803 2802
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sd_status ALTER COLUMN nsuk SET DEFAULT nextval('sd_status_nsuk_seq'::regclass);


--
-- TOC entry 3646 (class 2604 OID 80193)
-- Dependencies: 2805 2804
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sd_type ALTER COLUMN nsuk SET DEFAULT nextval('sd_type_nsuk_seq'::regclass);


--
-- TOC entry 3647 (class 2604 OID 80194)
-- Dependencies: 2807 2806
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sell_price ALTER COLUMN nsuk SET DEFAULT nextval('sell_price_nsuk_seq'::regclass);


--
-- TOC entry 3736 (class 2604 OID 445888)
-- Dependencies: 3066 3067 3067
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sessionlock ALTER COLUMN id SET DEFAULT nextval('sessionlock_id_seq'::regclass);


--
-- TOC entry 3648 (class 2604 OID 80195)
-- Dependencies: 2816 2815
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE single_item_status ALTER COLUMN nsuk SET DEFAULT nextval('single_item_status_nsuk_seq'::regclass);


--
-- TOC entry 3447 (class 2604 OID 80196)
-- Dependencies: 2825 2254
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sledger ALTER COLUMN ser SET DEFAULT nextval('sledger_ser_seq'::regclass);


--
-- TOC entry 3738 (class 2604 OID 445948)
-- Dependencies: 3079 3080 3080
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sledger_cr_map ALTER COLUMN id SET DEFAULT nextval('sledger_cr_map_id_seq'::regclass);


--
-- TOC entry 3649 (class 2604 OID 80197)
-- Dependencies: 2824 2823
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sledger_query ALTER COLUMN nsuk SET DEFAULT nextval('sledger_query_nsuk_seq'::regclass);


--
-- TOC entry 3650 (class 2604 OID 80198)
-- Dependencies: 2831 2828
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE so_dd ALTER COLUMN nsuk SET DEFAULT nextval('so_dd_nsuk_seq'::regclass);


--
-- TOC entry 3651 (class 2604 OID 80199)
-- Dependencies: 2830 2829
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE so_dd_disposal ALTER COLUMN nsuk SET DEFAULT nextval('so_dd_disposal_nsuk_seq'::regclass);


--
-- TOC entry 3652 (class 2604 OID 80200)
-- Dependencies: 2833 2832
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE so_dd_rental ALTER COLUMN nsuk SET DEFAULT nextval('so_dd_rental_nsuk_seq'::regclass);


--
-- TOC entry 3653 (class 2604 OID 80201)
-- Dependencies: 2835 2834
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE so_dd_sale ALTER COLUMN nsuk SET DEFAULT nextval('so_dd_sale_nsuk_seq'::regclass);


--
-- TOC entry 3654 (class 2604 OID 80202)
-- Dependencies: 2837 2836
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE so_detail ALTER COLUMN nsuk SET DEFAULT nextval('so_detail_nsuk_seq'::regclass);


--
-- TOC entry 3655 (class 2604 OID 80203)
-- Dependencies: 2839 2838
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE so_head ALTER COLUMN nsuk SET DEFAULT nextval('so_head_nsuk_seq'::regclass);


--
-- TOC entry 3656 (class 2604 OID 80204)
-- Dependencies: 2841 2840
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE soq_xref ALTER COLUMN nsuk SET DEFAULT nextval('soq_xref_nsuk_seq'::regclass);


--
-- TOC entry 3657 (class 2604 OID 80205)
-- Dependencies: 2844 2843
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE spool_control ALTER COLUMN ser SET DEFAULT nextval('spool_control_ser_seq'::regclass);


--
-- TOC entry 3658 (class 2604 OID 80206)
-- Dependencies: 2846 2845
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ssledger ALTER COLUMN ser SET DEFAULT nextval('ssledger_ser_seq'::regclass);


--
-- TOC entry 3659 (class 2604 OID 80207)
-- Dependencies: 2851 2850
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stk_freeze_dtl ALTER COLUMN nsuk SET DEFAULT nextval('stk_freeze_dtl_nsuk_seq'::regclass);


--
-- TOC entry 3660 (class 2604 OID 80208)
-- Dependencies: 2853 2852
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stk_freeze_hdr ALTER COLUMN nsuk SET DEFAULT nextval('stk_freeze_hdr_nsuk_seq'::regclass);


--
-- TOC entry 3661 (class 2604 OID 80209)
-- Dependencies: 2855 2854
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stk_header ALTER COLUMN nsuk SET DEFAULT nextval('stk_header_nsuk_seq'::regclass);


--
-- TOC entry 3662 (class 2604 OID 80210)
-- Dependencies: 2857 2856
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stk_take ALTER COLUMN nsuk SET DEFAULT nextval('stk_take_nsuk_seq'::regclass);


--
-- TOC entry 3663 (class 2604 OID 80211)
-- Dependencies: 2859 2858
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stk_take_wrk ALTER COLUMN nsuk SET DEFAULT nextval('stk_take_wrk_nsuk_seq'::regclass);


--
-- TOC entry 3664 (class 2604 OID 80212)
-- Dependencies: 2868 2860
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stock ALTER COLUMN nsuk SET DEFAULT nextval('stock_nsuk_seq'::regclass);


--
-- TOC entry 3665 (class 2604 OID 80213)
-- Dependencies: 2863 2862
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stock_freeze ALTER COLUMN nsuk SET DEFAULT nextval('stock_freeze_nsuk_seq'::regclass);


--
-- TOC entry 3666 (class 2604 OID 80214)
-- Dependencies: 2865 2864
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stock_location ALTER COLUMN nsuk SET DEFAULT nextval('stock_location_nsuk_seq'::regclass);


--
-- TOC entry 3667 (class 2604 OID 80215)
-- Dependencies: 2867 2866
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE stock_movement ALTER COLUMN nsuk SET DEFAULT nextval('stock_movement_nsuk_seq'::regclass);


--
-- TOC entry 3668 (class 2604 OID 80216)
-- Dependencies: 2872 2871
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE sub_category ALTER COLUMN nsuk SET DEFAULT nextval('sub_category_nsuk_seq'::regclass);


--
-- TOC entry 3669 (class 2604 OID 80217)
-- Dependencies: 2882 2881
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE supplier_ext ALTER COLUMN nsuk SET DEFAULT nextval('supplier_ext_nsuk_seq'::regclass);


--
-- TOC entry 3670 (class 2604 OID 80218)
-- Dependencies: 2890 2887
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE support ALTER COLUMN ser SET DEFAULT nextval('support_ser_seq'::regclass);


--
-- TOC entry 3671 (class 2604 OID 80219)
-- Dependencies: 2889 2888
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE support_detail ALTER COLUMN nsuk SET DEFAULT nextval('support_detail_nsuk_seq'::regclass);


--
-- TOC entry 3672 (class 2604 OID 80220)
-- Dependencies: 2892 2891
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE suspend_reasons ALTER COLUMN nsuk SET DEFAULT nextval('suspend_reasons_nsuk_seq'::regclass);


--
-- TOC entry 3674 (class 2604 OID 80221)
-- Dependencies: 2895 2894
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE syslog ALTER COLUMN nsuk SET DEFAULT nextval('syslog_nsuk_seq'::regclass);


--
-- TOC entry 3675 (class 2604 OID 80222)
-- Dependencies: 2908 2901
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE team ALTER COLUMN nsuk SET DEFAULT nextval('team_nsuk_seq'::regclass);


--
-- TOC entry 3676 (class 2604 OID 80223)
-- Dependencies: 2903 2902
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE team_member ALTER COLUMN nsuk SET DEFAULT nextval('team_member_nsuk_seq'::regclass);


--
-- TOC entry 3677 (class 2604 OID 80224)
-- Dependencies: 2905 2904
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE team_menu ALTER COLUMN nsuk SET DEFAULT nextval('team_menu_nsuk_seq'::regclass);


--
-- TOC entry 3678 (class 2604 OID 80225)
-- Dependencies: 2907 2906
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE team_module ALTER COLUMN nsuk SET DEFAULT nextval('team_module_nsuk_seq'::regclass);


--
-- TOC entry 3679 (class 2604 OID 80226)
-- Dependencies: 2912 2911
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE time_rec_status ALTER COLUMN nsuk SET DEFAULT nextval('time_rec_status_nsuk_seq'::regclass);


--
-- TOC entry 3680 (class 2604 OID 80227)
-- Dependencies: 2923 2922
-- Name: id; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE triggertest ALTER COLUMN id SET DEFAULT nextval('triggertest_id_seq'::regclass);


--
-- TOC entry 3681 (class 2604 OID 80228)
-- Dependencies: 2930 2927
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE unmatched ALTER COLUMN ser SET DEFAULT nextval('unmatched_ser_seq'::regclass);


--
-- TOC entry 3682 (class 2604 OID 80229)
-- Dependencies: 2929 2928
-- Name: ser; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE unmatched_history ALTER COLUMN ser SET DEFAULT nextval('unmatched_history_ser_seq'::regclass);


--
-- TOC entry 3683 (class 2604 OID 80230)
-- Dependencies: 2932 2931
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE unpassed_reason ALTER COLUMN nsuk SET DEFAULT nextval('unpassed_reason_nsuk_seq'::regclass);


--
-- TOC entry 3685 (class 2604 OID 80231)
-- Dependencies: 2936 2933
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE useddocs ALTER COLUMN nsuk SET DEFAULT nextval('useddocs_nsuk_seq'::regclass);


--
-- TOC entry 3686 (class 2604 OID 80232)
-- Dependencies: 2935 2934
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE useddocs_head ALTER COLUMN nsuk SET DEFAULT nextval('useddocs_head_nsuk_seq'::regclass);


--
-- TOC entry 3687 (class 2604 OID 80233)
-- Dependencies: 2938 2937
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE user_group ALTER COLUMN nsuk SET DEFAULT nextval('user_group_nsuk_seq'::regclass);


--
-- TOC entry 3688 (class 2604 OID 80234)
-- Dependencies: 2966 2965
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE worker ALTER COLUMN nsuk SET DEFAULT nextval('worker_nsuk_seq'::regclass);


--
-- TOC entry 3690 (class 2604 OID 80235)
-- Dependencies: 2969 2967
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE worker_role ALTER COLUMN nsuk SET DEFAULT nextval('worker_role_nsuk_seq'::regclass);


--
-- TOC entry 3691 (class 2604 OID 80236)
-- Dependencies: 2971 2970
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE worklist ALTER COLUMN nsuk SET DEFAULT nextval('worklist_nsuk_seq'::regclass);


--
-- TOC entry 3692 (class 2604 OID 80237)
-- Dependencies: 2973 2972
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_actions ALTER COLUMN nsuk SET DEFAULT nextval('ws_actions_nsuk_seq'::regclass);


--
-- TOC entry 3693 (class 2604 OID 80238)
-- Dependencies: 2975 2974
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_already_fired ALTER COLUMN nsuk SET DEFAULT nextval('ws_already_fired_nsuk_seq'::regclass);


--
-- TOC entry 3694 (class 2604 OID 80239)
-- Dependencies: 2977 2976
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_categ_trigger ALTER COLUMN nsuk SET DEFAULT nextval('ws_categ_trigger_nsuk_seq'::regclass);


--
-- TOC entry 3695 (class 2604 OID 80240)
-- Dependencies: 2979 2978
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_conditions ALTER COLUMN nsuk SET DEFAULT nextval('ws_conditions_nsuk_seq'::regclass);


--
-- TOC entry 3696 (class 2604 OID 80241)
-- Dependencies: 2982 2981
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_cust_serial ALTER COLUMN nsuk SET DEFAULT nextval('ws_cust_serial_nsuk_seq'::regclass);


--
-- TOC entry 3697 (class 2604 OID 80242)
-- Dependencies: 2984 2983
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_engineer ALTER COLUMN nsuk SET DEFAULT nextval('ws_engineer_nsuk_seq'::regclass);


--
-- TOC entry 3698 (class 2604 OID 80243)
-- Dependencies: 2986 2985
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_engineer_skills ALTER COLUMN nsuk SET DEFAULT nextval('ws_engineer_skills_nsuk_seq'::regclass);


--
-- TOC entry 3699 (class 2604 OID 80244)
-- Dependencies: 2988 2987
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_engineer_time ALTER COLUMN nsuk SET DEFAULT nextval('ws_engineer_time_nsuk_seq'::regclass);


--
-- TOC entry 3700 (class 2604 OID 80245)
-- Dependencies: 2990 2989
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_equip_category ALTER COLUMN nsuk SET DEFAULT nextval('ws_equip_category_nsuk_seq'::regclass);


--
-- TOC entry 3701 (class 2604 OID 80246)
-- Dependencies: 2992 2991
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_equip_typ_meter ALTER COLUMN nsuk SET DEFAULT nextval('ws_equip_typ_meter_nsuk_seq'::regclass);


--
-- TOC entry 3702 (class 2604 OID 80247)
-- Dependencies: 2994 2993
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_equipment_type ALTER COLUMN nsuk SET DEFAULT nextval('ws_equipment_type_nsuk_seq'::regclass);


--
-- TOC entry 3703 (class 2604 OID 80248)
-- Dependencies: 2996 2995
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_event ALTER COLUMN nsuk SET DEFAULT nextval('ws_event_nsuk_seq'::regclass);


--
-- TOC entry 3704 (class 2604 OID 80249)
-- Dependencies: 2998 2997
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_events ALTER COLUMN nsuk SET DEFAULT nextval('ws_events_nsuk_seq'::regclass);


--
-- TOC entry 3705 (class 2604 OID 80250)
-- Dependencies: 3000 2999
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_fromstat_tostat ALTER COLUMN nsuk SET DEFAULT nextval('ws_fromstat_tostat_nsuk_seq'::regclass);


--
-- TOC entry 3706 (class 2604 OID 80251)
-- Dependencies: 3002 3001
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_item_level ALTER COLUMN nsuk SET DEFAULT nextval('ws_item_level_nsuk_seq'::regclass);


--
-- TOC entry 3707 (class 2604 OID 80252)
-- Dependencies: 3004 3003
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_item_trigger ALTER COLUMN nsuk SET DEFAULT nextval('ws_item_trigger_nsuk_seq'::regclass);


--
-- TOC entry 3708 (class 2604 OID 80253)
-- Dependencies: 3011 3005
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_job ALTER COLUMN nsuk SET DEFAULT nextval('ws_job_nsuk_seq'::regclass);


--
-- TOC entry 3709 (class 2604 OID 80254)
-- Dependencies: 3008 3007
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_job_history ALTER COLUMN nsuk SET DEFAULT nextval('ws_job_history_nsuk_seq'::regclass);


--
-- TOC entry 3710 (class 2604 OID 80255)
-- Dependencies: 3010 3009
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_job_item ALTER COLUMN nsuk SET DEFAULT nextval('ws_job_item_nsuk_seq'::regclass);


--
-- TOC entry 3711 (class 2604 OID 80256)
-- Dependencies: 3013 3012
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_job_number ALTER COLUMN nsuk SET DEFAULT nextval('ws_job_number_nsuk_seq'::regclass);


--
-- TOC entry 3712 (class 2604 OID 80257)
-- Dependencies: 3016 3015
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_job_tasks ALTER COLUMN nsuk SET DEFAULT nextval('ws_job_tasks_nsuk_seq'::regclass);


--
-- TOC entry 3713 (class 2604 OID 80258)
-- Dependencies: 3018 3017
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_job_template ALTER COLUMN nsuk SET DEFAULT nextval('ws_job_template_nsuk_seq'::regclass);


--
-- TOC entry 3714 (class 2604 OID 80259)
-- Dependencies: 3020 3019
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_job_type ALTER COLUMN nsuk SET DEFAULT nextval('ws_job_type_nsuk_seq'::regclass);


--
-- TOC entry 3715 (class 2604 OID 80260)
-- Dependencies: 3022 3021
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_jtemp_tasks ALTER COLUMN nsuk SET DEFAULT nextval('ws_jtemp_tasks_nsuk_seq'::regclass);


--
-- TOC entry 3716 (class 2604 OID 80261)
-- Dependencies: 3026 3023
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_meter ALTER COLUMN nsuk SET DEFAULT nextval('ws_meter_nsuk_seq'::regclass);


--
-- TOC entry 3717 (class 2604 OID 80262)
-- Dependencies: 3025 3024
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_meter_events ALTER COLUMN nsuk SET DEFAULT nextval('ws_meter_events_nsuk_seq'::regclass);


--
-- TOC entry 3718 (class 2604 OID 80263)
-- Dependencies: 3028 3027
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_meter_readings ALTER COLUMN nsuk SET DEFAULT nextval('ws_meter_readings_nsuk_seq'::regclass);


--
-- TOC entry 3719 (class 2604 OID 80264)
-- Dependencies: 3030 3029
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_meter_type ALTER COLUMN nsuk SET DEFAULT nextval('ws_meter_type_nsuk_seq'::regclass);


--
-- TOC entry 3720 (class 2604 OID 80265)
-- Dependencies: 3032 3031
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_meter_units ALTER COLUMN nsuk SET DEFAULT nextval('ws_meter_units_nsuk_seq'::regclass);


--
-- TOC entry 3721 (class 2604 OID 80266)
-- Dependencies: 3034 3033
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_named_meter ALTER COLUMN nsuk SET DEFAULT nextval('ws_named_meter_nsuk_seq'::regclass);


--
-- TOC entry 3722 (class 2604 OID 80267)
-- Dependencies: 3036 3035
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_nmeter_events ALTER COLUMN nsuk SET DEFAULT nextval('ws_nmeter_events_nsuk_seq'::regclass);


--
-- TOC entry 3723 (class 2604 OID 80268)
-- Dependencies: 3038 3037
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_other_cost ALTER COLUMN nsuk SET DEFAULT nextval('ws_other_cost_nsuk_seq'::regclass);


--
-- TOC entry 3724 (class 2604 OID 80269)
-- Dependencies: 3040 3039
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_other_job_costs ALTER COLUMN nsuk SET DEFAULT nextval('ws_other_job_costs_nsuk_seq'::regclass);


--
-- TOC entry 3725 (class 2604 OID 80270)
-- Dependencies: 3042 3041
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_pdesc_trigger ALTER COLUMN nsuk SET DEFAULT nextval('ws_pdesc_trigger_nsuk_seq'::regclass);


--
-- TOC entry 3726 (class 2604 OID 80271)
-- Dependencies: 3044 3043
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_resource ALTER COLUMN nsuk SET DEFAULT nextval('ws_resource_nsuk_seq'::regclass);


--
-- TOC entry 3727 (class 2604 OID 80272)
-- Dependencies: 3046 3045
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_skill ALTER COLUMN nsuk SET DEFAULT nextval('ws_skill_nsuk_seq'::regclass);


--
-- TOC entry 3728 (class 2604 OID 80273)
-- Dependencies: 3048 3047
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_spares_used ALTER COLUMN nsuk SET DEFAULT nextval('ws_spares_used_nsuk_seq'::regclass);


--
-- TOC entry 3729 (class 2604 OID 80274)
-- Dependencies: 3052 3049
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_task ALTER COLUMN nsuk SET DEFAULT nextval('ws_task_nsuk_seq'::regclass);


--
-- TOC entry 3730 (class 2604 OID 80275)
-- Dependencies: 3051 3050
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_task_assigned ALTER COLUMN nsuk SET DEFAULT nextval('ws_task_assigned_nsuk_seq'::regclass);


--
-- TOC entry 3731 (class 2604 OID 80276)
-- Dependencies: 3054 3053
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_task_status ALTER COLUMN nsuk SET DEFAULT nextval('ws_task_status_nsuk_seq'::regclass);


--
-- TOC entry 3732 (class 2604 OID 80277)
-- Dependencies: 3056 3055
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_task_template ALTER COLUMN nsuk SET DEFAULT nextval('ws_task_template_nsuk_seq'::regclass);


--
-- TOC entry 3733 (class 2604 OID 80278)
-- Dependencies: 3058 3057
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_trigger ALTER COLUMN nsuk SET DEFAULT nextval('ws_trigger_nsuk_seq'::regclass);


--
-- TOC entry 3734 (class 2604 OID 80279)
-- Dependencies: 3060 3059
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_ttemp_resources ALTER COLUMN nsuk SET DEFAULT nextval('ws_ttemp_resources_nsuk_seq'::regclass);


--
-- TOC entry 3735 (class 2604 OID 80280)
-- Dependencies: 3062 3061
-- Name: nsuk; Type: DEFAULT; Schema: public; Owner: postgres
--

ALTER TABLE ws_ttemp_spares ALTER COLUMN nsuk SET DEFAULT nextval('ws_ttemp_spares_nsuk_seq'::regclass);


--
-- TOC entry 3761 (class 2606 OID 80282)
-- Dependencies: 2258 2258
-- Name: adj_open_ctl_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY adj_open_ctl
    ADD CONSTRAINT adj_open_ctl_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3759 (class 2606 OID 80284)
-- Dependencies: 2257 2257 2257 2257 2257
-- Name: agix1; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY account_groups
    ADD CONSTRAINT agix1 PRIMARY KEY (master_depot, master_cust, slave_depot, slave_cust);


--
-- TOC entry 3766 (class 2606 OID 80286)
-- Dependencies: 2266 2266
-- Name: asset_reg_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY asset_reg
    ADD CONSTRAINT asset_reg_pkey PRIMARY KEY (cod);


--
-- TOC entry 3768 (class 2606 OID 80288)
-- Dependencies: 2295 2295 2295
-- Name: bank_accounts_idx; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY bank_accounts
    ADD CONSTRAINT bank_accounts_idx PRIMARY KEY (currency_id, cod);


--
-- TOC entry 3741 (class 2606 OID 80290)
-- Dependencies: 2253 2253
-- Name: barcode_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY barcode
    ADD CONSTRAINT barcode_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3771 (class 2606 OID 80292)
-- Dependencies: 2297 2297
-- Name: bin_location_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY bin_location
    ADD CONSTRAINT bin_location_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3775 (class 2606 OID 80294)
-- Dependencies: 2302 2302 2302
-- Name: calix2; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY calendar
    ADD CONSTRAINT calix2 PRIMARY KEY (nam, dat);


--
-- TOC entry 3778 (class 2606 OID 80296)
-- Dependencies: 2303 2303
-- Name: call_queue_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY call_queue
    ADD CONSTRAINT call_queue_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3780 (class 2606 OID 80298)
-- Dependencies: 2305 2305
-- Name: cash_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cash
    ADD CONSTRAINT cash_pkey PRIMARY KEY (ser);


--
-- TOC entry 3790 (class 2606 OID 80300)
-- Dependencies: 2311 2311
-- Name: category_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY category
    ADD CONSTRAINT category_pkey PRIMARY KEY (cod);


--
-- TOC entry 3792 (class 2606 OID 80302)
-- Dependencies: 2312 2312
-- Name: category_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY category_type
    ADD CONSTRAINT category_type_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3794 (class 2606 OID 80304)
-- Dependencies: 2314 2314
-- Name: cc_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cc_detail
    ADD CONSTRAINT cc_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3797 (class 2606 OID 80306)
-- Dependencies: 2316 2316
-- Name: cc_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cc_head
    ADD CONSTRAINT cc_head_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3800 (class 2606 OID 80308)
-- Dependencies: 2318 2318
-- Name: cc_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cc_status
    ADD CONSTRAINT cc_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3802 (class 2606 OID 80310)
-- Dependencies: 2319 2319
-- Name: ccentre_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ccentre
    ADD CONSTRAINT ccentre_pkey PRIMARY KEY (cod);


--
-- TOC entry 3805 (class 2606 OID 80312)
-- Dependencies: 2321 2321
-- Name: charge_lines_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY charge_lines
    ADD CONSTRAINT charge_lines_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3813 (class 2606 OID 80314)
-- Dependencies: 2326 2326 2326 2326
-- Name: chdetailext_idx; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY chdetailext
    ADD CONSTRAINT chdetailext_idx PRIMARY KEY (lin, contract, location);


--
-- TOC entry 3807 (class 2606 OID 80316)
-- Dependencies: 2325 2325 2325 2325
-- Name: chdetx1; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY chdetail
    ADD CONSTRAINT chdetx1 PRIMARY KEY (location, contract, lin);


--
-- TOC entry 3815 (class 2606 OID 80318)
-- Dependencies: 2327 2327 2327
-- Name: chead_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY chead
    ADD CONSTRAINT chead_pkey PRIMARY KEY (location, contract);


--
-- TOC entry 3822 (class 2606 OID 80320)
-- Dependencies: 2328 2328
-- Name: cheque_hist_det_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cheque_hist_det
    ADD CONSTRAINT cheque_hist_det_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3824 (class 2606 OID 80322)
-- Dependencies: 2330 2330
-- Name: cheque_history_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cheque_history
    ADD CONSTRAINT cheque_history_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3826 (class 2606 OID 80324)
-- Dependencies: 2332 2332
-- Name: cheque_print_ctl_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cheque_print_ctl
    ADD CONSTRAINT cheque_print_ctl_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3828 (class 2606 OID 80326)
-- Dependencies: 2337 2337
-- Name: cn_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cn_detail
    ADD CONSTRAINT cn_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3830 (class 2606 OID 80328)
-- Dependencies: 2339 2339
-- Name: cn_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cn_head
    ADD CONSTRAINT cn_head_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3833 (class 2606 OID 80330)
-- Dependencies: 2341 2341
-- Name: cn_pid_xref_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cn_pid_xref
    ADD CONSTRAINT cn_pid_xref_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3835 (class 2606 OID 80332)
-- Dependencies: 2343 2343
-- Name: cod_allocation_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cod_allocation
    ADD CONSTRAINT cod_allocation_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3839 (class 2606 OID 80334)
-- Dependencies: 2345 2345 2345 2345
-- Name: codetail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY codetail
    ADD CONSTRAINT codetail_pkey PRIMARY KEY (location, contract, lin);


--
-- TOC entry 3842 (class 2606 OID 80336)
-- Dependencies: 2348 2348
-- Name: con_notes_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY con_notes
    ADD CONSTRAINT con_notes_pkey PRIMARY KEY (contract);


--
-- TOC entry 3844 (class 2606 OID 80338)
-- Dependencies: 2349 2349
-- Name: contact_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY contact
    ADD CONSTRAINT contact_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3848 (class 2606 OID 80340)
-- Dependencies: 2351 2351
-- Name: contact_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY contact_type
    ADD CONSTRAINT contact_type_pkey PRIMARY KEY (cod);


--
-- TOC entry 3850 (class 2606 OID 80342)
-- Dependencies: 2355 2355
-- Name: conv_customer_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY conv_customer
    ADD CONSTRAINT conv_customer_pkey PRIMARY KEY (old_code);


--
-- TOC entry 3852 (class 2606 OID 80344)
-- Dependencies: 2357 2357
-- Name: cost_price_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cost_price
    ADD CONSTRAINT cost_price_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3856 (class 2606 OID 80346)
-- Dependencies: 2361 2361
-- Name: cr_typ_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cr_typ
    ADD CONSTRAINT cr_typ_pkey PRIMARY KEY (typ);


--
-- TOC entry 4688 (class 2606 OID 445957)
-- Dependencies: 3082 3082
-- Name: crnote_reason_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY crnote_reason
    ADD CONSTRAINT crnote_reason_pkey PRIMARY KEY (id);


--
-- TOC entry 3865 (class 2606 OID 80348)
-- Dependencies: 2366 2366
-- Name: currency_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY currency
    ADD CONSTRAINT currency_pkey PRIMARY KEY (cod);


--
-- TOC entry 3868 (class 2606 OID 80350)
-- Dependencies: 2367 2367
-- Name: currency_rates_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY currency_rates
    ADD CONSTRAINT currency_rates_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3873 (class 2606 OID 80352)
-- Dependencies: 2372 2372
-- Name: cust_discstruct_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cust_discstruct
    ADD CONSTRAINT cust_discstruct_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3875 (class 2606 OID 80354)
-- Dependencies: 2374 2374 2374
-- Name: cust_ext_idx; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cust_ext
    ADD CONSTRAINT cust_ext_idx PRIMARY KEY (cod, depot);


--
-- TOC entry 3881 (class 2606 OID 80356)
-- Dependencies: 2377 2377
-- Name: cust_pricelist_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cust_pricelist
    ADD CONSTRAINT cust_pricelist_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3885 (class 2606 OID 80358)
-- Dependencies: 2380 2380
-- Name: cust_status_hist_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cust_status_hist
    ADD CONSTRAINT cust_status_hist_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3883 (class 2606 OID 80360)
-- Dependencies: 2379 2379
-- Name: cust_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cust_status
    ADD CONSTRAINT cust_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3891 (class 2606 OID 80362)
-- Dependencies: 2386 2386 2386 2386
-- Name: custlist_idx; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY custlist
    ADD CONSTRAINT custlist_idx PRIMARY KEY (cust, depot, list_name);


--
-- TOC entry 3893 (class 2606 OID 80364)
-- Dependencies: 2387 2387
-- Name: customer_class_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY customer_class
    ADD CONSTRAINT customer_class_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3895 (class 2606 OID 80366)
-- Dependencies: 2390 2390 2390 2390
-- Name: custsite_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY custsite
    ADD CONSTRAINT custsite_pkey PRIMARY KEY (depot, cust, site);


--
-- TOC entry 3898 (class 2606 OID 80368)
-- Dependencies: 2392 2392
-- Name: d_msales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY d_msales
    ADD CONSTRAINT d_msales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3902 (class 2606 OID 80370)
-- Dependencies: 2394 2394
-- Name: d_wsales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY d_wsales
    ADD CONSTRAINT d_wsales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3951 (class 2606 OID 80372)
-- Dependencies: 2441 2441
-- Name: date; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY first_of_month
    ADD CONSTRAINT date PRIMARY KEY (date);


--
-- TOC entry 3912 (class 2606 OID 80374)
-- Dependencies: 2399 2399
-- Name: dcsmaillog_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY dcsmaillog
    ADD CONSTRAINT dcsmaillog_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3914 (class 2606 OID 80376)
-- Dependencies: 2402 2402
-- Name: ddc_xref_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ddc_xref
    ADD CONSTRAINT ddc_xref_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3916 (class 2606 OID 80378)
-- Dependencies: 2404 2404
-- Name: ddoc_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ddoc_detail
    ADD CONSTRAINT ddoc_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3918 (class 2606 OID 80380)
-- Dependencies: 2406 2406
-- Name: ddoc_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ddoc_head
    ADD CONSTRAINT ddoc_head_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3920 (class 2606 OID 80382)
-- Dependencies: 2408 2408
-- Name: ddso_xref_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ddso_xref
    ADD CONSTRAINT ddso_xref_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3922 (class 2606 OID 80384)
-- Dependencies: 2410 2410
-- Name: default_profile_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY default_profile
    ADD CONSTRAINT default_profile_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3787 (class 2606 OID 80386)
-- Dependencies: 2307 2307
-- Name: depot_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY depot
    ADD CONSTRAINT depot_pkey PRIMARY KEY (cod);


--
-- TOC entry 3927 (class 2606 OID 80388)
-- Dependencies: 2413 2413
-- Name: dept_group_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY dept_group
    ADD CONSTRAINT dept_group_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3924 (class 2606 OID 80390)
-- Dependencies: 2412 2412
-- Name: dept_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY dept
    ADD CONSTRAINT dept_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3930 (class 2606 OID 80392)
-- Dependencies: 2416 2416
-- Name: disc_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY disc_detail
    ADD CONSTRAINT disc_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3932 (class 2606 OID 80394)
-- Dependencies: 2418 2418
-- Name: disc_struct_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY disc_struct
    ADD CONSTRAINT disc_struct_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3935 (class 2606 OID 80396)
-- Dependencies: 2421 2421
-- Name: disposals_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY disposals
    ADD CONSTRAINT disposals_pkey PRIMARY KEY (ser);


--
-- TOC entry 3939 (class 2606 OID 80398)
-- Dependencies: 2423 2423
-- Name: disptypes_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY disptypes
    ADD CONSTRAINT disptypes_pkey PRIMARY KEY (cod);


--
-- TOC entry 3941 (class 2606 OID 80400)
-- Dependencies: 2424 2424
-- Name: dispxref_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY dispxref
    ADD CONSTRAINT dispxref_pkey PRIMARY KEY (ser);


--
-- TOC entry 3944 (class 2606 OID 80402)
-- Dependencies: 2428 2428
-- Name: driver_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY driver
    ADD CONSTRAINT driver_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3946 (class 2606 OID 80404)
-- Dependencies: 2437 2437
-- Name: excel_period_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY excel_period
    ADD CONSTRAINT excel_period_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3949 (class 2606 OID 80406)
-- Dependencies: 2440 2440
-- Name: exclusion_remit_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY exclusion_remit
    ADD CONSTRAINT exclusion_remit_pkey PRIMARY KEY (ser);


--
-- TOC entry 3953 (class 2606 OID 80408)
-- Dependencies: 2442 2442
-- Name: freeze_gid_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY freeze_gid
    ADD CONSTRAINT freeze_gid_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3958 (class 2606 OID 80410)
-- Dependencies: 2446 2446
-- Name: g_ihead_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY g_ihead
    ADD CONSTRAINT g_ihead_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3963 (class 2606 OID 80412)
-- Dependencies: 2448 2448
-- Name: g_msales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY g_msales
    ADD CONSTRAINT g_msales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3967 (class 2606 OID 80414)
-- Dependencies: 2450 2450
-- Name: g_wsales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY g_wsales
    ADD CONSTRAINT g_wsales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3971 (class 2606 OID 80416)
-- Dependencies: 2452 2452
-- Name: g_ysales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY g_ysales
    ADD CONSTRAINT g_ysales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3976 (class 2606 OID 80418)
-- Dependencies: 2454 2454
-- Name: gang_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY gang
    ADD CONSTRAINT gang_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3978 (class 2606 OID 80420)
-- Dependencies: 2458 2458
-- Name: gen_plist_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY gen_plist_head
    ADD CONSTRAINT gen_plist_head_pkey PRIMARY KEY (id);


--
-- TOC entry 3983 (class 2606 OID 80422)
-- Dependencies: 2462 2462
-- Name: gi_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY gi_head
    ADD CONSTRAINT gi_head_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3994 (class 2606 OID 80424)
-- Dependencies: 2473 2473
-- Name: hire_dept_group_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY hire_dept_group
    ADD CONSTRAINT hire_dept_group_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3991 (class 2606 OID 80426)
-- Dependencies: 2472 2472
-- Name: hire_dept_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY hire_dept
    ADD CONSTRAINT hire_dept_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3997 (class 2606 OID 80428)
-- Dependencies: 2477 2477
-- Name: hm_rental_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY hm_rental
    ADD CONSTRAINT hm_rental_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4003 (class 2606 OID 80430)
-- Dependencies: 2481 2481 2481 2481
-- Name: hmhix1; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY hmhead
    ADD CONSTRAINT hmhix1 PRIMARY KEY (location, doc_type, doc_number);


--
-- TOC entry 4010 (class 2606 OID 80432)
-- Dependencies: 2483 2483
-- Name: hrates_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY hrates
    ADD CONSTRAINT hrates_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4012 (class 2606 OID 80434)
-- Dependencies: 2485 2485
-- Name: iddetail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY iddetail
    ADD CONSTRAINT iddetail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4015 (class 2606 OID 80436)
-- Dependencies: 2487 2487
-- Name: ihdetail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ihdetail
    ADD CONSTRAINT ihdetail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4022 (class 2606 OID 80438)
-- Dependencies: 2489 2489 2489 2489 2489
-- Name: ihead_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ihead
    ADD CONSTRAINT ihead_pkey PRIMARY KEY (doc_type, location, ref, cust);


--
-- TOC entry 4032 (class 2606 OID 80440)
-- Dependencies: 2493 2493
-- Name: imaging_barcode_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY imaging_barcode
    ADD CONSTRAINT imaging_barcode_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4034 (class 2606 OID 80442)
-- Dependencies: 2493 2493
-- Name: imaging_barcode_reference_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY imaging_barcode
    ADD CONSTRAINT imaging_barcode_reference_key UNIQUE (reference);


--
-- TOC entry 4039 (class 2606 OID 80444)
-- Dependencies: 2497 2497
-- Name: inv_details_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY inv_details
    ADD CONSTRAINT inv_details_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4041 (class 2606 OID 80446)
-- Dependencies: 2505 2505
-- Name: iod_allocation_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY iod_allocation
    ADD CONSTRAINT iod_allocation_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4043 (class 2606 OID 80448)
-- Dependencies: 2507 2507
-- Name: iodetail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY iodetail
    ADD CONSTRAINT iodetail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4054 (class 2606 OID 80450)
-- Dependencies: 2512 2512
-- Name: ioh_disp_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ioh_disp
    ADD CONSTRAINT ioh_disp_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4058 (class 2606 OID 80452)
-- Dependencies: 2514 2514
-- Name: ioh_hire_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ioh_hire
    ADD CONSTRAINT ioh_hire_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4062 (class 2606 OID 80454)
-- Dependencies: 2516 2516
-- Name: ioh_sale_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ioh_sale
    ADD CONSTRAINT ioh_sale_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4241 (class 2606 OID 80456)
-- Dependencies: 2653 2653
-- Name: ix754_1; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pledgerext
    ADD CONSTRAINT ix754_1 PRIMARY KEY (pledger_ser);


--
-- TOC entry 4066 (class 2606 OID 80458)
-- Dependencies: 2524 2524
-- Name: journals_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY journals
    ADD CONSTRAINT journals_pkey PRIMARY KEY (ser);


--
-- TOC entry 4068 (class 2606 OID 80460)
-- Dependencies: 2526 2526
-- Name: jw_message_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY jw_message
    ADD CONSTRAINT jw_message_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4070 (class 2606 OID 80462)
-- Dependencies: 2528 2528
-- Name: licence_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY licence
    ADD CONSTRAINT licence_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4072 (class 2606 OID 80464)
-- Dependencies: 2530 2530
-- Name: line_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY line_status
    ADD CONSTRAINT line_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4074 (class 2606 OID 80466)
-- Dependencies: 2532 2532
-- Name: line_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY line_type
    ADD CONSTRAINT line_type_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4081 (class 2606 OID 80468)
-- Dependencies: 2537 2537
-- Name: lock_log_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY lock_log
    ADD CONSTRAINT lock_log_pkey PRIMARY KEY (id);


--
-- TOC entry 4683 (class 2606 OID 445894)
-- Dependencies: 3068 3068
-- Name: lockrows_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY lockrows
    ADD CONSTRAINT lockrows_pkey PRIMARY KEY (key);


--
-- TOC entry 4084 (class 2606 OID 80470)
-- Dependencies: 2539 2539
-- Name: lodgement_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY lodgement
    ADD CONSTRAINT lodgement_pkey PRIMARY KEY (cod);


--
-- TOC entry 4086 (class 2606 OID 80472)
-- Dependencies: 2543 2543
-- Name: master_category_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY master_category
    ADD CONSTRAINT master_category_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4090 (class 2606 OID 80474)
-- Dependencies: 2551 2551
-- Name: mirror_key_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mirror_key
    ADD CONSTRAINT mirror_key_pkey PRIMARY KEY (id);


--
-- TOC entry 4092 (class 2606 OID 80476)
-- Dependencies: 2553 2553
-- Name: mirror_message_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mirror_message
    ADD CONSTRAINT mirror_message_pkey PRIMARY KEY (id);


--
-- TOC entry 4088 (class 2606 OID 80478)
-- Dependencies: 2549 2549
-- Name: mirror_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mirror
    ADD CONSTRAINT mirror_pkey PRIMARY KEY (id);


--
-- TOC entry 4094 (class 2606 OID 80480)
-- Dependencies: 2555 2555
-- Name: module_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY module
    ADD CONSTRAINT module_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4096 (class 2606 OID 80482)
-- Dependencies: 2557 2557
-- Name: movement_typ_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY movement_typ
    ADD CONSTRAINT movement_typ_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4101 (class 2606 OID 80484)
-- Dependencies: 2560 2560 2560
-- Name: nlbatch_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY nlbatch
    ADD CONSTRAINT nlbatch_pkey PRIMARY KEY (source, seq);


--
-- TOC entry 4106 (class 2606 OID 80486)
-- Dependencies: 2563 2563
-- Name: nltrans_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY nltrans
    ADD CONSTRAINT nltrans_pkey PRIMARY KEY (trans_no);


--
-- TOC entry 4113 (class 2606 OID 80488)
-- Dependencies: 2567 2567
-- Name: nominal_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY nominal
    ADD CONSTRAINT nominal_pkey PRIMARY KEY (cod);


--
-- TOC entry 4122 (class 2606 OID 80490)
-- Dependencies: 2573 2573
-- Name: o_allocation_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY o_allocation
    ADD CONSTRAINT o_allocation_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4151 (class 2606 OID 80492)
-- Dependencies: 2600 2600
-- Name: part_name_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY part_name
    ADD CONSTRAINT part_name_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4174 (class 2606 OID 80494)
-- Dependencies: 2610 2610
-- Name: pc_iodetail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pc_iodetail
    ADD CONSTRAINT pc_iodetail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4178 (class 2606 OID 80496)
-- Dependencies: 2612 2612
-- Name: pccdetails_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pccdetails
    ADD CONSTRAINT pccdetails_pkey PRIMARY KEY (ser);


--
-- TOC entry 4181 (class 2606 OID 80498)
-- Dependencies: 2614 2614
-- Name: pciod_allocation_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pciod_allocation
    ADD CONSTRAINT pciod_allocation_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4185 (class 2606 OID 80500)
-- Dependencies: 2616 2616
-- Name: pcost_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pcost
    ADD CONSTRAINT pcost_pkey PRIMARY KEY (ser);


--
-- TOC entry 4192 (class 2606 OID 80502)
-- Dependencies: 2622 2622
-- Name: pdesc_ext_ix1; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pdesc_ext
    ADD CONSTRAINT pdesc_ext_ix1 PRIMARY KEY (pdesc);


--
-- TOC entry 4194 (class 2606 OID 80504)
-- Dependencies: 2624 2624
-- Name: pdesc_parts_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pdesc_parts
    ADD CONSTRAINT pdesc_parts_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4196 (class 2606 OID 80506)
-- Dependencies: 2626 2626
-- Name: pdetails_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pdetails
    ADD CONSTRAINT pdetails_pkey PRIMARY KEY (ser);


--
-- TOC entry 4204 (class 2606 OID 80508)
-- Dependencies: 2630 2630
-- Name: period_map_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY period_map
    ADD CONSTRAINT period_map_pkey PRIMARY KEY (period);


--
-- TOC entry 4206 (class 2606 OID 80510)
-- Dependencies: 2633 2633
-- Name: pgmfavorites_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pgmfavorites
    ADD CONSTRAINT pgmfavorites_pkey PRIMARY KEY (id);


--
-- TOC entry 4208 (class 2606 OID 80512)
-- Dependencies: 2634 2634
-- Name: pgmreports_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pgmreports
    ADD CONSTRAINT pgmreports_pkey PRIMARY KEY (id);


--
-- TOC entry 4210 (class 2606 OID 80514)
-- Dependencies: 2634 2634
-- Name: pgmreports_repname_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pgmreports
    ADD CONSTRAINT pgmreports_repname_key UNIQUE (repname);


--
-- TOC entry 4213 (class 2606 OID 80516)
-- Dependencies: 2636 2636
-- Name: phistory_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY phistory
    ADD CONSTRAINT phistory_pkey PRIMARY KEY (ser);


--
-- TOC entry 4220 (class 2606 OID 80518)
-- Dependencies: 2640 2640
-- Name: pi_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pi_head
    ADD CONSTRAINT pi_head_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4222 (class 2606 OID 80520)
-- Dependencies: 2642 2642
-- Name: pi_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pi_status
    ADD CONSTRAINT pi_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4224 (class 2606 OID 80522)
-- Dependencies: 2644 2644
-- Name: pid_reasons_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pid_reasons
    ADD CONSTRAINT pid_reasons_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 3784 (class 2606 OID 80524)
-- Dependencies: 2306 2306 2306
-- Name: pk_cust; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY cust
    ADD CONSTRAINT pk_cust PRIMARY KEY (depot, cod);


--
-- TOC entry 3981 (class 2606 OID 445938)
-- Dependencies: 2460 2460
-- Name: pk_gi_detail; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY gi_detail
    ADD CONSTRAINT pk_gi_detail PRIMARY KEY (nsuk);


--
-- TOC entry 4126 (class 2606 OID 80526)
-- Dependencies: 2579 2579
-- Name: pk_operator; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY operator
    ADD CONSTRAINT pk_operator PRIMARY KEY (cod);


--
-- TOC entry 4146 (class 2606 OID 80528)
-- Dependencies: 2596 2596
-- Name: pk_pallocex; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pallocex
    ADD CONSTRAINT pk_pallocex PRIMARY KEY (nsuk);


--
-- TOC entry 4149 (class 2606 OID 80530)
-- Dependencies: 2598 2598
-- Name: pk_pallocper; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pallocper
    ADD CONSTRAINT pk_pallocper PRIMARY KEY (allocation);


--
-- TOC entry 4269 (class 2606 OID 80532)
-- Dependencies: 2670 2670
-- Name: pk_pricelist; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pricelist
    ADD CONSTRAINT pk_pricelist PRIMARY KEY (nsuk);


--
-- TOC entry 4274 (class 2606 OID 80534)
-- Dependencies: 2674 2674
-- Name: pk_pricelist_types; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pricelist_types
    ADD CONSTRAINT pk_pricelist_types PRIMARY KEY (type);


--
-- TOC entry 4582 (class 2606 OID 80536)
-- Dependencies: 2968 2968 2968
-- Name: pk_worker_role_map; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY worker_role_map
    ADD CONSTRAINT pk_worker_role_map PRIMARY KEY (role_id, worker_id);


--
-- TOC entry 4227 (class 2606 OID 80538)
-- Dependencies: 2647 2647
-- Name: plant_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY plant_status
    ADD CONSTRAINT plant_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4239 (class 2606 OID 80540)
-- Dependencies: 2650 2650
-- Name: pledger_nltrans_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pledger_nltrans
    ADD CONSTRAINT pledger_nltrans_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4234 (class 2606 OID 80542)
-- Dependencies: 2649 2649
-- Name: pledger_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pledger
    ADD CONSTRAINT pledger_pkey PRIMARY KEY (ser);


--
-- TOC entry 4243 (class 2606 OID 80544)
-- Dependencies: 2654 2654
-- Name: plnlxref_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY plnlxref
    ADD CONSTRAINT plnlxref_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4251 (class 2606 OID 80546)
-- Dependencies: 2658 2658
-- Name: pmsg_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pmsg
    ADD CONSTRAINT pmsg_pkey PRIMARY KEY (msg_typ);


--
-- TOC entry 4254 (class 2606 OID 80548)
-- Dependencies: 2660 2660
-- Name: po_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY po_detail
    ADD CONSTRAINT po_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4256 (class 2606 OID 80550)
-- Dependencies: 2662 2662
-- Name: po_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY po_head
    ADD CONSTRAINT po_head_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4259 (class 2606 OID 80552)
-- Dependencies: 2664 2664
-- Name: po_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY po_status
    ADD CONSTRAINT po_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4263 (class 2606 OID 80554)
-- Dependencies: 2666 2666
-- Name: policy_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY policy
    ADD CONSTRAINT policy_pkey PRIMARY KEY (nam);


--
-- TOC entry 4265 (class 2606 OID 80556)
-- Dependencies: 2668 2668
-- Name: price_det_hist_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY price_det_hist
    ADD CONSTRAINT price_det_hist_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4272 (class 2606 OID 80558)
-- Dependencies: 2671 2671
-- Name: pricelist_det_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pricelist_det
    ADD CONSTRAINT pricelist_det_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4276 (class 2606 OID 80560)
-- Dependencies: 2676 2676
-- Name: printer_trigger_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY printer_trigger
    ADD CONSTRAINT printer_trigger_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4278 (class 2606 OID 80562)
-- Dependencies: 2678 2678
-- Name: process_lastrun_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY process_lastrun
    ADD CONSTRAINT process_lastrun_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4280 (class 2606 OID 80564)
-- Dependencies: 2680 2680
-- Name: process_run_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY process_run
    ADD CONSTRAINT process_run_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4286 (class 2606 OID 80566)
-- Dependencies: 2682 2682
-- Name: product_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY product
    ADD CONSTRAINT product_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4291 (class 2606 OID 80568)
-- Dependencies: 2685 2685
-- Name: product_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY product_type
    ADD CONSTRAINT product_type_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4297 (class 2606 OID 80570)
-- Dependencies: 2688 2688
-- Name: profile_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY profile_detail
    ADD CONSTRAINT profile_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4295 (class 2606 OID 80572)
-- Dependencies: 2687 2687
-- Name: profile_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY profile
    ADD CONSTRAINT profile_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4299 (class 2606 OID 80574)
-- Dependencies: 2691 2691
-- Name: project_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY project
    ADD CONSTRAINT project_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4301 (class 2606 OID 80576)
-- Dependencies: 2693 2693
-- Name: prynter_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY prynter
    ADD CONSTRAINT prynter_pkey PRIMARY KEY (cod);


--
-- TOC entry 4309 (class 2606 OID 80578)
-- Dependencies: 2697 2697
-- Name: pt_bin_loc_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_bin_loc
    ADD CONSTRAINT pt_bin_loc_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4312 (class 2606 OID 80580)
-- Dependencies: 2700 2700
-- Name: pt_msales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_msales
    ADD CONSTRAINT pt_msales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4318 (class 2606 OID 80582)
-- Dependencies: 2702 2702
-- Name: pt_option_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_option
    ADD CONSTRAINT pt_option_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4320 (class 2606 OID 80584)
-- Dependencies: 2704 2704
-- Name: pt_part_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_part
    ADD CONSTRAINT pt_part_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4322 (class 2606 OID 80586)
-- Dependencies: 2706 2706
-- Name: pt_pdesc_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_pdesc
    ADD CONSTRAINT pt_pdesc_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4326 (class 2606 OID 80588)
-- Dependencies: 2709 2709
-- Name: pt_serial_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_serial
    ADD CONSTRAINT pt_serial_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4331 (class 2606 OID 80590)
-- Dependencies: 2711 2711
-- Name: pt_supplier_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_supplier
    ADD CONSTRAINT pt_supplier_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4333 (class 2606 OID 80592)
-- Dependencies: 2713 2713
-- Name: pt_wsales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_wsales
    ADD CONSTRAINT pt_wsales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4339 (class 2606 OID 80594)
-- Dependencies: 2715 2715
-- Name: pt_ysales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY pt_ysales
    ADD CONSTRAINT pt_ysales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4345 (class 2606 OID 80596)
-- Dependencies: 2717 2717
-- Name: ptrans_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ptrans
    ADD CONSTRAINT ptrans_pkey PRIMARY KEY (cod);


--
-- TOC entry 4350 (class 2606 OID 80598)
-- Dependencies: 2730 2730
-- Name: q_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY q_status
    ADD CONSTRAINT q_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4356 (class 2606 OID 80600)
-- Dependencies: 2738 2738
-- Name: quote_number_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY quote_number
    ADD CONSTRAINT quote_number_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4354 (class 2606 OID 80602)
-- Dependencies: 2736 2736
-- Name: quote_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY quote
    ADD CONSTRAINT quote_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4364 (class 2606 OID 80604)
-- Dependencies: 2748 2748
-- Name: recurring_jrnl_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY recurring_jrnl
    ADD CONSTRAINT recurring_jrnl_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4369 (class 2606 OID 80606)
-- Dependencies: 2755 2755
-- Name: report_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY report
    ADD CONSTRAINT report_pkey PRIMARY KEY (abbrev);


--
-- TOC entry 4371 (class 2606 OID 80608)
-- Dependencies: 2757 2757
-- Name: reserved_ac_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY reserved_ac
    ADD CONSTRAINT reserved_ac_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4373 (class 2606 OID 80610)
-- Dependencies: 2761 2761
-- Name: return_reason_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY return_reason
    ADD CONSTRAINT return_reason_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4375 (class 2606 OID 80612)
-- Dependencies: 2763 2763
-- Name: rj_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY rj_detail
    ADD CONSTRAINT rj_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4377 (class 2606 OID 80614)
-- Dependencies: 2765 2765
-- Name: rpt_dist_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY rpt_dist_detail
    ADD CONSTRAINT rpt_dist_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4379 (class 2606 OID 80616)
-- Dependencies: 2767 2767
-- Name: rpt_distribution_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY rpt_distribution
    ADD CONSTRAINT rpt_distribution_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4381 (class 2606 OID 80618)
-- Dependencies: 2769 2769
-- Name: s_msales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY s_msales
    ADD CONSTRAINT s_msales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4386 (class 2606 OID 80620)
-- Dependencies: 2771 2771
-- Name: s_wsales_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY s_wsales
    ADD CONSTRAINT s_wsales_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4394 (class 2606 OID 80622)
-- Dependencies: 2777 2777
-- Name: salecr_stk_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY salecr_stk_status
    ADD CONSTRAINT salecr_stk_status_pkey PRIMARY KEY (ihead_id);


--
-- TOC entry 4396 (class 2606 OID 80624)
-- Dependencies: 2778 2778
-- Name: sales_invoice_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sales_invoice
    ADD CONSTRAINT sales_invoice_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4406 (class 2606 OID 80626)
-- Dependencies: 2784 2784
-- Name: scaff_docket_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scaff_docket
    ADD CONSTRAINT scaff_docket_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4408 (class 2606 OID 80628)
-- Dependencies: 2786 2786
-- Name: scaff_gang_map_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scaff_gang_map
    ADD CONSTRAINT scaff_gang_map_pkey PRIMARY KEY (gang_id);


--
-- TOC entry 4410 (class 2606 OID 80630)
-- Dependencies: 2787 2787
-- Name: scaff_time_rec_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scaff_time_rec
    ADD CONSTRAINT scaff_time_rec_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4412 (class 2606 OID 80632)
-- Dependencies: 2789 2789
-- Name: scaffolding_job_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scaffolding_job
    ADD CONSTRAINT scaffolding_job_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4414 (class 2606 OID 80634)
-- Dependencies: 2791 2791
-- Name: scaffolding_jt_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scaffolding_jt
    ADD CONSTRAINT scaffolding_jt_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4416 (class 2606 OID 80636)
-- Dependencies: 2793 2793
-- Name: scanned_docket_type_description_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scanned_docket_type
    ADD CONSTRAINT scanned_docket_type_description_key UNIQUE (description);


--
-- TOC entry 4418 (class 2606 OID 80638)
-- Dependencies: 2793 2793
-- Name: scanned_docket_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scanned_docket_type
    ADD CONSTRAINT scanned_docket_type_pkey PRIMARY KEY (code);


--
-- TOC entry 4420 (class 2606 OID 80640)
-- Dependencies: 2794 2794
-- Name: scheduled_list_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scheduled_list
    ADD CONSTRAINT scheduled_list_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4423 (class 2606 OID 80642)
-- Dependencies: 2796 2796
-- Name: scontact_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY scontact
    ADD CONSTRAINT scontact_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4425 (class 2606 OID 80644)
-- Dependencies: 2798 2798
-- Name: sd_line_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sd_line
    ADD CONSTRAINT sd_line_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4427 (class 2606 OID 80646)
-- Dependencies: 2800 2800
-- Name: sd_line_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sd_line_status
    ADD CONSTRAINT sd_line_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4429 (class 2606 OID 80648)
-- Dependencies: 2800 2800
-- Name: sd_line_status_status_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sd_line_status
    ADD CONSTRAINT sd_line_status_status_key UNIQUE (status);


--
-- TOC entry 4431 (class 2606 OID 80650)
-- Dependencies: 2802 2802
-- Name: sd_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sd_status
    ADD CONSTRAINT sd_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4433 (class 2606 OID 80652)
-- Dependencies: 2804 2804
-- Name: sd_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sd_type
    ADD CONSTRAINT sd_type_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4435 (class 2606 OID 80654)
-- Dependencies: 2806 2806
-- Name: sell_price_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sell_price
    ADD CONSTRAINT sell_price_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4681 (class 2606 OID 445890)
-- Dependencies: 3067 3067
-- Name: sessionlock_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sessionlock
    ADD CONSTRAINT sessionlock_pkey PRIMARY KEY (id);


--
-- TOC entry 4439 (class 2606 OID 80656)
-- Dependencies: 2814 2814
-- Name: signs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY signs
    ADD CONSTRAINT signs_pkey PRIMARY KEY (doc_type);


--
-- TOC entry 4449 (class 2606 OID 80658)
-- Dependencies: 2818 2818 2818 2818
-- Name: sing_ext_ix2; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY singles_ext
    ADD CONSTRAINT sing_ext_ix2 PRIMARY KEY (asset_reg, pdesc, cod);


--
-- TOC entry 4441 (class 2606 OID 80660)
-- Dependencies: 2815 2815
-- Name: single_item_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY single_item_status
    ADD CONSTRAINT single_item_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4447 (class 2606 OID 80662)
-- Dependencies: 2817 2817 2817 2817
-- Name: singx; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY singles
    ADD CONSTRAINT singx PRIMARY KEY (asset_reg, pdesc, cod);


--
-- TOC entry 4686 (class 2606 OID 445950)
-- Dependencies: 3080 3080
-- Name: sledger_cr_map_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sledger_cr_map
    ADD CONSTRAINT sledger_cr_map_pkey PRIMARY KEY (id);


--
-- TOC entry 3756 (class 2606 OID 80664)
-- Dependencies: 2254 2254
-- Name: sledger_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sledger
    ADD CONSTRAINT sledger_pkey PRIMARY KEY (ser);


--
-- TOC entry 4456 (class 2606 OID 80666)
-- Dependencies: 2823 2823
-- Name: sledger_query_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sledger_query
    ADD CONSTRAINT sledger_query_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4464 (class 2606 OID 80668)
-- Dependencies: 2836 2836
-- Name: so_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY so_detail
    ADD CONSTRAINT so_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4466 (class 2606 OID 80670)
-- Dependencies: 2838 2838
-- Name: so_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY so_head
    ADD CONSTRAINT so_head_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4469 (class 2606 OID 80672)
-- Dependencies: 2842 2842
-- Name: source_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY source
    ADD CONSTRAINT source_pkey PRIMARY KEY (cod);


--
-- TOC entry 4478 (class 2606 OID 80674)
-- Dependencies: 2850 2850
-- Name: stk_freeze_dtl_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stk_freeze_dtl
    ADD CONSTRAINT stk_freeze_dtl_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4480 (class 2606 OID 80676)
-- Dependencies: 2852 2852
-- Name: stk_freeze_hdr_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stk_freeze_hdr
    ADD CONSTRAINT stk_freeze_hdr_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4482 (class 2606 OID 80678)
-- Dependencies: 2854 2854
-- Name: stk_header_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stk_header
    ADD CONSTRAINT stk_header_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4484 (class 2606 OID 80680)
-- Dependencies: 2856 2856
-- Name: stk_take_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stk_take
    ADD CONSTRAINT stk_take_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4486 (class 2606 OID 80682)
-- Dependencies: 2858 2858
-- Name: stk_take_wrk_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stk_take_wrk
    ADD CONSTRAINT stk_take_wrk_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4491 (class 2606 OID 80684)
-- Dependencies: 2862 2862
-- Name: stock_freeze_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stock_freeze
    ADD CONSTRAINT stock_freeze_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4493 (class 2606 OID 80686)
-- Dependencies: 2864 2864
-- Name: stock_location_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stock_location
    ADD CONSTRAINT stock_location_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4496 (class 2606 OID 80688)
-- Dependencies: 2866 2866
-- Name: stock_movement_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stock_movement
    ADD CONSTRAINT stock_movement_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4488 (class 2606 OID 80690)
-- Dependencies: 2860 2860
-- Name: stock_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stock
    ADD CONSTRAINT stock_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4499 (class 2606 OID 80692)
-- Dependencies: 2870 2870
-- Name: stocktyp_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY stocktyp
    ADD CONSTRAINT stocktyp_pkey PRIMARY KEY (type);


--
-- TOC entry 4501 (class 2606 OID 80694)
-- Dependencies: 2871 2871
-- Name: sub_category_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sub_category
    ADD CONSTRAINT sub_category_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4512 (class 2606 OID 80696)
-- Dependencies: 2881 2881
-- Name: supplier_ext_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY supplier_ext
    ADD CONSTRAINT supplier_ext_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4508 (class 2606 OID 80698)
-- Dependencies: 2879 2879
-- Name: supplier_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY supplier
    ADD CONSTRAINT supplier_pkey PRIMARY KEY (cod);


--
-- TOC entry 4518 (class 2606 OID 80700)
-- Dependencies: 2888 2888
-- Name: support_detail_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY support_detail
    ADD CONSTRAINT support_detail_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4516 (class 2606 OID 80702)
-- Dependencies: 2887 2887
-- Name: support_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY support
    ADD CONSTRAINT support_pkey PRIMARY KEY (ser);


--
-- TOC entry 4520 (class 2606 OID 80704)
-- Dependencies: 2891 2891
-- Name: suspend_reasons_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY suspend_reasons
    ADD CONSTRAINT suspend_reasons_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4522 (class 2606 OID 80706)
-- Dependencies: 2893 2893
-- Name: sys_config_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY sys_config
    ADD CONSTRAINT sys_config_pkey PRIMARY KEY (num);


--
-- TOC entry 4524 (class 2606 OID 80708)
-- Dependencies: 2894 2894
-- Name: syslog_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY syslog
    ADD CONSTRAINT syslog_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4528 (class 2606 OID 80710)
-- Dependencies: 2899 2899
-- Name: t_shadow_nltrans_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY t_shadow_nltrans
    ADD CONSTRAINT t_shadow_nltrans_pkey PRIMARY KEY (trans_no);


--
-- TOC entry 4535 (class 2606 OID 80712)
-- Dependencies: 2902 2902
-- Name: team_member_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY team_member
    ADD CONSTRAINT team_member_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4538 (class 2606 OID 80714)
-- Dependencies: 2904 2904
-- Name: team_menu_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY team_menu
    ADD CONSTRAINT team_menu_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4540 (class 2606 OID 80716)
-- Dependencies: 2906 2906
-- Name: team_module_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY team_module
    ADD CONSTRAINT team_module_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4531 (class 2606 OID 80718)
-- Dependencies: 2901 2901
-- Name: team_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY team
    ADD CONSTRAINT team_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4542 (class 2606 OID 80720)
-- Dependencies: 2910 2910
-- Name: tender_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY tender
    ADD CONSTRAINT tender_pkey PRIMARY KEY (cod);


--
-- TOC entry 4545 (class 2606 OID 80722)
-- Dependencies: 2911 2911
-- Name: time_rec_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY time_rec_status
    ADD CONSTRAINT time_rec_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4548 (class 2606 OID 80724)
-- Dependencies: 2916 2916
-- Name: trans_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY trans
    ADD CONSTRAINT trans_pkey PRIMARY KEY (cod);


--
-- TOC entry 4562 (class 2606 OID 80726)
-- Dependencies: 2928 2928
-- Name: unmatched_history_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY unmatched_history
    ADD CONSTRAINT unmatched_history_pkey PRIMARY KEY (ser);


--
-- TOC entry 4555 (class 2606 OID 80728)
-- Dependencies: 2927 2927
-- Name: unmatched_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY unmatched
    ADD CONSTRAINT unmatched_pkey PRIMARY KEY (ser);


--
-- TOC entry 4564 (class 2606 OID 80730)
-- Dependencies: 2931 2931
-- Name: unpassed_reason_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY unpassed_reason
    ADD CONSTRAINT unpassed_reason_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4569 (class 2606 OID 80732)
-- Dependencies: 2934 2934
-- Name: useddocs_head_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY useddocs_head
    ADD CONSTRAINT useddocs_head_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4567 (class 2606 OID 80734)
-- Dependencies: 2933 2933
-- Name: useddocs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY useddocs
    ADD CONSTRAINT useddocs_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4571 (class 2606 OID 80736)
-- Dependencies: 2937 2937
-- Name: user_group_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY user_group
    ADD CONSTRAINT user_group_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4117 (class 2606 OID 80738)
-- Dependencies: 2568 2568 2568
-- Name: ux_note; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY note
    ADD CONSTRAINT ux_note PRIMARY KEY (seq, lin);


--
-- TOC entry 4573 (class 2606 OID 80740)
-- Dependencies: 2962 2962
-- Name: vat_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY vat
    ADD CONSTRAINT vat_pkey PRIMARY KEY (cod);


--
-- TOC entry 4576 (class 2606 OID 80742)
-- Dependencies: 2965 2965
-- Name: worker_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY worker
    ADD CONSTRAINT worker_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4578 (class 2606 OID 80744)
-- Dependencies: 2967 2967
-- Name: worker_role_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY worker_role
    ADD CONSTRAINT worker_role_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4580 (class 2606 OID 80746)
-- Dependencies: 2967 2967
-- Name: worker_role_role_key; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY worker_role
    ADD CONSTRAINT worker_role_role_key UNIQUE (role);


--
-- TOC entry 4584 (class 2606 OID 80748)
-- Dependencies: 2972 2972
-- Name: ws_actions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_actions
    ADD CONSTRAINT ws_actions_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4586 (class 2606 OID 80750)
-- Dependencies: 2974 2974
-- Name: ws_already_fired_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_already_fired
    ADD CONSTRAINT ws_already_fired_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4588 (class 2606 OID 80752)
-- Dependencies: 2976 2976
-- Name: ws_categ_trigger_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_categ_trigger
    ADD CONSTRAINT ws_categ_trigger_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4590 (class 2606 OID 80754)
-- Dependencies: 2978 2978
-- Name: ws_conditions_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_conditions
    ADD CONSTRAINT ws_conditions_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4592 (class 2606 OID 80756)
-- Dependencies: 2981 2981
-- Name: ws_cust_serial_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_cust_serial
    ADD CONSTRAINT ws_cust_serial_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4595 (class 2606 OID 80758)
-- Dependencies: 2985 2985
-- Name: ws_engineer_skills_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_engineer_skills
    ADD CONSTRAINT ws_engineer_skills_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4597 (class 2606 OID 80760)
-- Dependencies: 2987 2987
-- Name: ws_engineer_time_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_engineer_time
    ADD CONSTRAINT ws_engineer_time_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4600 (class 2606 OID 80762)
-- Dependencies: 2989 2989
-- Name: ws_equip_category_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_equip_category
    ADD CONSTRAINT ws_equip_category_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4602 (class 2606 OID 80764)
-- Dependencies: 2991 2991
-- Name: ws_equip_typ_meter_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_equip_typ_meter
    ADD CONSTRAINT ws_equip_typ_meter_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4606 (class 2606 OID 80766)
-- Dependencies: 2993 2993
-- Name: ws_equipment_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_equipment_type
    ADD CONSTRAINT ws_equipment_type_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4608 (class 2606 OID 80768)
-- Dependencies: 2995 2995
-- Name: ws_event_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_event
    ADD CONSTRAINT ws_event_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4610 (class 2606 OID 80770)
-- Dependencies: 2997 2997
-- Name: ws_events_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_events
    ADD CONSTRAINT ws_events_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4612 (class 2606 OID 80772)
-- Dependencies: 2999 2999
-- Name: ws_fromstat_tostat_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_fromstat_tostat
    ADD CONSTRAINT ws_fromstat_tostat_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4614 (class 2606 OID 80774)
-- Dependencies: 3001 3001
-- Name: ws_item_level_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_item_level
    ADD CONSTRAINT ws_item_level_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4616 (class 2606 OID 80776)
-- Dependencies: 3003 3003
-- Name: ws_item_trigger_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_item_trigger
    ADD CONSTRAINT ws_item_trigger_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4620 (class 2606 OID 80778)
-- Dependencies: 3007 3007
-- Name: ws_job_history_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_job_history
    ADD CONSTRAINT ws_job_history_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4622 (class 2606 OID 80780)
-- Dependencies: 3009 3009
-- Name: ws_job_item_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_job_item
    ADD CONSTRAINT ws_job_item_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4624 (class 2606 OID 80782)
-- Dependencies: 3012 3012
-- Name: ws_job_number_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_job_number
    ADD CONSTRAINT ws_job_number_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4618 (class 2606 OID 80784)
-- Dependencies: 3005 3005
-- Name: ws_job_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_job
    ADD CONSTRAINT ws_job_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4627 (class 2606 OID 80786)
-- Dependencies: 3015 3015
-- Name: ws_job_tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_job_tasks
    ADD CONSTRAINT ws_job_tasks_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4630 (class 2606 OID 80788)
-- Dependencies: 3017 3017
-- Name: ws_job_template_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_job_template
    ADD CONSTRAINT ws_job_template_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4632 (class 2606 OID 80790)
-- Dependencies: 3019 3019
-- Name: ws_job_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_job_type
    ADD CONSTRAINT ws_job_type_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4634 (class 2606 OID 80792)
-- Dependencies: 3021 3021
-- Name: ws_jtemp_tasks_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_jtemp_tasks
    ADD CONSTRAINT ws_jtemp_tasks_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4638 (class 2606 OID 80794)
-- Dependencies: 3024 3024
-- Name: ws_meter_events_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_meter_events
    ADD CONSTRAINT ws_meter_events_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4636 (class 2606 OID 80796)
-- Dependencies: 3023 3023
-- Name: ws_meter_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_meter
    ADD CONSTRAINT ws_meter_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4641 (class 2606 OID 80798)
-- Dependencies: 3027 3027
-- Name: ws_meter_readings_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_meter_readings
    ADD CONSTRAINT ws_meter_readings_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4643 (class 2606 OID 80800)
-- Dependencies: 3029 3029
-- Name: ws_meter_type_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_meter_type
    ADD CONSTRAINT ws_meter_type_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4646 (class 2606 OID 80802)
-- Dependencies: 3031 3031
-- Name: ws_meter_units_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_meter_units
    ADD CONSTRAINT ws_meter_units_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4648 (class 2606 OID 80804)
-- Dependencies: 3033 3033
-- Name: ws_named_meter_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_named_meter
    ADD CONSTRAINT ws_named_meter_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4650 (class 2606 OID 80806)
-- Dependencies: 3035 3035
-- Name: ws_nmeter_events_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_nmeter_events
    ADD CONSTRAINT ws_nmeter_events_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4652 (class 2606 OID 80808)
-- Dependencies: 3037 3037
-- Name: ws_other_cost_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_other_cost
    ADD CONSTRAINT ws_other_cost_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4654 (class 2606 OID 80810)
-- Dependencies: 3039 3039
-- Name: ws_other_job_costs_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_other_job_costs
    ADD CONSTRAINT ws_other_job_costs_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4656 (class 2606 OID 80812)
-- Dependencies: 3041 3041
-- Name: ws_pdesc_trigger_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_pdesc_trigger
    ADD CONSTRAINT ws_pdesc_trigger_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4658 (class 2606 OID 80814)
-- Dependencies: 3043 3043
-- Name: ws_resource_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_resource
    ADD CONSTRAINT ws_resource_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4660 (class 2606 OID 80816)
-- Dependencies: 3045 3045
-- Name: ws_skill_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_skill
    ADD CONSTRAINT ws_skill_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4662 (class 2606 OID 80818)
-- Dependencies: 3047 3047
-- Name: ws_spares_used_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_spares_used
    ADD CONSTRAINT ws_spares_used_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4666 (class 2606 OID 80820)
-- Dependencies: 3050 3050
-- Name: ws_task_assigned_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_task_assigned
    ADD CONSTRAINT ws_task_assigned_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4664 (class 2606 OID 80822)
-- Dependencies: 3049 3049
-- Name: ws_task_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_task
    ADD CONSTRAINT ws_task_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4668 (class 2606 OID 80824)
-- Dependencies: 3053 3053
-- Name: ws_task_status_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_task_status
    ADD CONSTRAINT ws_task_status_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4670 (class 2606 OID 80826)
-- Dependencies: 3055 3055
-- Name: ws_task_template_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_task_template
    ADD CONSTRAINT ws_task_template_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4673 (class 2606 OID 80828)
-- Dependencies: 3057 3057
-- Name: ws_trigger_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_trigger
    ADD CONSTRAINT ws_trigger_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4676 (class 2606 OID 80830)
-- Dependencies: 3059 3059
-- Name: ws_ttemp_resources_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_ttemp_resources
    ADD CONSTRAINT ws_ttemp_resources_pkey PRIMARY KEY (nsuk);


--
-- TOC entry 4679 (class 2606 OID 80832)
-- Dependencies: 3061 3061
-- Name: ws_ttemp_spares_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY ws_ttemp_spares
    ADD CONSTRAINT ws_ttemp_spares_pkey PRIMARY KEY (nsuk);


CREATE TABLE nominal_lookup
(
  nsuk serial NOT NULL,
  external_code character(20),
  nominal_code character(6),
  primary key (nsuk)
);


create unique index ctnomlookup1 on nominal_lookup(external_code);
create unique index ctnomlookup2 on nominal_lookup(nominal_code);
--alter table vat add primary key(cod);

CREATE TABLE vat_lookup
(
  nsuk serial NOT NULL,
  vcode smallint,
  external_code integer,
  primary key (nsuk)
);

create unique index ctvatlookup1 on vat_lookup(external_code);
create unique index ctvatlookup2 on vat_lookup(vcode);
alter table vat_lookup add constraint fk_vatlookup1 foreign key (vcode) references vat;

CREATE TABLE non_disc_item
(
    nsuk serial NOT NULL,
    pdesc_asset_reg character(1),
    pdesc_id character(4),
    product_id integer,
    product_type_id integer,
    primary key (nsuk)
);

alter table non_disc_item add constraint non_desc_fk1 foreign key (product_id) references product; 
alter table non_disc_item add constraint non_desc_fk2 foreign key (product_type_id) references product_type;
alter table pdesc add primary key(cod);
alter table non_disc_item add constraint non_desc_fk3 foreign key (pdesc_id) references pdesc (cod);
